/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","@emotion/css","react","@grafana/ui","rxjs","@grafana/runtime","lodash","moment","redux","react-redux"],((e,t,r,n,o,i,a,l,s,u)=>(()=>{var c={8572:(e,t,r)=>{"use strict";r.r(t),r.d(t,{AND:()=>g,AS:()=>f,ASC:()=>c,BY:()=>s,COMPARISON_OPERATORS:()=>E,DESC:()=>u,EQUALS:()=>y,FROM:()=>o,GROUP:()=>a,LIMIT:()=>d,LOGICAL_OPERATORS:()=>m,NOT_EQUALS:()=>b,OR:()=>v,ORDER:()=>l,SCHEMA:()=>h,SELECT:()=>n,STD_OPERATORS:()=>O,WHERE:()=>i,WITH:()=>p,conf:()=>S,language:()=>T});const n="select",o="from",i="where",a="group",l="order",s="by",u="desc",c="asc",d="limit",p="with",f="as",h="schema",g="AND",v="OR",m=[g,v],y="=",b="!=",E=[y,b],O=[...E],S={comments:{lineComment:"--",blockComment:["/*","*/"]},brackets:[["{","}"],["[","]"],["(",")"]],autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"'},{open:"'",close:"'"}],surroundingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"'},{open:"'",close:"'"}]},T={defaultToken:"",tokenPostfix:".sql",ignoreCase:!0,brackets:[{open:"[",close:"]",token:"delimiter.square"},{open:"(",close:")",token:"delimiter.parenthesis"}],keywords:["ABORT","ABSOLUTE","ACTION","ADA","ADD","AFTER","ALL","ALLOCATE","ALTER","ALWAYS","ANALYZE","AND","ANY","ARE","AS","ASC","ASSERTION","AT","ATTACH","AUTHORIZATION","AUTOINCREMENT","AVG","BACKUP","BEFORE","BEGIN","BETWEEN","BIT","BIT_LENGTH","BOTH","BREAK","BROWSE","BULK","BY","CASCADE","CASCADED","CASE","CAST","CATALOG","CHAR","CHARACTER","CHARACTER_LENGTH","CHAR_LENGTH","CHECK","CHECKPOINT","CLOSE","CLUSTERED","COALESCE","COLLATE","COLLATION","COLUMN","COMMIT","COMPUTE","CONFLICT","CONNECT","CONNECTION","CONSTRAINT","CONSTRAINTS","CONTAINS","CONTAINSTABLE","CONTINUE","CONVERT","CORRESPONDING","COUNT","CREATE","CROSS","CURRENT","CURRENT_DATE","CURRENT_TIME","CURRENT_TIMESTAMP","CURRENT_USER","CURSOR","DATABASE","DATE","DAY","DBCC","DEALLOCATE","DEC","DECIMAL","DECLARE","DEFAULT","DEFERRABLE","DEFERRED","DELETE","DENY","DESC","DESCRIBE","DESCRIPTOR","DETACH","DIAGNOSTICS","DISCONNECT","DISK","DISTINCT","DISTRIBUTED","DO","DOMAIN","DOUBLE","DROP","DUMP","EACH","ELSE","END","END-EXEC","ERRLVL","ESCAPE","EXCEPT","EXCEPTION","EXCLUDE","EXCLUSIVE","EXEC","EXECUTE","EXISTS","EXIT","EXPLAIN","EXTERNAL","EXTRACT","FAIL","FALSE","FETCH","FILE","FILLFACTOR","FILTER","FIRST","FLOAT","FOLLOWING","FOR","FOREIGN","FORTRAN","FOUND","FREETEXT","FREETEXTTABLE","FROM","FULL","FUNCTION","GENERATED","GET","GLOB","GLOBAL","GO","GOTO","GRANT","GROUP","GROUPS","HAVING","HOLDLOCK","HOUR","IDENTITY","IDENTITYCOL","IDENTITY_INSERT","IF","IGNORE","IMMEDIATE","IN","INCLUDE","INDEX","INDEXED","INDICATOR","INITIALLY","INNER","INPUT","INSENSITIVE","INSERT","INSTEAD","INT","INTEGER","INTERSECT","INTERVAL","INTO","IS","ISNULL","ISOLATION","JOIN","KEY","KILL","LANGUAGE","LAST","LEADING","LEFT","LEVEL","LIKE","LIMIT","LINENO","LOAD","LOCAL","LOWER","MATCH","MATERIALIZED","MAX","MERGE","MIN","MINUTE","MODULE","MONTH","NAMES","NATIONAL","NATURAL","NCHAR","NEXT","NO","NOCHECK","NONCLUSTERED","NONE","NOT","NOTHING","NOTNULL","NULL","NULLIF","NULLS","NUMERIC","OCTET_LENGTH","OF","OFF","OFFSET","OFFSETS","ON","ONLY","OPEN","OPENDATASOURCE","OPENQUERY","OPENROWSET","OPENXML","OPTION","OR","ORDER","OTHERS","OUTER","OUTPUT","OVER","OVERLAPS","PAD","PARTIAL","PARTITION","PASCAL","PERCENT","PIVOT","PLAN","POSITION","PRAGMA","PRECEDING","PRECISION","PREPARE","PRESERVE","PRIMARY","PRINT","PRIOR","PRIVILEGES","PROC","PROCEDURE","PUBLIC","QUERY","RAISE","RAISERROR","RANGE","READ","READTEXT","REAL","RECONFIGURE","RECURSIVE","REFERENCES","REGEXP","REINDEX","RELATIVE","RELEASE","RENAME","REPLACE","REPLICATION","RESTORE","RESTRICT","RETURN","RETURNING","REVERT","REVOKE","RIGHT","ROLLBACK","ROW","ROWCOUNT","ROWGUIDCOL","ROWS","RULE","SAVE","SAVEPOINT","SCHEMA","SCROLL","SECOND","SECTION","SECURITYAUDIT","SELECT","SEMANTICKEYPHRASETABLE","SEMANTICSIMILARITYDETAILSTABLE","SEMANTICSIMILARITYTABLE","SESSION","SESSION_USER","SET","SETUSER","SHUTDOWN","SIZE","SMALLINT","SOME","SPACE","SQL","SQLCA","SQLCODE","SQLERROR","SQLSTATE","SQLWARNING","STATISTICS","SUBSTRING","SUM","SYSTEM_USER","TABLE","TABLESAMPLE","TEMP","TEMPORARY","TEXTSIZE","THEN","TIES","TIME","TIMESTAMP","TIMEZONE_HOUR","TIMEZONE_MINUTE","TO","TOP","TRAILING","TRAN","TRANSACTION","TRANSLATE","TRANSLATION","TRIGGER","TRIM","TRUE","TRUNCATE","TRY_CONVERT","TSEQUAL","UNBOUNDED","UNION","UNIQUE","UNKNOWN","UNPIVOT","UPDATE","UPDATETEXT","UPPER","USAGE","USE","USER","USING","VACUUM","VALUE","VALUES","VARCHAR","VARYING","VIEW","VIRTUAL","WAITFOR","WHEN","WHENEVER","WHERE","WHILE","WINDOW","WITH","WITHIN GROUP","WITHOUT","WORK","WRITE","WRITETEXT","YEAR","ZONE"],operators:["EXCEPT","INTERSECT","UNION","APPLY","CROSS","FULL","INNER","JOIN","LEFT","OUTER","RIGHT","CONTAINS","FREETEXT","IS","NULL","PIVOT","UNPIVOT","MATCHED"],logicalOperators:["ALL","AND","ANY","BETWEEN","EXISTS","IN","LIKE","NOT","OR","SOME"],comparisonOperators:["<>",">","<",">=","<=","=","!=","&","~","^","%"],builtinFunctions:["AVG","CHECKSUM_AGG","COUNT","COUNT_BIG","GROUPING","GROUPING_ID","MAX","MIN","SUM","STDEV","STDEVP","VAR","VARP","CUME_DIST","FIRST_VALUE","LAG","LAST_VALUE","LEAD","PERCENTILE_CONT","PERCENTILE_DISC","PERCENT_RANK","COLLATE","COLLATIONPROPERTY","TERTIARY_WEIGHTS","FEDERATION_FILTERING_VALUE","CAST","CONVERT","PARSE","TRY_CAST","TRY_CONVERT","TRY_PARSE","ASYMKEY_ID","ASYMKEYPROPERTY","CERTPROPERTY","CERT_ID","CRYPT_GEN_RANDOM","DECRYPTBYASYMKEY","DECRYPTBYCERT","DECRYPTBYKEY","DECRYPTBYKEYAUTOASYMKEY","DECRYPTBYKEYAUTOCERT","DECRYPTBYPASSPHRASE","ENCRYPTBYASYMKEY","ENCRYPTBYCERT","ENCRYPTBYKEY","ENCRYPTBYPASSPHRASE","HASHBYTES","IS_OBJECTSIGNED","KEY_GUID","KEY_ID","KEY_NAME","SIGNBYASYMKEY","SIGNBYCERT","SYMKEYPROPERTY","VERIFYSIGNEDBYCERT","VERIFYSIGNEDBYASYMKEY","CURSOR_STATUS","DATALENGTH","IDENT_CURRENT","IDENT_INCR","IDENT_SEED","IDENTITY","SQL_VARIANT_PROPERTY","CURRENT_TIMESTAMP","DATEADD","DATEDIFF","DATEFROMPARTS","DATENAME","DATEPART","DATETIME2FROMPARTS","DATETIMEFROMPARTS","DATETIMEOFFSETFROMPARTS","DAY","EOMONTH","GETDATE","GETUTCDATE","ISDATE","MONTH","SMALLDATETIMEFROMPARTS","SWITCHOFFSET","SYSDATETIME","SYSDATETIMEOFFSET","SYSUTCDATETIME","TIMEFROMPARTS","TODATETIMEOFFSET","YEAR","CHOOSE","COALESCE","IIF","NULLIF","ABS","ACOS","ASIN","ATAN","ATN2","CEILING","COS","COT","DEGREES","EXP","FLOOR","LOG","LOG10","PI","POWER","RADIANS","RAND","ROUND","SIGN","SIN","SQRT","SQUARE","TAN","APP_NAME","APPLOCK_MODE","APPLOCK_TEST","ASSEMBLYPROPERTY","COL_LENGTH","COL_NAME","COLUMNPROPERTY","DATABASE_PRINCIPAL_ID","DATABASEPROPERTYEX","DB_ID","DB_NAME","FILE_ID","FILE_IDEX","FILE_NAME","FILEGROUP_ID","FILEGROUP_NAME","FILEGROUPPROPERTY","FILEPROPERTY","FULLTEXTCATALOGPROPERTY","FULLTEXTSERVICEPROPERTY","INDEX_COL","INDEXKEY_PROPERTY","INDEXPROPERTY","OBJECT_DEFINITION","OBJECT_ID","OBJECT_NAME","OBJECT_SCHEMA_NAME","OBJECTPROPERTY","OBJECTPROPERTYEX","ORIGINAL_DB_NAME","PARSENAME","SCHEMA_ID","SCHEMA_NAME","SCOPE_IDENTITY","SERVERPROPERTY","STATS_DATE","TYPE_ID","TYPE_NAME","TYPEPROPERTY","DENSE_RANK","NTILE","RANK","ROW_NUMBER","PUBLISHINGSERVERNAME","OPENDATASOURCE","OPENQUERY","OPENROWSET","OPENXML","CERTENCODED","CERTPRIVATEKEY","CURRENT_USER","HAS_DBACCESS","HAS_PERMS_BY_NAME","IS_MEMBER","IS_ROLEMEMBER","IS_SRVROLEMEMBER","LOGINPROPERTY","ORIGINAL_LOGIN","PERMISSIONS","PWDENCRYPT","PWDCOMPARE","SESSION_USER","SESSIONPROPERTY","SUSER_ID","SUSER_NAME","SUSER_SID","SUSER_SNAME","SYSTEM_USER","USER","USER_ID","USER_NAME","ASCII","CHAR","CHARINDEX","CONCAT","DIFFERENCE","FORMAT","LEFT","LEN","LOWER","LTRIM","NCHAR","PATINDEX","QUOTENAME","REPLACE","REPLICATE","REVERSE","RIGHT","RTRIM","SOUNDEX","SPACE","STR","STUFF","SUBSTRING","UNICODE","UPPER","BINARY_CHECKSUM","CHECKSUM","CONNECTIONPROPERTY","CONTEXT_INFO","CURRENT_REQUEST_ID","ERROR_LINE","ERROR_NUMBER","ERROR_MESSAGE","ERROR_PROCEDURE","ERROR_SEVERITY","ERROR_STATE","FORMATMESSAGE","GETANSINULL","GET_FILESTREAM_TRANSACTION_CONTEXT","HOST_ID","HOST_NAME","ISNULL","ISNUMERIC","MIN_ACTIVE_ROWVERSION","NEWID","NEWSEQUENTIALID","ROWCOUNT_BIG","XACT_STATE","TEXTPTR","TEXTVALID","COLUMNS_UPDATED","EVENTDATA","TRIGGER_NESTLEVEL","UPDATE","CHANGETABLE","CHANGE_TRACKING_CONTEXT","CHANGE_TRACKING_CURRENT_VERSION","CHANGE_TRACKING_IS_COLUMN_IN_MASK","CHANGE_TRACKING_MIN_VALID_VERSION","CONTAINSTABLE","FREETEXTTABLE","SEMANTICKEYPHRASETABLE","SEMANTICSIMILARITYDETAILSTABLE","SEMANTICSIMILARITYTABLE","FILETABLEROOTPATH","GETFILENAMESPACEPATH","GETPATHLOCATOR","PATHNAME","GET_TRANSMISSION_STATUS"],builtinVariables:["@@DATEFIRST","@@DBTS","@@LANGID","@@LANGUAGE","@@LOCK_TIMEOUT","@@MAX_CONNECTIONS","@@MAX_PRECISION","@@NESTLEVEL","@@OPTIONS","@@REMSERVER","@@SERVERNAME","@@SERVICENAME","@@SPID","@@TEXTSIZE","@@VERSION","@@CURSOR_ROWS","@@FETCH_STATUS","@@DATEFIRST","@@PROCID","@@ERROR","@@IDENTITY","@@ROWCOUNT","@@TRANCOUNT","@@CONNECTIONS","@@CPU_BUSY","@@IDLE","@@IO_BUSY","@@PACKET_ERRORS","@@PACK_RECEIVED","@@PACK_SENT","@@TIMETICKS","@@TOTAL_ERRORS","@@TOTAL_READ","@@TOTAL_WRITE"],pseudoColumns:["$ACTION","$IDENTITY","$ROWGUID","$PARTITION"],tokenizer:{root:[{include:"@templateVariables"},{include:"@macros"},{include:"@comments"},{include:"@whitespace"},{include:"@pseudoColumns"},{include:"@numbers"},{include:"@strings"},{include:"@complexIdentifiers"},{include:"@scopes"},{include:"@schemaTable"},[/[;,.]/,"delimiter"],[/[()]/,"@brackets"],[/[\w@#$|<|>|=|!|%|&|+|\|-|*|/|~|^]+/,{cases:{"@operators":"operator","@comparisonOperators":"operator","@logicalOperators":"operator","@builtinVariables":"predefined","@builtinFunctions":"predefined","@keywords":"keyword","@default":"identifier"}}]],templateVariables:[[/\$[a-zA-Z0-9]+/,"variable"]],macros:[[/\$__[a-zA-Z0-9-_]+/,"type"]],schemaTable:[[/(\w+)\./,"identifier"],[/(\w+\.\w+)/,"identifier"]],whitespace:[[/\s+/,"white"]],comments:[[/--+.*/,"comment"],[/\/\*/,{token:"comment.quote",next:"@comment"}]],comment:[[/[^*/]+/,"comment"],[/\*\//,{token:"comment.quote",next:"@pop"}],[/./,"comment"]],pseudoColumns:[[/[$][A-Za-z_][\w@#$]*/,{cases:{"@pseudoColumns":"predefined","@default":"identifier"}}]],numbers:[[/0[xX][0-9a-fA-F]*/,"number"],[/[$][+-]*\d*(\.\d*)?/,"number"],[/((\d+(\.\d*)?)|(\.\d+))([eE][\-+]?\d+)?/,"number"]],strings:[[/N'/,{token:"string",next:"@string"}],[/'/,{token:"string",next:"@string"}]],string:[[/[^']+/,"string"],[/''/,"string"],[/'/,{token:"string",next:"@pop"}]],complexIdentifiers:[[/\[/,{token:"identifier.quote",next:"@bracketedIdentifier"}],[/"/,{token:"identifier.quote",next:"@quotedIdentifier"}]],bracketedIdentifier:[[/[^\]]+/,"identifier"],[/]]/,"identifier"],[/]/,{token:"identifier.quote",next:"@pop"}]],quotedIdentifier:[[/[^"]+/,"identifier"],[/""/,"identifier"],[/"/,{token:"identifier.quote",next:"@pop"}]],scopes:[[/BEGIN\s+(DISTRIBUTED\s+)?TRAN(SACTION)?\b/i,"keyword"],[/BEGIN\s+TRY\b/i,{token:"keyword.try"}],[/END\s+TRY\b/i,{token:"keyword.try"}],[/BEGIN\s+CATCH\b/i,{token:"keyword.catch"}],[/END\s+CATCH\b/i,{token:"keyword.catch"}],[/(BEGIN|CASE)\b/i,{token:"keyword.block"}],[/END\b/i,{token:"keyword.block"}],[/WHEN\b/i,{token:"keyword.choice"}],[/THEN\b/i,{token:"keyword.choice"}]]}}},3523:e=>{var t=function(){"use strict";function e(e,t){return null!=t&&e instanceof t}var t,r,n;try{t=Map}catch(e){t=function(){}}try{r=Set}catch(e){r=function(){}}try{n=Promise}catch(e){n=function(){}}function o(i,l,s,u,c){"object"==typeof l&&(s=l.depth,u=l.prototype,c=l.includeNonEnumerable,l=l.circular);var d=[],p=[],f="undefined"!=typeof Buffer;return void 0===l&&(l=!0),void 0===s&&(s=1/0),function i(s,h){if(null===s)return null;if(0===h)return s;var g,v;if("object"!=typeof s)return s;if(e(s,t))g=new t;else if(e(s,r))g=new r;else if(e(s,n))g=new n((function(e,t){s.then((function(t){e(i(t,h-1))}),(function(e){t(i(e,h-1))}))}));else if(o.__isArray(s))g=[];else if(o.__isRegExp(s))g=new RegExp(s.source,a(s)),s.lastIndex&&(g.lastIndex=s.lastIndex);else if(o.__isDate(s))g=new Date(s.getTime());else{if(f&&Buffer.isBuffer(s))return g=Buffer.allocUnsafe?Buffer.allocUnsafe(s.length):new Buffer(s.length),s.copy(g),g;e(s,Error)?g=Object.create(s):void 0===u?(v=Object.getPrototypeOf(s),g=Object.create(v)):(g=Object.create(u),v=u)}if(l){var m=d.indexOf(s);if(-1!=m)return p[m];d.push(s),p.push(g)}for(var y in e(s,t)&&s.forEach((function(e,t){var r=i(t,h-1),n=i(e,h-1);g.set(r,n)})),e(s,r)&&s.forEach((function(e){var t=i(e,h-1);g.add(t)})),s){var b;v&&(b=Object.getOwnPropertyDescriptor(v,y)),b&&null==b.set||(g[y]=i(s[y],h-1))}if(Object.getOwnPropertySymbols){var E=Object.getOwnPropertySymbols(s);for(y=0;y<E.length;y++){var O=E[y];(!(T=Object.getOwnPropertyDescriptor(s,O))||T.enumerable||c)&&(g[O]=i(s[O],h-1),T.enumerable||Object.defineProperty(g,O,{enumerable:!1}))}}if(c){var S=Object.getOwnPropertyNames(s);for(y=0;y<S.length;y++){var T,_=S[y];(T=Object.getOwnPropertyDescriptor(s,_))&&T.enumerable||(g[_]=i(s[_],h-1),Object.defineProperty(g,_,{enumerable:!1}))}}return g}(i,s)}function i(e){return Object.prototype.toString.call(e)}function a(e){var t="";return e.global&&(t+="g"),e.ignoreCase&&(t+="i"),e.multiline&&(t+="m"),t}return o.clonePrototype=function(e){if(null===e)return null;var t=function(){};return t.prototype=e,new t},o.__objToStr=i,o.__isDate=function(e){return"object"==typeof e&&"[object Date]"===i(e)},o.__isArray=function(e){return"object"==typeof e&&"[object Array]"===i(e)},o.__isRegExp=function(e){return"object"==typeof e&&"[object RegExp]"===i(e)},o.__getRegExpFlags=a,o}();e.exports&&(e.exports=t)},4221:(e,t,r)=>{"use strict";var n=r(1882),o={"text/plain":"Text","text/html":"Url",default:"Text"};e.exports=function(e,t){var r,i,a,l,s,u,c=!1;t||(t={}),r=t.debug||!1;try{if(a=n(),l=document.createRange(),s=document.getSelection(),(u=document.createElement("span")).textContent=e,u.style.all="unset",u.style.position="fixed",u.style.top=0,u.style.clip="rect(0, 0, 0, 0)",u.style.whiteSpace="pre",u.style.webkitUserSelect="text",u.style.MozUserSelect="text",u.style.msUserSelect="text",u.style.userSelect="text",u.addEventListener("copy",(function(n){if(n.stopPropagation(),t.format)if(n.preventDefault(),void 0===n.clipboardData){r&&console.warn("unable to use e.clipboardData"),r&&console.warn("trying IE specific stuff"),window.clipboardData.clearData();var i=o[t.format]||o.default;window.clipboardData.setData(i,e)}else n.clipboardData.clearData(),n.clipboardData.setData(t.format,e);t.onCopy&&(n.preventDefault(),t.onCopy(n.clipboardData))})),document.body.appendChild(u),l.selectNodeContents(u),s.addRange(l),!document.execCommand("copy"))throw new Error("copy command was unsuccessful");c=!0}catch(n){r&&console.error("unable to copy using execCommand: ",n),r&&console.warn("trying IE specific stuff");try{window.clipboardData.setData(t.format||"text",e),t.onCopy&&t.onCopy(window.clipboardData),c=!0}catch(n){r&&console.error("unable to copy using clipboardData: ",n),r&&console.error("falling back to prompt"),i=function(e){var t=(/mac os x/i.test(navigator.userAgent)?"⌘":"Ctrl")+"+C";return e.replace(/#{\s*key\s*}/g,t)}("message"in t?t.message:"Copy to clipboard: #{key}, Enter"),window.prompt(i,e)}}finally{s&&("function"==typeof s.removeRange?s.removeRange(l):s.removeAllRanges()),u&&document.body.removeChild(u),a()}return c}},9083:(e,t,r)=>{var n;!function(){"use strict";var o=!("undefined"==typeof window||!window.document||!window.document.createElement),i={canUseDOM:o,canUseWorkers:"undefined"!=typeof Worker,canUseEventListeners:o&&!(!window.addEventListener&&!window.attachEvent),canUseViewport:o&&!!window.screen};void 0===(n=function(){return i}.call(t,r,t,e))||(e.exports=n)}()},1510:e=>{"use strict";e.exports=function e(t,r){if(t===r)return!0;if(t&&r&&"object"==typeof t&&"object"==typeof r){if(t.constructor!==r.constructor)return!1;var n,o,i;if(Array.isArray(t)){if((n=t.length)!=r.length)return!1;for(o=n;0!=o--;)if(!e(t[o],r[o]))return!1;return!0}if(t.constructor===RegExp)return t.source===r.source&&t.flags===r.flags;if(t.valueOf!==Object.prototype.valueOf)return t.valueOf()===r.valueOf();if(t.toString!==Object.prototype.toString)return t.toString()===r.toString();if((n=(i=Object.keys(t)).length)!==Object.keys(r).length)return!1;for(o=n;0!=o--;)if(!Object.prototype.hasOwnProperty.call(r,i[o]))return!1;for(o=n;0!=o--;){var a=i[o];if(!("_owner"===a&&t.$$typeof||e(t[a],r[a])))return!1}return!0}return t!=t&&r!=r}},9874:(e,t,r)=>{"use strict";var n=r(300),o={childContextTypes:!0,contextType:!0,contextTypes:!0,defaultProps:!0,displayName:!0,getDefaultProps:!0,getDerivedStateFromError:!0,getDerivedStateFromProps:!0,mixins:!0,propTypes:!0,type:!0},i={name:!0,length:!0,prototype:!0,caller:!0,callee:!0,arguments:!0,arity:!0},a={$$typeof:!0,compare:!0,defaultProps:!0,displayName:!0,propTypes:!0,type:!0},l={};function s(e){return n.isMemo(e)?a:l[e.$$typeof]||o}l[n.ForwardRef]={$$typeof:!0,render:!0,defaultProps:!0,displayName:!0,propTypes:!0},l[n.Memo]=a;var u=Object.defineProperty,c=Object.getOwnPropertyNames,d=Object.getOwnPropertySymbols,p=Object.getOwnPropertyDescriptor,f=Object.getPrototypeOf,h=Object.prototype;e.exports=function e(t,r,n){if("string"!=typeof r){if(h){var o=f(r);o&&o!==h&&e(t,o,n)}var a=c(r);d&&(a=a.concat(d(r)));for(var l=s(t),g=s(r),v=0;v<a.length;++v){var m=a[v];if(!(i[m]||n&&n[m]||g&&g[m]||l&&l[m])){var y=p(r,m);try{u(t,m,y)}catch(e){}}}}return t}},3520:(e,t)=>{"use strict";var r="function"==typeof Symbol&&Symbol.for,n=r?Symbol.for("react.element"):60103,o=r?Symbol.for("react.portal"):60106,i=r?Symbol.for("react.fragment"):60107,a=r?Symbol.for("react.strict_mode"):60108,l=r?Symbol.for("react.profiler"):60114,s=r?Symbol.for("react.provider"):60109,u=r?Symbol.for("react.context"):60110,c=r?Symbol.for("react.async_mode"):60111,d=r?Symbol.for("react.concurrent_mode"):60111,p=r?Symbol.for("react.forward_ref"):60112,f=r?Symbol.for("react.suspense"):60113,h=r?Symbol.for("react.suspense_list"):60120,g=r?Symbol.for("react.memo"):60115,v=r?Symbol.for("react.lazy"):60116,m=r?Symbol.for("react.block"):60121,y=r?Symbol.for("react.fundamental"):60117,b=r?Symbol.for("react.responder"):60118,E=r?Symbol.for("react.scope"):60119;function O(e){if("object"==typeof e&&null!==e){var t=e.$$typeof;switch(t){case n:switch(e=e.type){case c:case d:case i:case l:case a:case f:return e;default:switch(e=e&&e.$$typeof){case u:case p:case v:case g:case s:return e;default:return t}}case o:return t}}}function S(e){return O(e)===d}t.AsyncMode=c,t.ConcurrentMode=d,t.ContextConsumer=u,t.ContextProvider=s,t.Element=n,t.ForwardRef=p,t.Fragment=i,t.Lazy=v,t.Memo=g,t.Portal=o,t.Profiler=l,t.StrictMode=a,t.Suspense=f,t.isAsyncMode=function(e){return S(e)||O(e)===c},t.isConcurrentMode=S,t.isContextConsumer=function(e){return O(e)===u},t.isContextProvider=function(e){return O(e)===s},t.isElement=function(e){return"object"==typeof e&&null!==e&&e.$$typeof===n},t.isForwardRef=function(e){return O(e)===p},t.isFragment=function(e){return O(e)===i},t.isLazy=function(e){return O(e)===v},t.isMemo=function(e){return O(e)===g},t.isPortal=function(e){return O(e)===o},t.isProfiler=function(e){return O(e)===l},t.isStrictMode=function(e){return O(e)===a},t.isSuspense=function(e){return O(e)===f},t.isValidElementType=function(e){return"string"==typeof e||"function"==typeof e||e===i||e===d||e===l||e===a||e===f||e===h||"object"==typeof e&&null!==e&&(e.$$typeof===v||e.$$typeof===g||e.$$typeof===s||e.$$typeof===u||e.$$typeof===p||e.$$typeof===y||e.$$typeof===b||e.$$typeof===E||e.$$typeof===m)},t.typeOf=O},300:(e,t,r)=>{"use strict";e.exports=r(3520)},502:function(e,t,r){var n,o;n=function(){"use strict";Array.isArray||(Array.isArray=function(e){return"[object Array]"===Object.prototype.toString.call(e)});var e={},t={"==":function(e,t){return e==t},"===":function(e,t){return e===t},"!=":function(e,t){return e!=t},"!==":function(e,t){return e!==t},">":function(e,t){return e>t},">=":function(e,t){return e>=t},"<":function(e,t,r){return void 0===r?e<t:e<t&&t<r},"<=":function(e,t,r){return void 0===r?e<=t:e<=t&&t<=r},"!!":function(t){return e.truthy(t)},"!":function(t){return!e.truthy(t)},"%":function(e,t){return e%t},log:function(e){return console.log(e),e},in:function(e,t){return!(!t||void 0===t.indexOf)&&-1!==t.indexOf(e)},cat:function(){return Array.prototype.join.call(arguments,"")},substr:function(e,t,r){if(r<0){var n=String(e).substr(t);return n.substr(0,n.length+r)}return String(e).substr(t,r)},"+":function(){return Array.prototype.reduce.call(arguments,(function(e,t){return parseFloat(e,10)+parseFloat(t,10)}),0)},"*":function(){return Array.prototype.reduce.call(arguments,(function(e,t){return parseFloat(e,10)*parseFloat(t,10)}))},"-":function(e,t){return void 0===t?-e:e-t},"/":function(e,t){return e/t},min:function(){return Math.min.apply(this,arguments)},max:function(){return Math.max.apply(this,arguments)},merge:function(){return Array.prototype.reduce.call(arguments,(function(e,t){return e.concat(t)}),[])},var:function(e,t){var r=void 0===t?null:t,n=this;if(void 0===e||""===e||null===e)return n;for(var o=String(e).split("."),i=0;i<o.length;i++){if(null==n)return r;if(void 0===(n=n[o[i]]))return r}return n},missing:function(){for(var t=[],r=Array.isArray(arguments[0])?arguments[0]:arguments,n=0;n<r.length;n++){var o=r[n],i=e.apply({var:o},this);null!==i&&""!==i||t.push(o)}return t},missing_some:function(t,r){var n=e.apply({missing:r},this);return r.length-n.length>=t?[]:n}};return e.is_logic=function(e){return"object"==typeof e&&null!==e&&!Array.isArray(e)&&1===Object.keys(e).length},e.truthy=function(e){return!(Array.isArray(e)&&0===e.length||!e)},e.get_operator=function(e){return Object.keys(e)[0]},e.get_values=function(t){return t[e.get_operator(t)]},e.apply=function(r,n){if(Array.isArray(r))return r.map((function(t){return e.apply(t,n)}));if(!e.is_logic(r))return r;var o,i,a,l,s,u=e.get_operator(r),c=r[u];if(Array.isArray(c)||(c=[c]),"if"===u||"?:"==u){for(o=0;o<c.length-1;o+=2)if(e.truthy(e.apply(c[o],n)))return e.apply(c[o+1],n);return c.length===o+1?e.apply(c[o],n):null}if("and"===u){for(o=0;o<c.length;o+=1)if(i=e.apply(c[o],n),!e.truthy(i))return i;return i}if("or"===u){for(o=0;o<c.length;o+=1)if(i=e.apply(c[o],n),e.truthy(i))return i;return i}if("filter"===u)return l=e.apply(c[0],n),a=c[1],Array.isArray(l)?l.filter((function(t){return e.truthy(e.apply(a,t))})):[];if("map"===u)return l=e.apply(c[0],n),a=c[1],Array.isArray(l)?l.map((function(t){return e.apply(a,t)})):[];if("reduce"===u)return l=e.apply(c[0],n),a=c[1],s=void 0!==c[2]?c[2]:null,Array.isArray(l)?l.reduce((function(t,r){return e.apply(a,{current:r,accumulator:t})}),s):s;if("all"===u){if(l=e.apply(c[0],n),a=c[1],!Array.isArray(l)||!l.length)return!1;for(o=0;o<l.length;o+=1)if(!e.truthy(e.apply(a,l[o])))return!1;return!0}if("none"===u){if(l=e.apply(c[0],n),a=c[1],!Array.isArray(l)||!l.length)return!0;for(o=0;o<l.length;o+=1)if(e.truthy(e.apply(a,l[o])))return!1;return!0}if("some"===u){if(l=e.apply(c[0],n),a=c[1],!Array.isArray(l)||!l.length)return!1;for(o=0;o<l.length;o+=1)if(e.truthy(e.apply(a,l[o])))return!0;return!1}if(c=c.map((function(t){return e.apply(t,n)})),t.hasOwnProperty(u)&&"function"==typeof t[u])return t[u].apply(n,c);if(u.indexOf(".")>0){var d=String(u).split("."),p=t;for(o=0;o<d.length;o++){if(!p.hasOwnProperty(d[o]))throw new Error("Unrecognized operation "+u+" (failed at "+d.slice(0,o+1).join(".")+")");p=p[d[o]]}return p.apply(n,c)}throw new Error("Unrecognized operation "+u)},e.uses_data=function(t){var r=[];if(e.is_logic(t)){var n=e.get_operator(t),o=t[n];Array.isArray(o)||(o=[o]),"var"===n?r.push(o[0]):o.forEach((function(t){r.push.apply(r,e.uses_data(t))}))}return function(e){for(var t=[],r=0,n=e.length;r<n;r++)-1===t.indexOf(e[r])&&t.push(e[r]);return t}(r)},e.add_operation=function(e,r){t[e]=r},e.rm_operation=function(e){delete t[e]},e.rule_like=function(t,r){if(r===t)return!0;if("@"===r)return!0;if("number"===r)return"number"==typeof t;if("string"===r)return"string"==typeof t;if("array"===r)return Array.isArray(t)&&!e.is_logic(t);if(e.is_logic(r)){if(e.is_logic(t)){var n=e.get_operator(r),o=e.get_operator(t);if("@"===n||n===o)return e.rule_like(e.get_values(t,!1),e.get_values(r,!1))}return!1}if(Array.isArray(r)){if(Array.isArray(t)){if(r.length!==t.length)return!1;for(var i=0;i<r.length;i+=1)if(!e.rule_like(t[i],r[i]))return!1;return!0}return!1}return!1},e},void 0===(o=n.call(t,r,t,e))||(e.exports=o)},5948:(e,t,r)=>{var n=r(2062)(r(9965),"DataView");e.exports=n},4845:(e,t,r)=>{var n=r(5504),o=r(5270),i=r(7150),a=r(2637),l=r(1077);function s(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var n=e[t];this.set(n[0],n[1])}}s.prototype.clear=n,s.prototype.delete=o,s.prototype.get=i,s.prototype.has=a,s.prototype.set=l,e.exports=s},1999:(e,t,r)=>{var n=r(7718),o=r(4272),i=r(5107),a=r(1055),l=r(4647);function s(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var n=e[t];this.set(n[0],n[1])}}s.prototype.clear=n,s.prototype.delete=o,s.prototype.get=i,s.prototype.has=a,s.prototype.set=l,e.exports=s},5455:(e,t,r)=>{var n=r(2062)(r(9965),"Map");e.exports=n},1549:(e,t,r)=>{var n=r(6400),o=r(7014),i=r(1793),a=r(6429),l=r(821);function s(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var n=e[t];this.set(n[0],n[1])}}s.prototype.clear=n,s.prototype.delete=o,s.prototype.get=i,s.prototype.has=a,s.prototype.set=l,e.exports=s},6420:(e,t,r)=>{var n=r(2062)(r(9965),"Promise");e.exports=n},2833:(e,t,r)=>{var n=r(2062)(r(9965),"Set");e.exports=n},8283:(e,t,r)=>{var n=r(1549),o=r(228),i=r(3683);function a(e){var t=-1,r=null==e?0:e.length;for(this.__data__=new n;++t<r;)this.add(e[t])}a.prototype.add=a.prototype.push=o,a.prototype.has=i,e.exports=a},8545:(e,t,r)=>{var n=r(1999),o=r(5052),i=r(4250),a=r(4773),l=r(6921),s=r(5745);function u(e){var t=this.__data__=new n(e);this.size=t.size}u.prototype.clear=o,u.prototype.delete=i,u.prototype.get=a,u.prototype.has=l,u.prototype.set=s,e.exports=u},2609:(e,t,r)=>{var n=r(9965).Symbol;e.exports=n},3604:(e,t,r)=>{var n=r(9965).Uint8Array;e.exports=n},8143:(e,t,r)=>{var n=r(2062)(r(9965),"WeakMap");e.exports=n},1929:e=>{e.exports=function(e,t,r){switch(r.length){case 0:return e.call(t);case 1:return e.call(t,r[0]);case 2:return e.call(t,r[0],r[1]);case 3:return e.call(t,r[0],r[1],r[2])}return e.apply(t,r)}},6433:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length;++r<n&&!1!==t(e[r],r,e););return e}},9386:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length,o=0,i=[];++r<n;){var a=e[r];t(a,r,e)&&(i[o++]=a)}return i}},6791:(e,t,r)=>{var n=r(2784),o=r(5196),i=r(4913),a=r(4264),l=r(6665),s=r(5087),u=Object.prototype.hasOwnProperty;e.exports=function(e,t){var r=i(e),c=!r&&o(e),d=!r&&!c&&a(e),p=!r&&!c&&!d&&s(e),f=r||c||d||p,h=f?n(e.length,String):[],g=h.length;for(var v in e)!t&&!u.call(e,v)||f&&("length"==v||d&&("offset"==v||"parent"==v)||p&&("buffer"==v||"byteLength"==v||"byteOffset"==v)||l(v,g))||h.push(v);return h}},1428:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length,o=Array(n);++r<n;)o[r]=t(e[r],r,e);return o}},8256:e=>{e.exports=function(e,t){for(var r=-1,n=t.length,o=e.length;++r<n;)e[o+r]=t[r];return e}},9272:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length;++r<n;)if(t(e[r],r,e))return!0;return!1}},237:(e,t,r)=>{var n=r(2464),o=r(6424);e.exports=function(e,t,r){(void 0!==r&&!o(e[t],r)||void 0===r&&!(t in e))&&n(e,t,r)}},8131:(e,t,r)=>{var n=r(2464),o=r(6424),i=Object.prototype.hasOwnProperty;e.exports=function(e,t,r){var a=e[t];i.call(e,t)&&o(a,r)&&(void 0!==r||t in e)||n(e,t,r)}},3481:(e,t,r)=>{var n=r(6424);e.exports=function(e,t){for(var r=e.length;r--;)if(n(e[r][0],t))return r;return-1}},4861:(e,t,r)=>{var n=r(4735),o=r(3790);e.exports=function(e,t){return e&&n(t,o(t),e)}},7838:(e,t,r)=>{var n=r(4735),o=r(5961);e.exports=function(e,t){return e&&n(t,o(t),e)}},2464:(e,t,r)=>{var n=r(9611);e.exports=function(e,t,r){"__proto__"==t&&n?n(e,t,{configurable:!0,enumerable:!0,value:r,writable:!0}):e[t]=r}},5725:e=>{e.exports=function(e,t,r){return e==e&&(void 0!==r&&(e=e<=r?e:r),void 0!==t&&(e=e>=t?e:t)),e}},6575:(e,t,r)=>{var n=r(8545),o=r(6433),i=r(8131),a=r(4861),l=r(7838),s=r(8986),u=r(1231),c=r(1711),d=r(1476),p=r(130),f=r(869),h=r(6053),g=r(509),v=r(1343),m=r(1225),y=r(4913),b=r(4264),E=r(146),O=r(7453),S=r(8696),T=r(3790),_=r(5961),w="[object Arguments]",R="[object Function]",A="[object Object]",C={};C[w]=C["[object Array]"]=C["[object ArrayBuffer]"]=C["[object DataView]"]=C["[object Boolean]"]=C["[object Date]"]=C["[object Float32Array]"]=C["[object Float64Array]"]=C["[object Int8Array]"]=C["[object Int16Array]"]=C["[object Int32Array]"]=C["[object Map]"]=C["[object Number]"]=C[A]=C["[object RegExp]"]=C["[object Set]"]=C["[object String]"]=C["[object Symbol]"]=C["[object Uint8Array]"]=C["[object Uint8ClampedArray]"]=C["[object Uint16Array]"]=C["[object Uint32Array]"]=!0,C["[object Error]"]=C[R]=C["[object WeakMap]"]=!1,e.exports=function e(t,r,I,L,N,P){var x,k=1&r,F=2&r,j=4&r;if(I&&(x=N?I(t,L,N,P):I(t)),void 0!==x)return x;if(!O(t))return t;var D=y(t);if(D){if(x=g(t),!k)return u(t,x)}else{var M=h(t),V=M==R||"[object GeneratorFunction]"==M;if(b(t))return s(t,k);if(M==A||M==w||V&&!N){if(x=F||V?{}:m(t),!k)return F?d(t,l(x,t)):c(t,a(x,t))}else{if(!C[M])return N?t:{};x=v(t,M,k)}}P||(P=new n);var U=P.get(t);if(U)return U;P.set(t,x),S(t)?t.forEach((function(n){x.add(e(n,r,I,n,t,P))})):E(t)&&t.forEach((function(n,o){x.set(o,e(n,r,I,o,t,P))}));var B=D?void 0:(j?F?f:p:F?_:T)(t);return o(B||t,(function(n,o){B&&(n=t[o=n]),i(x,o,e(n,r,I,o,t,P))})),x}},3088:(e,t,r)=>{var n=r(7453),o=Object.create,i=function(){function e(){}return function(t){if(!n(t))return{};if(o)return o(t);e.prototype=t;var r=new e;return e.prototype=void 0,r}}();e.exports=i},3323:e=>{e.exports=function(e,t,r,n){for(var o=e.length,i=r+(n?1:-1);n?i--:++i<o;)if(t(e[i],i,e))return i;return-1}},1360:(e,t,r)=>{var n=r(8256),o=r(5043);e.exports=function e(t,r,i,a,l){var s=-1,u=t.length;for(i||(i=o),l||(l=[]);++s<u;){var c=t[s];r>0&&i(c)?r>1?e(c,r-1,i,a,l):n(l,c):a||(l[l.length]=c)}return l}},6057:(e,t,r)=>{var n=r(5845)();e.exports=n},5473:(e,t,r)=>{var n=r(6057),o=r(3790);e.exports=function(e,t){return e&&n(e,t,o)}},2718:(e,t,r)=>{var n=r(2361),o=r(8197);e.exports=function(e,t){for(var r=0,i=(t=n(t,e)).length;null!=e&&r<i;)e=e[o(t[r++])];return r&&r==i?e:void 0}},8359:(e,t,r)=>{var n=r(8256),o=r(4913);e.exports=function(e,t,r){var i=t(e);return o(e)?i:n(i,r(e))}},9048:(e,t,r)=>{var n=r(2609),o=r(2899),i=r(7222),a=n?n.toStringTag:void 0;e.exports=function(e){return null==e?void 0===e?"[object Undefined]":"[object Null]":a&&a in Object(e)?o(e):i(e)}},3613:e=>{e.exports=function(e,t){return null!=e&&t in Object(e)}},9555:(e,t,r)=>{var n=r(3323),o=r(8967),i=r(5951);e.exports=function(e,t,r){return t==t?i(e,t,r):n(e,o,r)}},3070:(e,t,r)=>{var n=r(9048),o=r(9466);e.exports=function(e){return o(e)&&"[object Arguments]"==n(e)}},590:(e,t,r)=>{var n=r(9132),o=r(9466);e.exports=function e(t,r,i,a,l){return t===r||(null==t||null==r||!o(t)&&!o(r)?t!=t&&r!=r:n(t,r,i,a,e,l))}},9132:(e,t,r)=>{var n=r(8545),o=r(4807),i=r(898),a=r(3409),l=r(6053),s=r(4913),u=r(4264),c=r(5087),d="[object Arguments]",p="[object Array]",f="[object Object]",h=Object.prototype.hasOwnProperty;e.exports=function(e,t,r,g,v,m){var y=s(e),b=s(t),E=y?p:l(e),O=b?p:l(t),S=(E=E==d?f:E)==f,T=(O=O==d?f:O)==f,_=E==O;if(_&&u(e)){if(!u(t))return!1;y=!0,S=!1}if(_&&!S)return m||(m=new n),y||c(e)?o(e,t,r,g,v,m):i(e,t,E,r,g,v,m);if(!(1&r)){var w=S&&h.call(e,"__wrapped__"),R=T&&h.call(t,"__wrapped__");if(w||R){var A=w?e.value():e,C=R?t.value():t;return m||(m=new n),v(A,C,r,g,m)}}return!!_&&(m||(m=new n),a(e,t,r,g,v,m))}},2052:(e,t,r)=>{var n=r(6053),o=r(9466);e.exports=function(e){return o(e)&&"[object Map]"==n(e)}},7799:(e,t,r)=>{var n=r(8545),o=r(590);e.exports=function(e,t,r,i){var a=r.length,l=a,s=!i;if(null==e)return!l;for(e=Object(e);a--;){var u=r[a];if(s&&u[2]?u[1]!==e[u[0]]:!(u[0]in e))return!1}for(;++a<l;){var c=(u=r[a])[0],d=e[c],p=u[1];if(s&&u[2]){if(void 0===d&&!(c in e))return!1}else{var f=new n;if(i)var h=i(d,p,c,e,t,f);if(!(void 0===h?o(p,d,3,i,f):h))return!1}}return!0}},8967:e=>{e.exports=function(e){return e!=e}},4363:(e,t,r)=>{var n=r(1866),o=r(3248),i=r(7453),a=r(3761),l=/^\[object .+?Constructor\]$/,s=Function.prototype,u=Object.prototype,c=s.toString,d=u.hasOwnProperty,p=RegExp("^"+c.call(d).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$");e.exports=function(e){return!(!i(e)||o(e))&&(n(e)?p:l).test(a(e))}},5206:(e,t,r)=>{var n=r(6053),o=r(9466);e.exports=function(e){return o(e)&&"[object Set]"==n(e)}},9653:(e,t,r)=>{var n=r(9048),o=r(582),i=r(9466),a={};a["[object Float32Array]"]=a["[object Float64Array]"]=a["[object Int8Array]"]=a["[object Int16Array]"]=a["[object Int32Array]"]=a["[object Uint8Array]"]=a["[object Uint8ClampedArray]"]=a["[object Uint16Array]"]=a["[object Uint32Array]"]=!0,a["[object Arguments]"]=a["[object Array]"]=a["[object ArrayBuffer]"]=a["[object Boolean]"]=a["[object DataView]"]=a["[object Date]"]=a["[object Error]"]=a["[object Function]"]=a["[object Map]"]=a["[object Number]"]=a["[object Object]"]=a["[object RegExp]"]=a["[object Set]"]=a["[object String]"]=a["[object WeakMap]"]=!1,e.exports=function(e){return i(e)&&o(e.length)&&!!a[n(e)]}},3245:(e,t,r)=>{var n=r(8271),o=r(4458),i=r(912),a=r(4913),l=r(6711);e.exports=function(e){return"function"==typeof e?e:null==e?i:"object"==typeof e?a(e)?o(e[0],e[1]):n(e):l(e)}},6504:(e,t,r)=>{var n=r(5735),o=r(9458),i=Object.prototype.hasOwnProperty;e.exports=function(e){if(!n(e))return o(e);var t=[];for(var r in Object(e))i.call(e,r)&&"constructor"!=r&&t.push(r);return t}},9399:(e,t,r)=>{var n=r(7453),o=r(5735),i=r(2693),a=Object.prototype.hasOwnProperty;e.exports=function(e){if(!n(e))return i(e);var t=o(e),r=[];for(var l in e)("constructor"!=l||!t&&a.call(e,l))&&r.push(l);return r}},8271:(e,t,r)=>{var n=r(7799),o=r(520),i=r(7405);e.exports=function(e){var t=o(e);return 1==t.length&&t[0][2]?i(t[0][0],t[0][1]):function(r){return r===e||n(r,e,t)}}},4458:(e,t,r)=>{var n=r(590),o=r(5612),i=r(4055),a=r(6394),l=r(2308),s=r(7405),u=r(8197);e.exports=function(e,t){return a(e)&&l(t)?s(u(e),t):function(r){var a=o(r,e);return void 0===a&&a===t?i(r,e):n(t,a,3)}}},9058:(e,t,r)=>{var n=r(8545),o=r(237),i=r(6057),a=r(8120),l=r(7453),s=r(5961),u=r(4302);e.exports=function e(t,r,c,d,p){t!==r&&i(r,(function(i,s){if(p||(p=new n),l(i))a(t,r,s,c,e,d,p);else{var f=d?d(u(t,s),i,s+"",t,r,p):void 0;void 0===f&&(f=i),o(t,s,f)}}),s)}},8120:(e,t,r)=>{var n=r(237),o=r(8986),i=r(7961),a=r(1231),l=r(1225),s=r(5196),u=r(4913),c=r(7965),d=r(4264),p=r(1866),f=r(7453),h=r(5219),g=r(5087),v=r(4302),m=r(5148);e.exports=function(e,t,r,y,b,E,O){var S=v(e,r),T=v(t,r),_=O.get(T);if(_)n(e,r,_);else{var w=E?E(S,T,r+"",e,t,O):void 0,R=void 0===w;if(R){var A=u(T),C=!A&&d(T),I=!A&&!C&&g(T);w=T,A||C||I?u(S)?w=S:c(S)?w=a(S):C?(R=!1,w=o(T,!0)):I?(R=!1,w=i(T,!0)):w=[]:h(T)||s(T)?(w=S,s(S)?w=m(S):f(S)&&!p(S)||(w=l(T))):R=!1}R&&(O.set(T,w),b(w,T,y,E,O),O.delete(T)),n(e,r,w)}}},1:(e,t,r)=>{var n=r(9916),o=r(4055);e.exports=function(e,t){return n(e,t,(function(t,r){return o(e,r)}))}},9916:(e,t,r)=>{var n=r(2718),o=r(3746),i=r(2361);e.exports=function(e,t,r){for(var a=-1,l=t.length,s={};++a<l;){var u=t[a],c=n(e,u);r(c,u)&&o(s,i(u,e),c)}return s}},645:e=>{e.exports=function(e){return function(t){return null==t?void 0:t[e]}}},5319:(e,t,r)=>{var n=r(2718);e.exports=function(e){return function(t){return n(t,e)}}},9383:e=>{var t=Math.ceil,r=Math.max;e.exports=function(e,n,o,i){for(var a=-1,l=r(t((n-e)/(o||1)),0),s=Array(l);l--;)s[i?l:++a]=e,e+=o;return s}},1459:e=>{var t=Math.floor;e.exports=function(e,r){var n="";if(!e||r<1||r>9007199254740991)return n;do{r%2&&(n+=e),(r=t(r/2))&&(e+=e)}while(r);return n}},1110:(e,t,r)=>{var n=r(912),o=r(709),i=r(7281);e.exports=function(e,t){return i(o(e,t,n),e+"")}},3746:(e,t,r)=>{var n=r(8131),o=r(2361),i=r(6665),a=r(7453),l=r(8197);e.exports=function(e,t,r,s){if(!a(e))return e;for(var u=-1,c=(t=o(t,e)).length,d=c-1,p=e;null!=p&&++u<c;){var f=l(t[u]),h=r;if("__proto__"===f||"constructor"===f||"prototype"===f)return e;if(u!=d){var g=p[f];void 0===(h=s?s(g,f,p):void 0)&&(h=a(g)?g:i(t[u+1])?[]:{})}n(p,f,h),p=p[f]}return e}},4450:(e,t,r)=>{var n=r(6534),o=r(9611),i=r(912),a=o?function(e,t){return o(e,"toString",{configurable:!0,enumerable:!1,value:n(t),writable:!0})}:i;e.exports=a},312:e=>{e.exports=function(e,t,r){var n=-1,o=e.length;t<0&&(t=-t>o?0:o+t),(r=r>o?o:r)<0&&(r+=o),o=t>r?0:r-t>>>0,t>>>=0;for(var i=Array(o);++n<o;)i[n]=e[n+t];return i}},2784:e=>{e.exports=function(e,t){for(var r=-1,n=Array(e);++r<e;)n[r]=t(r);return n}},9764:(e,t,r)=>{var n=r(2609),o=r(1428),i=r(4913),a=r(7386),l=n?n.prototype:void 0,s=l?l.toString:void 0;e.exports=function e(t){if("string"==typeof t)return t;if(i(t))return o(t,e)+"";if(a(t))return s?s.call(t):"";var r=t+"";return"0"==r&&1/t==-1/0?"-0":r}},7248:(e,t,r)=>{var n=r(1272),o=/^\s+/;e.exports=function(e){return e?e.slice(0,n(e)+1).replace(o,""):e}},277:e=>{e.exports=function(e){return function(t){return e(t)}}},6744:(e,t,r)=>{var n=r(2361),o=r(8906),i=r(2473),a=r(8197);e.exports=function(e,t){return t=n(t,e),null==(e=i(e,t))||delete e[a(o(t))]}},1282:(e,t,r)=>{var n=r(1428);e.exports=function(e,t){return n(t,(function(t){return e[t]}))}},3840:e=>{e.exports=function(e,t){return e.has(t)}},2361:(e,t,r)=>{var n=r(4913),o=r(6394),i=r(266),a=r(3158);e.exports=function(e,t){return n(e)?e:o(e,t)?[e]:i(a(e))}},7749:(e,t,r)=>{var n=r(3604);e.exports=function(e){var t=new e.constructor(e.byteLength);return new n(t).set(new n(e)),t}},8986:(e,t,r)=>{e=r.nmd(e);var n=r(9965),o=t&&!t.nodeType&&t,i=o&&e&&!e.nodeType&&e,a=i&&i.exports===o?n.Buffer:void 0,l=a?a.allocUnsafe:void 0;e.exports=function(e,t){if(t)return e.slice();var r=e.length,n=l?l(r):new e.constructor(r);return e.copy(n),n}},3081:(e,t,r)=>{var n=r(7749);e.exports=function(e,t){var r=t?n(e.buffer):e.buffer;return new e.constructor(r,e.byteOffset,e.byteLength)}},6945:e=>{var t=/\w*$/;e.exports=function(e){var r=new e.constructor(e.source,t.exec(e));return r.lastIndex=e.lastIndex,r}},6952:(e,t,r)=>{var n=r(2609),o=n?n.prototype:void 0,i=o?o.valueOf:void 0;e.exports=function(e){return i?Object(i.call(e)):{}}},7961:(e,t,r)=>{var n=r(7749);e.exports=function(e,t){var r=t?n(e.buffer):e.buffer;return new e.constructor(r,e.byteOffset,e.length)}},1231:e=>{e.exports=function(e,t){var r=-1,n=e.length;for(t||(t=Array(n));++r<n;)t[r]=e[r];return t}},4735:(e,t,r)=>{var n=r(8131),o=r(2464);e.exports=function(e,t,r,i){var a=!r;r||(r={});for(var l=-1,s=t.length;++l<s;){var u=t[l],c=i?i(r[u],e[u],u,r,e):void 0;void 0===c&&(c=e[u]),a?o(r,u,c):n(r,u,c)}return r}},1711:(e,t,r)=>{var n=r(4735),o=r(6600);e.exports=function(e,t){return n(e,o(e),t)}},1476:(e,t,r)=>{var n=r(4735),o=r(8455);e.exports=function(e,t){return n(e,o(e),t)}},2489:(e,t,r)=>{var n=r(9965)["__core-js_shared__"];e.exports=n},9511:(e,t,r)=>{var n=r(1110),o=r(3632);e.exports=function(e){return n((function(t,r){var n=-1,i=r.length,a=i>1?r[i-1]:void 0,l=i>2?r[2]:void 0;for(a=e.length>3&&"function"==typeof a?(i--,a):void 0,l&&o(r[0],r[1],l)&&(a=i<3?void 0:a,i=1),t=Object(t);++n<i;){var s=r[n];s&&e(t,s,n,a)}return t}))}},5845:e=>{e.exports=function(e){return function(t,r,n){for(var o=-1,i=Object(t),a=n(t),l=a.length;l--;){var s=a[e?l:++o];if(!1===r(i[s],s,i))break}return t}}},8580:(e,t,r)=>{var n=r(9383),o=r(3632),i=r(1144);e.exports=function(e){return function(t,r,a){return a&&"number"!=typeof a&&o(t,r,a)&&(r=a=void 0),t=i(t),void 0===r?(r=t,t=0):r=i(r),a=void 0===a?t<r?1:-1:i(a),n(t,r,a,e)}}},2050:(e,t,r)=>{var n=r(5219);e.exports=function(e){return n(e)?void 0:e}},9611:(e,t,r)=>{var n=r(2062),o=function(){try{var e=n(Object,"defineProperty");return e({},"",{}),e}catch(e){}}();e.exports=o},4807:(e,t,r)=>{var n=r(8283),o=r(9272),i=r(3840);e.exports=function(e,t,r,a,l,s){var u=1&r,c=e.length,d=t.length;if(c!=d&&!(u&&d>c))return!1;var p=s.get(e),f=s.get(t);if(p&&f)return p==t&&f==e;var h=-1,g=!0,v=2&r?new n:void 0;for(s.set(e,t),s.set(t,e);++h<c;){var m=e[h],y=t[h];if(a)var b=u?a(y,m,h,t,e,s):a(m,y,h,e,t,s);if(void 0!==b){if(b)continue;g=!1;break}if(v){if(!o(t,(function(e,t){if(!i(v,t)&&(m===e||l(m,e,r,a,s)))return v.push(t)}))){g=!1;break}}else if(m!==y&&!l(m,y,r,a,s)){g=!1;break}}return s.delete(e),s.delete(t),g}},898:(e,t,r)=>{var n=r(2609),o=r(3604),i=r(6424),a=r(4807),l=r(9885),s=r(6295),u=n?n.prototype:void 0,c=u?u.valueOf:void 0;e.exports=function(e,t,r,n,u,d,p){switch(r){case"[object DataView]":if(e.byteLength!=t.byteLength||e.byteOffset!=t.byteOffset)return!1;e=e.buffer,t=t.buffer;case"[object ArrayBuffer]":return!(e.byteLength!=t.byteLength||!d(new o(e),new o(t)));case"[object Boolean]":case"[object Date]":case"[object Number]":return i(+e,+t);case"[object Error]":return e.name==t.name&&e.message==t.message;case"[object RegExp]":case"[object String]":return e==t+"";case"[object Map]":var f=l;case"[object Set]":var h=1&n;if(f||(f=s),e.size!=t.size&&!h)return!1;var g=p.get(e);if(g)return g==t;n|=2,p.set(e,t);var v=a(f(e),f(t),n,u,d,p);return p.delete(e),v;case"[object Symbol]":if(c)return c.call(e)==c.call(t)}return!1}},3409:(e,t,r)=>{var n=r(130),o=Object.prototype.hasOwnProperty;e.exports=function(e,t,r,i,a,l){var s=1&r,u=n(e),c=u.length;if(c!=n(t).length&&!s)return!1;for(var d=c;d--;){var p=u[d];if(!(s?p in t:o.call(t,p)))return!1}var f=l.get(e),h=l.get(t);if(f&&h)return f==t&&h==e;var g=!0;l.set(e,t),l.set(t,e);for(var v=s;++d<c;){var m=e[p=u[d]],y=t[p];if(i)var b=s?i(y,m,p,t,e,l):i(m,y,p,e,t,l);if(!(void 0===b?m===y||a(m,y,r,i,l):b)){g=!1;break}v||(v="constructor"==p)}if(g&&!v){var E=e.constructor,O=t.constructor;E==O||!("constructor"in e)||!("constructor"in t)||"function"==typeof E&&E instanceof E&&"function"==typeof O&&O instanceof O||(g=!1)}return l.delete(e),l.delete(t),g}},8496:(e,t,r)=>{var n=r(9234),o=r(709),i=r(7281);e.exports=function(e){return i(o(e,void 0,n),e+"")}},6392:(e,t,r)=>{var n="object"==typeof r.g&&r.g&&r.g.Object===Object&&r.g;e.exports=n},130:(e,t,r)=>{var n=r(8359),o=r(6600),i=r(3790);e.exports=function(e){return n(e,i,o)}},869:(e,t,r)=>{var n=r(8359),o=r(8455),i=r(5961);e.exports=function(e){return n(e,i,o)}},3707:(e,t,r)=>{var n=r(9178);e.exports=function(e,t){var r=e.__data__;return n(t)?r["string"==typeof t?"string":"hash"]:r.map}},520:(e,t,r)=>{var n=r(2308),o=r(3790);e.exports=function(e){for(var t=o(e),r=t.length;r--;){var i=t[r],a=e[i];t[r]=[i,a,n(a)]}return t}},2062:(e,t,r)=>{var n=r(4363),o=r(5240);e.exports=function(e,t){var r=o(e,t);return n(r)?r:void 0}},6607:(e,t,r)=>{var n=r(8303)(Object.getPrototypeOf,Object);e.exports=n},2899:(e,t,r)=>{var n=r(2609),o=Object.prototype,i=o.hasOwnProperty,a=o.toString,l=n?n.toStringTag:void 0;e.exports=function(e){var t=i.call(e,l),r=e[l];try{e[l]=void 0;var n=!0}catch(e){}var o=a.call(e);return n&&(t?e[l]=r:delete e[l]),o}},6600:(e,t,r)=>{var n=r(9386),o=r(8721),i=Object.prototype.propertyIsEnumerable,a=Object.getOwnPropertySymbols,l=a?function(e){return null==e?[]:(e=Object(e),n(a(e),(function(t){return i.call(e,t)})))}:o;e.exports=l},8455:(e,t,r)=>{var n=r(8256),o=r(6607),i=r(6600),a=r(8721),l=Object.getOwnPropertySymbols?function(e){for(var t=[];e;)n(t,i(e)),e=o(e);return t}:a;e.exports=l},6053:(e,t,r)=>{var n=r(5948),o=r(5455),i=r(6420),a=r(2833),l=r(8143),s=r(9048),u=r(3761),c="[object Map]",d="[object Promise]",p="[object Set]",f="[object WeakMap]",h="[object DataView]",g=u(n),v=u(o),m=u(i),y=u(a),b=u(l),E=s;(n&&E(new n(new ArrayBuffer(1)))!=h||o&&E(new o)!=c||i&&E(i.resolve())!=d||a&&E(new a)!=p||l&&E(new l)!=f)&&(E=function(e){var t=s(e),r="[object Object]"==t?e.constructor:void 0,n=r?u(r):"";if(n)switch(n){case g:return h;case v:return c;case m:return d;case y:return p;case b:return f}return t}),e.exports=E},5240:e=>{e.exports=function(e,t){return null==e?void 0:e[t]}},1518:(e,t,r)=>{var n=r(2361),o=r(5196),i=r(4913),a=r(6665),l=r(582),s=r(8197);e.exports=function(e,t,r){for(var u=-1,c=(t=n(t,e)).length,d=!1;++u<c;){var p=s(t[u]);if(!(d=null!=e&&r(e,p)))break;e=e[p]}return d||++u!=c?d:!!(c=null==e?0:e.length)&&l(c)&&a(p,c)&&(i(e)||o(e))}},5504:(e,t,r)=>{var n=r(8034);e.exports=function(){this.__data__=n?n(null):{},this.size=0}},5270:e=>{e.exports=function(e){var t=this.has(e)&&delete this.__data__[e];return this.size-=t?1:0,t}},7150:(e,t,r)=>{var n=r(8034),o=Object.prototype.hasOwnProperty;e.exports=function(e){var t=this.__data__;if(n){var r=t[e];return"__lodash_hash_undefined__"===r?void 0:r}return o.call(t,e)?t[e]:void 0}},2637:(e,t,r)=>{var n=r(8034),o=Object.prototype.hasOwnProperty;e.exports=function(e){var t=this.__data__;return n?void 0!==t[e]:o.call(t,e)}},1077:(e,t,r)=>{var n=r(8034);e.exports=function(e,t){var r=this.__data__;return this.size+=this.has(e)?0:1,r[e]=n&&void 0===t?"__lodash_hash_undefined__":t,this}},509:e=>{var t=Object.prototype.hasOwnProperty;e.exports=function(e){var r=e.length,n=new e.constructor(r);return r&&"string"==typeof e[0]&&t.call(e,"index")&&(n.index=e.index,n.input=e.input),n}},1343:(e,t,r)=>{var n=r(7749),o=r(3081),i=r(6945),a=r(6952),l=r(7961);e.exports=function(e,t,r){var s=e.constructor;switch(t){case"[object ArrayBuffer]":return n(e);case"[object Boolean]":case"[object Date]":return new s(+e);case"[object DataView]":return o(e,r);case"[object Float32Array]":case"[object Float64Array]":case"[object Int8Array]":case"[object Int16Array]":case"[object Int32Array]":case"[object Uint8Array]":case"[object Uint8ClampedArray]":case"[object Uint16Array]":case"[object Uint32Array]":return l(e,r);case"[object Map]":case"[object Set]":return new s;case"[object Number]":case"[object String]":return new s(e);case"[object RegExp]":return i(e);case"[object Symbol]":return a(e)}}},1225:(e,t,r)=>{var n=r(3088),o=r(6607),i=r(5735);e.exports=function(e){return"function"!=typeof e.constructor||i(e)?{}:n(o(e))}},5043:(e,t,r)=>{var n=r(2609),o=r(5196),i=r(4913),a=n?n.isConcatSpreadable:void 0;e.exports=function(e){return i(e)||o(e)||!!(a&&e&&e[a])}},6665:e=>{var t=/^(?:0|[1-9]\d*)$/;e.exports=function(e,r){var n=typeof e;return!!(r=null==r?9007199254740991:r)&&("number"==n||"symbol"!=n&&t.test(e))&&e>-1&&e%1==0&&e<r}},3632:(e,t,r)=>{var n=r(6424),o=r(7134),i=r(6665),a=r(7453);e.exports=function(e,t,r){if(!a(r))return!1;var l=typeof t;return!!("number"==l?o(r)&&i(t,r.length):"string"==l&&t in r)&&n(r[t],e)}},6394:(e,t,r)=>{var n=r(4913),o=r(7386),i=/\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,a=/^\w*$/;e.exports=function(e,t){if(n(e))return!1;var r=typeof e;return!("number"!=r&&"symbol"!=r&&"boolean"!=r&&null!=e&&!o(e))||a.test(e)||!i.test(e)||null!=t&&e in Object(t)}},9178:e=>{e.exports=function(e){var t=typeof e;return"string"==t||"number"==t||"symbol"==t||"boolean"==t?"__proto__"!==e:null===e}},3248:(e,t,r)=>{var n,o=r(2489),i=(n=/[^.]+$/.exec(o&&o.keys&&o.keys.IE_PROTO||""))?"Symbol(src)_1."+n:"";e.exports=function(e){return!!i&&i in e}},5735:e=>{var t=Object.prototype;e.exports=function(e){var r=e&&e.constructor;return e===("function"==typeof r&&r.prototype||t)}},2308:(e,t,r)=>{var n=r(7453);e.exports=function(e){return e==e&&!n(e)}},7718:e=>{e.exports=function(){this.__data__=[],this.size=0}},4272:(e,t,r)=>{var n=r(3481),o=Array.prototype.splice;e.exports=function(e){var t=this.__data__,r=n(t,e);return!(r<0||(r==t.length-1?t.pop():o.call(t,r,1),--this.size,0))}},5107:(e,t,r)=>{var n=r(3481);e.exports=function(e){var t=this.__data__,r=n(t,e);return r<0?void 0:t[r][1]}},1055:(e,t,r)=>{var n=r(3481);e.exports=function(e){return n(this.__data__,e)>-1}},4647:(e,t,r)=>{var n=r(3481);e.exports=function(e,t){var r=this.__data__,o=n(r,e);return o<0?(++this.size,r.push([e,t])):r[o][1]=t,this}},6400:(e,t,r)=>{var n=r(4845),o=r(1999),i=r(5455);e.exports=function(){this.size=0,this.__data__={hash:new n,map:new(i||o),string:new n}}},7014:(e,t,r)=>{var n=r(3707);e.exports=function(e){var t=n(this,e).delete(e);return this.size-=t?1:0,t}},1793:(e,t,r)=>{var n=r(3707);e.exports=function(e){return n(this,e).get(e)}},6429:(e,t,r)=>{var n=r(3707);e.exports=function(e){return n(this,e).has(e)}},821:(e,t,r)=>{var n=r(3707);e.exports=function(e,t){var r=n(this,e),o=r.size;return r.set(e,t),this.size+=r.size==o?0:1,this}},9885:e=>{e.exports=function(e){var t=-1,r=Array(e.size);return e.forEach((function(e,n){r[++t]=[n,e]})),r}},7405:e=>{e.exports=function(e,t){return function(r){return null!=r&&r[e]===t&&(void 0!==t||e in Object(r))}}},2848:(e,t,r)=>{var n=r(3272);e.exports=function(e){var t=n(e,(function(e){return 500===r.size&&r.clear(),e})),r=t.cache;return t}},8034:(e,t,r)=>{var n=r(2062)(Object,"create");e.exports=n},9458:(e,t,r)=>{var n=r(8303)(Object.keys,Object);e.exports=n},2693:e=>{e.exports=function(e){var t=[];if(null!=e)for(var r in Object(e))t.push(r);return t}},1977:(e,t,r)=>{e=r.nmd(e);var n=r(6392),o=t&&!t.nodeType&&t,i=o&&e&&!e.nodeType&&e,a=i&&i.exports===o&&n.process,l=function(){try{return i&&i.require&&i.require("util").types||a&&a.binding&&a.binding("util")}catch(e){}}();e.exports=l},7222:e=>{var t=Object.prototype.toString;e.exports=function(e){return t.call(e)}},8303:e=>{e.exports=function(e,t){return function(r){return e(t(r))}}},709:(e,t,r)=>{var n=r(1929),o=Math.max;e.exports=function(e,t,r){return t=o(void 0===t?e.length-1:t,0),function(){for(var i=arguments,a=-1,l=o(i.length-t,0),s=Array(l);++a<l;)s[a]=i[t+a];a=-1;for(var u=Array(t+1);++a<t;)u[a]=i[a];return u[t]=r(s),n(e,this,u)}}},2473:(e,t,r)=>{var n=r(2718),o=r(312);e.exports=function(e,t){return t.length<2?e:n(e,o(t,0,-1))}},9965:(e,t,r)=>{var n=r(6392),o="object"==typeof self&&self&&self.Object===Object&&self,i=n||o||Function("return this")();e.exports=i},4302:e=>{e.exports=function(e,t){if(("constructor"!==t||"function"!=typeof e[t])&&"__proto__"!=t)return e[t]}},228:e=>{e.exports=function(e){return this.__data__.set(e,"__lodash_hash_undefined__"),this}},3683:e=>{e.exports=function(e){return this.__data__.has(e)}},6295:e=>{e.exports=function(e){var t=-1,r=Array(e.size);return e.forEach((function(e){r[++t]=e})),r}},7281:(e,t,r)=>{var n=r(4450),o=r(435)(n);e.exports=o},435:e=>{var t=Date.now;e.exports=function(e){var r=0,n=0;return function(){var o=t(),i=16-(o-n);if(n=o,i>0){if(++r>=800)return arguments[0]}else r=0;return e.apply(void 0,arguments)}}},5052:(e,t,r)=>{var n=r(1999);e.exports=function(){this.__data__=new n,this.size=0}},4250:e=>{e.exports=function(e){var t=this.__data__,r=t.delete(e);return this.size=t.size,r}},4773:e=>{e.exports=function(e){return this.__data__.get(e)}},6921:e=>{e.exports=function(e){return this.__data__.has(e)}},5745:(e,t,r)=>{var n=r(1999),o=r(5455),i=r(1549);e.exports=function(e,t){var r=this.__data__;if(r instanceof n){var a=r.__data__;if(!o||a.length<199)return a.push([e,t]),this.size=++r.size,this;r=this.__data__=new i(a)}return r.set(e,t),this.size=r.size,this}},5951:e=>{e.exports=function(e,t,r){for(var n=r-1,o=e.length;++n<o;)if(e[n]===t)return n;return-1}},266:(e,t,r)=>{var n=r(2848),o=/[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g,i=/\\(\\)?/g,a=n((function(e){var t=[];return 46===e.charCodeAt(0)&&t.push(""),e.replace(o,(function(e,r,n,o){t.push(n?o.replace(i,"$1"):r||e)})),t}));e.exports=a},8197:(e,t,r)=>{var n=r(7386);e.exports=function(e){if("string"==typeof e||n(e))return e;var t=e+"";return"0"==t&&1/e==-1/0?"-0":t}},3761:e=>{var t=Function.prototype.toString;e.exports=function(e){if(null!=e){try{return t.call(e)}catch(e){}try{return e+""}catch(e){}}return""}},1272:e=>{var t=/\s/;e.exports=function(e){for(var r=e.length;r--&&t.test(e.charAt(r)););return r}},6534:e=>{e.exports=function(e){return function(){return e}}},9517:(e,t,r)=>{var n=r(7453),o=r(2220),i=r(3662),a=Math.max,l=Math.min;e.exports=function(e,t,r){var s,u,c,d,p,f,h=0,g=!1,v=!1,m=!0;if("function"!=typeof e)throw new TypeError("Expected a function");function y(t){var r=s,n=u;return s=u=void 0,h=t,d=e.apply(n,r)}function b(e){var r=e-f;return void 0===f||r>=t||r<0||v&&e-h>=c}function E(){var e=o();if(b(e))return O(e);p=setTimeout(E,function(e){var r=t-(e-f);return v?l(r,c-(e-h)):r}(e))}function O(e){return p=void 0,m&&s?y(e):(s=u=void 0,d)}function S(){var e=o(),r=b(e);if(s=arguments,u=this,f=e,r){if(void 0===p)return function(e){return h=e,p=setTimeout(E,t),g?y(e):d}(f);if(v)return clearTimeout(p),p=setTimeout(E,t),y(f)}return void 0===p&&(p=setTimeout(E,t)),d}return t=i(t)||0,n(r)&&(g=!!r.leading,c=(v="maxWait"in r)?a(i(r.maxWait)||0,t):c,m="trailing"in r?!!r.trailing:m),S.cancel=function(){void 0!==p&&clearTimeout(p),h=0,s=f=u=p=void 0},S.flush=function(){return void 0===p?d:O(o())},S}},6424:e=>{e.exports=function(e,t){return e===t||e!=e&&t!=t}},8472:(e,t,r)=>{var n=r(3158),o=/[\\^$.*+?()[\]{}|]/g,i=RegExp(o.source);e.exports=function(e){return(e=n(e))&&i.test(e)?e.replace(o,"\\$&"):e}},9234:(e,t,r)=>{var n=r(1360);e.exports=function(e){return null!=e&&e.length?n(e,1):[]}},5612:(e,t,r)=>{var n=r(2718);e.exports=function(e,t,r){var o=null==e?void 0:n(e,t);return void 0===o?r:o}},4055:(e,t,r)=>{var n=r(3613),o=r(1518);e.exports=function(e,t){return null!=e&&o(e,t,n)}},912:e=>{e.exports=function(e){return e}},1283:(e,t,r)=>{var n=r(9555),o=r(7134),i=r(8951),a=r(5729),l=r(1624),s=Math.max;e.exports=function(e,t,r,u){e=o(e)?e:l(e),r=r&&!u?a(r):0;var c=e.length;return r<0&&(r=s(c+r,0)),i(e)?r<=c&&e.indexOf(t,r)>-1:!!c&&n(e,t,r)>-1}},5196:(e,t,r)=>{var n=r(3070),o=r(9466),i=Object.prototype,a=i.hasOwnProperty,l=i.propertyIsEnumerable,s=n(function(){return arguments}())?n:function(e){return o(e)&&a.call(e,"callee")&&!l.call(e,"callee")};e.exports=s},4913:e=>{var t=Array.isArray;e.exports=t},7134:(e,t,r)=>{var n=r(1866),o=r(582);e.exports=function(e){return null!=e&&o(e.length)&&!n(e)}},7965:(e,t,r)=>{var n=r(7134),o=r(9466);e.exports=function(e){return o(e)&&n(e)}},4264:(e,t,r)=>{e=r.nmd(e);var n=r(9965),o=r(9375),i=t&&!t.nodeType&&t,a=i&&e&&!e.nodeType&&e,l=a&&a.exports===i?n.Buffer:void 0,s=(l?l.isBuffer:void 0)||o;e.exports=s},7969:(e,t,r)=>{var n=r(6504),o=r(6053),i=r(5196),a=r(4913),l=r(7134),s=r(4264),u=r(5735),c=r(5087),d=Object.prototype.hasOwnProperty;e.exports=function(e){if(null==e)return!0;if(l(e)&&(a(e)||"string"==typeof e||"function"==typeof e.splice||s(e)||c(e)||i(e)))return!e.length;var t=o(e);if("[object Map]"==t||"[object Set]"==t)return!e.size;if(u(e))return!n(e).length;for(var r in e)if(d.call(e,r))return!1;return!0}},1866:(e,t,r)=>{var n=r(9048),o=r(7453);e.exports=function(e){if(!o(e))return!1;var t=n(e);return"[object Function]"==t||"[object GeneratorFunction]"==t||"[object AsyncFunction]"==t||"[object Proxy]"==t}},582:e=>{e.exports=function(e){return"number"==typeof e&&e>-1&&e%1==0&&e<=9007199254740991}},146:(e,t,r)=>{var n=r(2052),o=r(277),i=r(1977),a=i&&i.isMap,l=a?o(a):n;e.exports=l},7453:e=>{e.exports=function(e){var t=typeof e;return null!=e&&("object"==t||"function"==t)}},9466:e=>{e.exports=function(e){return null!=e&&"object"==typeof e}},5219:(e,t,r)=>{var n=r(9048),o=r(6607),i=r(9466),a=Function.prototype,l=Object.prototype,s=a.toString,u=l.hasOwnProperty,c=s.call(Object);e.exports=function(e){if(!i(e)||"[object Object]"!=n(e))return!1;var t=o(e);if(null===t)return!0;var r=u.call(t,"constructor")&&t.constructor;return"function"==typeof r&&r instanceof r&&s.call(r)==c}},8696:(e,t,r)=>{var n=r(5206),o=r(277),i=r(1977),a=i&&i.isSet,l=a?o(a):n;e.exports=l},8951:(e,t,r)=>{var n=r(9048),o=r(4913),i=r(9466);e.exports=function(e){return"string"==typeof e||!o(e)&&i(e)&&"[object String]"==n(e)}},7386:(e,t,r)=>{var n=r(9048),o=r(9466);e.exports=function(e){return"symbol"==typeof e||o(e)&&"[object Symbol]"==n(e)}},5087:(e,t,r)=>{var n=r(9653),o=r(277),i=r(1977),a=i&&i.isTypedArray,l=a?o(a):n;e.exports=l},3790:(e,t,r)=>{var n=r(6791),o=r(6504),i=r(7134);e.exports=function(e){return i(e)?n(e):o(e)}},5961:(e,t,r)=>{var n=r(6791),o=r(9399),i=r(7134);e.exports=function(e){return i(e)?n(e,!0):o(e)}},8906:e=>{e.exports=function(e){var t=null==e?0:e.length;return t?e[t-1]:void 0}},1612:(e,t,r)=>{var n=r(2464),o=r(5473),i=r(3245);e.exports=function(e,t){var r={};return t=i(t,3),o(e,(function(e,o,i){n(r,o,t(e,o,i))})),r}},3272:(e,t,r)=>{var n=r(1549);function o(e,t){if("function"!=typeof e||null!=t&&"function"!=typeof t)throw new TypeError("Expected a function");var r=function(){var n=arguments,o=t?t.apply(this,n):n[0],i=r.cache;if(i.has(o))return i.get(o);var a=e.apply(this,n);return r.cache=i.set(o,a)||i,a};return r.cache=new(o.Cache||n),r}o.Cache=n,e.exports=o},4308:(e,t,r)=>{var n=r(9058),o=r(9511)((function(e,t,r){n(e,t,r)}));e.exports=o},2815:(e,t,r)=>{var n=r(9058),o=r(9511)((function(e,t,r,o){n(e,t,r,o)}));e.exports=o},2220:(e,t,r)=>{var n=r(9965);e.exports=function(){return n.Date.now()}},7027:(e,t,r)=>{var n=r(1428),o=r(6575),i=r(6744),a=r(2361),l=r(4735),s=r(2050),u=r(8496),c=r(869),d=u((function(e,t){var r={};if(null==e)return r;var u=!1;t=n(t,(function(t){return t=a(t,e),u||(u=t.length>1),t})),l(e,c(e),r),u&&(r=o(r,7,s));for(var d=t.length;d--;)i(r,t[d]);return r}));e.exports=d},8831:(e,t,r)=>{var n=r(1),o=r(8496)((function(e,t){return null==e?{}:n(e,t)}));e.exports=o},350:(e,t,r)=>{var n=r(1428),o=r(3245),i=r(9916),a=r(869);e.exports=function(e,t){if(null==e)return{};var r=n(a(e),(function(e){return[e]}));return t=o(t),i(e,r,(function(e,r){return t(e,r[0])}))}},6711:(e,t,r)=>{var n=r(645),o=r(5319),i=r(6394),a=r(8197);e.exports=function(e){return i(e)?n(a(e)):o(e)}},2285:(e,t,r)=>{var n=r(8580)();e.exports=n},9901:(e,t,r)=>{var n=r(1459),o=r(3632),i=r(5729),a=r(3158);e.exports=function(e,t,r){return t=(r?o(e,t,r):void 0===t)?1:i(t),n(a(e),t)}},3547:(e,t,r)=>{var n=r(5725),o=r(9764),i=r(5729),a=r(3158);e.exports=function(e,t,r){return e=a(e),r=null==r?0:n(i(r),0,e.length),t=o(t),e.slice(r,r+t.length)==t}},8721:e=>{e.exports=function(){return[]}},9375:e=>{e.exports=function(){return!1}},1144:(e,t,r)=>{var n=r(3662),o=1/0;e.exports=function(e){return e?(e=n(e))===o||e===-1/0?17976931348623157e292*(e<0?-1:1):e==e?e:0:0===e?e:0}},5729:(e,t,r)=>{var n=r(1144);e.exports=function(e){var t=n(e),r=t%1;return t==t?r?t-r:t:0}},3662:(e,t,r)=>{var n=r(7248),o=r(7453),i=r(7386),a=/^[-+]0x[0-9a-f]+$/i,l=/^0b[01]+$/i,s=/^0o[0-7]+$/i,u=parseInt;e.exports=function(e){if("number"==typeof e)return e;if(i(e))return NaN;if(o(e)){var t="function"==typeof e.valueOf?e.valueOf():e;e=o(t)?t+"":t}if("string"!=typeof e)return 0===e?e:+e;e=n(e);var r=l.test(e);return r||s.test(e)?u(e.slice(2),r?2:8):a.test(e)?NaN:+e}},5148:(e,t,r)=>{var n=r(4735),o=r(5961);e.exports=function(e){return n(e,o(e))}},3158:(e,t,r)=>{var n=r(9764);e.exports=function(e){return null==e?"":n(e)}},1624:(e,t,r)=>{var n=r(1282),o=r(3790);e.exports=function(e){return null==e?[]:n(e,o(e))}},3238:function(e){e.exports=function(){"use strict";var e={isEqual:!0,isMatchingKey:!0,isPromise:!0,maxSize:!0,onCacheAdd:!0,onCacheChange:!0,onCacheHit:!0,transformKey:!0},t=Array.prototype.slice;function r(e){var r=e.length;return r?1===r?[e[0]]:2===r?[e[0],e[1]]:3===r?[e[0],e[1],e[2]]:t.call(e,0):[]}function n(e,t){return e===t||e!=e&&t!=t}function o(e,t){var r={};for(var n in e)r[n]=e[n];for(var n in t)r[n]=t[n];return r}var i=function(){function e(e){this.keys=[],this.values=[],this.options=e;var t="function"==typeof e.isMatchingKey;t?this.getKeyIndex=this._getKeyIndexFromMatchingKey:e.maxSize>1?this.getKeyIndex=this._getKeyIndexForMany:this.getKeyIndex=this._getKeyIndexForSingle,this.canTransformKey="function"==typeof e.transformKey,this.shouldCloneArguments=this.canTransformKey||t,this.shouldUpdateOnAdd="function"==typeof e.onCacheAdd,this.shouldUpdateOnChange="function"==typeof e.onCacheChange,this.shouldUpdateOnHit="function"==typeof e.onCacheHit}return Object.defineProperty(e.prototype,"size",{get:function(){return this.keys.length},enumerable:!1,configurable:!0}),Object.defineProperty(e.prototype,"snapshot",{get:function(){return{keys:r(this.keys),size:this.size,values:r(this.values)}},enumerable:!1,configurable:!0}),e.prototype._getKeyIndexFromMatchingKey=function(e){var t=this.options,r=t.isMatchingKey,n=t.maxSize,o=this.keys,i=o.length;if(!i)return-1;if(r(o[0],e))return 0;if(n>1)for(var a=1;a<i;a++)if(r(o[a],e))return a;return-1},e.prototype._getKeyIndexForMany=function(e){var t=this.options.isEqual,r=this.keys,n=r.length;if(!n)return-1;if(1===n)return this._getKeyIndexForSingle(e);var o,i,a=e.length;if(a>1){for(var l=0;l<n;l++)if((o=r[l]).length===a){for(i=0;i<a&&t(o[i],e[i]);i++);if(i===a)return l}}else for(l=0;l<n;l++)if((o=r[l]).length===a&&t(o[0],e[0]))return l;return-1},e.prototype._getKeyIndexForSingle=function(e){var t=this.keys;if(!t.length)return-1;var r=t[0],n=r.length;if(e.length!==n)return-1;var o=this.options.isEqual;if(n>1){for(var i=0;i<n;i++)if(!o(r[i],e[i]))return-1;return 0}return o(r[0],e[0])?0:-1},e.prototype.orderByLru=function(e,t,r){for(var n=this.keys,o=this.values,i=n.length,a=r;a--;)n[a+1]=n[a],o[a+1]=o[a];n[0]=e,o[0]=t;var l=this.options.maxSize;i===l&&r===i?(n.pop(),o.pop()):r>=l&&(n.length=o.length=l)},e.prototype.updateAsyncCache=function(e){var t=this,r=this.options,n=r.onCacheChange,o=r.onCacheHit,i=this.keys[0],a=this.values[0];this.values[0]=a.then((function(r){return t.shouldUpdateOnHit&&o(t,t.options,e),t.shouldUpdateOnChange&&n(t,t.options,e),r}),(function(e){var r=t.getKeyIndex(i);throw-1!==r&&(t.keys.splice(r,1),t.values.splice(r,1)),e}))},e}();return function t(a,l){if(void 0===l&&(l={}),function(e){return"function"==typeof e&&e.isMemoized}(a))return t(a.fn,o(a.options,l));if("function"!=typeof a)throw new TypeError("You must pass a function to `memoize`.");var s=l.isEqual,u=void 0===s?n:s,c=l.isMatchingKey,d=l.isPromise,p=void 0!==d&&d,f=l.maxSize,h=void 0===f?1:f,g=l.onCacheAdd,v=l.onCacheChange,m=l.onCacheHit,y=l.transformKey,b=o({isEqual:u,isMatchingKey:c,isPromise:p,maxSize:h,onCacheAdd:g,onCacheChange:v,onCacheHit:m,transformKey:y},function(t){var r={};for(var n in t)e[n]||(r[n]=t[n]);return r}(l)),E=new i(b),O=E.keys,S=E.values,T=E.canTransformKey,_=E.shouldCloneArguments,w=E.shouldUpdateOnAdd,R=E.shouldUpdateOnChange,A=E.shouldUpdateOnHit,C=function(){var e=_?r(arguments):arguments;T&&(e=y(e));var t=O.length?E.getKeyIndex(e):-1;if(-1!==t)A&&m(E,b,C),t&&(E.orderByLru(O[t],S[t],t),R&&v(E,b,C));else{var n=a.apply(this,arguments),o=_?e:r(arguments);E.orderByLru(o,n,O.length),p&&E.updateAsyncCache(C),w&&g(E,b,C),R&&v(E,b,C)}return S[0]};return C.cache=E,C.fn=a,C.isMemoized=!0,C.options=b,C}}()},4790:(e,t,r)=>{"use strict";var n=r(4621);function o(){}function i(){}i.resetWarningCache=o,e.exports=function(){function e(e,t,r,o,i,a){if(a!==n){var l=new Error("Calling PropTypes validators directly is not supported by the `prop-types` package. Use PropTypes.checkPropTypes() to call them. Read more at http://fb.me/use-check-prop-types");throw l.name="Invariant Violation",l}}function t(){return e}e.isRequired=e;var r={array:e,bigint:e,bool:e,func:e,number:e,object:e,string:e,symbol:e,any:e,arrayOf:t,element:e,elementType:e,instanceOf:t,node:e,objectOf:t,oneOf:t,oneOfType:t,shape:t,exact:t,checkPropTypes:i,resetWarningCache:o};return r.PropTypes=r,r}},7028:(e,t,r)=>{e.exports=r(4790)()},4621:e=>{"use strict";e.exports="SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED"},6563:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isNavigator=t.isBrowser=t.off=t.on=t.noop=void 0,t.noop=function(){},t.on=function(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];e&&e.addEventListener&&e.addEventListener.apply(e,t)},t.off=function(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];e&&e.removeEventListener&&e.removeEventListener.apply(e,t)},t.isBrowser="undefined"!=typeof window,t.isNavigator="undefined"!=typeof navigator},1777:(e,t,r)=>{"use strict";var n=r(4769),o=r(5959),i=n.__importDefault(r(5053));t.A=function(e,t){void 0===t&&(t=[]);var r=i.default(e,t,{loading:!0}),n=r[0],a=r[1];return o.useEffect((function(){a()}),[a]),n}},5053:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(4769),o=r(5959),i=n.__importDefault(r(9812));t.default=function(e,t,r){void 0===t&&(t=[]),void 0===r&&(r={loading:!1});var a=o.useRef(0),l=i.default(),s=o.useState(r),u=s[0],c=s[1],d=o.useCallback((function(){for(var t=[],r=0;r<arguments.length;r++)t[r]=arguments[r];var o=++a.current;return u.loading||c((function(e){return n.__assign(n.__assign({},e),{loading:!0})})),e.apply(void 0,t).then((function(e){return l()&&o===a.current&&c({value:e,loading:!1}),e}),(function(e){return l()&&o===a.current&&c({error:e,loading:!1}),e}))}),t);return[u,d]}},990:(e,t,r)=>{"use strict";var n=r(4769),o=r(5959),i=n.__importDefault(r(1854));t.A=function(e,t,r){void 0===t&&(t=0),void 0===r&&(r=[]);var n=i.default(e,t),a=n[0],l=n[1],s=n[2];return o.useEffect(s,r),[a,l]}},6943:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(5959),o=r(6563).isBrowser?n.useLayoutEffect:n.useEffect;t.default=o},8145:(e,t,r)=>{"use strict";var n=r(4769),o=r(5959),i=n.__importDefault(r(6943)),a=r(6563),l={x:0,y:0,width:0,height:0,top:0,left:0,bottom:0,right:0};t.A=a.isBrowser&&void 0!==window.ResizeObserver?function(){var e=o.useState(null),t=e[0],r=e[1],n=o.useState(l),a=n[0],s=n[1],u=o.useMemo((function(){return new window.ResizeObserver((function(e){if(e[0]){var t=e[0].contentRect,r=t.x,n=t.y,o=t.width,i=t.height,a=t.top,l=t.left,u=t.bottom,c=t.right;s({x:r,y:n,width:o,height:i,top:a,left:l,bottom:u,right:c})}}))}),[]);return i.default((function(){if(t)return u.observe(t),function(){u.disconnect()}}),[t]),[r,a]}:function(){return[a.noop,l]}},9812:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(5959);t.default=function(){var e=n.useRef(!1),t=n.useCallback((function(){return e.current}),[]);return n.useEffect((function(){return e.current=!0,function(){e.current=!1}}),[]),t}},1854:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(5959);t.default=function(e,t){void 0===t&&(t=0);var r=n.useRef(!1),o=n.useRef(),i=n.useRef(e),a=n.useCallback((function(){return r.current}),[]),l=n.useCallback((function(){r.current=!1,o.current&&clearTimeout(o.current),o.current=setTimeout((function(){r.current=!0,i.current()}),t)}),[t]),s=n.useCallback((function(){r.current=null,o.current&&clearTimeout(o.current)}),[]);return n.useEffect((function(){i.current=e}),[e]),n.useEffect((function(){return l(),s}),[t]),[a,s,l]}},138:function(e){var t;t=function(){return function(e){var t={};function r(n){if(t[n])return t[n].exports;var o=t[n]={i:n,l:!1,exports:{}};return e[n].call(o.exports,o,o.exports,r),o.l=!0,o.exports}return r.m=e,r.c=t,r.d=function(e,t,n){r.o(e,t)||Object.defineProperty(e,t,{configurable:!1,enumerable:!0,get:n})},r.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return r.d(t,"a",t),t},r.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},r.p="",r(r.s=3)}([function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpelNode={create:function(e,t){var r,n={},o=e||"Abstract",i=[],a=null;if(n._type=o,n.getType=function(){return o},n.setType=function(e){o=e},n.getChildren=function(){return i},n.addChild=function(e){if(e){if(!e.setParent)throw{name:"Error",message:"Trying to add a child which is not a node: "+JSON.stringify(e)};e.setParent(n),i.push(e)}},n.getParent=function(){return a},n.setParent=function(e){a=e},n.getContext=function(e){return r||e.activeContext.peek()},n.setContext=function(e){r=e},n.getStartPosition=function(){return t>>16},n.getEndPosition=function(){return 65535&t},n.getValue=function(){throw{name:"MethodNotImplementedException",message:"SpelNode#getValue() must be overridden."}},n.toString=function(){var e="Kind: "+n.getType();e+=", Children: [";for(var t=0,r=n.getChildren().length;t<r;t+=1)e+="{"+n.getChildren()[t]+"}, ";return e+"]"},0===t)throw{name:"Error",message:"Position cannot be 0"};for(var l=arguments.length,s=Array(l>2?l-2:0),u=2;u<l;u++)s[u-2]=arguments[u];return s&&s.forEach((function(e){n.addChild(e)})),n}}},function(e,t,r){"use strict";function n(e){this.elements=e||[]}Object.defineProperty(t,"__esModule",{value:!0}),t.Stack=n,n.prototype.push=function(e){return this.elements.push(e),e},n.prototype.pop=function(){return this.elements.pop()},n.prototype.peek=function(){return this.elements[this.elements.length-1]},n.prototype.empty=function(){return this.elements.length>0},n.prototype.search=function(e){return this.elements.length-this.elements.indexOf(e)}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n={LITERAL_INT:1,LITERAL_LONG:2,LITERAL_HEXINT:3,LITERAL_HEXLONG:4,LITERAL_STRING:5,LITERAL_REAL:6,LITERAL_REAL_FLOAT:7,LPAREN:"(",RPAREN:")",COMMA:",",IDENTIFIER:0,COLON:":",HASH:"#",RSQUARE:"]",LSQUARE:"[",LCURLY:"{",RCURLY:"}",DOT:".",PLUS:"+",STAR:"*",MINUS:"-",SELECT_FIRST:"^[",SELECT_LAST:"$[",QMARK:"?",PROJECT:"![",DIV:"/",GE:">=",GT:">",LE:"<=",LT:"<",EQ:"==",NE:"!=",MOD:"%",NOT:"!",ASSIGN:"=",INSTANCEOF:"instanceof",MATCHES:"matches",BETWEEN:"between",SELECT:"?[",POWER:"^",ELVIS:"?:",SAFE_NAVI:"?.",BEAN_REF:"@",SYMBOLIC_OR:"||",SYMBOLIC_AND:"&&",INC:"++",DEC:"--"};function o(e){this.type=e,this.tokenChars=n[e],this._hasPayload="string"!=typeof n[e],"number"==typeof n[e]&&(this._ordinal=n[e])}for(var i in n)n.hasOwnProperty(i)&&(o[i]=new o(i));o.prototype.toString=function(){return this.type+(0!==this.tokenChars.length?"("+this.tokenChars+")":"")},o.prototype.getLength=function(){return this.tokenChars.length},o.prototype.hasPayload=function(){return this._hasPayload},o.prototype.valueOf=function(e){for(var t in n)if(n.hasOwnProperty(t)&&n[t]===e)return o[t]},o.prototype.ordinal=function(){return this._ordinal},t.TokenKind=o},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StandardContext=t.SpelExpressionEvaluator=void 0;var n=r(4),o=r(50);t.SpelExpressionEvaluator=n.SpelExpressionEvaluator,t.StandardContext=o.StandardContext},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpelExpressionEvaluator=void 0;var n=r(5),o=r(1),i={compile:function(e){var t=(0,n.SpelExpressionParser)().parse(e);return{eval:function(e,r){return function(e,t,r){var n,i=new o.Stack;return t||(t={}),i.push(t),n={rootContext:t,activeContext:i,locals:r},e.getValue(n)}(t,e,r)},_compiledExpression:t}},eval:function(e,t,r){return i.compile(e).eval(t,r)}};t.SpelExpressionEvaluator=i},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpelExpressionParser=void 0;var n=r(2),o=r(6),i=r(8),a=r(9),l=r(10),s=r(11),u=r(12),c=r(13),d=r(14),p=r(15),f=r(16),h=r(17),g=r(18),v=r(19),m=r(20),y=r(21),b=r(22),E=r(23),O=r(24),S=r(25),T=r(26),_=r(27),w=r(28),R=r(29),A=r(30),C=r(31),I=r(32),L=r(33),N=r(34),P=r(35),x=r(36),k=r(37),F=r(38),j=r(39),D=r(40),M=r(41),V=r(42),U=r(43),B=r(44),q=r(45),G=r(46),K=r(47),W=r(48),z=r(49);t.SpelExpressionParser=function(){var e,t,r,$,H=new RegExp("[\\p{L}\\p{N}_$]+"),Y=[];function Q(){var e=X();if(Se()){var t=_e();if(t.getKind()===n.TokenKind.ASSIGN){null===e&&(e=s.NullLiteral.create(Ie(t.startPos-1,t.endPos-1))),Te();var r=X();return g.Assign.create(Ce(t),e,r)}if(t.getKind()===n.TokenKind.ELVIS){null===e&&(e=s.NullLiteral.create(Ie(t.startPos-1,t.endPos-2))),Te();var o=Q();return null===o&&(o=s.NullLiteral.create(Ie(t.startPos+1,t.endPos+1))),F.Elvis.create(Ce(t),e,o)}if(t.getKind()===n.TokenKind.QMARK){null===e&&(e=s.NullLiteral.create(Ie(t.startPos-1,t.endPos-1))),Te();var i=Q();me(n.TokenKind.COLON);var a=Q();return k.Ternary.create(Ce(t),e,i,a)}}return e}function X(){for(var e=J();Oe("or")||ye(n.TokenKind.SYMBOLIC_OR);){var t=Te(),r=J();Re(t,e,r),e=P.OpOr.create(Ce(t),e,r)}return e}function J(){for(var e=Z();Oe("and")||ye(n.TokenKind.SYMBOLIC_AND);){var t=Te(),r=Z();Re(t,e,r),e=N.OpAnd.create(Ce(t),e,r)}return e}function Z(){var e=ee(),t=function(){var e=_e();if(null===e)return null;if(e.isNumericRelationalOperator())return e;if(e.isIdentifier()){var t=e.stringValue();if("instanceof"===t.toLowerCase())return e.asInstanceOfToken();if("matches"===t.toLowerCase())return e.asMatchesToken();if("between"===t.toLowerCase())return e.asBetweenToken()}return null}();if(null!==t){var r=Te(),o=ee();Re(r,e,o);var i=t.kind;if(t.isNumericRelationalOperator()){var a=Ce(r);return i===n.TokenKind.GT?b.OpGT.create(a,e,o):i===n.TokenKind.LT?O.OpLT.create(a,e,o):i===n.TokenKind.LE?E.OpLE.create(a,e,o):i===n.TokenKind.GE?y.OpGE.create(a,e,o):i===n.TokenKind.EQ?v.OpEQ.create(a,e,o):m.OpNE.create(a,e,o)}return i===n.TokenKind.INSTANCEOF?U.OpInstanceof.create(Ce(r),e,o):i===n.TokenKind.MATCHES?x.OpMatches.create(Ce(r),e,o):B.OpBetween.create(Ce(r),e,o)}return e}function ee(){for(var e=te();Ee(n.TokenKind.PLUS,n.TokenKind.MINUS,n.TokenKind.INC);){var t=Te(),r=te();Ae(t,r),t.getKind()===n.TokenKind.PLUS?e=S.OpPlus.create(Ce(t),e,r):t.getKind()===n.TokenKind.MINUS&&(e=T.OpMinus.create(Ce(t),e,r))}return e}function te(){for(var e=re();Ee(n.TokenKind.STAR,n.TokenKind.DIV,n.TokenKind.MOD);){var t=Te(),r=re();Re(t,e,r),e=t.getKind()===n.TokenKind.STAR?_.OpMultiply.create(Ce(t),e,r):t.getKind()===n.TokenKind.DIV?w.OpDivide.create(Ce(t),e,r):R.OpModulus.create(Ce(t),e,r)}return e}function re(){var e,t=ne();if(ye(n.TokenKind.POWER)){e=Te();var r=ne();return Ae(e,r),A.OpPower.create(Ce(e),t,r)}return null!==t&&Ee(n.TokenKind.INC,n.TokenKind.DEC)?(e=Te()).getKind()===n.TokenKind.INC?C.OpInc.create(Ce(e),!0,t):I.OpDec.create(Ce(e),!0,t):t}function ne(){var e,t;return Ee(n.TokenKind.PLUS,n.TokenKind.MINUS,n.TokenKind.NOT)?(e=Te(),t=ne(),e.getKind()===n.TokenKind.NOT?L.OpNot.create(Ce(e),t):e.getKind()===n.TokenKind.PLUS?S.OpPlus.create(Ce(e),t):T.OpMinus.create(Ce(e),t)):Ee(n.TokenKind.INC,n.TokenKind.DEC)?(e=Te(),t=ne(),e.getKind()===n.TokenKind.INC?C.OpInc.create(Ce(e),!1,t):I.OpDec.create(Ce(e),!1,t)):function(){var e=[],t=function(){var e=_e();if(null===e)return!1;if(e.getKind()===n.TokenKind.LITERAL_INT||e.getKind()===n.TokenKind.LITERAL_LONG)ge(a.NumberLiteral.create(parseInt(e.stringValue(),10),Ce(e)));else if(e.getKind()===n.TokenKind.LITERAL_REAL||e.getKind()===n.TokenKind.LITERAL_REAL_FLOAT)ge(a.NumberLiteral.create(parseFloat(e.stringValue()),Ce(e)));else if(e.getKind()===n.TokenKind.LITERAL_HEXINT||e.getKind()===n.TokenKind.LITERAL_HEXLONG)ge(a.NumberLiteral.create(parseInt(e.stringValue(),16),Ce(e)));else if(Oe("true"))ge(i.BooleanLiteral.create(!0,Ce(e)));else if(Oe("false"))ge(i.BooleanLiteral.create(!1,Ce(e)));else{if(e.getKind()!==n.TokenKind.LITERAL_STRING)return!1;ge(l.StringLiteral.create(e.stringValue(),Ce(e)))}return Te(),!0}()||function(){if(ye(n.TokenKind.LPAREN)){Te();var e=Q();return me(n.TokenKind.RPAREN),ge(e),!0}return!1}()||function(){if(ye(n.TokenKind.IDENTIFIER)){var e=_e();if("T"!==e.stringValue())return!1;var t=Te();if(ye(n.TokenKind.RSQUARE))return ge(d.PropertyReference.create(t.stringValue(),Ce(t))),!0;me(n.TokenKind.LPAREN);for(var r=pe(),o=0;be(n.TokenKind.LSQUARE,!0);)me(n.TokenKind.RSQUARE),o++;return me(n.TokenKind.RPAREN),ge(q.TypeReference.create(Ce(e),r,o)),!0}return!1}()||function(){if(ye(n.TokenKind.IDENTIFIER)){var e=_e();return"null"===e.stringValue().toLowerCase()&&(Te(),ge(s.NullLiteral.create(Ce(e))),!0)}return!1}()||function(){if(Oe("new")){var e=Te();if(ye(n.TokenKind.RSQUARE))return ge(d.PropertyReference.create(e.stringValue(),Ce(e))),!0;var t=pe(),r=[];if(r.push(t),ye(n.TokenKind.LSQUARE)){for(var o=[];be(n.TokenKind.LSQUARE,!0);)ye(n.TokenKind.RSQUARE)?o.push(null):o.push(Q()),me(n.TokenKind.RSQUARE);ue()&&r.push(ve()),ge(z.ConstructorReference.create(Ce(e),o,r))}else i=r,ye(n.TokenKind.LPAREN)||we(Ce(_e()),"MISSING_CONSTRUCTOR_ARGS"),le(i),me(n.TokenKind.RPAREN),ge(z.ConstructorReference.create(Ce(e),r));return!0}var i;return!1}()||he(!1)||ie()||function(){if(ye(n.TokenKind.BEAN_REF)){var e=Te(),t=null,r=null;return ye(n.TokenKind.IDENTIFIER)?r=(t=me(n.TokenKind.IDENTIFIER)).data:ye(n.TokenKind.LITERAL_STRING)?r=(r=(t=me(n.TokenKind.LITERAL_STRING)).stringValue()).substring(1,r.length()-1):we(e.startPos,"INVALID_BEAN_REFERENCE"),ge(G.BeanReference.create(Ce(t),r)),!0}return!1}()||se(!1)||de(!1)||ce()||ue()?ve():null;for(e.push(t);oe();)e.push(ve());return 1===e.length?e[0]:f.CompoundExpression.create(Ie(t.getStartPosition(),e[e.length-1].getEndPosition()),e)}()}function oe(){var e,t,r;return null!==(r=Ee(n.TokenKind.DOT,n.TokenKind.SAFE_NAVI)?he(t=(e=Te()).getKind()===n.TokenKind.SAFE_NAVI)||ie()||se(t)||de(t)?ve():(null===_e()?we(e.startPos,"OOD"):we(e.startPos,"UNEXPECTED_DATA_AFTER_DOT",function(e){return e.getKind().hasPayload()?e.stringValue():e.getKind().toString().toLowerCase()}(_e())),null):ye(n.TokenKind.LSQUARE)&&ce()?ve():null)&&(ge(r),!0)}function ie(){if(!ye(n.TokenKind.HASH))return!1;var e=Te(),t=me(n.TokenKind.IDENTIFIER),r=ae();return null===r?(ge(p.VariableReference.create(t.data,Ie(e.startPos,t.endPos))),!0):(ge(u.FunctionReference.create(t.data,Ie(e.startPos,t.endPos),r)),!0)}function ae(){if(!ye(n.TokenKind.LPAREN))return null;var e=[];return le(e),me(n.TokenKind.RPAREN),e}function le(e){var t,r=_e().startPos;do{Te();var o=_e();null===o&&we(r,"RUN_OUT_OF_ARGUMENTS"),o.getKind()!==n.TokenKind.RPAREN&&e.push(Q()),t=_e()}while(null!==t&&t.kind===n.TokenKind.COMMA);null===t&&we(r,"RUN_OUT_OF_ARGUMENTS")}function se(e){var t=_e();if(!be(n.TokenKind.PROJECT,!0))return!1;var r=Q();return me(n.TokenKind.RSQUARE),ge(V.Projection.create(e,Ce(t),r)),!0}function ue(){var e=_e(),t=[];if(!be(n.TokenKind.LCURLY,!0))return!1;var r=null,o=_e();if(be(n.TokenKind.RCURLY,!0))r=j.InlineList.create(Ie(e.startPos,o.endPos));else if(be(n.TokenKind.COLON,!0))o=me(n.TokenKind.RCURLY),r=D.InlineMap.create(Ie(e.startPos,o.endPos));else{var i=Q();if(ye(n.TokenKind.RCURLY))t.push(i),o=me(n.TokenKind.RCURLY),r=j.InlineList.create(Ie(e.startPos,o.endPos),t);else if(be(n.TokenKind.COMMA,!0)){t.push(i);do{t.push(Q())}while(be(n.TokenKind.COMMA,!0));o=me(n.TokenKind.RCURLY),r=j.InlineList.create(Ce(e.startPos,o.endPos),t)}else if(be(n.TokenKind.COLON,!0)){var a=[];for(a.push(i),a.push(Q());be(n.TokenKind.COMMA,!0);)a.push(Q()),me(n.TokenKind.COLON),a.push(Q());o=me(n.TokenKind.RCURLY),r=D.InlineMap.create(Ie(e.startPos,o.endPos),a)}else we(e.startPos,"OOD")}return ge(r),!0}function ce(){var e=_e();if(!be(n.TokenKind.LSQUARE,!0))return!1;var t=Q();return me(n.TokenKind.RSQUARE),ge(h.Indexer.create(Ce(e),t)),!0}function de(e){var t=_e();if(!function(){if(!Se())return!1;var e=_e();return e.getKind()===n.TokenKind.SELECT||e.getKind()===n.TokenKind.SELECT_FIRST||e.getKind()===n.TokenKind.SELECT_LAST}())return!1;Te();var r=Q();return null===r&&we(Ce(t),"MISSING_SELECTION_EXPRESSION"),me(n.TokenKind.RSQUARE),t.getKind()===n.TokenKind.SELECT_FIRST?ge(M.Selection.create(e,M.Selection.FIRST,Ce(t),r)):t.getKind()===n.TokenKind.SELECT_LAST?ge(M.Selection.create(e,M.Selection.LAST,Ce(t),r)):ge(M.Selection.create(e,M.Selection.ALL,Ce(t),r)),!0}function pe(){for(var t=[],r=_e();fe(r);)Te(),r.kind!==n.TokenKind.DOT&&t.push(K.Identifier.create(r.stringValue(),Ce(r))),r=_e();t.length||(null===r&&we(e.length(),"OOD"),we(r.startPos,"NOT_EXPECTED_TOKEN","qualified ID",r.getKind().toString().toLowerCase()));var o=Ie(t[0].getStartPosition(),t[t.length-1].getEndPosition());return W.QualifiedIdentifier.create(o,t)}function fe(e){if(null===e||e.kind===n.TokenKind.LITERAL_STRING)return!1;if(e.kind===n.TokenKind.DOT||e.kind===n.TokenKind.IDENTIFIER)return!0;var t=e.stringValue();return t&&t.length&&H.test(t)}function he(e){if(ye(n.TokenKind.IDENTIFIER)){var t=Te(),r=ae();return null===r?(ge(d.PropertyReference.create(e,t.stringValue(),Ce(t))),!0):(ge(c.MethodReference.create(e,t.stringValue(),Ce(t),r)),!0)}return!1}function ge(e){Y.push(e)}function ve(){return Y.pop()}function me(t){var r=Te();return null===r&&we(e.length,"OOD"),r.getKind()!==t&&we(r.startPos,"NOT_EXPECTED_TOKEN",t.toString().toLowerCase(),r.getKind().toString().toLowerCase()),r}function ye(e){return be(e,!1)}function be(e,t){if(!Se())return!1;var r=_e();return r.getKind()===e?(t&&$++,!0):e===n.TokenKind.IDENTIFIER&&r.getKind().ordinal()>=n.TokenKind.DIV.ordinal()&&r.getKind().ordinal()<=n.TokenKind.NOT.ordinal()&&null!==r.data}function Ee(){if(!Se())return!1;for(var e=_e(),t=Array.prototype.slice.call(arguments),r=0,n=t.length;r<n;r+=1)if(e.getKind()===t[r])return!0;return!1}function Oe(e){if(!Se())return!1;var t=_e();return t.getKind()===n.TokenKind.IDENTIFIER&&t.stringValue().toLowerCase()===e.toLowerCase()}function Se(){return $<t.length}function Te(){return $>=r?null:t[$++]}function _e(){return $>=r?null:t[$]}function we(t,r,n,o){throw n&&(r+="\nExpected: "+n),o&&(r+="\nActual: "+o),{name:"InternalParseException",message:"Error occurred while attempting to parse expression '"+e+"' at position "+t+". Message: "+r}}function Re(e,t,r){!function(e,t){null===t&&we(e.startPos,"LEFT_OPERAND_PROBLEM")}(e,t),Ae(e,r)}function Ae(e,t){null===t&&we(e.startPos,"RIGHT_OPERAND_PROBLEM")}function Ce(e){return(e.startPos<<16)+e.endPos}function Ie(e,t){return(e<<16)+t}return{setConfiguration:function(e){},parse:function(n,i){try{e=n,t=o.Tokenizer.tokenize(n),r=t.length,$=0,Y=[];var a=Q();return Se()&&we(_e().startPos,"MORE_INPUT",Te().toString()),a}catch(e){throw e.message}}}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Tokenizer=void 0;var n=r(7),o=r(2),i=["DIV","EQ","GE","GT","LE","LT","MOD","NE","NOT"],a=[];!function(){var e;for(e="0".charCodeAt(0);e<="9".charCodeAt(0);e+=1)a[e]|=3;for(e="A".charCodeAt(0);e<="F".charCodeAt(0);e+=1)a[e]|=2;for(e="a".charCodeAt(0);e<="f".charCodeAt(0);e+=1)a[e]|=2;for(e="A".charCodeAt(0);e<="Z".charCodeAt(0);e+=1)a[e]|=4;for(e="a".charCodeAt(0);e<="z".charCodeAt(0);e+=1)a[e]|=4}(),t.Tokenizer={tokenize:function(e){var t=e,r=e+"\0",l=r.length,s=0,u=[];function c(){for(var e,i=s,a=!1;!a;)if("'"===(e=r[s+=1])&&("'"===r[s+1]?s+=1:a=!0),0===e.charCodeAt(0))throw{name:"SpelParseException",message:"Non-terminating quoted string in expression ("+t+") at position "+s};s+=1,u.push(new n.Token(o.TokenKind.LITERAL_STRING,m(i,s),i,s))}function d(){for(var e,i=s,a=!1;!a;)if('"'===(e=r[s+=1])&&('"'===r[s+1]?s+=1:a=!0),0===e.charCodeAt(0))throw{name:"SpelParseException",message:"Non-terminating double-quoted string in expression ("+t+") at position "+s};s+=1,u.push(new n.Token(o.TokenKind.LITERAL_STRING,m(i,s),i,s))}function p(e){var n,o,i,a=!1,l=s,u=r[s+1];if(!e||"x"!==u&&"X"!==u){do{s+=1}while(_(r[s]));if("."===(u=r[s])){a=!0,n=s;do{s+=1}while(_(r[s]));if(s===n+1)return void h(m(l,s=n),!1,l,s)}if(o=s,O("L","l")){if(a)throw{name:"SpelParseException",message:"Real cannot be long in expression ("+t+") at position "+s};h(m(l,o),!0,l,o),s+=1}else if(function(e){return"e"===e||"E"===e}(r[s])){a=!0,function(e){return"+"===e||"-"===e}(r[s+=1])&&(s+=1);do{s+=1}while(_(r[s]));i=!1,S(r[s])?(i=!0,o=s+=1):T(r[s])&&(o=s+=1),v(m(l,s),i,l,s)}else i=!1,S(u=r[s])?(a=!0,i=!0,o=s+=1):T(u)&&(a=!0,o=s+=1),a?v(m(l,o),i,l,o):h(m(l,o),!1,l,o)}else{s+=1;do{s+=1}while(R(r[s]));O("L","l")?(g(m(l+2,s),!0,l,s),s+=1):g(m(l+2,s),!1,l,s)}}function f(){var e,t,a,l=s;do{s+=1}while(w(a=r[s])||_(a)||"_"===a||"$"===a);e=m(l,s),(s-l==2||s-l==3)&&(t=e.toUpperCase(),i.indexOf(t)>=0)?function(e,t,r){u.push(new n.Token(e,r,t,t+e.getLength()))}(o.TokenKind.valueOf(t),l,e):u.push(new n.Token(o.TokenKind.IDENTIFIER,e.replace("\0",""),l,s))}function h(e,t,r,i){t?u.push(new n.Token(o.TokenKind.LITERAL_LONG,e,r,i)):u.push(new n.Token(o.TokenKind.LITERAL_INT,e,r,i))}function g(e,r,i,a){if(0===e.length)throw r?{name:"SpelParseException",message:"Not a long in expression ("+t+") at position "+s}:{name:"SpelParseException",message:"Not an int in expression ("+t+") at position "+s};r?u.push(new n.Token(o.TokenKind.LITERAL_HEXLONG,e,i,a)):u.push(new n.Token(o.TokenKind.LITERAL_HEXINT,e,i,a))}function v(e,t,r,i){t?u.push(new n.Token(o.TokenKind.LITERAL_REAL_FLOAT,e,r,i)):u.push(new n.Token(o.TokenKind.LITERAL_REAL,e,r,i))}function m(e,t){return r.substring(e,t)}function y(e){return 2===e.tokenChars.length&&r[s]===e.tokenChars[0]&&r[s+1]===e.tokenChars[1]}function b(e){u.push(new n.Token(e,null,s,s+1)),s+=1}function E(e){u.push(new n.Token(e,null,s,s+2)),s+=2}function O(e,t){var n=r[s];return n===e||n===t}function S(e){return"f"===e||"F"===e}function T(e){return"d"===e||"D"===e}function _(e){return!(e.charCodeAt(0)>255||!(1&a[e.charCodeAt(0)]))}function w(e){return!(e.charCodeAt(0)>255||!(4&a[e.charCodeAt(0)]))}function R(e){return!(e.charCodeAt(0)>255||!(2&a[e.charCodeAt(0)]))}return function(){for(var e;s<l;)if(w(e=r[s]))f();else switch(e){case"+":y(o.TokenKind.INC)?E(o.TokenKind.INC):b(o.TokenKind.PLUS);break;case"_":f();break;case"-":y(o.TokenKind.DEC)?E(o.TokenKind.DEC):b(o.TokenKind.MINUS);break;case":":b(o.TokenKind.COLON);break;case".":b(o.TokenKind.DOT);break;case",":b(o.TokenKind.COMMA);break;case"*":b(o.TokenKind.STAR);break;case"/":b(o.TokenKind.DIV);break;case"%":b(o.TokenKind.MOD);break;case"(":b(o.TokenKind.LPAREN);break;case")":b(o.TokenKind.RPAREN);break;case"[":b(o.TokenKind.LSQUARE);break;case"#":b(o.TokenKind.HASH);break;case"]":b(o.TokenKind.RSQUARE);break;case"{":b(o.TokenKind.LCURLY);break;case"}":b(o.TokenKind.RCURLY);break;case"@":b(o.TokenKind.BEAN_REF);break;case"^":y(o.TokenKind.SELECT_FIRST)?E(o.TokenKind.SELECT_FIRST):b(o.TokenKind.POWER);break;case"!":y(o.TokenKind.NE)?E(o.TokenKind.NE):y(o.TokenKind.PROJECT)?E(o.TokenKind.PROJECT):b(o.TokenKind.NOT);break;case"=":y(o.TokenKind.EQ)?E(o.TokenKind.EQ):b(o.TokenKind.ASSIGN);break;case"&":if(!y(o.TokenKind.SYMBOLIC_AND))throw{name:"SpelParseException",message:"Missing character '&' in expression ("+t+") at position "+s};E(o.TokenKind.SYMBOLIC_AND);break;case"|":if(!y(o.TokenKind.SYMBOLIC_OR))throw{name:"SpelParseException",message:"Missing character '|' in expression ("+t+") at position "+s};E(o.TokenKind.SYMBOLIC_OR);break;case"?":y(o.TokenKind.SELECT)?E(o.TokenKind.SELECT):y(o.TokenKind.ELVIS)?E(o.TokenKind.ELVIS):y(o.TokenKind.SAFE_NAVI)?E(o.TokenKind.SAFE_NAVI):b(o.TokenKind.QMARK);break;case"$":y(o.TokenKind.SELECT_LAST)?E(o.TokenKind.SELECT_LAST):f();break;case">":y(o.TokenKind.GE)?E(o.TokenKind.GE):b(o.TokenKind.GT);break;case"<":y(o.TokenKind.LE)?E(o.TokenKind.LE):b(o.TokenKind.LT);break;case"0":case"1":case"2":case"3":case"4":case"5":case"6":case"7":case"8":case"9":p("0"===e);break;case" ":case"\t":case"\r":case"\n":case"\0":s+=1;break;case"'":c();break;case'"':d();break;case"\\":throw{name:"SpelParseException",message:"Unexpected escape character in expression ("+t+") at position "+s};default:throw{name:"SpelParseException",message:"Cannot handle character '"+e+"' in expression ("+t+") at position "+s}}}(),u}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Token=void 0;var n=r(2);function o(e,t,r,n){this.kind=e,this.startPos=r,this.endPos=n,t&&(this.data=t)}o.prototype.getKind=function(){return this.kind},o.prototype.toString=function(){var e="[";return e+=this.kind.toString(),this.kind.hasPayload()&&(e+=":"+this.data),(e+="]")+"("+this.startPos+","+this.endPos+")"},o.prototype.isIdentifier=function(){return this.kind===n.TokenKind.IDENTIFIER},o.prototype.isNumericRelationalOperator=function(){return this.kind===n.TokenKind.GT||this.kind===n.TokenKind.GE||this.kind===n.TokenKind.LT||this.kind===n.TokenKind.LE||this.kind===n.TokenKind.EQ||this.kind===n.TokenKind.NE},o.prototype.stringValue=function(){return this.data},o.prototype.asInstanceOfToken=function(){return new o(n.TokenKind.INSTANCEOF,this.startPos,this.endPos)},o.prototype.asMatchesToken=function(){return new o(n.TokenKind.MATCHES,this.startPos,this.endPos)},o.prototype.asBetweenToken=function(){return new o(n.TokenKind.BETWEEN,this.startPos,this.endPos)},o.prototype.getStartPosition=function(){return this.startPos},o.prototype.getEndPosition=function(){return this.endPos},t.Token=o},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BooleanLiteral=void 0;var n=r(0);t.BooleanLiteral={create:function(e,t){var r=n.SpelNode.create("boolean",t);return r.getValue=function(){return e},r.setValue=function(t){return e=t},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NumberLiteral=void 0;var n=r(0);t.NumberLiteral={create:function(e,t){var r=n.SpelNode.create("number",t);return r.getValue=function(){return e},r.setValue=function(t){return e=t},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StringLiteral=void 0;var n=r(0);t.StringLiteral={create:function(e,t){var r=n.SpelNode.create("string",t);return e=function(e){return("'"===e[0]&&"'"===e[e.length-1]||'"'===e[0]&&'"'===e[e.length-1])&&(e=e.substring(1,e.length-1)),e.replace(/''/g,"'").replace(/""/g,'"')}(e),r.getValue=function(){return e},r.setValue=function(t){return e=t},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NullLiteral=void 0;var n=r(0);t.NullLiteral={create:function(e,t){var r=n.SpelNode.create("null",t);return r.getValue=function(){return null},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FunctionReference=void 0;var n=r(0),o=r(1);t.FunctionReference={create:function(e,t,r){var i=n.SpelNode.create("function",t);return i.getRaw=function(){return{functionName:e,args:r}},i.getValue=function(t){var n=t.locals||{},i=t.rootContext,a=[];if(r.forEach((function(e){var r=t.activeContext;t.activeContext=new o.Stack,t.activeContext.push(t.rootContext),a.push(e.getValue(t)),t.activeContext=r})),n[e])return n[e].apply(i,a);throw{name:"FunctionDoesNotExistException",message:"Function '"+e+"' does not exist."}},i}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.MethodReference=void 0;var n=r(0),o=r(1);t.MethodReference={create:function(e,t,r,i){var a=n.SpelNode.create("method",r);return a.getRaw=function(){return{methodName:t,args:i}},a.getValue=function(r){var n,a=r.activeContext.peek(),l=[];if(!a)throw{name:"ContextDoesNotExistException",message:"Attempting to look up property '"+t+"' for an undefined context."};function s(r){if(null==r){if(e)return null;throw{name:"NullPointerException",message:"Method "+t+" does not exist."}}return r}if(i.forEach((function(e){var t=r.activeContext;r.activeContext=new o.Stack,r.activeContext.push(r.rootContext),l.push(e.getValue(r)),r.activeContext=t})),"get"===t.substr(0,3)&&!a[t])return s(a[t.charAt(3).toLowerCase()+t.substring(4)]);if("set"===t.substr(0,3)&&!a[t])return a[t.charAt(3).toLowerCase()+t.substring(4)]=l[0];if(Array.isArray(a)){if("size"===t)return a.length;if("contains"===t)return a.includes(l[0])}return(n=s(a[t]))?n.apply(a,l):null},a}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.PropertyReference=void 0;var n=r(0);t.PropertyReference={create:function(e,t,r){var o=n.SpelNode.create("property",r);return o.getRaw=function(){return t},o.getValue=function(r){var n=r.activeContext.peek();if(!n){if(e)return null;throw{name:"ContextDoesNotExistException",message:"Attempting to look up property '"+t+"' for an undefined context."}}if(void 0===n[t]||null===n[t]){if(e)return null;if("size"===t&&Array.isArray(n))return n.length;throw{name:"NullPointerException",message:"Property '"+t+"' does not exist."}}return n[t]},o.setValue=function(e,r){var n=r.activeContext.peek();if(!n)throw{name:"ContextDoesNotExistException",message:"Attempting to assign property '"+t+"' for an undefined context."};return n[t]=e},o.getName=function(){return t},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.VariableReference=void 0;var n=r(0);t.VariableReference={create:function(e,t){var r=n.SpelNode.create("variable",t);return r.getRaw=function(){return e},r.getValue=function(t){var r=t.activeContext.peek(),n=t.locals;if(!r)throw{name:"ContextDoesNotExistException",message:"Attempting to look up variable '"+e+"' for an undefined context."};return"this"===e?r:"root"===e?t.rootContext:n[e]},r.setValue=function(t,r){return r.locals[e]=t},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CompoundExpression=void 0;var n=r(0);t.CompoundExpression={create:function(e,t){var r=n.SpelNode.create.apply(null,["compound",e].concat(t));function o(e){var t,n=r.getChildren().length;for(t=0;t<n;t+=1)"indexer"===r.getChildren()[t].getType()?e.activeContext.push(e.activeContext.peek()[r.getChildren()[t].getValue(e)]):e.activeContext.push(r.getChildren()[t].getValue(e));return function(){for(t=0;t<n;t+=1)e.activeContext.pop()}}return r.getValue=function(e){var t;if(!e.activeContext.peek())throw{name:"ContextDoesNotExistException",message:"Attempting to evaluate compound expression with an undefined context."};var r=o(e);return t=e.activeContext.peek(),r(),t},r.setValue=function(e,t){var n=o(t),i=r.getChildren().length;return t.activeContext.pop(),e=r.getChildren()[i-1].setValue(e,t),t.activeContext.push(null),n(),e},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Indexer=void 0;var n=r(0),o=r(1);t.Indexer={create:function(e,t){var r=n.SpelNode.create.apply(null,["indexer",e].concat(t));return r.getValue=function(e){var t,n,i=e.activeContext,a=r.getChildren().length;if(e.activeContext=new o.Stack,e.activeContext.push(e.rootContext),!e.activeContext.peek())throw{name:"ContextDoesNotExistException",message:"Attempting to evaluate compound expression with an undefined context."};for(t=0;t<a;t+=1)e.activeContext.push(r.getChildren()[t].getValue(e));for(n=e.activeContext.peek(),t=0;t<a;t+=1)e.activeContext.pop();return e.activeContext=i,n},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Assign=void 0;var n=r(0);t.Assign={create:function(e,t,r){var o=n.SpelNode.create("assign",e,t,r);return o.getValue=function(e){if(!e.activeContext.peek())throw{name:"ContextDoesNotExistException",message:"Attempting to assign property '"+t.getValue(e)+"' for an undefined context."};return t.setValue(r.getValue(e),e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpEQ=void 0;var n=r(0);t.OpEQ={create:function(e,t,r){var o=n.SpelNode.create("op-eq",e,t,r);return o.getValue=function(e){return t.getValue(e)===r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpNE=void 0;var n=r(0);t.OpNE={create:function(e,t,r){var o=n.SpelNode.create("op-ne",e,t,r);return o.getValue=function(e){return t.getValue(e)!==r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpGE=void 0;var n=r(0);t.OpGE={create:function(e,t,r){var o=n.SpelNode.create("op-ge",e,t,r);return o.getValue=function(e){return t.getValue(e)>=r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpGT=void 0;var n=r(0);t.OpGT={create:function(e,t,r){var o=n.SpelNode.create("op-gt",e,t,r);return o.getValue=function(e){return t.getValue(e)>r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpLE=void 0;var n=r(0);t.OpLE={create:function(e,t,r){var o=n.SpelNode.create("op-le",e,t,r);return o.getValue=function(e){return t.getValue(e)<=r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpLT=void 0;var n=r(0);t.OpLT={create:function(e,t,r){var o=n.SpelNode.create("op-lt",e,t,r);return o.getValue=function(e){return t.getValue(e)<r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpPlus=void 0;var n=r(0);t.OpPlus={create:function(e,t,r){var o=n.SpelNode.create("op-plus",e,t,r);return o.getValue=function(e){return r?t.getValue(e)+r.getValue(e):+t.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpMinus=void 0;var n=r(0);t.OpMinus={create:function(e,t,r){var o=n.SpelNode.create("op-minus",e,t,r);return o.getValue=function(e){return r?t.getValue(e)-r.getValue(e):-t.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpMultiply=void 0;var n=r(0);t.OpMultiply={create:function(e,t,r){var o=n.SpelNode.create("op-multiply",e,t,r);return o.getValue=function(e){var n=t.getValue(e),o=r.getValue(e);if("number"==typeof n&&"number"==typeof o)return n*o;if("string"==typeof n&&"number"==typeof o){for(var i="",a=0;a<o;a+=1)i+=n;return i}return null},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpDivide=void 0;var n=r(0);t.OpDivide={create:function(e,t,r){var o=n.SpelNode.create("op-divide",e,t,r);return o.getValue=function(e){return t.getValue(e)/r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpModulus=void 0;var n=r(0);t.OpModulus={create:function(e,t,r){var o=n.SpelNode.create("op-modulus",e,t,r);return o.getValue=function(e){return t.getValue(e)%r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpPower=void 0;var n=r(0);t.OpPower={create:function(e,t,r){var o=n.SpelNode.create("op-power",e,t,r);return o.getValue=function(e){return Math.pow(t.getValue(e),r.getValue(e))},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpInc=void 0;var n=r(0);t.OpInc={create:function(e,t,r){var o=n.SpelNode.create("op-inc",e,r);return o.getValue=function(e){var n=r.getValue(e);return r.setValue(n+1,e),t?n:n+1},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpDec=void 0;var n=r(0);t.OpDec={create:function(e,t,r){var o=n.SpelNode.create("op-dec",e,r);return o.getValue=function(e){var n=r.getValue(e);return r.setValue(n-1,e),t?n:n-1},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpNot=void 0;var n=r(0);t.OpNot={create:function(e,t){var r=n.SpelNode.create("op-not",e,t);return r.getValue=function(e){return!t.getValue(e)},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpAnd=void 0;var n=r(0);t.OpAnd={create:function(e,t,r){var o=n.SpelNode.create("op-and",e,t,r);return o.getValue=function(e){return!!t.getValue(e)&&!!r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpOr=void 0;var n=r(0);t.OpOr={create:function(e,t,r){var o=n.SpelNode.create("op-or",e,t,r);return o.getValue=function(e){return!!t.getValue(e)||!!r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpMatches=void 0;var n=r(0);t.OpMatches={create:function(e,t,r){var o=n.SpelNode.create("matches",e,t,r);return o.getValue=function(e){var n=t.getValue(e),o=r.getValue(e);try{return!!new RegExp(o).exec(n)}catch(e){throw{name:"EvaluationException",message:e.toString()}}},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Ternary=void 0;var n=r(0);t.Ternary={create:function(e,t,r,o){var i=n.SpelNode.create("ternary",e,t,r,o);return i.getValue=function(e){return t.getValue(e)?r.getValue(e):o.getValue(e)},i}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Elvis=void 0;var n=r(0);t.Elvis={create:function(e,t,r){var o=n.SpelNode.create("elvis",e,t,r);return o.getValue=function(e){return null!==t.getValue(e)?t.getValue(e):r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InlineList=void 0;var n=r(0);t.InlineList={create:function(e,t){var r=n.SpelNode.create("list",e),o=[].concat(t||[]);return r.getRaw=function(){return o},r.getValue=function(e){return o.map((function(t){return t.getValue(e)}))},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InlineMap=void 0;var n=r(0);t.InlineMap={create:function(e,t){var r=n.SpelNode.create("map",e),o=[].concat(t||[]);return r.getValue=function(e){var t=!0,r=null,n={};return o.forEach((function(o){t?r="property"===o.getType()?o.getName():o.getValue(e):n[r]=o.getValue(e),t=!t})),n},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Selection=void 0;var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},o=r(0);function i(e,t,r){var n;return r.activeContext.push(e),n=t.getValue(r),r.activeContext.pop(),n}t.Selection={create:function(e,t,r,a){var l=o.SpelNode.create("selection",r,a);return l.getValue=function(e){var r=e.activeContext.peek();if(r){if(Array.isArray(r))return function(e,t,r,n){var o=e.filter((function(e){return i(e,r,n)}));switch(t){case"ALL":return o;case"FIRST":return o[0]||null;case"LAST":return o.length?o[o.length-1]:null}}(r,t,a,e);if("object"===(void 0===r?"undefined":n(r)))return function(e,t,r,n){var o,a,l={},s=[],u={};for(a in e)e.hasOwnProperty(a)&&i(o={key:a,value:e[a]},r,n)&&s.push(o);switch(t){case"ALL":return s.forEach((function(e){l[e.key]=e.value})),l;case"FIRST":return s.length?(u[s[0].key]=s[0].value,u):null;case"LAST":return s.length?(u[s[s.length-1].key]=s[s.length-1].value,u):null}s.forEach((function(e){l[e.key]=e.value}))}(r,t,a,e)}return null},l},FIRST:"FIRST",LAST:"LAST",ALL:"ALL"}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Projection=void 0;var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},o=r(0);function i(e,t,r){return e.map((function(e){var n;return r.activeContext.push(e),n=t.getValue(r),r.activeContext.pop(),n}))}t.Projection={create:function(e,t,r){var a=o.SpelNode.create("projection",t,r);return a.getValue=function(e){var t,o=e.activeContext.peek(),a=[];if(Array.isArray(o))return i(o,r,e);if("object"===(void 0===o?"undefined":n(o))){for(t in o)o.hasOwnProperty(t)&&a.push(o[t]);return i(a,r,e)}return null},a}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpInstanceof=void 0;var n=r(0);t.OpInstanceof={create:function(e,t,r){var o=n.SpelNode.create("instanceof",e,t,r);return o.getValue=function(e){throw{name:"MethodNotImplementedException",message:"OpInstanceOf: Not implemented"}},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpBetween=void 0;var n=r(0);t.OpBetween={create:function(e,t,r){var o=n.SpelNode.create("between",e,t,r);return o.getValue=function(e){throw{name:"MethodNotImplementedException",message:"OpBetween: Not implemented"}},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TypeReference=void 0;var n=r(0);t.TypeReference={create:function(e,t,r){return(t=n.SpelNode.create("typeref",e,t)).getValue=function(e){throw{name:"MethodNotImplementedException",message:"TypeReference: Not implemented"}},t}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BeanReference=void 0;var n=r(0);t.BeanReference={create:function(e,t){var r=n.SpelNode.create("beanref",e);return r.getValue=function(e){throw{name:"MethodNotImplementedException",message:"BeanReference: Not implemented"}},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Identifier=void 0;var n=r(0);t.Identifier={create:function(e,t){var r=n.SpelNode.create("identifier",t);return r.getRaw=function(){return e},r.getValue=function(e){throw{name:"MethodNotImplementedException",message:"Identifier: Not implemented"}},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.QualifiedIdentifier=void 0;var n=r(0);t.QualifiedIdentifier={create:function(e,t){var r=n.SpelNode.create.apply(n.SpelNode,["qualifiedidentifier",e].concat(function(e){if(Array.isArray(e)){for(var t=0,r=Array(e.length);t<e.length;t++)r[t]=e[t];return r}return Array.from(e)}(t)));return r.getRaw=function(){return t.map((function(e){return e.getRaw()}))},r.getValue=function(e){throw{name:"MethodNotImplementedException",message:"QualifiedIdentifier: Not implemented"}},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ConstructorReference=void 0;var n=r(0),o=r(1);t.ConstructorReference={create:function(e,t,r){var i,a=void 0!==r;a?i=t.length&&t[0]&&"number"===t[0].getType()?t[0].getValue():null:(r=t,t=void 0);var l,s=(l=r,Array.isArray(l)?l:Array.from(l)),u=(s[0],s.slice(1)),c=n.SpelNode.create.apply(n.SpelNode,["constructorref",e].concat(function(e){if(Array.isArray(e)){for(var t=0,r=Array(e.length);t<e.length;t++)r[t]=e[t];return r}return Array.from(e)}(r)));return c.getRaw=function(){return i},c.getValue=function(e){if(a&&u.length<=1){var t=[];return u.forEach((function(r){var n=e.activeContext;e.activeContext=new o.Stack,e.activeContext.push(e.rootContext),t.push(r.getValue(e)),e.activeContext=n})),1===u.length?t[0]:i?new Array(i):[]}throw{name:"MethodNotImplementedException",message:"ConstructorReference: Not implemented"}},c}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StandardContext={create:function(e,t){var r={};return r.authentication=e||{},r.principal=t||{},r.hasRole=function(e){var t=!1;return!!e&&!(!r.authentication&&!Array.isArray(r.authentication.authorities))&&(r.authentication.authorities.forEach((function(r){r.authority.toLowerCase()===e.toLowerCase()&&(t=!0)})),t)},r.hasPermission=function(){var e=Array.prototype.slice.call(arguments);if(1===e.length)return r.hasRole(e[0])},r}}}])},e.exports=t()},9157:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=s(r(1283)),o=s(r(1025)),i=s(r(2520)),a=s(r(9137)),l=s(r(9429));function s(e){return e&&e.__esModule?e:{default:e}}function u(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var c=function(e){return e.replace(/[\t ]+$/,"")},d=function(){function e(t,r,n){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t||{},this.indentation=new i.default(this.cfg.indent),this.inlineBlock=new a.default,this.params=new l.default(this.cfg.params),this.tokenizer=r,this.tokenOverride=n,this.previousReservedWord={},this.tokens=[],this.index=0}var t,r;return t=e,r=[{key:"format",value:function(e){return this.tokens=this.tokenizer.tokenize(e),this.getFormattedQueryFromTokens().trim()}},{key:"getFormattedQueryFromTokens",value:function(){var e=this,t="";return this.tokens.forEach((function(r,n){e.index=n,e.tokenOverride&&(r=e.tokenOverride(r,e.previousReservedWord)||r),r.type===o.default.WHITESPACE||(r.type===o.default.LINE_COMMENT?t=e.formatLineComment(r,t):r.type===o.default.BLOCK_COMMENT?t=e.formatBlockComment(r,t):r.type===o.default.RESERVED_TOP_LEVEL?(t=e.formatTopLevelReservedWord(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED_TOP_LEVEL_NO_INDENT?(t=e.formatTopLevelReservedWordNoIndent(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED_NEWLINE?(t=e.formatNewlineReservedWord(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED?(t=e.formatWithSpaces(r,t),e.previousReservedWord=r):t=r.type===o.default.OPEN_PAREN?e.formatOpeningParentheses(r,t):r.type===o.default.CLOSE_PAREN?e.formatClosingParentheses(r,t):r.type===o.default.PLACEHOLDER?e.formatPlaceholder(r,t):","===r.value?e.formatComma(r,t):":"===r.value?e.formatWithSpaceAfter(r,t):"."===r.value?e.formatWithoutSpaces(r,t):";"===r.value?e.formatQuerySeparator(r,t):e.formatWithSpaces(r,t))})),t}},{key:"formatLineComment",value:function(e,t){return this.addNewline(t+e.value)}},{key:"formatBlockComment",value:function(e,t){return this.addNewline(this.addNewline(t)+this.indentComment(e.value))}},{key:"indentComment",value:function(e){return e.replace(/\n[\t ]*/g,"\n"+this.indentation.getIndent()+" ")}},{key:"formatTopLevelReservedWordNoIndent",value:function(e,t){return this.indentation.decreaseTopLevel(),t=this.addNewline(t)+this.equalizeWhitespace(this.formatReservedWord(e.value)),this.addNewline(t)}},{key:"formatTopLevelReservedWord",value:function(e,t){return this.indentation.decreaseTopLevel(),t=this.addNewline(t),this.indentation.increaseTopLevel(),t+=this.equalizeWhitespace(this.formatReservedWord(e.value)),this.addNewline(t)}},{key:"formatNewlineReservedWord",value:function(e,t){return this.addNewline(t)+this.equalizeWhitespace(this.formatReservedWord(e.value))+" "}},{key:"equalizeWhitespace",value:function(e){return e.replace(/[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+/g," ")}},{key:"formatOpeningParentheses",value:function(e,t){var r=[o.default.WHITESPACE,o.default.OPEN_PAREN,o.default.LINE_COMMENT];return(0,n.default)(r,this.previousToken().type)||(t=c(t)),t+=this.cfg.uppercase?e.value.toUpperCase():e.value,this.inlineBlock.beginIfPossible(this.tokens,this.index),this.inlineBlock.isActive()||(this.indentation.increaseBlockLevel(),t=this.addNewline(t)),t}},{key:"formatClosingParentheses",value:function(e,t){return e.value=this.cfg.uppercase?e.value.toUpperCase():e.value,this.inlineBlock.isActive()?(this.inlineBlock.end(),this.formatWithSpaceAfter(e,t)):(this.indentation.decreaseBlockLevel(),this.formatWithSpaces(e,this.addNewline(t)))}},{key:"formatPlaceholder",value:function(e,t){return t+this.params.get(e)+" "}},{key:"formatComma",value:function(e,t){return t=c(t)+e.value+" ",this.inlineBlock.isActive()||/^LIMIT$/i.test(this.previousReservedWord.value)?t:this.addNewline(t)}},{key:"formatWithSpaceAfter",value:function(e,t){return c(t)+e.value+" "}},{key:"formatWithoutSpaces",value:function(e,t){return c(t)+e.value}},{key:"formatWithSpaces",value:function(e,t){return t+("reserved"===e.type?this.formatReservedWord(e.value):e.value)+" "}},{key:"formatReservedWord",value:function(e){return this.cfg.uppercase?e.toUpperCase():e}},{key:"formatQuerySeparator",value:function(e,t){return this.indentation.resetIndentation(),c(t)+e.value+"\n".repeat(this.cfg.linesBetweenQueries||1)}},{key:"addNewline",value:function(e){return(e=c(e)).endsWith("\n")||(e+="\n"),e+this.indentation.getIndent()}},{key:"previousToken",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:1;return this.tokens[this.index-e]||{}}}],r&&u(t.prototype,r),e}();t.default=d,e.exports=t.default},2520:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9901)),o=i(r(8906));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l="top-level",s=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.indent=t||"  ",this.indentTypes=[]}var t,r;return t=e,(r=[{key:"getIndent",value:function(){return(0,n.default)(this.indent,this.indentTypes.length)}},{key:"increaseTopLevel",value:function(){this.indentTypes.push(l)}},{key:"increaseBlockLevel",value:function(){this.indentTypes.push("block-level")}},{key:"decreaseTopLevel",value:function(){(0,o.default)(this.indentTypes)===l&&this.indentTypes.pop()}},{key:"decreaseBlockLevel",value:function(){for(;this.indentTypes.length>0&&this.indentTypes.pop()===l;);}},{key:"resetIndentation",value:function(){this.indentTypes=[]}}])&&a(t.prototype,r),e}();t.default=s,e.exports=t.default},9137:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n,o=(n=r(1025))&&n.__esModule?n:{default:n};function i(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var a=function(){function e(){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.level=0}var t,r;return t=e,(r=[{key:"beginIfPossible",value:function(e,t){0===this.level&&this.isInlineBlock(e,t)?this.level=1:this.level>0?this.level++:this.level=0}},{key:"end",value:function(){this.level--}},{key:"isActive",value:function(){return this.level>0}},{key:"isInlineBlock",value:function(e,t){for(var r=0,n=0,i=t;i<e.length;i++){var a=e[i];if((r+=a.value.length)>50)return!1;if(a.type===o.default.OPEN_PAREN)n++;else if(a.type===o.default.CLOSE_PAREN&&0==--n)return!0;if(this.isForbiddenToken(a))return!1}return!1}},{key:"isForbiddenToken",value:function(e){var t=e.type,r=e.value;return t===o.default.RESERVED_TOP_LEVEL||t===o.default.RESERVED_NEWLINE||t===o.default.COMMENT||t===o.default.BLOCK_COMMENT||";"===r}}])&&i(t.prototype,r),e}();t.default=a,e.exports=t.default},9429:(e,t)=>{"use strict";function r(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.params=t,this.index=0}var t,n;return t=e,(n=[{key:"get",value:function(e){var t=e.key,r=e.value;return this.params?t?this.params[t]:this.params[this.index++]:r}}])&&r(t.prototype,n),e}();t.default=n,e.exports=t.default},3202:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=a(r(7969)),o=a(r(8472)),i=a(r(1025));function a(e){return e&&e.__esModule?e:{default:e}}function l(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.WHITESPACE_REGEX=/^([\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+)/,this.NUMBER_REGEX=/^((\x2D[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]*)?[0-9]+(\.[0-9]+)?|0x[0-9A-Fa-f]+|0b[01]+)\b/,this.OPERATOR_REGEX=/^(!=|<>|==|<=|>=|!<|!>|\|\||::|\x2D>>|\x2D>|~~\*|~~|!~~\*|!~~|~\*|!~\*|!~|:=|(?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]))/,this.BLOCK_COMMENT_REGEX=/^(\/\*(?:[\0-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*?(?:\*\/|$))/,this.LINE_COMMENT_REGEX=this.createLineCommentRegex(t.lineCommentTypes),this.RESERVED_TOP_LEVEL_REGEX=this.createReservedWordRegex(t.reservedTopLevelWords),this.RESERVED_TOP_LEVEL_NO_INDENT_REGEX=this.createReservedWordRegex(t.reservedTopLevelWordsNoIndent),this.RESERVED_NEWLINE_REGEX=this.createReservedWordRegex(t.reservedNewlineWords),this.RESERVED_PLAIN_REGEX=this.createReservedWordRegex(t.reservedWords),this.WORD_REGEX=this.createWordRegex(t.specialWordChars),this.STRING_REGEX=this.createStringRegex(t.stringTypes),this.OPEN_PAREN_REGEX=this.createParenRegex(t.openParens),this.CLOSE_PAREN_REGEX=this.createParenRegex(t.closeParens),this.INDEXED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.indexedPlaceholderTypes,"[0-9]*"),this.IDENT_NAMED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.namedPlaceholderTypes,"[a-zA-Z0-9._$]+"),this.STRING_NAMED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.namedPlaceholderTypes,this.createStringPattern(t.stringTypes))}var t,r;return t=e,r=[{key:"createLineCommentRegex",value:function(e){return new RegExp("^((?:".concat(e.map((function(e){return(0,o.default)(e)})).join("|"),").*?(?:\r\n|\r|\n|$))"),"u")}},{key:"createReservedWordRegex",value:function(e){var t=e.join("|").replace(/ /g,"\\s+");return new RegExp("^(".concat(t,")\\b"),"iu")}},{key:"createWordRegex",value:function(){return new RegExp("^([\\p{Alphabetic}\\p{Mark}\\p{Decimal_Number}\\p{Connector_Punctuation}\\p{Join_Control}".concat((arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).join(""),"]+)"),"u")}},{key:"createStringRegex",value:function(e){return new RegExp("^("+this.createStringPattern(e)+")","u")}},{key:"createStringPattern",value:function(e){var t={"``":"((`[^`]*($|`))+)","[]":"((\\[[^\\]]*($|\\]))(\\][^\\]]*($|\\]))*)",'""':'(("[^"\\\\]*(?:\\\\.[^"\\\\]*)*("|$))+)',"''":"(('[^'\\\\]*(?:\\\\.[^'\\\\]*)*('|$))+)","N''":"((N'[^N'\\\\]*(?:\\\\.[^N'\\\\]*)*('|$))+)"};return e.map((function(e){return t[e]})).join("|")}},{key:"createParenRegex",value:function(e){var t=this;return new RegExp("^("+e.map((function(e){return t.escapeParen(e)})).join("|")+")","iu")}},{key:"escapeParen",value:function(e){return 1===e.length?(0,o.default)(e):"\\b"+e+"\\b"}},{key:"createPlaceholderRegex",value:function(e,t){if((0,n.default)(e))return!1;var r=e.map(o.default).join("|");return new RegExp("^((?:".concat(r,")(?:").concat(t,"))"),"u")}},{key:"tokenize",value:function(e){if(!e)return[];for(var t,r=[];e.length;)t=this.getNextToken(e,t),e=e.substring(t.value.length),r.push(t);return r}},{key:"getNextToken",value:function(e,t){return this.getWhitespaceToken(e)||this.getCommentToken(e)||this.getStringToken(e)||this.getOpenParenToken(e)||this.getCloseParenToken(e)||this.getPlaceholderToken(e)||this.getNumberToken(e)||this.getReservedWordToken(e,t)||this.getWordToken(e)||this.getOperatorToken(e)}},{key:"getWhitespaceToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.WHITESPACE,regex:this.WHITESPACE_REGEX})}},{key:"getCommentToken",value:function(e){return this.getLineCommentToken(e)||this.getBlockCommentToken(e)}},{key:"getLineCommentToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.LINE_COMMENT,regex:this.LINE_COMMENT_REGEX})}},{key:"getBlockCommentToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.BLOCK_COMMENT,regex:this.BLOCK_COMMENT_REGEX})}},{key:"getStringToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.STRING,regex:this.STRING_REGEX})}},{key:"getOpenParenToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.OPEN_PAREN,regex:this.OPEN_PAREN_REGEX})}},{key:"getCloseParenToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.CLOSE_PAREN,regex:this.CLOSE_PAREN_REGEX})}},{key:"getPlaceholderToken",value:function(e){return this.getIdentNamedPlaceholderToken(e)||this.getStringNamedPlaceholderToken(e)||this.getIndexedPlaceholderToken(e)}},{key:"getIdentNamedPlaceholderToken",value:function(e){return this.getPlaceholderTokenWithKey({input:e,regex:this.IDENT_NAMED_PLACEHOLDER_REGEX,parseKey:function(e){return e.slice(1)}})}},{key:"getStringNamedPlaceholderToken",value:function(e){var t=this;return this.getPlaceholderTokenWithKey({input:e,regex:this.STRING_NAMED_PLACEHOLDER_REGEX,parseKey:function(e){return t.getEscapedPlaceholderKey({key:e.slice(2,-1),quoteChar:e.slice(-1)})}})}},{key:"getIndexedPlaceholderToken",value:function(e){return this.getPlaceholderTokenWithKey({input:e,regex:this.INDEXED_PLACEHOLDER_REGEX,parseKey:function(e){return e.slice(1)}})}},{key:"getPlaceholderTokenWithKey",value:function(e){var t=e.input,r=e.regex,n=e.parseKey,o=this.getTokenOnFirstMatch({input:t,regex:r,type:i.default.PLACEHOLDER});return o&&(o.key=n(o.value)),o}},{key:"getEscapedPlaceholderKey",value:function(e){var t=e.key,r=e.quoteChar;return t.replace(new RegExp((0,o.default)("\\"+r),"gu"),r)}},{key:"getNumberToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.NUMBER,regex:this.NUMBER_REGEX})}},{key:"getOperatorToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.OPERATOR,regex:this.OPERATOR_REGEX})}},{key:"getReservedWordToken",value:function(e,t){if(!t||!t.value||"."!==t.value)return this.getTopLevelReservedToken(e)||this.getNewlineReservedToken(e)||this.getTopLevelReservedTokenNoIndent(e)||this.getPlainReservedToken(e)}},{key:"getTopLevelReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_TOP_LEVEL,regex:this.RESERVED_TOP_LEVEL_REGEX})}},{key:"getNewlineReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_NEWLINE,regex:this.RESERVED_NEWLINE_REGEX})}},{key:"getTopLevelReservedTokenNoIndent",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_TOP_LEVEL_NO_INDENT,regex:this.RESERVED_TOP_LEVEL_NO_INDENT_REGEX})}},{key:"getPlainReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED,regex:this.RESERVED_PLAIN_REGEX})}},{key:"getWordToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.WORD,regex:this.WORD_REGEX})}},{key:"getTokenOnFirstMatch",value:function(e){var t=e.input,r=e.type,n=e.regex,o=t.match(n);if(o)return{type:r,value:o[1]}}}],r&&l(t.prototype,r),e}();t.default=s,e.exports=t.default},1025:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0,t.default={WHITESPACE:"whitespace",WORD:"word",STRING:"string",RESERVED:"reserved",RESERVED_TOP_LEVEL:"reserved-top-level",RESERVED_TOP_LEVEL_NO_INDENT:"reserved-top-level-no-indent",RESERVED_NEWLINE:"reserved-newline",OPERATOR:"operator",OPEN_PAREN:"open-paren",CLOSE_PAREN:"close-paren",LINE_COMMENT:"line-comment",BLOCK_COMMENT:"block-comment",NUMBER:"number",PLACEHOLDER:"placeholder"},e.exports=t.default},4377:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l,s=["ABS","ACTIVATE","ALIAS","ALL","ALLOCATE","ALLOW","ALTER","ANY","ARE","ARRAY","AS","ASC","ASENSITIVE","ASSOCIATE","ASUTIME","ASYMMETRIC","AT","ATOMIC","ATTRIBUTES","AUDIT","AUTHORIZATION","AUX","AUXILIARY","AVG","BEFORE","BEGIN","BETWEEN","BIGINT","BINARY","BLOB","BOOLEAN","BOTH","BUFFERPOOL","BY","CACHE","CALL","CALLED","CAPTURE","CARDINALITY","CASCADED","CASE","CAST","CCSID","CEIL","CEILING","CHAR","CHARACTER","CHARACTER_LENGTH","CHAR_LENGTH","CHECK","CLOB","CLONE","CLOSE","CLUSTER","COALESCE","COLLATE","COLLECT","COLLECTION","COLLID","COLUMN","COMMENT","COMMIT","CONCAT","CONDITION","CONNECT","CONNECTION","CONSTRAINT","CONTAINS","CONTINUE","CONVERT","CORR","CORRESPONDING","COUNT","COUNT_BIG","COVAR_POP","COVAR_SAMP","CREATE","CROSS","CUBE","CUME_DIST","CURRENT","CURRENT_DATE","CURRENT_DEFAULT_TRANSFORM_GROUP","CURRENT_LC_CTYPE","CURRENT_PATH","CURRENT_ROLE","CURRENT_SCHEMA","CURRENT_SERVER","CURRENT_TIME","CURRENT_TIMESTAMP","CURRENT_TIMEZONE","CURRENT_TRANSFORM_GROUP_FOR_TYPE","CURRENT_USER","CURSOR","CYCLE","DATA","DATABASE","DATAPARTITIONNAME","DATAPARTITIONNUM","DATE","DAY","DAYS","DB2GENERAL","DB2GENRL","DB2SQL","DBINFO","DBPARTITIONNAME","DBPARTITIONNUM","DEALLOCATE","DEC","DECIMAL","DECLARE","DEFAULT","DEFAULTS","DEFINITION","DELETE","DENSERANK","DENSE_RANK","DEREF","DESCRIBE","DESCRIPTOR","DETERMINISTIC","DIAGNOSTICS","DISABLE","DISALLOW","DISCONNECT","DISTINCT","DO","DOCUMENT","DOUBLE","DROP","DSSIZE","DYNAMIC","EACH","EDITPROC","ELEMENT","ELSE","ELSEIF","ENABLE","ENCODING","ENCRYPTION","END","END-EXEC","ENDING","ERASE","ESCAPE","EVERY","EXCEPTION","EXCLUDING","EXCLUSIVE","EXEC","EXECUTE","EXISTS","EXIT","EXP","EXPLAIN","EXTENDED","EXTERNAL","EXTRACT","FALSE","FENCED","FETCH","FIELDPROC","FILE","FILTER","FINAL","FIRST","FLOAT","FLOOR","FOR","FOREIGN","FREE","FULL","FUNCTION","FUSION","GENERAL","GENERATED","GET","GLOBAL","GOTO","GRANT","GRAPHIC","GROUP","GROUPING","HANDLER","HASH","HASHED_VALUE","HINT","HOLD","HOUR","HOURS","IDENTITY","IF","IMMEDIATE","IN","INCLUDING","INCLUSIVE","INCREMENT","INDEX","INDICATOR","INDICATORS","INF","INFINITY","INHERIT","INNER","INOUT","INSENSITIVE","INSERT","INT","INTEGER","INTEGRITY","INTERSECTION","INTERVAL","INTO","IS","ISOBID","ISOLATION","ITERATE","JAR","JAVA","KEEP","KEY","LABEL","LANGUAGE","LARGE","LATERAL","LC_CTYPE","LEADING","LEAVE","LEFT","LIKE","LINKTYPE","LN","LOCAL","LOCALDATE","LOCALE","LOCALTIME","LOCALTIMESTAMP","LOCATOR","LOCATORS","LOCK","LOCKMAX","LOCKSIZE","LONG","LOOP","LOWER","MAINTAINED","MATCH","MATERIALIZED","MAX","MAXVALUE","MEMBER","MERGE","METHOD","MICROSECOND","MICROSECONDS","MIN","MINUTE","MINUTES","MINVALUE","MOD","MODE","MODIFIES","MODULE","MONTH","MONTHS","MULTISET","NAN","NATIONAL","NATURAL","NCHAR","NCLOB","NEW","NEW_TABLE","NEXTVAL","NO","NOCACHE","NOCYCLE","NODENAME","NODENUMBER","NOMAXVALUE","NOMINVALUE","NONE","NOORDER","NORMALIZE","NORMALIZED","NOT","NULL","NULLIF","NULLS","NUMERIC","NUMPARTS","OBID","OCTET_LENGTH","OF","OFFSET","OLD","OLD_TABLE","ON","ONLY","OPEN","OPTIMIZATION","OPTIMIZE","OPTION","ORDER","OUT","OUTER","OVER","OVERLAPS","OVERLAY","OVERRIDING","PACKAGE","PADDED","PAGESIZE","PARAMETER","PART","PARTITION","PARTITIONED","PARTITIONING","PARTITIONS","PASSWORD","PATH","PERCENTILE_CONT","PERCENTILE_DISC","PERCENT_RANK","PIECESIZE","PLAN","POSITION","POWER","PRECISION","PREPARE","PREVVAL","PRIMARY","PRIQTY","PRIVILEGES","PROCEDURE","PROGRAM","PSID","PUBLIC","QUERY","QUERYNO","RANGE","RANK","READ","READS","REAL","RECOVERY","RECURSIVE","REF","REFERENCES","REFERENCING","REFRESH","REGR_AVGX","REGR_AVGY","REGR_COUNT","REGR_INTERCEPT","REGR_R2","REGR_SLOPE","REGR_SXX","REGR_SXY","REGR_SYY","RELEASE","RENAME","REPEAT","RESET","RESIGNAL","RESTART","RESTRICT","RESULT","RESULT_SET_LOCATOR","RETURN","RETURNS","REVOKE","RIGHT","ROLE","ROLLBACK","ROLLUP","ROUND_CEILING","ROUND_DOWN","ROUND_FLOOR","ROUND_HALF_DOWN","ROUND_HALF_EVEN","ROUND_HALF_UP","ROUND_UP","ROUTINE","ROW","ROWNUMBER","ROWS","ROWSET","ROW_NUMBER","RRN","RUN","SAVEPOINT","SCHEMA","SCOPE","SCRATCHPAD","SCROLL","SEARCH","SECOND","SECONDS","SECQTY","SECURITY","SENSITIVE","SEQUENCE","SESSION","SESSION_USER","SIGNAL","SIMILAR","SIMPLE","SMALLINT","SNAN","SOME","SOURCE","SPECIFIC","SPECIFICTYPE","SQL","SQLEXCEPTION","SQLID","SQLSTATE","SQLWARNING","SQRT","STACKED","STANDARD","START","STARTING","STATEMENT","STATIC","STATMENT","STAY","STDDEV_POP","STDDEV_SAMP","STOGROUP","STORES","STYLE","SUBMULTISET","SUBSTRING","SUM","SUMMARY","SYMMETRIC","SYNONYM","SYSFUN","SYSIBM","SYSPROC","SYSTEM","SYSTEM_USER","TABLE","TABLESAMPLE","TABLESPACE","THEN","TIME","TIMESTAMP","TIMEZONE_HOUR","TIMEZONE_MINUTE","TO","TRAILING","TRANSACTION","TRANSLATE","TRANSLATION","TREAT","TRIGGER","TRIM","TRUE","TRUNCATE","TYPE","UESCAPE","UNDO","UNIQUE","UNKNOWN","UNNEST","UNTIL","UPPER","USAGE","USER","USING","VALIDPROC","VALUE","VARCHAR","VARIABLE","VARIANT","VARYING","VAR_POP","VAR_SAMP","VCAT","VERSION","VIEW","VOLATILE","VOLUMES","WHEN","WHENEVER","WHILE","WIDTH_BUCKET","WINDOW","WITH","WITHIN","WITHOUT","WLM","WRITE","XMLELEMENT","XMLEXISTS","XMLNAMESPACES","YEAR","YEARS"],u=["ADD","AFTER","ALTER COLUMN","ALTER TABLE","DELETE FROM","EXCEPT","FETCH FIRST","FROM","GROUP BY","GO","HAVING","INSERT INTO","INTERSECT","LIMIT","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UPDATE","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","CROSS JOIN","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN"],p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return l||(l=new o.default({reservedWords:s,reservedTopLevelWords:u,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"''","``","[]"],openParens:["("],closeParens:[")"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:[":"],lineCommentTypes:["--"],specialWordChars:["#","@"]})),new n.default(this.cfg,l).format(e)}}])&&a(t.prototype,r),e}();t.default=p,e.exports=t.default},9445:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l,s=["ALL","ALTER","ANALYZE","AND","ANY","ARRAY","AS","ASC","BEGIN","BETWEEN","BINARY","BOOLEAN","BREAK","BUCKET","BUILD","BY","CALL","CASE","CAST","CLUSTER","COLLATE","COLLECTION","COMMIT","CONNECT","CONTINUE","CORRELATE","COVER","CREATE","DATABASE","DATASET","DATASTORE","DECLARE","DECREMENT","DELETE","DERIVED","DESC","DESCRIBE","DISTINCT","DO","DROP","EACH","ELEMENT","ELSE","END","EVERY","EXCEPT","EXCLUDE","EXECUTE","EXISTS","EXPLAIN","FALSE","FETCH","FIRST","FLATTEN","FOR","FORCE","FROM","FUNCTION","GRANT","GROUP","GSI","HAVING","IF","IGNORE","ILIKE","IN","INCLUDE","INCREMENT","INDEX","INFER","INLINE","INNER","INSERT","INTERSECT","INTO","IS","JOIN","KEY","KEYS","KEYSPACE","KNOWN","LAST","LEFT","LET","LETTING","LIKE","LIMIT","LSM","MAP","MAPPING","MATCHED","MATERIALIZED","MERGE","MISSING","NAMESPACE","NEST","NOT","NULL","NUMBER","OBJECT","OFFSET","ON","OPTION","OR","ORDER","OUTER","OVER","PARSE","PARTITION","PASSWORD","PATH","POOL","PREPARE","PRIMARY","PRIVATE","PRIVILEGE","PROCEDURE","PUBLIC","RAW","REALM","REDUCE","RENAME","RETURN","RETURNING","REVOKE","RIGHT","ROLE","ROLLBACK","SATISFIES","SCHEMA","SELECT","SELF","SEMI","SET","SHOW","SOME","START","STATISTICS","STRING","SYSTEM","THEN","TO","TRANSACTION","TRIGGER","TRUE","TRUNCATE","UNDER","UNION","UNIQUE","UNKNOWN","UNNEST","UNSET","UPDATE","UPSERT","USE","USER","USING","VALIDATE","VALUE","VALUED","VALUES","VIA","VIEW","WHEN","WHERE","WHILE","WITH","WITHIN","WORK","XOR"],u=["DELETE FROM","EXCEPT ALL","EXCEPT","EXPLAIN DELETE FROM","EXPLAIN UPDATE","EXPLAIN UPSERT","FROM","GROUP BY","HAVING","INFER","INSERT INTO","LET","LIMIT","MERGE","NEST","ORDER BY","PREPARE","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UNNEST","UPDATE","UPSERT","USE KEYS","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","XOR"],p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return l||(l=new o.default({reservedWords:s,reservedTopLevelWords:u,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"''","``"],openParens:["(","[","{"],closeParens:[")","]","}"],namedPlaceholderTypes:["$"],lineCommentTypes:["#","--"]})),new n.default(this.cfg,l).format(e)}}])&&a(t.prototype,r),e}();t.default=p,e.exports=t.default},7881:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=a(r(9157)),o=a(r(3202)),i=a(r(1025));function a(e){return e&&e.__esModule?e:{default:e}}function l(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s,u=["A","ACCESSIBLE","AGENT","AGGREGATE","ALL","ALTER","ANY","ARRAY","AS","ASC","AT","ATTRIBUTE","AUTHID","AVG","BETWEEN","BFILE_BASE","BINARY_INTEGER","BINARY","BLOB_BASE","BLOCK","BODY","BOOLEAN","BOTH","BOUND","BREADTH","BULK","BY","BYTE","C","CALL","CALLING","CASCADE","CASE","CHAR_BASE","CHAR","CHARACTER","CHARSET","CHARSETFORM","CHARSETID","CHECK","CLOB_BASE","CLONE","CLOSE","CLUSTER","CLUSTERS","COALESCE","COLAUTH","COLLECT","COLUMNS","COMMENT","COMMIT","COMMITTED","COMPILED","COMPRESS","CONNECT","CONSTANT","CONSTRUCTOR","CONTEXT","CONTINUE","CONVERT","COUNT","CRASH","CREATE","CREDENTIAL","CURRENT","CURRVAL","CURSOR","CUSTOMDATUM","DANGLING","DATA","DATE_BASE","DATE","DAY","DECIMAL","DEFAULT","DEFINE","DELETE","DEPTH","DESC","DETERMINISTIC","DIRECTORY","DISTINCT","DO","DOUBLE","DROP","DURATION","ELEMENT","ELSIF","EMPTY","END","ESCAPE","EXCEPTIONS","EXCLUSIVE","EXECUTE","EXISTS","EXIT","EXTENDS","EXTERNAL","EXTRACT","FALSE","FETCH","FINAL","FIRST","FIXED","FLOAT","FOR","FORALL","FORCE","FROM","FUNCTION","GENERAL","GOTO","GRANT","GROUP","HASH","HEAP","HIDDEN","HOUR","IDENTIFIED","IF","IMMEDIATE","IN","INCLUDING","INDEX","INDEXES","INDICATOR","INDICES","INFINITE","INSTANTIABLE","INT","INTEGER","INTERFACE","INTERVAL","INTO","INVALIDATE","IS","ISOLATION","JAVA","LANGUAGE","LARGE","LEADING","LENGTH","LEVEL","LIBRARY","LIKE","LIKE2","LIKE4","LIKEC","LIMITED","LOCAL","LOCK","LONG","MAP","MAX","MAXLEN","MEMBER","MERGE","MIN","MINUTE","MLSLABEL","MOD","MODE","MONTH","MULTISET","NAME","NAN","NATIONAL","NATIVE","NATURAL","NATURALN","NCHAR","NEW","NEXTVAL","NOCOMPRESS","NOCOPY","NOT","NOWAIT","NULL","NULLIF","NUMBER_BASE","NUMBER","OBJECT","OCICOLL","OCIDATE","OCIDATETIME","OCIDURATION","OCIINTERVAL","OCILOBLOCATOR","OCINUMBER","OCIRAW","OCIREF","OCIREFCURSOR","OCIROWID","OCISTRING","OCITYPE","OF","OLD","ON","ONLY","OPAQUE","OPEN","OPERATOR","OPTION","ORACLE","ORADATA","ORDER","ORGANIZATION","ORLANY","ORLVARY","OTHERS","OUT","OVERLAPS","OVERRIDING","PACKAGE","PARALLEL_ENABLE","PARAMETER","PARAMETERS","PARENT","PARTITION","PASCAL","PCTFREE","PIPE","PIPELINED","PLS_INTEGER","PLUGGABLE","POSITIVE","POSITIVEN","PRAGMA","PRECISION","PRIOR","PRIVATE","PROCEDURE","PUBLIC","RAISE","RANGE","RAW","READ","REAL","RECORD","REF","REFERENCE","RELEASE","RELIES_ON","REM","REMAINDER","RENAME","RESOURCE","RESULT_CACHE","RESULT","RETURN","RETURNING","REVERSE","REVOKE","ROLLBACK","ROW","ROWID","ROWNUM","ROWTYPE","SAMPLE","SAVE","SAVEPOINT","SB1","SB2","SB4","SEARCH","SECOND","SEGMENT","SELF","SEPARATE","SEQUENCE","SERIALIZABLE","SHARE","SHORT","SIZE_T","SIZE","SMALLINT","SOME","SPACE","SPARSE","SQL","SQLCODE","SQLDATA","SQLERRM","SQLNAME","SQLSTATE","STANDARD","START","STATIC","STDDEV","STORED","STRING","STRUCT","STYLE","SUBMULTISET","SUBPARTITION","SUBSTITUTABLE","SUBTYPE","SUCCESSFUL","SUM","SYNONYM","SYSDATE","TABAUTH","TABLE","TDO","THE","THEN","TIME","TIMESTAMP","TIMEZONE_ABBR","TIMEZONE_HOUR","TIMEZONE_MINUTE","TIMEZONE_REGION","TO","TRAILING","TRANSACTION","TRANSACTIONAL","TRIGGER","TRUE","TRUSTED","TYPE","UB1","UB2","UB4","UID","UNDER","UNIQUE","UNPLUG","UNSIGNED","UNTRUSTED","USE","USER","USING","VALIDATE","VALIST","VALUE","VARCHAR","VARCHAR2","VARIABLE","VARIANCE","VARRAY","VARYING","VIEW","VIEWS","VOID","WHENEVER","WHILE","WITH","WORK","WRAPPED","WRITE","YEAR","ZONE"],c=["ADD","ALTER COLUMN","ALTER TABLE","BEGIN","CONNECT BY","DECLARE","DELETE FROM","DELETE","END","EXCEPT","EXCEPTION","FETCH FIRST","FROM","GROUP BY","HAVING","INSERT INTO","INSERT","LIMIT","LOOP","MODIFY","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","START WITH","UPDATE","VALUES","WHERE"],d=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],p=["AND","CROSS APPLY","CROSS JOIN","ELSE","END","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER APPLY","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","WHEN","XOR"],f=function(e,t){if(e.type===i.default.RESERVED_TOP_LEVEL&&"SET"===e.value&&"BY"===t.value)return e.type=i.default.RESERVED,e},h=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return s||(s=new o.default({reservedWords:u,reservedTopLevelWords:c,reservedNewlineWords:p,reservedTopLevelWordsNoIndent:d,stringTypes:['""',"N''","''","``"],openParens:["(","CASE","BEGIN"],closeParens:[")","END"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:[":"],lineCommentTypes:["--"],specialWordChars:["_","$","#",".","@"]})),new n.default(this.cfg,s,f).format(e)}}])&&l(t.prototype,r),e}();t.default=h,e.exports=t.default},1432:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l,s=["ACCESSIBLE","ACTION","AGAINST","AGGREGATE","ALGORITHM","ALL","ALTER","ANALYSE","ANALYZE","AS","ASC","AUTOCOMMIT","AUTO_INCREMENT","BACKUP","BEGIN","BETWEEN","BINLOG","BOTH","CASCADE","CASE","CHANGE","CHANGED","CHARACTER SET","CHARSET","CHECK","CHECKSUM","COLLATE","COLLATION","COLUMN","COLUMNS","COMMENT","COMMIT","COMMITTED","COMPRESSED","CONCURRENT","CONSTRAINT","CONTAINS","CONVERT","CREATE","CROSS","CURRENT_TIMESTAMP","DATABASE","DATABASES","DAY","DAY_HOUR","DAY_MINUTE","DAY_SECOND","DEFAULT","DEFINER","DELAYED","DELETE","DESC","DESCRIBE","DETERMINISTIC","DISTINCT","DISTINCTROW","DIV","DO","DROP","DUMPFILE","DUPLICATE","DYNAMIC","ELSE","ENCLOSED","END","ENGINE","ENGINES","ENGINE_TYPE","ESCAPE","ESCAPED","EVENTS","EXEC","EXECUTE","EXISTS","EXPLAIN","EXTENDED","FAST","FETCH","FIELDS","FILE","FIRST","FIXED","FLUSH","FOR","FORCE","FOREIGN","FULL","FULLTEXT","FUNCTION","GLOBAL","GRANT","GRANTS","GROUP_CONCAT","HEAP","HIGH_PRIORITY","HOSTS","HOUR","HOUR_MINUTE","HOUR_SECOND","IDENTIFIED","IF","IFNULL","IGNORE","IN","INDEX","INDEXES","INFILE","INSERT","INSERT_ID","INSERT_METHOD","INTERVAL","INTO","INVOKER","IS","ISOLATION","KEY","KEYS","KILL","LAST_INSERT_ID","LEADING","LEVEL","LIKE","LINEAR","LINES","LOAD","LOCAL","LOCK","LOCKS","LOGS","LOW_PRIORITY","MARIA","MASTER","MASTER_CONNECT_RETRY","MASTER_HOST","MASTER_LOG_FILE","MATCH","MAX_CONNECTIONS_PER_HOUR","MAX_QUERIES_PER_HOUR","MAX_ROWS","MAX_UPDATES_PER_HOUR","MAX_USER_CONNECTIONS","MEDIUM","MERGE","MINUTE","MINUTE_SECOND","MIN_ROWS","MODE","MODIFY","MONTH","MRG_MYISAM","MYISAM","NAMES","NATURAL","NOT","NOW()","NULL","OFFSET","ON DELETE","ON UPDATE","ON","ONLY","OPEN","OPTIMIZE","OPTION","OPTIONALLY","OUTFILE","PACK_KEYS","PAGE","PARTIAL","PARTITION","PARTITIONS","PASSWORD","PRIMARY","PRIVILEGES","PROCEDURE","PROCESS","PROCESSLIST","PURGE","QUICK","RAID0","RAID_CHUNKS","RAID_CHUNKSIZE","RAID_TYPE","RANGE","READ","READ_ONLY","READ_WRITE","REFERENCES","REGEXP","RELOAD","RENAME","REPAIR","REPEATABLE","REPLACE","REPLICATION","RESET","RESTORE","RESTRICT","RETURN","RETURNS","REVOKE","RLIKE","ROLLBACK","ROW","ROWS","ROW_FORMAT","SECOND","SECURITY","SEPARATOR","SERIALIZABLE","SESSION","SHARE","SHOW","SHUTDOWN","SLAVE","SONAME","SOUNDS","SQL","SQL_AUTO_IS_NULL","SQL_BIG_RESULT","SQL_BIG_SELECTS","SQL_BIG_TABLES","SQL_BUFFER_RESULT","SQL_CACHE","SQL_CALC_FOUND_ROWS","SQL_LOG_BIN","SQL_LOG_OFF","SQL_LOG_UPDATE","SQL_LOW_PRIORITY_UPDATES","SQL_MAX_JOIN_SIZE","SQL_NO_CACHE","SQL_QUOTE_SHOW_CREATE","SQL_SAFE_UPDATES","SQL_SELECT_LIMIT","SQL_SLAVE_SKIP_COUNTER","SQL_SMALL_RESULT","SQL_WARNINGS","START","STARTING","STATUS","STOP","STORAGE","STRAIGHT_JOIN","STRING","STRIPED","SUPER","TABLE","TABLES","TEMPORARY","TERMINATED","THEN","TO","TRAILING","TRANSACTIONAL","TRUE","TRUNCATE","TYPE","TYPES","UNCOMMITTED","UNIQUE","UNLOCK","UNSIGNED","USAGE","USE","USING","VARIABLES","VIEW","WHEN","WITH","WORK","WRITE","YEAR_MONTH"],u=["ADD","AFTER","ALTER COLUMN","ALTER TABLE","DELETE FROM","EXCEPT","FETCH FIRST","FROM","GROUP BY","GO","HAVING","INSERT INTO","INSERT","LIMIT","MODIFY","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UPDATE","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","CROSS APPLY","CROSS JOIN","ELSE","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER APPLY","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","WHEN","XOR"],p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return l||(l=new o.default({reservedWords:s,reservedTopLevelWords:u,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"N''","''","``","[]"],openParens:["(","CASE"],closeParens:[")","END"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:["@",":"],lineCommentTypes:["#","--"]})),new n.default(this.cfg,l).format(e)}}])&&a(t.prototype,r),e}();t.default=p,e.exports=t.default},7409:(e,t,r)=>{"use strict";t.Ay=void 0;var n=l(r(4377)),o=l(r(9445)),i=l(r(7881)),a=l(r(1432));function l(e){return e&&e.__esModule?e:{default:e}}var s={format:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};switch(t.language){case"db2":return new n.default(t).format(e);case"n1ql":return new o.default(t).format(e);case"pl/sql":return new i.default(t).format(e);case"sql":case void 0:return new a.default(t).format(e);default:throw Error("Unsupported SQL dialect: ".concat(t.language))}}};t.Ay=s},358:(e,t,r)=>{e.exports=r(3231)},3231:(e,t)=>{var r=t,n=/`/g,o=/\./g,i=/[\0\b\t\n\r\x1a\"\'\\]/g,a={"\0":"\\0","\b":"\\b","\t":"\\t","\n":"\\n","\r":"\\r","":"\\Z",'"':'\\"',"'":"\\'","\\":"\\\\"};function l(e){for(var t,r=i.lastIndex=0,n="";t=i.exec(e);)n+=e.slice(r,t.index)+a[t[0]],r=i.lastIndex;return 0===r?"'"+e+"'":r<e.length?"'"+n+e.slice(r)+"'":"'"+n+"'"}function s(e,t){for(e=e.toString();e.length<t;)e="0"+e;return e}r.escapeId=function(e,t){if(Array.isArray(e)){for(var i="",a=0;a<e.length;a++)i+=(0===a?"":", ")+r.escapeId(e[a],t);return i}return t?"`"+String(e).replace(n,"``")+"`":"`"+String(e).replace(n,"``").replace(o,"`.`")+"`"},r.escape=function(e,t,n){if(null==e)return"NULL";switch(typeof e){case"boolean":return e?"true":"false";case"number":return e+"";case"object":return"[object Date]"===Object.prototype.toString.call(e)?r.dateToString(e,n||"local"):Array.isArray(e)?r.arrayToList(e,n):Buffer.isBuffer(e)?r.bufferToString(e):"function"==typeof e.toSqlString?String(e.toSqlString()):t?l(e.toString()):r.objectToValues(e,n);default:return l(e)}},r.arrayToList=function(e,t){for(var n="",o=0;o<e.length;o++){var i=e[o];Array.isArray(i)?n+=(0===o?"":", ")+"("+r.arrayToList(i,t)+")":n+=(0===o?"":", ")+r.escape(i,!0,t)}return n},r.format=function(e,t,n,o){if(null==t)return e;Array.isArray(t)||(t=[t]);for(var i,a=0,l=/\?+/g,s="",u=0;u<t.length&&(i=l.exec(e));){var c=i[0].length;if(!(c>2)){var d=2===c?r.escapeId(t[u]):r.escape(t[u],n,o);s+=e.slice(a,i.index)+d,a=l.lastIndex,u++}}return 0===a?e:a<e.length?s+e.slice(a):s},r.dateToString=function(e,t){var r,n,o,i,a,u,c,d=new Date(e);if(isNaN(d.getTime()))return"NULL";if("local"===t)r=d.getFullYear(),n=d.getMonth()+1,o=d.getDate(),i=d.getHours(),a=d.getMinutes(),u=d.getSeconds(),c=d.getMilliseconds();else{var p=function(e){if("Z"===e)return 0;var t=e.match(/([\+\-\s])(\d\d):?(\d\d)?/);return!!t&&("-"===t[1]?-1:1)*(parseInt(t[2],10)+(t[3]?parseInt(t[3],10):0)/60)*60}(t);!1!==p&&0!==p&&d.setTime(d.getTime()+6e4*p),r=d.getUTCFullYear(),n=d.getUTCMonth()+1,o=d.getUTCDate(),i=d.getUTCHours(),a=d.getUTCMinutes(),u=d.getUTCSeconds(),c=d.getUTCMilliseconds()}return l(s(r,4)+"-"+s(n,2)+"-"+s(o,2)+" "+s(i,2)+":"+s(a,2)+":"+s(u,2)+"."+s(c,3))},r.bufferToString=function(e){return"X"+l(e.toString("hex"))},r.objectToValues=function(e,t){var n="";for(var o in e){var i=e[o];"function"!=typeof i&&(n+=(0===n.length?"":", ")+r.escapeId(o)+" = "+r.escape(i,!0,t))}return n},r.raw=function(e){if("string"!=typeof e)throw new TypeError("argument sql must be a string");return{toSqlString:function(){return e}}}},1882:e=>{e.exports=function(){var e=document.getSelection();if(!e.rangeCount)return function(){};for(var t=document.activeElement,r=[],n=0;n<e.rangeCount;n++)r.push(e.getRangeAt(n));switch(t.tagName.toUpperCase()){case"INPUT":case"TEXTAREA":t.blur();break;default:t=null}return e.removeAllRanges(),function(){"Caret"===e.type&&e.removeAllRanges(),e.rangeCount||r.forEach((function(t){e.addRange(t)})),t&&t.focus()}}},627:e=>{e.exports={area:!0,base:!0,br:!0,col:!0,embed:!0,hr:!0,img:!0,input:!0,link:!0,meta:!0,param:!0,source:!0,track:!0,wbr:!0}},6089:e=>{"use strict";e.exports=t},7781:t=>{"use strict";t.exports=e},8531:e=>{"use strict";e.exports=i},2007:e=>{"use strict";e.exports=n},3241:e=>{"use strict";e.exports=a},2468:e=>{"use strict";e.exports=l},5959:e=>{"use strict";e.exports=r},200:e=>{"use strict";e.exports=u},7694:e=>{"use strict";e.exports=s},1269:e=>{"use strict";e.exports=o},8911:(e,t,r)=>{var n=r(5992).default;function o(){"use strict";e.exports=o=function(){return r},e.exports.__esModule=!0,e.exports.default=e.exports;var t,r={},i=Object.prototype,a=i.hasOwnProperty,l=Object.defineProperty||function(e,t,r){e[t]=r.value},s="function"==typeof Symbol?Symbol:{},u=s.iterator||"@@iterator",c=s.asyncIterator||"@@asyncIterator",d=s.toStringTag||"@@toStringTag";function p(e,t,r){return Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}),e[t]}try{p({},"")}catch(t){p=function(e,t,r){return e[t]=r}}function f(e,t,r,n){var o=t&&t.prototype instanceof E?t:E,i=Object.create(o.prototype),a=new x(n||[]);return l(i,"_invoke",{value:I(e,r,a)}),i}function h(e,t,r){try{return{type:"normal",arg:e.call(t,r)}}catch(e){return{type:"throw",arg:e}}}r.wrap=f;var g="suspendedStart",v="suspendedYield",m="executing",y="completed",b={};function E(){}function O(){}function S(){}var T={};p(T,u,(function(){return this}));var _=Object.getPrototypeOf,w=_&&_(_(k([])));w&&w!==i&&a.call(w,u)&&(T=w);var R=S.prototype=E.prototype=Object.create(T);function A(e){["next","throw","return"].forEach((function(t){p(e,t,(function(e){return this._invoke(t,e)}))}))}function C(e,t){function r(o,i,l,s){var u=h(e[o],e,i);if("throw"!==u.type){var c=u.arg,d=c.value;return d&&"object"==n(d)&&a.call(d,"__await")?t.resolve(d.__await).then((function(e){r("next",e,l,s)}),(function(e){r("throw",e,l,s)})):t.resolve(d).then((function(e){c.value=e,l(c)}),(function(e){return r("throw",e,l,s)}))}s(u.arg)}var o;l(this,"_invoke",{value:function(e,n){function i(){return new t((function(t,o){r(e,n,t,o)}))}return o=o?o.then(i,i):i()}})}function I(e,r,n){var o=g;return function(i,a){if(o===m)throw Error("Generator is already running");if(o===y){if("throw"===i)throw a;return{value:t,done:!0}}for(n.method=i,n.arg=a;;){var l=n.delegate;if(l){var s=L(l,n);if(s){if(s===b)continue;return s}}if("next"===n.method)n.sent=n._sent=n.arg;else if("throw"===n.method){if(o===g)throw o=y,n.arg;n.dispatchException(n.arg)}else"return"===n.method&&n.abrupt("return",n.arg);o=m;var u=h(e,r,n);if("normal"===u.type){if(o=n.done?y:v,u.arg===b)continue;return{value:u.arg,done:n.done}}"throw"===u.type&&(o=y,n.method="throw",n.arg=u.arg)}}}function L(e,r){var n=r.method,o=e.iterator[n];if(o===t)return r.delegate=null,"throw"===n&&e.iterator.return&&(r.method="return",r.arg=t,L(e,r),"throw"===r.method)||"return"!==n&&(r.method="throw",r.arg=new TypeError("The iterator does not provide a '"+n+"' method")),b;var i=h(o,e.iterator,r.arg);if("throw"===i.type)return r.method="throw",r.arg=i.arg,r.delegate=null,b;var a=i.arg;return a?a.done?(r[e.resultName]=a.value,r.next=e.nextLoc,"return"!==r.method&&(r.method="next",r.arg=t),r.delegate=null,b):a:(r.method="throw",r.arg=new TypeError("iterator result is not an object"),r.delegate=null,b)}function N(e){var t={tryLoc:e[0]};1 in e&&(t.catchLoc=e[1]),2 in e&&(t.finallyLoc=e[2],t.afterLoc=e[3]),this.tryEntries.push(t)}function P(e){var t=e.completion||{};t.type="normal",delete t.arg,e.completion=t}function x(e){this.tryEntries=[{tryLoc:"root"}],e.forEach(N,this),this.reset(!0)}function k(e){if(e||""===e){var r=e[u];if(r)return r.call(e);if("function"==typeof e.next)return e;if(!isNaN(e.length)){var o=-1,i=function r(){for(;++o<e.length;)if(a.call(e,o))return r.value=e[o],r.done=!1,r;return r.value=t,r.done=!0,r};return i.next=i}}throw new TypeError(n(e)+" is not iterable")}return O.prototype=S,l(R,"constructor",{value:S,configurable:!0}),l(S,"constructor",{value:O,configurable:!0}),O.displayName=p(S,d,"GeneratorFunction"),r.isGeneratorFunction=function(e){var t="function"==typeof e&&e.constructor;return!!t&&(t===O||"GeneratorFunction"===(t.displayName||t.name))},r.mark=function(e){return Object.setPrototypeOf?Object.setPrototypeOf(e,S):(e.__proto__=S,p(e,d,"GeneratorFunction")),e.prototype=Object.create(R),e},r.awrap=function(e){return{__await:e}},A(C.prototype),p(C.prototype,c,(function(){return this})),r.AsyncIterator=C,r.async=function(e,t,n,o,i){void 0===i&&(i=Promise);var a=new C(f(e,t,n,o),i);return r.isGeneratorFunction(t)?a:a.next().then((function(e){return e.done?e.value:a.next()}))},A(R),p(R,d,"Generator"),p(R,u,(function(){return this})),p(R,"toString",(function(){return"[object Generator]"})),r.keys=function(e){var t=Object(e),r=[];for(var n in t)r.push(n);return r.reverse(),function e(){for(;r.length;){var n=r.pop();if(n in t)return e.value=n,e.done=!1,e}return e.done=!0,e}},r.values=k,x.prototype={constructor:x,reset:function(e){if(this.prev=0,this.next=0,this.sent=this._sent=t,this.done=!1,this.delegate=null,this.method="next",this.arg=t,this.tryEntries.forEach(P),!e)for(var r in this)"t"===r.charAt(0)&&a.call(this,r)&&!isNaN(+r.slice(1))&&(this[r]=t)},stop:function(){this.done=!0;var e=this.tryEntries[0].completion;if("throw"===e.type)throw e.arg;return this.rval},dispatchException:function(e){if(this.done)throw e;var r=this;function n(n,o){return l.type="throw",l.arg=e,r.next=n,o&&(r.method="next",r.arg=t),!!o}for(var o=this.tryEntries.length-1;o>=0;--o){var i=this.tryEntries[o],l=i.completion;if("root"===i.tryLoc)return n("end");if(i.tryLoc<=this.prev){var s=a.call(i,"catchLoc"),u=a.call(i,"finallyLoc");if(s&&u){if(this.prev<i.catchLoc)return n(i.catchLoc,!0);if(this.prev<i.finallyLoc)return n(i.finallyLoc)}else if(s){if(this.prev<i.catchLoc)return n(i.catchLoc,!0)}else{if(!u)throw Error("try statement without catch or finally");if(this.prev<i.finallyLoc)return n(i.finallyLoc)}}}},abrupt:function(e,t){for(var r=this.tryEntries.length-1;r>=0;--r){var n=this.tryEntries[r];if(n.tryLoc<=this.prev&&a.call(n,"finallyLoc")&&this.prev<n.finallyLoc){var o=n;break}}o&&("break"===e||"continue"===e)&&o.tryLoc<=t&&t<=o.finallyLoc&&(o=null);var i=o?o.completion:{};return i.type=e,i.arg=t,o?(this.method="next",this.next=o.finallyLoc,b):this.complete(i)},complete:function(e,t){if("throw"===e.type)throw e.arg;return"break"===e.type||"continue"===e.type?this.next=e.arg:"return"===e.type?(this.rval=this.arg=e.arg,this.method="return",this.next="end"):"normal"===e.type&&t&&(this.next=t),b},finish:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var r=this.tryEntries[t];if(r.finallyLoc===e)return this.complete(r.completion,r.afterLoc),P(r),b}},catch:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var r=this.tryEntries[t];if(r.tryLoc===e){var n=r.completion;if("throw"===n.type){var o=n.arg;P(r)}return o}}throw Error("illegal catch attempt")},delegateYield:function(e,r,n){return this.delegate={iterator:k(e),resultName:r,nextLoc:n},"next"===this.method&&(this.arg=t),b}},r}e.exports=o,e.exports.__esModule=!0,e.exports.default=e.exports},5992:e=>{function t(r){return e.exports=t="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},e.exports.__esModule=!0,e.exports.default=e.exports,t(r)}e.exports=t,e.exports.__esModule=!0,e.exports.default=e.exports},6834:(e,t,r)=>{var n=r(8911)();e.exports=n;try{regeneratorRuntime=n}catch(e){"object"==typeof globalThis?globalThis.regeneratorRuntime=n:Function("r","regeneratorRuntime = r")(n)}},2584:(e,t)=>{var r;!function(){"use strict";var n={}.hasOwnProperty;function o(){for(var e="",t=0;t<arguments.length;t++){var r=arguments[t];r&&(e=a(e,i(r)))}return e}function i(e){if("string"==typeof e||"number"==typeof e)return e;if("object"!=typeof e)return"";if(Array.isArray(e))return o.apply(null,e);if(e.toString!==Object.prototype.toString&&!e.toString.toString().includes("[native code]"))return e.toString();var t="";for(var r in e)n.call(e,r)&&e[r]&&(t=a(t,r));return t}function a(e,t){return t?e?e+" "+t:e+t:e}e.exports?(o.default=o,e.exports=o):void 0===(r=function(){return o}.apply(t,[]))||(e.exports=r)}()},4769:(e,t,r)=>{"use strict";r.r(t),r.d(t,{__addDisposableResource:()=>k,__assign:()=>i,__asyncDelegator:()=>w,__asyncGenerator:()=>_,__asyncValues:()=>R,__await:()=>T,__awaiter:()=>h,__classPrivateFieldGet:()=>N,__classPrivateFieldIn:()=>x,__classPrivateFieldSet:()=>P,__createBinding:()=>v,__decorate:()=>l,__disposeResources:()=>j,__esDecorate:()=>u,__exportStar:()=>m,__extends:()=>o,__generator:()=>g,__importDefault:()=>L,__importStar:()=>I,__makeTemplateObject:()=>A,__metadata:()=>f,__param:()=>s,__propKey:()=>d,__read:()=>b,__rest:()=>a,__runInitializers:()=>c,__setFunctionName:()=>p,__spread:()=>E,__spreadArray:()=>S,__spreadArrays:()=>O,__values:()=>y,default:()=>D});var n=function(e,t){return n=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&(e[r]=t[r])},n(e,t)};function o(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function r(){this.constructor=e}n(e,t),e.prototype=null===t?Object.create(t):(r.prototype=t.prototype,new r)}var i=function(){return i=Object.assign||function(e){for(var t,r=1,n=arguments.length;r<n;r++)for(var o in t=arguments[r])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e},i.apply(this,arguments)};function a(e,t){var r={};for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&"function"==typeof Object.getOwnPropertySymbols){var o=0;for(n=Object.getOwnPropertySymbols(e);o<n.length;o++)t.indexOf(n[o])<0&&Object.prototype.propertyIsEnumerable.call(e,n[o])&&(r[n[o]]=e[n[o]])}return r}function l(e,t,r,n){var o,i=arguments.length,a=i<3?t:null===n?n=Object.getOwnPropertyDescriptor(t,r):n;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(e,t,r,n);else for(var l=e.length-1;l>=0;l--)(o=e[l])&&(a=(i<3?o(a):i>3?o(t,r,a):o(t,r))||a);return i>3&&a&&Object.defineProperty(t,r,a),a}function s(e,t){return function(r,n){t(r,n,e)}}function u(e,t,r,n,o,i){function a(e){if(void 0!==e&&"function"!=typeof e)throw new TypeError("Function expected");return e}for(var l,s=n.kind,u="getter"===s?"get":"setter"===s?"set":"value",c=!t&&e?n.static?e:e.prototype:null,d=t||(c?Object.getOwnPropertyDescriptor(c,n.name):{}),p=!1,f=r.length-1;f>=0;f--){var h={};for(var g in n)h[g]="access"===g?{}:n[g];for(var g in n.access)h.access[g]=n.access[g];h.addInitializer=function(e){if(p)throw new TypeError("Cannot add initializers after decoration has completed");i.push(a(e||null))};var v=(0,r[f])("accessor"===s?{get:d.get,set:d.set}:d[u],h);if("accessor"===s){if(void 0===v)continue;if(null===v||"object"!=typeof v)throw new TypeError("Object expected");(l=a(v.get))&&(d.get=l),(l=a(v.set))&&(d.set=l),(l=a(v.init))&&o.unshift(l)}else(l=a(v))&&("field"===s?o.unshift(l):d[u]=l)}c&&Object.defineProperty(c,n.name,d),p=!0}function c(e,t,r){for(var n=arguments.length>2,o=0;o<t.length;o++)r=n?t[o].call(e,r):t[o].call(e);return n?r:void 0}function d(e){return"symbol"==typeof e?e:"".concat(e)}function p(e,t,r){return"symbol"==typeof t&&(t=t.description?"[".concat(t.description,"]"):""),Object.defineProperty(e,"name",{configurable:!0,value:r?"".concat(r," ",t):t})}function f(e,t){if("object"==typeof Reflect&&"function"==typeof Reflect.metadata)return Reflect.metadata(e,t)}function h(e,t,r,n){return new(r||(r=Promise))((function(o,i){function a(e){try{s(n.next(e))}catch(e){i(e)}}function l(e){try{s(n.throw(e))}catch(e){i(e)}}function s(e){var t;e.done?o(e.value):(t=e.value,t instanceof r?t:new r((function(e){e(t)}))).then(a,l)}s((n=n.apply(e,t||[])).next())}))}function g(e,t){var r,n,o,i,a={label:0,sent:function(){if(1&o[0])throw o[1];return o[1]},trys:[],ops:[]};return i={next:l(0),throw:l(1),return:l(2)},"function"==typeof Symbol&&(i[Symbol.iterator]=function(){return this}),i;function l(l){return function(s){return function(l){if(r)throw new TypeError("Generator is already executing.");for(;i&&(i=0,l[0]&&(a=0)),a;)try{if(r=1,n&&(o=2&l[0]?n.return:l[0]?n.throw||((o=n.return)&&o.call(n),0):n.next)&&!(o=o.call(n,l[1])).done)return o;switch(n=0,o&&(l=[2&l[0],o.value]),l[0]){case 0:case 1:o=l;break;case 4:return a.label++,{value:l[1],done:!1};case 5:a.label++,n=l[1],l=[0];continue;case 7:l=a.ops.pop(),a.trys.pop();continue;default:if(!((o=(o=a.trys).length>0&&o[o.length-1])||6!==l[0]&&2!==l[0])){a=0;continue}if(3===l[0]&&(!o||l[1]>o[0]&&l[1]<o[3])){a.label=l[1];break}if(6===l[0]&&a.label<o[1]){a.label=o[1],o=l;break}if(o&&a.label<o[2]){a.label=o[2],a.ops.push(l);break}o[2]&&a.ops.pop(),a.trys.pop();continue}l=t.call(e,a)}catch(e){l=[6,e],n=0}finally{r=o=0}if(5&l[0])throw l[1];return{value:l[0]?l[1]:void 0,done:!0}}([l,s])}}}var v=Object.create?function(e,t,r,n){void 0===n&&(n=r);var o=Object.getOwnPropertyDescriptor(t,r);o&&!("get"in o?!t.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return t[r]}}),Object.defineProperty(e,n,o)}:function(e,t,r,n){void 0===n&&(n=r),e[n]=t[r]};function m(e,t){for(var r in e)"default"===r||Object.prototype.hasOwnProperty.call(t,r)||v(t,e,r)}function y(e){var t="function"==typeof Symbol&&Symbol.iterator,r=t&&e[t],n=0;if(r)return r.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&n>=e.length&&(e=void 0),{value:e&&e[n++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")}function b(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a}function E(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(b(arguments[t]));return e}function O(){for(var e=0,t=0,r=arguments.length;t<r;t++)e+=arguments[t].length;var n=Array(e),o=0;for(t=0;t<r;t++)for(var i=arguments[t],a=0,l=i.length;a<l;a++,o++)n[o]=i[a];return n}function S(e,t,r){if(r||2===arguments.length)for(var n,o=0,i=t.length;o<i;o++)!n&&o in t||(n||(n=Array.prototype.slice.call(t,0,o)),n[o]=t[o]);return e.concat(n||Array.prototype.slice.call(t))}function T(e){return this instanceof T?(this.v=e,this):new T(e)}function _(e,t,r){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var n,o=r.apply(e,t||[]),i=[];return n={},a("next"),a("throw"),a("return",(function(e){return function(t){return Promise.resolve(t).then(e,u)}})),n[Symbol.asyncIterator]=function(){return this},n;function a(e,t){o[e]&&(n[e]=function(t){return new Promise((function(r,n){i.push([e,t,r,n])>1||l(e,t)}))},t&&(n[e]=t(n[e])))}function l(e,t){try{(r=o[e](t)).value instanceof T?Promise.resolve(r.value.v).then(s,u):c(i[0][2],r)}catch(e){c(i[0][3],e)}var r}function s(e){l("next",e)}function u(e){l("throw",e)}function c(e,t){e(t),i.shift(),i.length&&l(i[0][0],i[0][1])}}function w(e){var t,r;return t={},n("next"),n("throw",(function(e){throw e})),n("return"),t[Symbol.iterator]=function(){return this},t;function n(n,o){t[n]=e[n]?function(t){return(r=!r)?{value:T(e[n](t)),done:!1}:o?o(t):t}:o}}function R(e){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var t,r=e[Symbol.asyncIterator];return r?r.call(e):(e=y(e),t={},n("next"),n("throw"),n("return"),t[Symbol.asyncIterator]=function(){return this},t);function n(r){t[r]=e[r]&&function(t){return new Promise((function(n,o){!function(e,t,r,n){Promise.resolve(n).then((function(t){e({value:t,done:r})}),t)}(n,o,(t=e[r](t)).done,t.value)}))}}}function A(e,t){return Object.defineProperty?Object.defineProperty(e,"raw",{value:t}):e.raw=t,e}var C=Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t};function I(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var r in e)"default"!==r&&Object.prototype.hasOwnProperty.call(e,r)&&v(t,e,r);return C(t,e),t}function L(e){return e&&e.__esModule?e:{default:e}}function N(e,t,r,n){if("a"===r&&!n)throw new TypeError("Private accessor was defined without a getter");if("function"==typeof t?e!==t||!n:!t.has(e))throw new TypeError("Cannot read private member from an object whose class did not declare it");return"m"===r?n:"a"===r?n.call(e):n?n.value:t.get(e)}function P(e,t,r,n,o){if("m"===n)throw new TypeError("Private method is not writable");if("a"===n&&!o)throw new TypeError("Private accessor was defined without a setter");if("function"==typeof t?e!==t||!o:!t.has(e))throw new TypeError("Cannot write private member to an object whose class did not declare it");return"a"===n?o.call(e,r):o?o.value=r:t.set(e,r),r}function x(e,t){if(null===t||"object"!=typeof t&&"function"!=typeof t)throw new TypeError("Cannot use 'in' operator on non-object");return"function"==typeof e?t===e:e.has(t)}function k(e,t,r){if(null!=t){if("object"!=typeof t&&"function"!=typeof t)throw new TypeError("Object expected.");var n,o;if(r){if(!Symbol.asyncDispose)throw new TypeError("Symbol.asyncDispose is not defined.");n=t[Symbol.asyncDispose]}if(void 0===n){if(!Symbol.dispose)throw new TypeError("Symbol.dispose is not defined.");n=t[Symbol.dispose],r&&(o=n)}if("function"!=typeof n)throw new TypeError("Object not disposable.");o&&(n=function(){try{o.call(this)}catch(e){return Promise.reject(e)}}),e.stack.push({value:t,dispose:n,async:r})}else r&&e.stack.push({async:!0});return t}var F="function"==typeof SuppressedError?SuppressedError:function(e,t,r){var n=new Error(r);return n.name="SuppressedError",n.error=e,n.suppressed=t,n};function j(e){function t(t){e.error=e.hasError?new F(t,e.error,"An error was suppressed during disposal."):t,e.hasError=!0}return function r(){for(;e.stack.length;){var n=e.stack.pop();try{var o=n.dispose&&n.dispose.call(n.value);if(n.async)return Promise.resolve(o).then(r,(function(e){return t(e),r()}))}catch(e){t(e)}}if(e.hasError)throw e.error}()}const D={__extends:o,__assign:i,__rest:a,__decorate:l,__param:s,__metadata:f,__awaiter:h,__generator:g,__createBinding:v,__exportStar:m,__values:y,__read:b,__spread:E,__spreadArrays:O,__spreadArray:S,__await:T,__asyncGenerator:_,__asyncDelegator:w,__asyncValues:R,__makeTemplateObject:A,__importStar:I,__importDefault:L,__classPrivateFieldGet:N,__classPrivateFieldSet:P,__classPrivateFieldIn:x,__addDisposableResource:k,__disposeResources:j}}},d={};function p(e){var t=d[e];if(void 0!==t)return t.exports;var r=d[e]={id:e,loaded:!1,exports:{}};return c[e].call(r.exports,r,r.exports,p),r.loaded=!0,r.exports}p.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return p.d(t,{a:t}),t},p.d=(e,t)=>{for(var r in t)p.o(t,r)&&!p.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:t[r]})},p.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),p.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),p.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},p.nmd=e=>(e.paths=[],e.children||(e.children=[]),e);var f={};return(()=>{"use strict";p.r(f),p.d(f,{plugin:()=>uA});var e={};p.r(e),p.d(e,{applyToJS:()=>Rs,cleanJSX:()=>Is,deepEqual:()=>Ss,deepFreeze:()=>Fs,escapeRegExp:()=>As,getFirstDefined:()=>Ms,getLogger:()=>Ds,getOpCardinality:()=>Os,isDirtyJSX:()=>Ls,isImmutable:()=>_s,isJSX:()=>Ns,isJsonCompatible:()=>js,isJsonLogic:()=>Ps,logger:()=>Vs,mergeArraysSmart:()=>ks,mergeCustomizerNoArrays:()=>Cs,opDefKeysToOmit:()=>Es,shallowEqual:()=>Ts,sleep:()=>xs,toImmutableList:()=>ws,uuid:()=>ms,widgetDefKeysToOmit:()=>bs});var t={};p.r(t),p.d(t,{getItemInListValues:()=>nu,getListValue:()=>su,getTitleInListValues:()=>ou,getValueInListValues:()=>iu,listValuesToArray:()=>ru,makeCustomListValue:()=>tu,mapListValues:()=>au,searchListValue:()=>lu,toListValue:()=>eu});var r={};p.r(r),p.d(r,{_fixImmutableValue:()=>Su,expandTreePath:()=>uu,expandTreeSubpath:()=>cu,fixEmptyGroupsInTree:()=>hu,fixPathsInTree:()=>fu,getFlatTree:()=>gu,getItemByPath:()=>du,getLightTree:()=>yu,getSwitchValues:()=>bu,getTotalReordableNodesCountInTree:()=>vu,getTotalRulesCountInTree:()=>mu,getTreeBadFields:()=>tf,hasChildren:()=>Ou,immutableToJs:()=>Rs,isEmptyTree:()=>Eu,isImmutable:()=>_s,jsToImmutable:()=>Au,removeIsLockedInTree:()=>pu,toImmutableList:()=>ws});var n={};p.r(n),p.d(n,{SqlString:()=>Yu,mongoEmptyValue:()=>Xu,spelEscape:()=>Zu,spelFixList:()=>Ju,spelFormatConcat:()=>ec,spelImportConcat:()=>tc,sqlEmptyValue:()=>Qu,stringifyForDisplay:()=>rc});var o={};p.r(o),p.d(o,{_loadFromJsonLogic:()=>Du,_loadFromSpel:()=>Nc,checkTree:()=>rf,getTree:()=>Tu,isImmutableTree:()=>wu,isJsonLogic:()=>Ps,isTree:()=>Ru,isValidTree:()=>ef,jsToImmutable:()=>Au,loadFromJsonLogic:()=>ju,loadFromSpel:()=>Lc,loadTree:()=>_u});var i={};p.r(i),p.d(i,{createListFromArray:()=>dd,defaultConjunction:()=>ad,defaultGroupConjunction:()=>id,defaultGroupProperties:()=>ld,defaultItemProperties:()=>sd,defaultOperatorOptions:()=>nd,defaultRoot:()=>cd,defaultRule:()=>ud,defaultRuleProperties:()=>od,emptyProperties:()=>pd,getDefaultField:()=>Zc,getDefaultFieldSrc:()=>td,getDefaultOperator:()=>rd,getDefaultSubField:()=>ed});var a={};p.r(a),p.d(a,{_validateTree:()=>lf,checkTree:()=>rf,getNewValueForFieldOp:()=>mf,getTreeBadFields:()=>tf,isValidTree:()=>ef,sanitizeTree:()=>of,translateValidation:()=>Yp,validateAndFixTree:()=>af,validateRange:()=>vf,validateTree:()=>nf,validateValue:()=>pf});var l={};p.r(l),p.d(l,{completeFuncValue:()=>bf,getCompatibleArgsOnFuncChange:()=>Rf,setArgValue:()=>_f,setArgValueSrc:()=>wf,setFunc:()=>Ef,setFuncDefaultArg:()=>Sf});var s={};p.r(s),p.d(s,{calculateValueType:()=>Nf,completeValue:()=>Xf,filterValueSourcesForField:()=>Mf,formatFieldName:()=>Bf,getFieldPartsConfigs:()=>kf,getFieldPathLabels:()=>xf,getFirstOperator:()=>Lf,getFuncPathLabels:()=>Pf,getOperatorsForField:()=>If,getOperatorsForType:()=>Cf,getValueLabel:()=>Ff,getValueSourcesForFieldOp:()=>Vf,getWidgetForFieldOp:()=>Uf,getWidgetsForFieldOp:()=>Df,isEmptyGroupChildren:()=>zf,isEmptyItem:()=>qf,isEmptyRuleGroupExtPropertiesAndChildren:()=>Kf,isEmptyRuleProperties:()=>Hf,selectTypes:()=>Af,whatRulePropertiesAreCompleted:()=>Yf});var u={};p.r(u),p.d(u,{_widgetDefKeysToOmit:()=>Fh,applyJsonLogic:()=>oh,cleanJSX:()=>Is,compileConfig:()=>Eh,compressConfig:()=>yh,configKeys:()=>dh,decompressConfig:()=>bh,extendConfig:()=>Ch,getFieldConfig:()=>Yh,getFieldParts:()=>zh,getFieldPath:()=>Wh,getFieldPathParts:()=>$h,getFieldRawConfig:()=>Vh,getFieldSrc:()=>Hh,getFieldWidgetConfig:()=>Xh,getFirstField:()=>Jh,getFuncArgConfig:()=>Gh,getFuncConfig:()=>qh,getFuncSignature:()=>Bh,getOperatorConfig:()=>Qh,isDirtyJSX:()=>Ls,isFieldDescendantOfField:()=>Kh,isJSX:()=>Ns,iterateFields:()=>Dh,iterateFuncs:()=>jh,normalizeField:()=>Uh});var c={};p.r(c),p.d(c,{_mongodbFormat:()=>_g,_spelFormat:()=>cc,_sqlFormat:()=>jg,elasticSearchFormat:()=>Hg,jsonLogicFormat:()=>ug,mongodbFormat:()=>Tg,queryBuilderFormat:()=>tg,queryString:()=>md,spelFormat:()=>uc,sqlFormat:()=>Fg});var d={};p.r(d),p.d(d,{fixListValuesGroupOrder:()=>av,getListValue:()=>su,listValueToOption:()=>iv,mergeListValues:()=>rv,optionToListValue:()=>nv,optionsToListValues:()=>ov,simulateAsyncFetch:()=>tv});var h={};p.r(h),p.d(h,{Autocomplete:()=>d,ConfigUtils:()=>u,DefaultUtils:()=>i,ExportUtils:()=>n,FuncUtils:()=>l,ListUtils:()=>t,OtherUtils:()=>e,RuleUtils:()=>s,TreeUtils:()=>r,Validation:()=>a,checkTree:()=>rf,clone:()=>Zf(),compressConfig:()=>yh,decompressConfig:()=>bh,getSwitchValues:()=>bu,i18n:()=>Qp,isValidTree:()=>ef,moment:()=>Lu(),sanitizeTree:()=>of,uuid:()=>ms,validateAndFixTree:()=>af,validateTree:()=>nf});var g={};p.r(g),p.d(g,{LINEAR_REGRESSION:()=>dv,LOWER:()=>uv,NOW:()=>lv,RELATIVE_DATETIME:()=>sv,UPPER:()=>cv});var v={};p.r(v),p.d(v,{addCaseGroup:()=>mm,addDefaultCaseGroup:()=>vm,addGroup:()=>ym,addRule:()=>hm,moveItem:()=>Em,removeGroup:()=>bm,removeRule:()=>gm,setTree:()=>fm});var m={};p.r(m),p.d(m,{setConjunction:()=>Om,setLock:()=>Tm,setNot:()=>Sm});var y={};p.r(y),p.d(y,{setField:()=>_m,setFieldSrc:()=>wm,setFuncValue:()=>Im,setOperator:()=>Rm,setOperatorOption:()=>Lm,setValue:()=>Am,setValueSrc:()=>Cm});var b={};p.r(b),p.d(b,{bindActionCreators:()=>py,isUsingLegacyReactDomRender:()=>sy,liteShouldComponentUpdate:()=>uy,pureShouldComponentUpdate:()=>cy,useOnPropsChanged:()=>dy});var E={};p.r(E),p.d(E,{FuncWidget:()=>tE,ValueFieldWidget:()=>nS,VanillaBooleanWidget:()=>oS,VanillaButton:()=>ES,VanillaButtonGroup:()=>SS,VanillaConjs:()=>yS,VanillaDateTimeWidget:()=>cS,VanillaDateWidget:()=>lS,VanillaFieldSelect:()=>mS,VanillaIcon:()=>OS,VanillaMultiSelectWidget:()=>pS,VanillaNumberWidget:()=>gS,VanillaProvider:()=>RS,VanillaSelectWidget:()=>hS,VanillaSliderWidget:()=>vS,VanillaSwitch:()=>_S,VanillaTextAreaWidget:()=>aS,VanillaTextWidget:()=>iS,VanillaTimeWidget:()=>sS,VanillaValueSources:()=>TS,vanillaConfirm:()=>wS});var O={};p.r(O),p.d(O,{ProximityOperator:()=>IS});var S,T=p(7781),_=p(6089),w=p(5959),R=p.n(w),A=p(2007);function C(e){return{ulPadding:(0,_.css)({margin:e.spacing(1,0),paddingLeft:e.spacing(5)})}}!function(e){e.Timeseries="time_series",e.Table="table"}(S||(S={}));const I=[{label:"Time series",value:"time_series"},{label:"Table",value:"table"}],L=null!==T.toOption&&void 0!==T.toOption?T.toOption:e=>({label:e,value:e});var N=p(1269);function P(e){return"function"==typeof e}var x,k,F=p(4769),j=(x=function(e){return function(t){e(this),this.message=t?t.length+" errors occurred during unsubscription:\n"+t.map((function(e,t){return t+1+") "+e.toString()})).join("\n  "):"",this.name="UnsubscriptionError",this.errors=t}},k=x((function(e){Error.call(e),e.stack=(new Error).stack})),k.prototype=Object.create(Error.prototype),k.prototype.constructor=k,k);function D(e,t){if(e){var r=e.indexOf(t);0<=r&&e.splice(r,1)}}var M=function(){function e(e){this.initialTeardown=e,this.closed=!1,this._parentage=null,this._finalizers=null}var t;return e.prototype.unsubscribe=function(){var e,t,r,n,o;if(!this.closed){this.closed=!0;var i=this._parentage;if(i)if(this._parentage=null,Array.isArray(i))try{for(var a=(0,F.__values)(i),l=a.next();!l.done;l=a.next())l.value.remove(this)}catch(t){e={error:t}}finally{try{l&&!l.done&&(t=a.return)&&t.call(a)}finally{if(e)throw e.error}}else i.remove(this);var s=this.initialTeardown;if(P(s))try{s()}catch(e){o=e instanceof j?e.errors:[e]}var u=this._finalizers;if(u){this._finalizers=null;try{for(var c=(0,F.__values)(u),d=c.next();!d.done;d=c.next()){var p=d.value;try{V(p)}catch(e){o=null!=o?o:[],e instanceof j?o=(0,F.__spreadArray)((0,F.__spreadArray)([],(0,F.__read)(o)),(0,F.__read)(e.errors)):o.push(e)}}}catch(e){r={error:e}}finally{try{d&&!d.done&&(n=c.return)&&n.call(c)}finally{if(r)throw r.error}}}if(o)throw new j(o)}},e.prototype.add=function(t){var r;if(t&&t!==this)if(this.closed)V(t);else{if(t instanceof e){if(t.closed||t._hasParent(this))return;t._addParent(this)}(this._finalizers=null!==(r=this._finalizers)&&void 0!==r?r:[]).push(t)}},e.prototype._hasParent=function(e){var t=this._parentage;return t===e||Array.isArray(t)&&t.includes(e)},e.prototype._addParent=function(e){var t=this._parentage;this._parentage=Array.isArray(t)?(t.push(e),t):t?[t,e]:e},e.prototype._removeParent=function(e){var t=this._parentage;t===e?this._parentage=null:Array.isArray(t)&&D(t,e)},e.prototype.remove=function(t){var r=this._finalizers;r&&D(r,t),t instanceof e&&t._removeParent(this)},e.EMPTY=((t=new e).closed=!0,t),e}();function V(e){P(e)?e():e.unsubscribe()}M.EMPTY;var U=null,B=null,q=!1,G=!1,K={setTimeout:function(e,t){for(var r=[],n=2;n<arguments.length;n++)r[n-2]=arguments[n];var o=K.delegate;return(null==o?void 0:o.setTimeout)?o.setTimeout.apply(o,(0,F.__spreadArray)([e,t],(0,F.__read)(r))):setTimeout.apply(void 0,(0,F.__spreadArray)([e,t],(0,F.__read)(r)))},clearTimeout:function(e){var t=K.delegate;return((null==t?void 0:t.clearTimeout)||clearTimeout)(e)},delegate:void 0};function W(){}var z=$("C",void 0,void 0);function $(e,t,r){return{kind:e,value:t,error:r}}var H=function(e){function t(t){var r,n=e.call(this)||this;return n.isStopped=!1,t?(n.destination=t,((r=t)instanceof M||r&&"closed"in r&&P(r.remove)&&P(r.add)&&P(r.unsubscribe))&&t.add(n)):n.destination=te,n}return(0,F.__extends)(t,e),t.create=function(e,t,r){return new J(e,t,r)},t.prototype.next=function(e){this.isStopped?ee(function(e){return $("N",e,void 0)}(e),this):this._next(e)},t.prototype.error=function(e){this.isStopped?ee($("E",void 0,e),this):(this.isStopped=!0,this._error(e))},t.prototype.complete=function(){this.isStopped?ee(z,this):(this.isStopped=!0,this._complete())},t.prototype.unsubscribe=function(){this.closed||(this.isStopped=!0,e.prototype.unsubscribe.call(this),this.destination=null)},t.prototype._next=function(e){this.destination.next(e)},t.prototype._error=function(e){try{this.destination.error(e)}finally{this.unsubscribe()}},t.prototype._complete=function(){try{this.destination.complete()}finally{this.unsubscribe()}},t}(M),Y=Function.prototype.bind;function Q(e,t){return Y.call(e,t)}var X=function(){function e(e){this.partialObserver=e}return e.prototype.next=function(e){var t=this.partialObserver;if(t.next)try{t.next(e)}catch(e){Z(e)}},e.prototype.error=function(e){var t=this.partialObserver;if(t.error)try{t.error(e)}catch(e){Z(e)}else Z(e)},e.prototype.complete=function(){var e=this.partialObserver;if(e.complete)try{e.complete()}catch(e){Z(e)}},e}(),J=function(e){function t(t,r,n){var o,i,a=e.call(this)||this;return P(t)||!t?o={next:null!=t?t:void 0,error:null!=r?r:void 0,complete:null!=n?n:void 0}:a&&G?((i=Object.create(t)).unsubscribe=function(){return a.unsubscribe()},o={next:t.next&&Q(t.next,i),error:t.error&&Q(t.error,i),complete:t.complete&&Q(t.complete,i)}):o=t,a.destination=new X(o),a}return(0,F.__extends)(t,e),t}(H);function Z(e){q||function(e){K.setTimeout((function(){if(!U)throw e;U(e)}))}(e)}function ee(e,t){var r=B;r&&K.setTimeout((function(){return r(e,t)}))}var te={closed:!0,next:W,error:function(e){throw e},complete:W},re=function(e){function t(t,r,n,o,i,a){var l=e.call(this,t)||this;return l.onFinalize=i,l.shouldUnsubscribe=a,l._next=r?function(e){try{r(e)}catch(e){t.error(e)}}:e.prototype._next,l._error=o?function(e){try{o(e)}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._error,l._complete=n?function(){try{n()}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._complete,l}return(0,F.__extends)(t,e),t.prototype.unsubscribe=function(){var t;if(!this.shouldUnsubscribe||this.shouldUnsubscribe()){var r=this.closed;e.prototype.unsubscribe.call(this),!r&&(null===(t=this.onFinalize)||void 0===t||t.call(this))}},t}(H);function ne(e,t){return r=function(r,n){var o=0;r.subscribe(new re(n,(function(r){n.next(e.call(t,r,o++))}),void 0,void 0,void 0))},function(e){if(function(e){return P(null==e?void 0:e.lift)}(e))return e.lift((function(e){try{return r(e,this)}catch(e){this.error(e)}}));throw new TypeError("Unable to lift unknown Observable type")};var r}var oe,ie,ae=(e=>(e[e.Comparison=0]="Comparison",e[e.Logical=1]="Logical",e))(ae||{}),le=(e=>(e[e.Value=0]="Value",e[e.Filter=1]="Filter",e[e.Group=2]="Group",e[e.Column=3]="Column",e[e.Table=4]="Table",e))(le||{}),se=(e=>(e.Parenthesis="delimiter.parenthesis.sql",e.Whitespace="white.sql",e.Keyword="keyword.sql",e.Delimiter="delimiter.sql",e.Operator="operator.sql",e.Identifier="identifier.sql",e.IdentifierQuote="identifier.quote.sql",e.Type="type.sql",e.Function="predefined.sql",e.Number="number.sql",e.String="string.sql",e.Variable="variable.sql",e))(se||{}),ue=(e=>(e.Unknown="unknown",e.SelectKeyword="selectKeyword",e.WithKeyword="withKeyword",e.AfterSelectKeyword="afterSelectKeyword",e.AfterSelectArguments="afterSelectArguments",e.AfterSelectFuncFirstArgument="afterSelectFuncFirstArgument",e.SelectAlias="selectAlias",e.AfterFromKeyword="afterFromKeyword",e.AfterTable="afterTable",e.SchemaFuncFirstArgument="schemaFuncFirstArgument",e.SchemaFuncExtraArgument="schemaFuncExtraArgument",e.FromKeyword="fromKeyword",e.AfterFrom="afterFrom",e.WhereKeyword="whereKeyword",e.WhereComparisonOperator="whereComparisonOperator",e.WhereValue="whereValue",e.AfterWhereFunctionArgument="afterWhereFunctionArgument",e.AfterGroupByFunctionArgument="afterGroupByFunctionArgument",e.AfterWhereValue="afterWhereValue",e.AfterGroupByKeywords="afterGroupByKeywords",e.AfterGroupBy="afterGroupBy",e.AfterOrderByKeywords="afterOrderByKeywords",e.AfterOrderByFunction="afterOrderByFunction",e.AfterOrderByDirection="afterOrderByDirection",e.AfterIsOperator="afterIsOperator",e.AfterIsNotOperator="afterIsNotOperator",e.AfterSchema="afterSchema",e))(ue||{}),ce=(e=>(e.Schemas="schemas",e.Tables="tables",e.Columns="columns",e.SelectKeyword="selectKeyword",e.WithKeyword="withKeyword",e.FunctionsWithArguments="functionsWithArguments",e.FromKeyword="fromKeyword",e.WhereKeyword="whereKeyword",e.GroupByKeywords="groupByKeywords",e.OrderByKeywords="orderByKeywords",e.FunctionsWithoutArguments="functionsWithoutArguments",e.LimitKeyword="limitKeyword",e.SortOrderDirectionKeyword="sortOrderDirectionKeyword",e.ComparisonOperators="comparisonOperators",e.LogicalOperators="logicalOperators",e.SelectMacro="selectMacro",e.TableMacro="tableMacro",e.FilterMacro="filterMacro",e.GroupMacro="groupMacro",e.BoolValues="boolValues",e.NullValue="nullValue",e.NotKeyword="notKeyword",e.TemplateVariables="templateVariables",e.StarWildCard="starWildCard",e))(ce||{}),de=(e=>(e.High="a",e.MediumHigh="d",e.Medium="g",e.MediumLow="k",e.Low="q",e))(de||{}),pe=(e=>(e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.User=25]="User",e[e.Issue=26]="Issue",e[e.Snippet=27]="Snippet",e))(pe||{}),fe=(e=>(e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet",e))(fe||{}),he=(e=>(e.Builder="builder",e.Code="code",e))(he||{}),ge=p(8531),ve=p(3241);class me{transformMetricFindResponse(e){const t=[],r=e.fields.find((e=>"__text"===e.name)),n=e.fields.find((e=>"__value"===e.name));if(r&&n)for(let e=0;e<r.values.length;e++)t.push({text:""+r.values[e],value:""+n.values[e]});else for(const r of e.fields)for(const e of r.values)t.push({text:e});return(0,ve.uniqBy)(t,"text")}}function ye(){var e=(0,w.useRef)(!1),t=(0,w.useCallback)((function(){return e.current}),[]);return(0,w.useEffect)((function(){return e.current=!0,function(){e.current=!1}}),[]),t}function be(e,t,r){void 0===t&&(t=[]),void 0===r&&(r={loading:!1});var n=(0,w.useRef)(0),o=ye(),i=(0,w.useState)(r),a=i[0],l=i[1],s=(0,w.useCallback)((function(){for(var t=[],r=0;r<arguments.length;r++)t[r]=arguments[r];var i=++n.current;return a.loading||l((function(e){return(0,F.__assign)((0,F.__assign)({},e),{loading:!0})})),e.apply(void 0,t).then((function(e){return o()&&i===n.current&&l({value:e,loading:!1}),e}),(function(e){return o()&&i===n.current&&l({error:e,loading:!1}),e}))}),t);return[a,s]}function Ee(e,t){void 0===t&&(t=[]);var r=be(e,t,{loading:!0}),n=r[0],o=r[1];return(0,w.useEffect)((function(){o()}),[o]),n}!function(e){e.String="string"}(oe||(oe={})),function(e){e.Property="property",e.Operator="operator",e.Or="or",e.And="and",e.GroupBy="groupBy",e.Function="function",e.FunctionParameter="functionParameter"}(ie||(ie={}));const Oe=e=>{if(!e)return!1;const t=e.some((e=>{var t,r;return(null===(t=e.parameters)||void 0===t?void 0:t.length)||(null===(r=e.parameters)||void 0===r?void 0:r.some((e=>e.name)))})),r=e.some((e=>e.name));return t||r};function Se(e){return{type:ie.GroupBy,property:{type:oe.String,name:e}}}function Te(e){return{type:ie.Function,name:e,parameters:[]}}function _e(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function we(e){let t=(null==e?void 0:e.editorMode)||he.Builder;var r;void 0===(null==e?void 0:e.editorMode)&&void 0!==(null==e?void 0:e.rawSql)&&(t=he.Code);const n=(o=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){_e(e,t,r[t])}))}return e}({},e),i=null!=(i={refId:(null==e?void 0:e.refId)||"A",format:void 0!==(null==e?void 0:e.format)?e.format:S.Table,rawSql:(null==e?void 0:e.rawSql)||"",editorMode:t,sql:null!==(r=null==e?void 0:e.sql)&&void 0!==r?r:{columns:[Te()],groupBy:[Se()],limit:50}})?i:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(i)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(i)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(i,e))})),o);var o,i;return n}var Re=p(4221),Ae=p.n(Re);const Ce=function(){var e=ye(),t=function(e){void 0===e&&(e={});var t=(0,w.useState)(e),r=t[0],n=t[1];return[r,(0,w.useCallback)((function(e){n((function(t){return Object.assign({},t,e instanceof Function?e(t):e)}))}),[])]}({value:void 0,error:void 0,noUserInteraction:!0}),r=t[0],n=t[1];return[r,(0,w.useCallback)((function(t){var r,o;if(e())try{if("string"!=typeof t&&"number"!=typeof t){var i=new Error("Cannot copy typeof "+typeof t+" to clipboard, must be a string");return void n({value:t,error:i,noUserInteraction:!0})}if(""===t)return i=new Error("Cannot copy empty string to clipboard."),void n({value:t,error:i,noUserInteraction:!0});o=t.toString(),r=Ae()(o),n({value:o,error:void 0,noUserInteraction:r})}catch(i){n({value:o,error:i,noUserInteraction:r})}}),[])]},Ie={RadioButton:{container:"data-testid radio-button"},Breadcrumbs:{breadcrumb:e=>`data-testid ${e} breadcrumb`},TimePicker:{openButton:"data-testid TimePicker Open Button",overlayContent:"data-testid TimePicker Overlay Content",fromField:"data-testid Time Range from field",toField:"data-testid Time Range to field",applyTimeRange:"data-testid TimePicker submit button",copyTimeRange:"data-testid TimePicker copy button",pasteTimeRange:"data-testid TimePicker paste button",calendar:{label:"data-testid Time Range calendar",openButton:"data-testid Open time range calendar",closeButton:"data-testid Close time range Calendar"},absoluteTimeRangeTitle:"data-testid-absolute-time-range-narrow"},DataSourcePermissions:{form:()=>'form[name="addPermission"]',roleType:"Role to add new permission to",rolePicker:"Built-in role picker",permissionLevel:"Permission Level"},DateTimePicker:{input:"data-testid date-time-input"},DataSource:{TestData:{QueryTab:{scenarioSelectContainer:"Test Data Query scenario select container",scenarioSelect:"Test Data Query scenario select",max:"TestData max",min:"TestData min",noise:"TestData noise",seriesCount:"TestData series count",spread:"TestData spread",startValue:"TestData start value",drop:"TestData drop values"}},DataSourceHttpSettings:{urlInput:"data-testid Datasource HTTP settings url"},Jaeger:{traceIDInput:"Trace ID"},Prometheus:{configPage:{connectionSettings:"Data source connection URL",manageAlerts:"prometheus-alerts-manager",scrapeInterval:"data-testid scrape interval",queryTimeout:"data-testid query timeout",defaultEditor:"data-testid default editor",disableMetricLookup:"disable-metric-lookup",prometheusType:"data-testid prometheus type",prometheusVersion:"data-testid prometheus version",cacheLevel:"data-testid cache level",incrementalQuerying:"prometheus-incremental-querying",queryOverlapWindow:"data-testid query overlap window",disableRecordingRules:"disable-recording-rules",customQueryParameters:"data-testid custom query parameters",httpMethod:"data-testid http method",exemplarsAddButton:"data-testid Add exemplar config button",internalLinkSwitch:"data-testid Internal link switch",codeModeMetricNamesSuggestionLimit:"data-testid code mode metric names suggestion limit"},queryEditor:{explain:"data-testid prometheus explain switch wrapper",editorToggle:"data-testid QueryEditorModeToggle",options:"data-testid prometheus options",legend:"data-testid prometheus legend wrapper",format:"data-testid prometheus format",step:"prometheus-step",type:"data-testid prometheus type",exemplars:"prometheus-exemplars",builder:{metricSelect:"data-testid metric select",hints:"data-testid prometheus hints",metricsExplorer:"data-testid metrics explorer",queryAdvisor:"data-testid query advisor"},code:{queryField:"data-testid prometheus query field",metricsCountInfo:"data-testid metrics count disclaimer",metricsBrowser:{openButton:"data-testid open metrics browser",selectMetric:"data-testid select a metric",metricList:"data-testid metric list",labelNamesFilter:"data-testid label names filter",labelValuesFilter:"data-testid label values filter",useQuery:"data-testid use query",useAsRateQuery:"data-testid use as rate query",validateSelector:"data-testid validate selector",clear:"data-testid clear"}}},exemplarMarker:"data-testid Exemplar marker",variableQueryEditor:{queryType:"data-testid query type",labelnames:{metricRegex:"data-testid label names metric regex"},labelValues:{labelSelect:"data-testid label values label select"},metricNames:{metricRegex:"data-testid metric names metric regex"},varQueryResult:"data-testid variable query result",seriesQuery:"data-testid prometheus series query",classicQuery:"data-testid prometheus classic query"},annotations:{minStep:"prometheus-annotation-min-step",title:"data-testid prometheus annotation title",tags:"data-testid prometheus annotation tags",text:"data-testid prometheus annotation text",seriesValueAsTimestamp:"data-testid prometheus annotation series value as timestamp"}}},Menu:{MenuComponent:e=>`${e} menu`,MenuGroup:e=>`${e} menu group`,MenuItem:e=>`${e} menu item`,SubMenu:{container:"data-testid SubMenu container",icon:"data-testid SubMenu icon"}},Panels:{Panel:{title:e=>`data-testid Panel header ${e}`,content:"data-testid panel content",headerItems:e=>`data-testid Panel header item ${e}`,menuItems:e=>`data-testid Panel menu item ${e}`,menu:e=>`data-testid Panel menu ${e}`,containerByTitle:e=>`${e} panel`,headerCornerInfo:e=>`Panel header ${e}`,status:e=>`data-testid Panel status ${e}`,loadingBar:()=>"Panel loading bar",HoverWidget:{container:"data-testid hover-header-container",dragIcon:"data-testid drag-icon"},PanelDataErrorMessage:"data-testid Panel data error message"},Visualization:{Graph:{container:"Graph container",VisualizationTab:{legendSection:"Legend section"},Legend:{legendItemAlias:e=>`gpl alias ${e}`,showLegendSwitch:"gpl show legend"},xAxis:{labels:()=>"div.flot-x-axis > div.flot-tick-label"}},BarGauge:{value:"Bar gauge value",valueV2:"data-testid Bar gauge value"},PieChart:{svgSlice:"data testid Pie Chart Slice"},Text:{container:()=>".markdown-html"},Table:{header:"table header",footer:"table-footer",body:"data-testid table body"}}},VizLegend:{seriesName:e=>`data-testid VizLegend series ${e}`},Drawer:{General:{title:e=>`Drawer title ${e}`,expand:"Drawer expand",contract:"Drawer contract",close:"data-testid Drawer close",rcContentWrapper:()=>".rc-drawer-content-wrapper",subtitle:"data-testid drawer subtitle"},DashboardSaveDrawer:{saveButton:"data-testid Save dashboard drawer button",saveAsButton:"data-testid Save as dashboard drawer button",saveAsTitleInput:"Save dashboard title field"}},PanelEditor:{General:{content:"data-testid Panel editor content"},OptionsPane:{content:"data-testid Panel editor option pane content",select:"Panel editor option pane select",fieldLabel:e=>`${e} field property editor`,fieldInput:e=>`data-testid Panel editor option pane field input ${e}`},DataPane:{content:"data-testid Panel editor data pane content"},applyButton:"data-testid Apply changes and go back to dashboard",toggleVizPicker:"data-testid toggle-viz-picker",toggleVizOptions:"data-testid toggle-viz-options",toggleTableView:"data-testid toggle-table-view",showZoomField:"Map controls Show zoom control field property editor",showAttributionField:"Map controls Show attribution field property editor",showScaleField:"Map controls Show scale field property editor",showMeasureField:"Map controls Show measure tools field property editor",showDebugField:"Map controls Show debug field property editor",measureButton:"show measure tools"},PanelInspector:{Data:{content:"Panel inspector Data content"},Stats:{content:"Panel inspector Stats content"},Json:{content:"data-testid Panel inspector Json content"},Query:{content:"Panel inspector Query content",refreshButton:"Panel inspector Query refresh button",jsonObjectKeys:()=>".json-formatter-key"}},Tab:{title:e=>`Tab ${e}`,active:()=>'[class*="-activeTabStyle"]'},RefreshPicker:{runButton:"RefreshPicker run button",intervalButton:"RefreshPicker interval button",runButtonV2:"data-testid RefreshPicker run button",intervalButtonV2:"data-testid RefreshPicker interval button"},QueryTab:{content:"Query editor tab content",queryInspectorButton:"Query inspector button",queryHistoryButton:"data-testid query-history-button",addQuery:"data-testid query-tab-add-query",queryGroupTopSection:"data-testid query group top section",addExpression:"data-testid query-tab-add-expression"},QueryHistory:{queryText:"Query text"},QueryEditorRows:{rows:"Query editor row"},QueryEditorRow:{actionButton:e=>`data-testid ${e}`,title:e=>`Query editor row title ${e}`,container:e=>`Query editor row ${e}`},AlertTab:{content:"data-testid Alert editor tab content"},AlertRules:{groupToggle:"data-testid group-collapse-toggle",toggle:"data-testid collapse-toggle",expandedContent:"data-testid expanded-content",previewButton:"data-testid alert-rule preview-button",ruleNameField:"data-testid alert-rule name-field",newFolderButton:"data-testid alert-rule new-folder-button",newFolderNameField:"data-testid alert-rule name-folder-name-field",newFolderNameCreateButton:"data-testid alert-rule name-folder-name-create-button",newEvaluationGroupButton:"data-testid alert-rule new-evaluation-group-button",newEvaluationGroupName:"data-testid alert-rule new-evaluation-group-name",newEvaluationGroupInterval:"data-testid alert-rule new-evaluation-group-interval",newEvaluationGroupCreate:"data-testid alert-rule new-evaluation-group-create-button"},Alert:{alert:e=>`Alert ${e}`,alertV2:e=>`data-testid Alert ${e}`},TransformTab:{content:"data-testid Transform editor tab content",newTransform:e=>`data-testid New transform ${e}`,transformationEditor:e=>`data-testid Transformation editor ${e}`,transformationEditorDebugger:e=>`data-testid Transformation editor debugger ${e}`},Transforms:{card:e=>`data-testid New transform ${e}`,disableTransformationButton:"data-testid Disable transformation button",Reduce:{modeLabel:"data-testid Transform mode label",calculationsLabel:"data-testid Transform calculations label"},SpatialOperations:{actionLabel:"root Action field property editor",locationLabel:"root Location Mode field property editor",location:{autoOption:"Auto location option",coords:{option:"Coords location option",latitudeFieldLabel:"root Latitude field field property editor",longitudeFieldLabel:"root Longitude field field property editor"},geohash:{option:"Geohash location option",geohashFieldLabel:"root Geohash field field property editor"},lookup:{option:"Lookup location option",lookupFieldLabel:"root Lookup field field property editor",gazetteerFieldLabel:"root Gazetteer field property editor"}}},searchInput:"data-testid search transformations",noTransformationsMessage:"data-testid no transformations message",addTransformationButton:"data-testid add transformation button",removeAllTransformationsButton:"data-testid remove all transformations button"},NavBar:{Configuration:{button:"Configuration"},Toggle:{button:"data-testid Toggle menu"},Reporting:{button:"Reporting"}},NavMenu:{Menu:"data-testid navigation mega-menu",item:"data-testid Nav menu item"},NavToolbar:{container:"data-testid Nav toolbar",shareDashboard:"data-testid Share dashboard",markAsFavorite:"data-testid Mark as favorite",editDashboard:{editButton:"data-testid Edit dashboard button",saveButton:"data-testid Save dashboard button",exitButton:"data-testid Exit edit mode button",settingsButton:"data-testid Dashboard settings",addRowButton:"data-testid Add row button",addLibraryPanelButton:"data-testid Add a panel from the panel library button",addVisualizationButton:"data-testid Add new visualization menu item",pastePanelButton:"data-testid Paste panel button",discardChangesButton:"data-testid Discard changes button",discardLibraryPanelButton:"data-testid Discard library panel button",unlinkLibraryPanelButton:"data-testid Unlink library panel button",saveLibraryPanelButton:"data-testid Save library panel button",backToDashboardButton:"data-testid Back to dashboard button"}},PageToolbar:{container:()=>".page-toolbar",item:e=>`${e}`,itemButton:e=>`data-testid ${e}`},QueryEditorToolbarItem:{button:e=>`QueryEditor toolbar item button ${e}`},BackButton:{backArrow:"data-testid Go Back"},OptionsGroup:{group:e=>e?`data-testid Options group ${e}`:"data-testid Options group",toggle:e=>e?`data-testid Options group ${e} toggle`:"data-testid Options group toggle"},PluginVisualization:{item:e=>`Plugin visualization item ${e}`,current:()=>'[class*="-currentVisualizationItem"]'},Select:{option:"data-testid Select option",input:()=>'input[id*="time-options-input"]',singleValue:()=>'div[class*="-singleValue"]'},FieldConfigEditor:{content:"Field config editor content"},OverridesConfigEditor:{content:"Field overrides editor content"},FolderPicker:{container:"Folder picker select container",containerV2:"data-testid Folder picker select container",input:"data-testid folder-picker-input"},ReadonlyFolderPicker:{container:"data-testid Readonly folder picker select container"},DataSourcePicker:{container:"data-testid Data source picker select container",input:()=>'input[id="data-source-picker"]',inputV2:"data-testid Select a data source",dataSourceList:"data-testid Data source list dropdown",advancedModal:{dataSourceList:"data-testid Data source list",builtInDataSourceList:"data-testid Built in data source list"}},TimeZonePicker:{container:"Time zone picker select container",containerV2:"data-testid Time zone picker select container",changeTimeSettingsButton:"data-testid Time zone picker Change time settings button"},WeekStartPicker:{container:"Choose starting day of the week",containerV2:"data-testid Choose starting day of the week",placeholder:"Choose starting day of the week"},TraceViewer:{spanBar:"data-testid SpanBar--wrapper"},QueryField:{container:"data-testid Query field"},QueryBuilder:{queryPatterns:"data-testid Query patterns",labelSelect:"data-testid Select label",inputSelect:"data-testid Select label-input",valueSelect:"data-testid Select value",matchOperatorSelect:"data-testid Select match operator"},ValuePicker:{button:e=>`data-testid Value picker button ${e}`,select:e=>`data-testid Value picker select ${e}`},Search:{section:"Search section",sectionV2:"data-testid Search section",items:"Search items",itemsV2:"data-testid Search items",cards:"data-testid Search cards",collapseFolder:e=>`data-testid Collapse folder ${e}`,expandFolder:e=>`data-testid Expand folder ${e}`,dashboardItem:e=>`${Ie.Search.dashboardItems} ${e}`,dashboardCard:e=>`data-testid Search card ${e}`,folderHeader:e=>`data-testid Folder header ${e}`,folderContent:e=>`data-testid Folder content ${e}`,dashboardItems:"data-testid Dashboard search item"},DashboardLinks:{container:"data-testid Dashboard link container",dropDown:"data-testid Dashboard link dropdown",link:"data-testid Dashboard link"},LoadingIndicator:{icon:"data-testid Loading indicator"},CallToActionCard:{button:e=>`Call to action button ${e}`,buttonV2:e=>`data-testid Call to action button ${e}`},DataLinksContextMenu:{singleLink:"data-testid Data link"},CodeEditor:{container:"data-testid Code editor container"},ReactMonacoEditor:{editorLazy:"data-testid ReactMonacoEditor editorLazy"},DashboardImportPage:{textarea:"data-testid-import-dashboard-textarea",submit:"data-testid-load-dashboard"},ImportDashboardForm:{name:"data-testid-import-dashboard-title",submit:"data-testid-import-dashboard-submit"},PanelAlertTabContent:{content:"data-testid Unified alert editor tab content"},VisualizationPreview:{card:e=>`data-testid suggestion-${e}`},ColorSwatch:{name:"data-testid-colorswatch"},DashboardRow:{title:e=>`data-testid dashboard-row-title-${e}`},UserProfile:{profileSaveButton:"data-testid-user-profile-save",preferencesSaveButton:"data-testid-shared-prefs-save",orgsTable:"data-testid-user-orgs-table",sessionsTable:"data-testid-user-sessions-table",extensionPointTabs:"data-testid-extension-point-tabs",extensionPointTab:e=>`data-testid-extension-point-tab-${e}`},FileUpload:{inputField:"data-testid-file-upload-input-field",fileNameSpan:"data-testid-file-upload-file-name"},DebugOverlay:{wrapper:"debug-overlay"},OrgRolePicker:{input:"Role"},AnalyticsToolbarButton:{button:"Dashboard insights"},Variables:{variableOption:"data-testid variable-option"},Annotations:{annotationsTypeInput:"data-testid annotations-type-input",annotationsChoosePanelInput:"data-testid choose-panels-input",editor:{testButton:"data-testid annotations-test-button",resultContainer:"data-testid annotations-query-result-container"}},Tooltip:{container:"data-testid tooltip"},ReturnToPrevious:{buttonGroup:"data-testid dismissable button group",backButton:"data-testid back",dismissButton:"data-testid dismiss"},SQLQueryEditor:{selectColumn:"data-testid select-column",selectAggregation:"data-testid select-aggregation",selectAlias:"data-testid select-alias",filterConjunction:"data-testid filter-conjunction",filterField:"data-testid filter-field",filterOperator:"data-testid filter-operator",headerTableSelector:"data-testid header-table-selector",headerFilterSwitch:"data-testid header-filter-switch",headerGroupSwitch:"data-testid header-group-switch",headerOrderSwitch:"data-testid header-order-switch",headerPreviewSwitch:"data-testid header-preview-switch"}},Le={pages:{Login:{url:"/login",username:"data-testid Username input field",password:"data-testid Password input field",submit:"data-testid Login button",skip:"data-testid Skip change password button"},Home:{url:"/"},DataSource:{name:"data-testid Data source settings page name input field",delete:"Data source settings page Delete button",readOnly:"data-testid Data source settings page read only message",saveAndTest:"data-testid Data source settings page Save and Test button",alert:"data-testid Data source settings page Alert"},DataSources:{url:"/datasources",dataSources:e=>`Data source list item ${e}`},EditDataSource:{url:e=>`/datasources/edit/${e}`,settings:"Datasource settings page basic settings"},AddDataSource:{url:"/datasources/new",dataSourcePlugins:e=>`Data source plugin item ${e}`,dataSourcePluginsV2:e=>`Add new data source ${e}`},ConfirmModal:{delete:"data-testid Confirm Modal Danger Button"},AddDashboard:{url:"/dashboard/new",itemButton:e=>`data-testid ${e}`,addNewPanel:"data-testid Add new panel",addNewRow:"data-testid Add new row",addNewPanelLibrary:"data-testid Add new panel from panel library"},Dashboard:{url:e=>`/d/${e}`,DashNav:{nav:"Dashboard navigation",navV2:"data-testid Dashboard navigation",publicDashboardTag:"data-testid public dashboard tag",shareButton:"data-testid share-button",scrollContainer:"data-testid Dashboard canvas scroll container",newShareButton:{container:"data-testid new share button",shareLink:"data-testid new share link-button",arrowMenu:"data-testid new share button arrow menu",menu:{container:"data-testid new share button menu",shareInternally:"data-testid new share button share internally"}},playlistControls:{prev:"data-testid playlist previous dashboard button",stop:"data-testid playlist stop dashboard button",next:"data-testid playlist next dashboard button"}},Controls:"data-testid dashboard controls",SubMenu:{submenu:"Dashboard submenu",submenuItem:"data-testid template variable",submenuItemLabels:e=>`data-testid Dashboard template variables submenu Label ${e}`,submenuItemValueDropDownValueLinkTexts:e=>`data-testid Dashboard template variables Variable Value DropDown value link text ${e}`,submenuItemValueDropDownDropDown:"Variable options",submenuItemValueDropDownOptionTexts:e=>`data-testid Dashboard template variables Variable Value DropDown option text ${e}`,Annotations:{annotationsWrapper:"data-testid annotation-wrapper",annotationLabel:e=>`data-testid Dashboard annotations submenu Label ${e}`,annotationToggle:e=>`data-testid Dashboard annotations submenu Toggle ${e}`}},Settings:{Actions:{close:"data-testid dashboard-settings-close"},General:{deleteDashBoard:"data-testid Dashboard settings page delete dashboard button",sectionItems:e=>`Dashboard settings section item ${e}`,saveDashBoard:"Dashboard settings aside actions Save button",saveAsDashBoard:"Dashboard settings aside actions Save As button",timezone:"Time zone picker select container",title:"Tab General"},Annotations:{List:{addAnnotationCTA:Ie.CallToActionCard.button("Add annotation query"),addAnnotationCTAV2:Ie.CallToActionCard.buttonV2("Add annotation query"),annotations:"data-testid list-annotations"},Settings:{name:"data-testid Annotations settings name input"},NewAnnotation:{panelFilterSelect:"data-testid annotations-panel-filter",showInLabel:"data-testid show-in-label",previewInDashboard:"data-testid annotations-preview",delete:"data-testid annotations-delete",apply:"data-testid annotations-apply",enable:"data-testid annotation-enable",hide:"data-testid annotation-hide"}},Variables:{List:{addVariableCTA:Ie.CallToActionCard.button("Add variable"),addVariableCTAV2:Ie.CallToActionCard.buttonV2("Add variable"),newButton:"Variable editor New variable button",table:"Variable editor Table",tableRowNameFields:e=>`Variable editor Table Name field ${e}`,tableRowDefinitionFields:e=>`Variable editor Table Definition field ${e}`,tableRowArrowUpButtons:e=>`Variable editor Table ArrowUp button ${e}`,tableRowArrowDownButtons:e=>`Variable editor Table ArrowDown button ${e}`,tableRowDuplicateButtons:e=>`Variable editor Table Duplicate button ${e}`,tableRowRemoveButtons:e=>`Variable editor Table Remove button ${e}`},Edit:{General:{headerLink:"Variable editor Header link",modeLabelNew:"Variable editor Header mode New",modeLabelEdit:"Variable editor Header mode Edit",generalNameInput:"Variable editor Form Name field",generalNameInputV2:"data-testid Variable editor Form Name field",generalTypeSelect:"Variable editor Form Type select",generalTypeSelectV2:"data-testid Variable editor Form Type select",generalLabelInput:"Variable editor Form Label field",generalLabelInputV2:"data-testid Variable editor Form Label field",generalHideSelect:"Variable editor Form Hide select",generalHideSelectV2:"data-testid Variable editor Form Hide select",selectionOptionsMultiSwitch:"data-testid Variable editor Form Multi switch",selectionOptionsIncludeAllSwitch:"data-testid Variable editor Form IncludeAll switch",selectionOptionsCustomAllInput:"data-testid Variable editor Form IncludeAll field",previewOfValuesOption:"data-testid Variable editor Preview of Values option",submitButton:"data-testid Variable editor Run Query button",applyButton:"data-testid Variable editor Apply button"},QueryVariable:{queryOptionsDataSourceSelect:Ie.DataSourcePicker.inputV2,queryOptionsRefreshSelect:"Variable editor Form Query Refresh select",queryOptionsRefreshSelectV2:"data-testid Variable editor Form Query Refresh select",queryOptionsRegExInput:"Variable editor Form Query RegEx field",queryOptionsRegExInputV2:"data-testid Variable editor Form Query RegEx field",queryOptionsSortSelect:"Variable editor Form Query Sort select",queryOptionsSortSelectV2:"data-testid Variable editor Form Query Sort select",queryOptionsQueryInput:"data-testid Variable editor Form Default Variable Query Editor textarea",valueGroupsTagsEnabledSwitch:"Variable editor Form Query UseTags switch",valueGroupsTagsTagsQueryInput:"Variable editor Form Query TagsQuery field",valueGroupsTagsTagsValuesQueryInput:"Variable editor Form Query TagsValuesQuery field"},ConstantVariable:{constantOptionsQueryInput:"Variable editor Form Constant Query field",constantOptionsQueryInputV2:"data-testid Variable editor Form Constant Query field"},DatasourceVariable:{datasourceSelect:"data-testid datasource variable datasource type"},TextBoxVariable:{textBoxOptionsQueryInput:"Variable editor Form TextBox Query field",textBoxOptionsQueryInputV2:"data-testid Variable editor Form TextBox Query field"},CustomVariable:{customValueInput:"data-testid custom-variable-input"},IntervalVariable:{intervalsValueInput:"data-testid interval variable intervals input",autoEnabledCheckbox:"data-testid interval variable auto value checkbox",stepCountIntervalSelect:"data-testid interval variable step count input",minIntervalInput:"data-testid interval variable mininum interval input"},GroupByVariable:{dataSourceSelect:Ie.DataSourcePicker.inputV2,infoText:"data-testid group by variable info text",modeToggle:"data-testid group by variable mode toggle"},AdHocFiltersVariable:{datasourceSelect:Ie.DataSourcePicker.inputV2,infoText:"data-testid ad-hoc filters variable info text",modeToggle:"data-testid ad-hoc filters variable mode toggle"}}}},Annotations:{marker:"data-testid annotation-marker"},Rows:{Repeated:{ConfigSection:{warningMessage:"data-testid Repeated rows warning message"}}}},Dashboards:{url:"/dashboards",dashboards:e=>`Dashboard search item ${e}`},SaveDashboardAsModal:{newName:"Save dashboard title field",save:"Save dashboard button"},SaveDashboardModal:{save:"Dashboard settings Save Dashboard Modal Save button",saveVariables:"Dashboard settings Save Dashboard Modal Save variables checkbox",saveTimerange:"Dashboard settings Save Dashboard Modal Save timerange checkbox",saveRefresh:"Dashboard settings Save Dashboard Modal Save refresh checkbox"},SharePanelModal:{linkToRenderedImage:"Link to rendered image"},ShareDashboardModal:{PublicDashboard:{Tab:"Tab Public dashboard",WillBePublicCheckbox:"data-testid public dashboard will be public checkbox",LimitedDSCheckbox:"data-testid public dashboard limited datasources checkbox",CostIncreaseCheckbox:"data-testid public dashboard cost may increase checkbox",PauseSwitch:"data-testid public dashboard pause switch",EnableAnnotationsSwitch:"data-testid public dashboard on off switch for annotations",CreateButton:"data-testid public dashboard create button",DeleteButton:"data-testid public dashboard delete button",CopyUrlInput:"data-testid public dashboard copy url input",CopyUrlButton:"data-testid public dashboard copy url button",SettingsDropdown:"data-testid public dashboard settings dropdown",TemplateVariablesWarningAlert:"data-testid public dashboard disabled template variables alert",UnsupportedDataSourcesWarningAlert:"data-testid public dashboard unsupported data sources alert",NoUpsertPermissionsWarningAlert:"data-testid public dashboard no upsert permissions alert",EnableTimeRangeSwitch:"data-testid public dashboard on off switch for time range",EmailSharingConfiguration:{Container:"data-testid email sharing config container",ShareType:"data-testid public dashboard share type",EmailSharingInput:"data-testid public dashboard email sharing input",EmailSharingInviteButton:"data-testid public dashboard email sharing invite button",EmailSharingList:"data-testid public dashboard email sharing list",DeleteEmail:"data-testid public dashboard delete email button",ReshareLink:"data-testid public dashboard reshare link button"}},PublicDashboardScene:{Tab:"Tab Public Dashboard"},SnapshotScene:{url:e=>`/dashboard/snapshot/${e}`,Tab:"Tab Snapshot",PublishSnapshot:"data-testid publish snapshot button",CopyUrlButton:"data-testid snapshot copy url button",CopyUrlInput:"data-testid snapshot copy url input"}},PublicDashboard:{page:"public-dashboard-page",NotAvailable:{container:"public-dashboard-not-available",title:"public-dashboard-title",pausedDescription:"public-dashboard-paused-description"},footer:"public-dashboard-footer"},PublicDashboardScene:{loadingPage:"public-dashboard-scene-loading-page",page:"public-dashboard-scene-page",controls:"public-dashboard-controls"},RequestViewAccess:{form:"request-view-access-form",recipientInput:"request-view-access-recipient-input",submitButton:"request-view-access-submit-button"},PublicDashboardConfirmAccess:{submitButton:"data-testid confirm-access-submit-button"},Explore:{url:"/explore",General:{container:"data-testid Explore",graph:"Explore Graph",table:"Explore Table",scrollView:"data-testid explorer scroll view"},QueryHistory:{container:"data-testid QueryHistory"}},SoloPanel:{url:e=>`/d-solo/${e}`},PluginsList:{page:"Plugins list page",list:"Plugins list",listItem:"Plugins list item",signatureErrorNotice:"data-testid Unsigned plugins notice"},PluginPage:{page:"Plugin page",signatureInfo:"data-testid Plugin signature info",disabledInfo:"data-testid Plugin disabled info"},PlaylistForm:{name:"Playlist name",interval:"Playlist interval",itemDelete:"data-testid playlist-form-delete-item"},BrowseDashboards:{table:{body:"data-testid browse-dashboards-table",row:e=>`data-testid browse dashboards row ${e}`,checkbox:e=>`data-testid ${e} checkbox`},NewFolderForm:{form:"data-testid new folder form",nameInput:"data-testid new-folder-name-input",createButton:"data-testid new-folder-create-button"}},Search:{url:"/?search=openn",FolderView:{url:"/?search=open&layout=folders"}},PublicDashboards:{ListItem:{linkButton:"public-dashboard-link-button",configButton:"public-dashboard-configuration-button",trashcanButton:"public-dashboard-remove-button",pauseSwitch:"data-testid public dashboard pause switch"}},UserListPage:{tabs:{allUsers:"data-testid all-users-tab",orgUsers:"data-testid org-users-tab",anonUserDevices:"data-testid anon-user-devices-tab",publicDashboardsUsers:"data-testid public-dashboards-users-tab",users:"data-testid users-tab"},org:{url:"/org/users"},admin:{url:"/admin/users"},publicDashboards:{container:"data-testid public-dashboards-users-list"},UserListAdminPage:{container:"data-testid user-list-admin-page"},UsersListPage:{container:"data-testid users-list-page"},UserAnonListPage:{container:"data-testid user-anon-list-page"},UsersListPublicDashboardsPage:{container:"data-testid users-list-public-dashboards-page",DashboardsListModal:{listItem:e=>`data-testid dashboards-list-item-${e}`}}},ProfilePage:{url:"/profile"}},components:Ie},Ne=({children:e})=>{const t=(0,A.useStyles2)(Pe);return R().createElement("div",{className:t.root},e)},Pe=e=>({root:(0,_.css)({display:"flex",flexWrap:"wrap",alignItems:"center",gap:e.spacing(3),minHeight:e.spacing(4)})});var xe=Object.defineProperty,ke=Object.defineProperties,Fe=Object.getOwnPropertyDescriptors,je=Object.getOwnPropertySymbols,De=Object.prototype.hasOwnProperty,Me=Object.prototype.propertyIsEnumerable,Ve=(e,t,r)=>t in e?xe(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,Ue=(e,t)=>{for(var r in t||(t={}))De.call(t,r)&&Ve(e,r,t[r]);if(je)for(var r of je(t))Me.call(t,r)&&Ve(e,r,t[r]);return e},Be=(e,t)=>ke(e,Fe(t)),qe=(e,t)=>{var r={};for(var n in e)De.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&je)for(var n of je(e))t.indexOf(n)<0&&Me.call(e,n)&&(r[n]=e[n]);return r};function Ge(e){var t=e,{label:r}=t,n=qe(t,["label"]);const o=(0,A.useStyles2)(ze),[i]=(0,w.useState)((()=>Math.random().toString(16).slice(2))),a={SelectContainer:Ke,ValueContainer:We,SingleValue:We};return R().createElement("div",{className:o.root},r&&R().createElement("label",{className:o.label,htmlFor:i},r,":"," "),R().createElement(A.Select,Be(Ue({openMenuOnFocus:!0,inputId:i},n),{components:a})))}const Ke=e=>{const{children:t}=e,r=(0,A.useStyles2)(ze);return R().createElement(A.SelectContainer,Be(Ue({},e),{className:(0,_.cx)(e.className,r.container)}),t)},We=e=>{const{className:t,children:r}=e,n=(0,A.useStyles2)(ze);return R().createElement("div",{className:(0,_.cx)(t,n.valueContainer)},r)},ze=e=>({root:(0,_.css)({display:"flex",fontSize:12,alignItems:"center"}),label:(0,_.css)({color:e.colors.text.secondary,whiteSpace:"nowrap"}),container:(0,_.css)({background:"none",borderColor:"transparent"}),valueContainer:(0,_.css)({display:"flex",alignItems:"center",flex:"initial",color:e.colors.text.secondary,fontSize:12})}),$e=({grow:e,shrink:t})=>R().createElement("div",{style:{display:"block",flexGrow:e,flexShrink:t}});var He=Object.getOwnPropertySymbols,Ye=Object.prototype.hasOwnProperty,Qe=Object.prototype.propertyIsEnumerable;const Xe=e=>{var t=e,{children:r}=t,n=((e,t)=>{var r={};for(var n in e)Ye.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&He)for(var n of He(e))t.indexOf(n)<0&&Qe.call(e,n)&&(r[n]=e[n]);return r})(t,["children"]);const o=(0,A.useStyles2)((0,w.useCallback)((e=>Je(e,n)),[n]));return R().createElement("div",{className:o.root},r)},Je=(e,t)=>{var r,n,o;return{root:(0,_.css)({display:"flex",flexDirection:null!=(r=t.direction)?r:"row",flexWrap:null==(n=t.wrap)||n?"wrap":void 0,alignItems:t.alignItems,gap:e.spacing(null!=(o=t.gap)?o:2),flexGrow:t.flexGrow})}},Ze=({children:e})=>{const t=(0,A.useStyles2)(et);return R().createElement("div",{className:t.root},R().createElement(Xe,{gap:2},e))},et=e=>({root:(0,_.css)({padding:e.spacing(1),backgroundColor:e.colors.background.secondary,borderRadius:e.shape.borderRadius(1)})}),tt=({v:e=0,h:t=0,layout:r="block"})=>{const n=(0,A.useStyles2)((0,w.useCallback)((n=>rt(n,{v:e,h:t,layout:r})),[e,t,r]));return R().createElement("span",{className:(0,_.cx)(n.wrapper)})},rt=(e,t)=>{var r,n;return{wrapper:(0,_.css)([{paddingRight:e.spacing(null!=(r=t.h)?r:0),paddingBottom:e.spacing(null!=(n=t.v)?n:0)},"inline"===t.layout&&{display:"inline-block"},"block"===t.layout&&{display:"block"}])}};var nt=Object.defineProperty,ot=Object.getOwnPropertySymbols,it=Object.prototype.hasOwnProperty,at=Object.prototype.propertyIsEnumerable,lt=(e,t,r)=>t in e?nt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const st=e=>{var t;const r=e,{label:n,optional:o,tooltip:i,tooltipInteractive:a,children:l,width:s}=r,u=((e,t)=>{var r={};for(var n in e)it.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&ot)for(var n of ot(e))t.indexOf(n)<0&&at.call(e,n)&&(r[n]=e[n]);return r})(r,["label","optional","tooltip","tooltipInteractive","children","width"]),c=(0,A.useStyles2)((0,w.useCallback)((e=>ut(e,s)),[s])),d=(null==u?void 0:u.htmlFor)||(null==(t=A.ReactUtils)?void 0:t.getChildId(l)),p=R().createElement(R().Fragment,null,R().createElement("label",{className:c.label,htmlFor:d},n,o&&R().createElement("span",{className:c.optional}," - optional"),i&&R().createElement(A.Tooltip,{placement:"top",content:i,theme:"info",interactive:a},R().createElement(A.Icon,{tabIndex:0,name:"info-circle",size:"sm",className:c.icon}))),R().createElement(tt,{v:.5}));return R().createElement("div",{className:c.root},R().createElement(A.Field,((e,t)=>{for(var r in t||(t={}))it.call(t,r)&&lt(e,r,t[r]);if(ot)for(var r of ot(t))at.call(t,r)&&lt(e,r,t[r]);return e})({className:c.field,label:p},u),l))},ut=(e,t)=>({root:(0,_.css)({minWidth:e.spacing(null!=t?t:0)}),label:(0,_.css)({fontSize:12,fontWeight:e.typography.fontWeightMedium}),optional:(0,_.css)({fontStyle:"italic",color:e.colors.text.secondary}),field:(0,_.css)({marginBottom:0}),icon:(0,_.css)({color:e.colors.text.secondary,marginLeft:e.spacing(1),":hover":{color:e.colors.text.primary}})});function ct({isOpen:e,onCancel:t,onDiscard:r,onCopy:n}){const o=(0,w.useRef)(null);return(0,w.useEffect)((()=>{var t;e&&(null===(t=o.current)||void 0===t||t.focus())}),[e]),R().createElement(A.Modal,{title:R().createElement("div",{className:"modal-header-title"},R().createElement(A.Icon,{name:"exclamation-triangle",size:"lg"}),R().createElement("span",{className:"p-l-1"},"Warning")),onDismiss:t,isOpen:e},R().createElement("p",null,"Builder mode does not display changes made in code. The query builder will display the last changes you made in builder mode."),R().createElement("p",null,"Do you want to copy your code to the clipboard?"),R().createElement(A.Modal.ButtonRow,null,R().createElement(A.Button,{type:"button",variant:"secondary",onClick:t,fill:"outline"},"Cancel"),R().createElement(A.Button,{variant:"destructive",type:"button",onClick:r,ref:o},"Discard code and switch"),R().createElement(A.Button,{variant:"primary",onClick:n},"Copy code and switch")))}const dt=()=>!!ge.config.featureToggles.sqlDatasourceDatabaseSelection;function pt(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function ft(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){pt(i,n,o,a,l,"next",e)}function l(e){pt(i,n,o,a,l,"throw",e)}a(void 0)}))}}const ht=({dataset:e,db:t,dialect:r,onChange:n,inputId:o,preconfiguredDataset:i})=>{const a=!!i||"postgres"===r,l=Ee(ft((function*(){return dt()&&a?(n(L(i)),[L(i)]):(e&&n(L(e)),(yield t.datasets()).map(L))})),[]);return(0,w.useEffect)((()=>{dt()||(e?l.value&&void 0===l.value.find((t=>t.value===e))&&l.value.length>0&&n(l.value[0]):l.value&&l.value[0]&&n(l.value[0]))}),[l.value,n,e]),R().createElement(A.Select,{"aria-label":"Dataset selector",inputId:o,value:e,options:l.value,onChange:n,disabled:l.loading,isLoading:l.loading,menuShouldPortal:!0})};function gt(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function vt(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){gt(i,n,o,a,l,"next",e)}function l(e){gt(i,n,o,a,l,"throw",e)}a(void 0)}))}}const mt=({db:e,dataset:t,table:r,className:n,onChange:o,inputId:i})=>{const a=Ee(vt((function*(){return t?(yield e.tables(t)).map(T.toOption):[]})),[t]);return R().createElement(A.Select,{className:n,disabled:a.loading,"aria-label":"Table selector",inputId:i,"data-testid":Le.components.SQLQueryEditor.headerTableSelector,value:r,options:a.value,onChange:o,isLoading:a.loading,menuShouldPortal:!0,placeholder:a.loading?"Loading tables":"Select table"})};function yt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function bt(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){yt(e,t,r[t])}))}return e}function Et(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const Ot=[{label:"Builder",value:he.Builder},{label:"Code",value:he.Code}];function St({db:e,dialect:t,isQueryRunnable:r,onChange:n,onQueryRowChange:o,onRunQuery:i,preconfiguredDataset:a,query:l,queryRowFilter:s}){const{editorMode:u}=l,[c,d]=Ce(),[p,f]=(0,w.useState)(!1),h=e.toRawSql,g=(0,w.useId)(),v=(0,w.useCallback)((e=>{var t;e===he.Code&&(0,ge.reportInteraction)("grafana_sql_editor_mode_changed",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,selectedEditorMode:he.Code}),u!==he.Code?n(Et(bt({},l),{editorMode:e})):f(!0)}),[u,n,l]);return R().createElement(R().Fragment,null,R().createElement(Ne,null,R().createElement(Ge,{label:"Format",value:l.format,placeholder:"Select format",menuShouldPortal:!0,onChange:e=>{var t;const r=Et(bt({},l),{format:void 0!==e.value?e.value:S.Table});(0,ge.reportInteraction)("grafana_sql_format_changed",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,selectedFormat:r.format}),n(r)},options:I}),u===he.Builder&&R().createElement(R().Fragment,null,R().createElement(A.InlineSwitch,{id:`sql-filter-${g}`,label:"Filter","data-testid":Le.components.SQLQueryEditor.headerFilterSwitch,transparent:!0,showLabel:!0,value:s.filter,onChange:e=>{var t;e.target instanceof HTMLInputElement&&((0,ge.reportInteraction)("grafana_sql_filter_toggled",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,displayed:e.target.checked}),o(Et(bt({},s),{filter:e.target.checked})))}}),R().createElement(A.InlineSwitch,{id:`sql-group-${g}`,label:"Group","data-testid":Le.components.SQLQueryEditor.headerGroupSwitch,transparent:!0,showLabel:!0,value:s.group,onChange:e=>{var t;e.target instanceof HTMLInputElement&&((0,ge.reportInteraction)("grafana_sql_group_toggled",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,displayed:e.target.checked}),o(Et(bt({},s),{group:e.target.checked})))}}),R().createElement(A.InlineSwitch,{id:`sql-order-${g}`,label:"Order","data-testid":Le.components.SQLQueryEditor.headerOrderSwitch,transparent:!0,showLabel:!0,value:s.order,onChange:e=>{var t;e.target instanceof HTMLInputElement&&((0,ge.reportInteraction)("grafana_sql_order_toggled",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,displayed:e.target.checked}),o(Et(bt({},s),{order:e.target.checked})))}}),R().createElement(A.InlineSwitch,{id:`sql-preview-${g}`,label:"Preview","data-testid":Le.components.SQLQueryEditor.headerPreviewSwitch,transparent:!0,showLabel:!0,value:s.preview,onChange:e=>{var t;e.target instanceof HTMLInputElement&&((0,ge.reportInteraction)("grafana_sql_preview_toggled",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,displayed:e.target.checked}),o(Et(bt({},s),{preview:e.target.checked})))}})),R().createElement($e,{grow:1}),r?R().createElement(A.Button,{icon:"play",variant:"primary",size:"sm",onClick:()=>i()},"Run query"):R().createElement(A.Tooltip,{theme:"error",content:R().createElement(R().Fragment,null,"Your query is invalid. Check below for details. ",R().createElement("br",null),"However, you can still run this query."),placement:"top"},R().createElement(A.Button,{icon:"exclamation-triangle",variant:"secondary",size:"sm",onClick:()=>i()},"Run query")),R().createElement(A.RadioButtonGroup,{options:Ot,size:"sm",value:u,onChange:v}),R().createElement(ct,{isOpen:p,onCopy:()=>{var e;(0,ge.reportInteraction)("grafana_sql_editor_mode_changed",{datasource:null===(e=l.datasource)||void 0===e?void 0:e.type,selectedEditorMode:he.Builder,type:"copy"}),f(!1),d(l.rawSql),n(Et(bt({},l),{rawSql:h(l),editorMode:he.Builder}))},onDiscard:()=>{var e;(0,ge.reportInteraction)("grafana_sql_editor_mode_changed",{datasource:null===(e=l.datasource)||void 0===e?void 0:e.type,selectedEditorMode:he.Builder,type:"discard"}),f(!1),n(Et(bt({},l),{rawSql:h(l),editorMode:he.Builder}))},onCancel:()=>{var e;(0,ge.reportInteraction)("grafana_sql_editor_mode_changed",{datasource:null===(e=l.datasource)||void 0===e?void 0:e.type,selectedEditorMode:he.Builder,type:"cancel"}),f(!1)}})),u===he.Builder&&R().createElement(R().Fragment,null,R().createElement(A.Space,{v:.5}),R().createElement(Ze,null,"influx"!==t&&!(!dt()&&"postgres"===t)&&R().createElement(st,{label:"Dataset",width:25},R().createElement(ht,{db:e,inputId:`sql-dataset-${g}`,dataset:l.dataset,dialect:t,preconfiguredDataset:a,onChange:e=>{if(e.value===l.dataset)return;const t=Et(bt({},l),{dataset:e.value,table:void 0,sql:void 0,rawSql:""});n(t)}})),R().createElement(st,{label:"Table",width:25},R().createElement(mt,{db:e,inputId:`sql-tableselect-${g}`,dataset:l.dataset||a,table:l.table,onChange:e=>{if(e.value===l.table)return;const t=Et(bt({},l),{table:e.value,sql:void 0,rawSql:""});n(t)}})))))}var Tt=function(){},_t="undefined"!=typeof window;const wt=_t?w.useLayoutEffect:w.useEffect;var Rt={x:0,y:0,width:0,height:0,top:0,left:0,bottom:0,right:0};const At=_t&&void 0!==window.ResizeObserver?function(){var e=(0,w.useState)(null),t=e[0],r=e[1],n=(0,w.useState)(Rt),o=n[0],i=n[1],a=(0,w.useMemo)((function(){return new window.ResizeObserver((function(e){if(e[0]){var t=e[0].contentRect,r=t.x,n=t.y,o=t.width,a=t.height,l=t.top,s=t.left,u=t.bottom,c=t.right;i({x:r,y:n,width:o,height:a,top:l,left:s,bottom:u,right:c})}}))}),[]);return wt((function(){if(t)return a.observe(t),function(){a.disconnect()}}),[t]),[r,o]}:function(){return[Tt,Rt]};let Ct;Ct="undefined"!=typeof window?window:"undefined"!=typeof self?self:p.g;let It=null,Lt=null;const Nt=Ct.clearTimeout,Pt=Ct.setTimeout,xt=Ct.cancelAnimationFrame||Ct.mozCancelAnimationFrame||Ct.webkitCancelAnimationFrame,kt=Ct.requestAnimationFrame||Ct.mozRequestAnimationFrame||Ct.webkitRequestAnimationFrame;null==xt||null==kt?(It=Nt,Lt=function(e){return Pt(e,20)}):(It=function([e,t]){xt(e),Nt(t)},Lt=function(e){const t=kt((function(){Nt(r),e()})),r=Pt((function(){xt(t),e()}),20);return[t,r]});class Ft extends w.Component{constructor(...e){super(...e),this.state={height:this.props.defaultHeight||0,scaledHeight:this.props.defaultHeight||0,scaledWidth:this.props.defaultWidth||0,width:this.props.defaultWidth||0},this._autoSizer=null,this._detectElementResize=null,this._parentNode=null,this._resizeObserver=null,this._timeoutId=null,this._onResize=()=>{this._timeoutId=null;const{disableHeight:e,disableWidth:t,onResize:r}=this.props;if(this._parentNode){const n=window.getComputedStyle(this._parentNode)||{},o=parseFloat(n.paddingLeft||"0"),i=parseFloat(n.paddingRight||"0"),a=parseFloat(n.paddingTop||"0"),l=parseFloat(n.paddingBottom||"0"),s=this._parentNode.getBoundingClientRect(),u=s.height-a-l,c=s.width-o-i,d=this._parentNode.offsetHeight-a-l,p=this._parentNode.offsetWidth-o-i;(e||this.state.height===d&&this.state.scaledHeight===u)&&(t||this.state.width===p&&this.state.scaledWidth===c)||(this.setState({height:d,width:p,scaledHeight:u,scaledWidth:c}),"function"==typeof r&&r({height:d,scaledHeight:u,scaledWidth:c,width:p}))}},this._setRef=e=>{this._autoSizer=e}}componentDidMount(){const{nonce:e}=this.props,t=this._autoSizer?this._autoSizer.parentNode:null;if(null!=t&&t.ownerDocument&&t.ownerDocument.defaultView&&t instanceof t.ownerDocument.defaultView.HTMLElement){this._parentNode=t;const r=t.ownerDocument.defaultView.ResizeObserver;null!=r?(this._resizeObserver=new r((()=>{this._timeoutId=setTimeout(this._onResize,0)})),this._resizeObserver.observe(t)):(this._detectElementResize=function(e){let t,r,n,o,i,a,l;const s="undefined"!=typeof document&&document.attachEvent;if(!s){a=function(e){const t=e.__resizeTriggers__,r=t.firstElementChild,n=t.lastElementChild,o=r.firstElementChild;n.scrollLeft=n.scrollWidth,n.scrollTop=n.scrollHeight,o.style.width=r.offsetWidth+1+"px",o.style.height=r.offsetHeight+1+"px",r.scrollLeft=r.scrollWidth,r.scrollTop=r.scrollHeight},i=function(e){return e.offsetWidth!==e.__resizeLast__.width||e.offsetHeight!==e.__resizeLast__.height},l=function(e){if(e.target.className&&"function"==typeof e.target.className.indexOf&&e.target.className.indexOf("contract-trigger")<0&&e.target.className.indexOf("expand-trigger")<0)return;const t=this;a(this),this.__resizeRAF__&&It(this.__resizeRAF__),this.__resizeRAF__=Lt((function(){i(t)&&(t.__resizeLast__.width=t.offsetWidth,t.__resizeLast__.height=t.offsetHeight,t.__resizeListeners__.forEach((function(r){r.call(t,e)})))}))};let e=!1,s="";n="animationstart";const u="Webkit Moz O ms".split(" ");let c="webkitAnimationStart animationstart oAnimationStart MSAnimationStart".split(" "),d="";{const t=document.createElement("fakeelement");if(void 0!==t.style.animationName&&(e=!0),!1===e)for(let r=0;r<u.length;r++)if(void 0!==t.style[u[r]+"AnimationName"]){d=u[r],s="-"+d.toLowerCase()+"-",n=c[r],e=!0;break}}r="resizeanim",t="@"+s+"keyframes "+r+" { from { opacity: 0; } to { opacity: 0; } } ",o=s+"animation: 1ms "+r+"; "}return{addResizeListener:function(i,u){if(s)i.attachEvent("onresize",u);else{if(!i.__resizeTriggers__){const s=i.ownerDocument,u=Ct.getComputedStyle(i);u&&"static"===u.position&&(i.style.position="relative"),function(r){if(!r.getElementById("detectElementResize")){const n=(t||"")+".resize-triggers { "+(o||"")+'visibility: hidden; opacity: 0; } .resize-triggers, .resize-triggers > div, .contract-trigger:before { content: " "; display: block; position: absolute; top: 0; left: 0; height: 100%; width: 100%; overflow: hidden; z-index: -1; } .resize-triggers > div { background: #eee; overflow: auto; } .contract-trigger:before { width: 200%; height: 200%; }',i=r.head||r.getElementsByTagName("head")[0],a=r.createElement("style");a.id="detectElementResize",a.type="text/css",null!=e&&a.setAttribute("nonce",e),a.styleSheet?a.styleSheet.cssText=n:a.appendChild(r.createTextNode(n)),i.appendChild(a)}}(s),i.__resizeLast__={},i.__resizeListeners__=[],(i.__resizeTriggers__=s.createElement("div")).className="resize-triggers";const c=s.createElement("div");c.className="expand-trigger",c.appendChild(s.createElement("div"));const d=s.createElement("div");d.className="contract-trigger",i.__resizeTriggers__.appendChild(c),i.__resizeTriggers__.appendChild(d),i.appendChild(i.__resizeTriggers__),a(i),i.addEventListener("scroll",l,!0),n&&(i.__resizeTriggers__.__animationListener__=function(e){e.animationName===r&&a(i)},i.__resizeTriggers__.addEventListener(n,i.__resizeTriggers__.__animationListener__))}i.__resizeListeners__.push(u)}},removeResizeListener:function(e,t){if(s)e.detachEvent("onresize",t);else if(e.__resizeListeners__.splice(e.__resizeListeners__.indexOf(t),1),!e.__resizeListeners__.length){e.removeEventListener("scroll",l,!0),e.__resizeTriggers__.__animationListener__&&(e.__resizeTriggers__.removeEventListener(n,e.__resizeTriggers__.__animationListener__),e.__resizeTriggers__.__animationListener__=null);try{e.__resizeTriggers__=!e.removeChild(e.__resizeTriggers__)}catch(e){}}}}}(e),this._detectElementResize.addResizeListener(t,this._onResize)),this._onResize()}}componentWillUnmount(){this._parentNode&&(this._detectElementResize&&this._detectElementResize.removeResizeListener(this._parentNode,this._onResize),null!==this._timeoutId&&clearTimeout(this._timeoutId),this._resizeObserver&&this._resizeObserver.disconnect())}render(){const{children:e,defaultHeight:t,defaultWidth:r,disableHeight:n=!1,disableWidth:o=!1,doNotBailOutOnEmptyChildren:i=!1,nonce:a,onResize:l,style:s={},tagName:u="div",...c}=this.props,{height:d,scaledHeight:p,scaledWidth:f,width:h}=this.state,g={overflow:"visible"},v={};let m=!1;return n||(0===d&&(m=!0),g.height=0,v.height=d,v.scaledHeight=p),o||(0===h&&(m=!0),g.width=0,v.width=h,v.scaledWidth=f),i&&(m=!1),(0,w.createElement)(u,{ref:this._setRef,style:{...g,...s},...c},!m&&e(v))}}var jt=Object.defineProperty,Dt=Object.getOwnPropertySymbols,Mt=Object.prototype.hasOwnProperty,Vt=Object.prototype.propertyIsEnumerable,Ut=(e,t,r)=>t in e?jt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const Bt=(e,t,r={})=>((e,t)=>{for(var r in t||(t={}))Mt.call(t,r)&&Ut(e,r,t[r]);if(Dt)for(var r of Dt(t))Vt.call(t,r)&&Ut(e,r,t[r]);return e})({label:e,insertText:e,kind:pe.Field,sortText:de.Medium,range:t},r);var qt=Object.defineProperty,Gt=Object.defineProperties,Kt=Object.getOwnPropertyDescriptors,Wt=Object.getOwnPropertySymbols,zt=Object.prototype.hasOwnProperty,$t=Object.prototype.propertyIsEnumerable,Ht=(e,t,r)=>t in e?qt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,Yt=(e,t)=>{for(var r in t||(t={}))zt.call(t,r)&&Ht(e,r,t[r]);if(Wt)for(var r of Wt(t))$t.call(t,r)&&Ht(e,r,t[r]);return e};const Qt=()=>[{id:ue.SelectKeyword,name:ue.SelectKeyword,kind:[ce.SelectKeyword]},{id:ue.WithKeyword,name:ue.WithKeyword,kind:[ce.WithKeyword]},{id:ue.AfterSelectKeyword,name:ue.AfterSelectKeyword,kind:[ce.StarWildCard,ce.FunctionsWithArguments,ce.Columns,ce.SelectMacro]},{id:ue.AfterSelectFuncFirstArgument,name:ue.AfterSelectFuncFirstArgument,kind:[ce.Columns]},{id:ue.AfterGroupByFunctionArgument,name:ue.AfterGroupByFunctionArgument,kind:[ce.Columns]},{id:ue.AfterWhereFunctionArgument,name:ue.AfterWhereFunctionArgument,kind:[ce.Columns]},{id:ue.AfterSelectArguments,name:ue.AfterSelectArguments,kind:[ce.Columns]},{id:ue.AfterFromKeyword,name:ue.AfterFromKeyword,kind:[ce.Schemas,ce.Tables,ce.TableMacro]},{id:ue.AfterSchema,name:ue.AfterSchema,kind:[ce.Tables,ce.TableMacro]},{id:ue.SelectAlias,name:ue.SelectAlias,kind:[ce.Columns,ce.FunctionsWithArguments]},{id:ue.FromKeyword,name:ue.FromKeyword,kind:[ce.FromKeyword]},{id:ue.AfterFrom,name:ue.AfterFrom,kind:[ce.WhereKeyword,ce.GroupByKeywords,ce.OrderByKeywords,ce.LimitKeyword]},{id:ue.AfterTable,name:ue.AfterTable,kind:[ce.WhereKeyword,ce.GroupByKeywords,ce.OrderByKeywords,ce.LimitKeyword]},{id:ue.WhereKeyword,name:ue.WhereKeyword,kind:[ce.Columns,ce.FilterMacro,ce.TemplateVariables]},{id:ue.WhereComparisonOperator,name:ue.WhereComparisonOperator,kind:[ce.ComparisonOperators]},{id:ue.WhereValue,name:ue.WhereValue,kind:[ce.FilterMacro,ce.TemplateVariables]},{id:ue.AfterWhereValue,name:ue.AfterWhereValue,kind:[ce.LogicalOperators,ce.GroupByKeywords,ce.OrderByKeywords,ce.LimitKeyword,ce.Columns,ce.TemplateVariables]},{id:ue.AfterGroupByKeywords,name:ue.AfterGroupByKeywords,kind:[ce.GroupMacro,ce.Columns]},{id:ue.AfterGroupBy,name:ue.AfterGroupBy,kind:[ce.OrderByKeywords,ce.LimitKeyword]},{id:ue.AfterOrderByKeywords,name:ue.AfterOrderByKeywords,kind:[ce.Columns]},{id:ue.AfterOrderByFunction,name:ue.AfterOrderByFunction,kind:[ce.SortOrderDirectionKeyword,ce.LimitKeyword]},{id:ue.AfterOrderByDirection,name:ue.AfterOrderByDirection,kind:[ce.LimitKeyword]},{id:ue.AfterIsOperator,name:ue.AfterOrderByDirection,kind:[ce.NotKeyword,ce.NullValue,ce.BoolValues]},{id:ue.AfterIsNotOperator,name:ue.AfterOrderByDirection,kind:[ce.NullValue,ce.BoolValues]}];class Xt{constructor(e,t,r,n,o){this.type=e,this.value=t,this.range=r,this.previous=n,this.next=o}isKeyword(){return this.type===se.Keyword}isWhiteSpace(){return this.type===se.Whitespace}isParenthesis(){return this.type===se.Parenthesis}isIdentifier(){return this.type===se.Identifier}isString(){return this.type===se.String}isNumber(){return this.type===se.Number}isDoubleQuotedString(){return this.type===se.Type}isVariable(){return this.type===se.Variable}isFunction(){return this.type===se.Function}isOperator(){return this.type===se.Operator}isTemplateVariable(){return this.type===se.Variable}is(e,t){const r=this.type===e;return void 0!==t?r&&Jt(e,this,t):r}getPreviousNonWhiteSpaceToken(){let e=this.previous;for(;null!=e;){if(!e.isWhiteSpace())return e;e=e.previous}return null}getPreviousOfType(e,t){let r=this.previous;for(;null!=r;){const n=r.type===e;if(void 0!==t?n&&Jt(e,r,t):n)return r;r=r.previous}return null}getPreviousUntil(e,t,r){let n=[],o=this.previous;for(;null!=o;){if(t.some((e=>e===(null==o?void 0:o.type)))){o=o.previous;continue}const i=o.type===e;if(void 0!==r?i&&Jt(e,o,r):i)return n;o.isWhiteSpace()||n.push(o),o=o.previous}return n}getNextUntil(e,t,r){let n=[],o=this.next;for(;null!=o;){if(t.some((e=>e===(null==o?void 0:o.type)))){o=o.next;continue}const i=o.type===e;if(void 0!==r?i&&Jt(e,o,r):i)return n;o.isWhiteSpace()||n.push(o),o=o.next}return n}getPreviousKeyword(){let e=this.previous;for(;null!=e;){if(e.isKeyword())return e;e=e.previous}return null}getNextNonWhiteSpaceToken(){let e=this.next;for(;null!=e;){if(!e.isWhiteSpace())return e;e=e.next}return null}getNextOfType(e,t){let r=this.next;for(;null!=r;){const n=r.type===e;if(void 0!==t?n&&Jt(e,r,t):n)return r;r=r.next}return null}}function Jt(e,t,r){return e===se.Keyword||e===se.Operator?t.value.toLowerCase()===r.toString().toLowerCase():t.value===r}var Zt=p(8572);const er=e=>{var t;const r=(e=>{const t=(e=>{var t;return null!=(t=null==e?void 0:e.getPreviousOfType(se.Keyword,Zt.SELECT))?t:null})(e);return null==t?void 0:t.getNextOfType(se.Keyword,Zt.FROM)})(e),n=null==r?void 0:r.getNextNonWhiteSpaceToken();return(null==n?void 0:n.isVariable())||(null==n?void 0:n.isKeyword())&&(null==(t=n.next)?void 0:t.is(se.Parenthesis,"("))?null:n},tr=e=>{const t=null==e?void 0:e.value.split(".");return 1===(null==t?void 0:t.length)?{table:t[0]}:2===(null==t?void 0:t.length)?{schema:t[0],table:t[1]}:null},rr={id:"editor.action.triggerSuggest",title:""};var nr,or=new Uint8Array(16);function ir(){if(!nr&&!(nr="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto)||"undefined"!=typeof msCrypto&&"function"==typeof msCrypto.getRandomValues&&msCrypto.getRandomValues.bind(msCrypto)))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return nr(or)}const ar=/^(?:[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}|00000000-0000-0000-0000-000000000000)$/i;for(var lr=[],sr=0;sr<256;++sr)lr.push((sr+256).toString(16).substr(1));const ur=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,r=(lr[e[t+0]]+lr[e[t+1]]+lr[e[t+2]]+lr[e[t+3]]+"-"+lr[e[t+4]]+lr[e[t+5]]+"-"+lr[e[t+6]]+lr[e[t+7]]+"-"+lr[e[t+8]]+lr[e[t+9]]+"-"+lr[e[t+10]]+lr[e[t+11]]+lr[e[t+12]]+lr[e[t+13]]+lr[e[t+14]]+lr[e[t+15]]).toLowerCase();if(!function(e){return"string"==typeof e&&ar.test(e)}(r))throw TypeError("Stringified UUID is invalid");return r},cr=function(e,t,r){var n=(e=e||{}).random||(e.rng||ir)();if(n[6]=15&n[6]|64,n[8]=63&n[8]|128,t){r=r||0;for(var o=0;o<16;++o)t[r+o]=n[o];return t}return ur(n)},dr=(e,t,r)=>()=>[{id:ce.SelectKeyword,name:ce.SelectKeyword,suggestions:(e,t)=>Promise.resolve([{label:"SELECT <column>",insertText:"SELECT $0",insertTextRules:fe.InsertAsSnippet,kind:pe.Snippet,command:rr,sortText:de.Medium},{label:"SELECT <column> FROM <table>",insertText:"SELECT $2 FROM $1",insertTextRules:fe.InsertAsSnippet,kind:pe.Snippet,command:rr,sortText:de.Medium}])},{id:ce.TemplateVariables,name:ce.TemplateVariables,suggestions:(e,t)=>{const r=(0,ge.getTemplateSrv)();return r?Promise.resolve(r.getVariables().map((e=>{const t=`$${e.name}`,n=r.replace(t);return{label:t,detail:`(Template Variable) ${n}`,kind:pe.Snippet,documentation:`(Template Variable) ${n}`,insertText:`\\$${e.name} `,insertTextRules:fe.InsertAsSnippet,command:rr,sortText:de.Low}}))):Promise.resolve([])}},{id:ce.SelectMacro,name:ce.SelectMacro,suggestions:(e,t)=>Promise.resolve([...r.list().filter((e=>e.type===le.Value||e.type===le.Column)).map(pr)])},{id:ce.TableMacro,name:ce.TableMacro,suggestions:(e,t)=>Promise.resolve([...r.list().filter((e=>e.type===le.Table)).map(pr)])},{id:ce.GroupMacro,name:ce.GroupMacro,suggestions:(e,t)=>Promise.resolve([...r.list().filter((e=>e.type===le.Group)).map(pr)])},{id:ce.FilterMacro,name:ce.FilterMacro,suggestions:(e,t)=>Promise.resolve([...r.list().filter((e=>e.type===le.Filter)).map(pr)])},{id:ce.WithKeyword,name:ce.WithKeyword,suggestions:(e,t)=>Promise.resolve([{label:"WITH <alias> AS ( ... )",insertText:"WITH $1  AS ( $2 )",insertTextRules:fe.InsertAsSnippet,kind:pe.Snippet,command:rr,sortText:de.Medium}])},{id:ce.StarWildCard,name:ce.StarWildCard,suggestions:(e,t)=>Promise.resolve([{label:"*",insertText:"* $0",insertTextRules:fe.InsertAsSnippet,kind:pe.Field,command:rr,sortText:de.High}])},{id:ce.FunctionsWithArguments,name:ce.FunctionsWithArguments,suggestions:(t,r)=>Promise.resolve([...e.list().map((e=>({label:e.name,insertText:`${e.name}($0)`,documentation:e.description,insertTextRules:fe.InsertAsSnippet,kind:pe.Function,command:rr,sortText:de.MediumLow})))])},{id:ce.FunctionsWithoutArguments,name:ce.FunctionsWithoutArguments,suggestions:(t,r)=>Promise.resolve([...e.list().map((e=>({label:e.name,insertText:`${e.name}()`,documentation:e.description,insertTextRules:fe.InsertAsSnippet,kind:pe.Function,command:rr,sortText:de.MediumHigh})))])},{id:ce.FromKeyword,name:ce.FromKeyword,suggestions:(e,t)=>Promise.resolve([{label:"FROM",insertText:"FROM $0",command:rr,insertTextRules:fe.InsertAsSnippet,kind:pe.Keyword}])},{id:ce.Schemas,name:ce.Schemas,suggestions:(e,t)=>Promise.resolve([])},{id:ce.Tables,name:ce.Tables,suggestions:(e,t)=>Promise.resolve([])},{id:ce.Columns,name:ce.Columns,suggestions:(e,t)=>Promise.resolve([])},{id:ce.LogicalOperators,name:ce.LogicalOperators,suggestions:(e,r)=>Promise.resolve(t.list().filter((e=>e.type===ae.Logical)).map((e=>({label:e.operator,insertText:`${e.operator} `,documentation:e.description,command:rr,sortText:de.MediumHigh,kind:pe.Operator}))))},{id:ce.WhereKeyword,name:ce.WhereKeyword,suggestions:(e,t)=>Promise.resolve([{label:"WHERE",insertText:"WHERE ",command:rr,sortText:de.MediumHigh,kind:pe.Keyword}])},{id:ce.ComparisonOperators,name:ce.ComparisonOperators,suggestions:(e,r)=>Promise.resolve([...t.list().filter((e=>e.type===ae.Comparison)).map((e=>({label:e.operator,insertText:`${e.operator} `,documentation:e.description,command:rr,sortText:de.MediumHigh,kind:pe.Operator}))),{label:"IN (...)",insertText:"IN ( $0 )",command:rr,sortText:de.Medium,kind:pe.Operator,insertTextRules:fe.InsertAsSnippet},{label:"NOT IN (...)",insertText:"NOT IN ( $0 )",command:rr,sortText:de.Medium,kind:pe.Operator,insertTextRules:fe.InsertAsSnippet},{label:"IS",insertText:"IS",command:rr,sortText:de.Medium,kind:pe.Operator},{label:"IS NOT",insertText:"IS NOT",command:rr,sortText:de.Medium,kind:pe.Operator}])},{id:ce.GroupByKeywords,name:ce.GroupByKeywords,suggestions:(e,t)=>Promise.resolve([{label:"GROUP BY",insertText:"GROUP BY ",command:rr,sortText:de.MediumHigh,kind:pe.Keyword}])},{id:ce.OrderByKeywords,name:ce.OrderByKeywords,suggestions:(e,t)=>Promise.resolve([{label:"ORDER BY",insertText:"ORDER BY ",command:rr,sortText:de.Medium,kind:pe.Keyword},{label:"ORDER BY(ascending)",insertText:"ORDER BY $1 ASC ",command:rr,sortText:de.MediumLow,kind:pe.Snippet,insertTextRules:fe.InsertAsSnippet},{label:"ORDER BY(descending)",insertText:"ORDER BY $1 DESC",command:rr,sortText:de.MediumLow,kind:pe.Snippet,insertTextRules:fe.InsertAsSnippet}])},{id:ce.LimitKeyword,name:ce.LimitKeyword,suggestions:(e,t)=>Promise.resolve([{label:"LIMIT",insertText:"LIMIT ",command:rr,sortText:de.MediumLow,kind:pe.Keyword}])},{id:ce.SortOrderDirectionKeyword,name:ce.SortOrderDirectionKeyword,suggestions:(e,t)=>Promise.resolve([Zt.ASC,Zt.DESC].map((e=>({label:e,insertText:`${e} `,command:rr,kind:pe.Keyword}))))},{id:ce.NotKeyword,name:ce.NotKeyword,suggestions:()=>Promise.resolve([{label:"NOT",insertText:"NOT",command:rr,kind:pe.Keyword,sortText:de.High}])},{id:ce.BoolValues,name:ce.BoolValues,suggestions:()=>Promise.resolve(["TRUE","FALSE"].map((e=>({label:e,insertText:`${e}`,command:rr,kind:pe.Keyword,sortText:de.Medium}))))},{id:ce.NullValue,name:ce.NullValue,suggestions:()=>Promise.resolve(["NULL"].map((e=>({label:e,insertText:`${e}`,command:rr,kind:pe.Keyword,sortText:de.Low}))))}];function pr(e){return{label:e.name,insertText:`${"\\"+e.text}${t=e.args,t?"(".concat(t.map(((e,t)=>`\${${t}:${e}}`)).join(", ")).concat(")"):"()"} `,insertTextRules:fe.InsertAsSnippet,kind:pe.Snippet,documentation:e.description,command:rr};var t}function fr(){return[{id:ue.SelectKeyword,name:ue.SelectKeyword,resolve:(e,t,r,n)=>Boolean(null===e||e.isWhiteSpace()&&null===e.previous||e.is(se.Keyword,Zt.SELECT)||e.is(se.Keyword,Zt.SELECT)&&null===e.previous||n||e.isIdentifier()&&(n||null===(null==e?void 0:e.previous))||e.isIdentifier()&&Zt.SELECT.startsWith(e.value.toLowerCase()))},{id:ue.WithKeyword,name:ue.WithKeyword,resolve:(e,t,r,n)=>Boolean(null===e||e.isWhiteSpace()&&null===e.previous||e.is(se.Keyword,Zt.WITH)&&null===e.previous||e.isIdentifier()&&Zt.WITH.toLowerCase().startsWith(e.value.toLowerCase()))},{id:ue.AfterSelectKeyword,name:ue.AfterSelectKeyword,resolve:(e,t,r,n)=>Boolean((null==r?void 0:r.value.toLowerCase())===Zt.SELECT)},{id:ue.AfterSelectArguments,name:ue.AfterSelectArguments,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===Zt.SELECT&&","===(null==r?void 0:r.value))},{id:ue.AfterSelectFuncFirstArgument,name:ue.AfterSelectFuncFirstArgument,resolve:(e,t,r,n)=>Boolean(((null==t?void 0:t.value.toLowerCase())===Zt.SELECT||(null==t?void 0:t.value.toLowerCase())===Zt.AS)&&((null==r?void 0:r.is(se.Parenthesis,"("))||(null==e?void 0:e.is(se.Parenthesis,"()"))))},{id:ue.AfterWhereFunctionArgument,name:ue.AfterWhereFunctionArgument,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.is(se.Keyword,Zt.WHERE))&&((null==r?void 0:r.is(se.Parenthesis,"("))||(null==e?void 0:e.is(se.Parenthesis,"()"))))},{id:ue.AfterGroupBy,name:ue.AfterGroupBy,resolve:(e,t,r,n)=>{var o;return Boolean((null==t?void 0:t.is(se.Keyword,Zt.BY))&&(null==(o=null==t?void 0:t.getPreviousKeyword())?void 0:o.is(se.Keyword,Zt.GROUP))&&((null==r?void 0:r.isIdentifier())||(null==r?void 0:r.isDoubleQuotedString())||(null==r?void 0:r.is(se.Parenthesis,")"))||(null==r?void 0:r.is(se.Parenthesis,"()"))))}},{id:ue.SelectAlias,name:ue.SelectAlias,resolve:(e,t,r,n)=>","===(null==r?void 0:r.value)&&(null==t?void 0:t.value.toLowerCase())===Zt.AS},{id:ue.FromKeyword,name:ue.FromKeyword,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===Zt.SELECT&&","!==(null==r?void 0:r.value)||((null==e?void 0:e.isKeyword())||(null==e?void 0:e.isIdentifier()))&&Zt.FROM.toLowerCase().startsWith(e.value.toLowerCase()))},{id:ue.AfterFromKeyword,name:ue.AfterFromKeyword,resolve:(e,t,r,n)=>Boolean(!(null==e?void 0:e.value.includes("."))&&(null==r?void 0:r.value.toLowerCase())===Zt.FROM)},{id:ue.AfterSchema,name:ue.AfterSchema,resolve:(e,t,r,n)=>((null==e?void 0:e.isWhiteSpace())&&(null==e?void 0:e.next)&&(r=(e=null==e?void 0:e.previous).getPreviousNonWhiteSpaceToken()),Boolean((null==e?void 0:e.isIdentifier())&&(null==e?void 0:e.value.endsWith("."))&&(null==r?void 0:r.value.toLowerCase())===Zt.FROM))},{id:ue.AfterFrom,name:ue.AfterFrom,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===Zt.FROM&&(null==r?void 0:r.isDoubleQuotedString())||(null==t?void 0:t.value.toLowerCase())===Zt.FROM&&(null==r?void 0:r.isIdentifier())||(null==t?void 0:t.value.toLowerCase())===Zt.FROM&&(null==r?void 0:r.isVariable()))},{id:ue.AfterTable,name:ue.AfterTable,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===Zt.FROM&&((null==r?void 0:r.isVariable())||""!==(null==r?void 0:r.value)&&(null==r?void 0:r.value.toLowerCase())!==Zt.FROM))},{id:ue.WhereKeyword,name:ue.WhereKeyword,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===Zt.WHERE&&((null==r?void 0:r.isKeyword())||(null==r?void 0:r.is(se.Parenthesis,"("))||(null==r?void 0:r.is(se.Operator,Zt.AND))))},{id:ue.WhereComparisonOperator,name:ue.WhereComparisonOperator,resolve:(e,t,r,n)=>{var o;return Boolean((null==t?void 0:t.value.toLowerCase())===Zt.WHERE&&!(null==(o=null==r?void 0:r.getPreviousNonWhiteSpaceToken())?void 0:o.isOperator())&&!(null==e?void 0:e.is(se.Delimiter,"."))&&!(null==e?void 0:e.isParenthesis())&&((null==r?void 0:r.isIdentifier())||(null==r?void 0:r.isDoubleQuotedString())))}},{id:ue.WhereValue,name:ue.WhereValue,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===Zt.WHERE&&(null==r?void 0:r.isOperator()))},{id:ue.AfterWhereValue,name:ue.AfterWhereValue,resolve:(e,t,r,n)=>{var o,i,a;return Boolean((null==t?void 0:t.value.toLowerCase())===Zt.WHERE&&((null==r?void 0:r.is(se.Operator,"and"))||(null==r?void 0:r.is(se.Operator,"or"))||(null==r?void 0:r.isString())||(null==r?void 0:r.isNumber())||(null==r?void 0:r.is(se.Parenthesis,")"))||(null==r?void 0:r.is(se.Parenthesis,"()"))||(null==r?void 0:r.isTemplateVariable())||(null==r?void 0:r.is(se.IdentifierQuote))&&(null==(o=r.getPreviousNonWhiteSpaceToken())?void 0:o.is(se.Identifier))&&(null==(a=null==(i=null==r?void 0:r.getPreviousNonWhiteSpaceToken())?void 0:i.getPreviousNonWhiteSpaceToken())?void 0:a.is(se.IdentifierQuote))))}},{id:ue.AfterGroupByKeywords,name:ue.AfterGroupByKeywords,resolve:(e,t,r,n)=>{var o;return Boolean((null==t?void 0:t.is(se.Keyword,Zt.BY))&&(null==(o=null==t?void 0:t.getPreviousKeyword())?void 0:o.is(se.Keyword,Zt.GROUP))&&((null==r?void 0:r.is(se.Keyword,Zt.BY))||(null==r?void 0:r.is(se.Delimiter,","))))}},{id:ue.AfterGroupByFunctionArgument,name:ue.AfterGroupByFunctionArgument,resolve:(e,t,r,n)=>{var o;return Boolean((null==t?void 0:t.is(se.Keyword,Zt.BY))&&(null==(o=null==t?void 0:t.getPreviousKeyword())?void 0:o.is(se.Keyword,Zt.GROUP))&&((null==r?void 0:r.is(se.Parenthesis,"("))||(null==e?void 0:e.is(se.Parenthesis,"()"))))}},{id:ue.AfterOrderByKeywords,name:ue.AfterOrderByKeywords,resolve:(e,t,r,n)=>{var o;return Boolean((null==r?void 0:r.is(se.Keyword,Zt.BY))&&(null==(o=null==r?void 0:r.getPreviousKeyword())?void 0:o.is(se.Keyword,Zt.ORDER)))}},{id:ue.AfterOrderByFunction,name:ue.AfterOrderByFunction,resolve:(e,t,r,n)=>{var o,i;return Boolean((null==t?void 0:t.is(se.Keyword,Zt.BY))&&(null==(o=null==t?void 0:t.getPreviousKeyword())?void 0:o.is(se.Keyword,Zt.ORDER))&&(null==r?void 0:r.is(se.Parenthesis))&&(null==(i=null==r?void 0:r.getPreviousNonWhiteSpaceToken())?void 0:i.is(se.Function)))}},{id:ue.AfterOrderByDirection,name:ue.AfterOrderByDirection,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.is(se.Keyword,Zt.DESC))||(null==t?void 0:t.is(se.Keyword,Zt.ASC)))},{id:ue.AfterIsOperator,name:ue.AfterIsOperator,resolve:(e,t,r,n)=>Boolean(null==r?void 0:r.is(se.Operator,"IS"))},{id:ue.AfterIsNotOperator,name:ue.AfterIsNotOperator,resolve:(e,t,r,n)=>{var o;return Boolean((null==r?void 0:r.is(se.Operator,"NOT"))&&(null==(o=r.getPreviousNonWhiteSpaceToken())?void 0:o.is(se.Operator,"IS")))}}]}let hr={logger:()=>{}},gr=()=>{};A.attachDebugger&&A.createLogger&&(hr=(0,A.createLogger)("SQLEditor"),gr=hr.logger,(0,A.attachDebugger)("sqleditor",void 0,hr));const vr="column",mr=[{id:"$__timeFilter(dateColumn)",name:"$__timeFilter(dateColumn)",text:"$__timeFilter",args:[vr],type:le.Filter,description:"Will be replaced by a time range filter using the specified column name. For example, dateColumn BETWEEN FROM_UNIXTIME(1494410783) AND FROM_UNIXTIME(1494410983)"},{id:"$__timeFrom()",name:"$__timeFrom()",text:"$__timeFrom",args:[],type:le.Filter,description:"Will be replaced by the start of the currently active time selection. For example, FROM_UNIXTIME(1494410783)"},{id:"$__timeTo()",name:"$__timeTo()",text:"$__timeTo",args:[],type:le.Filter,description:"Will be replaced by the end of the currently active time selection. For example, FROM_UNIXTIME(1494410983)"},{id:"$__timeGroup(dateColumn, '5m')",name:"$__timeGroup(dateColumn, '5m')",text:"$__timeGroup",args:[vr,"'5m'"],type:le.Value,description:"Will be replaced by an expression usable in GROUP BY clause. For example, *cast(cast(UNIX_TIMESTAMP(dateColumn)/(300) as signed)*300 as signed),*"},{id:"$__table",name:"$__table",text:"$__table",args:[],type:le.Table,description:"Will be replaced by the query table."},{id:"$__column",name:"$__column",text:"$__column",args:[],type:le.Column,description:"Will be replaced by the query column."}];function yr(e,t){var r,n,o;const i={triggerCharacters:["."," ","$",",","(","'"]};t&&Array.isArray(t.builtinFunctions)&&(i.supportedFunctions=()=>t.builtinFunctions.map((e=>({id:e,name:e}))));const a=[];return(null==(r=null==t?void 0:t.comparisonOperators)?void 0:r.length)&&a.push(...t.comparisonOperators.map((e=>({id:e.toLocaleLowerCase(),operator:e,type:ae.Comparison})))),t.logicalOperators=null!=(n=t.logicalOperators)?n:t.operators,(null==(o=null==t?void 0:t.logicalOperators)?void 0:o.length)&&a.push(...t.logicalOperators.map((e=>({id:e.toLocaleLowerCase(),operator:e,type:ae.Logical})))),i.supportedOperators=()=>a,i.supportedMacros=()=>mr,i}const br={id:"standardSql",extensions:[".sql"],aliases:["sql"],mimetypes:[],loader:()=>Promise.resolve().then(p.bind(p,8572)),completionProvider:yr};var Er=Object.defineProperty,Or=Object.defineProperties,Sr=Object.getOwnPropertyDescriptors,Tr=Object.getOwnPropertySymbols,_r=Object.prototype.hasOwnProperty,wr=Object.prototype.propertyIsEnumerable,Rr=(e,t,r)=>t in e?Er(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,Ar=(e,t)=>{for(var r in t||(t={}))_r.call(t,r)&&Rr(e,r,t[r]);if(Tr)for(var r of Tr(t))wr.call(t,r)&&Rr(e,r,t[r]);return e},Cr=(e,t)=>Or(e,Sr(t));const Ir=new Map,Lr=new Map,Nr=({children:e,onBlur:t,onChange:r,query:n,language:o={id:"sql"},width:i,height:a})=>{const l=(0,w.useRef)(null),s=(0,w.useRef)(),u=(0,w.useMemo)((()=>{const e=cr(),t=`${o.id}-${e}`;return s.current=t,t}),[o.id]);(0,w.useEffect)((()=>()=>{s.current&&Lr.delete(s.current),gr(`Removing instance cache ${s.current}`,!1,Lr)}),[]);const c=(0,w.useCallback)((()=>{l.current&&l.current.getAction("editor.action.formatDocument").run()}),[]);return R().createElement("div",{style:{width:i}},R().createElement(A.CodeEditor,{height:a||"240px",width:i?i-2+"px":void 0,language:u,value:n,onBlur:e=>{r&&r(e,!1),t&&t(e)},showMiniMap:!1,showLineNumbers:!0,onEditorDidMount:(e,t)=>{l.current=e,e.onDidChangeModelContent((t=>{const n=e.getValue();r&&r(n,!1)})),e.addCommand(t.KeyMod.CtrlCmd|t.KeyCode.Enter,(()=>{const t=e.getValue();r&&r(t,!0)})),e.onKeyUp((t=>{84===t.keyCode&&e.trigger(rr.id,rr.id,{})})),Pr(t,o,u)}}),e&&e({formatQuery:c}))},Pr=async(e,t,r)=>{const n=((e,t)=>{if("sql"!==(null==t?void 0:t.id)&&!t.loader){gr(`Loading language '${null==t?void 0:t.id}' from Monaco registry`,!1);const r=e.languages.getLanguages().find((({id:e})=>e===(null==t?void 0:t.id)));if(!r)throw Error(`Unknown Monaco language ${null==t?void 0:t.id}`);return Ar(Ar({completionProvider:yr},r),t)}return Ar(Ar({},br),t)})(e,t);if(!n.loader)return;const{language:o,conf:i}=await n.loader(e);if(e.languages.register({id:r}),e.languages.setMonarchTokensProvider(r,Ar({},o)),e.languages.setLanguageConfiguration(r,Ar({},i)),n.formatter&&e.languages.registerDocumentFormattingEditProvider(r,{provideDocumentFormattingEdits:e=>{var r;const n=null==(r=t.formatter)?void 0:r.call(t,e.getValue());return[{range:e.getFullModelRange(),text:n||""}]}}),n.completionProvider){const i=n.completionProvider(e,o);!function(e,t,r){var n;Ir.has(e)||function(e){Ir.has(e)||Ir.set(e,{functions:new T.Registry,operators:new T.Registry,suggestionKinds:new T.Registry(Qt),positionResolvers:new T.Registry(fr),macros:new T.Registry}),Ir.get(e)}(e);const o=Ir.get(e);Lr.has(t)||Lr.set(t,new T.Registry(dr(o.functions,o.operators,o.macros)));const i=Lr.get(t);if(r.supportedFunctions)for(const e of r.supportedFunctions())o.functions.getIfExists(e.id)||o.functions.register(e);if(r.supportedOperators)for(const e of r.supportedOperators())o.operators.getIfExists(e.id)||o.operators.register(Cr(Ar({},e),{name:e.id}));if(r.supportedMacros)for(const e of r.supportedMacros())o.macros.getIfExists(e.id)||o.macros.register(Cr(Ar({},e),{name:e.id}));if(r.customStatementPlacement)for(const e of r.customStatementPlacement()){const t=o.positionResolvers.getIfExists(e.id);if(t){const r=t.resolve;t.resolve=(...t)=>{const n=e.resolve(...t);return e.overrideDefault?n:r(...t)||n}}else o.positionResolvers.register(Cr(Ar({},e),{id:e.id,name:e.id})),o.suggestionKinds.register({id:e.id,name:e.id,kind:[]})}if(r.customSuggestionKinds)for(const e of r.customSuggestionKinds()){if(null==(n=e.applyTo)||n.forEach((t=>{const r=o.suggestionKinds.getIfExists(t);r&&-1===r.kind.indexOf(e.id)&&r.kind.push(e.id)})),e.overrideDefault){const t=i.get(e.id);if(void 0!==t){t.suggestions=e.suggestionsResolver;continue}}i.register({id:e.id,name:e.id,suggestions:e.suggestionsResolver})}if(r.schemas){const e=i.get(ce.Schemas),t=e.suggestions;e.suggestions=async(e,n)=>{const o=await t(e,n);if(!r.schemas)return[...o];const i=(await r.schemas.resolve()).map((e=>{var t;return{label:e.name,insertText:`${null!=(t=e.completion)?t:e.name}.`,command:rr,kind:pe.Module,sortText:de.High}}));return[...o,...i]}}if(r.tables){const e=i.get(ce.Tables),t=e.suggestions;e.suggestions=async(e,n)=>{var o,i,a,l,s;const u=await t(e,n),c=er(e.currentToken),d=(null!=(i=null==(o=r.tables)?void 0:o.parseName)?i:tr)(c);return[...u,...(null!=(s=await(null==(l=null==(a=r.tables)?void 0:a.resolve)?void 0:l.call(a,d)))?s:[]).map((e=>{var t;return{label:e.name,insertText:`${null!=(t=e.completion)?t:e.name}${e.completion===e.name?" $0":""}`,insertTextRules:fe.InsertAsSnippet,command:rr,kind:pe.Field,sortText:de.MediumHigh}}))]}}if(r.columns){const e=i.get(ce.Columns),t=e.suggestions;e.suggestions=async(e,n)=>{var o,i,a;const l=await t(e,n),s=er(e.currentToken);let u;const c=null!=(i=null==(o=r.tables)?void 0:o.parseName)?i:tr;s&&s.value&&(u=c(s));let d=[];if(u){const e=await(null==(a=r.columns)?void 0:a.resolve(u));d=e?e.map((e=>{var t;return{label:e.name,insertText:null!=(t=e.completion)?t:e.name,kind:pe.Field,sortText:de.High,detail:e.type,documentation:e.description}})):[]}return[...l,...d]}}}(t.id,r,i);const a=Ir.get(t.id),l=Lr.get(r),s=async(t,n,o,i)=>{const s=function(e,t,r,n="sql"){var o;let i=null,a=null;const l=e.editor.tokenize(null!=(o=t.getValue())?o:"",n);for(let o=0;o<l.length;o++){const s=l[o];if(!s.length&&a){const e={offset:0,type:se.Whitespace,language:n,_tokenBrand:void 0};s.push(e)}for(let n=0;n<s.length;n++){const l=s[n];let u=s.length>n+1?s[n+1].offset+1:t.getLineLength(o+1)+1;const c={startLineNumber:o+1,startColumn:0===l.offset?0:l.offset+1,endLineNumber:o+1,endColumn:u},d=t.getValueInRange(c),p=new Xt(l.type,d,c,a,null);e.Range.containsPosition(c,r)&&(i=p),a&&(a.next=p),a=p}}return i}(e,t,n,r),u=function(e,t){var r;const n=null==e?void 0:e.getPreviousNonWhiteSpaceToken(),o=null==e?void 0:e.getPreviousKeyword(),i=null==(r=null==e?void 0:e.getPreviousNonWhiteSpaceToken())?void 0:r.is(se.Operator,"/"),a=t.list(),l=[];for(const t of a)t.resolve(e,null!=o?o:null,null!=n?n:null,Boolean(i))&&l.push(t.id);return 0===l.length?[ue.Unknown]:l}(s,a.positionResolvers),c=function(e,t){let r=[];for(let n=0;n<e.length;n++){const o=t.getIfExists(e[n]);o&&(r=r.concat(o.kind))}return r}(u,a.suggestionKinds);gr("Statement position",!1,u),gr("Suggestion kinds",!1,c);const d={position:n,currentToken:s,statementPosition:u,kind:c,range:e.Range.fromPositions(n)},p=await(async(e,t,r,n,o)=>{let i=[];const a=(null==t?void 0:t.isWhiteSpace())||(null==t?void 0:t.isParenthesis())||(null==t?void 0:t.isIdentifier())&&t.value.endsWith(".")||!(null==t?void 0:t.range)?e.Range.fromPositions(n.position):null==t?void 0:t.range;for(const t of[...new Set(r)]){const r=o.getIfExists(t);if(r){const t=await r.suggestions((l=Yt({},n),s={range:a},Gt(l,Kt(s))),e);i=[...i,...t.map((e=>Bt(e.label,a,Yt({kind:e.kind},e))))]}}var l,s;return Promise.resolve(i)})(e,s,c,d,l);return{suggestions:p}};e.languages.registerCompletionItemProvider(r,Cr(Ar({},i),{provideCompletionItems:s}))}};function xr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function kr({children:e,onChange:t,query:r,width:n,height:o,editorLanguageDefinition:i}){const a=(0,w.useRef)(r);(0,w.useEffect)((()=>{a.current=r}),[r]);const l=(0,w.useCallback)(((e,r)=>{const n=(o=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){xr(e,t,r[t])}))}return e}({},a.current),i=null!=(i={rawQuery:!0,rawSql:e})?i:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(i)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(i)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(i,e))})),o);var o,i;t(n,r)}),[t]);return R().createElement(Nr,{width:n,height:o,query:r.rawSql,onChange:l,language:i},e)}var Fr=p(990);function jr(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function Dr(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){jr(i,n,o,a,l,"next",e)}function l(e){jr(i,n,o,a,l,"throw",e)}a(void 0)}))}}function Mr({db:e,query:t,onValidate:r,range:n}){var o;const[i,a]=(0,w.useState)(),l=(0,A.useTheme2)(),s=(0,w.useMemo)((()=>(0,T.getValueFormat)("bytes")),[]),u=(0,w.useMemo)((()=>({error:(0,_.css)({color:l.colors.error.text,fontSize:l.typography.bodySmall.fontSize,fontFamily:l.typography.fontFamilyMonospace}),valid:(0,_.css)({color:l.colors.success.text}),info:(0,_.css)({color:l.colors.text.secondary})})),[l]),[c,d]=be((p=Dr((function*(t){var r;return""===(null===(r=t.rawSql)||void 0===r?void 0:r.trim())?null:yield e.validateQuery(t,n)})),function(e){return p.apply(this,arguments)}),[e]);var p;const[]=(0,Fr.A)(Dr((function*(){const e=yield d(t);return e&&a(e),null})),1e3,[t,d]);if((0,w.useEffect)((()=>{(null==i?void 0:i.isError)&&r(!1),(null==i?void 0:i.isValid)&&r(!0)}),[i,r]),!c.value&&!c.loading)return null;const f=(null===(o=c.value)||void 0===o?void 0:o.error)?function(e){const t=e.split(":");return t.length>2?t.slice(2).join(":"):e}(c.value.error):"";return R().createElement(R().Fragment,null,c.loading&&R().createElement("div",{className:u.info},R().createElement(A.Spinner,{inline:!0,size:"xs"})," Validating query..."),!c.loading&&c.value&&R().createElement(R().Fragment,null,R().createElement(R().Fragment,null,c.value.isValid&&c.value.statistics&&R().createElement("div",{className:u.valid},R().createElement(A.Icon,{name:"check"})," This query will process"," ",R().createElement("strong",null,(0,T.formattedValueToString)(s(c.value.statistics.TotalBytesProcessed)))," ","when run.")),R().createElement(R().Fragment,null,c.value.isError&&R().createElement("div",{className:u.error},f))))}function Vr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Ur(e){var{showTools:t,onFormatCode:r,onExpand:n,isExpanded:o}=e,i=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["showTools","onFormatCode","onExpand","isExpanded"]);const a=(0,A.useTheme2)(),[l,s]=(0,w.useState)(),u=(0,w.useMemo)((()=>({container:(0,_.css)({border:`1px solid ${a.colors.border.medium}`,borderTop:"none",padding:a.spacing(.5,.5,.5,.5),display:"flex",flexGrow:1,justifyContent:"space-between",fontSize:a.typography.bodySmall.fontSize}),error:(0,_.css)({color:a.colors.error.text,fontSize:a.typography.bodySmall.fontSize,fontFamily:a.typography.fontFamilyMonospace}),valid:(0,_.css)({color:a.colors.success.text}),info:(0,_.css)({color:a.colors.text.secondary}),hint:(0,_.css)({color:a.colors.text.disabled,whiteSpace:"nowrap",cursor:"help"})})),[a]);let c={};return t||void 0!==l||(c={height:0,padding:0,visibility:"hidden"}),R().createElement("div",{className:u.container,style:c},R().createElement("div",null,i.onValidate&&R().createElement(Mr,(d=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Vr(e,t,r[t])}))}return e}({},i),p=null!=(p={onValidate:e=>{s(e),i.onValidate(e)}})?p:{},Object.getOwnPropertyDescriptors?Object.defineProperties(d,Object.getOwnPropertyDescriptors(p)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(p)).forEach((function(e){Object.defineProperty(d,e,Object.getOwnPropertyDescriptor(p,e))})),d))),t&&R().createElement("div",null,R().createElement(A.HorizontalGroup,{spacing:"sm"},r&&R().createElement(A.IconButton,{onClick:()=>{var e;(0,ge.reportInteraction)("grafana_sql_query_formatted",{datasource:null===(e=i.query.datasource)||void 0===e?void 0:e.type}),r()},name:"brackets-curly",size:"xs",tooltip:"Format query"}),n&&R().createElement(A.IconButton,{onClick:()=>{var e;(0,ge.reportInteraction)("grafana_sql_editor_expand",{datasource:null===(e=i.query.datasource)||void 0===e?void 0:e.type,expanded:!o}),n(!o)},name:o?"angle-up":"angle-down",size:"xs",tooltip:o?"Collapse editor":"Expand editor"}),R().createElement(A.Tooltip,{content:"Hit CTRL/CMD+Return to run query"},R().createElement(A.Icon,{className:u.hint,name:"keyboard"})))));var d,p}function Br({db:e,query:t,onChange:r,onRunQuery:n,onValidate:o,queryToValidate:i,range:a}){const l=(0,A.useTheme2)(),s=(0,A.useStyles2)(qr),[u,c]=(0,w.useState)(!1),[d,p]=At(),[f,h]=At(),g=(0,w.useMemo)((()=>e.getEditorLanguageDefinition()),[e]),v=(n,l)=>R().createElement(kr,{editorLanguageDefinition:g,query:t,width:n,height:l?l-p.height:void 0,onChange:r},(({formatQuery:t})=>R().createElement("div",{ref:d},R().createElement(Ur,{db:e,query:i,onValidate:o,onFormatCode:t,showTools:!0,range:a,onExpand:c,isExpanded:u})))),m=(e=!1)=>e?R().createElement(Ft,null,(({width:e,height:t})=>v(e,t))):R().createElement("div",{ref:f},v());return R().createElement(R().Fragment,null,u?R().createElement("div",{style:{width:h.width,height:h.height,background:l.colors.background.primary,display:"flex",alignItems:"center",justifyContent:"center"}},"Editing in expanded code editor"):m(),u&&R().createElement(A.Modal,{title:`Query ${t.refId}`,closeOnBackdropClick:!1,closeOnEscape:!1,className:s.modal,contentClassName:s.modalContent,isOpen:u,onDismiss:()=>{var e;(0,ge.reportInteraction)("grafana_sql_editor_expand",{datasource:null===(e=t.datasource)||void 0===e?void 0:e.type,expanded:!1}),c(!1)}},m(!0)))}function qr(e){return{modal:(0,_.css)({width:"95vw",height:"95vh"}),modalContent:(0,_.css)({height:"100%",paddingTop:0})}}const Gr=({children:e})=>R().createElement(Xe,{gap:.5,direction:"column"},e);var Kr=p(7409);function Wr(e){return Kr.Ay.format(e).replace(/(\$ \{ .* \})|(\$ __)|(\$ \w+)/g,(e=>e.replace(/\s/g,"")))}function zr({rawSql:e,datasourceType:t}){const[r,n]=Ce(),o=(0,A.useStyles2)($r),i=R().createElement("div",{className:o.labelWrapper},R().createElement("span",{className:o.label},"Preview"),R().createElement(A.IconButton,{tooltip:"Copy to clipboard",onClick:()=>(e=>{n(e),(0,ge.reportInteraction)("grafana_sql_preview_copied",{datasource:t})})(e),name:"copy"}));return R().createElement(A.Field,{label:i,className:o.grow},R().createElement(A.CodeEditor,{language:"sql",height:80,value:Wr(e),monacoOptions:{scrollbar:{vertical:"hidden"},scrollBeyondLastLine:!1},readOnly:!0,showMiniMap:!1}))}function $r(e){return{grow:(0,_.css)({flexGrow:1}),label:(0,_.css)({fontSize:12,fontWeight:e.typography.fontWeightMedium}),labelWrapper:(0,_.css)({display:"flex",justifyContent:"space-between",paddingBottom:e.spacing(.5)})}}function Hr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Yr({query:e,onQueryChange:t,db:r}){const n=(0,w.useCallback)((n=>{const o=(0,r.toRawSql)({sql:n,dataset:e.dataset,table:e.table,refId:e.refId}),i=(a=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Hr(e,t,r[t])}))}return e}({},e),l=null!=(l={sql:n,rawSql:o})?l:{},Object.getOwnPropertyDescriptors?Object.defineProperties(a,Object.getOwnPropertyDescriptors(l)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(l)).forEach((function(e){Object.defineProperty(a,e,Object.getOwnPropertyDescriptor(l,e))})),a);var a,l;t(i)}),[r,t,e]);return{onSqlChange:n}}const Qr=R().forwardRef((function({items:e,renderItem:t,onChange:r},n){return R().createElement(Xe,null,e.map(((n,o)=>R().createElement("div",{key:o},t(n,(t=>((t,n)=>{const o=[...e];o[t]=n,r(o)})(o,t)),(()=>(t=>{const n=[...e];n.splice(t,1),r(n)})(o)))))),R().createElement(A.Button,{ref:n,onClick:()=>{const t=[...e,{}];r(t)},variant:"secondary",size:"md",icon:"plus","aria-label":"Add",type:"button"}))})),Xr=({children:e})=>{const t=(0,A.useStyles2)(Zr),r=w.Children.map(e,(e=>(0,w.isValidElement)(e)&&e.props.invalid?(0,w.cloneElement)(e,{className:(0,_.cx)(e.props.className,t.invalidChild)}):e));return R().createElement("div",{className:t.root},r)},Jr=["","base","hovered","invalid","focused"],Zr=()=>({root:(0,_.css)({display:"flex","> *":{"&:not(:first-child)":{marginLeft:-1},"&:first-child":{borderTopRightRadius:0,borderBottomRightRadius:0},"&:last-child":{borderTopLeftRadius:0,borderBottomLeftRadius:0},"&:not(:first-child):not(:last-child)":{borderRadius:0},position:"relative",zIndex:Jr.indexOf("base"),"&:hover":{zIndex:Jr.indexOf("hovered")},"&:focus-within":{zIndex:Jr.indexOf("focused")}}}),invalidChild:(0,_.css)({zIndex:Jr.indexOf("invalid")})});var en=Object.defineProperty,tn=Object.defineProperties,rn=Object.getOwnPropertyDescriptors,nn=Object.getOwnPropertySymbols,on=Object.prototype.hasOwnProperty,an=Object.prototype.propertyIsEnumerable,ln=(e,t,r)=>t in e?en(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const sn=e=>{var t=e,{className:r}=t,n=((e,t)=>{var r={};for(var n in e)on.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&nn)for(var n of nn(e))t.indexOf(n)<0&&an.call(e,n)&&(r[n]=e[n]);return r})(t,["className"]);const o=(0,A.useStyles2)(un);return R().createElement(A.Button,(i=((e,t)=>{for(var r in t||(t={}))on.call(t,r)&&ln(e,r,t[r]);if(nn)for(var r of nn(t))an.call(t,r)&&ln(e,r,t[r]);return e})({},n),a={className:(0,_.cx)(r,o.button)},tn(i,rn(a))));var i,a},un=e=>({button:(0,_.css)({paddingLeft:e.spacing(1.5),paddingRight:e.spacing(1.5)})});function cn(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function dn({sql:e,columns:t,onSqlChange:r}){const n=(0,w.useCallback)((t=>{const n=t.map((e=>{var t;return Se(null===(t=e.property)||void 0===t?void 0:t.name)})),o=(i=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){cn(e,t,r[t])}))}return e}({},e),a=null!=(a={groupBy:n})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(i,Object.getOwnPropertyDescriptors(a)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(a)).forEach((function(e){Object.defineProperty(i,e,Object.getOwnPropertyDescriptor(a,e))})),i);var i,a;r(o)}),[r,e]);return R().createElement(Qr,{items:e.groupBy,onChange:n,renderItem:pn({options:t})})}function pn({options:e}){return function(t,r,n){var o;return R().createElement(Xr,null,R().createElement(A.Select,{value:(null===(o=t.property)||void 0===o?void 0:o.name)?(0,T.toOption)(t.property.name):null,"aria-label":"Group by",options:e,menuShouldPortal:!0,onChange:({value:e})=>e&&r(Se(e))}),R().createElement(sn,{title:"Remove group by column",icon:"times",variant:"secondary",onClick:n}))}}function fn({fields:e,query:t,onQueryChange:r,db:n}){const{onSqlChange:o}=Yr({query:t,onQueryChange:r,db:n});return R().createElement(dn,{columns:e,sql:t.sql,onSqlChange:o})}function hn(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function gn(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){hn(e,t,r[t])}))}return e}function vn(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const mn=[{description:"Sort by ascending",value:"ASC",icon:"sort-amount-up"},{description:"Sort by descending",value:"DESC",icon:"sort-amount-down"}];function yn({sql:e,onSqlChange:t,columns:r,showOffset:n}){var o,i;const a=(0,w.useCallback)((r=>{const n=vn(gn({},e),{orderByDirection:r});t(n)}),[t,e]),l=(0,w.useCallback)((r=>{const n=vn(gn({},e),{limit:Number.parseInt(r.currentTarget.value,10)});t(n)}),[t,e]),s=(0,w.useCallback)((r=>{const n=vn(gn({},e),{offset:Number.parseInt(r.currentTarget.value,10)});t(n)}),[t,e]),u=(0,w.useCallback)((r=>{const n=vn(gn({},e),{orderBy:(o=null==r?void 0:r.value,{type:ie.Property,property:{type:oe.String,name:o}})});var o;null===r&&(n.orderByDirection=void 0),t(n)}),[t,e]);return R().createElement(R().Fragment,null,R().createElement(st,{label:"Order by",width:25},R().createElement(Xr,null,R().createElement(A.Select,{"aria-label":"Order by",options:r,value:(null===(o=e.orderBy)||void 0===o?void 0:o.property.name)?(0,T.toOption)(e.orderBy.property.name):null,isClearable:!0,menuShouldPortal:!0,onChange:u}),R().createElement(A.Space,{h:1.5}),R().createElement(A.RadioButtonGroup,{options:mn,disabled:!(null==e||null===(i=e.orderBy)||void 0===i?void 0:i.property.name),value:e.orderByDirection,onChange:a}))),R().createElement(st,{label:"Limit",optional:!0,width:25},R().createElement(A.Input,{type:"number",min:0,id:(0,ve.uniqueId)("limit-"),value:e.limit||"",onChange:l})),n&&R().createElement(st,{label:"Offset",optional:!0,width:25},R().createElement(A.Input,{type:"number",id:(0,ve.uniqueId)("offset-"),value:e.offset||"",onChange:s})))}function bn({fields:e,query:t,onQueryChange:r,db:n}){const{onSqlChange:o}=Yr({query:t,onQueryChange:r,db:n});let i=[];if(e){var a,l;const r=null===(l=t.sql)||void 0===l||null===(a=l.columns)||void 0===a?void 0:a.map(((e,t)=>{var r,n;const o=e.name?`${e.name}(${null===(r=e.parameters)||void 0===r?void 0:r.map((e=>e.name))})`:null===(n=e.parameters)||void 0===n?void 0:n.map((e=>e.name));return{value:o,label:`${t+1} - ${o}`}}));i=[{value:"",label:"Selected columns",options:r,expanded:!0},...e]}return R().createElement(yn,{sql:t.sql,onSqlChange:o,columns:i})}const En=["AVG","COUNT","MAX","MIN","SUM"],On=["$__time","$__timeEpoch","$__timeFilter","$__timeFrom","$__timeTo","$__timeGroup","$__timeGroupAlias","$__unixEpochFilter","$__unixEpochNanoFilter","$__unixEpochNanoFrom","$__unixEpochNanoTo","$__unixEpochGroup","$__unixEpochGroupAlias"];function Sn(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Tn(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Sn(e,t,r[t])}))}return e}function _n(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const wn={label:"*",value:"*"};function Rn({sql:e,format:t,columns:r,onSqlChange:n,functions:o}){var i;const a=(0,A.useStyles2)(An),l=[wn,...r||[]],s=[];t===S.Timeseries&&(s.push({label:"time",value:"time"}),s.push({label:"value",value:"value"}));const u=(0,w.useCallback)(((t,r)=>o=>{var i,a;let l=Tn({},t);(null===(i=t.parameters)||void 0===i?void 0:i.length)?l.parameters=t.parameters.map((e=>e.type===ie.FunctionParameter?_n(Tn({},e),{name:o.value}):e)):l.parameters=[{type:ie.FunctionParameter,name:o.value}];const s=_n(Tn({},e),{columns:null===(a=e.columns)||void 0===a?void 0:a.map(((e,t)=>t===r?l:e))});n(s)}),[n,e]),c=(0,w.useCallback)(((t,r)=>o=>{var i;const a=_n(Tn({},t),{name:null==o?void 0:o.value}),l=_n(Tn({},e),{columns:null===(i=e.columns)||void 0===i?void 0:i.map(((e,t)=>t===r?a:e))});n(l)}),[n,e]),d=(0,w.useCallback)(((t,r)=>o=>{var i;let a=Tn({},t);var l;null!==o?a=_n(Tn({},t),{alias:`"${null==o||null===(l=o.value)||void 0===l?void 0:l.trim()}"`}):delete a.alias;const s=_n(Tn({},e),{columns:null===(i=e.columns)||void 0===i?void 0:i.map(((e,t)=>t===r?a:e))});n(s)}),[n,e]),p=(0,w.useCallback)((t=>()=>{const r=[...e.columns];r.splice(t,1);const o=_n(Tn({},e),{columns:r});n(o)}),[n,e]),f=(0,w.useCallback)((()=>{const t=_n(Tn({},e),{columns:[...e.columns,Te()]});n(t)}),[n,e]);return R().createElement(Xe,{gap:2,wrap:!0,direction:"column"},null===(i=e.columns)||void 0===i?void 0:i.map(((e,t)=>R().createElement("div",{key:t},R().createElement(Xe,{gap:2,alignItems:"end"},R().createElement(st,{label:"Column",width:25},R().createElement(A.Select,{value:Cn(e),"data-testid":Le.components.SQLQueryEditor.selectColumn,options:l,inputId:`select-column-${t}-${(0,ve.uniqueId)()}`,menuShouldPortal:!0,allowCustomValue:!0,onChange:u(e,t)})),R().createElement(st,{label:"Aggregation",optional:!0,width:25},R().createElement(A.Select,{value:e.name?(0,T.toOption)(e.name):null,inputId:`select-aggregation-${t}-${(0,ve.uniqueId)()}`,"data-testid":Le.components.SQLQueryEditor.selectAggregation,isClearable:!0,menuShouldPortal:!0,allowCustomValue:!0,options:o,onChange:c(e,t)})),R().createElement(st,{label:"Alias",optional:!0,width:15},R().createElement(A.Select,{value:e.alias?(0,T.toOption)(e.alias):null,inputId:`select-alias-${t}-${(0,ve.uniqueId)()}`,"data-testid":Le.components.SQLQueryEditor.selectAlias,options:s,onChange:d(e,t),isClearable:!0,menuShouldPortal:!0,allowCustomValue:!0})),R().createElement(A.Button,{title:"Remove column",type:"button",icon:"trash-alt",variant:"secondary",size:"md",onClick:p(t)}))))),R().createElement(A.Button,{type:"button",onClick:f,variant:"secondary",title:"Add column",size:"md",icon:"plus",className:a.addButton}))}const An=()=>({addButton:(0,_.css)({alignSelf:"flex-start"})});function Cn({parameters:e}){const t=null==e?void 0:e.find((e=>e.type===ie.FunctionParameter));return(null==t?void 0:t.name)?(0,T.toOption)(t.name):null}function In({fields:e,query:t,onQueryChange:r,db:n}){var o;const{onSqlChange:i}=Yr({query:t,onQueryChange:r,db:n}),a=[...En,...(null===(o=n.functions)||void 0===o?void 0:o.call(n))||[]].map(T.toOption);return R().createElement(Rn,{columns:e,sql:t.sql,format:t.format,functions:a,onSqlChange:i})}var Ln=p(1777);function Nn(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function Pn(e){return Pn="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},Pn(e)}function xn(e){var t=function(e,t){if("object"!=Pn(e)||!e)return e;var r=e[Symbol.toPrimitive];if(void 0!==r){var n=r.call(e,"string");if("object"!=Pn(n))return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==Pn(t)?t:t+""}function kn(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,xn(n.key),n)}}function Fn(e,t,r){return t&&kn(e.prototype,t),r&&kn(e,r),Object.defineProperty(e,"prototype",{writable:!1}),e}function jn(e,t){if(t&&("object"==Pn(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return function(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}(e)}function Dn(e){return Dn=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},Dn(e)}function Mn(e,t){return Mn=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},Mn(e,t)}function Vn(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&Mn(e,t)}function Un(e,t,r){return(t=xn(t))in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Bn(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=Array(t);r<t;r++)n[r]=e[r];return n}function qn(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}function Gn(e,t){if(e){if("string"==typeof e)return Bn(e,t);var r={}.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Bn(e,t):void 0}}function Kn(e){return function(e){if(Array.isArray(e))return Bn(e)}(e)||qn(e)||Gn(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function Wn(e){if(Array.isArray(e))return e}function zn(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function $n(e,t){return Wn(e)||function(e,t){var r=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=r){var n,o,i,a,l=[],s=!0,u=!1;try{if(i=(r=r.call(e)).next,0===t){if(Object(r)!==r)return;s=!1}else for(;!(s=(n=i.call(r)).done)&&(l.push(n.value),l.length!==t);s=!0);}catch(e){u=!0,o=e}finally{try{if(!s&&null!=r.return&&(a=r.return(),Object(a)!==a))return}finally{if(u)throw o}}return l}}(e,t)||Gn(e,t)||zn()}var Hn="delete",Yn=5,Qn=1<<Yn,Xn=Qn-1,Jn={};function Zn(e){e&&(e.value=!0)}function eo(){}function to(e){return void 0===e.size&&(e.size=e.__iterate(no)),e.size}function ro(e,t){if("number"!=typeof t){var r=t>>>0;if(""+r!==t||4294967295===r)return NaN;t=r}return t<0?to(e)+t:t}function no(){return!0}function oo(e,t,r){return(0===e&&!so(e)||void 0!==r&&e<=-r)&&(void 0===t||void 0!==r&&t>=r)}function io(e,t){return lo(e,t,0)}function ao(e,t){return lo(e,t,t)}function lo(e,t,r){return void 0===e?r:so(e)?t===1/0?t:0|Math.max(0,t+e):void 0===t||t===e?e:0|Math.min(t,e)}function so(e){return e<0||0===e&&1/e==-1/0}var uo="@@__IMMUTABLE_ITERABLE__@@";function co(e){return Boolean(e&&e[uo])}var po="@@__IMMUTABLE_KEYED__@@";function fo(e){return Boolean(e&&e[po])}var ho="@@__IMMUTABLE_INDEXED__@@";function go(e){return Boolean(e&&e[ho])}function vo(e){return fo(e)||go(e)}var mo=function(e){return co(e)?e:Go(e)},yo=function(e){function t(e){return fo(e)?e:Ko(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t}(mo),bo=function(e){function t(e){return go(e)?e:Wo(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t}(mo),Eo=function(e){function t(e){return co(e)&&!vo(e)?e:zo(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t}(mo);mo.Keyed=yo,mo.Indexed=bo,mo.Set=Eo;var Oo="@@__IMMUTABLE_SEQ__@@";function So(e){return Boolean(e&&e[Oo])}var To="@@__IMMUTABLE_RECORD__@@";function _o(e){return Boolean(e&&e[To])}function wo(e){return co(e)||_o(e)}var Ro="@@__IMMUTABLE_ORDERED__@@";function Ao(e){return Boolean(e&&e[Ro])}var Co=0,Io=1,Lo=2,No="function"==typeof Symbol&&Symbol.iterator,Po="@@iterator",xo=No||Po,ko=function(e){this.next=e};function Fo(e,t,r,n){var o=0===e?t:1===e?r:[t,r];return n?n.value=o:n={value:o,done:!1},n}function jo(){return{value:void 0,done:!0}}function Do(e){return!!Array.isArray(e)||!!Uo(e)}function Mo(e){return e&&"function"==typeof e.next}function Vo(e){var t=Uo(e);return t&&t.call(e)}function Uo(e){var t=e&&(No&&e[No]||e[Po]);if("function"==typeof t)return t}ko.prototype.toString=function(){return"[Iterator]"},ko.KEYS=Co,ko.VALUES=Io,ko.ENTRIES=Lo,ko.prototype.inspect=ko.prototype.toSource=function(){return this.toString()},ko.prototype[xo]=function(){return this};var Bo=Object.prototype.hasOwnProperty;function qo(e){return!(!Array.isArray(e)&&"string"!=typeof e)||e&&"object"==typeof e&&Number.isInteger(e.length)&&e.length>=0&&(0===e.length?1===Object.keys(e).length:e.hasOwnProperty(e.length-1))}var Go=function(e){function t(e){return null==e?Xo():wo(e)?e.toSeq():function(e){var t,r,n=ei(e);if(n)return(r=Uo(t=e))&&r===t.entries?n.fromEntrySeq():function(e){var t=Uo(e);return t&&t===e.keys}(e)?n.toSetSeq():n;if("object"==typeof e)return new Ho(e);throw new TypeError("Expected Array or collection object of values, or keyed object: "+e)}(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.toSeq=function(){return this},t.prototype.toString=function(){return this.__toString("Seq {","}")},t.prototype.cacheResult=function(){return!this._cache&&this.__iterateUncached&&(this._cache=this.entrySeq().toArray(),this.size=this._cache.length),this},t.prototype.__iterate=function(e,t){var r=this._cache;if(r){for(var n=r.length,o=0;o!==n;){var i=r[t?n-++o:o++];if(!1===e(i[1],i[0],this))break}return o}return this.__iterateUncached(e,t)},t.prototype.__iterator=function(e,t){var r=this._cache;if(r){var n=r.length,o=0;return new ko((function(){if(o===n)return{value:void 0,done:!0};var i=r[t?n-++o:o++];return Fo(e,i[0],i[1])}))}return this.__iteratorUncached(e,t)},t}(mo),Ko=function(e){function t(e){return null==e?Xo().toKeyedSeq():co(e)?fo(e)?e.toSeq():e.fromEntrySeq():_o(e)?e.toSeq():Jo(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.toKeyedSeq=function(){return this},t}(Go),Wo=function(e){function t(e){return null==e?Xo():co(e)?fo(e)?e.entrySeq():e.toIndexedSeq():_o(e)?e.toSeq().entrySeq():Zo(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return t(arguments)},t.prototype.toIndexedSeq=function(){return this},t.prototype.toString=function(){return this.__toString("Seq [","]")},t}(Go),zo=function(e){function t(e){return(co(e)&&!vo(e)?e:Wo(e)).toSetSeq()}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return t(arguments)},t.prototype.toSetSeq=function(){return this},t}(Go);Go.isSeq=So,Go.Keyed=Ko,Go.Set=zo,Go.Indexed=Wo,Go.prototype[Oo]=!0;var $o=function(e){function t(e){this._array=e,this.size=e.length}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.get=function(e,t){return this.has(e)?this._array[ro(this,e)]:t},t.prototype.__iterate=function(e,t){for(var r=this._array,n=r.length,o=0;o!==n;){var i=t?n-++o:o++;if(!1===e(r[i],i,this))break}return o},t.prototype.__iterator=function(e,t){var r=this._array,n=r.length,o=0;return new ko((function(){if(o===n)return{value:void 0,done:!0};var i=t?n-++o:o++;return Fo(e,i,r[i])}))},t}(Wo),Ho=function(e){function t(e){var t=Object.keys(e).concat(Object.getOwnPropertySymbols?Object.getOwnPropertySymbols(e):[]);this._object=e,this._keys=t,this.size=t.length}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.get=function(e,t){return void 0===t||this.has(e)?this._object[e]:t},t.prototype.has=function(e){return Bo.call(this._object,e)},t.prototype.__iterate=function(e,t){for(var r=this._object,n=this._keys,o=n.length,i=0;i!==o;){var a=n[t?o-++i:i++];if(!1===e(r[a],a,this))break}return i},t.prototype.__iterator=function(e,t){var r=this._object,n=this._keys,o=n.length,i=0;return new ko((function(){if(i===o)return{value:void 0,done:!0};var a=n[t?o-++i:i++];return Fo(e,a,r[a])}))},t}(Ko);Ho.prototype[Ro]=!0;var Yo,Qo=function(e){function t(e){this._collection=e,this.size=e.length||e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.__iterateUncached=function(e,t){if(t)return this.cacheResult().__iterate(e,t);var r=Vo(this._collection),n=0;if(Mo(r))for(var o;!(o=r.next()).done&&!1!==e(o.value,n++,this););return n},t.prototype.__iteratorUncached=function(e,t){if(t)return this.cacheResult().__iterator(e,t);var r=Vo(this._collection);if(!Mo(r))return new ko(jo);var n=0;return new ko((function(){var t=r.next();return t.done?t:Fo(e,n++,t.value)}))},t}(Wo);function Xo(){return Yo||(Yo=new $o([]))}function Jo(e){var t=ei(e);if(t)return t.fromEntrySeq();if("object"==typeof e)return new Ho(e);throw new TypeError("Expected Array or collection object of [k, v] entries, or keyed object: "+e)}function Zo(e){var t=ei(e);if(t)return t;throw new TypeError("Expected Array or collection object of values: "+e)}function ei(e){return qo(e)?new $o(e):Do(e)?new Qo(e):void 0}var ti="@@__IMMUTABLE_MAP__@@";function ri(e){return Boolean(e&&e[ti])}function ni(e){return ri(e)&&Ao(e)}function oi(e){return Boolean(e&&"function"==typeof e.equals&&"function"==typeof e.hashCode)}function ii(e,t){if(e===t||e!=e&&t!=t)return!0;if(!e||!t)return!1;if("function"==typeof e.valueOf&&"function"==typeof t.valueOf){if((e=e.valueOf())===(t=t.valueOf())||e!=e&&t!=t)return!0;if(!e||!t)return!1}return!!(oi(e)&&oi(t)&&e.equals(t))}var ai="function"==typeof Math.imul&&-2===Math.imul(4294967295,2)?Math.imul:function(e,t){var r=65535&(e|=0),n=65535&(t|=0);return r*n+((e>>>16)*n+r*(t>>>16)<<16>>>0)|0};function li(e){return e>>>1&1073741824|3221225471&e}var si=Object.prototype.valueOf;function ui(e){if(null==e)return ci(e);if("function"==typeof e.hashCode)return li(e.hashCode(e));var t,r,n,o=(t=e).valueOf!==si&&"function"==typeof t.valueOf?t.valueOf(t):t;if(null==o)return ci(o);switch(typeof o){case"boolean":return o?1108378657:1108378656;case"number":return function(e){if(e!=e||e===1/0)return 0;var t=0|e;for(t!==e&&(t^=4294967295*e);e>4294967295;)t^=e/=4294967295;return li(t)}(o);case"string":return o.length>Ei?(void 0===(n=Ti[r=o])&&(n=di(r),Si===Oi&&(Si=0,Ti={}),Si++,Ti[r]=n),n):di(o);case"object":case"function":return function(e){var t;if(vi&&void 0!==(t=gi.get(e)))return t;if(void 0!==(t=e[bi]))return t;if(!fi){if(void 0!==(t=e.propertyIsEnumerable&&e.propertyIsEnumerable[bi]))return t;if(void 0!==(t=function(e){if(e&&e.nodeType>0)switch(e.nodeType){case 1:return e.uniqueID;case 9:return e.documentElement&&e.documentElement.uniqueID}}(e)))return t}if(t=hi(),vi)gi.set(e,t);else{if(void 0!==pi&&!1===pi(e))throw new Error("Non-extensible objects are not allowed as keys.");if(fi)Object.defineProperty(e,bi,{enumerable:!1,configurable:!1,writable:!1,value:t});else if(void 0!==e.propertyIsEnumerable&&e.propertyIsEnumerable===e.constructor.prototype.propertyIsEnumerable)e.propertyIsEnumerable=function(){return this.constructor.prototype.propertyIsEnumerable.apply(this,arguments)},e.propertyIsEnumerable[bi]=t;else{if(void 0===e.nodeType)throw new Error("Unable to set a non-enumerable property on object.");e[bi]=t}}return t}(o);case"symbol":return function(e){var t=mi[e];return void 0!==t||(t=hi(),mi[e]=t),t}(o);default:if("function"==typeof o.toString)return di(o.toString());throw new Error("Value type "+typeof o+" cannot be hashed.")}}function ci(e){return null===e?1108378658:1108378659}function di(e){for(var t=0,r=0;r<e.length;r++)t=31*t+e.charCodeAt(r)|0;return li(t)}var pi=Object.isExtensible,fi=function(){try{return Object.defineProperty({},"@",{}),!0}catch(e){return!1}}();function hi(){var e=++yi;return 1073741824&yi&&(yi=0),e}var gi,vi="function"==typeof WeakMap;vi&&(gi=new WeakMap);var mi=Object.create(null),yi=0,bi="__immutablehash__";"function"==typeof Symbol&&(bi=Symbol(bi));var Ei=16,Oi=255,Si=0,Ti={},_i=function(e){function t(e,t){this._iter=e,this._useKeys=t,this.size=e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.get=function(e,t){return this._iter.get(e,t)},t.prototype.has=function(e){return this._iter.has(e)},t.prototype.valueSeq=function(){return this._iter.valueSeq()},t.prototype.reverse=function(){var e=this,t=Li(this,!0);return this._useKeys||(t.valueSeq=function(){return e._iter.toSeq().reverse()}),t},t.prototype.map=function(e,t){var r=this,n=Ii(this,e,t);return this._useKeys||(n.valueSeq=function(){return r._iter.toSeq().map(e,t)}),n},t.prototype.__iterate=function(e,t){var r=this;return this._iter.__iterate((function(t,n){return e(t,n,r)}),t)},t.prototype.__iterator=function(e,t){return this._iter.__iterator(e,t)},t}(Ko);_i.prototype[Ro]=!0;var wi=function(e){function t(e){this._iter=e,this.size=e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.includes=function(e){return this._iter.includes(e)},t.prototype.__iterate=function(e,t){var r=this,n=0;return t&&to(this),this._iter.__iterate((function(o){return e(o,t?r.size-++n:n++,r)}),t)},t.prototype.__iterator=function(e,t){var r=this,n=this._iter.__iterator(Io,t),o=0;return t&&to(this),new ko((function(){var i=n.next();return i.done?i:Fo(e,t?r.size-++o:o++,i.value,i)}))},t}(Wo),Ri=function(e){function t(e){this._iter=e,this.size=e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.has=function(e){return this._iter.includes(e)},t.prototype.__iterate=function(e,t){var r=this;return this._iter.__iterate((function(t){return e(t,t,r)}),t)},t.prototype.__iterator=function(e,t){var r=this._iter.__iterator(Io,t);return new ko((function(){var t=r.next();return t.done?t:Fo(e,t.value,t.value,t)}))},t}(zo),Ai=function(e){function t(e){this._iter=e,this.size=e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.entrySeq=function(){return this._iter.toSeq()},t.prototype.__iterate=function(e,t){var r=this;return this._iter.__iterate((function(t){if(t){Ui(t);var n=co(t);return e(n?t.get(1):t[1],n?t.get(0):t[0],r)}}),t)},t.prototype.__iterator=function(e,t){var r=this._iter.__iterator(Io,t);return new ko((function(){for(;;){var t=r.next();if(t.done)return t;var n=t.value;if(n){Ui(n);var o=co(n);return Fo(e,o?n.get(0):n[0],o?n.get(1):n[1],t)}}}))},t}(Ko);function Ci(e){var t=qi(e);return t._iter=e,t.size=e.size,t.flip=function(){return e},t.reverse=function(){var t=e.reverse.apply(this);return t.flip=function(){return e.reverse()},t},t.has=function(t){return e.includes(t)},t.includes=function(t){return e.has(t)},t.cacheResult=Gi,t.__iterateUncached=function(t,r){var n=this;return e.__iterate((function(e,r){return!1!==t(r,e,n)}),r)},t.__iteratorUncached=function(t,r){if(t===Lo){var n=e.__iterator(t,r);return new ko((function(){var e=n.next();if(!e.done){var t=e.value[0];e.value[0]=e.value[1],e.value[1]=t}return e}))}return e.__iterator(t===Io?Co:Io,r)},t}function Ii(e,t,r){var n=qi(e);return n.size=e.size,n.has=function(t){return e.has(t)},n.get=function(n,o){var i=e.get(n,Jn);return i===Jn?o:t.call(r,i,n,e)},n.__iterateUncached=function(n,o){var i=this;return e.__iterate((function(e,o,a){return!1!==n(t.call(r,e,o,a),o,i)}),o)},n.__iteratorUncached=function(n,o){var i=e.__iterator(Lo,o);return new ko((function(){var o=i.next();if(o.done)return o;var a=o.value,l=a[0];return Fo(n,l,t.call(r,a[1],l,e),o)}))},n}function Li(e,t){var r=this,n=qi(e);return n._iter=e,n.size=e.size,n.reverse=function(){return e},e.flip&&(n.flip=function(){var t=Ci(e);return t.reverse=function(){return e.flip()},t}),n.get=function(r,n){return e.get(t?r:-1-r,n)},n.has=function(r){return e.has(t?r:-1-r)},n.includes=function(t){return e.includes(t)},n.cacheResult=Gi,n.__iterate=function(r,n){var o=this,i=0;return n&&to(e),e.__iterate((function(e,a){return r(e,t?a:n?o.size-++i:i++,o)}),!n)},n.__iterator=function(n,o){var i=0;o&&to(e);var a=e.__iterator(Lo,!o);return new ko((function(){var e=a.next();if(e.done)return e;var l=e.value;return Fo(n,t?l[0]:o?r.size-++i:i++,l[1],e)}))},n}function Ni(e,t,r,n){var o=qi(e);return n&&(o.has=function(n){var o=e.get(n,Jn);return o!==Jn&&!!t.call(r,o,n,e)},o.get=function(n,o){var i=e.get(n,Jn);return i!==Jn&&t.call(r,i,n,e)?i:o}),o.__iterateUncached=function(o,i){var a=this,l=0;return e.__iterate((function(e,i,s){if(t.call(r,e,i,s))return l++,o(e,n?i:l-1,a)}),i),l},o.__iteratorUncached=function(o,i){var a=e.__iterator(Lo,i),l=0;return new ko((function(){for(;;){var i=a.next();if(i.done)return i;var s=i.value,u=s[0],c=s[1];if(t.call(r,c,u,e))return Fo(o,n?u:l++,c,i)}}))},o}function Pi(e,t,r,n){var o=e.size;if(oo(t,r,o))return e;var i=io(t,o),a=ao(r,o);if(i!=i||a!=a)return Pi(e.toSeq().cacheResult(),t,r,n);var l,s=a-i;s==s&&(l=s<0?0:s);var u=qi(e);return u.size=0===l?l:e.size&&l||void 0,!n&&So(e)&&l>=0&&(u.get=function(t,r){return(t=ro(this,t))>=0&&t<l?e.get(t+i,r):r}),u.__iterateUncached=function(t,r){var o=this;if(0===l)return 0;if(r)return this.cacheResult().__iterate(t,r);var a=0,s=!0,u=0;return e.__iterate((function(e,r){if(!s||!(s=a++<i))return u++,!1!==t(e,n?r:u-1,o)&&u!==l})),u},u.__iteratorUncached=function(t,r){if(0!==l&&r)return this.cacheResult().__iterator(t,r);if(0===l)return new ko(jo);var o=e.__iterator(t,r),a=0,s=0;return new ko((function(){for(;a++<i;)o.next();if(++s>l)return{value:void 0,done:!0};var e=o.next();return n||t===Io||e.done?e:Fo(t,s-1,t===Co?void 0:e.value[1],e)}))},u}function xi(e,t,r,n){var o=qi(e);return o.__iterateUncached=function(o,i){var a=this;if(i)return this.cacheResult().__iterate(o,i);var l=!0,s=0;return e.__iterate((function(e,i,u){if(!l||!(l=t.call(r,e,i,u)))return s++,o(e,n?i:s-1,a)})),s},o.__iteratorUncached=function(o,i){var a=this;if(i)return this.cacheResult().__iterator(o,i);var l=e.__iterator(Lo,i),s=!0,u=0;return new ko((function(){var e,i,c;do{if((e=l.next()).done)return n||o===Io?e:Fo(o,u++,o===Co?void 0:e.value[1],e);var d=e.value;i=d[0],c=d[1],s&&(s=t.call(r,c,i,a))}while(s);return o===Lo?e:Fo(o,i,c,e)}))},o}function ki(e,t,r){var n=qi(e);return n.__iterateUncached=function(o,i){if(i)return this.cacheResult().__iterate(o,i);var a=0,l=!1;return function e(s,u){s.__iterate((function(i,s){return(!t||u<t)&&co(i)?e(i,u+1):(a++,!1===o(i,r?s:a-1,n)&&(l=!0)),!l}),i)}(e,0),a},n.__iteratorUncached=function(n,o){if(o)return this.cacheResult().__iterator(n,o);var i=e.__iterator(n,o),a=[],l=0;return new ko((function(){for(;i;){var e=i.next();if(!1===e.done){var s=e.value;if(n===Lo&&(s=s[1]),t&&!(a.length<t)||!co(s))return r?e:Fo(n,l++,s,e);a.push(i),i=s.__iterator(n,o)}else i=a.pop()}return{value:void 0,done:!0}}))},n}function Fi(e,t,r){t||(t=Ki);var n=fo(e),o=0,i=e.toSeq().map((function(t,n){return[n,t,o++,r?r(t,n,e):t]})).valueSeq().toArray();return i.sort((function(e,r){return t(e[3],r[3])||e[2]-r[2]})).forEach(n?function(e,t){i[t].length=2}:function(e,t){i[t]=e[1]}),n?Ko(i):go(e)?Wo(i):zo(i)}function ji(e,t,r){if(t||(t=Ki),r){var n=e.toSeq().map((function(t,n){return[t,r(t,n,e)]})).reduce((function(e,r){return Di(t,e[1],r[1])?r:e}));return n&&n[0]}return e.reduce((function(e,r){return Di(t,e,r)?r:e}))}function Di(e,t,r){var n=e(r,t);return 0===n&&r!==t&&(null==r||r!=r)||n>0}function Mi(e,t,r,n){var o=qi(e),i=new $o(r).map((function(e){return e.size}));return o.size=n?i.max():i.min(),o.__iterate=function(e,t){for(var r,n=this.__iterator(Io,t),o=0;!(r=n.next()).done&&!1!==e(r.value,o++,this););return o},o.__iteratorUncached=function(e,o){var i=r.map((function(e){return e=mo(e),Vo(o?e.reverse():e)})),a=0,l=!1;return new ko((function(){var r;return l||(r=i.map((function(e){return e.next()})),l=n?r.every((function(e){return e.done})):r.some((function(e){return e.done}))),l?{value:void 0,done:!0}:Fo(e,a++,t.apply(null,r.map((function(e){return e.value}))))}))},o}function Vi(e,t){return e===t?e:So(e)?t:e.constructor(t)}function Ui(e){if(e!==Object(e))throw new TypeError("Expected [K, V] tuple: "+e)}function Bi(e){return fo(e)?yo:go(e)?bo:Eo}function qi(e){return Object.create((fo(e)?Ko:go(e)?Wo:zo).prototype)}function Gi(){return this._iter.cacheResult?(this._iter.cacheResult(),this.size=this._iter.size,this):Go.prototype.cacheResult.call(this)}function Ki(e,t){return void 0===e&&void 0===t?0:void 0===e?1:void 0===t?-1:e>t?1:e<t?-1:0}function Wi(e,t){t=t||0;for(var r=Math.max(0,e.length-t),n=new Array(r),o=0;o<r;o++)n[o]=e[o+t];return n}function zi(e,t){if(!e)throw new Error(t)}function $i(e){zi(e!==1/0,"Cannot perform this action with an infinite size.")}function Hi(e){if(qo(e)&&"string"!=typeof e)return e;if(Ao(e))return e.toArray();throw new TypeError("Invalid keyPath: expected Ordered Collection or Array: "+e)}wi.prototype.cacheResult=_i.prototype.cacheResult=Ri.prototype.cacheResult=Ai.prototype.cacheResult=Gi;var Yi=Object.prototype.toString;function Qi(e){if(!e||"object"!=typeof e||"[object Object]"!==Yi.call(e))return!1;var t=Object.getPrototypeOf(e);if(null===t)return!0;for(var r=t,n=Object.getPrototypeOf(t);null!==n;)r=n,n=Object.getPrototypeOf(r);return r===t}function Xi(e){return"object"==typeof e&&(wo(e)||Array.isArray(e)||Qi(e))}function Ji(e){try{return"string"==typeof e?JSON.stringify(e):String(e)}catch(t){return JSON.stringify(e)}}function Zi(e,t){return wo(e)?e.has(t):Xi(e)&&Bo.call(e,t)}function ea(e,t,r){return wo(e)?e.get(t,r):Zi(e,t)?"function"==typeof e.get?e.get(t):e[t]:r}function ta(e){if(Array.isArray(e))return Wi(e);var t={};for(var r in e)Bo.call(e,r)&&(t[r]=e[r]);return t}function ra(e,t){if(!Xi(e))throw new TypeError("Cannot update non-data-structure value: "+e);if(wo(e)){if(!e.remove)throw new TypeError("Cannot update immutable value without .remove() method: "+e);return e.remove(t)}if(!Bo.call(e,t))return e;var r=ta(e);return Array.isArray(r)?r.splice(t,1):delete r[t],r}function na(e,t,r){if(!Xi(e))throw new TypeError("Cannot update non-data-structure value: "+e);if(wo(e)){if(!e.set)throw new TypeError("Cannot update immutable value without .set() method: "+e);return e.set(t,r)}if(Bo.call(e,t)&&r===e[t])return e;var n=ta(e);return n[t]=r,n}function oa(e,t,r,n){n||(n=r,r=void 0);var o=ia(wo(e),e,Hi(t),0,r,n);return o===Jn?r:o}function ia(e,t,r,n,o,i){var a=t===Jn;if(n===r.length){var l=a?o:t,s=i(l);return s===l?t:s}if(!a&&!Xi(t))throw new TypeError("Cannot update within non-data-structure value in path ["+r.slice(0,n).map(Ji)+"]: "+t);var u=r[n],c=a?Jn:ea(t,u,Jn),d=ia(c===Jn?e:wo(c),c,r,n+1,o,i);return d===c?t:d===Jn?ra(t,u):na(a?e?Ma():{}:t,u,d)}function aa(e,t,r){return oa(e,t,Jn,(function(){return r}))}function la(e,t){return aa(this,e,t)}function sa(e,t){return oa(e,t,(function(){return Jn}))}function ua(e){return sa(this,e)}function ca(e,t,r,n){return oa(e,[t],r,n)}function da(e,t,r){return 1===arguments.length?e(this):ca(this,e,t,r)}function pa(e,t,r){return oa(this,e,t,r)}function fa(){for(var e=[],t=arguments.length;t--;)e[t]=arguments[t];return ga(this,e)}function ha(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];if("function"!=typeof e)throw new TypeError("Invalid merger function: "+e);return ga(this,t,e)}function ga(e,t,r){for(var n=[],o=0;o<t.length;o++){var i=yo(t[o]);0!==i.size&&n.push(i)}return 0===n.length?e:0!==e.toSeq().size||e.__ownerID||1!==n.length?e.withMutations((function(e){for(var t=r?function(t,n){ca(e,n,Jn,(function(e){return e===Jn?t:r(e,t,n)}))}:function(t,r){e.set(r,t)},o=0;o<n.length;o++)n[o].forEach(t)})):e.constructor(n[0])}function va(e,t,r){return ma(e,t,function(e){return function t(r,n,o){return Xi(r)&&Xi(n)&&(i=n,a=Go(r),l=Go(i),go(a)===go(l)&&fo(a)===fo(l))?ma(r,[n],t):e?e(r,n,o):n;var i,a,l}}(r))}function ma(e,t,r){if(!Xi(e))throw new TypeError("Cannot merge into non-data-structure value: "+e);if(wo(e))return"function"==typeof r&&e.mergeWith?e.mergeWith.apply(e,[r].concat(t)):e.merge?e.merge.apply(e,t):e.concat.apply(e,t);for(var n=Array.isArray(e),o=e,i=n?bo:yo,a=n?function(t){o===e&&(o=ta(o)),o.push(t)}:function(t,n){var i=Bo.call(o,n),a=i&&r?r(o[n],t,n):t;i&&a===o[n]||(o===e&&(o=ta(o)),o[n]=a)},l=0;l<t.length;l++)i(t[l]).forEach(a);return o}function ya(){for(var e=[],t=arguments.length;t--;)e[t]=arguments[t];return va(this,e)}function ba(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return va(this,t,e)}function Ea(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return oa(this,e,Ma(),(function(e){return ma(e,t)}))}function Oa(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return oa(this,e,Ma(),(function(e){return va(e,t)}))}function Sa(e){var t=this.asMutable();return e(t),t.wasAltered()?t.__ensureOwner(this.__ownerID):this}function Ta(){return this.__ownerID?this:this.__ensureOwner(new eo)}function _a(){return this.__ensureOwner()}function wa(){return this.__altered}var Ra=function(e){function t(t){return null==t?Ma():ri(t)&&!Ao(t)?t:Ma().withMutations((function(r){var n=e(t);$i(n.size),n.forEach((function(e,t){return r.set(t,e)}))}))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){for(var e=[],t=arguments.length;t--;)e[t]=arguments[t];return Ma().withMutations((function(t){for(var r=0;r<e.length;r+=2){if(r+1>=e.length)throw new Error("Missing value for key: "+e[r]);t.set(e[r],e[r+1])}}))},t.prototype.toString=function(){return this.__toString("Map {","}")},t.prototype.get=function(e,t){return this._root?this._root.get(0,void 0,e,t):t},t.prototype.set=function(e,t){return Va(this,e,t)},t.prototype.remove=function(e){return Va(this,e,Jn)},t.prototype.deleteAll=function(e){var t=mo(e);return 0===t.size?this:this.withMutations((function(e){t.forEach((function(t){return e.remove(t)}))}))},t.prototype.clear=function(){return 0===this.size?this:this.__ownerID?(this.size=0,this._root=null,this.__hash=void 0,this.__altered=!0,this):Ma()},t.prototype.sort=function(e){return cl(Fi(this,e))},t.prototype.sortBy=function(e,t){return cl(Fi(this,t,e))},t.prototype.map=function(e,t){var r=this;return this.withMutations((function(n){n.forEach((function(o,i){n.set(i,e.call(t,o,i,r))}))}))},t.prototype.__iterator=function(e,t){return new ka(this,e,t)},t.prototype.__iterate=function(e,t){var r=this,n=0;return this._root&&this._root.iterate((function(t){return n++,e(t[1],t[0],r)}),t),n},t.prototype.__ensureOwner=function(e){return e===this.__ownerID?this:e?Da(this.size,this._root,e,this.__hash):0===this.size?Ma():(this.__ownerID=e,this.__altered=!1,this)},t}(yo);Ra.isMap=ri;var Aa=Ra.prototype;Aa[ti]=!0,Aa[Hn]=Aa.remove,Aa.removeAll=Aa.deleteAll,Aa.setIn=la,Aa.removeIn=Aa.deleteIn=ua,Aa.update=da,Aa.updateIn=pa,Aa.merge=Aa.concat=fa,Aa.mergeWith=ha,Aa.mergeDeep=ya,Aa.mergeDeepWith=ba,Aa.mergeIn=Ea,Aa.mergeDeepIn=Oa,Aa.withMutations=Sa,Aa.wasAltered=wa,Aa.asImmutable=_a,Aa["@@transducer/init"]=Aa.asMutable=Ta,Aa["@@transducer/step"]=function(e,t){return e.set(t[0],t[1])},Aa["@@transducer/result"]=function(e){return e.asImmutable()};var Ca=function(e,t){this.ownerID=e,this.entries=t};Ca.prototype.get=function(e,t,r,n){for(var o=this.entries,i=0,a=o.length;i<a;i++)if(ii(r,o[i][0]))return o[i][1];return n},Ca.prototype.update=function(e,t,r,n,o,i,a){for(var l=o===Jn,s=this.entries,u=0,c=s.length;u<c&&!ii(n,s[u][0]);u++);var d=u<c;if(d?s[u][1]===o:l)return this;if(Zn(a),(l||!d)&&Zn(i),!l||1!==s.length){if(!d&&!l&&s.length>=Wa)return function(e,t,r,n){e||(e=new eo);for(var o=new Pa(e,ui(r),[r,n]),i=0;i<t.length;i++){var a=t[i];o=o.update(e,0,void 0,a[0],a[1])}return o}(e,s,n,o);var p=e&&e===this.ownerID,f=p?s:Wi(s);return d?l?u===c-1?f.pop():f[u]=f.pop():f[u]=[n,o]:f.push([n,o]),p?(this.entries=f,this):new Ca(e,f)}};var Ia=function(e,t,r){this.ownerID=e,this.bitmap=t,this.nodes=r};Ia.prototype.get=function(e,t,r,n){void 0===t&&(t=ui(r));var o=1<<((0===e?t:t>>>e)&Xn),i=this.bitmap;return i&o?this.nodes[Ga(i&o-1)].get(e+Yn,t,r,n):n},Ia.prototype.update=function(e,t,r,n,o,i,a){void 0===r&&(r=ui(n));var l=(0===t?r:r>>>t)&Xn,s=1<<l,u=this.bitmap,c=!!(u&s);if(!c&&o===Jn)return this;var d=Ga(u&s-1),p=this.nodes,f=c?p[d]:void 0,h=Ua(f,e,t+Yn,r,n,o,i,a);if(h===f)return this;if(!c&&h&&p.length>=za)return function(e,t,r,n,o){for(var i=0,a=new Array(Qn),l=0;0!==r;l++,r>>>=1)a[l]=1&r?t[i++]:void 0;return a[n]=o,new La(e,i+1,a)}(e,p,u,l,h);if(c&&!h&&2===p.length&&Ba(p[1^d]))return p[1^d];if(c&&h&&1===p.length&&Ba(h))return h;var g=e&&e===this.ownerID,v=c?h?u:u^s:u|s,m=c?h?Ka(p,d,h,g):function(e,t,r){var n=e.length-1;if(r&&t===n)return e.pop(),e;for(var o=new Array(n),i=0,a=0;a<n;a++)a===t&&(i=1),o[a]=e[a+i];return o}(p,d,g):function(e,t,r,n){var o=e.length+1;if(n&&t+1===o)return e[t]=r,e;for(var i=new Array(o),a=0,l=0;l<o;l++)l===t?(i[l]=r,a=-1):i[l]=e[l+a];return i}(p,d,h,g);return g?(this.bitmap=v,this.nodes=m,this):new Ia(e,v,m)};var La=function(e,t,r){this.ownerID=e,this.count=t,this.nodes=r};La.prototype.get=function(e,t,r,n){void 0===t&&(t=ui(r));var o=(0===e?t:t>>>e)&Xn,i=this.nodes[o];return i?i.get(e+Yn,t,r,n):n},La.prototype.update=function(e,t,r,n,o,i,a){void 0===r&&(r=ui(n));var l=(0===t?r:r>>>t)&Xn,s=o===Jn,u=this.nodes,c=u[l];if(s&&!c)return this;var d=Ua(c,e,t+Yn,r,n,o,i,a);if(d===c)return this;var p=this.count;if(c){if(!d&&--p<$a)return function(e,t,r,n){for(var o=0,i=0,a=new Array(r),l=0,s=1,u=t.length;l<u;l++,s<<=1){var c=t[l];void 0!==c&&l!==n&&(o|=s,a[i++]=c)}return new Ia(e,o,a)}(e,u,p,l)}else p++;var f=e&&e===this.ownerID,h=Ka(u,l,d,f);return f?(this.count=p,this.nodes=h,this):new La(e,p,h)};var Na=function(e,t,r){this.ownerID=e,this.keyHash=t,this.entries=r};Na.prototype.get=function(e,t,r,n){for(var o=this.entries,i=0,a=o.length;i<a;i++)if(ii(r,o[i][0]))return o[i][1];return n},Na.prototype.update=function(e,t,r,n,o,i,a){void 0===r&&(r=ui(n));var l=o===Jn;if(r!==this.keyHash)return l?this:(Zn(a),Zn(i),qa(this,e,t,r,[n,o]));for(var s=this.entries,u=0,c=s.length;u<c&&!ii(n,s[u][0]);u++);var d=u<c;if(d?s[u][1]===o:l)return this;if(Zn(a),(l||!d)&&Zn(i),l&&2===c)return new Pa(e,this.keyHash,s[1^u]);var p=e&&e===this.ownerID,f=p?s:Wi(s);return d?l?u===c-1?f.pop():f[u]=f.pop():f[u]=[n,o]:f.push([n,o]),p?(this.entries=f,this):new Na(e,this.keyHash,f)};var Pa=function(e,t,r){this.ownerID=e,this.keyHash=t,this.entry=r};Pa.prototype.get=function(e,t,r,n){return ii(r,this.entry[0])?this.entry[1]:n},Pa.prototype.update=function(e,t,r,n,o,i,a){var l=o===Jn,s=ii(n,this.entry[0]);return(s?o===this.entry[1]:l)?this:(Zn(a),l?void Zn(i):s?e&&e===this.ownerID?(this.entry[1]=o,this):new Pa(e,this.keyHash,[n,o]):(Zn(i),qa(this,e,t,ui(n),[n,o])))},Ca.prototype.iterate=Na.prototype.iterate=function(e,t){for(var r=this.entries,n=0,o=r.length-1;n<=o;n++)if(!1===e(r[t?o-n:n]))return!1},Ia.prototype.iterate=La.prototype.iterate=function(e,t){for(var r=this.nodes,n=0,o=r.length-1;n<=o;n++){var i=r[t?o-n:n];if(i&&!1===i.iterate(e,t))return!1}},Pa.prototype.iterate=function(e,t){return e(this.entry)};var xa,ka=function(e){function t(e,t,r){this._type=t,this._reverse=r,this._stack=e._root&&ja(e._root)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.next=function(){for(var e=this._type,t=this._stack;t;){var r=t.node,n=t.index++,o=void 0;if(r.entry){if(0===n)return Fa(e,r.entry)}else if(r.entries){if(n<=(o=r.entries.length-1))return Fa(e,r.entries[this._reverse?o-n:n])}else if(n<=(o=r.nodes.length-1)){var i=r.nodes[this._reverse?o-n:n];if(i){if(i.entry)return Fa(e,i.entry);t=this._stack=ja(i,t)}continue}t=this._stack=this._stack.__prev}return{value:void 0,done:!0}},t}(ko);function Fa(e,t){return Fo(e,t[0],t[1])}function ja(e,t){return{node:e,index:0,__prev:t}}function Da(e,t,r,n){var o=Object.create(Aa);return o.size=e,o._root=t,o.__ownerID=r,o.__hash=n,o.__altered=!1,o}function Ma(){return xa||(xa=Da(0))}function Va(e,t,r){var n,o;if(e._root){var i={value:!1},a={value:!1};if(n=Ua(e._root,e.__ownerID,0,void 0,t,r,i,a),!a.value)return e;o=e.size+(i.value?r===Jn?-1:1:0)}else{if(r===Jn)return e;o=1,n=new Ca(e.__ownerID,[[t,r]])}return e.__ownerID?(e.size=o,e._root=n,e.__hash=void 0,e.__altered=!0,e):n?Da(o,n):Ma()}function Ua(e,t,r,n,o,i,a,l){return e?e.update(t,r,n,o,i,a,l):i===Jn?e:(Zn(l),Zn(a),new Pa(t,n,[o,i]))}function Ba(e){return e.constructor===Pa||e.constructor===Na}function qa(e,t,r,n,o){if(e.keyHash===n)return new Na(t,n,[e.entry,o]);var i,a=(0===r?e.keyHash:e.keyHash>>>r)&Xn,l=(0===r?n:n>>>r)&Xn,s=a===l?[qa(e,t,r+Yn,n,o)]:(i=new Pa(t,n,o),a<l?[e,i]:[i,e]);return new Ia(t,1<<a|1<<l,s)}function Ga(e){return e=(e=(858993459&(e-=e>>1&1431655765))+(e>>2&858993459))+(e>>4)&252645135,127&(e+=e>>8)+(e>>16)}function Ka(e,t,r,n){var o=n?e:Wi(e);return o[t]=r,o}var Wa=Qn/4,za=Qn/2,$a=Qn/4,Ha="@@__IMMUTABLE_LIST__@@";function Ya(e){return Boolean(e&&e[Ha])}var Qa=function(e){function t(t){var r=nl();if(null==t)return r;if(Ya(t))return t;var n=e(t),o=n.size;return 0===o?r:($i(o),o>0&&o<Qn?rl(0,o,Yn,null,new Ja(n.toArray())):r.withMutations((function(e){e.setSize(o),n.forEach((function(t,r){return e.set(r,t)}))})))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.prototype.toString=function(){return this.__toString("List [","]")},t.prototype.get=function(e,t){if((e=ro(this,e))>=0&&e<this.size){var r=al(this,e+=this._origin);return r&&r.array[e&Xn]}return t},t.prototype.set=function(e,t){return function(e,t,r){if((t=ro(e,t))!=t)return e;if(t>=e.size||t<0)return e.withMutations((function(e){t<0?ll(e,t).set(0,r):ll(e,0,t+1).set(t,r)}));t+=e._origin;var n=e._tail,o=e._root,i={value:!1};return t>=sl(e._capacity)?n=ol(n,e.__ownerID,0,t,r,i):o=ol(o,e.__ownerID,e._level,t,r,i),i.value?e.__ownerID?(e._root=o,e._tail=n,e.__hash=void 0,e.__altered=!0,e):rl(e._origin,e._capacity,e._level,o,n):e}(this,e,t)},t.prototype.remove=function(e){return this.has(e)?0===e?this.shift():e===this.size-1?this.pop():this.splice(e,1):this},t.prototype.insert=function(e,t){return this.splice(e,0,t)},t.prototype.clear=function(){return 0===this.size?this:this.__ownerID?(this.size=this._origin=this._capacity=0,this._level=Yn,this._root=this._tail=this.__hash=void 0,this.__altered=!0,this):nl()},t.prototype.push=function(){var e=arguments,t=this.size;return this.withMutations((function(r){ll(r,0,t+e.length);for(var n=0;n<e.length;n++)r.set(t+n,e[n])}))},t.prototype.pop=function(){return ll(this,0,-1)},t.prototype.unshift=function(){var e=arguments;return this.withMutations((function(t){ll(t,-e.length);for(var r=0;r<e.length;r++)t.set(r,e[r])}))},t.prototype.shift=function(){return ll(this,1)},t.prototype.concat=function(){for(var t=arguments,r=[],n=0;n<arguments.length;n++){var o=t[n],i=e("string"!=typeof o&&Do(o)?o:[o]);0!==i.size&&r.push(i)}return 0===r.length?this:0!==this.size||this.__ownerID||1!==r.length?this.withMutations((function(e){r.forEach((function(t){return t.forEach((function(t){return e.push(t)}))}))})):this.constructor(r[0])},t.prototype.setSize=function(e){return ll(this,0,e)},t.prototype.map=function(e,t){var r=this;return this.withMutations((function(n){for(var o=0;o<r.size;o++)n.set(o,e.call(t,n.get(o),o,r))}))},t.prototype.slice=function(e,t){var r=this.size;return oo(e,t,r)?this:ll(this,io(e,r),ao(t,r))},t.prototype.__iterator=function(e,t){var r=t?this.size:0,n=tl(this,t);return new ko((function(){var o=n();return o===el?{value:void 0,done:!0}:Fo(e,t?--r:r++,o)}))},t.prototype.__iterate=function(e,t){for(var r,n=t?this.size:0,o=tl(this,t);(r=o())!==el&&!1!==e(r,t?--n:n++,this););return n},t.prototype.__ensureOwner=function(e){return e===this.__ownerID?this:e?rl(this._origin,this._capacity,this._level,this._root,this._tail,e,this.__hash):0===this.size?nl():(this.__ownerID=e,this.__altered=!1,this)},t}(bo);Qa.isList=Ya;var Xa=Qa.prototype;Xa[Ha]=!0,Xa[Hn]=Xa.remove,Xa.merge=Xa.concat,Xa.setIn=la,Xa.deleteIn=Xa.removeIn=ua,Xa.update=da,Xa.updateIn=pa,Xa.mergeIn=Ea,Xa.mergeDeepIn=Oa,Xa.withMutations=Sa,Xa.wasAltered=wa,Xa.asImmutable=_a,Xa["@@transducer/init"]=Xa.asMutable=Ta,Xa["@@transducer/step"]=function(e,t){return e.push(t)},Xa["@@transducer/result"]=function(e){return e.asImmutable()};var Ja=function(e,t){this.array=e,this.ownerID=t};Ja.prototype.removeBefore=function(e,t,r){if(r===t?1<<t:0===this.array.length)return this;var n=r>>>t&Xn;if(n>=this.array.length)return new Ja([],e);var o,i=0===n;if(t>0){var a=this.array[n];if((o=a&&a.removeBefore(e,t-Yn,r))===a&&i)return this}if(i&&!o)return this;var l=il(this,e);if(!i)for(var s=0;s<n;s++)l.array[s]=void 0;return o&&(l.array[n]=o),l},Ja.prototype.removeAfter=function(e,t,r){if(r===(t?1<<t:0)||0===this.array.length)return this;var n,o=r-1>>>t&Xn;if(o>=this.array.length)return this;if(t>0){var i=this.array[o];if((n=i&&i.removeAfter(e,t-Yn,r))===i&&o===this.array.length-1)return this}var a=il(this,e);return a.array.splice(o+1),n&&(a.array[o]=n),a};var Za,el={};function tl(e,t){var r=e._origin,n=e._capacity,o=sl(n),i=e._tail;return function e(a,l,s){return 0===l?function(e,a){var l=a===o?i&&i.array:e&&e.array,s=a>r?0:r-a,u=n-a;return u>Qn&&(u=Qn),function(){if(s===u)return el;var e=t?--u:s++;return l&&l[e]}}(a,s):function(o,i,a){var l,s=o&&o.array,u=a>r?0:r-a>>i,c=1+(n-a>>i);return c>Qn&&(c=Qn),function(){for(;;){if(l){var r=l();if(r!==el)return r;l=null}if(u===c)return el;var n=t?--c:u++;l=e(s&&s[n],i-Yn,a+(n<<i))}}}(a,l,s)}(e._root,e._level,0)}function rl(e,t,r,n,o,i,a){var l=Object.create(Xa);return l.size=t-e,l._origin=e,l._capacity=t,l._level=r,l._root=n,l._tail=o,l.__ownerID=i,l.__hash=a,l.__altered=!1,l}function nl(){return Za||(Za=rl(0,0,Yn))}function ol(e,t,r,n,o,i){var a,l=n>>>r&Xn,s=e&&l<e.array.length;if(!s&&void 0===o)return e;if(r>0){var u=e&&e.array[l],c=ol(u,t,r-Yn,n,o,i);return c===u?e:((a=il(e,t)).array[l]=c,a)}return s&&e.array[l]===o?e:(i&&Zn(i),a=il(e,t),void 0===o&&l===a.array.length-1?a.array.pop():a.array[l]=o,a)}function il(e,t){return t&&e&&t===e.ownerID?e:new Ja(e?e.array.slice():[],t)}function al(e,t){if(t>=sl(e._capacity))return e._tail;if(t<1<<e._level+Yn){for(var r=e._root,n=e._level;r&&n>0;)r=r.array[t>>>n&Xn],n-=Yn;return r}}function ll(e,t,r){void 0!==t&&(t|=0),void 0!==r&&(r|=0);var n=e.__ownerID||new eo,o=e._origin,i=e._capacity,a=o+t,l=void 0===r?i:r<0?i+r:o+r;if(a===o&&l===i)return e;if(a>=l)return e.clear();for(var s=e._level,u=e._root,c=0;a+c<0;)u=new Ja(u&&u.array.length?[void 0,u]:[],n),c+=1<<(s+=Yn);c&&(a+=c,o+=c,l+=c,i+=c);for(var d=sl(i),p=sl(l);p>=1<<s+Yn;)u=new Ja(u&&u.array.length?[u]:[],n),s+=Yn;var f=e._tail,h=p<d?al(e,l-1):p>d?new Ja([],n):f;if(f&&p>d&&a<i&&f.array.length){for(var g=u=il(u,n),v=s;v>Yn;v-=Yn){var m=d>>>v&Xn;g=g.array[m]=il(g.array[m],n)}g.array[d>>>Yn&Xn]=f}if(l<i&&(h=h&&h.removeAfter(n,0,l)),a>=p)a-=p,l-=p,s=Yn,u=null,h=h&&h.removeBefore(n,0,a);else if(a>o||p<d){for(c=0;u;){var y=a>>>s&Xn;if(y!==p>>>s&Xn)break;y&&(c+=(1<<s)*y),s-=Yn,u=u.array[y]}u&&a>o&&(u=u.removeBefore(n,s,a-c)),u&&p<d&&(u=u.removeAfter(n,s,p-c)),c&&(a-=c,l-=c)}return e.__ownerID?(e.size=l-a,e._origin=a,e._capacity=l,e._level=s,e._root=u,e._tail=h,e.__hash=void 0,e.__altered=!0,e):rl(a,l,s,u,h)}function sl(e){return e<Qn?0:e-1>>>Yn<<Yn}var ul,cl=function(e){function t(e){return null==e?pl():ni(e)?e:pl().withMutations((function(t){var r=yo(e);$i(r.size),r.forEach((function(e,r){return t.set(r,e)}))}))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.prototype.toString=function(){return this.__toString("OrderedMap {","}")},t.prototype.get=function(e,t){var r=this._map.get(e);return void 0!==r?this._list.get(r)[1]:t},t.prototype.clear=function(){return 0===this.size?this:this.__ownerID?(this.size=0,this._map.clear(),this._list.clear(),this.__altered=!0,this):pl()},t.prototype.set=function(e,t){return fl(this,e,t)},t.prototype.remove=function(e){return fl(this,e,Jn)},t.prototype.__iterate=function(e,t){var r=this;return this._list.__iterate((function(t){return t&&e(t[1],t[0],r)}),t)},t.prototype.__iterator=function(e,t){return this._list.fromEntrySeq().__iterator(e,t)},t.prototype.__ensureOwner=function(e){if(e===this.__ownerID)return this;var t=this._map.__ensureOwner(e),r=this._list.__ensureOwner(e);return e?dl(t,r,e,this.__hash):0===this.size?pl():(this.__ownerID=e,this.__altered=!1,this._map=t,this._list=r,this)},t}(Ra);function dl(e,t,r,n){var o=Object.create(cl.prototype);return o.size=e?e.size:0,o._map=e,o._list=t,o.__ownerID=r,o.__hash=n,o.__altered=!1,o}function pl(){return ul||(ul=dl(Ma(),nl()))}function fl(e,t,r){var n,o,i=e._map,a=e._list,l=i.get(t),s=void 0!==l;if(r===Jn){if(!s)return e;a.size>=Qn&&a.size>=2*i.size?(n=(o=a.filter((function(e,t){return void 0!==e&&l!==t}))).toKeyedSeq().map((function(e){return e[0]})).flip().toMap(),e.__ownerID&&(n.__ownerID=o.__ownerID=e.__ownerID)):(n=i.remove(t),o=l===a.size-1?a.pop():a.set(l,void 0))}else if(s){if(r===a.get(l)[1])return e;n=i,o=a.set(l,[t,r])}else n=i.set(t,a.size),o=a.set(a.size,[t,r]);return e.__ownerID?(e.size=n.size,e._map=n,e._list=o,e.__hash=void 0,e.__altered=!0,e):dl(n,o)}cl.isOrderedMap=ni,cl.prototype[Ro]=!0,cl.prototype[Hn]=cl.prototype.remove;var hl="@@__IMMUTABLE_STACK__@@";function gl(e){return Boolean(e&&e[hl])}var vl=function(e){function t(e){return null==e?El():gl(e)?e:El().pushAll(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.prototype.toString=function(){return this.__toString("Stack [","]")},t.prototype.get=function(e,t){var r=this._head;for(e=ro(this,e);r&&e--;)r=r.next;return r?r.value:t},t.prototype.peek=function(){return this._head&&this._head.value},t.prototype.push=function(){var e=arguments;if(0===arguments.length)return this;for(var t=this.size+arguments.length,r=this._head,n=arguments.length-1;n>=0;n--)r={value:e[n],next:r};return this.__ownerID?(this.size=t,this._head=r,this.__hash=void 0,this.__altered=!0,this):bl(t,r)},t.prototype.pushAll=function(t){if(0===(t=e(t)).size)return this;if(0===this.size&&gl(t))return t;$i(t.size);var r=this.size,n=this._head;return t.__iterate((function(e){r++,n={value:e,next:n}}),!0),this.__ownerID?(this.size=r,this._head=n,this.__hash=void 0,this.__altered=!0,this):bl(r,n)},t.prototype.pop=function(){return this.slice(1)},t.prototype.clear=function(){return 0===this.size?this:this.__ownerID?(this.size=0,this._head=void 0,this.__hash=void 0,this.__altered=!0,this):El()},t.prototype.slice=function(t,r){if(oo(t,r,this.size))return this;var n=io(t,this.size);if(ao(r,this.size)!==this.size)return e.prototype.slice.call(this,t,r);for(var o=this.size-n,i=this._head;n--;)i=i.next;return this.__ownerID?(this.size=o,this._head=i,this.__hash=void 0,this.__altered=!0,this):bl(o,i)},t.prototype.__ensureOwner=function(e){return e===this.__ownerID?this:e?bl(this.size,this._head,e,this.__hash):0===this.size?El():(this.__ownerID=e,this.__altered=!1,this)},t.prototype.__iterate=function(e,t){var r=this;if(t)return new $o(this.toArray()).__iterate((function(t,n){return e(t,n,r)}),t);for(var n=0,o=this._head;o&&!1!==e(o.value,n++,this);)o=o.next;return n},t.prototype.__iterator=function(e,t){if(t)return new $o(this.toArray()).__iterator(e,t);var r=0,n=this._head;return new ko((function(){if(n){var t=n.value;return n=n.next,Fo(e,r++,t)}return{value:void 0,done:!0}}))},t}(bo);vl.isStack=gl;var ml,yl=vl.prototype;function bl(e,t,r,n){var o=Object.create(yl);return o.size=e,o._head=t,o.__ownerID=r,o.__hash=n,o.__altered=!1,o}function El(){return ml||(ml=bl(0))}yl[hl]=!0,yl.shift=yl.pop,yl.unshift=yl.push,yl.unshiftAll=yl.pushAll,yl.withMutations=Sa,yl.wasAltered=wa,yl.asImmutable=_a,yl["@@transducer/init"]=yl.asMutable=Ta,yl["@@transducer/step"]=function(e,t){return e.unshift(t)},yl["@@transducer/result"]=function(e){return e.asImmutable()};var Ol="@@__IMMUTABLE_SET__@@";function Sl(e){return Boolean(e&&e[Ol])}function Tl(e){return Sl(e)&&Ao(e)}function _l(e,t){if(e===t)return!0;if(!co(t)||void 0!==e.size&&void 0!==t.size&&e.size!==t.size||void 0!==e.__hash&&void 0!==t.__hash&&e.__hash!==t.__hash||fo(e)!==fo(t)||go(e)!==go(t)||Ao(e)!==Ao(t))return!1;if(0===e.size&&0===t.size)return!0;var r=!vo(e);if(Ao(e)){var n=e.entries();return t.every((function(e,t){var o=n.next().value;return o&&ii(o[1],e)&&(r||ii(o[0],t))}))&&n.next().done}var o=!1;if(void 0===e.size)if(void 0===t.size)"function"==typeof e.cacheResult&&e.cacheResult();else{o=!0;var i=e;e=t,t=i}var a=!0,l=t.__iterate((function(t,n){if(r?!e.has(t):o?!ii(t,e.get(n,Jn)):!ii(e.get(n,Jn),t))return a=!1,!1}));return a&&e.size===l}function wl(e,t){var r=function(r){e.prototype[r]=t[r]};return Object.keys(t).forEach(r),Object.getOwnPropertySymbols&&Object.getOwnPropertySymbols(t).forEach(r),e}function Rl(e){if(!e||"object"!=typeof e)return e;if(!co(e)){if(!Xi(e))return e;e=Go(e)}if(fo(e)){var t={};return e.__iterate((function(e,r){t[r]=Rl(e)})),t}var r=[];return e.__iterate((function(e){r.push(Rl(e))})),r}var Al=function(e){function t(t){return null==t?Pl():Sl(t)&&!Ao(t)?t:Pl().withMutations((function(r){var n=e(t);$i(n.size),n.forEach((function(e){return r.add(e)}))}))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.fromKeys=function(e){return this(yo(e).keySeq())},t.intersect=function(e){return(e=mo(e).toArray()).length?Il.intersect.apply(t(e.pop()),e):Pl()},t.union=function(e){return(e=mo(e).toArray()).length?Il.union.apply(t(e.pop()),e):Pl()},t.prototype.toString=function(){return this.__toString("Set {","}")},t.prototype.has=function(e){return this._map.has(e)},t.prototype.add=function(e){return Ll(this,this._map.set(e,e))},t.prototype.remove=function(e){return Ll(this,this._map.remove(e))},t.prototype.clear=function(){return Ll(this,this._map.clear())},t.prototype.map=function(e,t){var r=this,n=!1,o=Ll(this,this._map.mapEntries((function(o){var i=o[1],a=e.call(t,i,i,r);return a!==i&&(n=!0),[a,a]}),t));return n?o:this},t.prototype.union=function(){for(var t=[],r=arguments.length;r--;)t[r]=arguments[r];return 0===(t=t.filter((function(e){return 0!==e.size}))).length?this:0!==this.size||this.__ownerID||1!==t.length?this.withMutations((function(r){for(var n=0;n<t.length;n++)"string"==typeof t[n]?r.add(t[n]):e(t[n]).forEach((function(e){return r.add(e)}))})):this.constructor(t[0])},t.prototype.intersect=function(){for(var t=[],r=arguments.length;r--;)t[r]=arguments[r];if(0===t.length)return this;t=t.map((function(t){return e(t)}));var n=[];return this.forEach((function(e){t.every((function(t){return t.includes(e)}))||n.push(e)})),this.withMutations((function(e){n.forEach((function(t){e.remove(t)}))}))},t.prototype.subtract=function(){for(var t=[],r=arguments.length;r--;)t[r]=arguments[r];if(0===t.length)return this;t=t.map((function(t){return e(t)}));var n=[];return this.forEach((function(e){t.some((function(t){return t.includes(e)}))&&n.push(e)})),this.withMutations((function(e){n.forEach((function(t){e.remove(t)}))}))},t.prototype.sort=function(e){return Xl(Fi(this,e))},t.prototype.sortBy=function(e,t){return Xl(Fi(this,t,e))},t.prototype.wasAltered=function(){return this._map.wasAltered()},t.prototype.__iterate=function(e,t){var r=this;return this._map.__iterate((function(t){return e(t,t,r)}),t)},t.prototype.__iterator=function(e,t){return this._map.__iterator(e,t)},t.prototype.__ensureOwner=function(e){if(e===this.__ownerID)return this;var t=this._map.__ensureOwner(e);return e?this.__make(t,e):0===this.size?this.__empty():(this.__ownerID=e,this._map=t,this)},t}(Eo);Al.isSet=Sl;var Cl,Il=Al.prototype;function Ll(e,t){return e.__ownerID?(e.size=t.size,e._map=t,e):t===e._map?e:0===t.size?e.__empty():e.__make(t)}function Nl(e,t){var r=Object.create(Il);return r.size=e?e.size:0,r._map=e,r.__ownerID=t,r}function Pl(){return Cl||(Cl=Nl(Ma()))}Il[Ol]=!0,Il[Hn]=Il.remove,Il.merge=Il.concat=Il.union,Il.withMutations=Sa,Il.asImmutable=_a,Il["@@transducer/init"]=Il.asMutable=Ta,Il["@@transducer/step"]=function(e,t){return e.add(t)},Il["@@transducer/result"]=function(e){return e.asImmutable()},Il.__empty=Pl,Il.__make=Nl;var xl,kl=function(e){function t(e,r,n){if(!(this instanceof t))return new t(e,r,n);if(zi(0!==n,"Cannot step a Range by 0"),e=e||0,void 0===r&&(r=1/0),n=void 0===n?1:Math.abs(n),r<e&&(n=-n),this._start=e,this._end=r,this._step=n,this.size=Math.max(0,Math.ceil((r-e)/n-1)+1),0===this.size){if(xl)return xl;xl=this}}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.toString=function(){return 0===this.size?"Range []":"Range [ "+this._start+"..."+this._end+(1!==this._step?" by "+this._step:"")+" ]"},t.prototype.get=function(e,t){return this.has(e)?this._start+ro(this,e)*this._step:t},t.prototype.includes=function(e){var t=(e-this._start)/this._step;return t>=0&&t<this.size&&t===Math.floor(t)},t.prototype.slice=function(e,r){return oo(e,r,this.size)?this:(e=io(e,this.size),(r=ao(r,this.size))<=e?new t(0,0):new t(this.get(e,this._end),this.get(r,this._end),this._step))},t.prototype.indexOf=function(e){var t=e-this._start;if(t%this._step==0){var r=t/this._step;if(r>=0&&r<this.size)return r}return-1},t.prototype.lastIndexOf=function(e){return this.indexOf(e)},t.prototype.__iterate=function(e,t){for(var r=this.size,n=this._step,o=t?this._start+(r-1)*n:this._start,i=0;i!==r&&!1!==e(o,t?r-++i:i++,this);)o+=t?-n:n;return i},t.prototype.__iterator=function(e,t){var r=this.size,n=this._step,o=t?this._start+(r-1)*n:this._start,i=0;return new ko((function(){if(i===r)return{value:void 0,done:!0};var a=o;return o+=t?-n:n,Fo(e,t?r-++i:i++,a)}))},t.prototype.equals=function(e){return e instanceof t?this._start===e._start&&this._end===e._end&&this._step===e._step:_l(this,e)},t}(Wo);function Fl(e,t,r){for(var n=Hi(t),o=0;o!==n.length;)if((e=ea(e,n[o++],Jn))===Jn)return r;return e}function jl(e,t){return Fl(this,e,t)}function Dl(e,t){return Fl(e,t,Jn)!==Jn}function Ml(){$i(this.size);var e={};return this.__iterate((function(t,r){e[r]=t})),e}mo.isIterable=co,mo.isKeyed=fo,mo.isIndexed=go,mo.isAssociative=vo,mo.isOrdered=Ao,mo.Iterator=ko,wl(mo,{toArray:function(){$i(this.size);var e=new Array(this.size||0),t=fo(this),r=0;return this.__iterate((function(n,o){e[r++]=t?[o,n]:n})),e},toIndexedSeq:function(){return new wi(this)},toJS:function(){return Rl(this)},toKeyedSeq:function(){return new _i(this,!0)},toMap:function(){return Ra(this.toKeyedSeq())},toObject:Ml,toOrderedMap:function(){return cl(this.toKeyedSeq())},toOrderedSet:function(){return Xl(fo(this)?this.valueSeq():this)},toSet:function(){return Al(fo(this)?this.valueSeq():this)},toSetSeq:function(){return new Ri(this)},toSeq:function(){return go(this)?this.toIndexedSeq():fo(this)?this.toKeyedSeq():this.toSetSeq()},toStack:function(){return vl(fo(this)?this.valueSeq():this)},toList:function(){return Qa(fo(this)?this.valueSeq():this)},toString:function(){return"[Collection]"},__toString:function(e,t){return 0===this.size?e+t:e+" "+this.toSeq().map(this.__toStringMapper).join(", ")+" "+t},concat:function(){for(var e=[],t=arguments.length;t--;)e[t]=arguments[t];return Vi(this,function(e,t){var r=fo(e),n=[e].concat(t).map((function(e){return co(e)?r&&(e=yo(e)):e=r?Jo(e):Zo(Array.isArray(e)?e:[e]),e})).filter((function(e){return 0!==e.size}));if(0===n.length)return e;if(1===n.length){var o=n[0];if(o===e||r&&fo(o)||go(e)&&go(o))return o}var i=new $o(n);return r?i=i.toKeyedSeq():go(e)||(i=i.toSetSeq()),(i=i.flatten(!0)).size=n.reduce((function(e,t){if(void 0!==e){var r=t.size;if(void 0!==r)return e+r}}),0),i}(this,e))},includes:function(e){return this.some((function(t){return ii(t,e)}))},entries:function(){return this.__iterator(Lo)},every:function(e,t){$i(this.size);var r=!0;return this.__iterate((function(n,o,i){if(!e.call(t,n,o,i))return r=!1,!1})),r},filter:function(e,t){return Vi(this,Ni(this,e,t,!0))},partition:function(e,t){return function(e,t,r){var n=fo(e),o=[[],[]];e.__iterate((function(i,a){o[t.call(r,i,a,e)?1:0].push(n?[a,i]:i)}));var i=Bi(e);return o.map((function(t){return Vi(e,i(t))}))}(this,e,t)},find:function(e,t,r){var n=this.findEntry(e,t);return n?n[1]:r},forEach:function(e,t){return $i(this.size),this.__iterate(t?e.bind(t):e)},join:function(e){$i(this.size),e=void 0!==e?""+e:",";var t="",r=!0;return this.__iterate((function(n){r?r=!1:t+=e,t+=null!=n?n.toString():""})),t},keys:function(){return this.__iterator(Co)},map:function(e,t){return Vi(this,Ii(this,e,t))},reduce:function(e,t,r){return Gl(this,e,t,r,arguments.length<2,!1)},reduceRight:function(e,t,r){return Gl(this,e,t,r,arguments.length<2,!0)},reverse:function(){return Vi(this,Li(this,!0))},slice:function(e,t){return Vi(this,Pi(this,e,t,!0))},some:function(e,t){$i(this.size);var r=!1;return this.__iterate((function(n,o,i){if(e.call(t,n,o,i))return r=!0,!1})),r},sort:function(e){return Vi(this,Fi(this,e))},values:function(){return this.__iterator(Io)},butLast:function(){return this.slice(0,-1)},isEmpty:function(){return void 0!==this.size?0===this.size:!this.some((function(){return!0}))},count:function(e,t){return to(e?this.toSeq().filter(e,t):this)},countBy:function(e,t){return function(e,t,r){var n=Ra().asMutable();return e.__iterate((function(o,i){n.update(t.call(r,o,i,e),0,(function(e){return e+1}))})),n.asImmutable()}(this,e,t)},equals:function(e){return _l(this,e)},entrySeq:function(){var e=this;if(e._cache)return new $o(e._cache);var t=e.toSeq().map(Wl).toIndexedSeq();return t.fromEntrySeq=function(){return e.toSeq()},t},filterNot:function(e,t){return this.filter(zl(e),t)},findEntry:function(e,t,r){var n=r;return this.__iterate((function(r,o,i){if(e.call(t,r,o,i))return n=[o,r],!1})),n},findKey:function(e,t){var r=this.findEntry(e,t);return r&&r[0]},findLast:function(e,t,r){return this.toKeyedSeq().reverse().find(e,t,r)},findLastEntry:function(e,t,r){return this.toKeyedSeq().reverse().findEntry(e,t,r)},findLastKey:function(e,t){return this.toKeyedSeq().reverse().findKey(e,t)},first:function(e){return this.find(no,null,e)},flatMap:function(e,t){return Vi(this,function(e,t,r){var n=Bi(e);return e.toSeq().map((function(o,i){return n(t.call(r,o,i,e))})).flatten(!0)}(this,e,t))},flatten:function(e){return Vi(this,ki(this,e,!0))},fromEntrySeq:function(){return new Ai(this)},get:function(e,t){return this.find((function(t,r){return ii(r,e)}),void 0,t)},getIn:jl,groupBy:function(e,t){return function(e,t,r){var n=fo(e),o=(Ao(e)?cl():Ra()).asMutable();e.__iterate((function(i,a){o.update(t.call(r,i,a,e),(function(e){return(e=e||[]).push(n?[a,i]:i),e}))}));var i=Bi(e);return o.map((function(t){return Vi(e,i(t))})).asImmutable()}(this,e,t)},has:function(e){return this.get(e,Jn)!==Jn},hasIn:function(e){return Dl(this,e)},isSubset:function(e){return e="function"==typeof e.includes?e:mo(e),this.every((function(t){return e.includes(t)}))},isSuperset:function(e){return(e="function"==typeof e.isSubset?e:mo(e)).isSubset(this)},keyOf:function(e){return this.findKey((function(t){return ii(t,e)}))},keySeq:function(){return this.toSeq().map(Kl).toIndexedSeq()},last:function(e){return this.toSeq().reverse().first(e)},lastKeyOf:function(e){return this.toKeyedSeq().reverse().keyOf(e)},max:function(e){return ji(this,e)},maxBy:function(e,t){return ji(this,t,e)},min:function(e){return ji(this,e?$l(e):Yl)},minBy:function(e,t){return ji(this,t?$l(t):Yl,e)},rest:function(){return this.slice(1)},skip:function(e){return 0===e?this:this.slice(Math.max(0,e))},skipLast:function(e){return 0===e?this:this.slice(0,-Math.max(0,e))},skipWhile:function(e,t){return Vi(this,xi(this,e,t,!0))},skipUntil:function(e,t){return this.skipWhile(zl(e),t)},sortBy:function(e,t){return Vi(this,Fi(this,t,e))},take:function(e){return this.slice(0,Math.max(0,e))},takeLast:function(e){return this.slice(-Math.max(0,e))},takeWhile:function(e,t){return Vi(this,function(e,t,r){var n=qi(e);return n.__iterateUncached=function(n,o){var i=this;if(o)return this.cacheResult().__iterate(n,o);var a=0;return e.__iterate((function(e,o,l){return t.call(r,e,o,l)&&++a&&n(e,o,i)})),a},n.__iteratorUncached=function(n,o){var i=this;if(o)return this.cacheResult().__iterator(n,o);var a=e.__iterator(Lo,o),l=!0;return new ko((function(){if(!l)return{value:void 0,done:!0};var e=a.next();if(e.done)return e;var o=e.value,s=o[0],u=o[1];return t.call(r,u,s,i)?n===Lo?e:Fo(n,s,u,e):(l=!1,{value:void 0,done:!0})}))},n}(this,e,t))},takeUntil:function(e,t){return this.takeWhile(zl(e),t)},update:function(e){return e(this)},valueSeq:function(){return this.toIndexedSeq()},hashCode:function(){return this.__hash||(this.__hash=function(e){if(e.size===1/0)return 0;var t=Ao(e),r=fo(e),n=t?1:0;return function(e,t){return t=ai(t,3432918353),t=ai(t<<15|t>>>-15,461845907),t=ai(t<<13|t>>>-13,5),t=ai((t=t+3864292196^e)^t>>>16,2246822507),t=li((t=ai(t^t>>>13,3266489909))^t>>>16)}(e.__iterate(r?t?function(e,t){n=31*n+Ql(ui(e),ui(t))|0}:function(e,t){n=n+Ql(ui(e),ui(t))|0}:t?function(e){n=31*n+ui(e)|0}:function(e){n=n+ui(e)|0}),n)}(this))}});var Vl=mo.prototype;Vl[uo]=!0,Vl[xo]=Vl.values,Vl.toJSON=Vl.toArray,Vl.__toStringMapper=Ji,Vl.inspect=Vl.toSource=function(){return this.toString()},Vl.chain=Vl.flatMap,Vl.contains=Vl.includes,wl(yo,{flip:function(){return Vi(this,Ci(this))},mapEntries:function(e,t){var r=this,n=0;return Vi(this,this.toSeq().map((function(o,i){return e.call(t,[i,o],n++,r)})).fromEntrySeq())},mapKeys:function(e,t){var r=this;return Vi(this,this.toSeq().flip().map((function(n,o){return e.call(t,n,o,r)})).flip())}});var Ul=yo.prototype;Ul[po]=!0,Ul[xo]=Vl.entries,Ul.toJSON=Ml,Ul.__toStringMapper=function(e,t){return Ji(t)+": "+Ji(e)},wl(bo,{toKeyedSeq:function(){return new _i(this,!1)},filter:function(e,t){return Vi(this,Ni(this,e,t,!1))},findIndex:function(e,t){var r=this.findEntry(e,t);return r?r[0]:-1},indexOf:function(e){var t=this.keyOf(e);return void 0===t?-1:t},lastIndexOf:function(e){var t=this.lastKeyOf(e);return void 0===t?-1:t},reverse:function(){return Vi(this,Li(this,!1))},slice:function(e,t){return Vi(this,Pi(this,e,t,!1))},splice:function(e,t){var r=arguments.length;if(t=Math.max(t||0,0),0===r||2===r&&!t)return this;e=io(e,e<0?this.count():this.size);var n=this.slice(0,e);return Vi(this,1===r?n:n.concat(Wi(arguments,2),this.slice(e+t)))},findLastIndex:function(e,t){var r=this.findLastEntry(e,t);return r?r[0]:-1},first:function(e){return this.get(0,e)},flatten:function(e){return Vi(this,ki(this,e,!1))},get:function(e,t){return(e=ro(this,e))<0||this.size===1/0||void 0!==this.size&&e>this.size?t:this.find((function(t,r){return r===e}),void 0,t)},has:function(e){return(e=ro(this,e))>=0&&(void 0!==this.size?this.size===1/0||e<this.size:-1!==this.indexOf(e))},interpose:function(e){return Vi(this,function(e,t){var r=qi(e);return r.size=e.size&&2*e.size-1,r.__iterateUncached=function(r,n){var o=this,i=0;return e.__iterate((function(e){return(!i||!1!==r(t,i++,o))&&!1!==r(e,i++,o)}),n),i},r.__iteratorUncached=function(r,n){var o,i=e.__iterator(Io,n),a=0;return new ko((function(){return(!o||a%2)&&(o=i.next()).done?o:a%2?Fo(r,a++,t):Fo(r,a++,o.value,o)}))},r}(this,e))},interleave:function(){var e=[this].concat(Wi(arguments)),t=Mi(this.toSeq(),Wo.of,e),r=t.flatten(!0);return t.size&&(r.size=t.size*e.length),Vi(this,r)},keySeq:function(){return kl(0,this.size)},last:function(e){return this.get(-1,e)},skipWhile:function(e,t){return Vi(this,xi(this,e,t,!1))},zip:function(){return Vi(this,Mi(this,Hl,[this].concat(Wi(arguments))))},zipAll:function(){return Vi(this,Mi(this,Hl,[this].concat(Wi(arguments)),!0))},zipWith:function(e){var t=Wi(arguments);return t[0]=this,Vi(this,Mi(this,e,t))}});var Bl=bo.prototype;Bl[ho]=!0,Bl[Ro]=!0,wl(Eo,{get:function(e,t){return this.has(e)?e:t},includes:function(e){return this.has(e)},keySeq:function(){return this.valueSeq()}});var ql=Eo.prototype;function Gl(e,t,r,n,o,i){return $i(e.size),e.__iterate((function(e,i,a){o?(o=!1,r=e):r=t.call(n,r,e,i,a)}),i),r}function Kl(e,t){return t}function Wl(e,t){return[t,e]}function zl(e){return function(){return!e.apply(this,arguments)}}function $l(e){return function(){return-e.apply(this,arguments)}}function Hl(){return Wi(arguments)}function Yl(e,t){return e<t?1:e>t?-1:0}function Ql(e,t){return e^t+2654435769+(e<<6)+(e>>2)}ql.has=Vl.includes,ql.contains=ql.includes,ql.keys=ql.values,wl(Ko,Ul),wl(Wo,Bl),wl(zo,ql);var Xl=function(e){function t(e){return null==e?ts():Tl(e)?e:ts().withMutations((function(t){var r=Eo(e);$i(r.size),r.forEach((function(e){return t.add(e)}))}))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.fromKeys=function(e){return this(yo(e).keySeq())},t.prototype.toString=function(){return this.__toString("OrderedSet {","}")},t}(Al);Xl.isOrderedSet=Tl;var Jl,Zl=Xl.prototype;function es(e,t){var r=Object.create(Zl);return r.size=e?e.size:0,r._map=e,r.__ownerID=t,r}function ts(){return Jl||(Jl=es(pl()))}Zl[Ro]=!0,Zl.zip=Bl.zip,Zl.zipWith=Bl.zipWith,Zl.zipAll=Bl.zipAll,Zl.__empty=ts,Zl.__make=es;var rs=function(e,t){var r;!function(e){if(_o(e))throw new Error("Can not call `Record` with an immutable Record as default values. Use a plain javascript object instead.");if(wo(e))throw new Error("Can not call `Record` with an immutable Collection as default values. Use a plain javascript object instead.");if(null===e||"object"!=typeof e)throw new Error("Can not call `Record` with a non-object as default values. Use a plain javascript object instead.")}(e);var n=function(i){var a=this;if(i instanceof n)return i;if(!(this instanceof n))return new n(i);if(!r){r=!0;var l=Object.keys(e),s=o._indices={};o._name=t,o._keys=l,o._defaultValues=e;for(var u=0;u<l.length;u++){var c=l[u];s[c]=u,o[c]?"object"==typeof console&&console.warn&&console.warn("Cannot define "+is(this)+' with property "'+c+'" since that property name is part of the Record API.'):ls(o,c)}}return this.__ownerID=void 0,this._values=Qa().withMutations((function(e){e.setSize(a._keys.length),yo(i).forEach((function(t,r){e.set(a._indices[r],t===a._defaultValues[r]?void 0:t)}))})),this},o=n.prototype=Object.create(ns);return o.constructor=n,t&&(n.displayName=t),n};rs.prototype.toString=function(){for(var e,t=is(this)+" { ",r=this._keys,n=0,o=r.length;n!==o;n++)t+=(n?", ":"")+(e=r[n])+": "+Ji(this.get(e));return t+" }"},rs.prototype.equals=function(e){return this===e||_o(e)&&as(this).equals(as(e))},rs.prototype.hashCode=function(){return as(this).hashCode()},rs.prototype.has=function(e){return this._indices.hasOwnProperty(e)},rs.prototype.get=function(e,t){if(!this.has(e))return t;var r=this._indices[e],n=this._values.get(r);return void 0===n?this._defaultValues[e]:n},rs.prototype.set=function(e,t){if(this.has(e)){var r=this._values.set(this._indices[e],t===this._defaultValues[e]?void 0:t);if(r!==this._values&&!this.__ownerID)return os(this,r)}return this},rs.prototype.remove=function(e){return this.set(e)},rs.prototype.clear=function(){var e=this._values.clear().setSize(this._keys.length);return this.__ownerID?this:os(this,e)},rs.prototype.wasAltered=function(){return this._values.wasAltered()},rs.prototype.toSeq=function(){return as(this)},rs.prototype.toJS=function(){return Rl(this)},rs.prototype.entries=function(){return this.__iterator(Lo)},rs.prototype.__iterator=function(e,t){return as(this).__iterator(e,t)},rs.prototype.__iterate=function(e,t){return as(this).__iterate(e,t)},rs.prototype.__ensureOwner=function(e){if(e===this.__ownerID)return this;var t=this._values.__ensureOwner(e);return e?os(this,t,e):(this.__ownerID=e,this._values=t,this)},rs.isRecord=_o,rs.getDescriptiveName=is;var ns=rs.prototype;function os(e,t,r){var n=Object.create(Object.getPrototypeOf(e));return n._values=t,n.__ownerID=r,n}function is(e){return e.constructor.displayName||e.constructor.name||"Record"}function as(e){return Jo(e._keys.map((function(t){return[t,e.get(t)]})))}function ls(e,t){try{Object.defineProperty(e,t,{get:function(){return this.get(t)},set:function(e){zi(this.__ownerID,"Cannot set on an immutable record."),this.set(t,e)}})}catch(e){}}ns[To]=!0,ns[Hn]=ns.remove,ns.deleteIn=ns.removeIn=ua,ns.getIn=jl,ns.hasIn=Vl.hasIn,ns.merge=fa,ns.mergeWith=ha,ns.mergeIn=Ea,ns.mergeDeep=ya,ns.mergeDeepWith=ba,ns.mergeDeepIn=Oa,ns.setIn=la,ns.update=da,ns.updateIn=pa,ns.withMutations=Sa,ns.asMutable=Ta,ns.asImmutable=_a,ns[xo]=ns.entries,ns.toJSON=ns.toObject=Vl.toObject,ns.inspect=ns.toSource=function(){return this.toString()};var ss,us=function(e){function t(e,r){if(!(this instanceof t))return new t(e,r);if(this._value=e,this.size=void 0===r?1/0:Math.max(0,r),0===this.size){if(ss)return ss;ss=this}}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.toString=function(){return 0===this.size?"Repeat []":"Repeat [ "+this._value+" "+this.size+" times ]"},t.prototype.get=function(e,t){return this.has(e)?this._value:t},t.prototype.includes=function(e){return ii(this._value,e)},t.prototype.slice=function(e,r){var n=this.size;return oo(e,r,n)?this:new t(this._value,ao(r,n)-io(e,n))},t.prototype.reverse=function(){return this},t.prototype.indexOf=function(e){return ii(this._value,e)?0:-1},t.prototype.lastIndexOf=function(e){return ii(this._value,e)?this.size:-1},t.prototype.__iterate=function(e,t){for(var r=this.size,n=0;n!==r&&!1!==e(this._value,t?r-++n:n++,this););return n},t.prototype.__iterator=function(e,t){var r=this,n=this.size,o=0;return new ko((function(){return o===n?{value:void 0,done:!0}:Fo(e,t?n-++o:o++,r._value)}))},t.prototype.equals=function(e){return e instanceof t?ii(this._value,e._value):_l(this,e)},t}(Wo);function cs(e,t){return ds([],t||ps,e,"",t&&t.length>2?[]:void 0,{"":e})}function ds(e,t,r,n,o,i){if("string"!=typeof r&&!wo(r)&&(qo(r)||Do(r)||Qi(r))){if(~e.indexOf(r))throw new TypeError("Cannot convert circular structure to Immutable");e.push(r),o&&""!==n&&o.push(n);var a=t.call(i,n,Go(r).map((function(n,i){return ds(e,t,n,i,o,r)})),o&&o.slice());return e.pop(),o&&o.pop(),a}return r}function ps(e,t){return go(t)?t.toList():fo(t)?t.toMap():t.toSet()}const fs={version:"4.3.6",Collection:mo,Iterable:mo,Seq:Go,Map:Ra,OrderedMap:cl,List:Qa,Stack:vl,Set:Al,OrderedSet:Xl,PairSorting:{LeftThenRight:-1,RightThenLeft:1},Record:rs,Range:kl,Repeat:us,is:ii,fromJS:cs,hash:ui,isImmutable:wo,isCollection:co,isKeyed:fo,isIndexed:go,isAssociative:vo,isOrdered:Ao,isValueObject:oi,isPlainObject:Qi,isSeq:So,isList:Ya,isMap:ri,isOrderedMap:ni,isStack:gl,isSet:Sl,isOrderedSet:Tl,isRecord:_o,get:ea,getIn:Fl,has:Zi,hasIn:Dl,merge:function(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return ma(e,t)},mergeDeep:function(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return va(e,t)},mergeWith:function(e,t){for(var r=[],n=arguments.length-2;n-- >0;)r[n]=arguments[n+2];return ma(t,r,e)},mergeDeepWith:function(e,t){for(var r=[],n=arguments.length-2;n-- >0;)r[n]=arguments[n+2];return va(t,r,e)},remove:ra,removeIn:sa,set:na,setIn:aa,update:ca,updateIn:oa};var hs=p(7027),gs=p.n(hs),vs=0;const ms=function(){var e=((new Date).getTime().toString(16)+"FF").substr(0,11);return"ssssssss-xxxx-4xxx-yxxx-x".replace(/[xys]/g,(function(e){var t="s"===e?Math.floor(16*Math.random()):15&vs++;return("x"===e?t:3&t|8).toString(16)}))+e};var ys=function(e){return"object"==Pn(e)&&null!==e&&!Array.isArray(e)},bs=["formatValue","mongoFormatValue","sqlFormatValue","jsonLogic","elasticSearchFormatValue","spelFormatValue","spelImportFuncs","spelImportValue"],Es=["formatOp","mongoFormatOp","sqlFormatOp","jsonLogic","spelFormatOp"],Os=function(e){var t;return null!==(t=null==e?void 0:e.cardinality)&&void 0!==t?t:1},Ss=function(e,t){return e===t||(Ra.isMap(e)?e.equals(t):JSON.stringify(e)==JSON.stringify(t))},Ts=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];return e===t||(Array.isArray(e)?function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e===t)return!0;if(!e||!t)return!1;var n=e.length;if(t.length!==n)return!1;for(var o=0;o<n;o++)if(!(r?Ts(e[o],t[o],r):e[o]===t[o]))return!1;return!0}(e,t,r):Ra.isMap(e)?e.equals(t):"object"==Pn(e)?function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e===t)return!0;if(!e||!t)return!1;var n=Object.keys(e),o=Object.keys(t),i=n.length;if(o.length!==i)return!1;for(var a=0;a<i;a++){var l=n[a];if(!(r?Ts(e[l],t[l],r):e[l]===t[l]))return!1}return!0}(e,t,r):e===t)};var _s=function(e){return"object"===Pn(e)&&null!==e&&"function"==typeof e.toJS};function ws(e){return _s(e)?e:new fs.List(e)}function Rs(e){return _s(e)?e.toJS():e}var As=function(e){return e.replace(/[.*+?^${}()|[\]\\/]/g,"\\$&")},Cs=function(e,t,r,n,o,i){if(Array.isArray(e))return t},Is=function e(t){var r;if(t instanceof Array)return t.map((function(t,r){return e(t)}));if("object"===Pn(t)&&null!==t&&Ls(t)){var n,o=gs()(t,["$$typeof","_owner","_store","ref","key"]);return o.type&&(o.type="string"==typeof(r=o.type)?r:"function"==typeof r?r.name:r),null!=o&&null!==(n=o.props)&&void 0!==n&&n.children&&(o.props.children=e(o.props.children)),o}return t},Ls=function(e){return"object"===Pn(e)&&null!==e&&!Array.isArray(e)&&Object.keys(e).includes("type")&&Object.keys(e).includes("props")&&Object.keys(e).includes("key")&&Object.keys(e).includes("ref")&&Object.keys(e).includes("$$typeof")},Ns=function(e){return"object"===Pn(e)&&null!==e&&!Array.isArray(e)&&"string"==typeof e.type&&Object.keys(e).includes("props")},Ps=function(e){return"object"===Pn(e)&&null!==e&&!Array.isArray(e)&&1===Object.keys(e).length};function xs(e){return new Promise((function(t){setTimeout(t,e)}))}function ks(e,t){return e||(e=[]),t||(t=[]),t.map((function(t){return[t,e.indexOf(t)]})).map((function(e,t,r){var n=$n(e,2),o=n[0];if(-1==n[1]){var i=r.slice(t+1),a=r.slice(0,t).reverse().find((function(e){var t=$n(e,2);return t[0],-1!=t[1]})),l=i.find((function(e){var t=$n(e,2);return t[0],-1!=t[1]}));return l?[o,"before",l[0]]:a?[o,"after",a[0]]:[o,"append",null]}return null})).filter((function(e){return null!==e})).reduce((function(e,t){var r=$n(t,3),n=r[0],o=r[1],i=r[2],a=e.indexOf(i);return-1==e.indexOf(n)&&(a>-1?e.splice(a+("after"==o?1:0),0,n):e.splice("append"==o?1/0:0,0,n)),e}),e.slice())}var Fs=function e(t){"object"===Pn(t)&&null!==t&&(Object.keys(t).forEach((function(r){e(t[r])})),Object.freeze(t))},js=function e(t,r){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:[];if(ys(t)){if(t.var)return n[t.var]=r,!0;if(!ys(r))return!1;for(var i in t)if(!e(t[i],r[i],n,[].concat(Kn(o),[i])))return!1;return!0}if(Array.isArray(t)){if(!Array.isArray(r))return!1;for(var a=0;a<t.length;a++)if(!e(t[a],r[a],n,[].concat(Kn(o),[a])))return!1;return!0}return t===r},Ds=function(){var e=arguments.length>0&&void 0!==arguments[0]&&arguments[0];return(null!=e?e:("undefined"!=typeof process&&process.env,0))?console:{error:function(){},log:function(){},warn:function(){},debug:function(){},info:function(){}}},Ms=function(){for(var e,t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],r=0;r<t.length;r++){var n=t[r];if(void 0!==n){e=n;break}}return e},Vs=Ds(),Us=p(6834),Bs=p.n(Us),qs=p(4308),Gs=p.n(qs),Ks=p(8831),Ws=p.n(Ks),zs=p(2815),$s=p.n(zs),Hs=p(8906),Ys=p.n(Hs);function Qs(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function Xs(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Js(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Xs(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Xs(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Zs=function(e){return"object"==Pn(e)&&null!==e&&!Array.isArray(e)},eu=function(e,t){return null==e||""==e?void 0:Zs(e)?Js(Js({},e),{},{title:e.title||e.value}):{value:e,title:void 0!==t?t:""+e}},tu=function(e){var t=eu(e);return Zs(t)?Js(Js({},eu(e)),{},{isCustom:!0}):t},ru=function(e){if(Array.isArray(e))return e.map((function(e){return eu(e)}));if(!Zs(e))return e;var t=[];for(var r in e){var n=e[r];t.push(eu(r,n))}return t},nu=function(e,t){return Array.isArray(e)?e.map((function(e){return eu(e)})).find((function(e){return""+e.value==""+t})):void 0!==e[t]?eu(t,e[t]):void 0},ou=function(e,t){if(null==e)return t;var r=nu(e,t);return void 0!==r?r.title:t},iu=function(e,t){if(null==e)return t;var r=nu(e,t);return void 0!==r?r.value:t},au=function(e,t){var r=[];if(Array.isArray(e)){var n,o=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Qs(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Qs(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(e);try{for(o.s();!(n=o.n()).done;){var i=n.value,a=t(eu(i));null!=a&&r.push(a)}}catch(e){o.e(e)}finally{o.f()}}else for(var l in e){var s=t(eu(l,e[l]));null!=s&&r.push(s)}return r},lu=function(e,t){return au(t,(function(t){return-1!="".concat(t.value).indexOf(e)||-1!=t.title.indexOf(e)?t:null})).filter((function(e){return null!==e})).shift()},su=function(e,t){return au(t,(function(t){return""+t.value==""+e?t:null})).filter((function(e){return null!==e})).shift()},uu=function(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];return e.interpose("children1").withMutations((function(e){return e.skip(1),e.push.apply(e,r),e}))},cu=function(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];return e.interpose("children1").withMutations((function(e){return e.push.apply(e,r),e}))},du=function(e,t){var r=new fs.OrderedMap(Un({},e.get("id"),e)),n=e;return t.forEach((function(e){var t;n=r.get(e),r=null===(t=n)||void 0===t?void 0:t.get("children1")})),n},pu=function(e){var t=e;return function e(r,n){var o=arguments.length>2&&void 0!==arguments[2]&&arguments[2],i=n.push(r.get("id")),a=r.getIn(["properties","isLocked"]);o&&a&&(t=t.deleteIn(uu(i,"properties","isLocked")));var l=r.get("children1");l&&l.map((function(t,r){e(t,i,a||o)}))}(e,new fs.List),t},fu=function(e){var t=e;return function e(r,n,o,i){if(r){var a=r.get("path"),l=r.get("id"),s=l||i||ms(),u=n.push(s);a&&a.equals(u)||(t=t.setIn(uu(u,"path"),u)),l||(t=t.setIn(uu(u,"id"),s));var c=r.get("children1");c&&("Map"===c.constructor.name&&(t=t.setIn(uu(u,"children1"),new fs.OrderedMap(c))),c.map((function(t,r){e(t,u,o+1,r)})))}}(e,new fs.List,0),t},hu=function(e){var t=e;return function e(r,n,o,i){if(!r)return!1;var a=r.get("id")||i,l=n.push(a),s=r.get("children1");if(s){var u=s.map((function(t,r){return e(t,l,o+1,r)})).reduce((function(e,t){return e&&t}),!0);if((0==s.size||u)&&o>0)return t=t.deleteIn(uu(l)),!0}return!1}(e,new fs.List,0),t},gu=function(e){var t=[],r={},n=[],o=0,i=0,a=0,l={};!function s(u,c,d,p,f,h,g,v){var m=u===e,y=u.get("type"),b=u.get("collapsed"),E=u.get("id"),O=u.get("children1"),S=u.getIn(["properties","isLocked"]),T=O?O.map((function(e,t){return t})).valueSeq().toArray():null,_="rule_group"===y,w="rule"===y,R="group"===y,A="case_group"===y,C=!f&&(!O||_),I=(null==T?void 0:T.length)>0,L=c.length?c[c.length-1]:null,N=A?E:g;A&&(n.push(E),i=0,a=0,l={});var P,x=N?n.indexOf(N):null,k=t.length,F=o;m||((P={}).caseNo=x,P.globalNoByType=l[y]||0,P.indexPath=[].concat(Kn(c.slice(1).map((function(e){return r[e].childNo}))),[v]),w?P.globalLeafNo=i:R&&(P.globalGroupNo=a)),t.push(E),r[E]={node:u,index:k,id:E,type:y,parent:L,parentType:L?r[L].type:null,children:T,childNo:v,caseId:N,caseNo:x,path:c.concat(E),lev:h,isLeaf:!O,isAtomicRule:C,isLocked:S||p,top:d?null:F,isDefaultCase:A?!O:void 0,atomicRulesCountInCase:A?0:void 0,position:P,collapsed:b,_top:k,leaf:!O};var j=0,D=0;d||(o+=1,j+=1,!I||b||_||(D+=1),m||A||(R&&a++,w&&i++,l[y]=(l[y]||0)+1)),g&&C&&r[g].atomicRulesCountInCase++;var M=0,V=0;if(I){var U=0;O.map((function(e,t){if(e){s(e,c.concat(E),d||b,p||S,f||_,h+1,N,U);var n=r[t];M=Math.max(M,n.depth||0),V+=n.height,U++}}))}j+=V,D+=M;var B=t.length-k,q=d?null:F+j;Object.assign(r[E],{depth:O?D:void 0,_height:B,height:j,bottom:q})}(e,[],!1,!1,!1,0,null,null);for(var s=0;s<t.length;s++){var u=s>0?t[s-1]:null,c=s<t.length-1?t[s+1]:null,d=r[t[s]];d.prev=u,d.next=c}return{flat:t,items:r,cases:n}},vu=function(e){if(!e)return-1;var t=0;return function e(r,n,o){var i,a,l;"function"==typeof r.get?(i=r.get("id"),a=r.get("children1"),l=r.get("type")):(i=r.id,a=r.children1,l=r.type),t++,a&&"rule_group"!=l&&a.map((function(t,r){t&&e(t,n.concat(i),o+1)}))}(e,[],0),t-1},mu=function(e){if(!e)return-1;var t=0;return function e(r,n,o){var i,a,l;"function"==typeof r.get?(i=r.get("id"),a=r.get("children1"),l=r.get("type")):(i=r.id,a=r.children1,l=r.type),"rule"==l||"rule_group"==l?t++:a&&a.map((function(t,r){t&&e(t,n.concat(i),o+1)}))}(e,[],0),t},yu=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n=e;return function e(n,o){t&&n.path&&delete n.path,t&&!r&&o&&delete n.id;var i=n.properties;i&&null==i.operatorOptions&&delete i.operatorOptions;var a=n.children1;if(a){for(var l in a)a[l]&&e(a[l],l);r&&(n.children1=Object.values(a))}}(e,null),n},bu=function(e){var t=[],r=e.get("children1");return r&&r.map((function(e){var r,n=e.getIn(["properties","value"]);n&&1==n.size?(r=n.get(0),Array.isArray(r)&&0==r.length&&(r=null)):r=null,t=[].concat(Kn(t),[r])})),t},Eu=function(e){return!e.get("children1")||0==e.get("children1").size},Ou=function(e,t){return e.getIn(uu(t,"children1")).size>0},Su=function(e){if(null!=e&&e.toJS){var t,r=null==e||null===(t=e.toJS)||void 0===t?void 0:t.call(e);return null!=r&&r.func?e.toOrderedMap():r}return e},Tu=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2];if(e){var n=e;return n=n.toJS(),yu(n,t,r)}},_u=function(e){if(wu(e))return e;if(Ru(e))return fu(Au(e));if("string"==typeof e&&e.startsWith('["~#iM"'))throw new Error("You are trying to load query in obsolete serialization format (Immutable string) which is not supported in versions starting from 2.1.17");if("string"==typeof e)return fu(Au(JSON.parse(e)));throw new Error("Can't load tree!")},wu=function(e){return Ra.isMap(e)},Ru=function(e){return"object"==Pn(e)&&("group"==e.type||"switch_group"==e.type)};function Au(e){var t=cs(e,(function(e,t,r){var n,o=r&&r.length>3&&"value"===r[r.length-1]&&"args"===r[r.length-3],i=r&&r.length>3&&"value"===r[r.length-1]&&"properties"===r[r.length-2];if("properties"==e){n=t.toOrderedMap();for(var a=0;a<2;a++){var l,s,u;null===(null===(l=n.get("value"))||void 0===l||null===(s=(u=l).get)||void 0===s?void 0:s.call(u,a))&&(n=n.setIn(["value",a],void 0))}}else n=o?Su(t):(r?i:"value"==e)&&fs.Iterable.isIndexed(t)?t.map(Su).toList():"asyncListValues"==e?t.toJS():"children1"==e&&fs.Iterable.isIndexed(t)?new fs.OrderedMap(t.map((function(e){return[(null==e?void 0:e.get("id"))||ms(),e]}))):fs.Iterable.isIndexed(t)?t.toList():t.toOrderedMap();return n}));return t}function Cu(e){return Wn(e)||qn(e)||Gn(e)||zn()}var Iu=p(2468),Lu=p.n(Iu);function Nu(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Pu(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Pu(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Pu(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function xu(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function ku(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?xu(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):xu(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Fu=function(e){return{errors:[],settings:null==e?void 0:e.settings}},ju=function(e,t){return Du(e,t,!1)},Du=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n=Fu();n.settings={allowUnknownFields:!1,returnErrors:r};var o=Ch(t,void 0,!1),i=Mu(o),a=e?Vu(e,i,o,"rule",n):void 0;a&&"group"!=a.type&&(a=Ku(a,o));var l=a?_u(a):void 0;return r?[l,n.errors]:(n.errors.length&&console.warn("Errors while importing from JsonLogic:",n.errors),l)},Mu=function(e){var t={};for(var r in e.operators){var n=e.operators[r];if("string"==typeof n.jsonLogic){var o=(n._jsonLogicIsRevArgs?"#":"")+n.jsonLogic+"/"+Os(n);t[o]||(t[o]=[]),t[o].push(r)}else if("string"==typeof n.jsonLogic2){var i=n.jsonLogic2+"/"+Os(n);t[i]||(t[i]=[]),t[i].push(r)}}var a={};for(var l in e.conjunctions)a[e.conjunctions[l].jsonLogicConj||l.toLowerCase()]=l;var s,u={},c=Nu(jh(e));try{for(c.s();!(s=c.n()).done;){var d=$n(s.value,2),p=d[0],f=d[1],h=void 0;f.jsonLogicIsMethod?h="#"+f.jsonLogic:"string"==typeof f.jsonLogic&&(h=f.jsonLogic),h&&(u[h]||(u[h]=[]),u[h].push(p))}}catch(e){c.e(e)}finally{c.f()}var g=e.settings.jsonLogic;return{operators:t,conjunctions:a,funcs:u,varKeys:["var",g.groupVarKey,g.altVarKey]}},Vu=function e(t,r,n,o,i){var a,l,s,u=arguments.length>5&&void 0!==arguments[5]&&arguments[5],c=arguments.length>6?arguments[6]:void 0,d=arguments.length>7?arguments[7]:void 0,p=arguments.length>8&&void 0!==arguments[8]?arguments[8]:null;Ps(t)&&(l=t[a=Object.keys(t)[0]],Array.isArray(l)||(l=[l]));var f=i.errors.length,h=n.settings.jsonLogic.lockedOp,g="!"==a&&1==l.length&&l[0]&&Ps(l[0])&&r.varKeys.includes(Object.keys(l[0])[0]),v="!"==a&&!g,m=h&&a==h;m?s=e(l[0],r,n,o,i,u,c,d,p,!0):v?s=e(l[0],r,n,o,i,!u,c,d,p):"val"==o?s=Bu(a,l,r,n,u,i,p)||qu(a,l,r,n,u,c,i,p)||Uu(t,c,d,n,i):"rule"==o&&(s=Gu(a,l,r,n,u,i,p,!1)||zu(a,l,r,n,u,i,p));var y=i.errors.length;return"!"!=a&&void 0===s&&y==f&&i.errors.push("Can't parse logic ".concat(JSON.stringify(t))),m&&(s.properties.isLocked=!0),s},Uu=function(e,t,r,n,o){var i;if(void 0===e&&(e=null==t?void 0:t.defaultValue),void 0!==e){var a=n.widgets[r||(null==t?void 0:t.mainWidget)],l=null==t?void 0:t.type;if(!l||a){if(!Ps(e)){if("time"==l&&"number"==typeof e){var s=Math.floor(e/60/60)%24,u=Math.floor(e/60)%60,c=e%60,d=a.valueFormat;if(d){var p=new Date(e);p.setMilliseconds(0),p.setHours(s),p.setMinutes(u),p.setSeconds(c),e=Lu()(p).format(d)}else e="".concat(s,":").concat(u,":").concat(c)}if(["date","datetime"].includes(l)&&e&&!(e instanceof Date))try{var f=new Date(e);f instanceof Date&&f.toISOString()===e&&(e=f)}catch(t){o.errors.push("Can't convert value ".concat(e," as Date")),e=void 0}if(e instanceof Date&&t){var h=a.valueFormat;h&&(e=Lu()(e).format(h))}var g;return e&&null!=t&&null!==(i=t.fieldSettings)&&void 0!==i&&i.asyncFetch&&(g=Array.isArray(e)?e:[e]),{valueSrc:"value",value:e,valueType:null==a?void 0:a.type,asyncListValues:g}}o.errors.push("Unexpected logic in value: ".concat(JSON.stringify(e)))}else o.errors.push("No widget for type ".concat(l))}},Bu=function(e,t,r,n,o,i){var a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null;if(r.varKeys.includes(e)&&"string"==typeof t[0]){var l,s=Uh(n,t[0],a),u=Yh(n,s);return u||null!==(l=i.settings)&&void 0!==l&&l.allowUnknownFields?{valueSrc:"field",value:s,valueType:null==u?void 0:u.type}:void i.errors.push("No config for field ".concat(s))}},qu=function(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,a=arguments.length>6?arguments[6]:void 0,l=arguments.length>7&&void 0!==arguments[7]?arguments[7]:null;if(e){var s,u,c,d="method"==e;if(d){var p,f,h=Cu(t);p=h[0],s=h[1],f=h.slice(2),u=[p].concat(Kn(f))}else s=e,u=t;var g=(d?"#":"")+s,v=(null==i?void 0:i.type)||(null==i?void 0:i.returnType),m=(r.funcs[g]||[]).filter((function(e){return!i||qh(n,e).returnType==v}));if(m.length)c=m[0];else{var y,b=Un({},e,t),E=Nu(jh(n));try{for(E.s();!(y=E.n()).done;){var O=$n(y.value,2),S=O[0],T=O[1];if(T.jsonLogicImport&&(!v||T.returnType==v)){var _=void 0;try{_=T.jsonLogicImport(b)}catch(e){}_&&(c=S,u=_)}}}catch(e){E.e(e)}finally{E.f()}}if(c&&c){var w=qh(n,c),R=Object.keys(w.args||{}),A=u.reduce((function(e,t,o){var i,s=R[o],u=w.args[s];return u&&(i=Vu(t,r,n,"val",a,!1,u,null,l)),void 0!==i?ku(ku({},e),{},Un({},s,i)):e}),{});for(var C in w.args){var I,L=w.args[C],N=A[C];if(void 0===N)if(void 0!==(N=null==L?void 0:L.defaultValue)&&(N={value:N,valueSrc:null!==(I=N)&&void 0!==I&&I.func?"func":"value",valueType:L.type}),void 0===N){if(null==L||!L.isOptional)return void a.errors.push("No value for arg ".concat(C," of func ").concat(c))}else A[C]=N}return{valueSrc:"func",value:{func:c,args:A},valueType:w.returnType}}}},Gu=function(e,t,r,n,o,i){var a,l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,s=r.conjunctions[e],u=n.settings.fieldSeparator;if(s){var c=t.map((function(e){return Vu(e,r,n,"rule",i,!1,null,null,l)})).filter((function(e){return void 0!==e})).reduce((function(e,t){return ku(ku({},e),{},Un({},t.id,t))}),{}),d=Object.values(c).map((function(e){var t,r;return"field"==(null==e||null===(t=e.properties)||void 0===t?void 0:t.fieldSrc)&&(null==e||null===(r=e.properties)||void 0===r?void 0:r.field)})).filter((function(e){var t;return null==e||null===(t=e.includes)||void 0===t?void 0:t.call(e,u)})),p=Object.fromEntries((a=d,Array.from(new Set(a))).map((function(e){var t=e.split(u),r=Object.fromEntries(t.slice(0,-1).map((function(e,t,r){return[].concat(Kn(r.slice(0,t)),[e])})).map((function(e){return[e.join(u),Yh(n,e)]})).filter((function(e){var t=$n(e,2),r=(t[0],t[1]);return"!group"==(null==r?void 0:r.type)})));return[e,Object.keys(r)]}))),f={conjunction:s,not:o},h=ms(),g={},v={};return Object.entries(c).map((function(e){var t=$n(e,2),r=t[0],o=t[1];if("group"==(null==o?void 0:o.type)||"rule_group"==(null==o?void 0:o.type))g[r]=o;else{var i,a=null==o||null===(i=o.properties)||void 0===i?void 0:i.field,c=p[a]||[],d=c[c.length-1];if(d){var f=g,h=zh(l,n),m=zh(d,n);Ts(h,m.slice(0,h.length))||(h=[]);var y=d.split(u).slice(h.length).map((function(e,t,r){return[].concat(Kn(h),Kn(r.slice(0,t)),[e]).join(u)})).map((function(e){return{f:e,fc:Yh(n,e)||{}}})).filter((function(e){return"!struct"!=e.fc.type}));y.map((function(e,t){var r=e.f,n=e.fc,o=v[r];o||(o=ms(),v[r]=o,f[o]={type:"rule_group",id:o,children1:{},properties:{conjunction:s,not:!1,field:r,fieldSrc:"field",mode:n.mode}}),f=f[o].children1})),f[r]=o}else o&&(g[r]=o)}})),{type:"group",id:h,children1:g,properties:f}}},Ku=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];return{type:"group",id:ms(),children1:Un({},e.id,e),properties:{conjunction:ad(t),not:r}}},Wu=function(e,t,r,n,o,i,a,l){var s,u,c=!(("all"==e||"some"==e)&&Ps(r[1])&&"in"==Object.keys(r[1])[0]&&""===(null===(s=r[1].in[0])||void 0===s?void 0:s.var))&&i.settings.groupOperators.includes(e),d=c?0:t-1;c?d=0:["==","!="].includes(e)&&1==d&&null===r[1]&&(t=1,d=0,r=[r[0]]);var p=e+"/"+d,f=o.operators[(a?"#":"")+p];if(f){var h,g=[];if(["<","<=",">",">="].includes(e)&&3==t)h=r[1],g=[r[0],r[2]];else if(a)h=r[1],g=[r[0]];else{var v=Cu(r);h=v[0],g=v.slice(1)}if(Ps(h)){var m=function(e,t,r,n,o){var i,a,l,s,u=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,c=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,d=arguments.length>7?arguments[7]:void 0,p=arguments.length>8&&void 0!==arguments[8]?arguments[8]:null,f=Object.keys(t)[0],h=Object.values(t)[0],g=function(e,t){return function(e,t,r,n,o,i){var a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null;Array.isArray(t)||(t=[t]);var l=Bu(e,t,r,n,o,i,a);if(l)return{fieldSrc:"field",field:l.value}}(e,t,n,o,u,d,p)||function(e,t,r,n,o){var i=qu(e,t,r,n,o,arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,arguments.length>6?arguments[6]:void 0,arguments.length>7&&void 0!==arguments[7]?arguments[7]:null);if(i)return{fieldSrc:"func",field:i.value}}(e,t,n,o,u,c,d,p)},v=d.errors.length,m=g(f,h);if(m&&(i=m.field,a=m.fieldSrc),e&&(s=!0,l=r[0],r=[]),"reduce"==f&&Array.isArray(h)&&3==h.length){var y=$n(h,3),b=y[0],E=y[1],O=y[2];if(Ps(b)&&0==O&&Ps(E)&&Array.isArray(E["+"])&&1==E["+"][0]&&Ps(E["+"][1])&&"accumulator"==E["+"][1].var)if(f=Object.keys(b)[0],h=Object.values(b)[0],"filter"==f){var S=$n(h,2),T=S[0],_=S[1];if(Ps(T)){var w=g(f=Object.keys(T)[0],h=Object.values(T)[0]);w&&(i=w.field,a=w.fieldSrc,l=_,s=!0)}}else{var R=g(f,h);R&&(i=R.field,a=R.fieldSrc,s=!0)}}var A=d.errors.length;if(i||A!=v||d.errors.push("Unknown LHS ".concat(JSON.stringify(t))),i)return{field:i,fieldSrc:a,having:l,isGroup:s,args:r}}(c,h,g,o,i,null,null,l,n);if(m){var y=m.field,b=m.fieldSrc,E=m.having,O=(m.isGroup,m.args),S=Yh(i,y);if(S||null!==(u=l.settings)&&void 0!==u&&u.allowUnknownFields){var T=f[0];if(f.length>1&&S&&S.operators){if(0==(f=f.filter((function(e){return S.operators.includes(e)}))).length)return void l.errors.push("No corresponding ops for LHS ".concat(y));T=f[0]}return{field:y,fieldSrc:b,fieldConfig:S,opKey:T,args:O,having:E}}l.errors.push("No config for LHS ".concat(y))}}else l.errors.push("Incorrect operands for ".concat(e,": ").concat(JSON.stringify(r)))}},zu=function e(t,r,n,o,i,a){var l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null;if(t){var s=r.length;if(("all"==t||"some"==t)&&Ps(r[1])){var u,c=Object.keys(r[1])[0],d=""===(null===(u=r[1][c][0])||void 0===u?void 0:u.var);"in"==c&&d&&(r=[r[0],r[1][c][1]],t=t+"-"+c)}var p=function(e,t,r,n,o,i,a){var l=Fu(a),s=Wu(e,t,r,n,o,i,!1,l);if(s||(s=Wu(e,t,r,n,o,i,!0,Fu(a))),s)return s;a.errors.push(l.errors.join("; ")||"Unknown op ".concat(e,"/").concat(t))}(t,s,r,l,n,o,a);if(p){var f,h,g=p.field,v=p.fieldSrc,m=p.fieldConfig,y=p.opKey,b=p.args,E=p.having,O=o.operators[y],S=(void 0!==(null==m?void 0:m.showNot)?m.showNot:o.settings.showNot,!1);if("!group"==(null==m?void 0:m.type)&&E){h=E[f=Object.keys(E)[0]],Array.isArray(h)||(h=[h]);var T="!"==f&&1==h.length&&h[0]&&Ps(h[0])&&n.varKeys.includes(Object.keys(h[0])[0]);"!"!=f||T||(S=!0,h=(E=E["!"])[f=Object.keys(E)[0]],Array.isArray(h)||(h=[h]))}i&&O.reversedOp&&(i=!1,y=O.reversedOp,O=o.operators[y]);var _=Uf(o,g,y,null),w=b.map((function(e){return Vu(e,n,o,"val",a,!1,m,_,l)}));if(!w.filter((function(e){return void 0===e})).length){var R,A=null==m?void 0:m.type;if("!group"!==A&&"!struct"!==A||(A=null),"!group"==(null==m?void 0:m.type)&&E){if(void 0!==n.conjunctions[f])R=Gu(f,h,n,o,S,a,g,!0),S=!1;else{var C=e(f,h,n,o,S,a,g);S=!1,R=function(e,t,r,n,o){if(e)return{type:"rule_group",id:ms(),children1:Un({},e.id,e),properties:{conjunction:o||id(n,r),not:!1,field:t}}}(C,g,m,o,n.conjunctions.and)}if(!R)return;R.type="rule_group",Object.assign(R.properties,{field:g,mode:m.mode,operator:y}),"array"==m.mode&&Object.assign(R.properties,{value:w.map((function(e){return e.value})),valueSrc:w.map((function(e){return e.valueSrc})),valueType:w.map((function(e){return e.valueType}))}),i&&(R=Ku(R,o,i))}else if("!group"!=(null==m?void 0:m.type)||E){var I=w.map((function(e){return e.asyncListValues})).filter((function(e){return null!=e})),L=I.length?I[0]:void 0;R={type:"rule",id:ms(),properties:ku({field:g,fieldSrc:v,operator:y,value:w.map((function(e){return e.value})),valueSrc:w.map((function(e){return e.valueSrc})),valueType:w.map((function(e){return e.valueType}))},L?{asyncListValues:L}:{})},i&&(R=Ku(R,o,i))}else R={type:"rule_group",id:ms(),children1:{},properties:{conjunction:id(o,m),not:i,mode:m.mode,field:g,operator:y}},"array"==m.mode&&Object.assign(R.properties,{value:w.map((function(e){return e.value})),valueSrc:w.map((function(e){return e.valueSrc})),valueType:w.map((function(e){return e.valueType}))});return R}}}},$u=p(138),Hu=p(358),Yu=p.n(Hu)();Yu.trim=function(e){return"'"==e.charAt(0)?e.substring(1,e.length-1):e},Yu.escapeLike=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n=Yu.escape(e);return"'"+(n=(t?"%":"")+(n=(n=Yu.trim(n)).replace(/[%_]/g,"\\$&"))+(r?"%":""))+"'"};var Qu=function(e){var t="''",r=null==e?void 0:e.type;return"date"==r?t="'0000-00-00'":"datetime"==r?t="'0000-00-00 00:00'":"time"==r?t="'00:00'":"number"==r&&(t="0"),t},Xu=function(e){var t="";return"number"==(null==e?void 0:e.type)&&(t=0),t},Ju=function(e){return"".concat(e,".?[true]")},Zu=function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1],r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(null==e)return"null";switch(Pn(e)){case"boolean":return e?"true":"false";case"number":if(!Number.isFinite(e)||isNaN(e))return;return e+(!Number.isInteger(e)||t?"f":"");case"object":if(Array.isArray(e))return function(e){var t,r,n,o=arguments.length>1&&void 0!==arguments[1]&&arguments[1],i=["int","float"];return e.map((function(e){if(null!=e){if("string"==typeof e)r="String";else{if("number"!=typeof e)throw new Error("spelEscape: Can't use value ".concat(e," in array"));r=Number.isInteger(e)?"int":"float"}if(t){if(t!=r){if(!i.includes(t)||!i.includes(r))throw new Error("spelEscape: Can't use different types in array: found ".concat(t," and ").concat(r));t="float"}}else t=r}})),t||(t="String"),n="float"==t?e.map((function(e){return Zu(e,!0)})):e.map((function(e){return Zu(e)})),o?"new ".concat(t,"[]{").concat(n.join(", "),"}"):"{".concat(n.join(", "),"}")}(e,r);throw new Error("spelEscape: Object is not supported");default:return function(e){return"'"+e.replace(/'/g,"''")+"'"}(e)}},ec=function(e){return e&&Array.isArray(e)&&e.length?e.map((function(e){return"const"==e.type?Zu(e.value):"property"==e.type?""+e.value:"variable"==e.type?"#"+e.value:void 0})).filter((function(e){return null!=e})).join(" + "):"null"},tc=function(e){if(null==e)return[void 0,[]];var t=[];return[("case_value"==e.valueType?e.value:[e]).map((function(e){return"value"==e.valueSrc?null===e.value?void 0:{type:"const",value:e.value}:"field"==e.valueSrc?{type:e.isVariable?"variable":"property",value:e.value}:void t.push("Unsupported valueSrc ".concat(e.valueSrc," in concatenation"))})).filter((function(e){return null!=e})),t]},rc=function(e){return null==e?"NULL":e.toString()};function nc(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return oc(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?oc(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function oc(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function ic(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function ac(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?ic(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):ic(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var lc="${0}.compareTo(${1})",sc={datetime:!0,time:!0,date:!0},uc=function(e,t){return cc(e,t,!1)},cc=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n={errors:[]},o=Ch(t,void 0,!1),i=dc(e,o,n,null);return r?[i,n.errors]:(n.errors.length&&console.warn("Errors while exporting to SpEL:",n.errors),i)},dc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;if(e){var o=e.get("type");return"group"===o||"rule_group"===o?hc(e,t,r,n):"rule"===o?mc(e,t,r,n):"switch_group"==o?fc(e,t,r,n):"case_group"==o?pc(e,t,r,n):void 0}},pc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=e.get("type");if("case_group"==o){var i=e.get("properties")||new Ra,a=$n(bc(t,i,r,null,n,"!case_value"),3),l=a[0];return a[1],a[2],[hc(e,t,r,n),l]}r.errors.push("Unexpected child of type ".concat(o," inside switch"))},fc=function(e,t,r){e.get("properties")||new Ra;var n=e.get("children1");if(n){var o=n.map((function(e){return pc(e,t,r,null)})).filter((function(e){return void 0!==e})).valueSeq().toArray();if(o.length){if(1==o.length&&!o[0][0])return o[0][1];for(var i=[],a=0;a<o.length;a++)a==o.length-1||o[a][0]?(i.push(o[a]),a==o.length-1&&o[a][0]&&i.push([void 0,null])):r.errors.push("No condition for case ".concat(a));for(var l="",s="",u=0;u<i.length;u++){var c=$n(i[u],2),d=c[0],p=c[1];null==p&&(p="null"),null==d&&(d="true"),u!=i.length-1?(l+="(".concat(d," ? ").concat(p," : "),s+=")"):l+="".concat(p)}return l+s}}},hc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=e.get("type"),i=e.get("properties")||new Ra,a=i.get("mode"),l=e.get("children1")||new Qa,s=i.get("field"),u=i.get("conjunction");u||(u=ad(t));var c=t.conjunctions[u],d=i.get("not"),p="rule_group"===o,f=p&&"struct"!=a,h=f?s:n,g=(Yh(t,h)||{}).isSpelArray,v=t.settings.fieldSeparator,m=i.get("operator");m||a&&"some"!=a||(m="some");var y=vc(t,m,s),b=y!=m,E=m&&Qh(t,y,s)||null,O=p&&(!y||0==E.cardinality),S=$n(bc(t,i,r,y,n,null),3),T=S[0],_=S[1],w=S[2],R=l.map((function(e){return dc(e,t,r,h)})).filter((function(e){return void 0!==e}));if(f&&!O){if(null==T)return}else if(!R.size)return;var A,C=p,I=R.size?c.spelFormatConj(R,u,d,C):null;if(f){var L=Oc(r,t,s,n),N=(v||".")+(g?"length":"size()"),P="".concat(L).concat(N),x=I?"".concat(L,".?[").concat(I,"]").concat(N):P;A=gc(r,t,i,x,O?P:T,y,_,w,b)}else A=I;return A},gc=function(e,t,r,n,o,i,a,l){var s=arguments.length>8&&void 0!==arguments[8]&&arguments[8],u=r.get("field"),c=Qh(t,i,u)||{},d=Yh(t,u)||{},p=r.get("operatorOptions"),f=c.spelFormatOp||function(e,t,r){var n=t.spelOp;if(n){var o,i=n.includes("${0}"),a=sc[r],l=n,s=Os(t);return a?o=function(e,t,r,n,o,i,a,u){var c=lc.replace(/\${(\w+)}/g,(function(t,n){return 0==n?e:s>1?r[n-1]:r}));return"".concat(c," ").concat(l," 0")}:i?o=function(e,t,r,o,i,a,l,u){return n.replace(/\${(\w+)}/g,(function(t,n){return 0==n?e:s>1?r[n-1]:r}))}:0==s?o=function(e,t,r,n,o,i,a,s){return"".concat(e," ").concat(l)}:1==s&&(o=function(e,t,r,n,o,i,a,s){return"".concat(e," ").concat(l," ").concat(r)}),o}}(0,c,l);if(f){var h,g=[n,i,o,a,l,gs()(c,Es),p,d];return h=f.call.apply(f,[t.ctx].concat(g)),s&&(h=t.settings.spelFormatReverse(h)),void 0===h&&e.errors.push("Operator ".concat(i," is not supported for value source ").concat(a)),h}e.errors.push("Operator ".concat(i," is not supported"))},vc=function(e,t,r){if(t){var n=Qh(e,t,r)||{},o=n.reversedOp,i=Qh(e,o,r)||{},a=n.spelOp||n.spelFormatOp,l=i.spelOp||i.spelFormatOp;if(a||l){if(!a&&l){var s=[o,t];t=s[0],o=s[1];var u=[i,n];n=u[0],i=u[1]}return t}}},mc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=e.get("properties")||new Ra,i=o.get("field"),a=o.get("fieldSrc"),l=o.get("operator");if(null!=i&&null!=l){var s=vc(t,l,i);if(s){var u=s!=l,c=$n(bc(t,o,r,s,n,null),3),d=c[0],p=c[1],f=c[2];if(void 0!==d){var h=yc(r,t,i,a,n);if(void 0!==h)return gc(r,t,o,h,d,s,p,f,u)}}else r.errors.push("Operator ".concat(l," is not supported"))}},yc=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;return"func"===n?Sc(e,t,r,o):Oc(e,t,r,o)},bc=function(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,a=t.get("field"),l=t.get("valueSrc"),s=t.get("valueType");("!case_value"==i||s&&"case_value"==s.get(0))&&(a="!case_value");var u,c=Yh(e,a)||{},d=Qh(e,n,a)||{},p=Os(d),f=t.get("value"),h=t.get("asyncListValues"),g=[],v=[];if(null!=f){var m=f.map((function(t,i){var u=l?l.get(i):null,p=s?s.get(i):null,f=Xf(t,u,e),m=Uf(e,a,n,u),y=gs()(Xh(e,a,n,m,u),["factory"]),b=Ec(r,e,f,u,p,y,c,n,d,o,h);return void 0!==b&&(g.push(u),v.push(p)),b})),y=m.filter((function(e){return void 0===e})).size>0;m.size<p||y||(u=p>1?m.toArray():1==p?m.first():null)}return[u,g.length>1?g:g[0],v.length>1?v:v[0]]},Ec=function(e,t,r,n,o,i,a,l,s){var u=arguments.length>9&&void 0!==arguments[9]?arguments[9]:null,c=arguments.length>10?arguments[10]:void 0;if(void 0!==r){var d;if("field"===n)d=Oc(e,t,r,u);else if("func"===n)d=Sc(e,t,r,u);else if("function"==typeof i.spelFormatValue){var p=i.spelFormatValue,f=[r,ac(ac({},Ws()(a,["fieldSettings","listValues"])),{},{asyncListValues:c}),gs()(i,bs)];if(l&&(f.push(l),f.push(s)),"field"==n){var h=Yh(t,r)||{};f.push(h)}d=p.call.apply(p,[t.ctx].concat(f))}else d=Zu(r);return d}},Oc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;if(r){var o=t.settings.fieldSeparator,i=Yh(t,r)||{},a=zh(r,t),l=kf(r,t,n),s=t.settings.formatSpelField,u=Bf(r,t,e,n),c=l.map((function(e){var t,r=$n(e,3),n=r[0],i=r[1],a=r[2];return a&&(t="!struct"==a.type||"!group"==a.type&&"struct"==a.mode?i.isSpelMap?"map":"class":"!group"==a.type?i.isSpelItemMap?"[map]":"[class]":"class"),{key:n,parent:t,isSpelVariable:null==i?void 0:i.isSpelVariable,fieldSeparator:o}}));return s.call(t.ctx,u,n,a,c,i,t)}},Sc=function(e,t,r){var n,o,i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,a=null===(n=r.get)||void 0===n?void 0:n.call(r,"func"),l=null===(o=r.get)||void 0===o?void 0:o.call(r,"args"),s=qh(t,a);if(s){var u={},c=[],d=[];for(var p in s.args){var f,h,g=s.args[p],v=Yh(t,g),m=g.defaultValue,y=g.isOptional,b=null!=m&&m.func?"func":"value",E=l?l.get(p):void 0,O=E?E.get("value"):void 0,S=E?E.get("valueSrc"):void 0;"func"!==S&&null!==(f=O)&&void 0!==f&&f.toJS&&(O=O.toJS());var T=E?E.get("asyncListValues"):void 0,_=null===(h=g.spelEscapeForFormat)||void 0===h||h,w=null,R=Uf(t,g,w,S),A=gs()(Xh(t,g,w,R,S),["factory"]),C=Ec(e,t,O,S,g.type,A,v,null,null,i,T);if(null!=O&&void 0===C)return void("func"!=S&&e.errors.push("Can't format value of arg ".concat(p," for func ").concat(a)));var I=void 0;if(void 0===C&&!y&&null!=m){var L=Uf(t,g,w,b),N=gs()(Xh(t,g,w,L,b),["factory"]);if(void 0===(I=Ec(e,t,m,b,g.type,N,v,null,null,i,T)))return void("func"!=b&&e.errors.push("Can't format default value of arg ".concat(p," for func ").concat(a)))}var P=null!=C?C:I;if(void 0!==P){var x;if(c.length){var k,F=nc(c);try{for(F.s();!(k=F.n()).done;){var j=k.value;u[j]=void 0}}catch(e){F.e(e)}finally{F.f()}c=[]}u[p]=_?P:null!==(x=O)&&void 0!==x?x:m}else y||d.push(p),c.push(p)}if(!d.length){var D;if("function"==typeof s.spelFormatFunc){var M=s.spelFormatFunc,V=[u];D=M.call.apply(M,[t.ctx].concat(V))}else if(s.spelFunc){D=s.spelFunc.replace(/\${(\w+)}/g,(function(e,t){var r;return null!==(r=u[t])&&void 0!==r?r:e}));var U,B=Object.keys(s.args||{}).reverse().filter((function(e){return!!s.args[e].isOptional})),q=nc(B);try{for(q.s();!(U=q.n()).done;){var G=U.value;if(null!=u[G])break;D=D.replace(new RegExp("(, )?\\${"+G+"}","g"),"")}}catch(e){q.e(e)}finally{q.f()}D=D.replace(/\${(\w+)}/g,"null")}else e.errors.push("Func ".concat(a," is not supported"));return D}}else e.errors.push("Func ".concat(a," is not defined in config"))};function Tc(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return _c(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?_c(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function _c(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function wc(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Rc(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?wc(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):wc(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Ac={number:"number",string:"text",boolean:"boolean",null:"null"},Cc={String:"text"},Ic=function(e){return"object"==Pn(e)&&null!==e&&!Array.isArray(e)},Lc=function(e,t){return Nc(e,t,!0)},Nc=function(e,t){var r,n,o=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],i={errors:[]},a=Ch(t,void 0,!1),l=kc(a),s=void 0;try{r=$u.SpelExpressionEvaluator.compile(e)._compiledExpression}catch(e){i.errors.push(e)}r&&(n=Pc(r,i),Vs.debug("convertedObj:",n,i),(s=Fc(n,l,a,i))&&"group"!=s.type&&"switch_group"!=s.type&&(s=Qc(s,a,n.not)),Vs.debug("jsTree:",s));var u=s?_u(s):void 0;return o?[u,i.errors]:(i.errors.length&&console.warn("Errors while importing from SpEL:",i.errors),u)},Pc=function e(t,r){var n,o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,i=t.getType(),a=t.getChildren().map((function(n){return e(n,r,t)}));if("op-or"!=i&&"op-and"!=i||(a=a.reduce((function(e,t){var r=t.type!=i||t.not?[t]:t.children;return[].concat(Kn(e),Kn(r))}),[])),"op-not"==i)return 1!=a.length&&r.errors.push("Operator NOT should have 1 child, but got ".concat(a.length,"}")),Rc(Rc({},a[0]),{},{not:!a[0].not});if("compound"==i){var l=(a=a.filter((function(e){return!("selection"==e.type&&1==e.children.length&&"boolean"==e.children[0].type&&1==e.children[0].val)}))).find((function(e){return"selection"==e.type}));l&&1!=l.children.length&&r.errors.push("Selection should have 1 child, but got ".concat(l.children.length));var s=l?l.children[0]:null,u=a[a.length-1],c="method"==u.type&&"size"==u.val.methodName||"!func"==u.type&&"size"==u.methodName,d="property"==u.type&&"length"==u.val,p=a.filter((function(e){return e!==l&&e!==u})),f={type:"compound",children:p};if((c||d)&&null!=Dc(p))return{type:"!aggr",filter:s,source:f};if(a=(a=a.filter((function(e){var t="variable"==e.type&&"this"==e.val,r="variable"==e.type&&"root"==e.val;return!(t||r)}))).map((function(e){return"indexer"==e.type&&1==e.children.length?{type:"indexer",val:e.children[0].val,itype:e.children[0].type}:e})),"!func"==u.type){var h={},g=h;do{var v,m;Object.assign(g,u),a=a.filter((function(e){return e!==u})),"!func"==(null===(m=u=a[a.length-1])||void 0===m?void 0:m.type)?(g.obj={},g=g.obj):a.length>1?g.obj={type:"compound",children:a}:g.obj=u}while("!func"==(null===(v=u)||void 0===v?void 0:v.type));return h}}try{t.getRaw?n=t.getRaw():0==t.getValue.length&&(n=t.getValue())}catch(e){Vs.error("[spel2js] Error in getValue()",e)}if("ternary"==i&&(n=xc(a)),"object"===Pn(n)&&null!==n&&(n.methodName||n.functionName)&&(n.args=n.args.map((function(n){return e(n,r,t)}))),"list"==i&&(n=n.map((function(n){return e(n,r,t)})),!o&&1==n.length))return n[0];if("constructorref"==i){var y=a.find((function(e){return"qualifiedidentifier"==e.type})),b=null==y?void 0:y.val;return b?{type:"!new",cls:b,args:a.filter((function(e){return"qualifiedidentifier"!=e.type}))}:void r.errors.push("Can't find qualifiedidentifier in constructorref children: ".concat(JSON.stringify(a)))}if("typeref"==i){var E=a.find((function(e){return"qualifiedidentifier"==e.type})),O=null==E?void 0:E.val;return O?(a.filter((function(e){return"qualifiedidentifier"!=e.type})),{type:"!type",cls:O}):void r.errors.push("Can't find qualifiedidentifier in typeref children: ".concat(JSON.stringify(a)))}if("function"==i||"method"==i){var S=n,T=S.functionName,_=S.methodName,w=S.args;return{type:"!func",methodName:T||_,isVar:"function"==i,args:w}}return{type:i,children:a,val:n}},xc=function(e){var t=[];return function e(r){var n=$n(r,3),o=n[0],i=n[1],a=n[2];t.push([o,i]),"ternary"==(null==a?void 0:a.type)?e(a.children):t.push([void 0,a])}(e),t},kc=function(e){var t={},r=function(r){var n=e.operators[r];if(n.spelOps)n.spelOps.forEach((function(e){var n=e;t[n]||(t[n]=[]),t[n].push(r)}));else if(n.spelOp){var o=n.spelOp;t[o]||(t[o]=[]),t[o].push(r)}else Vs.log("[spel] No spelOp for operator ".concat(r))};for(var n in e.operators)r(n);var o={};for(var i in e.conjunctions)o[e.conjunctions[i].spelConj||i.toLowerCase()]=i;var a,l={},s=Tc(jh(e));try{var u=function(){var e=$n(a.value,2),t=e[0],r=e[1],n=[],o=r.spelFunc;if("string"==typeof o){var i=Object.keys(r.args||{}).reverse().filter((function(e){return!!r.args[e].isOptional||null!=r.args[e].defaultValue})),s=o.replace(/\${(\w+)}/g,(function(e,t){return"?"})),u=i.reduce((function(e,t){return[].concat(Kn(e),[[t].concat(Kn(e[e.length-1]||[]))])}),[]).map((function(e){return o.replace(/(?:, )?\${(\w+)}/g,(function(t,r){return e.includes(r)?"":t})).replace(/\${(\w+)}/g,(function(e,t){return"?"}))}));n=[s].concat(Kn(u))}var c,d=Tc(n);try{for(d.s();!(c=d.n()).done;){var p=c.value;l[p]||(l[p]=[]),l[p].push(t)}}catch(e){d.e(e)}finally{d.f()}};for(s.s();!(a=s.n()).done;)u()}catch(e){s.e(e)}finally{s.f()}var c={};for(var d in e.widgets){var p=e.widgets[d],f=p.spelImportFuncs;if(p.type,f){var h,g=Tc(f);try{for(g.s();!(h=g.n()).done;){var v=h.value;if("string"==typeof v){var m=v.replace(/\${(\w+)}/g,(function(e,t){return"?"})),y=Kn(v.matchAll(/\${(\w+)}/g)).map((function(e){var t=$n(e,2);return t[0],t[1]}));c[m]||(c[m]=[]),c[m].push({w:d,argsOrder:y})}}}catch(e){g.e(e)}finally{g.f()}}}var b={};for(var E in e.operators){var O=e.operators[E].spelOp;if(null!=O&&O.includes("${0}")){var S=O.replace(/\${(\w+)}/g,(function(e,t){return"?"})),T=Kn(O.matchAll(/\${(\w+)}/g)).map((function(e){var t=$n(e,2);return t[0],t[1]}));b[S]||(b[S]=[]),b[S].push({op:E,argsOrder:T})}}return b[lc.replace(/\${(\w+)}/g,(function(e,t){return"?"}))]=[{op:"!compare",argsOrder:["0","1"]}],{operators:t,conjunctions:o,funcs:l,valueFuncs:c,opFuncs:b}},Fc=function e(t,r,n,o){var i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(t){var a,l=!0;if(0===t.type.indexOf("op-")||"matches"===t.type)a=jc(t,r,n,o,i);else if("!aggr"==t.type){var s,u=e(t.source,r,n,o,Rc(Rc({},t),{},{_groupField:null==i?void 0:i._groupField})),c=e(t.filter,r,n,o,Rc(Rc({},t),{},{_groupField:null==u?void 0:u.value}));"rule"==(null===(s=c)||void 0===s?void 0:s.type)&&(c=Qc(c,n,t.filter.not)),a={groupFilter:c,groupFieldValue:u},i||(a=void 0,o.errors.push("Unexpected !aggr in root"),l=!1)}else if("ternary"==t.type){var d={};t.val.forEach((function(e){var i=$n(e,2),a=i[0],l=i[1],s=$c(a,l,r,n,o,t);s&&(d[s.id]=s)})),a={type:"switch_group",id:ms(),children1:d,properties:{}}}if(!a&&l&&(a=Mc(t,r,n,o,i)),a&&!a.type&&!i){var p=zc(t,r,n,o);p?a=p:(a=void 0,o.errors.push("Can't convert rule of type ".concat(t.type,", it looks like var/literal")))}return a}},jc=function e(t,r,n,o){var i,a=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,l=t.type.startsWith("op-")?t.type.slice(3):t.type;if(("minus"==l||"plus"==l)&&1==t.children.length)return t.isUnary=!0,e(t.children[0],r,n,o,t);var s="and"==l&&2==t.children.length&&"op-ge"==t.children[0].type&&"op-le"==t.children[1].type,u="or"==l&&2==t.children.length&&"op-lt"==t.children[0].type&&"op-gt"==t.children[1].type;if(s||u){var c=$n(t.children[0].children,2),d=c[0],p=c[1],f=$n(t.children[1].children,2),h=f[0],g=f[1];if(Wc(d,h,t,r,n,o,a))return p.val,g.val,e({type:"op-between",children:[d,p,g],not:u},r,n,o,a)}var v=r.operators[l];"eq"==l&&"null"==t.children[1].type?v=["is_null"]:"ne"==l&&"null"==t.children[1].type?v=["is_not_null"]:"le"==l&&"string"==t.children[1].type&&""==t.children[1].val?v=["is_empty"]:"gt"==l&&"string"==t.children[1].type&&""==t.children[1].val?v=["is_not_empty"]:"between"==l&&(v=["between"]);var m=function(){var e,i=t.children.map((function(e){return Fc(e,r,n,o,Rc(Rc({},t),{},{_groupField:null==a?void 0:a._groupField}))}));return i.length>=2&&"!compare"==(null===(e=i)||void 0===e||null===(e=e[0])||void 0===e?void 0:e.type)&&(i=i[0].children),i};if("and"==l||"or"==l){var y={};m().forEach((function(e){if(e){var t=ms();e.id=t,null!=e.type?y[t]=e:o.errors.push("Bad item in AND/OR: ".concat(JSON.stringify(e)))}})),i={type:"group",id:ms(),children1:y,properties:{conjunction:r.conjunctions[l],not:t.not}}}else if(v){var b,E,O=m(),S=O[0],T=O.slice(1),_=null==S||null===(b=S.groupFieldValue)||void 0===b?void 0:b.value,w=null===(E=T)||void 0===E?void 0:E[0],R=v[0];if(v.length>1){var A,C,I=(null===(A=O[0])||void 0===A?void 0:A.valueType)||(null===(C=O[1])||void 0===C?void 0:C.valueType),L=null==S?void 0:S.value,N=v.map((function(e){return{op:e,widget:Uf(n,L,e)}}));if(Vs.warn("[spel] Spel operator ".concat(l," can be mapped to ").concat(v,"."),"widgets:",N,"vals:",O,"valueType=",I),"eq"==l||"ne"==l){var P=N.find((function(e){e.op;var t=e.widget;return t&&"field"!=t}));P&&(R=P.op)}}null!=S&&S.groupFieldValue&&(w&&w.groupFieldValue&&"field"==w.groupFieldValue.valueSrc&&w.groupFieldValue.value==_?(R="all",T=[]):"equal"==R&&"value"==w.valueSrc&&"number"==w.valueType&&0==w.value?(R="none",T=[]):"greater"==R&&"value"==w.valueSrc&&"number"==w.valueType&&0==w.value&&(R="some",T=[]));var x=!1;if(t.not){var k=n.operators[R];k.reversedOp?(R=k.reversedOp,t.not=!1):x=!0}if(S)if(S.groupFieldValue)"field"!=S.groupFieldValue.valueSrc&&o.errors.push("Expected group field ".concat(JSON.stringify(S))),i=Kc(S,R,T,n,o);else{"field"!=S.valueSrc&&"func"!=S.valueSrc&&o.errors.push("Expected field/func at LHS, but got ".concat(JSON.stringify(S)));var F=S.value;i=Gc(n,o,F,R,T)}x&&("group"!==i.type?i=Qc(i,n,t.not):i.properties.not=!i.properties.not)}else a||(i=zc(t,r,n,o));return i},Dc=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},r=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=!1,o=e.map((function(e){if("variable"==e.type||"property"==e.type||"indexer"==e.type&&"string"==e.itype)return e.val;var o,i;n=!0,r&&(null==t||null===(o=t.errors)||void 0===o||null===(i=o.push)||void 0===i||i.call(o,"Unexpected item in field path compound: ".concat(JSON.stringify(e))))}));return n?void 0:o},Mc=function e(t,r,n,o,i){if(null!=t){var a=n.settings.fieldSeparator;if("variable"==t.type||"property"==t.type){var l=Uh(n,t.val,null==i?void 0:i._groupField),s=Yh(n,l),u="variable"==t.type;return{valueSrc:"field",valueType:null==s?void 0:s.type,isVariable:u,value:l}}if("compound"==t.type){var c=Dc(t.children,o);if(c){var d,p=Uh(n,c.join(a),null==i?void 0:i._groupField),f=Yh(n,p),h="variable"==(null===(d=t.children)||void 0===d||null===(d=d[0])||void 0===d?void 0:d.type);return{valueSrc:"field",valueType:null==f?void 0:f.type,isVariable:h,value:p}}}else{if(Ac[t.type]){var g=t.val,v=Ac[t.type];return null!=i&&i.isUnary&&(g=-g),{valueSrc:"value",valueType:v,value:g}}if("!new"==t.type&&Cc[t.cls.at(-1)]){var m=t.args.map((function(i){return e(i,r,n,o,t)})),y=null==m?void 0:m[0],b=Cc[t.cls.at(-1)];return Rc(Rc({},y),{},{valueType:b})}if("list"==t.type){var E,O=t.val.map((function(i){return e(i,r,n,o,t)}));return O.length&&(null===(E=O[0])||void 0===E||E.valueType),{valueSrc:"value",valueType:"multiselect",value:O.map((function(e){return null==e?void 0:e.value}))}}if("op-plus"==t.type&&"ternary"==(null==i?void 0:i.type))return Hc(t,r,n,o)}var S=Uc(t,r,n,o,i);if(void 0!==S)return S;o.errors.push("Can't convert arg of type ".concat(t.type))}},Vc=function e(t,r){var n,o=[],i="",a=t.type,l=t.methodName,s=(t.val,t.obj),u=t.args,c=t.isVar,d=t.cls,p=t.children,f=null==p?void 0:p[p.length-1],h=r[r.length-1];if("!func"===a){for(var g=s;g;){var v,m=$n(e(Rc(Rc({},g),{},{obj:null}),[{}]),2),y=m[0],b=m[1];if("?"!==y){var E={s:h.s,params:Kn(h.params),objs:Kn(h.objs)};h.objs.unshift("?"),h.params.unshift(g),r.push(E),h=r[r.length-1]}h.objs.unshift(y),(v=h.params).unshift.apply(v,Kn(b)),g="!func"===g.type?g.obj:null}var O,S=Tc(r);try{for(S.s();!(O=S.n()).done;){var T,_=O.value;o=[].concat(Kn((null==_?void 0:_.params)||[]),Kn(u||[])),i="",null!=_&&null!==(T=_.objs)&&void 0!==T&&T.length&&(i+=_.objs.join(".")+"."),i+=(c?"#":"")+l,i+="("+(u||[]).map((function(e){return"?"})).join(", ")+")",_.s=i,_.params=o}}catch(e){S.e(e)}finally{S.f()}}else"!new"===a?(o=u||[],i="new ".concat(d.join("."),"(").concat(o.map((function(e){return"?"})).join(", "),")")):"!type"===a?i="T(".concat(d.join("."),")"):"compound"===a&&"property"===f.type&&(n=f.val,["length"].includes(n))?i=p.map((function(t){var r;if(t===f)return t.val;var n=$n(e(Rc(Rc({},t),{},{obj:null}),[{}]),2),i=n[0],a=n[1];return(r=o).push.apply(r,Kn(a)),i})).join("."):(o=[t],i="?");return h&&(h.s=i,h.params=o),[i,o]},Uc=function(e,t,r,n,o){var i,a=function(i){return Mc(i,t,r,n,Rc(Rc({},e),{},{_groupField:null==o?void 0:o._groupField}))},l=function(e){var t=[{s:"",params:[],objs:[]}];return Vc(e,t),t.map((function(e){return{s:e.s,params:e.params}})).reverse().filter((function(e){var t=e.s;return""!==t&&"?"!==t}))}(e),s=null==l||null===(i=l[0])||void 0===i?void 0:i.s;l.length&&Vs.debug("Signatures for ",e,":",s,l);var u=Bc(e,t,r,n,o,l,a);if(void 0!==u)return u;var c,d,p,f=qc(e,t,r,n,o,l,a);if(void 0!==f)return f;var h,g=Tc(l);try{var v=function(){var e=h.value,n=e.s,o=e.params,i=t.funcs[n];if(i){c=i[0];var l=(d=qh(r,c)).spelFunc,s=o.map(a),u=Kn(l.matchAll(/\${(\w+)}/g)).map((function(e){var t=$n(e,2);return t[0],t[1]}));return p=Object.fromEntries(u.map((function(e,t){return[e,s[t]]}))),1}};for(g.s();!(h=g.n()).done&&!v(););}catch(e){g.e(e)}finally{g.f()}if(!c){var m,y=Tc(jh(r));try{for(y.s();!(m=y.n()).done;){var b=$n(m.value,2),E=b[0],O=b[1];if(O.spelImport){var S=void 0;try{S=O.spelImport(e)}catch(e){}if(S)for(var T in d=qh(r,c=E),p={},S)p[T]=a(S[T])}}}catch(e){y.e(e)}finally{y.f()}}if(c){var _={};for(var w in d.args){var R,A=d.args[w],C=p[w];if(void 0===C)if(void 0===(C=null==A?void 0:A.defaultValue)){if(null==A||!A.isOptional)return void n.errors.push("No value for arg ".concat(w," of func ").concat(c))}else C={value:C,valueSrc:null!==(R=C)&&void 0!==R&&R.func?"func":"value",valueType:A.type};C&&(_[w]=C)}return{valueSrc:"func",value:{func:c,args:_},valueType:d.returnType}}e.methodName&&n.errors.push("Signature ".concat(s," - failed to convert"))},Bc=function(e,t,r,n,o,i,a){var l,s,u,c=[];for(var d in r.widgets){var p=r.widgets[d].spelImportFuncs;if(p)for(var f=0;f<p.length;f++){var h=p[f];if(Ic(h)){var g={};if(js(h,e,g)){for(var v in g)g[v]=a(g[v]);c.push({s:"widgets.".concat(d,".spelImportFuncs[").concat(f,"]"),w:d,argsObj:g})}}}}var m,y=Tc(i);try{for(y.s();!(m=y.n()).done;){var b,E=m.value,O=E.s,S=E.params,T=Tc(t.valueFuncs[O]||[]);try{var _=function(){var e=b.value,t=e.w,r=e.argsOrder,n=S.map(a),o=Object.fromEntries(r.map((function(e,t){return[e,n[t]]})));c.push({s:O,w:t,argsObj:o})};for(T.s();!(b=T.n()).done;)_()}catch(e){T.e(e)}finally{T.f()}}}catch(e){y.e(e)}finally{y.f()}for(var w=0,R=c;w<R.length;w++){var A=R[w],C=A.s,I=A.w,L=A.argsObj,N=r.widgets[I],P=N.spelImportValue,x=N.type;for(var k in u=I,s=C,l=[],L)["value"].includes(L[k].valueSrc)||l.push("".concat(k," has unsupported value src ").concat(L[k].valueSrc));var F=L.v.value;if(P&&!l.length){var j=$n(P.call(r.ctx,L.v,N,L),2);F=j[0],(l=j[1])&&!Array.isArray(l)&&(l=[l])}if(!l.length)return{valueSrc:"value",valueType:x,value:F}}u&&l.length&&n.errors.push("Signature ".concat(s," - looks like convertable to ").concat(u,", but: ").concat(l.join("; ")))},qc=function(e,t,r,n,o,i,a){var l,s,u,c,d=Tc(i);try{for(d.s();!(c=d.n()).done;){var p,f=c.value,h=f.s,g=f.params,v=Tc(t.opFuncs[h]||[]);try{var m,y=function(){var t,i=p.value,c=i.op,d=i.argsOrder,f=g.map(a);if(s=c,"!compare"===c){if(o.type.startsWith("op-")&&2==o.children.length&&"number"==o.children[1].type&&0===o.children[1].val)return{v:{type:"!compare",children:f}};l.push("Result of compareTo() should be compared to 0")}u=h,l=[];var v=r.operators[s],m=(v.spelOp,v.valueTypes),y=Object.fromEntries(d.map((function(e,t){return[e,f[t]]}))),b=y[0],E=Object.keys(y).filter((function(e){return parseInt(e)>0})).map((function(e){return y[e]})),O=null===(t=f.filter((function(e){return!!e})).find((function(e){return"value"===e.valueSrc})))||void 0===t?void 0:t.valueType;if(m&&O&&!m.includes(O)&&l.push("Op supports types ".concat(m,", but got ").concat(O)),!l.length)return{v:Gc(r,n,b,s,E,e)}};for(v.s();!(p=v.n()).done;)if(m=y())return m.v}catch(e){v.e(e)}finally{v.f()}}}catch(e){d.e(e)}finally{d.f()}s&&l.length&&n.errors.push("Signature ".concat(u," - looks like convertable to ").concat(s,", but: ").concat(l.join("; ")))},Gc=function(e,t,r,n,o,i){var a;if(!o.filter((function(e){return void 0===e})).length){var l=null!==(a=r)&&void 0!==a&&a.func?"func":"field";Ic(r)&&r.valueSrc&&(l=r.valueSrc,r=r.value);var s=Yh(e,r);if(s){var u=!1;if(null!=i&&i.not){var c=e.operators[n];c.reversedOp?(n=c.reversedOp,i.not=!1):u=!0}var d=Uf(e,r,n),p=e.widgets[d||s.mainWidget],f=o.map((function(e){return e.asyncListValues})).filter((function(e){return null!=e})),h=f.length?f[0]:void 0,g={type:"rule",id:ms(),properties:Rc({field:r,fieldSrc:l,operator:n,value:o.map((function(e){return e.value})),valueSrc:o.map((function(e){return e.valueSrc})),valueType:o.map((function(e){return"value"==e.valueSrc&&((null==p?void 0:p.type)||(null==s?void 0:s.type))||e.valueType}))},h?{asyncListValues:h}:{})};return u&&(g=Qc(g,e,null==i?void 0:i.not),null!=i&&i.not&&(i.not=!1)),g}t.errors.push("No config for field ".concat(r))}},Kc=function(e,t,r,n,o){var i=e.groupFilter,a=e.groupFieldValue;if("field"!=a.valueSrc)throw"Bad groupFieldValue: ".concat(JSON.stringify(a));var l=a.value,s=Gc(n,o,l,t,r);if(s){var u,c=Yh(n,l),d=null==c?void 0:c.mode;return(u="group"===(null==i?void 0:i.type)?Rc(Rc({},i||{}),{},{type:"rule_group",properties:Rc(Rc(Rc({},s.properties),(null==i?void 0:i.properties)||{}),{},{mode:d})}):Rc(Rc({},s||{}),{},i?{type:"rule_group",children1:[i],properties:Rc(Rc({},s.properties),{},{mode:d})}:{type:"rule_group",properties:Rc(Rc({},s.properties),{},{mode:d})})).id||(u.id=ms()),u}},Wc=function(e,t,r,n,o,i){var a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null;if(e.type==t.type){if("!aggr"==e.type){var l=$n([e.source,t.source].map((function(e){return Mc(e,n,o,i,Rc(Rc({},r),{},{_groupField:null==a?void 0:a._groupField}))})),2),s=l[0],u=l[1];return s.value==u.value}var c=$n([e,t].map((function(e){return Mc(e,n,o,i,Rc(Rc({},r),{},{_groupField:null==a?void 0:a._groupField}))})),2),d=c[0],p=c[1];return d.value==p.value}return!1},zc=function(e,t,r,n){var o={},i=$c(null,e,t,r,n);return i&&(o[i.id]=i),{type:"switch_group",id:ms(),children1:o,properties:{}}},$c=function(e,t,r,n,o){var i,a=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,l=Yc(n,o,r,t,a);return e?(i=Fc(e,r,n,o,a))&&i.type?("group"!=i.type&&(i=Qc(i,n)),i.type="case_group"):(o.errors.push("Unexpected case: ".concat(JSON.stringify(i))),i=void 0):i={id:ms(),type:"case_group",properties:{}},i&&(i.properties=Rc(Rc({},i.properties),l)),i},Hc=function(e,t,r,n){var o=[];return function i(a){a.map((function(a){if("op-plus"==a.type)i(a.children);else{var l=Mc(a,t,r,n,e);l?o.push(l):n.errors.push("Can't convert ".concat(a.type," in concatenation"))}}))}(e.children),{valueSrc:"value",valueType:"case_value",value:o}},Yc=function(e,t,r,n){var o,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,a={};o="op-plus"==(null==n?void 0:n.type)?Hc(n,r,e,t):Mc(n,r,e,t,i);var l=e.widgets.case_value,s=null==l?void 0:l.spelImportValue;if(s){var u=$n(s(o),2),c=u[0];u[1].map((function(e){return t.errors.push(e)})),c&&(a={value:[c],valueSrc:["value"],valueType:["case_value"]})}else t.errors.push("No fucntion to import case value");return a},Qc=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];return{type:"group",id:ms(),children1:Un({},e.id,e),properties:{conjunction:ad(t),not:r||!1}}};function Xc(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Jc(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Xc(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Xc(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Zc=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,n=e.settings.defaultField,o=(r?ed(e,r):n)||t&&Jh(e,r)||null;return null==o||"string"==typeof o||_s(o)||(o=Au(o)),o},ed=function(e){var t,r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if(!r)return null;var n=(null==e||null===(t=e.settings)||void 0===t?void 0:t.fieldSeparator)||".",o=Yh(e,r),i=null==o?void 0:o.defaultField;return i&&(i=[].concat(Kn(zh(r)),[i]).join(n)),i},td=function(e){var t;return(!(arguments.length>1&&void 0!==arguments[1])||arguments[1])&&(null===(t=e.settings.fieldSources)||void 0===t?void 0:t[0])||"field"},rd=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n=e.settings.defaultOperator,o=Yh(e,t),i=(null==o?void 0:o.operators)||[];n&&!i.includes(n)&&(n=null);var a=null==o?void 0:o.defaultOperator;return a&&!i.includes(a)&&(a=null),!a&&r&&(a=Lf(e,t)),(null==o?void 0:o._origDefaultOperator)&&a||n||a},nd=function(e,t,r){var n=t?Qh(e,t,r):null;return n&&n.options?new fs.Map(n.options&&n.options.defaults||{}):null},od=function(e){var t,r,n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,a=!(arguments.length>3&&void 0!==arguments[3])||arguments[3],l=arguments.length>4&&void 0!==arguments[4]&&arguments[4],s=null,u=null,c=null,d=e.settings.showErrorMessage;i?(c=null==i||null===(t=i.properties)||void 0===t?void 0:t.fieldSrc,s=null==i||null===(r=i.properties)||void 0===r?void 0:r.field,u=null==i||null===(n=i.properties)||void 0===n?void 0:n.operator):a?(c=(s=Zc(e,l,o))?_s(s)?"func":"field":td(e),u=rd(e,s,!0)):c=td(e);var p=new fs.Map({fieldSrc:c,field:s,operator:u,value:new fs.List,valueSrc:new fs.List,operatorOptions:nd(e,u,s)});if(d&&(p=p.set("valueError",new fs.List)),s&&u){var f=mf(e,e,p,s,u,"operator",!1),h=f.newValue,g=f.newValueSrc,v=f.newValueType,m=f.newValueError,y=f.newFieldError;p=p.set("value",h).set("valueSrc",g).set("valueType",v),d&&(p=p.set("valueError",m).set("fieldError",y))}return p},id=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,r=(t=Yh(e,t))&&t.conjunctions||Object.keys(e.conjunctions);return 1==r.length?r[0]:e.settings.defaultGroupConjunction||e.settings.defaultConjunction||r[0]},ad=function(e){return e.settings.defaultConjunction||Object.keys(e.conjunctions)[0]},ld=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;return new fs.Map({conjunction:id(e,t),not:!1})},sd=function(e,t){var r;return t&&"group"==t.type?ld(e,null==t||null===(r=t.properties)||void 0===r?void 0:r.field):od(e,null,t)},ud=function(e,t){return Un({},e,new fs.Map({type:"rule",id:e,properties:od(t)}))},cd=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1];return new fs.Map({type:"group",id:ms(),children1:new fs.OrderedMap(t?Jc({},ud(ms(),e)):{}),properties:ld(e)})},dd=function(e){return new fs.List(e)},pd=function(){return new fs.Map};function fd(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return hd(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?hd(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function hd(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function gd(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function vd(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?gd(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):gd(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var md=function(e,t){var r={errors:[],settings:{isForDisplay:arguments.length>2&&void 0!==arguments[2]&&arguments[2],isDebugMode:arguments.length>3&&void 0!==arguments[3]&&arguments[3]}},n=Ch(t,void 0,!1),o=yd(e,n,r,null);return r.errors.length&&console.warn("Errors while exporting to string:",r.errors),o},yd=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;if(e){var o=e.get("type");return e.get("children1"),"group"===o||"rule_group"===o?bd(e,t,r,n):"rule"===o?Ed(e,t,r,n):void 0}},bd=function(e,t,r){var n,o,i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,a=r.settings,l=a.isForDisplay,s=a.isDebugMode,u=e.get("type"),c=e.get("properties")||new Ra,d=c.get("mode"),p=e.get("children1")||new Qa,f="rule_group"===u,h=f&&"array"==d?c.get("field"):null,g="rule_group"===u?c.get("operator"):null,v=g?null!==(n=null===(o=t.operators[g])||void 0===o?void 0:o.cardinality)&&void 0!==n?n:1:void 0,m=f&&"array"===d&&v>=1,y=c.get("not"),b=p.map((function(e){return yd(e,t,r,h)})).filter((function(e){return void 0!==e}));if(m||b.size||s){var E=c.get("conjunction");E||(E=ad(t));var O,S=t.conjunctions[E],T=b.size?S.formatConj(b,E,y,l):null;if(h){var _=Ed(e,t,r,i,!0);if(_){var w,R=_.pop(),A=[T].concat(Kn(_));O=(w=t.settings).formatAggr.apply(w,Kn(A)),R&&(O=t.settings.formatReverse(O,null,null,null,null,l))}}else O=T;return s&&null==O&&(O="?"),O}},Ed=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=arguments.length>4&&void 0!==arguments[4]&&arguments[4],i=r.settings,a=i.isForDisplay,l=i.isDebugMode,s=e.get("properties")||new Ra,u=s.get("field"),c=s.get("fieldSrc"),d=s.get("operator"),p=s.get("operatorOptions");if(null!=u&&null!=d||l){var f=Yh(t,u)||{},h=Qh(t,d,u)||{},g=h.reversedOp,v=Qh(t,g,u)||{},m=!1,y=h.formatOp;if(!y&&g&&(y=v.formatOp)){m=!0;var b=[g,d];d=b[0],g=b[1];var E=[v,h];h=E[0],v=E[1]}if(l&&!d&&(d="?"),y||(y=function(e,t,r){var n,o=r.settings.isDebugMode,i=(null==t?void 0:t.labelForFormat)||e,a=Os(t);return 0==a?n=function(e,t,r,n,o,a,l,s){return"".concat(e," ").concat(i)}:1==a?n=function(e,t,r,n,a,l,s,u){return o&&"?"===t&&"?"===r?e&&"?"!==e?"".concat(e," ?"):"?":"".concat(e," ").concat(i," ").concat(r)}:2==a&&(n=function(e,t,r,n,o,a,l,s){var u,c,d=null==r||null===(u=r.first)||void 0===u?void 0:u.call(r),p=null==r||null===(c=r.get)||void 0===c?void 0:c.call(r,1);return"".concat(e," ").concat(i," ").concat(d," AND ").concat(p)}),n}(d,h,r)),y){var O="func"===c?Td(t,r,u,n):Sd(t,r,u,n);if(null!=O){var S=function(e,t,r,n,o){var i,a,l=r.settings,s=(l.isForDisplay,l.isDebugMode),u=t.get("field"),c=t.get("valueSrc"),d=t.get("valueType"),p=Yh(e,u)||{},f=n||t.get("operator"),h=Qh(e,f,u)||{},g=Os(h),v=t.get("value"),m=t.get("asyncListValues"),y=[],b=[];return null!=v&&!((a=v.map((function(t,n){var i=c?c.get(n):null,a=d?d.get(n):null,l=s?t:Xf(t,i,e),g=Uf(e,u,f,i),v=gs()(Xh(e,u,f,g,i),["factory"]),E=Od(e,r,l,i,a,v,p,f,h,o,m);return void 0!==E&&(y.push(i),b.push(a)),E}))).filter((function(e){return void 0===e})).size>0)&&a.size===g&&(i=1==g?a.first():a),s&&!i&&(i=g>1?new Qa(Array.from({length:g}).map((function(e,t){var r,n;return null!==(r=null===(n=a)||void 0===n?void 0:n.get(t))&&void 0!==r?r:"?"}))):"?"),[i,y.length>1?y:y[0],b.length>1?b:b[0]]}(t,s,r,d,n),T=$n(S,3),_=T[0],w=T[1],R=T[2];if(void 0!==_){var A=[O,d,_,w,R,gs()(h,Es),p,a,f,m];if(o)return A;var C,I=(C=y).call.apply(C,[t.ctx].concat(A));return m&&(I=t.settings.formatReverse(I,d,g,h,v,a)),I}}}}},Od=function(e,t,r,n,o,i,a,l,s){var u,c=arguments.length>9&&void 0!==arguments[9]?arguments[9]:null,d=arguments.length>10?arguments[10]:void 0,p=t.settings,f=p.isForDisplay,h=p.isDebugMode;if(void 0===r)return h?"array"===(null==i?void 0:i.jsType)?[]:"?":void 0;if("field"==n)u=Sd(e,t,r,c);else if("func"==n)u=Td(e,t,r,c);else if("function"==typeof i.formatValue){var g=i.formatValue,v=[r,vd(vd({},Ws()(a,["fieldSettings","listValues"])),{},{asyncListValues:d}),gs()(i,bs),f];if(l&&(v.push(l),v.push(s)),"field"==n){var m=Yh(e,r)||{};v.push(m)}u=g.call.apply(g,[e.ctx].concat(v))}else u=r;return u},Sd=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=!(arguments.length>4&&void 0!==arguments[4])||arguments[4],i=t.settings,a=i.isForDisplay,l=i.isDebugMode,s=e.settings,u=(s.fieldSeparator,s.fieldSeparatorDisplay),c=null;if(r){var d=Yh(e,r)||{},p=zh(r,e),f=xf(r,e,o?n:null),h=f?f.join(u):null,g=d.label2||h;c=(0,e.settings.formatField)(Bf(r,e,t,o?n:null,{useTableName:!0}),p,g,d,e,a)}else l&&(c="?");return c},Td=function(e,t,r){var n,o,i,a=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,l=t.settings,s=l.isForDisplay,u=l.isDebugMode,c=null==r||null===(n=r.get)||void 0===n?void 0:n.call(r,"func");if(!c)return u?"?()":void 0;var d=null===(o=r.get)||void 0===o?void 0:o.call(r,"args"),p=qh(e,c);if(p||u){var f,h=zh(c,e),g=h[h.length-1],v=s&&(null==p?void 0:p.label)||g,m={},y=[],b=[],E={},O=fd(p?Object.keys(p.args||{}):(null==d||null===(i=d.keySeq)||void 0===i?void 0:i.call(d).toArray())||[]);try{for(O.s();!(f=O.n()).done;){var S,T=f.value,_=null==p?void 0:p.args[T],w=Yh(e,_),R=_||{},A=R.defaultValue,C=R.isOptional,I=null!=A&&A.func?"func":"value",L=s&&(null==_?void 0:_.label)||T,N=d?d.get(T):void 0,P=N?N.get("value"):void 0,x=N?N.get("valueSrc"):void 0;"func"!==x&&null!==(S=P)&&void 0!==S&&S.toJS&&(P=P.toJS());var k=N?N.get("asyncListValues"):void 0,F=Od(e,t,P,x,null==_?void 0:_.type,w,_,null,null,a,k);null!=P&&void 0===F&&"func"!=x&&t.errors.push("Can't format value of arg ".concat(T," for func ").concat(c));var j=void 0;if(void 0===F&&!C&&null!=A&&void 0===(j=Od(e,t,A,I,null==_?void 0:_.type,w,_,null,null,a,k)))return void("func"!=I&&t.errors.push("Can't format default value of arg ".concat(T," for func ").concat(c)));var D=null!=F?F:j;if(void 0!==D){if(y.length){var M,V=fd(T);try{for(V.s();!(M=V.n()).done;){var U=$n(M.value,2),B=U[0];U[1],m[B]=void 0}}catch(e){V.e(e)}finally{V.f()}y=[]}m[T]=D,E[L]=D}else C||b.push(T),y.push([T,L])}}catch(e){O.e(e)}finally{O.f()}if(!b.length||u){var q=null;if("function"==typeof(null==p?void 0:p.formatFunc)){var G=p.formatFunc,K=[m,s];q=G.call.apply(G,[e.ctx].concat(K))}else{var W=Object.entries(s?E:m).map((function(e){var t=$n(e,2),r=t[0],n=t[1];return s?"".concat(r,": ").concat(n):"".concat(n)})).join(", ");q="".concat(v,"(").concat(W,")")}return q}}else t.errors.push("Func ".concat(c," is not defined in config"))},_d="EMPTY_GROUP",wd="EMPTY_RULE_GROUP",Rd="EMPTY_QUERY",Ad="EMPTY_CASE",Cd="NO_CONFIG_FOR_FIELD",Id="NO_CONFIG_FOR_OPERATOR",Ld="NO_CONFIG_FOR_FUNCTION",Nd="INVALID_VALUE",Pd="INVALID_FUNC_ARG_VALUE",xd="UNSUPPORTED_FIELD_TYPE",kd="UNSUPPORTED_OPERATOR_FOR_FIELD",Fd="INVALID_VALUE_SRC",jd="INCOMPLETE_RULE",Dd="INCOMPLETE_LHS",Md="INCOMPLETE_RHS",Vd="BAD_MULTISELECT_VALUES",Ud="BAD_SELECT_VALUE",Bd="INCORRECT_VALUE_TYPE",qd="INCORRECT_VALUE_JS_TYPE",Gd="VALUE_LENGTH_CONSTRAINT_FAIL",Kd="VALUE_MIN_CONSTRAINT_FAIL",Wd="VALUE_MAX_CONSTRAINT_FAIL",zd="NO_CONFIG_FOR_FIELD_VALUE",$d="CANT_COMPARE_FIELD_WITH_ITSELF",Hd="CANT_COMPARE_FIELD_WITH_FIELD",Yd="INCORRECT_FIELD_TYPE",Qd="UNSUPPORTED_FUNCTION_FOR_FIELD",Xd="REQUIRED_FUNCTION_ARG",Jd="INCORRECT_FUNCTION_RETURN_TYPE",Zd="INVALID_RANGE",ep="ITEM_POSITION",tp="ITEM_POSITION_ROOT",rp="ITEM_POSITION_WITH_INDEX_PATH",np="ITEM_POSITION_IN_CASE";const op={type:"logger",log(e){this.output("log",e)},warn(e){this.output("warn",e)},error(e){this.output("error",e)},output(e,t){console&&console[e]&&console[e].apply(console,t)}};class ip{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.init(e,t)}init(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.prefix=t.prefix||"i18next:",this.logger=e||op,this.options=t,this.debug=t.debug}log(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return this.forward(t,"log","",!0)}warn(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return this.forward(t,"warn","",!0)}error(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return this.forward(t,"error","")}deprecate(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return this.forward(t,"warn","WARNING DEPRECATED: ",!0)}forward(e,t,r,n){return n&&!this.debug?null:("string"==typeof e[0]&&(e[0]=`${r}${this.prefix} ${e[0]}`),this.logger[t](e))}create(e){return new ip(this.logger,{prefix:`${this.prefix}:${e}:`,...this.options})}clone(e){return(e=e||this.options).prefix=e.prefix||this.prefix,new ip(this.logger,e)}}var ap=new ip;class lp{constructor(){this.observers={}}on(e,t){return e.split(" ").forEach((e=>{this.observers[e]||(this.observers[e]=new Map);const r=this.observers[e].get(t)||0;this.observers[e].set(t,r+1)})),this}off(e,t){this.observers[e]&&(t?this.observers[e].delete(t):delete this.observers[e])}emit(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];this.observers[e]&&Array.from(this.observers[e].entries()).forEach((e=>{let[t,n]=e;for(let e=0;e<n;e++)t(...r)})),this.observers["*"]&&Array.from(this.observers["*"].entries()).forEach((t=>{let[n,o]=t;for(let t=0;t<o;t++)n.apply(n,[e,...r])}))}}function sp(){let e,t;const r=new Promise(((r,n)=>{e=r,t=n}));return r.resolve=e,r.reject=t,r}function up(e){return null==e?"":""+e}const cp=/###/g;function dp(e,t,r){function n(e){return e&&e.indexOf("###")>-1?e.replace(cp,"."):e}function o(){return!e||"string"==typeof e}const i="string"!=typeof t?t:t.split(".");let a=0;for(;a<i.length-1;){if(o())return{};const t=n(i[a]);!e[t]&&r&&(e[t]=new r),e=Object.prototype.hasOwnProperty.call(e,t)?e[t]:{},++a}return o()?{}:{obj:e,k:n(i[a])}}function pp(e,t,r){const{obj:n,k:o}=dp(e,t,Object);if(void 0!==n||1===t.length)return void(n[o]=r);let i=t[t.length-1],a=t.slice(0,t.length-1),l=dp(e,a,Object);for(;void 0===l.obj&&a.length;)i=`${a[a.length-1]}.${i}`,a=a.slice(0,a.length-1),l=dp(e,a,Object),l&&l.obj&&void 0!==l.obj[`${l.k}.${i}`]&&(l.obj=void 0);l.obj[`${l.k}.${i}`]=r}function fp(e,t){const{obj:r,k:n}=dp(e,t);if(r)return r[n]}function hp(e,t,r){for(const n in t)"__proto__"!==n&&"constructor"!==n&&(n in e?"string"==typeof e[n]||e[n]instanceof String||"string"==typeof t[n]||t[n]instanceof String?r&&(e[n]=t[n]):hp(e[n],t[n],r):e[n]=t[n]);return e}function gp(e){return e.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g,"\\$&")}var vp={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;","/":"&#x2F;"};function mp(e){return"string"==typeof e?e.replace(/[&<>"'\/]/g,(e=>vp[e])):e}const yp=[" ",",","?","!",";"],bp=new class{constructor(e){this.capacity=e,this.regExpMap=new Map,this.regExpQueue=[]}getRegExp(e){const t=this.regExpMap.get(e);if(void 0!==t)return t;const r=new RegExp(e);return this.regExpQueue.length===this.capacity&&this.regExpMap.delete(this.regExpQueue.shift()),this.regExpMap.set(e,r),this.regExpQueue.push(e),r}}(20);function Ep(e,t){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:".";if(!e)return;if(e[t])return e[t];const n=t.split(r);let o=e;for(let e=0;e<n.length;){if(!o||"object"!=typeof o)return;let t,i="";for(let a=e;a<n.length;++a)if(a!==e&&(i+=r),i+=n[a],t=o[i],void 0!==t){if(["string","number","boolean"].indexOf(typeof t)>-1&&a<n.length-1)continue;e+=a-e+1;break}o=t}return o}function Op(e){return e&&e.indexOf("_")>0?e.replace("_","-"):e}class Sp extends lp{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{ns:["translation"],defaultNS:"translation"};super(),this.data=e||{},this.options=t,void 0===this.options.keySeparator&&(this.options.keySeparator="."),void 0===this.options.ignoreJSONStructure&&(this.options.ignoreJSONStructure=!0)}addNamespaces(e){this.options.ns.indexOf(e)<0&&this.options.ns.push(e)}removeNamespaces(e){const t=this.options.ns.indexOf(e);t>-1&&this.options.ns.splice(t,1)}getResource(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};const o=void 0!==n.keySeparator?n.keySeparator:this.options.keySeparator,i=void 0!==n.ignoreJSONStructure?n.ignoreJSONStructure:this.options.ignoreJSONStructure;let a;e.indexOf(".")>-1?a=e.split("."):(a=[e,t],r&&(Array.isArray(r)?a.push(...r):"string"==typeof r&&o?a.push(...r.split(o)):a.push(r)));const l=fp(this.data,a);return!l&&!t&&!r&&e.indexOf(".")>-1&&(e=a[0],t=a[1],r=a.slice(2).join(".")),l||!i||"string"!=typeof r?l:Ep(this.data&&this.data[e]&&this.data[e][t],r,o)}addResource(e,t,r,n){let o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:{silent:!1};const i=void 0!==o.keySeparator?o.keySeparator:this.options.keySeparator;let a=[e,t];r&&(a=a.concat(i?r.split(i):r)),e.indexOf(".")>-1&&(a=e.split("."),n=t,t=a[1]),this.addNamespaces(t),pp(this.data,a,n),o.silent||this.emit("added",e,t,r,n)}addResources(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{silent:!1};for(const n in r)("string"==typeof r[n]||Array.isArray(r[n]))&&this.addResource(e,t,n,r[n],{silent:!0});n.silent||this.emit("added",e,t,r)}addResourceBundle(e,t,r,n,o){let i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{silent:!1,skipCopy:!1},a=[e,t];e.indexOf(".")>-1&&(a=e.split("."),n=r,r=t,t=a[1]),this.addNamespaces(t);let l=fp(this.data,a)||{};i.skipCopy||(r=JSON.parse(JSON.stringify(r))),n?hp(l,r,o):l={...l,...r},pp(this.data,a,l),i.silent||this.emit("added",e,t,r)}removeResourceBundle(e,t){this.hasResourceBundle(e,t)&&delete this.data[e][t],this.removeNamespaces(t),this.emit("removed",e,t)}hasResourceBundle(e,t){return void 0!==this.getResource(e,t)}getResourceBundle(e,t){return t||(t=this.options.defaultNS),"v1"===this.options.compatibilityAPI?{...this.getResource(e,t)}:this.getResource(e,t)}getDataByLanguage(e){return this.data[e]}hasLanguageSomeTranslations(e){const t=this.getDataByLanguage(e);return!!(t&&Object.keys(t)||[]).find((e=>t[e]&&Object.keys(t[e]).length>0))}toJSON(){return this.data}}var Tp={processors:{},addPostProcessor(e){this.processors[e.name]=e},handle(e,t,r,n,o){return e.forEach((e=>{this.processors[e]&&(t=this.processors[e].process(t,r,n,o))})),t}};const _p={};class wp extends lp{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};var r,n;super(),r=e,n=this,["resourceStore","languageUtils","pluralResolver","interpolator","backendConnector","i18nFormat","utils"].forEach((e=>{r[e]&&(n[e]=r[e])})),this.options=t,void 0===this.options.keySeparator&&(this.options.keySeparator="."),this.logger=ap.create("translator")}changeLanguage(e){e&&(this.language=e)}exists(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{interpolation:{}};if(null==e)return!1;const r=this.resolve(e,t);return r&&void 0!==r.res}extractFromKey(e,t){let r=void 0!==t.nsSeparator?t.nsSeparator:this.options.nsSeparator;void 0===r&&(r=":");const n=void 0!==t.keySeparator?t.keySeparator:this.options.keySeparator;let o=t.ns||this.options.defaultNS||[];const i=r&&e.indexOf(r)>-1,a=!(this.options.userDefinedKeySeparator||t.keySeparator||this.options.userDefinedNsSeparator||t.nsSeparator||function(e,t,r){t=t||"",r=r||"";const n=yp.filter((e=>t.indexOf(e)<0&&r.indexOf(e)<0));if(0===n.length)return!0;const o=bp.getRegExp(`(${n.map((e=>"?"===e?"\\?":e)).join("|")})`);let i=!o.test(e);if(!i){const t=e.indexOf(r);t>0&&!o.test(e.substring(0,t))&&(i=!0)}return i}(e,r,n));if(i&&!a){const t=e.match(this.interpolator.nestingRegexp);if(t&&t.length>0)return{key:e,namespaces:o};const i=e.split(r);(r!==n||r===n&&this.options.ns.indexOf(i[0])>-1)&&(o=i.shift()),e=i.join(n)}return"string"==typeof o&&(o=[o]),{key:e,namespaces:o}}translate(e,t,r){if("object"!=typeof t&&this.options.overloadTranslationOptionHandler&&(t=this.options.overloadTranslationOptionHandler(arguments)),"object"==typeof t&&(t={...t}),t||(t={}),null==e)return"";Array.isArray(e)||(e=[String(e)]);const n=void 0!==t.returnDetails?t.returnDetails:this.options.returnDetails,o=void 0!==t.keySeparator?t.keySeparator:this.options.keySeparator,{key:i,namespaces:a}=this.extractFromKey(e[e.length-1],t),l=a[a.length-1],s=t.lng||this.language,u=t.appendNamespaceToCIMode||this.options.appendNamespaceToCIMode;if(s&&"cimode"===s.toLowerCase()){if(u){const e=t.nsSeparator||this.options.nsSeparator;return n?{res:`${l}${e}${i}`,usedKey:i,exactUsedKey:i,usedLng:s,usedNS:l,usedParams:this.getUsedParamsDetails(t)}:`${l}${e}${i}`}return n?{res:i,usedKey:i,exactUsedKey:i,usedLng:s,usedNS:l,usedParams:this.getUsedParamsDetails(t)}:i}const c=this.resolve(e,t);let d=c&&c.res;const p=c&&c.usedKey||i,f=c&&c.exactUsedKey||i,h=Object.prototype.toString.apply(d),g=void 0!==t.joinArrays?t.joinArrays:this.options.joinArrays,v=!this.i18nFormat||this.i18nFormat.handleAsObject;if(v&&d&&"string"!=typeof d&&"boolean"!=typeof d&&"number"!=typeof d&&["[object Number]","[object Function]","[object RegExp]"].indexOf(h)<0&&("string"!=typeof g||!Array.isArray(d))){if(!t.returnObjects&&!this.options.returnObjects){this.options.returnedObjectHandler||this.logger.warn("accessing an object - but returnObjects options is not enabled!");const e=this.options.returnedObjectHandler?this.options.returnedObjectHandler(p,d,{...t,ns:a}):`key '${i} (${this.language})' returned an object instead of string.`;return n?(c.res=e,c.usedParams=this.getUsedParamsDetails(t),c):e}if(o){const e=Array.isArray(d),r=e?[]:{},n=e?f:p;for(const e in d)if(Object.prototype.hasOwnProperty.call(d,e)){const i=`${n}${o}${e}`;r[e]=this.translate(i,{...t,joinArrays:!1,ns:a}),r[e]===i&&(r[e]=d[e])}d=r}}else if(v&&"string"==typeof g&&Array.isArray(d))d=d.join(g),d&&(d=this.extendTranslation(d,e,t,r));else{let n=!1,a=!1;const u=void 0!==t.count&&"string"!=typeof t.count,p=wp.hasDefaultValue(t),f=u?this.pluralResolver.getSuffix(s,t.count,t):"",h=t.ordinal&&u?this.pluralResolver.getSuffix(s,t.count,{ordinal:!1}):"",g=u&&!t.ordinal&&0===t.count&&this.pluralResolver.shouldUseIntlApi(),v=g&&t[`defaultValue${this.options.pluralSeparator}zero`]||t[`defaultValue${f}`]||t[`defaultValue${h}`]||t.defaultValue;!this.isValidLookup(d)&&p&&(n=!0,d=v),this.isValidLookup(d)||(a=!0,d=i);const m=(t.missingKeyNoValueFallbackToKey||this.options.missingKeyNoValueFallbackToKey)&&a?void 0:d,y=p&&v!==d&&this.options.updateMissing;if(a||n||y){if(this.logger.log(y?"updateKey":"missingKey",s,l,i,y?v:d),o){const e=this.resolve(i,{...t,keySeparator:!1});e&&e.res&&this.logger.warn("Seems the loaded translations were in flat JSON format instead of nested. Either set keySeparator: false on init or make sure your translations are published in nested format.")}let e=[];const r=this.languageUtils.getFallbackCodes(this.options.fallbackLng,t.lng||this.language);if("fallback"===this.options.saveMissingTo&&r&&r[0])for(let t=0;t<r.length;t++)e.push(r[t]);else"all"===this.options.saveMissingTo?e=this.languageUtils.toResolveHierarchy(t.lng||this.language):e.push(t.lng||this.language);const n=(e,r,n)=>{const o=p&&n!==d?n:m;this.options.missingKeyHandler?this.options.missingKeyHandler(e,l,r,o,y,t):this.backendConnector&&this.backendConnector.saveMissing&&this.backendConnector.saveMissing(e,l,r,o,y,t),this.emit("missingKey",e,l,r,d)};this.options.saveMissing&&(this.options.saveMissingPlurals&&u?e.forEach((e=>{const r=this.pluralResolver.getSuffixes(e,t);g&&t[`defaultValue${this.options.pluralSeparator}zero`]&&r.indexOf(`${this.options.pluralSeparator}zero`)<0&&r.push(`${this.options.pluralSeparator}zero`),r.forEach((r=>{n([e],i+r,t[`defaultValue${r}`]||v)}))})):n(e,i,v))}d=this.extendTranslation(d,e,t,c,r),a&&d===i&&this.options.appendNamespaceToMissingKey&&(d=`${l}:${i}`),(a||n)&&this.options.parseMissingKeyHandler&&(d="v1"!==this.options.compatibilityAPI?this.options.parseMissingKeyHandler(this.options.appendNamespaceToMissingKey?`${l}:${i}`:i,n?d:void 0):this.options.parseMissingKeyHandler(d))}return n?(c.res=d,c.usedParams=this.getUsedParamsDetails(t),c):d}extendTranslation(e,t,r,n,o){var i=this;if(this.i18nFormat&&this.i18nFormat.parse)e=this.i18nFormat.parse(e,{...this.options.interpolation.defaultVariables,...r},r.lng||this.language||n.usedLng,n.usedNS,n.usedKey,{resolved:n});else if(!r.skipInterpolation){r.interpolation&&this.interpolator.init({...r,interpolation:{...this.options.interpolation,...r.interpolation}});const a="string"==typeof e&&(r&&r.interpolation&&void 0!==r.interpolation.skipOnVariables?r.interpolation.skipOnVariables:this.options.interpolation.skipOnVariables);let l;if(a){const t=e.match(this.interpolator.nestingRegexp);l=t&&t.length}let s=r.replace&&"string"!=typeof r.replace?r.replace:r;if(this.options.interpolation.defaultVariables&&(s={...this.options.interpolation.defaultVariables,...s}),e=this.interpolator.interpolate(e,s,r.lng||this.language,r),a){const t=e.match(this.interpolator.nestingRegexp);l<(t&&t.length)&&(r.nest=!1)}!r.lng&&"v1"!==this.options.compatibilityAPI&&n&&n.res&&(r.lng=n.usedLng),!1!==r.nest&&(e=this.interpolator.nest(e,(function(){for(var e=arguments.length,n=new Array(e),a=0;a<e;a++)n[a]=arguments[a];return o&&o[0]===n[0]&&!r.context?(i.logger.warn(`It seems you are nesting recursively key: ${n[0]} in key: ${t[0]}`),null):i.translate(...n,t)}),r)),r.interpolation&&this.interpolator.reset()}const a=r.postProcess||this.options.postProcess,l="string"==typeof a?[a]:a;return null!=e&&l&&l.length&&!1!==r.applyPostProcessor&&(e=Tp.handle(l,e,t,this.options&&this.options.postProcessPassResolved?{i18nResolved:{...n,usedParams:this.getUsedParamsDetails(r)},...r}:r,this)),e}resolve(e){let t,r,n,o,i,a=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return"string"==typeof e&&(e=[e]),e.forEach((e=>{if(this.isValidLookup(t))return;const l=this.extractFromKey(e,a),s=l.key;r=s;let u=l.namespaces;this.options.fallbackNS&&(u=u.concat(this.options.fallbackNS));const c=void 0!==a.count&&"string"!=typeof a.count,d=c&&!a.ordinal&&0===a.count&&this.pluralResolver.shouldUseIntlApi(),p=void 0!==a.context&&("string"==typeof a.context||"number"==typeof a.context)&&""!==a.context,f=a.lngs?a.lngs:this.languageUtils.toResolveHierarchy(a.lng||this.language,a.fallbackLng);u.forEach((e=>{this.isValidLookup(t)||(i=e,!_p[`${f[0]}-${e}`]&&this.utils&&this.utils.hasLoadedNamespace&&!this.utils.hasLoadedNamespace(i)&&(_p[`${f[0]}-${e}`]=!0,this.logger.warn(`key "${r}" for languages "${f.join(", ")}" won't get resolved as namespace "${i}" was not yet loaded`,"This means something IS WRONG in your setup. You access the t function before i18next.init / i18next.loadNamespace / i18next.changeLanguage was done. Wait for the callback or Promise to resolve before accessing it!!!")),f.forEach((r=>{if(this.isValidLookup(t))return;o=r;const i=[s];if(this.i18nFormat&&this.i18nFormat.addLookupKeys)this.i18nFormat.addLookupKeys(i,s,r,e,a);else{let e;c&&(e=this.pluralResolver.getSuffix(r,a.count,a));const t=`${this.options.pluralSeparator}zero`,n=`${this.options.pluralSeparator}ordinal${this.options.pluralSeparator}`;if(c&&(i.push(s+e),a.ordinal&&0===e.indexOf(n)&&i.push(s+e.replace(n,this.options.pluralSeparator)),d&&i.push(s+t)),p){const r=`${s}${this.options.contextSeparator}${a.context}`;i.push(r),c&&(i.push(r+e),a.ordinal&&0===e.indexOf(n)&&i.push(r+e.replace(n,this.options.pluralSeparator)),d&&i.push(r+t))}}let l;for(;l=i.pop();)this.isValidLookup(t)||(n=l,t=this.getResource(r,e,l,a))})))}))})),{res:t,usedKey:r,exactUsedKey:n,usedLng:o,usedNS:i}}isValidLookup(e){return!(void 0===e||!this.options.returnNull&&null===e||!this.options.returnEmptyString&&""===e)}getResource(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};return this.i18nFormat&&this.i18nFormat.getResource?this.i18nFormat.getResource(e,t,r,n):this.resourceStore.getResource(e,t,r,n)}getUsedParamsDetails(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};const t=["defaultValue","ordinal","context","replace","lng","lngs","fallbackLng","ns","keySeparator","nsSeparator","returnObjects","returnDetails","joinArrays","postProcess","interpolation"],r=e.replace&&"string"!=typeof e.replace;let n=r?e.replace:e;if(r&&void 0!==e.count&&(n.count=e.count),this.options.interpolation.defaultVariables&&(n={...this.options.interpolation.defaultVariables,...n}),!r){n={...n};for(const e of t)delete n[e]}return n}static hasDefaultValue(e){for(const t in e)if(Object.prototype.hasOwnProperty.call(e,t)&&"defaultValue"===t.substring(0,12)&&void 0!==e[t])return!0;return!1}}function Rp(e){return e.charAt(0).toUpperCase()+e.slice(1)}class Ap{constructor(e){this.options=e,this.supportedLngs=this.options.supportedLngs||!1,this.logger=ap.create("languageUtils")}getScriptPartFromCode(e){if(!(e=Op(e))||e.indexOf("-")<0)return null;const t=e.split("-");return 2===t.length?null:(t.pop(),"x"===t[t.length-1].toLowerCase()?null:this.formatLanguageCode(t.join("-")))}getLanguagePartFromCode(e){if(!(e=Op(e))||e.indexOf("-")<0)return e;const t=e.split("-");return this.formatLanguageCode(t[0])}formatLanguageCode(e){if("string"==typeof e&&e.indexOf("-")>-1){const t=["hans","hant","latn","cyrl","cans","mong","arab"];let r=e.split("-");return this.options.lowerCaseLng?r=r.map((e=>e.toLowerCase())):2===r.length?(r[0]=r[0].toLowerCase(),r[1]=r[1].toUpperCase(),t.indexOf(r[1].toLowerCase())>-1&&(r[1]=Rp(r[1].toLowerCase()))):3===r.length&&(r[0]=r[0].toLowerCase(),2===r[1].length&&(r[1]=r[1].toUpperCase()),"sgn"!==r[0]&&2===r[2].length&&(r[2]=r[2].toUpperCase()),t.indexOf(r[1].toLowerCase())>-1&&(r[1]=Rp(r[1].toLowerCase())),t.indexOf(r[2].toLowerCase())>-1&&(r[2]=Rp(r[2].toLowerCase()))),r.join("-")}return this.options.cleanCode||this.options.lowerCaseLng?e.toLowerCase():e}isSupportedCode(e){return("languageOnly"===this.options.load||this.options.nonExplicitSupportedLngs)&&(e=this.getLanguagePartFromCode(e)),!this.supportedLngs||!this.supportedLngs.length||this.supportedLngs.indexOf(e)>-1}getBestMatchFromCodes(e){if(!e)return null;let t;return e.forEach((e=>{if(t)return;const r=this.formatLanguageCode(e);this.options.supportedLngs&&!this.isSupportedCode(r)||(t=r)})),!t&&this.options.supportedLngs&&e.forEach((e=>{if(t)return;const r=this.getLanguagePartFromCode(e);if(this.isSupportedCode(r))return t=r;t=this.options.supportedLngs.find((e=>e===r?e:e.indexOf("-")<0&&r.indexOf("-")<0?void 0:e.indexOf("-")>0&&r.indexOf("-")<0&&e.substring(0,e.indexOf("-"))===r||0===e.indexOf(r)&&r.length>1?e:void 0))})),t||(t=this.getFallbackCodes(this.options.fallbackLng)[0]),t}getFallbackCodes(e,t){if(!e)return[];if("function"==typeof e&&(e=e(t)),"string"==typeof e&&(e=[e]),Array.isArray(e))return e;if(!t)return e.default||[];let r=e[t];return r||(r=e[this.getScriptPartFromCode(t)]),r||(r=e[this.formatLanguageCode(t)]),r||(r=e[this.getLanguagePartFromCode(t)]),r||(r=e.default),r||[]}toResolveHierarchy(e,t){const r=this.getFallbackCodes(t||this.options.fallbackLng||[],e),n=[],o=e=>{e&&(this.isSupportedCode(e)?n.push(e):this.logger.warn(`rejecting language code not found in supportedLngs: ${e}`))};return"string"==typeof e&&(e.indexOf("-")>-1||e.indexOf("_")>-1)?("languageOnly"!==this.options.load&&o(this.formatLanguageCode(e)),"languageOnly"!==this.options.load&&"currentOnly"!==this.options.load&&o(this.getScriptPartFromCode(e)),"currentOnly"!==this.options.load&&o(this.getLanguagePartFromCode(e))):"string"==typeof e&&o(this.formatLanguageCode(e)),r.forEach((e=>{n.indexOf(e)<0&&o(this.formatLanguageCode(e))})),n}}let Cp=[{lngs:["ach","ak","am","arn","br","fil","gun","ln","mfe","mg","mi","oc","pt","pt-BR","tg","tl","ti","tr","uz","wa"],nr:[1,2],fc:1},{lngs:["af","an","ast","az","bg","bn","ca","da","de","dev","el","en","eo","es","et","eu","fi","fo","fur","fy","gl","gu","ha","hi","hu","hy","ia","it","kk","kn","ku","lb","mai","ml","mn","mr","nah","nap","nb","ne","nl","nn","no","nso","pa","pap","pms","ps","pt-PT","rm","sco","se","si","so","son","sq","sv","sw","ta","te","tk","ur","yo"],nr:[1,2],fc:2},{lngs:["ay","bo","cgg","fa","ht","id","ja","jbo","ka","km","ko","ky","lo","ms","sah","su","th","tt","ug","vi","wo","zh"],nr:[1],fc:3},{lngs:["be","bs","cnr","dz","hr","ru","sr","uk"],nr:[1,2,5],fc:4},{lngs:["ar"],nr:[0,1,2,3,11,100],fc:5},{lngs:["cs","sk"],nr:[1,2,5],fc:6},{lngs:["csb","pl"],nr:[1,2,5],fc:7},{lngs:["cy"],nr:[1,2,3,8],fc:8},{lngs:["fr"],nr:[1,2],fc:9},{lngs:["ga"],nr:[1,2,3,7,11],fc:10},{lngs:["gd"],nr:[1,2,3,20],fc:11},{lngs:["is"],nr:[1,2],fc:12},{lngs:["jv"],nr:[0,1],fc:13},{lngs:["kw"],nr:[1,2,3,4],fc:14},{lngs:["lt"],nr:[1,2,10],fc:15},{lngs:["lv"],nr:[1,2,0],fc:16},{lngs:["mk"],nr:[1,2],fc:17},{lngs:["mnk"],nr:[0,1,2],fc:18},{lngs:["mt"],nr:[1,2,11,20],fc:19},{lngs:["or"],nr:[2,1],fc:2},{lngs:["ro"],nr:[1,2,20],fc:20},{lngs:["sl"],nr:[5,1,2,3],fc:21},{lngs:["he","iw"],nr:[1,2,20,21],fc:22}],Ip={1:function(e){return Number(e>1)},2:function(e){return Number(1!=e)},3:function(e){return 0},4:function(e){return Number(e%10==1&&e%100!=11?0:e%10>=2&&e%10<=4&&(e%100<10||e%100>=20)?1:2)},5:function(e){return Number(0==e?0:1==e?1:2==e?2:e%100>=3&&e%100<=10?3:e%100>=11?4:5)},6:function(e){return Number(1==e?0:e>=2&&e<=4?1:2)},7:function(e){return Number(1==e?0:e%10>=2&&e%10<=4&&(e%100<10||e%100>=20)?1:2)},8:function(e){return Number(1==e?0:2==e?1:8!=e&&11!=e?2:3)},9:function(e){return Number(e>=2)},10:function(e){return Number(1==e?0:2==e?1:e<7?2:e<11?3:4)},11:function(e){return Number(1==e||11==e?0:2==e||12==e?1:e>2&&e<20?2:3)},12:function(e){return Number(e%10!=1||e%100==11)},13:function(e){return Number(0!==e)},14:function(e){return Number(1==e?0:2==e?1:3==e?2:3)},15:function(e){return Number(e%10==1&&e%100!=11?0:e%10>=2&&(e%100<10||e%100>=20)?1:2)},16:function(e){return Number(e%10==1&&e%100!=11?0:0!==e?1:2)},17:function(e){return Number(1==e||e%10==1&&e%100!=11?0:1)},18:function(e){return Number(0==e?0:1==e?1:2)},19:function(e){return Number(1==e?0:0==e||e%100>1&&e%100<11?1:e%100>10&&e%100<20?2:3)},20:function(e){return Number(1==e?0:0==e||e%100>0&&e%100<20?1:2)},21:function(e){return Number(e%100==1?1:e%100==2?2:e%100==3||e%100==4?3:0)},22:function(e){return Number(1==e?0:2==e?1:(e<0||e>10)&&e%10==0?2:3)}};const Lp=["v1","v2","v3"],Np=["v4"],Pp={zero:0,one:1,two:2,few:3,many:4,other:5};class xp{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.languageUtils=e,this.options=t,this.logger=ap.create("pluralResolver"),this.options.compatibilityJSON&&!Np.includes(this.options.compatibilityJSON)||"undefined"!=typeof Intl&&Intl.PluralRules||(this.options.compatibilityJSON="v3",this.logger.error("Your environment seems not to be Intl API compatible, use an Intl.PluralRules polyfill. Will fallback to the compatibilityJSON v3 format handling.")),this.rules=function(){const e={};return Cp.forEach((t=>{t.lngs.forEach((r=>{e[r]={numbers:t.nr,plurals:Ip[t.fc]}}))})),e}()}addRule(e,t){this.rules[e]=t}getRule(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(this.shouldUseIntlApi())try{return new Intl.PluralRules(Op("dev"===e?"en":e),{type:t.ordinal?"ordinal":"cardinal"})}catch(e){return}return this.rules[e]||this.rules[this.languageUtils.getLanguagePartFromCode(e)]}needsPlural(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};const r=this.getRule(e,t);return this.shouldUseIntlApi()?r&&r.resolvedOptions().pluralCategories.length>1:r&&r.numbers.length>1}getPluralFormsOfKey(e,t){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};return this.getSuffixes(e,r).map((e=>`${t}${e}`))}getSuffixes(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};const r=this.getRule(e,t);return r?this.shouldUseIntlApi()?r.resolvedOptions().pluralCategories.sort(((e,t)=>Pp[e]-Pp[t])).map((e=>`${this.options.prepend}${t.ordinal?`ordinal${this.options.prepend}`:""}${e}`)):r.numbers.map((r=>this.getSuffix(e,r,t))):[]}getSuffix(e,t){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};const n=this.getRule(e,r);return n?this.shouldUseIntlApi()?`${this.options.prepend}${r.ordinal?`ordinal${this.options.prepend}`:""}${n.select(t)}`:this.getSuffixRetroCompatible(n,t):(this.logger.warn(`no plural rule found for: ${e}`),"")}getSuffixRetroCompatible(e,t){const r=e.noAbs?e.plurals(t):e.plurals(Math.abs(t));let n=e.numbers[r];this.options.simplifyPluralSuffix&&2===e.numbers.length&&1===e.numbers[0]&&(2===n?n="plural":1===n&&(n=""));const o=()=>this.options.prepend&&n.toString()?this.options.prepend+n.toString():n.toString();return"v1"===this.options.compatibilityJSON?1===n?"":"number"==typeof n?`_plural_${n.toString()}`:o():"v2"===this.options.compatibilityJSON||this.options.simplifyPluralSuffix&&2===e.numbers.length&&1===e.numbers[0]?o():this.options.prepend&&r.toString()?this.options.prepend+r.toString():r.toString()}shouldUseIntlApi(){return!Lp.includes(this.options.compatibilityJSON)}}function kp(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:".",o=!(arguments.length>4&&void 0!==arguments[4])||arguments[4],i=function(e,t,r){const n=fp(e,r);return void 0!==n?n:fp(t,r)}(e,t,r);return!i&&o&&"string"==typeof r&&(i=Ep(e,r,n),void 0===i&&(i=Ep(t,r,n))),i}class Fp{constructor(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};this.logger=ap.create("interpolator"),this.options=e,this.format=e.interpolation&&e.interpolation.format||(e=>e),this.init(e)}init(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e.interpolation||(e.interpolation={escapeValue:!0});const{escape:t,escapeValue:r,useRawValueToEscape:n,prefix:o,prefixEscaped:i,suffix:a,suffixEscaped:l,formatSeparator:s,unescapeSuffix:u,unescapePrefix:c,nestingPrefix:d,nestingPrefixEscaped:p,nestingSuffix:f,nestingSuffixEscaped:h,nestingOptionsSeparator:g,maxReplaces:v,alwaysFormat:m}=e.interpolation;this.escape=void 0!==t?t:mp,this.escapeValue=void 0===r||r,this.useRawValueToEscape=void 0!==n&&n,this.prefix=o?gp(o):i||"{{",this.suffix=a?gp(a):l||"}}",this.formatSeparator=s||",",this.unescapePrefix=u?"":c||"-",this.unescapeSuffix=this.unescapePrefix?"":u||"",this.nestingPrefix=d?gp(d):p||gp("$t("),this.nestingSuffix=f?gp(f):h||gp(")"),this.nestingOptionsSeparator=g||",",this.maxReplaces=v||1e3,this.alwaysFormat=void 0!==m&&m,this.resetRegExp()}reset(){this.options&&this.init(this.options)}resetRegExp(){const e=(e,t)=>e&&e.source===t?(e.lastIndex=0,e):new RegExp(t,"g");this.regexp=e(this.regexp,`${this.prefix}(.+?)${this.suffix}`),this.regexpUnescape=e(this.regexpUnescape,`${this.prefix}${this.unescapePrefix}(.+?)${this.unescapeSuffix}${this.suffix}`),this.nestingRegexp=e(this.nestingRegexp,`${this.nestingPrefix}(.+?)${this.nestingSuffix}`)}interpolate(e,t,r,n){let o,i,a;const l=this.options&&this.options.interpolation&&this.options.interpolation.defaultVariables||{};function s(e){return e.replace(/\$/g,"$$$$")}const u=e=>{if(e.indexOf(this.formatSeparator)<0){const o=kp(t,l,e,this.options.keySeparator,this.options.ignoreJSONStructure);return this.alwaysFormat?this.format(o,void 0,r,{...n,...t,interpolationkey:e}):o}const o=e.split(this.formatSeparator),i=o.shift().trim(),a=o.join(this.formatSeparator).trim();return this.format(kp(t,l,i,this.options.keySeparator,this.options.ignoreJSONStructure),a,r,{...n,...t,interpolationkey:i})};this.resetRegExp();const c=n&&n.missingInterpolationHandler||this.options.missingInterpolationHandler,d=n&&n.interpolation&&void 0!==n.interpolation.skipOnVariables?n.interpolation.skipOnVariables:this.options.interpolation.skipOnVariables;return[{regex:this.regexpUnescape,safeValue:e=>s(e)},{regex:this.regexp,safeValue:e=>this.escapeValue?s(this.escape(e)):s(e)}].forEach((t=>{for(a=0;o=t.regex.exec(e);){const r=o[1].trim();if(i=u(r),void 0===i)if("function"==typeof c){const t=c(e,o,n);i="string"==typeof t?t:""}else if(n&&Object.prototype.hasOwnProperty.call(n,r))i="";else{if(d){i=o[0];continue}this.logger.warn(`missed to pass in variable ${r} for interpolating ${e}`),i=""}else"string"==typeof i||this.useRawValueToEscape||(i=up(i));const l=t.safeValue(i);if(e=e.replace(o[0],l),d?(t.regex.lastIndex+=i.length,t.regex.lastIndex-=o[0].length):t.regex.lastIndex=0,a++,a>=this.maxReplaces)break}})),e}nest(e,t){let r,n,o,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};function a(e,t){const r=this.nestingOptionsSeparator;if(e.indexOf(r)<0)return e;const n=e.split(new RegExp(`${r}[ ]*{`));let i=`{${n[1]}`;e=n[0],i=this.interpolate(i,o);const a=i.match(/'/g),l=i.match(/"/g);(a&&a.length%2==0&&!l||l.length%2!=0)&&(i=i.replace(/'/g,'"'));try{o=JSON.parse(i),t&&(o={...t,...o})}catch(t){return this.logger.warn(`failed parsing options string in nesting for key ${e}`,t),`${e}${r}${i}`}return o.defaultValue&&o.defaultValue.indexOf(this.prefix)>-1&&delete o.defaultValue,e}for(;r=this.nestingRegexp.exec(e);){let l=[];o={...i},o=o.replace&&"string"!=typeof o.replace?o.replace:o,o.applyPostProcessor=!1,delete o.defaultValue;let s=!1;if(-1!==r[0].indexOf(this.formatSeparator)&&!/{.*}/.test(r[1])){const e=r[1].split(this.formatSeparator).map((e=>e.trim()));r[1]=e.shift(),l=e,s=!0}if(n=t(a.call(this,r[1].trim(),o),o),n&&r[0]===e&&"string"!=typeof n)return n;"string"!=typeof n&&(n=up(n)),n||(this.logger.warn(`missed to resolve ${r[1]} for nesting ${e}`),n=""),s&&(n=l.reduce(((e,t)=>this.format(e,t,i.lng,{...i,interpolationkey:r[1].trim()})),n.trim())),e=e.replace(r[0],n),this.regexp.lastIndex=0}return e}}function jp(e){const t={};return function(r,n,o){const i=n+JSON.stringify(o);let a=t[i];return a||(a=e(Op(n),o),t[i]=a),a(r)}}class Dp{constructor(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};this.logger=ap.create("formatter"),this.options=e,this.formats={number:jp(((e,t)=>{const r=new Intl.NumberFormat(e,{...t});return e=>r.format(e)})),currency:jp(((e,t)=>{const r=new Intl.NumberFormat(e,{...t,style:"currency"});return e=>r.format(e)})),datetime:jp(((e,t)=>{const r=new Intl.DateTimeFormat(e,{...t});return e=>r.format(e)})),relativetime:jp(((e,t)=>{const r=new Intl.RelativeTimeFormat(e,{...t});return e=>r.format(e,t.range||"day")})),list:jp(((e,t)=>{const r=new Intl.ListFormat(e,{...t});return e=>r.format(e)}))},this.init(e)}init(e){const t=(arguments.length>1&&void 0!==arguments[1]?arguments[1]:{interpolation:{}}).interpolation;this.formatSeparator=t.formatSeparator?t.formatSeparator:t.formatSeparator||","}add(e,t){this.formats[e.toLowerCase().trim()]=t}addCached(e,t){this.formats[e.toLowerCase().trim()]=jp(t)}format(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};return t.split(this.formatSeparator).reduce(((e,t)=>{const{formatName:o,formatOptions:i}=function(e){let t=e.toLowerCase().trim();const r={};if(e.indexOf("(")>-1){const n=e.split("(");t=n[0].toLowerCase().trim();const o=n[1].substring(0,n[1].length-1);"currency"===t&&o.indexOf(":")<0?r.currency||(r.currency=o.trim()):"relativetime"===t&&o.indexOf(":")<0?r.range||(r.range=o.trim()):o.split(";").forEach((e=>{if(e){const[t,...n]=e.split(":"),o=n.join(":").trim().replace(/^'+|'+$/g,""),i=t.trim();r[i]||(r[i]=o),"false"===o&&(r[i]=!1),"true"===o&&(r[i]=!0),isNaN(o)||(r[i]=parseInt(o,10))}}))}return{formatName:t,formatOptions:r}}(t);if(this.formats[o]){let t=e;try{const a=n&&n.formatParams&&n.formatParams[n.interpolationkey]||{},l=a.locale||a.lng||n.locale||n.lng||r;t=this.formats[o](e,l,{...i,...n,...a})}catch(e){this.logger.warn(e)}return t}return this.logger.warn(`there was no format function for ${o}`),e}),e)}}class Mp extends lp{constructor(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};super(),this.backend=e,this.store=t,this.services=r,this.languageUtils=r.languageUtils,this.options=n,this.logger=ap.create("backendConnector"),this.waitingReads=[],this.maxParallelReads=n.maxParallelReads||10,this.readingCalls=0,this.maxRetries=n.maxRetries>=0?n.maxRetries:5,this.retryTimeout=n.retryTimeout>=1?n.retryTimeout:350,this.state={},this.queue=[],this.backend&&this.backend.init&&this.backend.init(r,n.backend,n)}queueLoad(e,t,r,n){const o={},i={},a={},l={};return e.forEach((e=>{let n=!0;t.forEach((t=>{const a=`${e}|${t}`;!r.reload&&this.store.hasResourceBundle(e,t)?this.state[a]=2:this.state[a]<0||(1===this.state[a]?void 0===i[a]&&(i[a]=!0):(this.state[a]=1,n=!1,void 0===i[a]&&(i[a]=!0),void 0===o[a]&&(o[a]=!0),void 0===l[t]&&(l[t]=!0)))})),n||(a[e]=!0)})),(Object.keys(o).length||Object.keys(i).length)&&this.queue.push({pending:i,pendingCount:Object.keys(i).length,loaded:{},errors:[],callback:n}),{toLoad:Object.keys(o),pending:Object.keys(i),toLoadLanguages:Object.keys(a),toLoadNamespaces:Object.keys(l)}}loaded(e,t,r){const n=e.split("|"),o=n[0],i=n[1];t&&this.emit("failedLoading",o,i,t),r&&this.store.addResourceBundle(o,i,r,void 0,void 0,{skipCopy:!0}),this.state[e]=t?-1:2;const a={};this.queue.forEach((r=>{!function(e,t,r,n){const{obj:o,k:i}=dp(e,t,Object);o[i]=o[i]||[],o[i].push(r)}(r.loaded,[o],i),function(e,t){void 0!==e.pending[t]&&(delete e.pending[t],e.pendingCount--)}(r,e),t&&r.errors.push(t),0!==r.pendingCount||r.done||(Object.keys(r.loaded).forEach((e=>{a[e]||(a[e]={});const t=r.loaded[e];t.length&&t.forEach((t=>{void 0===a[e][t]&&(a[e][t]=!0)}))})),r.done=!0,r.errors.length?r.callback(r.errors):r.callback())})),this.emit("loaded",a),this.queue=this.queue.filter((e=>!e.done))}read(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:0,o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:this.retryTimeout,i=arguments.length>5?arguments[5]:void 0;if(!e.length)return i(null,{});if(this.readingCalls>=this.maxParallelReads)return void this.waitingReads.push({lng:e,ns:t,fcName:r,tried:n,wait:o,callback:i});this.readingCalls++;const a=(a,l)=>{if(this.readingCalls--,this.waitingReads.length>0){const e=this.waitingReads.shift();this.read(e.lng,e.ns,e.fcName,e.tried,e.wait,e.callback)}a&&l&&n<this.maxRetries?setTimeout((()=>{this.read.call(this,e,t,r,n+1,2*o,i)}),o):i(a,l)},l=this.backend[r].bind(this.backend);if(2!==l.length)return l(e,t,a);try{const r=l(e,t);r&&"function"==typeof r.then?r.then((e=>a(null,e))).catch(a):a(null,r)}catch(e){a(e)}}prepareLoading(e,t){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=arguments.length>3?arguments[3]:void 0;if(!this.backend)return this.logger.warn("No backend was added via i18next.use. Will not load resources."),n&&n();"string"==typeof e&&(e=this.languageUtils.toResolveHierarchy(e)),"string"==typeof t&&(t=[t]);const o=this.queueLoad(e,t,r,n);if(!o.toLoad.length)return o.pending.length||n(),null;o.toLoad.forEach((e=>{this.loadOne(e)}))}load(e,t,r){this.prepareLoading(e,t,{},r)}reload(e,t,r){this.prepareLoading(e,t,{reload:!0},r)}loadOne(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"";const r=e.split("|"),n=r[0],o=r[1];this.read(n,o,"read",void 0,void 0,((r,i)=>{r&&this.logger.warn(`${t}loading namespace ${o} for language ${n} failed`,r),!r&&i&&this.logger.log(`${t}loaded namespace ${o} for language ${n}`,i),this.loaded(e,r,i)}))}saveMissing(e,t,r,n,o){let i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{},a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:()=>{};if(this.services.utils&&this.services.utils.hasLoadedNamespace&&!this.services.utils.hasLoadedNamespace(t))this.logger.warn(`did not save key "${r}" as the namespace "${t}" was not yet loaded`,"This means something IS WRONG in your setup. You access the t function before i18next.init / i18next.loadNamespace / i18next.changeLanguage was done. Wait for the callback or Promise to resolve before accessing it!!!");else if(null!=r&&""!==r){if(this.backend&&this.backend.create){const l={...i,isUpdate:o},s=this.backend.create.bind(this.backend);if(s.length<6)try{let o;o=5===s.length?s(e,t,r,n,l):s(e,t,r,n),o&&"function"==typeof o.then?o.then((e=>a(null,e))).catch(a):a(null,o)}catch(e){a(e)}else s(e,t,r,n,a,l)}e&&e[0]&&this.store.addResource(e[0],t,r,n)}}}function Vp(){return{debug:!1,initImmediate:!0,ns:["translation"],defaultNS:["translation"],fallbackLng:["dev"],fallbackNS:!1,supportedLngs:!1,nonExplicitSupportedLngs:!1,load:"all",preload:!1,simplifyPluralSuffix:!0,keySeparator:".",nsSeparator:":",pluralSeparator:"_",contextSeparator:"_",partialBundledLanguages:!1,saveMissing:!1,updateMissing:!1,saveMissingTo:"fallback",saveMissingPlurals:!0,missingKeyHandler:!1,missingInterpolationHandler:!1,postProcess:!1,postProcessPassResolved:!1,returnNull:!1,returnEmptyString:!0,returnObjects:!1,joinArrays:!1,returnedObjectHandler:!1,parseMissingKeyHandler:!1,appendNamespaceToMissingKey:!1,appendNamespaceToCIMode:!1,overloadTranslationOptionHandler:function(e){let t={};if("object"==typeof e[1]&&(t=e[1]),"string"==typeof e[1]&&(t.defaultValue=e[1]),"string"==typeof e[2]&&(t.tDescription=e[2]),"object"==typeof e[2]||"object"==typeof e[3]){const r=e[3]||e[2];Object.keys(r).forEach((e=>{t[e]=r[e]}))}return t},interpolation:{escapeValue:!0,format:e=>e,prefix:"{{",suffix:"}}",formatSeparator:",",unescapePrefix:"-",nestingPrefix:"$t(",nestingSuffix:")",nestingOptionsSeparator:",",maxReplaces:1e3,skipOnVariables:!0}}}function Up(e){return"string"==typeof e.ns&&(e.ns=[e.ns]),"string"==typeof e.fallbackLng&&(e.fallbackLng=[e.fallbackLng]),"string"==typeof e.fallbackNS&&(e.fallbackNS=[e.fallbackNS]),e.supportedLngs&&e.supportedLngs.indexOf("cimode")<0&&(e.supportedLngs=e.supportedLngs.concat(["cimode"])),e}function Bp(){}class qp extends lp{constructor(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1?arguments[1]:void 0;var r;if(super(),this.options=Up(e),this.services={},this.logger=ap,this.modules={external:[]},r=this,Object.getOwnPropertyNames(Object.getPrototypeOf(r)).forEach((e=>{"function"==typeof r[e]&&(r[e]=r[e].bind(r))})),t&&!this.isInitialized&&!e.isClone){if(!this.options.initImmediate)return this.init(e,t),this;setTimeout((()=>{this.init(e,t)}),0)}}init(){var e=this;let t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},r=arguments.length>1?arguments[1]:void 0;this.isInitializing=!0,"function"==typeof t&&(r=t,t={}),!t.defaultNS&&!1!==t.defaultNS&&t.ns&&("string"==typeof t.ns?t.defaultNS=t.ns:t.ns.indexOf("translation")<0&&(t.defaultNS=t.ns[0]));const n=Vp();function o(e){return e?"function"==typeof e?new e:e:null}if(this.options={...n,...this.options,...Up(t)},"v1"!==this.options.compatibilityAPI&&(this.options.interpolation={...n.interpolation,...this.options.interpolation}),void 0!==t.keySeparator&&(this.options.userDefinedKeySeparator=t.keySeparator),void 0!==t.nsSeparator&&(this.options.userDefinedNsSeparator=t.nsSeparator),!this.options.isClone){let t;this.modules.logger?ap.init(o(this.modules.logger),this.options):ap.init(null,this.options),this.modules.formatter?t=this.modules.formatter:"undefined"!=typeof Intl&&(t=Dp);const r=new Ap(this.options);this.store=new Sp(this.options.resources,this.options);const i=this.services;i.logger=ap,i.resourceStore=this.store,i.languageUtils=r,i.pluralResolver=new xp(r,{prepend:this.options.pluralSeparator,compatibilityJSON:this.options.compatibilityJSON,simplifyPluralSuffix:this.options.simplifyPluralSuffix}),!t||this.options.interpolation.format&&this.options.interpolation.format!==n.interpolation.format||(i.formatter=o(t),i.formatter.init(i,this.options),this.options.interpolation.format=i.formatter.format.bind(i.formatter)),i.interpolator=new Fp(this.options),i.utils={hasLoadedNamespace:this.hasLoadedNamespace.bind(this)},i.backendConnector=new Mp(o(this.modules.backend),i.resourceStore,i,this.options),i.backendConnector.on("*",(function(t){for(var r=arguments.length,n=new Array(r>1?r-1:0),o=1;o<r;o++)n[o-1]=arguments[o];e.emit(t,...n)})),this.modules.languageDetector&&(i.languageDetector=o(this.modules.languageDetector),i.languageDetector.init&&i.languageDetector.init(i,this.options.detection,this.options)),this.modules.i18nFormat&&(i.i18nFormat=o(this.modules.i18nFormat),i.i18nFormat.init&&i.i18nFormat.init(this)),this.translator=new wp(this.services,this.options),this.translator.on("*",(function(t){for(var r=arguments.length,n=new Array(r>1?r-1:0),o=1;o<r;o++)n[o-1]=arguments[o];e.emit(t,...n)})),this.modules.external.forEach((e=>{e.init&&e.init(this)}))}if(this.format=this.options.interpolation.format,r||(r=Bp),this.options.fallbackLng&&!this.services.languageDetector&&!this.options.lng){const e=this.services.languageUtils.getFallbackCodes(this.options.fallbackLng);e.length>0&&"dev"!==e[0]&&(this.options.lng=e[0])}this.services.languageDetector||this.options.lng||this.logger.warn("init: no languageDetector is used and no lng is defined"),["getResource","hasResourceBundle","getResourceBundle","getDataByLanguage"].forEach((t=>{this[t]=function(){return e.store[t](...arguments)}})),["addResource","addResources","addResourceBundle","removeResourceBundle"].forEach((t=>{this[t]=function(){return e.store[t](...arguments),e}}));const i=sp(),a=()=>{const e=(e,t)=>{this.isInitializing=!1,this.isInitialized&&!this.initializedStoreOnce&&this.logger.warn("init: i18next is already initialized. You should call init just once!"),this.isInitialized=!0,this.options.isClone||this.logger.log("initialized",this.options),this.emit("initialized",this.options),i.resolve(t),r(e,t)};if(this.languages&&"v1"!==this.options.compatibilityAPI&&!this.isInitialized)return e(null,this.t.bind(this));this.changeLanguage(this.options.lng,e)};return this.options.resources||!this.options.initImmediate?a():setTimeout(a,0),i}loadResources(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:Bp;const r="string"==typeof e?e:this.language;if("function"==typeof e&&(t=e),!this.options.resources||this.options.partialBundledLanguages){if(r&&"cimode"===r.toLowerCase()&&(!this.options.preload||0===this.options.preload.length))return t();const e=[],n=t=>{t&&"cimode"!==t&&this.services.languageUtils.toResolveHierarchy(t).forEach((t=>{"cimode"!==t&&e.indexOf(t)<0&&e.push(t)}))};r?n(r):this.services.languageUtils.getFallbackCodes(this.options.fallbackLng).forEach((e=>n(e))),this.options.preload&&this.options.preload.forEach((e=>n(e))),this.services.backendConnector.load(e,this.options.ns,(e=>{e||this.resolvedLanguage||!this.language||this.setResolvedLanguage(this.language),t(e)}))}else t(null)}reloadResources(e,t,r){const n=sp();return e||(e=this.languages),t||(t=this.options.ns),r||(r=Bp),this.services.backendConnector.reload(e,t,(e=>{n.resolve(),r(e)})),n}use(e){if(!e)throw new Error("You are passing an undefined module! Please check the object you are passing to i18next.use()");if(!e.type)throw new Error("You are passing a wrong module! Please check the object you are passing to i18next.use()");return"backend"===e.type&&(this.modules.backend=e),("logger"===e.type||e.log&&e.warn&&e.error)&&(this.modules.logger=e),"languageDetector"===e.type&&(this.modules.languageDetector=e),"i18nFormat"===e.type&&(this.modules.i18nFormat=e),"postProcessor"===e.type&&Tp.addPostProcessor(e),"formatter"===e.type&&(this.modules.formatter=e),"3rdParty"===e.type&&this.modules.external.push(e),this}setResolvedLanguage(e){if(e&&this.languages&&!(["cimode","dev"].indexOf(e)>-1))for(let e=0;e<this.languages.length;e++){const t=this.languages[e];if(!(["cimode","dev"].indexOf(t)>-1)&&this.store.hasLanguageSomeTranslations(t)){this.resolvedLanguage=t;break}}}changeLanguage(e,t){var r=this;this.isLanguageChangingTo=e;const n=sp();this.emit("languageChanging",e);const o=e=>{this.language=e,this.languages=this.services.languageUtils.toResolveHierarchy(e),this.resolvedLanguage=void 0,this.setResolvedLanguage(e)},i=(e,i)=>{i?(o(i),this.translator.changeLanguage(i),this.isLanguageChangingTo=void 0,this.emit("languageChanged",i),this.logger.log("languageChanged",i)):this.isLanguageChangingTo=void 0,n.resolve((function(){return r.t(...arguments)})),t&&t(e,(function(){return r.t(...arguments)}))},a=t=>{e||t||!this.services.languageDetector||(t=[]);const r="string"==typeof t?t:this.services.languageUtils.getBestMatchFromCodes(t);r&&(this.language||o(r),this.translator.language||this.translator.changeLanguage(r),this.services.languageDetector&&this.services.languageDetector.cacheUserLanguage&&this.services.languageDetector.cacheUserLanguage(r)),this.loadResources(r,(e=>{i(e,r)}))};return e||!this.services.languageDetector||this.services.languageDetector.async?!e&&this.services.languageDetector&&this.services.languageDetector.async?0===this.services.languageDetector.detect.length?this.services.languageDetector.detect().then(a):this.services.languageDetector.detect(a):a(e):a(this.services.languageDetector.detect()),n}getFixedT(e,t,r){var n=this;const o=function(e,t){let i;if("object"!=typeof t){for(var a=arguments.length,l=new Array(a>2?a-2:0),s=2;s<a;s++)l[s-2]=arguments[s];i=n.options.overloadTranslationOptionHandler([e,t].concat(l))}else i={...t};i.lng=i.lng||o.lng,i.lngs=i.lngs||o.lngs,i.ns=i.ns||o.ns,i.keyPrefix=i.keyPrefix||r||o.keyPrefix;const u=n.options.keySeparator||".";let c;return c=i.keyPrefix&&Array.isArray(e)?e.map((e=>`${i.keyPrefix}${u}${e}`)):i.keyPrefix?`${i.keyPrefix}${u}${e}`:e,n.t(c,i)};return"string"==typeof e?o.lng=e:o.lngs=e,o.ns=t,o.keyPrefix=r,o}t(){return this.translator&&this.translator.translate(...arguments)}exists(){return this.translator&&this.translator.exists(...arguments)}setDefaultNamespace(e){this.options.defaultNS=e}hasLoadedNamespace(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!this.isInitialized)return this.logger.warn("hasLoadedNamespace: i18next was not initialized",this.languages),!1;if(!this.languages||!this.languages.length)return this.logger.warn("hasLoadedNamespace: i18n.languages were undefined or empty",this.languages),!1;const r=t.lng||this.resolvedLanguage||this.languages[0],n=!!this.options&&this.options.fallbackLng,o=this.languages[this.languages.length-1];if("cimode"===r.toLowerCase())return!0;const i=(e,t)=>{const r=this.services.backendConnector.state[`${e}|${t}`];return-1===r||2===r};if(t.precheck){const e=t.precheck(this,i);if(void 0!==e)return e}return!(!this.hasResourceBundle(r,e)&&this.services.backendConnector.backend&&(!this.options.resources||this.options.partialBundledLanguages)&&(!i(r,e)||n&&!i(o,e)))}loadNamespaces(e,t){const r=sp();return this.options.ns?("string"==typeof e&&(e=[e]),e.forEach((e=>{this.options.ns.indexOf(e)<0&&this.options.ns.push(e)})),this.loadResources((e=>{r.resolve(),t&&t(e)})),r):(t&&t(),Promise.resolve())}loadLanguages(e,t){const r=sp();"string"==typeof e&&(e=[e]);const n=this.options.preload||[],o=e.filter((e=>n.indexOf(e)<0&&this.services.languageUtils.isSupportedCode(e)));return o.length?(this.options.preload=n.concat(o),this.loadResources((e=>{r.resolve(),t&&t(e)})),r):(t&&t(),Promise.resolve())}dir(e){if(e||(e=this.resolvedLanguage||(this.languages&&this.languages.length>0?this.languages[0]:this.language)),!e)return"rtl";const t=this.services&&this.services.languageUtils||new Ap(Vp());return["ar","shu","sqr","ssh","xaa","yhd","yud","aao","abh","abv","acm","acq","acw","acx","acy","adf","ads","aeb","aec","afb","ajp","apc","apd","arb","arq","ars","ary","arz","auz","avl","ayh","ayl","ayn","ayp","bbz","pga","he","iw","ps","pbt","pbu","pst","prp","prd","ug","ur","ydd","yds","yih","ji","yi","hbo","men","xmn","fa","jpr","peo","pes","prs","dv","sam","ckb"].indexOf(t.getLanguagePartFromCode(e))>-1||e.toLowerCase().indexOf("-arab")>1?"rtl":"ltr"}static createInstance(){return new qp(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},arguments.length>1?arguments[1]:void 0)}cloneInstance(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:Bp;const r=e.forkResourceStore;r&&delete e.forkResourceStore;const n={...this.options,...e,isClone:!0},o=new qp(n);return void 0===e.debug&&void 0===e.prefix||(o.logger=o.logger.clone(e)),["store","services","language"].forEach((e=>{o[e]=this[e]})),o.services={...this.services},o.services.utils={hasLoadedNamespace:o.hasLoadedNamespace.bind(o)},r&&(o.store=new Sp(this.store.data,n),o.services.resourceStore=o.store),o.translator=new wp(o.services,n),o.translator.on("*",(function(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];o.emit(e,...r)})),o.init(n,t),o.translator.options=n,o.translator.backendConnector.services.utils={hasLoadedNamespace:o.hasLoadedNamespace.bind(o)},o}toJSON(){return{options:this.options,store:this.store,language:this.language,languages:this.languages,resolvedLanguage:this.resolvedLanguage}}}const Gp=qp.createInstance();Gp.createInstance=qp.createInstance,Gp.createInstance,Gp.dir,Gp.init,Gp.loadResources,Gp.reloadResources,Gp.use,Gp.changeLanguage,Gp.getFixedT,Gp.t,Gp.exists,Gp.setDefaultNamespace,Gp.hasLoadedNamespace,Gp.loadNamespaces,Gp.loadLanguages;var Kp,Wp=(Un(Un(Un(Un(Un(Un(Un(Un(Un(Un(Kp={},_d,"Empty group"),wd,"No conditions for group field {{field}}"),Rd,"Empty query"),Ad,"Empty case"),Cd,"No config for field {{field}}"),"FIXED_OPERATOR","Fixed operator {{from}} to {{to}} for field {{field}}"),Id,"No config for operator {{operator}}"),Ld,"No config for function {{funcKey}}"),Nd,"Invalid value"),Pd,"Invalid value of arg {{argName}} for func {{funcName}}: {{argValidationError}}"),Un(Un(Un(Un(Un(Un(Un(Un(Un(Un(Kp,xd,"Type of field {{field}} is not supported"),kd,"Operator {{operator}} is not supported for field {{field}}"),jd,"Incomplete rule"),Dd,"Incomplete LHS"),Md,"Incomplete RHS"),Fd,"Invalid value src {{valueSrcs, list}}"),Vd+"_one","Value {{badValues, list}} is not in the list of allowed values"),Vd+"_other","Values {{badValues, list}} are not in the list of allowed values"),Ud,"Value {{value}} is not in the list of allowed values"),Bd,"Value should have type {{wType}}, but got value of type {{valueType}}"),Un(Un(Un(Un(Un(Un(Un(Un(Un(Un(Kp,qd,"Value should have JS type {{jsType}}, but got value of type {{valueTypeof}}"),Gd,"Value {{value}} should have max length {{fieldSettings.maxLength}} but got {{length}}"),Kd,"Value {{value}} should be from {{fieldSettings.min}} to {{fieldSettings.max}}"),Wd,"Value {{value}} should be from {{fieldSettings.min}} to {{fieldSettings.max}}"),zd,"No config for field {{field}}"),$d,"Can't compare field {{field}} with itself"),Hd,"Can't compare field {{leftField}} with {{rightField}}"),Yd,"Field {{field}} is of type {{type}}, but expected {{expected}}"),Qd,"Unsupported function {{funcKey}} for field {{field}}"),Xd,"Value of arg {{argName}} for func {{funcName}} is required"),Un(Un(Un(Un(Un(Un(Un(Un(Un(Un(Kp,Jd,"Function {{funcKey}} should return value of type {{returnType}}, but got {{valueType}}"),Zd,"Invalid range"),tp,"Root"),ep+"__rule","Leaf #{{globalLeafNo}}"),ep+"__group","Group #{{globalGroupNo}}"),ep+"__rule_group","Rule-group #{{globalNoByType}}"),ep+"__case_group","Case #{{globalNoByType}}"),ep+"__rule__deleted","Deleted leaf #{{globalLeafNo}}"),ep+"__group__deleted","Deleted group #{{globalGroupNo}}"),ep+"__rule_group__deleted","Deleted rule-group #{{globalNoByType}}"),Un(Un(Un(Kp,ep+"__case_group__deleted","Deleted case #{{globalNoByType}}"),np,"{{str}} in case #{{caseNo}}"),rp,"{{str}} (index path: {{indexPath, list}})")),zp="raqbvalidation",$p="".concat(zp,":"),Hp=Gp.createInstance();Hp.init({fallbackLng:"en"}),Hp.addResources("en",zp,Wp);var Yp=function e(t,r){return null!=t&&t.str?t.str:null!=t&&t.key?e(t.key,t.args):null===r?t:Hp.t(t.includes(":")?t:$p+t,r)};const Qp=Hp;function Xp(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Jp(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Xp(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Xp(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Zp=function(e){return"object"===Pn(e)&&null!==e&&Array.isArray(e)?"array":Pn(e)},ef=function(e,t){return 0===tf(e,t).length},tf=function(e,t){var r=t.settings.showErrorMessage,n=[];return e&&function e(t,o,i){var a,l,s=t.get("id"),u=t.get("children1"),c=t.getIn(["properties","valueError"]),d=t.getIn(["properties","fieldError"]),p=t.getIn(["properties","field"]),f=null!==(a=null==p||null===(l=p.get)||void 0===l?void 0:l.call(p,"func"))&&void 0!==a?a:p;((null==c?void 0:c.size)>0&&c.filter((function(e){return null!=e})).size>0||!!d)&&r&&n.push(f),u&&u.map((function(t,r){t&&e(t,o.concat(s),i+1)}))}(e,[],0),Array.from(new Set(n))},rf=function(e,t){var r=Ch(t,void 0,!0),n={removeEmptyGroups:t.settings.removeEmptyGroupsOnLoad,removeIncompleteRules:t.settings.removeIncompleteRulesOnLoad,removeEmptyRules:t.settings.removeEmptyRulesOnLoad,forceFix:!1},o=lf(e,null,r,r,n),i=o.fixedTree,a=o.allErrors;return o.isSanitized&&a.length&&console.warn("Tree check errors: ",a),i},nf=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=Ch(t,void 0,!0),o=Jp(Jp({},r),{},{removeEmptyGroups:!1,removeEmptyRules:!1,removeIncompleteRules:!1,forceFix:!1});return lf(e,null,n,n,o).allErrors},of=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=Ch(t,void 0,!0),o=Jp({removeEmptyGroups:!0,removeEmptyRules:!0,removeIncompleteRules:!0,forceFix:!1},r),i=lf(e,null,n,n,o);return{fixedTree:i.fixedTree,fixedErrors:i.fixedErrors,nonFixedErrors:i.nonFixedErrors,allErrors:i.allErrors}},af=function(e,t,r,n,o,i,a){void 0===o&&(o=r.settings.removeEmptyGroupsOnLoad),void 0===i&&(i=r.settings.removeEmptyRulesOnLoad),void 0===a&&(a=r.settings.removeIncompleteRulesOnLoad);var l=lf(e,t,r,n,{removeEmptyGroups:o,removeEmptyRules:i,removeIncompleteRules:a,forceFix:!1}),s=l.fixedTree,u=(l.allErrors,l.fixedErrors);return l.nonFixedErrors,l.isSanitized&&u.length&&console.warn("Fixed tree errors: ",u),fu(s)},lf=function(e,t,r,n,o){if(!e)return{fixedTree:e,allErrors:[],fixedErrors:[],nonFixedErrors:[],isSanitized:!1};var i,a,l=o||{},s=l.removeEmptyGroups,u=l.removeEmptyRules,c=l.removeIncompleteRules,d=l.forceFix,p=l.translateErrors,f=void 0===p||p,h=l.includeStringifiedItems,g=void 0===h||h,v=l.stringifyFixedItems,m=void 0!==v&&v,y=l.stringifyItemsUserFriendly,b=void 0===y||y,E=l.includeItemsPositions,O=void 0===E||E,S={errors:{}},T=cf(e,[],null,S,{config:r,oldConfig:n,removeEmptyGroups:s,removeEmptyRules:u,removeIncompleteRules:c,forceFix:d}),_=S.sanitized,w=[];for(var R in O&&(i=gu(T).items),S.errors){var A=S.errors[R],C=A.path,I=A.errors;f&&(I=I.map((function(e){return Jp(Jp({},e),{},{str:Yp(e)})})));var L={path:C,errors:I};if(g){var N=du(m?T:e,C);if(1!==C.length&&"group"!==N.get("type")){var P=md(N,r,b,!0);L.itemStr=P}}if(O){var x=i[R],k=!x;if(k&&(a||(a=gu(e).items),x=a[R]),x){var F=Jp(Jp({},x.position),{},{index:x.index,type:x.type,isDeleted:k});L.itemPosition=F;var j=x.index?ep+"__"+x.type+(k?"__deleted":""):tp,D=Jp({},F);if(b){for(var M,V=0,U=["caseNo","globalLeafNo","globalGroupNo","globalNoByType"];V<U.length;V++){var B=U[V];null!=D[B]&&(D[B]=D[B]+1)}D.indexPath=null===(M=F.indexPath)||void 0===M?void 0:M.map((function(e){return e+1}))}L.itemPositionStr=Yp(j,D),x.index&&(x.caseId&&"case_group"!==x.type&&(L.itemPositionStr=Yp(np,Jp(Jp({},D),{},{str:L.itemPositionStr}))),L.itemPositionStr=Yp(rp,Jp(Jp({},D),{},{str:L.itemPositionStr})))}}w.push(L)}for(var q=[],G=[],K=0,W=w;K<W.length;K++){var z=W[K],$=z.errors.filter((function(e){return!!e.fixed})),H=z.errors.filter((function(e){return!e.fixed&&"EMPTY_QUERY"!==e.key}));$.length&&q.push(Jp(Jp({},z),{},{errors:$})),H.length&&G.push(Jp(Jp({},z),{},{errors:H}))}return{fixedTree:T,allErrors:w,fixedErrors:q,nonFixedErrors:G,isSanitized:_}};function sf(e,t,r,n){var o=t.get("id");e.errors[o]||(e.errors[o]={path:[].concat(Kn(r),[o]),errors:[]}),e.errors[o].errors.push(n)}function uf(e,t){var r=t.get("id");e.errors[r]&&e.errors[r].errors.map((function(e){e.fixed=!0}))}function cf(e,t,r,n,o){var i=null==e?void 0:e.get("type");return"group"===i||"rule_group"===i||"case_group"==i||"switch_group"==i?function(e,t,r,n,o){var i,a,l,s,u,c,d=o.removeEmptyGroups,p=o.removeIncompleteRules,f=(o.forceFix,o.config),h=(f.settings.showErrorMessage,e.get("id")),g=e.get("children1"),v=!t.length,m=g,y=e.get("type"),b=e.get("properties"),E=null==b?void 0:b.get("field"),O=null==b?void 0:b.get("mode"),S=null==b||null===(i=b.get)||void 0===i?void 0:i.call(b,"operator"),T="rule_group"===y&&"array"===O,_="case_group"===y,w=_&&null==g,R=S?null!==(a=null===(l=f.operators[S])||void 0===l?void 0:l.cardinality)&&void 0!==a?a:1:void 0,A=_?!w:!T||0==R;!h&&r&&(h=r,e=e.set("id",h),n.sanitized=!0),T&&(e=df(e,t,r,n,o));var C={errors:{}},I=null===(u=g=null===(s=g)||void 0===s?void 0:s.map((function(e,r){return cf(e,t.concat(h),r,C,o)})))||void 0===u?void 0:u.filter((function(e){return null!=e}));d&&(g=I);var L=C.sanitized||(null==m?void 0:m.size)!=(null===(c=g)||void 0===c?void 0:c.size),N=d&&!v;return T&&E&&(N=p),!(null!=I&&I.size)&&A&&(sf(n,e,t,{key:v?Rd:_?Ad:T?wd:_d,args:{field:E},fixed:N}),N&&(uf(n,e),e=void 0)),L&&(n.sanitized=!0),L&&e&&(e=e.set("children1",g)),n.errors=Jp(Jp({},n.errors),(null==C?void 0:C.errors)||{}),e}(e,t,r,n,o):"rule"===i?df(e,t,r,n,o):e}function df(e,t,r,n,o){var i=o.removeIncompleteRules,a=o.removeEmptyRules,l=o.forceFix,s=o.config,u=o.oldConfig,c=s.settings.showErrorMessage,d=!c||l,p=e.get("id"),f=e.get("properties");if(f){var h=f.get("field")||null,g=f.get("fieldSrc")||null,v=f.get("operator")||null,m=f.get("operatorOptions"),y=f.get("valueSrc"),b=f.get("value"),E=f.get("valueError"),O=f.get("fieldError"),S=function(){var e,t;return{field:(null===(e=h)||void 0===e||null===(t=e.toJS)||void 0===t?void 0:t.call(e))||h,fieldSrc:g,operator:v,operatorOptions:m?m.toJS():{},valueSrc:y?y.toJS():null,value:b?b.toJS():null,valueError:E?E.toJS():null,fieldError:O||null}},T=S();!p&&r&&(p=r,e=e.set("id",p),n.sanitized=!0);var _=h?Yh(s,h):null;h&&!_&&(sf(n,e,t,{key:Cd,args:{field:h},side:"lhs",fixed:i||a}),h=null),null==h&&(f=["operator","operatorOptions","valueSrc","value","valueError","fieldError","field"].reduce((function(e,t){return e.delete(t)}),f),v=null),g||(g=Hh(h),f=f.set("fieldSrc",g)),"range_between"!==v&&"range_not_between"!==v||(v="range_between"===v?"between":"not_between",f=f.set("operator",v));var w=v?Qh(s,v,h):null;v&&!w&&(sf(n,e,t,{key:Id,args:{operator:v},side:"op",fixed:i||a}),v=null);var R=h?If(s,h):[];h&&(null!=R&&R.length?v&&-1==R.indexOf(v)&&("is_empty"===v||"is_not_empty"===v?(v="is_empty"===v?"is_null":"is_not_null",f=f.set("operator",v)):(sf(n,e,t,{key:kd,args:{operator:v,field:h},side:"lhs",fixed:i||a}),v=null)):(sf(n,e,t,{key:xd,args:{field:h},side:"lhs",fixed:i||a}),v=null)),null==v&&(f=["operatorOptions","valueSrc","value","valueError"].reduce((function(e,t){return e.delete(t)}),f)),m=f.get("operatorOptions"),!v||m&&!w.options?(m=null,f=f.delete("operatorOptions")):v&&!m&&w.options&&(m=nd(s,v,h),f=f.set("operatorOptions",m)),y=f.get("valueSrc"),b=f.get("value");var A=mf(s,u,f,h,v,null,d,!0),C=A.newValue,I=A.newValueSrc,L=A.newValueError,N=A.validationErrors,P=A.newFieldError,x=A.fixedField;b=C,y=I,E=L,O=P,h=x,f=(f=(f=f.set("field",h)).set("value",b)).set("valueSrc",y),f=c?f.set("valueError",E).set("fieldError",O):f.delete("valueError").delete("fieldError");var k=S(),F=!Ss(T,k),j=Yf(f.toObject(),s),D=j.score>=3;if(F&&(n.sanitized=!0,e=e.set("properties",f)),null==N||N.map((function(r){return sf(n,e,t,r)})),!D){var M=j.score?i:a,V={key:jd,args:{}};if(j.parts.field){if(!j.parts.value){var U,B,q,G;V.key=Md,V.side="rhs",null!==(U=k.valueSrc)&&void 0!==U&&U[0]&&(null===(B=k.valueSrc)||void 0===B?void 0:B[0])!=(null===(q=T.valueSrc)||void 0===q?void 0:q[0])&&null!=(null===(G=k.value)||void 0===G?void 0:G[0])&&(V.key=Fd,V.args={valueSrcs:k.valueSrc})}}else V.key=Dd,V.side="lhs";V.fixed=M,sf(n,e,t,V),M&&(uf(n,e),e=void 0)}return e}sf(n,e,t,{key:jd,args:{},fixed:i||a})}var pf=function(e,t,r,n,o,i,a,l){var s=arguments.length>8&&void 0!==arguments[8]&&arguments[8],u=arguments.length>9&&void 0!==arguments[9]&&arguments[9],c=arguments.length>10&&void 0!==arguments[10]&&arguments[10],d=[],p=o;if(null!=o){var f,h,g,v;if("field"===a){var m=$n(hf(t,r,o,a,i,l,e,n,s,u),2);p=m[0],d=m[1]}else if("func"===a){var y=$n(gf(t,r,o,a,i,l,e,n,s,u,c),2);p=y[0],d=y[1]}else if("value"===a||!a){var b=$n(ff(r,o,a,i,l,e,n,s,u),2);p=b[0],d=b[1]}var E=!(null!==(f=d)&&void 0!==f&&f.find((function(e){return!e.fixed})));if(r&&!["field","func"].includes(a)&&(null===(h=d)||void 0===h||!h.length||E)){var O=Uf(e,r,n,a),S=n?Qh(e,n,r):null,T=gs()(Xh(e,r,n,O,a),["factory"]),_="field"===a?Yh(e,o):null,w=T,R=T.validateValue;if("function"==typeof R){var A=[p,w,n,S];"field"===a&&A.push(_);var C,I,L=R.call.apply(R,[e.ctx].concat(A));"object"!==Pn(L)||null===L||Array.isArray(L)?"boolean"==typeof L?0==L&&d.push({key:Nd,args:{}}):"string"==typeof L&&d.push({key:L,args:null}):(I=null!==(C=L.error)&&void 0!==C&&C.key?Jp({},L.error):{key:L.error,args:null},void 0!==L.fixedValue&&s&&(I.fixed=!0,I.fixedFrom=p,I.fixedTo=L.fixedValue,p=L.fixedValue),d.push(I))}}if(E=!(null!==(g=d)&&void 0!==g&&g.find((function(e){return!e.fixed}))),null!==(v=d)&&void 0!==v&&v.length&&!E&&s){var N=Yh(e,r),P=null==N?void 0:N.fieldSettings,x=null==P?void 0:P.defaultValue;if(void 0!==x){var k=d[d.length-1];k.fixed=!0,k.fixedFrom=p,k.fixedTo=x,p=x,d.map((function(e){e.fixed=!0}))}}}return[p,d]},ff=function(e,t,r,n,o,i){var a,l,s=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,u=arguments.length>7&&void 0!==arguments[7]&&arguments[7],c=[],d=t;if(e){var p=Yh(i,e),f=Uf(i,e,s,r),h=i.widgets[f],g=null==h?void 0:h.type,v=null==h?void 0:h.jsType,m=null==p?void 0:p.fieldSettings,y=(null==m?void 0:m.treeValues)||(null==m?void 0:m.listValues),b=!(null==m||!m.asyncFetch),E=y||b;if(n&&g&&n!=g)return c.push({key:Bd,args:{wType:g,valueType:n}}),[t,c];if(v&&(l=v,Zp(a=t)!==l&&("number"!==l||isNaN(a)))&&!E)return c.push({key:qd,args:{jsType:v,valueTypeof:Zp(t)}}),[t,c];if(m){var O=o||y;if(O&&!m.allowCustomValues){var S=function(e,t,r,n,o){var i=fs.List.isList(e)?e.toJS():e instanceof Array?Kn(e):void 0,a=e,l=[];if(i){var s=i.reduce((function(e,r){var n=$n(e,2),o=n[0],i=n[1],a=nu(t,r);return null==a?[o,[].concat(Kn(i),[r])]:[[].concat(Kn(o),[a.value]),i]}),[[],[]]),u=$n(s,2),c=u[0],d=u[1],p=d.length>0;if(a=(r=r||!0===o)&&p?c:e,d.length){var f=r&&p;l.push({key:Vd,args:{badValues:d,count:d.length},fixed:f,fixedFrom:f?i:void 0,fixedTo:f?a:void 0})}return[a,l]}var h=nu(t,e);return null==h?(a=r?null:e,l.push({key:Ud,args:{value:e},fixed:r,fixedFrom:r?e:void 0,fixedTo:r?a:void 0})):a=h.value,[a,l]}(t,O,u,0,i.settings.removeInvalidMultiSelectValuesOnLoad),T=$n(S,2);d=T[0],c=T[1]}m.maxLength>0&&null!=t&&String(t).length>m.maxLength&&(d=u?String(t).substring(0,m.maxLength):t,c.push({key:Gd,args:{value:t,length:String(t).length,fieldSettings:m},fixed:u,fixedFrom:u?t:void 0,fixedTo:u?d:void 0})),null!=m.min&&t<m.min&&(d=u?m.min:t,c.push({key:Kd,args:{value:t,fieldSettings:m},fixed:u,fixedFrom:u?t:void 0,fixedTo:u?d:void 0})),null!=m.max&&t>m.max&&(d=u?m.max:t,c.push({key:Wd,args:{value:t,fieldSettings:m},fixed:u,fixedFrom:u?t:void 0,fixedTo:u?d:void 0}))}}return[d,c]},hf=function(e,t,r,n,o,i,a){var l=arguments.length>7&&void 0!==arguments[7]?arguments[7]:null,s=[],u=a.settings,c=u.fieldSeparator,d=u.canCompareFieldWithField,p="object"==Pn(t)&&(null==t?void 0:t._isFuncArg),f=Array.isArray(e)?e.join(c):e,h=Yh(a,e),g=Array.isArray(r)?r.join(c):r,v=Yh(a,r);return v?e&&g===f&&!p?(s.push({key:$d,args:{field:f}}),[r,s]):o&&o!=v.type?(s.push({key:Yd,args:{field:g,type:v.type,expected:o}}),[r,s]):e&&!p&&d&&!d(f,h,g,v,l)?(s.push({key:Hd,args:{leftField:f,rightField:g}}),[r,s]):[r]:(s.push({key:zd,args:{field:g}}),[r,s])},gf=function(e,t,r,n,o,i,a){var l,s,u=arguments.length>7&&void 0!==arguments[7]?arguments[7]:null,c=arguments.length>8&&void 0!==arguments[8]&&arguments[8],d=arguments.length>9&&void 0!==arguments[9]&&arguments[9],p=arguments.length>10&&void 0!==arguments[10]&&arguments[10],f=r,h=[];if(!r)return[r];var g=null===(l=r.get)||void 0===l?void 0:l.call(r,"func");if(!g)return[r];var v=Yh(a,t);if(null!=v&&v.funcs&&!v.funcs.includes(g))return h.push({key:Qd,args:{funcKey:g,field:t}}),[r,h];var m=qh(a,g);if(!m)return h.push({key:Ld,args:{funcKey:g}}),[r,h];var y=null!==(s=m.label)&&void 0!==s?s:g;if(o&&m.returnType!=o)return h.push({key:Jd,args:{funcKey:g,funcName:y,returnType:m.returnType,valueType:o}}),[r,h];for(var b in c=c||p,m.args){var E,O=m.args[b],S=f.get("args"),T=S?S.get(b):void 0,_=Yh(a,O),w=null!==(E=null==_?void 0:_.label)&&void 0!==E?E:b,R=T?T.get("value"):void 0,A=T?T.get("valueSrc"):void 0;if(void 0!==R){var C=$n(pf(a,e,_,u,R,O.type,A,i,c,d,p),2),I=C[0],L=C[1],N=!(null!=L&&L.length),P=c&&I!==R,x=c&&!N&&!P&&(d||p);if(P&&(f=f.setIn(["args",b,"value"],I)),x&&(f=f.deleteIn(["args",b]),f=Sf(a,f,m,b)),!N){var k,F,j=null!==(k=null!==(F=L.find((function(e){return!e.fixed&&!e.ignore})))&&void 0!==F?F:L.find((function(e){return!e.fixed})))&&void 0!==k?k:L[0],D=P||x,M=0===L.filter((function(e){return!e.ignore})).length;if(j){var V=Yp(j);h.push({key:Pd,args:{funcKey:g,funcName:y,argKey:b,argName:w,argValidationError:V,argErrors:L},ignore:M,fixed:D,fixedFrom:D?R:void 0,fixedTo:D?P?I:O.defaultValue:void 0})}}}else if(!O.isOptional&&(d||p)){var U=c&&void 0!==O.defaultValue&&(d||p);d&&h.push({key:Xd,args:{funcKey:g,funcName:y,argKey:b,argName:w},fixed:U,fixedTo:U?O.defaultValue:void 0,ignore:!U}),U&&(f=f.deleteIn(["args",b]),f=Sf(a,f,m,b))}}return[f,h]},vf=function(e,t,r,n,o){var i,a=Qh(e,r,t),l=r?Os(a):null,s=o.toJS?o.toJS():o,u=n.toJS?n.toJS():n,c=s.filter((function(e){return"value"==e||null==e})).length==l;if(null!=a&&a.validateValues&&c){var d=s[0],p=Uf(e,t,r,d),f=Xh(e,t,r,p,d),h=null!=f&&f.toJS?u.map((function(t){var r=f.toJS.call(e.ctx,t,f);return r instanceof Date&&(r=r.getTime()),r})):u,g=a.validateValues(h);"boolean"==typeof g&&0==g&&(i={key:Zd,args:{jsValues:h,values:u}})}return i},mf=function(e){var t,r,n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,i=arguments.length>2?arguments[2]:void 0,a=arguments.length>3?arguments[3]:void 0,l=arguments.length>4?arguments[4]:void 0,s=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,u=arguments.length>6&&void 0!==arguments[6]&&arguments[6],c=arguments.length>7&&void 0!==arguments[7]&&arguments[7],d=arguments.length>8&&void 0!==arguments[8]&&arguments[8];o||(o=e);var p,f=e.settings,h=f.keepInputOnChangeFieldSrc,g=f.convertableWidgets,v=f.clearValueOnChangeField,m=f.clearValueOnChangeOp,y=i.get("field"),b=i.get("fieldType"),E=i.get("fieldSrc"),O=i.get("operator"),S=i.get("value"),T=i.get("valueSrc",new fs.List),_=i.get("valueType",new fs.List),w=i.get("asyncListValues"),R=Qh(o,O),A=Qh(e,l,a),C=O?Os(R):null,I=l?Os(A):null,L=Yh(o,y),N=Yh(e,a),P=!y&&b&&h,x=(null==L?void 0:L.type)||b,k=(null==N?void 0:N.type)||!a&&P&&x,F=null==L?void 0:L.listValuesType,j=null==N?void 0:N.listValuesType,D=(null==y||null===(t=y.get)||void 0===t?void 0:t.call(y,"func"))||y,M=((null===(r=a)||void 0===r||null===(n=r.get)||void 0===n?void 0:n.call(r,"func"))||a)!=D,V=[],U=(y||P)&&O&&l&&null!=S;if((!x||!k||x!=k||"field"===s&&M&&v||"operator"===s&&m)&&(U=!1),M&&Af.includes(k)&&(j&&j===F||(U=!1)),"func"===E&&a){var B=$n(pf(e,null,null,l,a,k,E,w,u,c,d),2),q=B[0],G=B[1],K=!(null!=G&&G.length),W=q!==a,z=!K&&W&&!G.find((function(e){return!e.fixed})),$=u&&!K&&!z&&!!s&&a!==y;if($?a=y:W&&(a=q),!K){var H=!K&&!z&&!$,Y=G.find((function(e){return!e.fixed&&!e.ignore}));H&&Y&&(p=Yp(Y)),G.map((function(e){return V.push(Jp(Jp({side:"lhs"},e),{},{fixed:e.fixed||$||false}))}))}}for(var Q=0;Q<I;Q++){var X=T.get(Q)||null,J=Uf(o,y,O,X),Z=Uf(e,a,l,X),ee="value"===X?J:Uf(o,y,O,"value"),te="value"===X?Z:Uf(e,a,l,"value");te==ee||(g[ee]||[]).includes(te)||!ee&&P||(U=!1)}O!=l&&[O,l].includes("proximity")&&(U=!1);var re=T.first(),ne=Xh(e,a,l,null,re),oe=Vf(e,a,l,null);!a&&P&&(oe=Object.keys(e.settings.valueSourcesInfo));var ie,ae=oe[0];1==I&&ne&&void 0!==ne.type?ie=ne.type:1==I&&N&&void 0!==N.type&&(ie="!group"===N.type?"number":N.type);var le=U&&"operator"===s&&1===C&&2===I,se=[],ue=[],ce=[],de=Array.from({length:I},(function(){return null}));if(U)for(var pe=function(t){var r=S.get(t),n=_.get(t)||null,o=T.get(t)||null;le&&1===t&&(r=void 0!==se[0]?se[0]:S.get(0),se[t]=r,n=_.get(0)||null,o=T.get(0)||null);var i=!o||void 0!==oe.find((function(e){return e==o})),s=$n(pf(e,a,a,l,r,n,o,w,u,c,d),2),p=s[0],f=s[1],h=!(null!=f&&f.length),g=p!==r,v=!h&&g&&!(null!=f&&f.find((function(e){return!e.fixed}))),m=!(null!=f&&f.find((function(e){return!e.fixed&&!e.ignore}))),y=!i||u&&!h&&!v&&(!m||M);h||null==f||f.map((function(e){return V.push(Jp(Jp({side:"rhs",delta:t},e),{},{fixed:e.fixed||y}))})),y&&(se[t]=null,0===t&&delete se[1]);var b=!h&&!g,E=null==f?void 0:f.find((function(e){return!e.fixed&&!e.ignore}));b&&E&&(de[t]=Yp(E)),g&&(se[t]=p),!le||0!==t||h||g||(le=!1),le&&0===t&&["func","field"].includes(o)&&(le=!1)},fe=0;fe<I;fe++)pe(fe);if(!U)for(var he=0;he<I;he++)if(1===I){var ge,ve=Ms([null==N?void 0:N.defaultValue,null==N||null===(ge=N.fieldSettings)||void 0===ge?void 0:ge.defaultValue,null==ne?void 0:ne.defaultValue]);se[he]=ve,null!=ve&&ve.func&&(ue[he]="func")}for(var me=0;me<I;me++){var ye,be,Ee=U&&T.get(me)||null,Oe=U&&_.get(me)||null;U&&le&&1===me&&(Ee=null!==(ye=ue[me])&&void 0!==ye?ye:T.get(0),Oe=null!==(be=ce[me])&&void 0!==be?be:_.get(0),ue[me]=Ee,ce[me]=Oe),oe.includes(Ee)||(ue[me]=ae),Oe||(ce[me]=ie)}var Se=new fs.List(Array.from({length:I},(function(e,t){return void 0!==se[t]?se[t]:U?S.get(t):void 0}))),Te=new fs.List(Array.from({length:I},(function(e,t){var r;return null!==(r=ue[t])&&void 0!==r?r:U&&T.get(t)||null}))),_e=new fs.List(Array.from({length:I},(function(e,t){var r;return null!==(r=ce[t])&&void 0!==r?r:U&&_.get(t)||null}))),we=vf(e,a,l,Se,Te);if(we){var Re=Yp(we),Ae=u&&I>=2,Ce=Se;Ae&&(se[1]=Se.get(0),Se=Se.set(1,se[1]),de[1]=de[0]),!Ae&&de.push(Re),V.push(Jp(Jp({side:"rhs",delta:-1},we),{},{fixed:Ae,fixedFrom:Ae?[Ce.get(0),Ce.get(1)]:void 0,fixedTo:Ae?[Se.get(0),Se.get(1)]:void 0}))}var Ie=new fs.List(de);return{canReuseValue:U,newValue:Se,newValueSrc:Te,newValueType:_e,operatorCardinality:I,fixedField:a,newValueError:Ie,newFieldError:p,validationErrors:V}},yf=function(e){return"object"==Pn(e)&&null!==e&&!Array.isArray(e)},bf=function(e,t){if(e){var r=e.get("func"),n=r&&qh(t,r);if(n){var o=e,i=!1;for(var a in n.args){var l=n.args[a],s=l.valueSources,u=l.isOptional,c=l.defaultValue,d=Mf(t,s,l),p=o.get("args"),f=1==d.length?d[0]:void 0,h=p?p.get(a):void 0,g=h?h.get("value"):void 0,v=(h?h.get("valueSrc"):void 0)||f;if(void 0!==g){var m=Xf(g,v,t);if(void 0===m)return;if(m!==g&&(o=o.setIn(["args",a,"value"],m)),i)return}else if(void 0===c||yf(c)){if(!u)return;i=!0}else o=(o=o.setIn(["args",a,"value"],Tf(l))).setIn(["args",a,"valueSrc"],"value")}return o}}},Ef=function(e,t,r,n){var o=r.settings.fieldSeparator;e=e||new fs.Map,Array.isArray(t)&&(t=t.join(o));var i=e.get("func"),a=e.get("args");e=e.set("func",t);var l=t&&qh(r,t),s=t&&Bh(r,t),u=i&&Bh(r,i),c=Rf(u,s,a,r,n);return e=c.length?Object.keys(s.args).filter((function(e){return!c.includes(e)})).reduce((function(e,t){return e.deleteIn(["args",t])}),e):e.set("args",new fs.Map),Of(r,e,l)},Of=function(e,t,r){if(r)for(var n in r.args)t=Sf(e,t,r,n);return t},Sf=function(e,t,r,n){var o=r.args[n],i=o.valueSources,a=o.defaultValue,l=Mf(e,i,o),s=l.length?l[0]:void 0,u=(a?yf(a)&&a.func?"func":"value":void 0)||s;return t.getIn(["args",n])||(void 0!==a&&(t=t.setIn(["args",n,"value"],Tf(o))),u&&(t=t.setIn(["args",n,"valueSrc"],u))),t},Tf=function(e){var t=e.defaultValue;return yf(t)&&!fs.Map.isMap(t)&&t.func?fs.fromJS(t,(function(e,t){return fs.Iterable.isIndexed(t)?t.toList():t.toOrderedMap()})):t},_f=function(e,t,r,n,o){if(e&&e.get("func")){var i=(e=e.setIn(["args",t,"value"],r)).getIn(["args",t,"valueSrc"]),a=n.valueSources,l=Mf(o,a,n),s=1==l.length?l[0]:void 0;!s&&l.includes("value")&&(s="value"),!i&&s&&(e=e.setIn(["args",t,"valueSrc"],s))}return e},wf=function(e,t,r,n,o){return e&&e.get("func")&&(e=e.setIn(["args",t],new fs.Map({valueSrc:r}))),e},Rf=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]&&arguments[4];return(null==e?void 0:e.returnType)!=(null==t?void 0:t.returnType)?[]:Object.keys(t.args).filter((function(i,a){var l=t.args[i],s=e.args[i];if(Object.keys(e.args).indexOf(i),!s&&(void 0!==l.defaultValue||l.isOptional))return!0;if((null==s?void 0:s.type)!=l.type)return!1;if(Af.includes(l.type)&&(!s.listValuesType||s.listValuesType!==l.listValuesType))return!1;if(r){var u,c=r.get(i),d=null==c?void 0:c.get("value"),p=null==c?void 0:c.get("valueSrc");if(p&&l.valueSources&&!l.valueSources.includes(p))return!1;var f=$n(pf(n,null,l,null,d,l.type,p,null,o,!0),2),h=(f[0],f[1]);if(null!=h&&null!==(u=h.filter((function(e){return!e.fixed})))&&void 0!==u&&u.length)return!1}return!0}))},Af=["select","multiselect","treeselect","treemultiselect"],Cf=function(e,t){var r;return(null===(r=e.types[t])||void 0===r?void 0:r.operators)||null},If=function(e,t){var r=Yh(e,t);return r?r.operators:[]},Lf=function(e,t){var r,n=If(e,t);return null!==(r=null==n?void 0:n[0])&&void 0!==r?r:null},Nf=function(e,t,r){var n=null;if(e)if("field"===t){var o=Yh(r,e);o&&(n=o.type)}else if("func"===t){var i=e.get("func");if(i){var a=qh(r,i);a&&(n=a.returnType||a.type)}}return n},Pf=function(e,t){return xf(e,t,arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,"funcs","subfields")},xf=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"fields",o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:"subfields";if(!e)return null;var i=t.settings.fieldSeparator,a=zh(e,t),l=zh(r,t);return a.slice(l.length).map((function(e,t,r){return r.slice(0,t+1)})).map((function(e){return[].concat(Kn(l),Kn(e)).join(i)})).map((function(e){var r=Vh(t,e,n,o);return r&&r.label||Ys()(e.split(i))})).filter((function(e){return null!=e}))},kf=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null;if(!e)return null;var n=r&&Vh(t,r)||null,o=t.settings.fieldSeparator,i=zh(e,t),a=Kh(e,r,t)?zh(r,t):[];return i.slice(a.length).map((function(e,t,r){return r.slice(0,t+1)})).map((function(e){return{part:[].concat(Kn(a),Kn(e)).join(o),key:e[e.length-1]}})).map((function(e){var r=e.part;return{key:e.key,cnf:Vh(t,r)}})).map((function(e,t,r){return[e.key,e.cnf,t>0?r[t-1].cnf:n]}))},Ff=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,i=arguments.length>5&&void 0!==arguments[5]&&arguments[5],a=t&&"object"==Pn(t)&&!!t.func&&!!t.arg,l=e.settings.showLabels,s=Yh(e,t),u=Xh(e,t,r,null,o)||{},c=Qh(e,r,t)||{},d=null;if((i?1:c.cardinality)>1){var p=u.valueLabels||c.valueLabels;p&&(d=p[n]),d&&"object"!=Pn(d)&&(d={label:d,placeholder:d}),d||(d={label:e.settings.valueLabel+" "+(n+1),placeholder:e.settings.valuePlaceholder+" "+(n+1)})}else{var f=u.valueLabel,h=u.valuePlaceholder;a&&(f||(f=s.label||t.arg),h||l||(h=s.label||t.arg)),d={label:f||e.settings.valueLabel,placeholder:h||e.settings.valuePlaceholder}}return d};function jf(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=[],i=[];if(!t)return{widgets:o,valueSrcs:i};var a="object"===Pn(t)&&(!!t.func&&!!t.arg||t._isFuncArg),l=Yh(e,t),s=r?e.operators[r]:null;if(null!=l&&l.widgets){var u=function(){var u=l.widgets[c];if(!e.widgets[c])return 1;var d=e.widgets[c].valueSrc||"value",p=!0;if("field"==c&&(p=p&&Mf(e,["field"],l).length>0),"func"==c&&(p=p&&Mf(e,["func"],l).length>0),"value"!=n||u.operators||a||"!case_value"==t||(p=!1),u.operators&&r&&(p=p&&-1!=u.operators.indexOf(r)),n&&n!=d&&"const"!=n&&(p=!1),s&&0==s.cardinality&&"value"!=d&&(p=!1),p){var f,h;o.push(c);var g=-1!=(null===(f=l.valueSources)||void 0===f?void 0:f.indexOf(d));-1==(null==s||null===(h=s.valueSources)||void 0===h?void 0:h.indexOf(d))&&(g=!1),g&&!i.find((function(e){return e==d}))&&i.push(d)}};for(var c in l.widgets)u()}var d=function(e){var t=0;return l.preferWidgets?l.preferWidgets.includes(e)&&(t+=10-l.preferWidgets.indexOf(e)):e==l.mainWidget&&(t+=100),"field"==e&&(t-=1),"func"==e&&(t-=2),t};return o.sort((function(e,t){return d(t)-d(e)})),{widgets:o,valueSrcs:i}}var Df=function(e,t,r){return jf(e,t,r,arguments.length>3&&void 0!==arguments[3]?arguments[3]:null).widgets},Mf=function(e,t,r){var n;if(!r)return t;var o=null!==(n=r.type)&&void 0!==n?n:r.returnType;return t||(t=Object.keys(e.settings.valueSourcesInfo)),t.filter((function(t){var n=!0;if("field"==t&&e.__fieldsCntByType){var i=r._isFuncArg?0:1;n=n&&e.__fieldsCntByType[o]>i}return"func"==t&&(e.__funcsCntByType&&(n=n&&!!e.__funcsCntByType[o]),r.funcs&&(n=n&&r.funcs.length>0)),n}))},Vf=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=jf(e,t,r,null).valueSrcs;return Mf(e,o,n)},Uf=function(e,t,r){var n=jf(e,t,r,arguments.length>3&&void 0!==arguments[3]?arguments[3]:null).widgets,o=null;return n.length&&(o=n[0]),o},Bf=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:{};if(e){var i=Yh(t,e)||{},a=t.settings.fieldSeparator,l=zh(e,t),s=Array.isArray(e)?e.join(a):e;if(null!=o&&o.useTableName&&i.tableName){var u=Kn(l);u[0]=i.tableName,s=u.join(a)}if(i.fieldName&&(s=i.fieldName),n){Yh(t,n);var c=n;0==s.indexOf(c+a)?s=s.slice((c+a).length):i.fieldName||r.errors.push("Can't cut group ".concat(c," from field ").concat(s))}return s}},qf=function(e,t){var r=e.get("type"),n=e.getIn(["properties","mode"]);return"rule_group"==r&&"array"==n?Gf(e,t):"group"==r||"rule_group"==r?Wf(e,t):$f(e,t)},Gf=function(e,t){var r=e.get("children1"),n=e.get("properties");return Kf(n.toObject(),r,t)},Kf=function(e,t,r){var n,o,i=e.operator,a=0==(null!==(n=null===(o=r.operators[i])||void 0===o?void 0:o.cardinality)&&void 0!==n?n:1),l=!Hf(e,r),s=!zf(t,r);return!(l&&(!a||s))},Wf=function(e,t){var r=e.get("children1");return zf(r,t)},zf=function(e,t){return!((null==e?void 0:e.size)>0&&e.filter((function(e){return!qf(e,t)})).size>0)},$f=function(e,t){var r=e.get("properties");return Hf((null==r?void 0:r.toObject())||{},t)},Hf=function(e,t){return!(Yf(e,t,!0).score>=3)},Yf=function(e,t){var r,n,o,i=e.field,a=e.fieldSrc,l=(e.fieldType,e.operator),s=e.value,u=e.valueSrc,c=(e.valueType,arguments.length>2&&void 0!==arguments[2]&&arguments[2]),d=null!==(r=null===(n=t.operators[l])||void 0===n?void 0:n.cardinality)&&void 0!==r?r:1,p=null!=u&&u.get?u.toJS():u,f={parts:{},score:0};if(f.parts.field=c?null!=i:Qf(i,a,t),f.parts.operator=!!l,f.parts.value=(null==s||null===(o=s.filter((function(e,r){return Qf(e,null==p?void 0:p[r],t,c)})))||void 0===o?void 0:o.size)>=(c?Math.min(d,1):d),f.score=Object.keys(f.parts).filter((function(e){return!!f.parts[e]})).length,c&&f.score<3){var h=!0;!f.parts.value&&"func"===a&&Qf(i,a,t,!1,h)&&f.score++,f.parts.field||null==s||s.map((function(e,r){"func"===(null==p?void 0:p[r])&&Qf(e,null==p?void 0:p[r],t,!1,h)&&f.score++}))}return f},Qf=function e(t,r,n){var o=arguments.length>3&&void 0!==arguments[3]&&arguments[3],i=!(arguments.length>4&&void 0!==arguments[4])||arguments[4];if(!o&&"func"==r&&t){var a,l=null===(a=t.get)||void 0===a?void 0:a.call(t,"func"),s=qh(n,l);if(s){var u=t.get("args");for(var c in s.args){var d=s.args[c],p=u?u.get(c):void 0,f=p?p.get("value"):void 0,h=p?p.get("valueSrc"):void 0;if(null==f&&void 0===(null==d?void 0:d.defaultValue)&&(null==d||!d.isOptional))return!1;if(null!=f&&!e(f,h,n,!i||o))return!1}return!0}}return null!=t},Xf=function(e,t,r){return"func"==t?bf(e,r):e},Jf=p(3523),Zf=p.n(Jf),eh=p(502),th=p.n(eh);function rh(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function nh(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?rh(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):rh(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function oh(e,t){return th().apply(e,t)}var ih={CALL:function(e,t){for(var r=arguments.length,n=new Array(r>2?r-2:0),o=2;o<r;o++)n[o-2]=arguments[o];return e.call.apply(e,[t].concat(n))},JSX:function(e,t){return{type:e,props:t}},mergeObjects:function(e,t){return nh(nh({},e),t)},fromEntries:function(e){return Object.fromEntries(e)},strlen:function(e){return(null==e?void 0:e.length)||0},regexTest:function(e,t,r){return null!=(null==e?void 0:e.match(new RegExp(t,r)))},now:function(){return new Date},date_add:function(e,t,r){return Lu()(e).add(t,r).toDate()},toLowerCase:function(e){return e.toLowerCase()},toUpperCase:function(e){return e.toUpperCase()}};function ah(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function lh(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function sh(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?lh(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):lh(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function uh(e,t,r){var n;try{n=th().apply(e,t)}catch(e){throw e.message="".concat(r.join(".")," :: ").concat(e.message),e}return n}function ch(e,t,r,n){var o;try{o=t.call.apply(t,[e].concat(Kn(r)))}catch(e){throw e.message="".concat(n.join(".")," :: ").concat(e.message),e}return o}!function(){for(var e in ih)t=e,r=ih[e],th().add_operation(t,r);var t,r}();var dh=["conjunctions","fields","types","operators","widgets","settings","funcs","ctx"],ph={asyncFetch:{type:"f",args:["search","offset"]},labelYes:{type:"r"},labelNo:{type:"r"},marks:{type:"r",isArr:!0},validateValue:{type:"f",args:["val","fieldSettings","op","opDef","rightFieldDef"]}},fh=sh(sh({},ph),{},{factory:{type:"rf"},formatValue:{type:"f",args:["val","fieldDef","wgtDef","isForDisplay","op","opDef","rightFieldDef"]},sqlFormatValue:{type:"f",args:["val","fieldDef","wgtDef","op","opDef","rightFieldDef"]},spelFormatValue:{type:"f",args:["val","fieldDef","wgtDef","op","opDef","rightFieldDef"]},spelImportValue:{type:"f",args:["val","wgtDef","args"]},mongoFormatValue:{type:"f",args:["val","fieldDef","wgtDef","op","opDef"]},elasticSearchFormatValue:{type:"f",args:["queryType","val","op","field","config"]},jsonLogic:{type:"f",args:["val","fieldDef","wgtDef","op","opDef"]},validateValue:{type:"f",args:["val","fieldSettings","op","opDef","rightFieldDef"]},toJS:{type:"f",args:["val"]}}),hh={options:{factory:{type:"rf"}},formatOp:{type:"f",args:["field","op","vals","valueSrc","valueType","opDef","operatorOptions","isForDisplay","fieldDef"]},mongoFormatOp:{type:"f",args:["field","op","vals","useExpr","valueSrc","valueType","opDef","operatorOptions","fieldDef"]},sqlFormatOp:{type:"f",args:["field","op","vals","valueSrc","valueType","opDef","operatorOptions","fieldDef"]},spelFormatOp:{type:"f",args:["field","op","vals","valueSrc","valueType","opDef","operatorOptions","fieldDef"]},jsonLogic:{type:"f",ignore:"string",args:["field","op","vals","opDef","operatorOptions","fieldDef"]},elasticSearchQueryType:{type:"f",ignore:"string",args:["valueType"]},textSeparators:{type:"r",isArr:!0}},gh={widgetProps:fh,opProps:hh},vh={fields:{x:{fieldSettings:ph,widgets:{x:gh},mainWidgetProps:fh}},widgets:{x:fh},conjunctions:{x:{formatConj:{type:"f",args:["children","conj","not","isForDisplay"]},sqlFormatConj:{type:"f",args:["children","conj","not"]},spelFormatConj:{type:"f",args:["children","conj","not","omitBrackets"]}}},operators:{x:hh},types:{x:{widgets:{x:gh}}},funcs:{x:sh(sh(sh({},{renderBrackets:{type:"r",isArr:!0},renderSeps:{type:"r",isArr:!0},jsonLogic:{type:"f",ignore:"string",args:["formattedArgs"]},jsonLogicImport:{type:"f",args:["val"]},spelImport:{type:"f",args:["spel"]},formatFunc:{type:"f",args:["formattedArgs","isForDisplay"]},sqlFormatFunc:{type:"f",args:["formattedArgs"]},mongoFormatFunc:{type:"f",args:["formattedArgs"]},spelFormatFunc:{type:"f",args:["formattedArgs"]}}),ph),{},{fieldSettings:ph,args:{x:sh(sh({},ph),{},{fieldSettings:ph})}})},settings:{locale:{mui:{type:"f",args:[],invokeWith:[],ignore:"jl"}},canCompareFieldWithField:{type:"f",args:["leftField","leftFieldConfig","rightField","rightFieldConfig","op"]},formatReverse:{type:"f",args:["q","op","reversedOp","operatorDefinition","revOperatorDefinition","isForDisplay"]},sqlFormatReverse:{type:"f",args:["q"]},spelFormatReverse:{type:"f",args:["q"]},formatField:{type:"f",args:["field","parts","label2","fieldDefinition","config","isForDisplay"]},formatSpelField:{type:"f",args:["field","parentField","parts","partsExt","fieldDefinition","config"]},formatAggr:{type:"f",args:["whereStr","aggrField","operator","value","valueSrc","valueType","opDef","operatorOptions","isForDisplay","aggrFieldDef"]},normalizeListValues:{type:"f",args:["listValues","type","fieldSettings"]},renderConfirm:{type:"f",args:["props"]},useConfirm:{type:"f",args:[]},renderField:{type:"rf"},renderOperator:{type:"rf"},renderFunc:{type:"rf"},renderConjs:{type:"rf"},renderButton:{type:"rf"},renderIcon:{type:"rf"},renderButtonGroup:{type:"rf"},renderValueSources:{type:"rf"},renderFieldSources:{type:"rf"},renderProvider:{type:"rf"},renderSwitch:{type:"rf"},renderSwitchPrefix:{type:"r"},renderItem:{type:"rf"},renderBeforeWidget:{type:"rf"},renderAfterWidget:{type:"rf"},renderBeforeActions:{type:"rf"},renderAfterActions:{type:"rf"},renderRuleError:{type:"rf"}}},mh=function(e){return"object"==Pn(e)&&null!==e&&!Array.isArray(e)},yh=function(e,t){if(e.__fieldNames)throw new Error("Don't apply `compressConfig()` to extended config");var r=Ws()(e,dh);delete r.ctx;for(var n=function e(t,r,n,o){if(mh(t)){if(Ls(t)&&(t=Is(t)),"funcs"===n[0]&&!r){var i=n[n.length-1];(r=Vh({funcs:o.BasicFuncs},i,"funcs","subfields")||void 0)&&(t.$$key=i)}if(void 0!==r&&mh(r))for(var a in r)Object.prototype.hasOwnProperty.call(r,a)&&(!Object.keys(t).includes(a)||void 0===t[a]&&void 0!==r[a]?t[a]="$$deleted":(t[a]=e(t[a],r[a],[].concat(Kn(n),[a]),o),void 0===t[a]&&delete t[a]));for(var l in t)if(Object.prototype.hasOwnProperty.call(t,l)){var s;r&&Object.keys(r).includes(l)||(t[l]=e(t[l],null===(s=r)||void 0===s?void 0:s[l],[].concat(Kn(n),[l]),o)),void 0===t[l]&&delete t[l]}0===Object.keys(t).length&&(t=void 0)}else Array.isArray(t)&&t.forEach((function(r,i){t[i]=e(t[i],void 0,[].concat(Kn(n),[i]),o)}));if(void 0===r||!Ts(t,r,!0)){if("function"==typeof t)throw new Error("compressConfig: function at ".concat(n.join(".")," should be converted to JsonLogic"));return t}},o=0,i=dh;o<i.length;o++){var a=i[o];if("ctx"===a);else if("fields"===a)r[a]=Zf()(r[a]),n(r[a],{},[a]);else if("funcs"===a)for(var l in r[a]=Zf()(r[a]||{}),r[a])n(r[a][l],null,[a,l],{BasicFuncs:g});else r[a]=Zf()(r[a]),n(r[a],t[a],[a])}return r},bh=function(e,t,r){if(!e.settings.useConfigCompress)throw new Error("Please enable `useConfigCompress` in config settings to use decompressConfig()");for(var n={},o=function e(t,r,n){if(mh(r))for(var o in mh(t)||(t={}),r)Object.prototype.hasOwnProperty.call(r,o)&&("$$deleted"===r[o]?delete t[o]:t[o]=e(t[o],r[o],[].concat(Kn(n),[o])));else t=Array.isArray(r)?Zf()(r):r;return t},i=function e(t,r,n){var i=!1;if(mh(t)&&Object.prototype.hasOwnProperty.call(t,"$$key")&&t.$$key){var a=Vh({funcs:n.BasicFuncs},t.$$key,"funcs","subfields");if(!a)throw new Error("decompressConfig: basic function not found by key ".concat(t.$$key," at ").concat(r.join(".")));delete t.$$key,t=o(Zf()(a),t,r),i=!0}if(!i)if(mh(t))for(var l in t)Object.prototype.hasOwnProperty.call(t,l)&&(t[l]=e(t[l],[].concat(Kn(r),[l]),n));else if(Array.isArray(t)){var s,u=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return ah(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?ah(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(t);try{for(u.s();!(s=u.n()).done;){var c=s.value;t[c]=e(t[c],[].concat(Kn(r),[c]),n)}}catch(e){u.e(e)}finally{u.f()}}return t},a=0,l=dh;a<l.length;a++){var s=l[a];"ctx"===s?n[s]=Gs()({},t.ctx||{},r||{}):"funcs"===s?(n[s]=Zf()(e[s]||{}),i(n[s],[s],{BasicFuncs:g})):"fields"===s?n[s]=Zf()(e[s]||{}):(n[s]=Zf()(t[s]||{}),o(n[s],e[s]||{},[s]))}return n},Eh=function(e){return e.__compliled||(Oh(e=Zf()(e),e,{ctx:e.ctx},vh,[]),Object.defineProperty(e,"__compliled",{enumerable:!1,writable:!1,value:!0})),e};function Oh(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:[];if(t)for(var a in i.length,n){var l=n[a],s="x"===a?i:[].concat(Kn(i),[a]);if("r"===l.type){var u=t,c=u[a];if(l.isArr)for(var d in c){var p=_h(c[d],r,[].concat(Kn(s),[d]));p!==c[d]&&(o.push("Compiled ".concat(s.join("."),"[").concat(d,"]")),c[d]=p)}else{var f=_h(c,r,s,void 0);f!==c&&(o.push("Compiled R ".concat(s.join("."))),u[a]=f)}}else if("rf"===l.type){var h=t,g=h[a],v=Sh(g,r,s,l.ignore);v!==g&&(o.push("Compiled JL-RF ".concat(s.join("."))),h[a]=v)}else if("f"===l.type){var m,y=t,b=y[a],E=Th(b,r,s,l.args,l.ignore);l.invokeWith&&E&&"function"==typeof E&&(E=(m=E).call.apply(m,[null].concat(Kn(l.invokeWith)))),E!==b&&(o.push("Compiled JL-F ".concat(s.join("."))),y[a]=E)}else if("x"===a)for(var O in t){s=[].concat(Kn(i),[O]);var S=t[O];Oh(e,S,r,l,o,s),S.subfields&&Oh(e,S.subfields,r,n,o,s)}else Oh(e,t[a],r,l,o,s)}}function Sh(e,t,r){return Ps(e)?function(n,o){o=o||(null==t?void 0:t.ctx);var i=uh(e,{props:n,ctx:o},r);return"string"==typeof i&&(i={type:i,props:n}),_h(i,{ctx:o},r)}:"string"==typeof e?function(n,o){o=o||(null==t?void 0:t.ctx);var i=e.split(".").reduce((function(e,t){return null==e?void 0:e[t]}),o);return i?ch(this,i,[n,o],r):_h({type:e,props:n},{ctx:o},r)}:e}function Th(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:void 0;return Ps(e)&&"jl"!==o?function(){for(var o=arguments.length,i=new Array(o),a=0;a<o;a++)i[a]=arguments[a];var l=this||(null==t?void 0:t.ctx),s=(n||[]).reduce((function(e,t,r){return sh(sh({},e),{},Un({},t,i[r]))}),{args:i,ctx:l});return uh(e,s,r)}.bind(null==t?void 0:t.ctx):"string"==typeof e&&"string"!==o?function(){var n=this||(null==t?void 0:t.ctx),o=e.split(".").reduce((function(e,t){return null==e?void 0:e[t]}),n);if(o){for(var i=arguments.length,a=new Array(i),l=0;l<i;l++)a[l]=arguments[l];return ch(this,o,a,r)}throw new Error("".concat(r.join(".")," :: Function ").concat(e," is not found in ctx"))}.bind(null==t?void 0:t.ctx):e}function _h(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:void 0;if(Ns(e)){var o,i=e.type,a=e.props;if("string"!=typeof i)throw new Error("renderReactElement for ".concat(r.join("."),": type should be string"));var l,s=function(e,t){var r;return(null==t||null===(r=t.components)||void 0===r?void 0:r[e])||t.W[e]||t.O[e]}(i,t.ctx)||i.toLowerCase();return void 0!==n&&(a=sh(sh({},a),{},{key:n})),null!==(o=a)&&void 0!==o&&o.children&&(l=_h(a.children,t,r),a=sh(sh({},a),{},{children:l})),t.ctx.RCE(s,a)}return e instanceof Array?e.map((function(e,n){return _h(e,t,r,""+n)})):e}var wh={formatField:function(e,t,r,n,o,i){return i?r:e},fieldSources:["field"],keepInputOnChangeFieldSrc:!0,fieldItemKeysForSearch:["label","path","altLabel","grouplabel"],listKeysForSearch:["title","value"],valueSourcesInfo:{value:{}},fieldSeparator:".",fieldSeparatorDisplay:".",canReorder:!0,canRegroup:!0,canDeleteLocked:!1,canLeaveEmptyGroup:!0,shouldCreateEmptyGroup:!1,canShortMongoQuery:!0,removeEmptyGroupsOnLoad:!0,removeEmptyRulesOnLoad:!0,removeIncompleteRulesOnLoad:!1,removeInvalidMultiSelectValuesOnLoad:!0,optimizeRenderWithInternals:!1,showErrorMessage:!1,setOpOnChangeField:["keep","default"],groupOperators:["some","all","none"],defaultGroupConjunction:"AND",locale:{moment:"en"},valueLabel:"Value",valuePlaceholder:"Value",fieldLabel:"Field",operatorLabel:"Operator",funcLabel:"Function",fieldPlaceholder:"Select field",funcPlaceholder:"Select function",operatorPlaceholder:"Select operator",lockLabel:"Lock",lockedLabel:"Locked",deleteLabel:"Delete",addGroupLabel:"Add group",addCaseLabel:"Add condition",addDefaultCaseLabel:"Add default condition",defaultCaseLabel:"Default:",addRuleLabel:"Add rule",addSubRuleLabel:"Add sub rule",delGroupLabel:"Delete",notLabel:"Not",fieldSourcesPopupTitle:"Select source",valueSourcesPopupTitle:"Select value source",removeRuleConfirmOptions:null,removeGroupConfirmOptions:null};function Rh(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Ah(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Ah(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Ah(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var Ch=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2];if(e.__configId)return e;(e=r&&e.settings.useConfigCompress?e.__compliled?Zf()(e):Eh(e):Zf()(e)).settings=$s()({},wh,e.settings,Cs),e.__fieldsCntByType={},e.__funcsCntByType={},e.__fieldNames={},function(e,t){for(var r in e)Ih(0,e[r],t)}(e.types,e),Lh(e.fields,e),Nh(e.funcs,e);var n=e.settings.locale.moment;return n&&Lu().locale(n),Object.defineProperty(e,"__configId",{enumerable:!1,writable:!1,value:t||ms()}),Fs(e),e};function Ih(e,t,r){var n=null,o=null;for(var i in t.mainWidget=t.mainWidget||Object.keys(t.widgets).filter((function(e){return"field"!=e&&"func"!=e}))[0],t.widgets){var a=t.widgets[i];if(a.operators){var l=a.operators;t.excludeOperators&&(l=l.filter((function(e){return!t.excludeOperators.includes(e)}))),n=ks(n,l)}a.defaultOperator&&(o=a.defaultOperator),i==t.mainWidget&&(a=Gs()({},{widgetProps:t.mainWidgetProps||{}},a)),t.widgets[i]=a}t.valueSources||(t.valueSources=Object.keys(r.settings.valueSourcesInfo));var s,u=Rh(t.valueSources);try{for(u.s();!(s=u.n()).done;){var c=s.value;"value"==c||t.widgets[c]||(t.widgets[c]={})}}catch(e){u.e(e)}finally{u.f()}!t.operators&&n&&(t.operators=Array.from(new Set(n))),!t.defaultOperator&&o&&(t.defaultOperator=o)}function Lh(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:[];for(var n in e)Ph(e[n],t,[].concat(Kn(r),[n])),e[n].subfields&&Lh(e[n].subfields,t,[].concat(Kn(r),[n]))}function Nh(e,t){var r,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:[];if(e){var o=(null==t||null===(r=t.settings)||void 0===r?void 0:r.fieldSeparator)||".";for(var i in e){var a=[].concat(Kn(n),[i]).join(o),l=e[i];if(l.returnType&&(t.__funcsCntByType[l.returnType]||(t.__funcsCntByType[l.returnType]=0),t.__funcsCntByType[l.returnType]++),Ph(l,t,null,!1),l.args){for(var s in l.args)Ph(l.args[s],t,null,!0);var u,c=!0,d=Rh(Object.keys(l.args).reverse());try{for(d.s();!(u=d.n()).done;){var p=u.value,f=l.args[p];!c&&f.isOptional&&(Vs.info("Arg ".concat(p," for func ").concat(a," can't be optional")),delete f.isOptional),f.isOptional||(c=!1)}}catch(e){d.e(e)}finally{d.f()}}l.subfields&&Nh(l.subfields,t,[].concat(Kn(n),[i]))}}}function Ph(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,n=arguments.length>3&&void 0!==arguments[3]&&arguments[3],o=null,i=null,a=t.types[e.type||e.returnType],l=!!e.returnType,s=e.excludeOperators||[];if("!struct"!=e.type&&"!group"!=e.type){e.fieldSettings||(e.fieldSettings={});for(var u=0,c=["listValues","treeValues","allowCustomValues","validateValue"];u<c.length;u++){var d=c[u];e[d]&&(e.fieldSettings[d]=e[d],delete e[d])}if(e.fieldSettings.listValues&&t.settings.normalizeListValues&&(e.fieldSettings.listValues=t.settings.normalizeListValues.call(t.ctx,e.fieldSettings.listValues,e.type,e.fieldSettings)),e.fieldSettings.treeValues&&t.settings.normalizeListValues&&(e.fieldSettings.treeValues=t.settings.normalizeListValues.call(t.ctx,e.fieldSettings.treeValues,e.type,e.fieldSettings)),!a)return void(e.disabled=!0);if(n||l||(t.__fieldsCntByType[e.type]||(t.__fieldsCntByType[e.type]=0),t.__fieldsCntByType[e.type]++),n&&(e._isFuncArg=!0),!l){e.mainWidget=e.mainWidget||a.mainWidget,e.valueSources=e.valueSources||a.valueSources;var p=a.excludeOperators||[];e.widgets||(e.widgets={});var f=function(){var t=e.widgets[h]||{},r=a.widgets[h]||{};if(!n){var l=[].concat(Kn(s),Kn(p)),u=e.preferWidgets&&("field"==h||e.preferWidgets.includes(h))||l.length>0;if(t.operators){var c=t.operators.filter((function(e){return!l.includes(e)}));o=[].concat(Kn(o||[]),Kn(c))}else if(u&&r.operators){var d=r.operators.filter((function(e){return!l.includes(e)}));o=[].concat(Kn(o||[]),Kn(d))}t.defaultOperator&&(i=t.defaultOperator)}h==e.mainWidget&&(t=Gs()({},{widgetProps:e.mainWidgetProps||{}},t)),e.widgets[h]=t};for(var h in a.widgets)f()}n||(!e.operators&&o&&(e.operators=Array.from(new Set(o))),e._origDefaultOperator=e.defaultOperator,!e.defaultOperator&&i&&(e.defaultOperator=i))}var g=function(e,t){if(!t)return{};var r=e.settings.fieldSeparator,n=Kn(t).reduce((function(t,n,o,i){var a=t.computedPath,l=t.computed,s=t.inGroup,u=[].concat(Kn(i.slice(0,o)),[n]),c=Vh(e,u);return"!group"===(null==c?void 0:c.type)&&o<i.length-1?(s=u.join(r),a=[]):null!=c&&c.fieldName?(l=!0,a=[c.fieldName]):a=[].concat(Kn(a),[n]),{computedPath:a,computed:l,inGroup:s}}),{computedPath:[],computed:!1,inGroup:void 0}),o=n.computedPath,i=n.computed,a=n.inGroup;return i?{fieldName:o.join(r),inGroup:a}:{}}(t,r),v=g.fieldName,m=g.inGroup;v&&(e.fieldName=v,t.__fieldNames[v]||(t.__fieldNames[v]=[]),t.__fieldNames[v].push({fullPath:r,inGroup:m}))}var xh=Bs().mark(jh),kh=Bs().mark(Dh),Fh=bs;function jh(e){return Bs().wrap((function(t){for(;;)switch(t.prev=t.next){case 0:return t.delegateYield(Mh(e,e.funcs||{},[]),"t0",1);case 1:case"end":return t.stop()}}),xh)}function Dh(e){return Bs().wrap((function(t){for(;;)switch(t.prev=t.next){case 0:return t.delegateYield(Mh(e,e.fields||{},[]),"t0",1);case 1:case"end":return t.stop()}}),kh)}function Mh(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"subfields";return Bs().mark((function o(i){var a,l,s;return Bs().wrap((function(o){for(;;)switch(o.prev=o.next){case 0:a=(null==e||null===(i=e.settings)||void 0===i?void 0:i.fieldSeparator)||".",o.t0=Bs().keys(t);case 2:if((o.t1=o.t0()).done){o.next=13;break}if(l=o.t1.value,!(s=t[l])[n]){o.next=9;break}return o.delegateYield(Mh(e,s[n],[].concat(Kn(r),[l]),n),"t2",7);case 7:o.next=11;break;case 9:return o.next=11,[[].concat(Kn(r),[l]).join(a),s];case 11:o.next=2;break;case 13:case"end":return o.stop()}}),o)}))()}var Vh=function(e,t){var r,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:"fields",o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"subfields";if(!t)return null;if("!case_value"==t)return{type:"case_value",mainWidget:"case_value",widgets:{case_value:e.widgets.case_value}};var i=(null==e||null===(r=e.settings)||void 0===r?void 0:r.fieldSeparator)||".",a=zh(t,e),l=e[n];if(!l)return null;for(var s=l,u=null,c=[],d=0;d<a.length;d++){var p=a[d];c.push(p),u=s[c.join(i)],d<a.length-1&&(u&&u[o]?(s=u[o],c=[]):u=null)}return u},Uh=function(e,t){var r,n,o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,i=e.settings.fieldSeparator,a=[o].concat(Kn(t.split(i))).filter((function(e){return null!=e})),l=t;return((null===(r=e.__fieldNames[l])||void 0===r||null===(n=r.find)||void 0===n||null===(n=n.call(r,(function(e){var t=e.inGroup;return!t||(null==o?void 0:o.startsWith(t))})))||void 0===n?void 0:n.fullPath)||a).join(i)},Bh=function(e,t){if(!t)return null;var r=Vh(e,t,"funcs","subfields");if(!r)return null;var n=r.returnType,o=r.args;return{returnType:n,args:Object.fromEntries(Object.entries(o||{}).map((function(e){var t=$n(e,2),r=t[0],n=t[1];return[r,Ws()(n,["type","valueSources","defaultValue","fieldSettings","isOptional"])]})))}},qh=function(e,t){if(!t)return null;var r=Vh(e,t,"funcs","subfields");if(!r)return null;var n=e.types[r.returnType]||{},o=$s()({},n,r,Cs);return o.type=r.returnType||r.type,o},Gh=function(e,t,r){var n=qh(e,t);if(!n)return null;var o=n.args&&n.args[r]||null;if(!o)return null;var i=e.types[o.type]||{};return $s()({},i,o||{},Cs)},Kh=function(e,t){var r,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null;if(!t)return!1;var o=(null==n||null===(r=n.settings)||void 0===r?void 0:r.fieldSeparator)||".",i=Wh(e,n),a=Wh(t,n);return i.startsWith(a+o)},Wh=function(e){var t,r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if("string"==typeof e)return e;var n=(null==r||null===(t=r.settings)||void 0===t?void 0:t.fieldSeparator)||".";return zh(e,r).join(n)},zh=function(e){var t,r,n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if(!e)return[];if(Array.isArray(e))return e;var i,a=(null==o||null===(t=o.settings)||void 0===t?void 0:t.fieldSeparator)||".";return null!=e&&e.func?Array.isArray(e.func)?e.func:e.func.split(a):null!=e&&null!==(r=e.get)&&void 0!==r&&r.call(e,"func")?null==e||null===(i=e.get)||void 0===i?void 0:i.call(e,"func").split(a):(null==e||null===(n=e.split)||void 0===n?void 0:n.call(e,a))||[]},$h=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(!e)return null;var n=t.settings.fieldSeparator,o=zh(e,t);return r?o:o.map((function(e,t,r){return r.slice(0,t+1)})).map((function(e){return e.join(n)}))},Hh=function(e){var t;if(!e)return null;if("object"==Pn(e)){if(!e.func&&e.type)return"field";if(e.func)return e.func&&e.arg?null:"func"}return null!=e&&null!==(t=e.get)&&void 0!==t&&t.call(e,"func")?null!=e&&e.get("arg")?null:"func":"field"},Yh=function(e,t){var r;if(!t)return null;if("object"==Pn(t)){if(!t.func&&t.type)return t;if(t.func)return t.func&&t.arg?Gh(e,t.func,t.arg):qh(e,t.func)}if(null!=t&&null!==(r=t.get)&&void 0!==r&&r.call(t,"func"))return null!=t&&t.get("arg")?Gh(e,t.get("func"),t.get("arg")):qh(e,t.get("func"));var n=Vh(e,t);if(!n)return null;var o=e.types[n.type]||{};return $s()({},o,n||{},Cs)},Qh=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null;if(!t)return null;var n=e.operators[t];if(r){var o=Yh(e,r),i=Uf(e,r,t,null),a=e.widgets[i]||{},l=(o&&o.widgets?o.widgets[i]:{})||{},s=(a.opProps||{})[t],u=(l.opProps||{})[t];return Gs()({},n,s,u)}return n},Xh=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(!t)return null;if(!r&&!n&&"const"!==o&&"!case_value"!==t)return null;var i=Yh(e,t);n||(n=Uf(e,t,r,o));var a=e.widgets[n]||{},l=((i&&i.widgets?i.widgets[n]:{})||{}).widgetProps||{},s=("value"===o||!o)&&(null==i?void 0:i.fieldSettings)||{};return Gs()({},a,l,s)},Jh=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,r=e.settings.fieldSeparator,n=zh(t,e),o=t?Vh(e,t):e,i=null,a=[];do{var l,s=o===e?e.fields:null===(l=o)||void 0===l?void 0:l.subfields;if(!s||!Object.keys(s).length){o=i=null;break}i=Object.keys(s)[0],a.push(i),o=s[i]}while("!struct"==o.type||"!group"==o.type);return(n||[]).concat(a).join(r)};function Zh(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function eg(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Zh(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Zh(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var tg=function(e,t){var r={usedFields:[]},n=rg(e,t,r);if(n)return eg(eg({},n),r)},rg=function(e,t,r){if(e){var n=e.get("type"),o=e.get("children1");return("group"===n||"rule_group"===n)&&o&&o.size?ng(e,t,r):"rule"===n?og(e,t,r):void 0}},ng=function(e,t,r){var n=e.get("properties")||new Ra,o=e.get("children1"),i=e.get("id"),a=o.map((function(e){return rg(e,t,r)})).filter((function(e){return void 0!==e}));if(a.size){var l=n.get("conjunction");l||(l=ad(t));var s=n.get("not");return{id:i,rules:a.toList(),condition:l.toUpperCase(),not:s}}},og=function(e,t,r){var n,o=e.get("properties")||new Ra,i=e.get("id"),a=o.get("operator"),l=o.get("operatorOptions"),s=o.get("field"),u=o.get("value"),c=o.get("valueSrc"),d=o.get("valueType"),p=u.filter((function(e){return void 0===e})).size>0;if(null!=s&&null!=a&&!p){var f=Yh(t,s)||{},h=Qh(t,a,s)||{},g=f.type||"undefined",v=Os(h),m=t.types[f.type]||{},y=Bf(s,t,r);if(!(u.size<v)){-1==r.usedFields.indexOf(s)&&r.usedFields.push(s),u=u.toArray(),c=c.toArray(),d=(null===(n=d)||void 0===n?void 0:n.toArray())||[];for(var b=[],E=0;E<u.length;E++){var O={type:d[E],value:u[E]};if(b.push(O),"field"==c[E]){var S=u[E];-1==r.usedFields.indexOf(S)&&r.usedFields.push(S)}}var T=l?l.toJS():null;T&&!Object.keys(T).length&&(T=null);var _={id:i,fieldName:y,type:g,input:m.mainWidget,operator:a};return T&&(_.operatorOptions=T),_.values=b,_}}};function ig(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function ag(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?ig(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):ig(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function lg(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return sg(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?sg(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function sg(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var ug=function(e,t){var r,n={usedFields:[],errors:[]},o=Ch(t,void 0,!1),i=cg(e,o,n,!0),a=n.errors,l=n.usedFields,s=(o.settings.fieldSeparator,{}),u=lg(l);try{for(u.s();!(r=u.n()).done;)for(var c=r.value,d=zh(c,t),p=(Yh(o,c),s),f=0;f<d.length;f++){var h=d[f],g=Yh(o,d.slice(0,f+1))||{};f!=d.length-1?"!group"==g.type&&"struct"!=g.mode?(p[h]||(p[h]=[{}]),p=p[h][0]):(p[h]||(p[h]={}),p=p[h]):p[h]||(p[h]=null)}}catch(e){u.e(e)}finally{u.f()}return{errors:a,logic:i,data:s}},cg=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(e){var i,a=e.get("type"),l=(e.get("properties")||new Ra).get("isLocked"),s=t.settings.jsonLogic.lockedOp;return"group"===a||"rule_group"===a?i=dg(e,t,r,n,o):"rule"===a&&(i=pg(e,t,r,o)),l&&i&&s&&(i=Un({},s,i)),i}},dg=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,i=e.get("type"),a=e.get("properties")||new Ra,l=a.get("mode"),s=e.get("children1")||new Qa,u=a.get("field"),c=a.get("conjunction");c||(c=ad(t));var d=t.conjunctions[c].jsonLogicConj||c.toLowerCase(),p=a.get("not"),f="rule_group"===i&&!n,h=f&&"struct"!=l?u:o,g=a.get("operator"),v=g&&Qh(t,g,u)||null,m=fg(t,a,r,g,o),y=f&&(!g||0==v.cardinality),b=s.map((function(e){return cg(e,t,r,!1,h)})).filter((function(e){return void 0!==e}));if(f&&"struct"!=l&&!y){if(null==m)return}else if(!b.size)return;var E={};if(1!=b.size||n?E[d]=b.toList().toJS():E=b.first(),p&&(E={"!":E}),f&&"struct"!=l){var O=vg(r,t,u,o);if(y)E=Un({},g||"some",[O,E]);else{var S=b.size?{filter:[O,E]}:O;E=mg(t,a,{reduce:[S,{"+":[1,{var:"accumulator"}]},0]},m,g)}}return E},pg=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=e.get("properties")||new Ra,i=o.get("field"),a=o.get("fieldSrc"),l=o.get("operator"),s=o.get("operatorOptions");if((s=s?s.toJS():null)&&!Object.keys(s).length&&(s=null),null!=i&&null!=l){var u=Yh(t,i)||{},c=Qh(t,l,i)||{},d=c.reversedOp,p=Qh(t,d,i)||{},f=!1;if(c.jsonLogic||p.jsonLogic){if(!c.jsonLogic&&p.jsonLogic){f=!0;var h=[d,l];l=h[0],d=h[1];var g=[p,c];c=g[0],p=g[1]}var v=fg(t,o,r,l,n);if(void 0!==v){var m="func"===a?gg(r,t,i,n):vg(r,t,i,n);if(void 0!==m)return mg(t,o,m,v,l,s,u,f)}}else r.errors.push("Operator ".concat(l," is not supported"))}},fg=function(e,t,r,n,o){var i=t.get("field"),a=t.get("valueSrc"),l=t.get("valueType"),s=Yh(e,i)||{},u=Qh(e,n,i)||{},c=Os(u),d=t.get("value"),p=t.get("asyncListValues");if(null!=d){var f=[],h=[],g=r.usedFields,v=d.map((function(t,c){var d=a?a.get(c):null,g=l?l.get(c):null,v=Xf(t,d,e),m=Uf(e,i,n,d),y=gs()(Xh(e,i,n,m,d),["factory"]),b=hg(r,e,v,d,g,y,s,n,u,o,p);return void 0!==b&&(f.push(d),h.push(g)),b})),m=v.filter((function(e){return void 0===e})).size>0;if(!(v.size<c||m))return c>1?v.toArray():1==c?v.first():null;r.usedFields=g}},hg=function(e,t,r,n,o,i,a,l,s){var u=arguments.length>9&&void 0!==arguments[9]?arguments[9]:null,c=arguments.length>10?arguments[10]:void 0;if(void 0!==r){var d;if("field"==n)d=vg(e,t,r,u);else if("func"==n)d=gg(e,t,r,u);else if("function"==typeof i.jsonLogic){var p=i.jsonLogic,f=[r,ag(ag({},Ws()(a,["fieldSettings","listValues"])),{},{asyncListValues:c}),gs()(i,bs)];l&&(f.push(l),f.push(s)),d=p.call.apply(p,[t.ctx].concat(f))}else d=r;return d}},gg=function(e,t,r){var n,o,i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,a=null===(n=r.get)||void 0===n?void 0:n.call(r,"func"),l=null===(o=r.get)||void 0===o?void 0:o.call(r,"args"),s=qh(t,a),u=zh(a,t),c=u[u.length-1];if(s)if(null!=s&&s.jsonLogic){var d={},p=[],f=[];for(var h in s.args){var g,v=s.args[h],m=Yh(t,v),y=v.defaultValue,b=v.isOptional,E=null!=y&&y.func?"func":"value",O=l?l.get(h):void 0,S=O?O.get("value"):void 0,T=O?O.get("valueSrc"):void 0;"func"!==T&&null!==(g=S)&&void 0!==g&&g.toJS&&(S=S.toJS());var _=null,w=Uf(t,v,_,T),R=gs()(Xh(t,v,_,w,T),["factory"]),A=hg(e,t,S,T,v.type,R,m,null,null,i);if(null!=S&&void 0===A)return void("func"!=T&&e.errors.push("Can't format value of arg ".concat(h," for func ").concat(a)));var C=void 0;if(void 0===A&&!b&&null!=y){var I=Uf(t,v,_,E),L=gs()(Xh(t,v,_,I,E),["factory"]);if(void 0===(C=hg(e,t,y,E,v.type,L,m,null,null,i)))return void("func"!=E&&e.errors.push("Can't format default value of arg ".concat(h," for func ").concat(a)))}var N=null!=A?A:C;if(void 0!==N){if(p.length){var P,x=lg(p);try{for(x.s();!(P=x.n()).done;)d[P.value]=void 0}catch(e){x.e(e)}finally{x.f()}p=[]}d[h]=N}else b||f.push(h),p.push(h)}if(!f.length){var k,F=Object.values(d);if("function"==typeof s.jsonLogic){var j=s.jsonLogic,D=[d];k=j.call.apply(j,[t.ctx].concat(D))}else{var M=s.jsonLogic||c;if(s.jsonLogicIsMethod){var V=F[0],U=F.slice(1);k=U.length?{method:[V,M,U]}:{method:[V,M]}}else k=Un({},M,F)}return k}}else e.errors.push("Func ".concat(a," is not supported"));else e.errors.push("Func ".concat(a," is not defined in config"))},vg=function(e,t,r){var n,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,i=t.settings,a=i.fieldSeparator,l=i.jsonLogic;if(r){Array.isArray(r)&&(r=r.join(a));var s=Yh(t,r)||{},u=Bf(r,t,e,o);n=Un({},s.jsonLogicVar||("!group"==s.type?l.groupVarKey:"var"),u),-1==e.usedFields.indexOf(r)&&e.usedFields.push(r)}return n},mg=function(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,l=arguments.length>7&&void 0!==arguments[7]&&arguments[7],s=t.get("field"),u=Qh(e,o,s)||{},c="function"==typeof u.jsonLogic?u.jsonLogic:function(e,t,r,n){var o,i=e,a=Os(t),l=null!==(o=t._jsonLogicIsRevArgs)&&void 0!==o&&o;"string"==typeof t.jsonLogic&&(i=t.jsonLogic);var s=["<","<=",">",">="],u=["==","!="];return function(e,t,o,c,d){return 0==a&&u.includes(i)?Un({},i,[r,null]):0==a?Un({},i,r):1==a&&l?Un({},i,[n,r]):1==a?Un({},i,[r,n]):2==a&&s.includes(i)?Un({},i,[n[0],r,n[1]]):Un({},i,[r].concat(Kn(n)))}}(o,u,r,n),d=[r,o,n,gs()(u,Es),i,a],p=c.call.apply(c,[e.ctx].concat(d));return l&&(p={"!":p}),p};function yg(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return bg(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?bg(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function bg(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function Eg(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Og(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Eg(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Eg(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Sg=function(e){return"object"==Pn(e)&&null!==e&&!Array.isArray(e)},Tg=function(e,t){return _g(e,t,!1)},_g=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n={errors:[]},o=Ch(t,void 0,!1),i=wg([],e,o,n);return r?[i,n.errors]:(n.errors.length&&console.warn("Errors while exporting to MongoDb:",n.errors),i)},wg=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]&&arguments[4],i=!(arguments.length>5&&void 0!==arguments[5])||arguments[5],a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:void 0,l=arguments.length>7&&void 0!==arguments[7]?arguments[7]:void 0;if(t){var s=t.get("type");return"group"===s||"rule_group"===s?Rg(e,t,r,n,o,i,a,l):"rule"===s?Ag(e,t,r,n,o,i,a,l):void 0}},Rg=function(e,t,r,n){var o,i,a=arguments.length>4&&void 0!==arguments[4]&&arguments[4],l=t.get("type"),s=t.get("properties")||new Ra,u=t.get("children1")||new Qa,c=r.settings,d=c.canShortMongoQuery,p=c.fieldSeparator,f=e.filter((function(e){return"rule_group"==e.get("type")})).length>0,h=e.filter((function(e){return"rule_group"==e.get("type")})).map((function(e){return e.get("properties").get("field")})).slice(-1).pop(),g=f&&h,v="rule_group"===l?s.get("field"):null,m="rule_group"===l?s.get("operator"):null,y=m?null!==(o=null===(i=r.operators[m])||void 0===i?void 0:i.cardinality)&&void 0!==o?o:1:void 0,b=Bf(v,r,n,g),E=(Yh(r,v)||{}).mode,O=v&&"array"===E&&y>=1,S=a?!s.get("not"):s.get("not"),T=u.map((function(o){return wg([].concat(Kn(e),[t]),o,r,n,S,"array"!=E,"array"==E?function(e){return"$$el".concat(p).concat(e)}:void 0)})).filter((function(e){return void 0!==e}));if(O||T.size){var _=s.get("conjunction");_||(_=ad(r));var w=r.conjunctions[_],R=w.reversedConj;if(S&&R&&(_=R,w=r.conjunctions[_]),w){var A,C=w.mongoConj;if(1==T.size)A=T.first();else if(T.size>1){var I=T.toList().toJS();d&&"$and"==C&&(A=I.reduce((function(e,t){if(e){for(var r in t){if("$"==r[0]){e=void 0;break}if(null==e[r])e[r]=t[r];else{var n=e[r],o=t[r];if(Sg(n)||(n={$eq:n}),Sg(o)||(o={$eq:o}),Object.keys(n)[0]==Object.keys(o)[0]){e=void 0;break}e[r]=Object.assign({},n,o)}}return e}}),{})),A||(A=Un({},C,I))}if(v)if("array"==E){var L={$size:{$ifNull:["$"+b,[]]}},N=A?{$size:{$ifNull:[{$filter:{input:"$"+b,as:"el",cond:A}},[]]}}:L;A={$expr:A=wg(e,t.set("type","rule"),r,n,!1,!1,(function(e){return N}),L)}}else A=Un({},b,{$elemMatch:A});return A}}},Ag=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]&&arguments[4],i=!(arguments.length>5&&void 0!==arguments[5])||arguments[5],a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:void 0,l=arguments.length>7&&void 0!==arguments[7]?arguments[7]:void 0,s=t.get("properties")||new Ra,u=e.filter((function(e){return"rule_group"==e.get("type")})).length>0,c=e.filter((function(e){return"rule_group"==e.get("type")})).map((function(e){return e.get("properties").get("field")})).slice(-1).pop(),d=u&&c,p=s.get("operator"),f=s.get("operatorOptions"),h=s.get("field"),g=s.get("fieldSrc"),v=s.get("value"),m=s.get("valueSrc"),y=s.get("valueType"),b=s.get("asyncListValues");if(null!=h&&null!=p&&void 0!==v){var E,O=Yh(r,h)||{},S=Qh(r,p,h)||{},T=S.reversedOp,_=Qh(r,T,h)||{},w=Os(S),R=o;if(R&&T){var A=[T,p];p=A[0],T=A[1];var C=[_,S];S=C[0],_=C[1],R=!1}var I=!1;if("func"==g){var L=$n(Lg(n,r,h,d),2);E=L[0],I=L[1]}else E=Bf(h,r,n,d),a&&(I=!0,E=a(E));if(null!=E){var N,P=[],x=[];if(null!=v){var k=v.map((function(e,t){var o=m?m.get(t):null,i=y?y.get(t):null,a=Xf(e,o,r),l=Uf(r,h,p,o),s=gs()(Xh(r,h,p,l,o),["factory"]),u=$n(Cg(n,r,a,o,i,s,O,d,p,S,b),2),c=u[0],f=u[1];return void 0!==c&&(I=I||f,P.push(o),x.push(i)),c})),F=k.filter((function(e){return void 0===e})).size>0;if(k.size<w||F)return;N=w>1?k.toArray():1==w?k.first():null}var j=I&&i,D=S.mongoFormatOp;if(D){var M=[E,p,void 0!==l&&null==N?l:N,I,P.length>1?P:P[0],x.length>1?x:x[0],gs()(S,Es),f,O],V=D.call.apply(D,[r.ctx].concat(M));return j&&(V={$expr:V}),R&&(V={$not:V}),V}n.errors.push("Operator ".concat(p," is not supported"))}}},Cg=function(e,t,r,n,o,i,a,l,s,u,c){if(void 0===r)return[void 0,!1];var d,p=!1;if("field"==n){var f=$n(Ig(e,t,r,l),2);d=f[0],p=f[1]}else if("func"==n){var h=$n(Lg(e,t,r,l),2);d=h[0],p=h[1]}else if("function"==typeof i.mongoFormatValue){var g=i.mongoFormatValue,v=[r,Og(Og({},Ws()(a,["fieldSettings","listValues"])),{},{asyncListValues:c}),gs()(i,bs)];s&&(v.push(s),v.push(u)),d=g.call.apply(g,[t.ctx].concat(v))}else d=r;return[d,p]},Ig=function(e,t,r,n){var o,i=t.settings.fieldSeparator;if(r){var a=Yh(t,r)||{},l=zh(r,t),s=xf(r,t),u=s?s.join(i):null;o="$"+(0,t.settings.formatField)(Bf(r,t,e,n),l,u,a,t,!1)}return[o,!0]},Lg=function(e,t,r,n){var o,i,a,l=null===(o=r.get)||void 0===o?void 0:o.call(r,"func"),s=null===(i=r.get)||void 0===i?void 0:i.call(r,"args"),u=qh(t,l);if(!u)return e.errors.push("Func ".concat(l," is not defined in config")),[void 0,!1];var c=zh(l,t),d=c[c.length-1],p=u.mongoFunc||d,f=u.mongoArgsAsObject,h={},g=0,v=void 0,m=[],y=[];for(var b in u.args){var E;g++;var O=u.args[b],S=Yh(t,O),T=O.defaultValue,_=O.isOptional,w=null!=T&&T.func?"func":"value",R=s?s.get(b):void 0,A=R?R.get("value"):void 0,C=R?R.get("valueSrc"):void 0;"func"!==C&&null!==(E=A)&&void 0!==E&&E.toJS&&(A=A.toJS());var I=R?R.get("asyncListValues"):void 0,L=null,N=Uf(t,O,L,C),P=gs()(Xh(t,O,L,N,C),["factory"]),x=$n(Cg(e,t,A,C,O.type,P,S,n,null,null,I),2),k=x[0];if(x[1],null!=A&&void 0===k)return"func"!=C&&e.errors.push("Can't format value of arg ".concat(b," for func ").concat(l)),[void 0,!1];var F=void 0;if(void 0===k&&!_&&null!=T){var j=Uf(t,O,L,w),D=gs()(Xh(t,O,L,j,w),["factory"]),M=$n(Cg(e,t,T,w,O.type,D,S,n,null,null,I),2);if(F=M[0],M[1],void 0===F)return"func"!=w&&e.errors.push("Can't format default value of arg ".concat(b," for func ").concat(l)),[void 0,!1]}var V=null!=k?k:F;if(void 0!==V){if(m.length){var U,B=yg(m);try{for(B.s();!(U=B.n()).done;)h[U.value]=void 0}catch(e){B.e(e)}finally{B.f()}m=[]}h[b]=V,v=V}else _||y.push(b),m.push(b)}if(y.length)return[void 0,!1];if("function"==typeof u.mongoFormatFunc){var q=u.mongoFormatFunc,G=[h];a=q.call.apply(q,[t.ctx].concat(G))}else{if(null===u.mongoFormatFunc)return e.errors.push("Functon ".concat(p," is not supported")),[void 0,!1];a=Un({},p,f?h:1==g&&void 0!==v?v:Object.values(h))}return[a,!0]};function Ng(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Pg(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Pg(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Pg(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function xg(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function kg(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?xg(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):xg(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Fg=function(e,t){return jg(e,t,!1)},jg=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n={errors:[]},o=Ch(t,void 0,!1),i=Dg(e,o,n);return r?[i,n.errors]:(n.errors.length&&console.warn("Errors while exporting to SQL:",n.errors),i)},Dg=function(e,t,r){if(e){var n=e.get("type");return e.get("children1"),"group"===n||"rule_group"===n?Mg(e,t,r):"rule"===n?Vg(e,t,r):void 0}},Mg=function(e,t,r){var n=e.get("type"),o=e.get("properties")||new Ra,i=e.get("children1")||new Qa,a="rule_group"===n?o.get("field"):null;"array"==(Yh(t,a)||{}).mode&&r.errors.push("Aggregation is not supported for ".concat(a));var l=o.get("not"),s=i.map((function(e){return Dg(e,t,r)})).filter((function(e){return void 0!==e}));if(s.size){var u=o.get("conjunction");return u||(u=ad(t)),t.conjunctions[u].sqlFormatConj(s,u,l)}},Vg=function(e,t,r){var n=e.get("properties")||new Ra,o=n.get("field"),i=n.get("fieldSrc"),a=n.get("operator"),l=n.get("operatorOptions"),s=n.get("valueSrc"),u=n.get("valueType"),c=n.get("value"),d=n.get("asyncListValues");if(null!=o&&null!=a){var p=Yh(t,o)||{},f=Qh(t,a,o)||{},h=f.reversedOp,g=Qh(t,h,o)||{},v=Os(f),m=!1,y=f.sqlOp||f.sqlFormatOp,b=g.sqlOp||g.sqlFormatOp;if(y||b){if(!y&&b){m=!0;var E=[h,a];a=E[0],h=E[1];var O=[g,f];f=O[0],g=O[1]}var S,T=[],_=[];if(null!=c){var w=c.map((function(e,n){var i=s?s.get(n):null,l=u?u.get(n):null,c=Xf(e,i,t),h=Uf(t,o,a,i),g=gs()(Xh(t,o,a,h,i),["factory"]),v=Ug(r,t,c,i,l,g,p,a,f,d);return void 0!==v&&(T.push(i),_.push(l)),v}));if(w.filter((function(e){return void 0===e})).size>0||w.size<v)return;S=1==v?w.first():w}var R=f.sqlFormatOp||function(e,t){var r,n=t.sqlOp||e,o=Os(t);return 0==o?r=function(e,t,r,o,i,a,l,s){return"".concat(e," ").concat(n)}:1==o?r=function(e,t,r,o,i,a,l,s){return"".concat(e," ").concat(n," ").concat(r)}:2==o&&(r=function(e,t,r,o,i,a,l,s){var u,c,d=null==r||null===(u=r.first)||void 0===u?void 0:u.call(r),p=null==r||null===(c=r.get)||void 0===c?void 0:c.call(r,1);return"".concat(e," ").concat(n," ").concat(d," AND ").concat(p)}),r}(a,f);if(R){var A="func"==i?qg(r,t,o):Bg(r,t,o);if(null!=A){var C,I=[A,a,S,T.length>1?T:T[0],_.length>1?_:_[0],gs()(f,Es),l,p];if(C=R.call.apply(R,[t.ctx].concat(I)),m&&(C=t.settings.sqlFormatReverse(C)),void 0!==C)return C;r.errors.push("Operator ".concat(a," is not supported for value source ").concat(T.join(", ")))}}else r.errors.push("Operator ".concat(a," is not supported"))}else r.errors.push("Operator ".concat(a," is not supported"))}},Ug=function(e,t,r,n,o,i,a,l,s,u){if(void 0!==r){var c;if("field"==n)c=Bg(e,t,r);else if("func"==n)c=qg(e,t,r);else if("function"==typeof i.sqlFormatValue){var d=i.sqlFormatValue,p=[r,kg(kg({},Ws()(a,["fieldSettings","listValues"])),{},{asyncListValues:u}),gs()(i,bs)];if(l&&(p.push(l),p.push(s)),"field"==n){var f=Yh(t,r)||{};p.push(f)}c=d.call.apply(d,[t.ctx].concat(p))}else c=Array.isArray(r)?r.map((function(e){return Yu.escape(e)})):Yu.escape(r);return c}},Bg=function(e,t,r){if(r){var n=t.settings.fieldSeparator,o=Yh(t,r)||{},i=zh(r,t),a=xf(r,t),l=a?a.join(n):null;return(0,t.settings.formatField)(Bf(r,t,e,null,{useTableName:!0}),i,l,o,t)}},qg=function(e,t,r){var n,o,i=null===(n=r.get)||void 0===n?void 0:n.call(r,"func"),a=null===(o=r.get)||void 0===o?void 0:o.call(r,"args"),l=qh(t,i);if(l){var s=zh(i,t),u=s[s.length-1],c=l.sqlFunc||u,d={},p=[],f=[];for(var h in l.args){var g,v=l.args[h],m=Yh(t,v),y=v.defaultValue,b=v.isOptional,E=null!=y&&y.func?"func":"value",O=a?a.get(h):void 0,S=O?O.get("value"):void 0,T=O?O.get("valueSrc"):void 0;"func"!==T&&null!==(g=S)&&void 0!==g&&g.toJS&&(S=S.toJS());var _=O?O.get("asyncListValues"):void 0,w=Ug(e,t,S,T,v.type,m,v,null,null,_);if(null!=S&&void 0===w)return void("func"!=T&&e.errors.push("Can't format value of arg ".concat(h," for func ").concat(i)));var R=void 0;if(void 0===w&&!b&&null!=y&&void 0===(R=Ug(e,t,y,E,v.type,m,v,null,null,_)))return void("func"!=E&&e.errors.push("Can't format default value of arg ".concat(h," for func ").concat(i)));var A=null!=w?w:R;if(void 0!==A){if(p.length){var C,I=Ng(h);try{for(I.s();!(C=I.n()).done;)d[C.value]=void 0}catch(e){I.e(e)}finally{I.f()}p=[]}d[h]=A}else b||f.push(h),p.push(h)}if(!f.length){var L;if("function"==typeof l.sqlFormatFunc){var N=l.sqlFormatFunc,P=[d];L=N.call.apply(N,[t.ctx].concat(P))}else{var x=Object.entries(d).map((function(e){var t=$n(e,2);return t[0],t[1]})).join(", ");L="".concat(c,"(").concat(x,")")}return L}}else e.errors.push("Func ".concat(i," is not defined in config"))};function Gg(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Kg(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Gg(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Gg(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function Wg(e,t,r,n,o,i){if(e&&r&&null!=t){var a=r,l=n.operators[a];if(l){var s=l.elasticSearchQueryType,u=!1;!s&&l.reversedOp&&(u=!0,a=l.reversedOp,s=(l=n.operators[a]).elasticSearchQueryType);var c=Uf(n,e,a,o),d=n.widgets[c];if(d){var p,f,h=d.elasticSearchFormatValue;if(p="function"==typeof s?s(c):s)return f="function"==typeof h?h(p,t,a,e,n):function(e,t,r,n,o,i){var a=function(e,t){return e}(n);switch(e){case"filter":return{script:o.operators[r].elasticSearchScript(n,t)};case"exists":return{field:n};case"match":return Un({},a,t[0]);case"term":return Un({},n,i===zg?{value:t[0]}:t[0]);case"geo_bounding_box":return Un({},n,function(e){if(null==e)return null;var t=e.split(",").map(Number);return{top_left:{lat:t[0],lon:t[1]},bottom_right:{lat:t[2],lon:t[3]}}}(t[0]));case"range":return Un({},n,function(e,t){if(e.length>1)return{gte:"".concat(e[0]),lte:"".concat(e[1])};var r=e[0];switch(t){case"on_date":case"not_on_date":case"equal":case"select_equals":case"not_equal":return{gte:"".concat(r,"||/d"),lte:"".concat(r,"||+1d")};case"less_or_equal":return{lte:"".concat(r)};case"greater_or_equal":return{gte:"".concat(r)};case"less":return{lt:"".concat(r)};case"greater":return{gt:"".concat(r)};default:return}}(t,r));case"wildcard":return Un({},n,function(e){return{value:"*"+e+"*"}}(t[0]));case"regexp":return Un({},n,function(e){return{value:e}}(t[0]));default:return}}(p,t,a,e,n,i),u?{bool:{must_not:Un({},p,Kg({},f))}}:Un({},p,Kg({},f))}}}}var zg="ES_7_SYNTAX",$g="ES_6_SYNTAX";function Hg(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:$g;if(e){var n=e.get("type"),o=e.get("properties")||new Map;if("rule"===n&&o.get("field")){var i,a,l,s=o.get("operator"),u=o.get("field"),c=o.get("fieldSrc"),d=null===(i=o.get("value"))||void 0===i?void 0:i.toJS(),p=(null===(a=o.get("valueType"))||void 0===a||a.get(0),null===(l=o.get("valueSrc"))||void 0===l?void 0:l.get(0));if("func"===p||"func"==c)return;return d&&Array.isArray(d[0])?d[0].map((function(e){return Wg(u,[e],s,t,p,r)})):Wg(u,d,s,t,p,r)}if("group"===n||"rule_group"===n){var f=o.get("not"),h=o.get("conjunction");return h||(h=ad(t)),function(e,t,r,n,o,i){if(e&&e.size){var a=e.valueSeq().toArray(),l=function(e,t){switch(e){case"AND":return t?"must_not":"must";case"OR":return t?"should_not":"should";case"NOT":return t?"must":"must_not";default:return}}(t,r),s=a.map((function(e){return n(e,o,i)})).filter((function(e){return void 0!==e}));if(s.length)return{bool:Un({},l,s.flat(1/0))}}}(e.get("children1"),h,f,Hg,t,r)}}}function Yg(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r={};for(var n in e)if({}.hasOwnProperty.call(e,n)){if(t.indexOf(n)>=0)continue;r[n]=e[n]}return r}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||{}.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}function Qg(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}var Xg=["title","value","disabled","groupTitle","grouplabel","renderTitle","children","label","isCustom","isHidden"];function Jg(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function Zg(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function ev(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Zg(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Zg(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var tv=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1e3;return function(){var n,o=(n=Bs().mark((function n(o,i,a){var l,s,u,c,d,p;return Bs().wrap((function(n){for(;;)switch(n.prev=n.next){case 0:if(l=null!=(null==a?void 0:a.pageSize)?a.pageSize:t,s=ru(e).filter((function(e){var t=e.title,r=e.value;return null==o||-1!=t.toUpperCase().indexOf(o.toUpperCase())||-1!="".concat(r).toUpperCase().indexOf(o.toUpperCase())})),l&&Math.ceil(s.length/l),u=i||0,l&&Math.ceil(u/l),c=l?s.slice(u,u+l):s,d=l?u+c.length:null,p=!!l&&d<s.length,!r){n.next=11;break}return n.next=11,xs(r);case 11:return n.abrupt("return",{values:c,hasMore:p});case 12:case"end":return n.stop()}}),n)})),function(){var e=this,t=arguments;return new Promise((function(r,o){var i=n.apply(e,t);function a(e){Qg(i,r,o,a,l,"next",e)}function l(e){Qg(i,r,o,a,l,"throw",e)}a(void 0)}))});return function(e,t,r){return o.apply(this,arguments)}}()},rv=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(!t)return e;var o=e||[],i=t.filter((function(e){return null==o.find((function(t){return""+t.value==""+e.value}))})).map((function(e){return n?ev(ev({},e),{},{isHidden:!0}):e}));return r?[].concat(Kn(i),Kn(o)):[].concat(Kn(o),Kn(i))},nv=function(e,t,r){var n,o=null==e||""==e?void 0:null!==(n=null==e?void 0:e.value)&&void 0!==n?n:e,i=su(o,t),a=r&&!i?tu(o):void 0,l=i||a;return[o,l?[l]:void 0]},ov=function(e,t,r){var n=e.map((function(e,n){var o,i=null==e||""==e?void 0:null!==(o=null==e?void 0:e.value)&&void 0!==o?o:e,a=su(i,t),l=r&&!a?tu(i):void 0;return a||l})).filter((function(e){return null!=e})),o=n.map((function(e){var t;return null!==(t=null==e?void 0:e.value)&&void 0!==t?t:e}));return o.length||(o=void 0),[o,n]},iv=function(e){if(null==e)return null;var t=e.title,r=e.value,n=e.disabled,o=e.groupTitle,i=e.grouplabel,a=e.renderTitle,l=e.children,s=e.label,u=e.isCustom,c=e.isHidden,d=Yg(e,Xg),p={value:r,title:t||s||l};return n&&(p.disabled=n),u&&(p.isCustom=u),c&&(p.isHidden=c),(o||i)&&(p.groupTitle=o||i),a&&(p.renderTitle=a),ev(ev({},p),d)},av=function(e){var t,r=[],n=[],o=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Jg(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Jg(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(e);try{var i=function(){var e=t.value,o=function(e,t){if(e.findLastIndex)return e.findLastIndex(t);var r=Kn(e).reverse().findIndex(t);return-1==r?-1:e.length-1-r}(r,(function(t){var r,n;return(null!==(r=t.groupTitle)&&void 0!==r?r:"")==(null!==(n=e.groupTitle)&&void 0!==n?n:"")}));null==e.groupTitle||n.includes(e.groupTitle)||(n.push(e.groupTitle),1===n.length&&(r=r.map((function(e){return ev(ev({},e),{},{groupTitle:""})})))),null==e.groupTitle&&n.length&&(e=ev(ev({},e),{},{groupTitle:""})),-1!=o?r.splice(o+1,0,e):r.push(e)};for(o.s();!(t=o.n()).done;)i()}catch(e){o.e(e)}finally{o.f()}return r},lv={label:"Now",returnType:"datetime",jsonLogic:"now",jsonLogicCustomOps:{now:{}},spelFunc:"T(java.time.LocalDateTime).now()",sqlFormatFunc:function(){return"NOW()"},mongoFormatFunc:function(){return new Date},formatFunc:function(){return"NOW"}},sv={label:"Relative",returnType:"datetime",renderBrackets:["",""],renderSeps:["","",""],spelFormatFunc:function(e){var t=e.date,r=e.op,n=e.val,o=e.dim,i=r+(o.charAt(0).toUpperCase()+o.slice(1)+"s");return"".concat(t,".").concat(i,"(").concat(n,")")},spelImport:function(e){var t,r,n,o,i=null===(t=e.methodName)||void 0===t?void 0:t.match(/^(minus|plus)(\w+)s$/);if(i&&(o=i[2].toLowerCase(),r=i[1],["minus","plus"].includes(r)&&["day","week","month","year"].includes(o)))return r={type:"string",val:r},o={type:"string",val:o},n=e.args[0],{date:e.obj,op:r,val:n,dim:o}},jsonLogic:function(e){var t=e.date,r=e.op;return{date_add:[t,e.val*("minus"==r?-1:1),e.dim]}},jsonLogicImport:function(e){var t=e.date_add[0],r=Math.abs(e.date_add[1]);return[t,e.date_add[1]>=0?"plus":"minus",r,e.date_add[2]]},jsonLogicCustomOps:{date_add:{}},sqlFormatFunc:function(e){var t=e.date,r=e.op,n=e.val,o=e.dim;return"DATE_ADD(".concat(t,", INTERVAL ").concat(parseInt(n)*("minus"==r?-1:1)," ").concat(o.replace(/^'|'$/g,""),")")},mongoFormatFunc:null,formatFunc:function(e){var t=e.date,r=e.op,n=e.val,o=e.dim;return n?"".concat(t," ").concat("minus"==r?"-":"+"," ").concat(n," ").concat(o):t},args:{date:{label:"Date",type:"datetime",defaultValue:{func:"NOW",args:[]},valueSources:["func","field","value"],spelEscapeForFormat:!0},op:{label:"Op",type:"select",defaultValue:"plus",valueSources:["value"],mainWidgetProps:{customProps:{showSearch:!1}},fieldSettings:{listValues:{plus:"+",minus:"-"}},spelEscapeForFormat:!1},val:{label:"Value",type:"number",fieldSettings:{min:0},defaultValue:0,valueSources:["value"],spelEscapeForFormat:!1},dim:{label:"Dimension",type:"select",defaultValue:"day",valueSources:["value"],mainWidgetProps:{customProps:{showSearch:!1}},fieldSettings:{listValues:{day:"day",week:"week",month:"month",year:"year"}},spelEscapeForFormat:!1}}},uv={label:"Lowercase",mongoFunc:"$toLower",jsonLogic:"toLowerCase",spelFunc:"${str}.toLowerCase()",jsonLogicCustomOps:{toLowerCase:{}},returnType:"text",args:{str:{label:"String",type:"text",valueSources:["value","field","func"]}}},cv={label:"Uppercase",mongoFunc:"$toUpper",jsonLogic:"toUpperCase",spelFunc:"${str}.toUpperCase()",jsonLogicCustomOps:{toUpperCase:{}},returnType:"text",args:{str:{label:"String",type:"text",valueSources:["value","field","func"]}}},dv={label:"Linear regression",returnType:"number",formatFunc:function(e,t){var r=e.coef,n=e.bias,o=e.val;return"(".concat(r," * ").concat(o," + ").concat(n,")")},sqlFormatFunc:function(e){var t=e.coef,r=e.bias,n=e.val;return"(".concat(t," * ").concat(n," + ").concat(r,")")},spelFormatFunc:function(e){var t=e.coef,r=e.bias,n=e.val;return"(".concat(t," * ").concat(n," + ").concat(r,")")},spelImport:function(e){var t,r;if("op-plus"===e.type){var n=$n(e.children,2);if(r=n[0],t=n[1],"op-multiply"===r.type){var o=$n(r.children,2);return{coef:o[0],val:o[1],bias:t}}}},mongoFormatFunc:function(e){var t=e.coef,r=e.bias;return{$sum:[{$multiply:[t,e.val]},r]}},jsonLogic:function(e){var t=e.coef,r=e.bias;return{"+":[{"*":[t,e.val]},r]}},jsonLogicImport:function(e){return[e["+"][0]["*"][0],e["+"][0]["*"][1],e["+"][1]]},renderBrackets:["",""],renderSeps:[" * "," + "],args:{coef:{label:"Coef",type:"number",defaultValue:1,valueSources:["value"]},val:{label:"Value",type:"number",valueSources:["value","field"]},bias:{label:"Bias",type:"number",defaultValue:0,valueSources:["value"]}}},pv={utils:{SqlString:Yu,moment:Lu(),mongoFormatOp1:function(e,t,r,n,o,i,a,l,s,u,c,d){var p="string"!=typeof n||n.startsWith("$")?n:"$"+n,f=t(i,d);if(void 0!==f)return r?a||e&&"$eq"!=e?a?{$not:Un({},e,[p,f])}:Un({},n,{$not:Un({},e,f)}):Un({},n,{$ne:f}):a||e&&"$eq"!=e?a?Un({},e,[p,f]):Un({},n,Un({},e,f)):Un({},n,f)},mongoFormatOp2:function(e,t,r,n,o,i,a,l,s,u,c){var d="string"!=typeof r||r.startsWith("$")?r:"$"+r;return t?i?{$not:{$and:[Un({},e[0],[d,o[0]]),Un({},e[1],[d,o[1]])]}}:Un({},r,{$not:Un(Un({},e[0],o[0]),e[1],o[1])}):i?{$and:[Un({},e[0],[d,o[0]]),Un({},e[1],[d,o[1]])]}:Un({},r,Un(Un({},e[0],o[0]),e[1],o[1]))},mongoEmptyValue:Xu,escapeRegExp:As,sqlEmptyValue:Qu,stringifyForDisplay:rc,getTitleInListValues:ou,spelEscape:Zu,spelFixList:Ju}};const fv=pv;function hv(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function gv(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function vv(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?gv(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):gv(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var mv={equal:{label:"==",labelForFormat:"==",sqlOp:"=",spelOp:"==",spelOps:["==","eq"],reversedOp:"not_equal",formatOp:function(e,t,r,n,o,i,a,l,s){var u=l?"=":i.label;return"boolean"==o&&l?"No"==r?"NOT ".concat(e):"".concat(e):"".concat(e," ").concat(u," ").concat(r)},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return e},!1].concat(r))},jsonLogic:"==",elasticSearchQueryType:"term"},not_equal:{isNotOp:!0,label:"!=",labelForFormat:"!=",sqlOp:"<>",spelOp:"!=",spelOps:["!=","ne"],reversedOp:"equal",formatOp:function(e,t,r,n,o,i,a,l,s){return"boolean"==o&&l?"No"==r?"".concat(e):"NOT ".concat(e):"".concat(e," ").concat(i.label," ").concat(r)},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$ne",function(e){return e},!1].concat(r))},jsonLogic:"!="},less:{label:"<",labelForFormat:"<",sqlOp:"<",spelOp:"<",spelOps:["<","lt"],reversedOp:"greater_or_equal",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$lt",function(e){return e},!1].concat(r))},jsonLogic:"<",elasticSearchQueryType:"range"},less_or_equal:{label:"<=",labelForFormat:"<=",sqlOp:"<=",spelOp:"<=",spelOps:["<=","le"],reversedOp:"greater",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$lte",function(e){return e},!1].concat(r))},jsonLogic:"<=",elasticSearchQueryType:"range"},greater:{label:">",labelForFormat:">",sqlOp:">",spelOp:">",spelOps:[">","gt"],reversedOp:"less_or_equal",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$gt",function(e){return e},!1].concat(r))},jsonLogic:">",elasticSearchQueryType:"range"},greater_or_equal:{label:">=",labelForFormat:">=",sqlOp:">=",spelOp:">=",spelOps:[">=","ge"],reversedOp:"less",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$gte",function(e){return e},!1].concat(r))},jsonLogic:">=",elasticSearchQueryType:"range"},like:{label:"Contains",labelForFormat:"Contains",reversedOp:"not_like",sqlOp:"LIKE",spelOp:"${0}.contains(${1})",valueTypes:["text"],mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$regex",function(e){return"string"==typeof e?t.utils.escapeRegExp(e):void 0},!1].concat(n))},jsonLogic:"in",_jsonLogicIsRevArgs:!0,valueSources:["value"],elasticSearchQueryType:"regexp"},not_like:{isNotOp:!0,label:"Not contains",reversedOp:"like",labelForFormat:"Not Contains",sqlOp:"NOT LIKE",mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$regex",function(e){return"string"==typeof e?t.utils.escapeRegExp(e):void 0},!0].concat(n))},valueSources:["value"]},starts_with:{label:"Starts with",labelForFormat:"Starts with",sqlOp:"LIKE",spelOp:"${0}.startsWith(${1})",mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$regex",function(e){return"string"==typeof e?"^"+t.utils.escapeRegExp(e):void 0},!1].concat(n))},jsonLogic:void 0,valueSources:["value"]},ends_with:{label:"Ends with",labelForFormat:"Ends with",sqlOp:"LIKE",spelOp:"${0}.endsWith(${1})",mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$regex",function(e){return"string"==typeof e?t.utils.escapeRegExp(e)+"$":void 0},!1].concat(n))},jsonLogic:void 0,valueSources:["value"]},between:{label:"Between",labelForFormat:"BETWEEN",sqlOp:"BETWEEN",cardinality:2,formatOp:function(e,t,r,n,o,i,a,l){var s=r.first(),u=r.get(1);return l?"".concat(e," BETWEEN ").concat(s," AND ").concat(u):"".concat(e," >= ").concat(s," && ").concat(e," <= ").concat(u)},spelFormatOp:function(e,t,r,n,o,i,a,l){var s=r[0],u=r[1];return"".concat(e," >= ").concat(s," && ").concat(e," <= ").concat(u)},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp2.apply(e,[["$gte","$lte"],!1].concat(r))},valueLabels:["Value from","Value to"],textSeparators:[null,"and"],reversedOp:"not_between",jsonLogic:"<=",validateValues:function(e){return null!=e[0]&&null!=e[1]?e[0]<=e[1]:null},elasticSearchQueryType:function(e){return"time"===e?"filter":"range"}},not_between:{isNotOp:!0,label:"Not between",labelForFormat:"NOT BETWEEN",sqlOp:"NOT BETWEEN",cardinality:2,formatOp:function(e,t,r,n,o,i,a,l){var s=r.first(),u=r.get(1);return l?"".concat(e," NOT BETWEEN ").concat(s," AND ").concat(u):"(".concat(e," < ").concat(s," || ").concat(e," > ").concat(u,")")},spelFormatOp:function(e,t,r,n,o,i,a,l){var s=r[0],u=r[1];return"(".concat(e," < ").concat(s," || ").concat(e," > ").concat(u,")")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp2.apply(e,[["$gte","$lte"],!0].concat(r))},valueLabels:["Value from","Value to"],textSeparators:[null,"and"],reversedOp:"between",validateValues:function(e){return null!=e[0]&&null!=e[1]?e[0]<=e[1]:null}},is_empty:{label:"Is empty",labelForFormat:"IS EMPTY",cardinality:0,reversedOp:"is_not_empty",formatOp:function(e,t,r,n,o,i,a,l){return l?"".concat(e," IS EMPTY"):"!".concat(e)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=this.utils.sqlEmptyValue(l);return"COALESCE(".concat(e,", ").concat(s,") = ").concat(s)},spelFormatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," <= ''")},mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$in",function(e,r){return[t.utils.mongoEmptyValue(r),null]},!1].concat(n))},jsonLogic:"!"},is_not_empty:{isNotOp:!0,label:"Is not empty",labelForFormat:"IS NOT EMPTY",cardinality:0,reversedOp:"is_empty",formatOp:function(e,t,r,n,o,i,a,l){return l?"".concat(e," IS NOT EMPTY"):"!!".concat(e)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=this.utils.sqlEmptyValue(l);return"COALESCE(".concat(e,", ").concat(s,") <> ").concat(s)},spelFormatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," > ''")},mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$nin",function(e,r){return[t.utils.mongoEmptyValue(r),null]},!1].concat(n))},jsonLogic:"!!",elasticSearchQueryType:"exists"},is_null:{label:"Is null",labelForFormat:"IS NULL",sqlOp:"IS NULL",cardinality:0,reversedOp:"is_not_null",formatOp:function(e,t,r,n,o,i,a,l){return l?"".concat(e," IS NULL"):"!".concat(e)},spelFormatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," == null")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return null},!1].concat(r))},jsonLogic:"=="},is_not_null:{label:"Is not null",labelForFormat:"IS NOT NULL",sqlOp:"IS NOT NULL",cardinality:0,reversedOp:"is_null",formatOp:function(e,t,r,n,o,i,a,l){return l?"".concat(e," IS NOT NULL"):"!!".concat(e)},spelFormatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," != null")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$ne",function(e){return null},!1].concat(r))},jsonLogic:"!=",elasticSearchQueryType:"exists"},select_equals:{label:"==",labelForFormat:"==",sqlOp:"=",formatOp:function(e,t,r,n,o,i,a,l){var s=l?"=":"==";return"".concat(e," ").concat(s," ").concat(r)},spelOp:"==",spelOps:["==","eq"],mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return e},!1].concat(r))},reversedOp:"select_not_equals",jsonLogic:"==",elasticSearchQueryType:"term"},select_not_equals:{isNotOp:!0,label:"!=",labelForFormat:"!=",sqlOp:"<>",formatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," != ").concat(r)},spelOp:"!=",spelOps:["!=","ne"],mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$ne",function(e){return e},!1].concat(r))},reversedOp:"select_equals",jsonLogic:"!="},select_any_in:{label:"Any in",labelForFormat:"IN",sqlOp:"IN",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," IN (").concat(r.join(", "),")"):"".concat(e," IN (").concat(r,")")},sqlFormatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," IN (").concat(r.join(", "),")"):void 0},valueTypes:["multiselect"],spelOp:"${1}.contains(${0})",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$in",function(e){return e},!1].concat(r))},reversedOp:"select_not_any_in",jsonLogic:"in",elasticSearchQueryType:"term"},select_not_any_in:{isNotOp:!0,label:"Not in",labelForFormat:"NOT IN",sqlOp:"NOT IN",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," NOT IN (").concat(r.join(", "),")"):"".concat(e," NOT IN (").concat(r,")")},sqlFormatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," NOT IN (").concat(r.join(", "),")"):void 0},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$nin",function(e){return e},!1].concat(r))},reversedOp:"select_any_in"},multiselect_contains:{label:"Contains",labelForFormat:"CONTAINS",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," CONTAINS [").concat(r.join(", "),"]"):"".concat(e," CONTAINS ").concat(r)},reversedOp:"multiselect_not_contains",jsonLogic2:"some-in",jsonLogic:function(e,t,r){return{some:[e,{in:[{var:""},r]}]}},spelOp:"T(CollectionUtils).containsAny(${0}, ${1})",elasticSearchQueryType:"term",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$in",function(e){return e},!1].concat(r))}},multiselect_not_contains:{isNotOp:!0,label:"Not contains",labelForFormat:"NOT CONTAINS",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," NOT CONTAINS [").concat(r.join(", "),"]"):"".concat(e," NOT CONTAINS ").concat(r)},reversedOp:"multiselect_contains"},multiselect_equals:{label:"Equals",labelForFormat:"==",sqlOp:"=",formatOp:function(e,t,r,n,o,i,a,l){var s=l?"=":"==";return"value"==n?"".concat(e," ").concat(s," [").concat(r.join(", "),"]"):"".concat(e," ").concat(s," ").concat(r)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=this;return"value"==n?"".concat(e," = '").concat(r.map((function(e){return s.utils.SqlString.trim(e)})).join(","),"'"):void 0},spelOp:"${0}.equals(${1})",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return e},!1].concat(r))},reversedOp:"multiselect_not_equals",jsonLogic2:"all-in",jsonLogic:function(e,t,r){return{all:[e,{in:[{var:""},r]}]}},elasticSearchQueryType:"term"},multiselect_not_equals:{isNotOp:!0,label:"Not equals",labelForFormat:"!=",sqlOp:"<>",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," != [").concat(r.join(", "),"]"):"".concat(e," != ").concat(r)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=this;return"value"==n?"".concat(e," != '").concat(r.map((function(e){return s.utils.SqlString.trim(e)})).join(","),"'"):void 0},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$ne",function(e){return e},!1].concat(r))},reversedOp:"multiselect_equals"},proximity:{label:"Proximity search",cardinality:2,valueLabels:[{label:"Word 1",placeholder:"Enter first word"},{label:"Word 2",placeholder:"Enter second word"}],textSeparators:[],formatOp:function(e,t,r,n,o,i,a,l){var s=r.first(),u=r.get(1),c=a.get("proximity");return"".concat(e," ").concat(s," NEAR/").concat(c," ").concat(u)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=r.first(),u=r.get(1),c=this.utils.SqlString.trim(s),d=this.utils.SqlString.trim(u),p=a.get("proximity");return"CONTAINS(".concat(e,", 'NEAR((").concat(c,", ").concat(d,"), ").concat(p,")')")},mongoFormatOp:void 0,jsonLogic:void 0,options:{optionLabel:"Near",optionTextBefore:"Near",optionPlaceholder:"Select words between",minProximity:2,maxProximity:10,defaults:{proximity:2}}},some:{label:"Some",labelForFormat:"SOME",cardinality:0,jsonLogic:"some",spelFormatOp:function(e){return"".concat(e," > 0")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$gt",function(e){return 0},!1].concat(r))}},all:{label:"All",labelForFormat:"ALL",cardinality:0,jsonLogic:"all",spelFormatOp:function(e,t,r){return"".concat(e," == ").concat(r)},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return e},!1].concat(r))}},none:{label:"None",labelForFormat:"NONE",cardinality:0,jsonLogic:"none",spelFormatOp:function(e){return"".concat(e," == 0")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return 0},!1].concat(r))}}},yv={text:{type:"text",jsType:"string",valueSrc:"value",valueLabel:"String",valuePlaceholder:"Enter string",formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},spelFormatValue:function(e,t,r,n,o){return this.utils.spelEscape(e)},sqlFormatValue:function(e,t,r,n,o){return"LIKE"==o.sqlOp||"NOT LIKE"==o.sqlOp?this.utils.SqlString.escapeLike(e,"starts_with"!=n,"ends_with"!=n):this.utils.SqlString.escape(e)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},textarea:{type:"text",jsType:"string",valueSrc:"value",valueLabel:"Text",valuePlaceholder:"Enter text",formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return"LIKE"==o.sqlOp||"NOT LIKE"==o.sqlOp?this.utils.SqlString.escapeLike(e,"starts_with"!=n,"ends_with"!=n):this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e},fullWidth:!0},number:{type:"number",jsType:"number",valueSrc:"value",valueLabel:"Number",valuePlaceholder:"Enter number",valueLabels:[{label:"Number from",placeholder:"Enter number from"},{label:"Number to",placeholder:"Enter number to"}],formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e,t,r){var n=r.step&&!Number.isInteger(r.step);return this.utils.spelEscape(e,n)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},slider:{type:"number",jsType:"number",valueSrc:"value",valueLabel:"Number",valuePlaceholder:"Enter number or move slider",formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},select:{type:"select",jsType:"string",valueSrc:"value",valueLabel:"Value",valuePlaceholder:"Select value",formatValue:function(e,t,r,n){var o=this.utils.getTitleInListValues(t.fieldSettings.listValues||t.asyncListValues,e);return n?this.utils.stringifyForDisplay(o):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},multiselect:{type:"multiselect",jsType:"array",valueSrc:"value",valueLabel:"Values",valuePlaceholder:"Select values",formatValue:function(e,t,r,n){var o=this,i=e.map((function(e){return o.utils.getTitleInListValues(t.fieldSettings.listValues||t.asyncListValues,e)}));return n?i.map(this.utils.stringifyForDisplay):e.map(JSON.stringify)},sqlFormatValue:function(e,t,r,n,o){var i=this;return e.map((function(e){return i.utils.SqlString.escape(e)}))},spelFormatValue:function(e,t,r,n,o){var i=o&&o.spelOp&&o.spelOp.startsWith("${1}"),a=this.utils.spelEscape(e);return i&&(a=this.utils.spelFixList(a)),a},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},date:{type:"date",jsType:"string",valueSrc:"value",dateFormat:"DD.MM.YYYY",valueFormat:"YYYY-MM-DD",valueLabel:"Date",valuePlaceholder:"Enter date",valueLabels:[{label:"Date from",placeholder:"Enter date from"},{label:"Date to",placeholder:"Enter date to"}],formatValue:function(e,t,r,n){var o=this.utils.moment(e,r.valueFormat);return n?o.format(r.dateFormat):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat);return this.utils.SqlString.escape(i.format("YYYY-MM-DD"))},spelFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat).format("YYYY-MM-DD");return"T(java.time.LocalDate).parse('".concat(i,"', T(java.time.format.DateTimeFormatter).ofPattern('").concat("yyyy-MM-dd","'))")},spelImportFuncs:[{obj:{cls:["java","time","LocalDate"]},methodName:"parse",args:[{var:"v"},{obj:{cls:["java","time","format","DateTimeFormatter"]},methodName:"ofPattern",args:[{var:"fmt"}]}]}],spelImportValue:function(e,t,r){var n,o,i,a;if(!t)return[void 0,"No widget def to get value format"];if(null!=r&&null!==(n=r.fmt)&&void 0!==n&&null!==(n=n.value)&&void 0!==n&&null!==(o=n.includes)&&void 0!==o&&o.call(n," ")||null!==(i=r.fmt)&&void 0!==i&&null!==(i=i.value)&&void 0!==i&&null!==(a=i.toLowerCase)&&void 0!==a&&a.call(i).includes("hh:mm"))return[void 0,"Invalid date format ".concat(JSON.stringify(r.fmt))];var l=this.utils.moment(e.value,this.utils.moment.ISO_8601);return l.isValid()?[l.format(null==t?void 0:t.valueFormat),[]]:[void 0,"Invalid date"]},jsonLogic:function(e,t,r){return this.utils.moment(e,r.valueFormat).toDate()},toJS:function(e,t){var r=this.utils.moment(e,t.valueFormat);return r.isValid()?r.toDate():void 0},mongoFormatValue:function(e,t,r){var n=this.utils.moment(e,r.valueFormat);return n.isValid()?n.toDate():void 0}},time:{type:"time",jsType:"string",valueSrc:"value",timeFormat:"HH:mm",valueFormat:"HH:mm:ss",use12Hours:!1,valueLabel:"Time",valuePlaceholder:"Enter time",valueLabels:[{label:"Time from",placeholder:"Enter time from"},{label:"Time to",placeholder:"Enter time to"}],formatValue:function(e,t,r,n){var o=this.utils.moment(e,r.valueFormat);return n?o.format(r.timeFormat):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat);return this.utils.SqlString.escape(i.format("HH:mm:ss"))},spelFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat).format("HH:mm:ss");return"T(java.time.LocalTime).parse('".concat(i,"')")},spelImportFuncs:["T(java.time.LocalTime).parse(${v})"],spelImportValue:function(e,t,r){var n,o,i;if(!t)return[void 0,"No widget def to get value format"];if(null!=r&&r.fmt&&(null===(n=r.fmt)||void 0===n||null===(n=n.value)||void 0===n||null===(o=n.toLowerCase)||void 0===o||!o.call(n).includes("hh:mm")||null!==(i=r.fmt)&&void 0!==i&&null!==(i=i.value)&&void 0!==i&&i.includes(" ")))return[void 0,"Invalid time format ".concat(JSON.stringify(r.fmt))];var a=this.utils.moment(e.value,"HH:mm:ss");return a.isValid()?[a.format(null==t?void 0:t.valueFormat),[]]:[void 0,"Invalid date"]},jsonLogic:function(e,t,r){var n=this.utils.moment(e,r.valueFormat);return 60*n.get("hour")*60+60*n.get("minute")+n.get("second")},toJS:function(e,t){var r=this.utils.moment(e,t.valueFormat);return r.isValid()?60*r.get("hour")*60+60*r.get("minute")+r.get("second"):void 0},mongoFormatValue:function(e,t,r){var n=this.utils.moment(e,r.valueFormat);return 60*n.get("hour")*60+60*n.get("minute")+n.get("second")},elasticSearchFormatValue:function(e,t,r,n){return{script:{script:{source:"doc[".concat(n,"][0].getHour() >== params.min && doc[").concat(n,"][0].getHour() <== params.max"),params:{min:t[0],max:t[1]}}}}}},datetime:{type:"datetime",jsType:"string",valueSrc:"value",timeFormat:"HH:mm",dateFormat:"DD.MM.YYYY",valueFormat:"YYYY-MM-DD HH:mm:ss",use12Hours:!1,valueLabel:"Datetime",valuePlaceholder:"Enter datetime",valueLabels:[{label:"Datetime from",placeholder:"Enter datetime from"},{label:"Datetime to",placeholder:"Enter datetime to"}],formatValue:function(e,t,r,n){var o=this.utils.moment(e,r.valueFormat);return n?o.format(r.dateFormat+" "+r.timeFormat):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat);return this.utils.SqlString.escape(i.toDate())},spelFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat).format("YYYY-MM-DD HH:mm:ss");return"T(java.time.LocalDateTime).parse('".concat(i,"', T(java.time.format.DateTimeFormatter).ofPattern('").concat("yyyy-MM-dd HH:mm:ss","'))")},spelImportFuncs:[{obj:{cls:["java","time","LocalDateTime"]},methodName:"parse",args:[{var:"v"},{obj:{cls:["java","time","format","DateTimeFormatter"]},methodName:"ofPattern",args:[{var:"fmt"}]}]}],spelImportValue:function(e,t,r){var n,o;if(!t)return[void 0,"No widget def to get value format"];if(null==r||null===(n=r.fmt)||void 0===n||null===(n=n.value)||void 0===n||null===(o=n.includes)||void 0===o||!o.call(n," "))return[void 0,"Invalid datetime format ".concat(JSON.stringify(r.fmt))];var i=this.utils.moment(e.value,this.utils.moment.ISO_8601);return i.isValid()?[i.format(null==t?void 0:t.valueFormat),[]]:[void 0,"Invalid date"]},jsonLogic:function(e,t,r){return this.utils.moment(e,r.valueFormat).toDate()},toJS:function(e,t){var r=this.utils.moment(e,t.valueFormat);return r.isValid()?r.toDate():void 0},mongoFormatValue:function(e,t,r){var n=this.utils.moment(e,r.valueFormat);return n.isValid()?n.toDate():void 0}},boolean:{type:"boolean",jsType:"boolean",valueSrc:"value",labelYes:"Yes",labelNo:"No",formatValue:function(e,t,r,n){return n?e?"Yes":"No":JSON.stringify(!!e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e,t,r,n,o){return this.utils.spelEscape(e)},defaultValue:!1,toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},field:{valueSrc:"field",formatValue:function(e,t,r,n,o,i,a){return n&&a.label||e},sqlFormatValue:function(e,t,r,n,o,i){return e},spelFormatValue:function(e,t,r,n,o){return e},valueLabel:"Field to compare",valuePlaceholder:"Select field to compare"},func:{valueSrc:"func",valueLabel:"Function",valuePlaceholder:"Select function"},case_value:{valueSrc:"value",type:"case_value",spelFormatValue:function(e){return this.utils.spelEscape(""===e?null:e)},spelImportValue:function(e){return[e.value,[]]}}},bv=vv(vv({},wh),{},{convertableWidgets:{number:["slider","rangeslider"],slider:["number","rangeslider"],rangeslider:["number","slider"],text:["textarea"],textarea:["text"]},formatSpelField:function(e,t,r,n,o,i){var a=this,l=n.map((function(e,t){var r=e.key,n=e.parent,o=e.fieldSeparator;return 0==t?"[map]"==n?"#this[".concat(a.utils.spelEscape(r),"]"):r:"map"==n||"[map]"==n?"[".concat(a.utils.spelEscape(r),"]"):"".concat(o).concat(r)})).join("");return o.fieldName&&(l=e),o.isSpelVariable&&(l="#"+l),l},sqlFormatReverse:function(e){if(null!=e)return"NOT("+e+")"},spelFormatReverse:function(e){if(null!=e)return"!("+e+")"},formatReverse:function(e,t,r,n,o,i){if(null!=e)return i?"NOT ("+e+")":"!("+e+")"},formatAggr:function(e,t,r,n,o,i,a,l,s,u){var c=a.labelForFormat,d=a.cardinality;if(0==d){var p=e?" HAVE ".concat(e):"";return"".concat(c," OF ").concat(t).concat(p)}if(null==d||1==d){var f=e?" WHERE ".concat(e):"";return"COUNT OF ".concat(t).concat(f," ").concat(c," ").concat(n)}if(2==d){var h=e?" WHERE ".concat(e):"",g=n.first(),v=n.get(1);return"COUNT OF ".concat(t).concat(h," ").concat(c," ").concat(g," AND ").concat(v)}},jsonLogic:{groupVarKey:"var",altVarKey:"var",lockedOp:"locked"},canCompareFieldWithField:function(e,t,r,n){return!0},valueSourcesInfo:{value:{label:"Value"},field:{label:"Field",widget:"field"},func:{label:"Function",widget:"func"}}}),Ev=function(e,t){var r,n=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],o={rangeslider:Tv,treeselect:_v,treemultiselect:wv,rangeable__date:Sv("date","date")},i=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return hv(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?hv(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(t);try{for(i.s();!(r=i.n()).done;){var a=r.value,l=o[a];if(!l)throw new Error("Can't ".concat(n?"add":"remove"," mixin ").concat(a));e=l(e,n)}}catch(e){i.e(e)}finally{i.f()}return e},Ov=function(e,t){return Ev(e,t,!0)},Sv=function(e,t){return function(r){var n=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],o=r.types;return o=vv(vv({},o),{},Un({},e,vv(vv({},o[e]),{},{widgets:vv({},o[e].widgets)}))),n?o[e].widgets[t]=vv({opProps:{between:{isSpecialRange:!0,textSeparators:[null,null]},not_between:{isSpecialRange:!0,textSeparators:[null,null]}}},o[e].widgets[t]):delete o[e].widgets[t],vv(vv({},r),{},{types:o})}},Tv=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=e.widgets,n=e.types;return r=vv({},r),t?r.rangeslider=vv({type:"number",jsType:"number",valueSrc:"value",valueLabel:"Range",valuePlaceholder:"Select range",valueLabels:[{label:"Number from",placeholder:"Enter number from"},{label:"Number to",placeholder:"Enter number to"}],formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},singleWidget:"slider",toJS:function(e,t){return e}},r.rangeslider):delete r.rangeslider,n=vv(vv({},n),{},{number:vv(vv({},n.number),{},{widgets:vv({},n.number.widgets)})}),t?n.number.widgets.rangeslider=vv({opProps:{between:{isSpecialRange:!0},not_between:{isSpecialRange:!0}},operators:["between","not_between","is_null","is_not_null"]},n.number.widgets.rangeslider):delete n.number.widgets.rangeslider,vv(vv({},e),{},{widgets:r,types:n})},_v=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=e.widgets,n=e.types;return r=vv({},r),t?r.treeselect=vv({type:"treeselect",jsType:"string",valueSrc:"value",valueLabel:"Value",valuePlaceholder:"Select value",formatValue:function(e,t,r,n){var o=t.fieldSettings.treeValues||t.fieldSettings.listValues||t.asyncListValues,i=this.utils.getTitleInListValues(o,e);return n?this.utils.stringifyForDisplay(i):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e}},r.treeselect):delete r.treeselect,n=vv({},n),t?n.treeselect=vv({mainWidget:"treeselect",defaultOperator:"select_equals",widgets:{treeselect:{operators:["select_equals","select_not_equals"]},treemultiselect:{operators:["select_any_in","select_not_any_in"]}}},n.treeselect):delete n.treeselect,vv(vv({},e),{},{widgets:r,types:n})},wv=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=e.widgets,n=e.types;return r=vv({},r),t?r.treemultiselect=vv({type:"treemultiselect",jsType:"array",valueSrc:"value",valueLabel:"Values",valuePlaceholder:"Select values",formatValue:function(e,t,r,n){var o=this,i=t.fieldSettings.treeValues||t.fieldSettings.listValues||t.asyncListValues,a=e.map((function(e){return o.utils.getTitleInListValues(i,e)}));return n?a.map(this.utils.stringifyForDisplay):e.map(JSON.stringify)},sqlFormatValue:function(e,t,r,n,o){var i=this;return e.map((function(e){return i.utils.SqlString.escape(e)}))},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e}},r.treemultiselect):delete r.treemultiselect,n=vv({},n),t?n.treemultiselect=vv({defaultOperator:"multiselect_equals",widgets:{treemultiselect:{operators:["multiselect_equals","multiselect_not_equals"]}}},n.treemultiselect):delete n.treemultiselect,vv(vv({},e),{},{widgets:r,types:n})},Rv={addMixins:Ov,removeMixins:function(e,t){return Ev(e,t,!1)}},Av={conjunctions:{AND:{label:"And",mongoConj:"$and",jsonLogicConj:"and",sqlConj:"AND",spelConj:"and",spelConjs:["and","&&"],reversedConj:"OR",formatConj:function(e,t,r,n){return e.size>1?(r?"NOT ":"")+"("+e.join(" "+(n?"AND":"&&")+" ")+")":(r?"NOT (":"")+e.first()+(r?")":"")},sqlFormatConj:function(e,t,r){return e.size>1?(r?"NOT ":"")+"("+e.join(" AND ")+")":(r?"NOT (":"")+e.first()+(r?")":"")},spelFormatConj:function(e,t,r,n){return r&&(n=!1),e.size>1?(r?"!":"")+(n?"":"(")+e.join(" && ")+(n?"":")"):(r?"!(":"")+e.first()+(r?")":"")}},OR:{label:"Or",mongoConj:"$or",jsonLogicConj:"or",sqlConj:"OR",spelConj:"or",spelConjs:["or","||"],reversedConj:"AND",formatConj:function(e,t,r,n){return e.size>1?(r?"NOT ":"")+"("+e.join(" "+(n?"OR":"||")+" ")+")":(r?"NOT (":"")+e.first()+(r?")":"")},sqlFormatConj:function(e,t,r){return e.size>1?(r?"NOT ":"")+"("+e.join(" OR ")+")":(r?"NOT (":"")+e.first()+(r?")":"")},spelFormatConj:function(e,t,r,n){return r&&(n=!1),e.size>1?(r?"!":"")+(n?"":"(")+e.join(" || ")+(n?"":")"):(r?"!(":"")+e.first()+(r?")":"")}}},operators:mv,widgets:yv,types:{text:{defaultOperator:"equal",mainWidget:"text",widgets:{text:{operators:["equal","not_equal","like","not_like","starts_with","ends_with","proximity","is_empty","is_not_empty","is_null","is_not_null"],widgetProps:{},opProps:{}},textarea:{operators:["equal","not_equal","like","not_like","starts_with","ends_with","is_empty","is_not_empty","is_null","is_not_null"],widgetProps:{},opProps:{}},field:{operators:["equal","not_equal","proximity"]}}},number:{defaultOperator:"equal",mainWidget:"number",widgets:{number:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between","is_null","is_not_null"]},slider:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","is_null","is_not_null"]}}},date:{defaultOperator:"equal",widgets:{date:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between","is_null","is_not_null"]}}},time:{defaultOperator:"equal",widgets:{time:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between","is_null","is_not_null"]}}},datetime:{defaultOperator:"equal",widgets:{datetime:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between","is_null","is_not_null"]}}},select:{mainWidget:"select",defaultOperator:"select_equals",widgets:{select:{operators:["select_equals","select_not_equals","is_null","is_not_null"]},multiselect:{operators:["select_any_in","select_not_any_in","is_null","is_not_null"]}}},multiselect:{defaultOperator:"multiselect_equals",widgets:{multiselect:{operators:["multiselect_contains","multiselect_not_contains","multiselect_equals","multiselect_not_equals","is_null","is_not_null"]}}},boolean:{defaultOperator:"equal",widgets:{boolean:{operators:["equal","not_equal","is_null","is_not_null"],widgetProps:{}},field:{operators:["equal","not_equal"]}}},"!group":{defaultOperator:"some",mainWidget:"number",widgets:{number:{widgetProps:{min:0},operators:["some","all","none","equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between"],opProps:{equal:{label:"Count =="},not_equal:{label:"Count !="},less:{label:"Count <"},less_or_equal:{label:"Count <="},greater:{label:"Count >"},greater_or_equal:{label:"Count >="},between:{label:"Count between"},not_between:{label:"Count not between"}}}}},case_value:{mainWidget:"case_value",widgets:{case_value:{}}}},settings:bv,ctx:fv};const Cv=Av=Ov(Av,["rangeslider","treeselect","treemultiselect"]);var Iv="ADD_GROUP",Lv="ADD_CASE_GROUP",Nv="REMOVE_GROUP",Pv="SET_CONJUNCTION",xv="SET_NOT",kv="ADD_RULE",Fv="REMOVE_RULE",jv="SET_FIELD",Dv="SET_FIELD_SRC",Mv="SET_OPERATOR",Vv="SET_VALUE",Uv="SET_VALUE_SRC",Bv="SET_FUNC_VALUE",qv="SET_OPERATOR_OPTION",Gv="SET_LOCK",Kv="SET_TREE",Wv="MOVE_ITEM",zv="after",$v="before",Hv="append",Yv="prepend",Qv="SET_DRAG_PROGRESS",Xv="SET_DRAG_START",Jv="SET_DRAG_END",Zv=p(1612),em=p.n(Zv);function tm(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return rm(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?rm(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function rm(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function nm(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function om(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?nm(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):nm(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var im=function(e,t,r,n,o,i){var a,l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,s=arguments.length>7&&void 0!==arguments[7]?arguments[7]:{},u=(null==o||null===(a=o.get)||void 0===a?void 0:a.call(o,"id"))||n,c=i.settings.shouldCreateEmptyGroup,d=t.push(u),p=!c,f=!(null==s||!s.isDefaultCase),h=e;return(e=lm(e,t,r,u,ld(i).merge(cs(o)||{}),i,l))!==h&&(l||f||(e=e.setIn(uu(d,"children1"),new fs.OrderedMap),p&&(e=lm(e,d,"rule",ms(),od(i),i))),e=fu(e)),e},am=function e(t,r,n){n&&Array.isArray(n)&&(r.children1=new fs.OrderedMap(n.reduce((function(r,n){var o,i=null!==(o=n.id)&&void 0!==o?o:ms(),a=om(om({},n),{},{properties:sd(t,n).merge(cs(n.properties)||{}),id:i});return e(t,a,a.children1),om(om({},r),{},Un({},i,new fs.Map(a)))}),{})))},lm=function(e,t,r,n,o,i){var a,l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,s=(null==o||null===(a=o.get)||void 0===a?void 0:a.call(o,"id"))||n;if("switch_group"==r)throw new Error("Can't add switch_group programmatically");var u,c,d=i.settings,p=d.maxNumberOfCases,f=d.maxNumberOfRules,h=d.maxNesting,g="switch_group"==e.get("type"),v=e.getIn(uu(t)),m=g?e.getIn(uu(t.take(2))):null,y=uu(t,"children1"),b=e.getIn(y),E=!!b&&b.size,O=E?b.size:null;"case_group"==r?(u=O,c=p):"group"==r?(u=t.size,c=h):"rule_group"==(null==v?void 0:v.get("type"))||(u=mu(g?m:e),c=f);var S=!c||!u||u<c,T={type:r,id:s,properties:o};am(i,T,l);var _="case_group"==r&&E&&null==b.last().get("children1");if(S){var w=new fs.OrderedMap(Un({},s,new fs.Map(T)));if(E)if(_){var R=b.last(),A=new fs.OrderedMap(Un(Un({},s,new fs.Map(T)),R.get("id"),R));e=(e=e.deleteIn(uu(y,"children1",R.get("id")))).mergeIn(y,A)}else e=e.mergeIn(y,w);else e=e.setIn(y,w);e=fu(e)}return e},sm=function(e,t){return e=e.deleteIn(uu(t)),fu(e)},um=function(e,t,r,n,o){var i,a,l,s,u,c,d,p=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{},f=p.__isInternal,h=p.isEndValue,g=p.canDropArgs;if(!r)return{tree:sm(e,t),isInternalValueChange:d};var v=n.settings,m=v.fieldSeparator,y=v.setOpOnChangeField,b=v.showErrorMessage;Array.isArray(r)&&(r=r.join(m));var E=e.getIn(uu(t,"type")),O=e.getIn(uu(t,"properties")),S="rule_group"==E,T=null==O?void 0:O.get("fieldSrc"),_=null==O?void 0:O.get("fieldError"),w=Yh(n,r);if(!w)return console.warn("No config for LHS ".concat(r)),{tree:e,isInternalValueChange:d};var R=w.type;"!group"!==R&&"!struct"!==R||(R=null);var A=null==O?void 0:O.get("operator"),C=null==O?void 0:O.get("operatorOptions"),I=null==O?void 0:O.get("field"),L=null==O||null===(i=O.get("valueError"))||void 0===i||null===(a=i.join)||void 0===a?void 0:a.call(i,"|"),N="!group"==w.type,P=N&&"array"==w.mode,x=S!=N,k=w&&-1!==(null===(l=w.operators)||void 0===l?void 0:l.indexOf(A))?A:null,F="func"===T&&(null==I||null===(s=I.get)||void 0===s?void 0:s.call(I,"func"))===(null===(u=r)||void 0===u||null===(c=u.get)||void 0===c?void 0:c.call(u,"func"))&&!!k,j=null,D="func"===T?Cf(n,R):If(n,r);if(D&&1==D.length)j=D[0];else if(F)j=k;else if(D&&D.length>1){var M,V=tm(y);try{for(V.s();!(M=V.n()).done;){var U=M.value;if("keep"!=U||x?"default"==U?j=rd(n,r,!1):"first"==U&&(j=Lf(n,r)):j=k,j)break}}catch(e){V.e(e)}finally{V.f()}}if(!N&&!w.operators)return console.warn("Type ".concat(w.type," is not supported")),{tree:e,isInternalValueChange:d};S&&!N&&(e=(e=(e=e.setIn(uu(t,"type"),"rule")).deleteIn(uu(t,"children1"))).setIn(uu(t,"properties"),new fs.OrderedMap)),O||(e=e.setIn(uu(t,"properties"),new fs.OrderedMap));var B=!b;if(N){e=e.setIn(uu(t,"type"),"rule_group");var q=mf(n,n,O,r,j,"field",B,h,g),G=(q.canReuseValue,q.newValue),K=q.newValueSrc,W=q.newValueType,z=q.operatorCardinality,$=ld(n,w).merge({field:r,fieldSrc:"field",mode:w.mode});P&&($=$.merge({operator:j,value:G,valueSrc:K,valueType:W})),e=(e=e.setIn(uu(t,"children1"),new fs.OrderedMap)).setIn(uu(t,"properties"),$),w.initialEmptyWhere&&1==z||(e=lm(e,t,"rule",ms(),od(n,r),n)),e=fu(e)}else e=e.updateIn(uu(t,"properties"),(function(e){return e.withMutations((function(e){var t,o=mf(n,n,e,r,j,"field",B,h,g),i=o.canReuseValue,a=o.newValue,l=o.newValueSrc,s=o.newValueType,u=o.newValueError,c=o.newFieldError,p=o.fixedField,v=null==u||null===(t=u.join)||void 0===t?void 0:t.call(u,"|"),m=r,y=p!==r;y&&(m=p);var E=(b?_!=c:!!_!=!!c)||(b?L!=v:!!L!=!!v);d=!!f&&!E&&!y,(b||f&&E)&&(e=(e=e.set("fieldError",c)).set("valueError",u));var O=i?C:nd(n,j,m);return e=e.set("field",m).delete("fieldType").set("fieldSrc",T).set("operator",j).set("operatorOptions",O).set("value",a).set("valueSrc",l).set("valueType",s),i||(e=e.delete("asyncListValues")),e}))}));return{tree:e,isInternalValueChange:d}},cm=function(e,t,r,n,o,i,a){var l,s=arguments.length>7&&void 0!==arguments[7]?arguments[7]:{},u=s.__isInternal,c=s.canDropArgs,d=s.isEndValue,p=i.settings,f=p.fieldSeparator,h=p.showErrorMessage,g=e.getIn(uu(t,"properties","valueSrc",r+""))||null;"field"===g&&Array.isArray(n)&&(n=n.join(f));var v=e.getIn(uu(t,"properties","field"))||null,m=e.getIn(uu(t,"properties","operator"))||null,y=Qh(i,m,v),b=m?Os(y):null,E=o||Nf(n,g,i),O=$n(pf(i,v,v,m,n,E,g,a,!h,d,c),2),S=O[0],T=O[1],_=null==T?void 0:T.find((function(e){return!e.fixed&&!e.ignore})),w=_?Yp(_):null,R=S!==n;R&&(n=S),e=dm(e,t,i,b);var A=Array.from({length:b},(function(o,i){return i==r?n:e.getIn(uu(t,"properties","value",i+""))||null})),C=Array.from({length:b},(function(r,n){return e.getIn(uu(t,"properties","valueSrc",n+""))||null})),I=vf(i,v,m,A,C),L=I?Yp(I):null,N=!w&&!L,P=e.getIn(uu(t,"properties","value",r)),x=e.getIn(uu(t,"properties","valueError",r)),k=e.getIn(uu(t,"properties","valueError",b)),F=(h?x!=w:!!x!=!!w)||(h?k!=L:!!k!=!!L);return l=!(!u||!!P!=!!n||F||R),(!!h||N||R)&&(e=e.deleteIn(uu(t,"properties","asyncListValues")),void 0===n?e=(e=e.setIn(uu(t,"properties","value",r),void 0)).setIn(uu(t,"properties","valueType",r),null):(a&&(e=e.setIn(uu(t,"properties","asyncListValues"),a)),e=(e=e.setIn(uu(t,"properties","value",r),n)).setIn(uu(t,"properties","valueType",r),E))),(h||u&&F)&&(e.getIn(uu(t,"properties","valueError"))||(e=e.setIn(uu(t,"properties","valueError"),new fs.List(new Array(b)))),e=e.setIn(uu(t,"properties","valueError",r),w),b>=2&&(e=e.setIn(uu(t,"properties","valueError",b),L))),{tree:e,isInternalValueChange:l}},dm=function(e,t,r,n){if(!n){var o=e.getIn(uu(t,"properties","field"))||null,i=e.getIn(uu(t,"properties","operator"))||null,a=Qh(r,i,o);n=i?Os(a):null}for(var l=0,s=["value","valueType","valueError","valueSrc"];l<s.length;l++){var u=s[l];e.getIn(uu(t,"properties",u))||(e=e.setIn(uu(t,"properties",u),new fs.List(n?Array.from({length:n}):[])))}return e},pm={dragging:{id:null,x:null,y:null,w:null,h:null},mousePos:{},dragStart:{id:null}},fm=function(e,t){return{type:Kv,tree:t,config:e}},hm=function(e,t,r){var n=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null;return{type:kv,ruleType:arguments.length>3&&void 0!==arguments[3]?arguments[3]:"rule",children:arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,path:ws(t),id:ms(),properties:od(e,n).merge(cs(r)||{}),config:e}},gm=function(e,t){return{type:Fv,path:ws(t),config:e}},vm=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;return{type:Lv,path:ws(t),children:n,id:ms(),properties:ld(e).merge(cs(r)||{}),config:e,meta:{isDefaultCase:!0}}},mm=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;return{type:Lv,path:ws(t),children:n,id:ms(),properties:ld(e).merge(cs(r)||{}),config:e}},ym=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;return{type:Iv,path:ws(t),children:n,id:ms(),properties:ld(e).merge(cs(r)||{}),config:e}},bm=function(e,t){return{type:Nv,path:ws(t),config:e}},Em=function(e,t,r,n){return{type:Wv,fromPath:ws(t),toPath:ws(r),placement:n,config:e}},Om=function(e,t,r){return{type:Pv,path:ws(t),conjunction:r}},Sm=function(e,t,r){return{type:xv,path:ws(t),not:r}},Tm=function(e,t,r){return{type:Gv,path:ws(t),lock:r}},_m=function(e,t,r,n,o){return{type:jv,path:ws(t),field:r,config:e,asyncListValues:n,_meta:o}},wm=function(e,t,r){return{type:Dv,path:ws(t),srcKey:r,config:e}},Rm=function(e,t,r){return{type:Mv,path:ws(t),operator:r,config:e}},Am=function(e,t,r,n,o,i,a){return{type:Vv,path:ws(t),delta:r,value:n,valueType:o,asyncListValues:i,config:e,_meta:a}},Cm=function(e,t,r,n,o){return{type:Uv,path:ws(t),delta:r,srcKey:n,config:e,_meta:o}},Im=function(e,t,r,n,o,i,a,l,s){return{type:Bv,path:ws(t),delta:r,parentFuncs:n,argKey:o,value:i,valueType:a,asyncListValues:l,config:e,_meta:s}},Lm=function(e,t,r,n){return{type:qv,path:ws(t),name:r,value:n,config:e}};function Nm(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Pm(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Nm(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Nm(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var xm=Pm(Pm(Pm({},h),{},{Export:c,Import:o,ConfigMixins:Rv},c),o),km=p(7028),Fm=p.n(km);const jm=function(e,t,r,n,o){var i=om({tree:t},pm);return function(){var t,a,l=arguments.length>0&&void 0!==arguments[0]?arguments[0]:i,s=arguments.length>1?arguments[1]:void 0,u=null!==(t=null!==(a=null==o?void 0:o())&&void 0!==a?a:s.config)&&void 0!==t?t:e,c={},d=function(e,t){if(!e||!e.type)return null;var r,n=[Kv,Xv,Qv,Jv],o=em()(gs()(e,["config","asyncListValues"]),Rs),i=e.path&&function(e,t){return e.getIn(uu(t,"properties","field"))||null}(t.tree,e.path)||e.field;return i&&(null!==(r=i)&&void 0!==r&&r.toJS&&(i=i.toJS()),o.affectedField=i),(n.includes(e.type)||0==e.type.indexOf("@@redux"))&&(o=null),o}(s,l);switch(null==s?void 0:s.type){case Kv:var p=r(u,s.tree);c.tree=p;break;case Lv:c.tree=im(l.tree,s.path,"case_group",s.id,s.properties,u,s.children,s.meta);break;case Iv:c.tree=im(l.tree,s.path,"group",s.id,s.properties,u,s.children,s.meta);break;case Nv:c.tree=function(e,t,r){e=sm(e,t);var n=r.settings.canLeaveEmptyGroup,o=t.slice(0,-1);return Ou(e,o)||n||(e=hu(e),!Eu(e)||n)||(e=lm(e,new fs.List,"rule",ms(),od(r,void 0,void 0,!1,!1),r)),fu(e)}(l.tree,s.path,u);break;case kv:c.tree=lm(l.tree,s.path,s.ruleType,s.id,s.properties,u,s.children);break;case Fv:c.tree=function(e,t,r){e=sm(e,t);var n=r.settings.canLeaveEmptyGroup,o=t.pop(),i=e.getIn(uu(o)),a=i.getIn(["properties","field"]),l=i.getIn(["properties","operator"]),s=(i.getIn(["properties","value",0]),a?Yh(r,a):null),u=l?Qh(r,l,a):null,c=a&&l&&0!=u.cardinality,d="rule_group"==i.get("type"),p=!Ou(e,o),f=d?c&&s.initialEmptyWhere:n;return p&&!f&&(d&&(e=e.deleteIn(uu(o))),e=hu(e),Eu(e)&&!n)&&(e=lm(e,new fs.List,"rule",ms(),od(r,void 0,void 0,!1,!1),r)),fu(e)}(l.tree,s.path,u);break;case Pv:c.tree=function(e,t,r){return e.setIn(uu(t,"properties","conjunction"),r)}(l.tree,s.path,s.conjunction);break;case xv:c.tree=function(e,t,r){return e.setIn(uu(t,"properties","not"),r)}(l.tree,s.path,s.not);break;case jv:var f=u.settings.optimizeRenderWithInternals,h=um(l.tree,s.path,s.field,u,s.asyncListValues,s._meta),g=h.tree,v=h.isInternalValueChange;c.__isInternalValueChange=f&&v,c.tree=g;break;case Dv:c.tree=function(e,t,r,n){var o=n.settings.keepInputOnChangeFieldSrc,i=e.getIn(uu(t)),a=(i.get("type"),i.get("properties")),l=null==a?void 0:a.get("field"),s=null==a?void 0:a.get("fieldType"),u=Yh(n,l),c=(null==u?void 0:u.type)||s;c&&"!group"!==c&&"!struct"!==c||(c=null);var d=!Af.includes(c);return(e=o&&!qf(i,n)&&d?(e=(e=e.setIn(uu(t,"properties","field"),null)).deleteIn(uu(t,"properties","fieldError"))).setIn(uu(t,"properties","fieldType"),c):e.setIn(uu(t,"properties"),od(n,null,null,!1))).setIn(uu(t,"properties","fieldSrc"),r)}(l.tree,s.path,s.srcKey,u);break;case Gv:c.tree=function(e,t,r){return pu(e.setIn(uu(t,"properties","isLocked"),r))}(l.tree,s.path,s.lock);break;case Mv:c.tree=function(e,t,r,n){var o=n.settings.showErrorMessage,i=e.getIn(uu(t,"properties")),a=e.getIn(uu(t,"children1")),l=i.get("field"),s=(i.get("fieldSrc"),Yh(n,l)),u="!group"==(null==s?void 0:s.type),c=Qh(n,r,l),d=c?Os(c):null;return e=e.updateIn(uu(t,"properties"),(function(e){return e.withMutations((function(e){var t=e.get("field"),i=e.get("operatorOptions"),a=(e.get("value",new fs.List),e.get("valueSrc",new fs.List),e.get("operator"),mf(n,n,e,t,r,"operator",!0)),l=a.canReuseValue,s=a.newValue,u=a.newValueSrc,c=a.newValueType,d=a.newValueError;o&&(e=e.set("valueError",d));var p=l?i:nd(n,r,t);return l||(e=e.delete("asyncListValues")),e.set("operator",r).set("operatorOptions",p).set("value",s).set("valueSrc",u).set("valueType",c)}))})),u&&0==d&&0==a.size&&(e=lm(e,t,"rule",ms(),od(n,l),n)),e}(l.tree,s.path,s.operator,u);break;case Vv:var m=u.settings.optimizeRenderWithInternals,y=cm(l.tree,s.path,s.delta,s.value,s.valueType,u,s.asyncListValues,s._meta),b=y.tree,E=y.isInternalValueChange;c.__isInternalValueChange=m&&E,c.tree=b;break;case Bv:var O=u.settings.optimizeRenderWithInternals,S=function(e,t,r,n,o,i,a,l,s){var u,c=arguments.length>9&&void 0!==arguments[9]?arguments[9]:{},d=(e.settings.showErrorMessage,-1===n),p=t.getIn(uu(r,"properties")),f=p.get("field"),h=p.get("value"),g=[],v=d?f:h.getIn([n]),m=tm(o||[]);try{for(m.s();!(u=m.n()).done;){var y=$n(u.value,2),b=y[0],E=y[1];if(g.push([b,E,v]),b!==v.get("func")){var O=g.map((function(e){var t=$n(e,2),r=t[0],n=t[1];return"".concat(r,"(").concat(n,")")})).join("/")||"root";throw new Error("In ".concat(d?"LHS":"RHS"," for path ").concat(O," expected func key ").concat(b," but got ").concat(parent.get("func")))}v=v.getIn(["args",E,"value"])}}catch(e){m.e(e)}finally{m.f()}if(i){var S=v.get("func"),T=qh(e,S).args[i];v="!valueSrc"===l?wf(v,i,a,T,e):_f(v,i,a,T,e)}else v=Ef(v,a,e,!0),c.canDropArgs=!0;for(var _=v;g.length;){var w=$n(g.pop(),3),R=w[0],A=w[1],C=w[2],I=qh(e,R).args[A];_=_f(C,A,_,I,e)}return d?um(t,r,_,e,s,c):cm(t,r,n,_,void 0,e,s,c)}(u,l.tree,s.path,s.delta,s.parentFuncs,s.argKey,s.value,s.valueType,s.asyncListValues,s._meta),T=S.tree,_=S.isInternalValueChange;c.__isInternalValueChange=O&&_,c.tree=T;break;case Uv:c.tree=function(e,t,r,n,o){var i=o.settings.showErrorMessage,a=e.getIn(uu(t,"properties","field"))||null,l=e.getIn(uu(t,"properties","operator"))||null,s=Qh(o,l,a),u=l?Os(s):null;if(e=(e=(e=(e=dm(e,t,o,u)).setIn(uu(t,"properties","value",r+""),void 0)).setIn(uu(t,"properties","valueType",r+""),null)).deleteIn(uu(t,"properties","asyncListValues")),i&&(e=e.setIn(uu(t,"properties","valueError",r),null),s.validateValues&&(e=e.setIn(uu(t,"properties","valueError",u),null))),e=void 0===n?e.setIn(uu(t,"properties","valueSrc",r+""),null):e.setIn(uu(t,"properties","valueSrc",r+""),n),n){var c=e.getIn(uu(t,"properties")),d=mf(o,o,c,a,l,"valueSrc",!0),p=d.canReuseValue,f=d.newValue,h=d.newValueSrc,g=d.newValueType;d.newValueError,p||h.get(r)!=n||(e=(e=e.setIn(uu(t,"properties","value",r+""),f.get(r))).setIn(uu(t,"properties","valueType",r+""),g.get(r)))}return e}(l.tree,s.path,s.delta,s.srcKey,u,s._meta);break;case qv:c.tree=function(e,t,r,n){return e.setIn(uu(t,"properties","operatorOptions",r),n)}(l.tree,s.path,s.name,s.value);break;case Wv:c.tree=function(e,t,r,n,o){var i=du(e,t),a=t.pop(),l=t.size>1?du(e,a):null,s=l?l.get("children1"):null,u=du(e,r),c=n==Hv||n==Yv?r:r.pop(),d=n==Hv||n==Yv?u:r.size>1?du(e,c):null,p=d?d.get("children1"):null;if(!l||!d||!i)return e;var f=l.get("id")==d.get("id"),h=c.size<a.size&&Ss(c.toArray(),a.toArray().slice(0,c.size)),g=c.size>a.size&&Ss(a.toArray(),c.toArray().slice(0,a.size)),v=null,m=null;h?v=fs.List(a.toArray().slice(c.size)):g&&(m=fs.List(c.toArray().slice(a.size)));var y=p,b=s;return g||(b=b.delete(i.get("id"))),f?y=b:h&&(y=y.updateIn(cu(v,"children1"),(function(e){return b}))),n==$v||n==zv?y=fs.OrderedMap().withMutations((function(e){var t,r=tm(y.entries());try{for(r.s();!(t=r.n()).done;){var o=$n(t.value,2),a=o[0],l=o[1];a==u.get("id")&&n==$v&&e.set(i.get("id"),i),e.set(a,l),a==u.get("id")&&n==zv&&e.set(i.get("id"),i)}}catch(e){r.e(e)}finally{r.f()}})):n==Hv?y=y.merge(fs.OrderedMap(Un({},i.get("id"),i))):n==Yv&&(y=fs.OrderedMap(Un({},i.get("id"),i)).merge(y)),g&&(b=(b=b.updateIn(cu(m,"children1"),(function(e){return y}))).delete(i.get("id"))),f||h||(e=e.updateIn(uu(a,"children1"),(function(e){return b}))),g||(e=e.updateIn(uu(c,"children1"),(function(e){return y}))),fu(e)}(l.tree,s.fromPath,s.toPath,s.placement);break;case Xv:c.dragStart=s.dragStart,c.dragging=s.dragging,c.mousePos=s.mousePos;break;case Qv:c.mousePos=s.mousePos,c.dragging=s.dragging;break;case Jv:c.tree=function(e,t){return t.settings.canLeaveEmptyGroup||(e=hu(e)),e}(l.tree,u),c=om(om({},c),pm)}return d&&(c.__lastAction=d),n&&c.tree&&l.tree&&n(l.tree),om(om(om({},l),{__isInternalValueChange:void 0,__lastAction:void 0}),c)}},Dm=R().createContext();var Mm=p(7694),Vm=p(200),Um="after",Bm="before",qm="append",Gm="prepend",Km=function(e,t){return{type:"SET_DRAG_PROGRESS",mousePos:e,dragging:t}},Wm=function(e,t,r){return{type:"SET_DRAG_START",dragStart:e,dragging:t,mousePos:r}},zm=function(){return{type:"SET_DRAG_END"}},$m=v,Hm=m,Ym=y;function Qm(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Xm(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Xm(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Xm(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var Jm=xm.ConfigUtils,Zm=Jm.extendConfig,ey=Jm.configKeys,ty=function(){var e=new Map,t=0;return{getExtended:function(r){return n=function(e){return Ws()(e,ey)}(r),function(t){var r,n=Qm(e.keys());try{var o,i=function(){var n=r.value;if(ey.filter((function(e){return n[e]===t[e]})).length===ey.length)return{v:e.get(n)}};for(n.s();!(r=n.n()).done;)if(o=i())return o.v}catch(e){n.e(e)}finally{n.f()}var a,l=Qm(e.values());try{var s,u=function(){var e=a.value;if(ey.filter((function(r){return e[r]===t[r]})).length===ey.length)return{v:e}};for(l.s();!(a=l.n()).done;)if(s=u())return s.v}catch(e){l.e(e)}finally{l.f()}return null}(n)||function(r){var n=Zm(r,++t);return e.size+1>2&&e.delete(e.keys().next().value),e.set(r,n),n}(n);var n},getBasic:function(t){var r,n=Qm(e.keys());try{var o,i=function(){var n=r.value,o=e.get(n);if(0===ey.map((function(e){return o[e]===t[e]})).filter((function(e){return!e})).length)return{v:n}};for(n.s();!(r=n.n()).done;)if(o=i())return o.v}catch(e){n.e(e)}finally{n.f()}return t}}},ry=function(e,t,r){if(!t||!e||e.length<=t)return e;var n=e.substr(0,t-1);return(r?n.substr(0,n.lastIndexOf(" ")):n)+"..."},ny=function(e,t){return e===t||(null==e?void 0:e.equals(t))},oy=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];return e===t||(Array.isArray(e)?function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e===t)return!0;if(!e||!t)return!1;var n=e.length;if(t.length!==n)return!1;for(var o=0;o<n;o++)if(!(r?oy(e[o],t[o],r):e[o]===t[o]))return!1;return!0}(e,t,r):e&&"function"==typeof e.equals?e.equals(t):"object"===Pn(e)?function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e===t)return!0;if(!e||!t)return!1;var n=Object.keys(e),o=Object.keys(t),i=n.length;if(o.length!==i)return!1;for(var a=0;a<i;a++){var l=n[a];if(!(r?oy(e[l],t[l],r):e[l]===t[l]))return!1}return!0}(e,t,r):e===t)},iy=function(){var e=arguments.length>0&&void 0!==arguments[0]&&arguments[0];return(null!=e?e:("undefined"!=typeof process&&process.env,0))?console:{error:function(){},log:function(){},warn:function(){},debug:function(){},info:function(){}}}(),ay=xm.Validation.validateAndFixTree,ly=function e(t){if(t){var r,n=(r=t)._reactRootContainer?"root":Object.getOwnPropertyNames(r).filter((function(e){return e.startsWith("__reactContainer")})).length>0?"container":void 0;return void 0!==n?n:e(t.parentNode)}},sy=function(e){return"root"===ly(e)},uy=function(e,t){return function(r,n){var o=e.props,i=e.state,a=r!=o||n!=i;if(a&&i==n&&o!=r){var l=[];for(var s in r){var u=r[s]!=o[s];u&&("ignore"==t[s]?u=!1:"shallow_deep"==t[s]?u=!oy(r[s],o[s],!0):"shallow"==t[s]?u=!oy(r[s],o[s]):"function"==typeof t[s]&&(u=t[s](r[s],o[s],n))),u&&l.push(s)}l.length||(a=!1)}return a}},cy=function(e){return function(t,r){return!oy(e.props,t)||!oy(e.state,r)}},dy=function(e){if(e.shouldComponentUpdate||(e.shouldComponentUpdate=cy(e)),16==(r=R().version.split(".").map(parseInt.bind(null,10)))[0]&&r[1]<3||r[0]<16)e.componentWillReceiveProps=function(t){e.onPropsChanged(t)};else{var t=e.shouldComponentUpdate;e.shouldComponentUpdate=function(r,n){return!oy(e.props,r)&&e.onPropsChanged(r),t.call(e,r,n)}.bind(e)}var r},py=function(e,t,r){return em()(e,(function(e){return function(){for(var n=arguments.length,o=new Array(n),i=0;i<n;i++)o[i]=arguments[i];return r(e.apply(void 0,[t].concat(o)))}}))};function fy(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function hy(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?fy(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):fy(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function gy(e,t,r){return t=Dn(t),jn(e,vy()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function vy(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(vy=function(){return!!e})()}var my=function(e){function t(e){var r;Nn(this,t),(r=gy(this,t,[e])).shouldComponentUpdate=uy(r,{tree:function(e){return e!==r.oldValidatedTree||r.oldValidatedTree!==r.validatedTree}}),dy(r),r._updateActions(e),r.validatedTree=e.getMemoizedTree(e.config,e.tree,void 0,e.sanitizeTree),r.oldValidatedTree=r.validatedTree;var n=e.getBasicConfig(e.config);return e.onInit&&e.onInit(r.validatedTree,n,void 0,r.actions),r}return Vn(t,e),Fn(t,[{key:"_updateActions",value:function(e){var t=e.config,r=e.dispatch;this.actions=py(hy(hy(hy({},$m),Hm),Ym),t,r)}},{key:"onPropsChanged",value:function(e){var t=e.onChange,r=this.props.config,n=e.tree,o=(this.props.tree,e.config);if(this.oldValidatedTree=this.validatedTree,this.validatedTree=n,r!==o&&(this._updateActions(e),this.validatedTree=e.getMemoizedTree(o,n,r)),!ny(this.validatedTree,this.oldValidatedTree)){var i=e.getBasicConfig(o);t&&t(this.validatedTree,i,e.__lastAction,this.actions)}}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.renderBuilder,n=e.dispatch,o=e.__isInternalValueChange;return r({tree:this.validatedTree,actions:this.actions,config:t,dispatch:n,__isInternalValueChange:o})}}])}(w.Component);my.propTypes={config:Fm().object.isRequired,onChange:Fm().func,onInit:Fm().func,renderBuilder:Fm().func,tree:Fm().any};var yy=(0,Vm.connect)((function(e){return{tree:e.tree,__isInternalValueChange:e.__isInternalValueChange,__lastAction:e.__lastAction}}),null,null,{context:Dm})(my);yy.displayName="ConnectedQuery";const by=yy;function Ey(e,t,r){return t=Dn(t),jn(e,Oy()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Oy(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Oy=function(){return!!e})()}var Sy=xm.DefaultUtils.defaultRoot,Ty=function(e){function t(e,r){var n;Nn(this,t),(n=Ey(this,t,[e,r])).setLastTree=function(e){n.prevTree&&(n.prevprevTree=n.prevTree),n.prevTree=e},n.getConfig=function(){return n.config},n.shouldComponentUpdate=uy(n,{value:function(e,t,r){return!1}}),dy(n);var o=ty(),i=o.getExtended,a=o.getBasic;n.getMemoizedConfig=i,n.getBasicConfig=a,n.getMemoizedTree=function(){var e,t,r;return function(n,o){var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:void 0,a=!(arguments.length>3&&void 0!==arguments[3])||arguments[3];return o?n.__configId===r&&(ny(o,e)||ny(o,t))?t:(r=n.__configId,e=o,t=!1===a?ay(o,null,n,i||n,!1,!1,!1):ay(o,null,n,i||n)):null}}();var l=n.getMemoizedConfig(e),s=l.settings.shouldCreateEmptyGroup,u=Sy(l,!s),c=!!e.value,d=e.value||u,p=n.getMemoizedTree(l,d,void 0,c),f=jm(l,p,n.getMemoizedTree,n.setLastTree,n.getConfig),h=(0,Mm.createStore)(f);return n.config=l,n.state={store:h},n.QueryWrapper=function(e){return l.settings.renderProvider(e,l.ctx)},n}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){var t=this.props,r=this.config,n=this.getMemoizedConfig(e),o=r!==n,i=this.state.store.getState().tree,a=!ny(e.value,this.props.value)&&!ny(e.value,i),l=a?e.value||Sy(e):i,s=a&&!ny(e.value,this.prevTree)&&!ny(e.value,this.prevprevTree);if(this.sanitizeTree=s||o,o&&(t.settings.renderProvider!==e.settings.renderProvider&&(this.QueryWrapper=function(e){return n.settings.renderProvider(e,n.ctx)}),this.config=n),a||o){var u=this.getMemoizedTree(n,l,r,this.sanitizeTree);this.state.store.dispatch($m.setTree(n,u))}}},{key:"render",value:function(){var e=this.props,t=e.renderBuilder,r=e.get_children,n=e.onChange,o=e.onInit,i=this.state.store,a=this.config,l=this.QueryWrapper;return R().createElement(l,{config:a},R().createElement(Vm.Provider,{store:i,context:Dm},R().createElement(by,{config:a,getMemoizedTree:this.getMemoizedTree,getBasicConfig:this.getBasicConfig,sanitizeTree:this.sanitizeTree,onChange:n,onInit:o,renderBuilder:t||r})))}}])}(w.Component);function _y(){return _y=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)({}).hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},_y.apply(null,arguments)}Ty.propTypes={conjunctions:Fm().object.isRequired,fields:Fm().object.isRequired,types:Fm().object.isRequired,operators:Fm().object.isRequired,widgets:Fm().object.isRequired,settings:Fm().object.isRequired,ctx:Fm().object.isRequired,onChange:Fm().func,onInit:Fm().func,renderBuilder:Fm().func,value:Fm().any};var wy=p(2584),Ry=p.n(wy);function Ay(e,t,r){return t=Dn(t),jn(e,Cy()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Cy(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Cy=function(){return!!e})()}var Iy=xm.ConfigUtils.getFieldConfig;function Ly(e,t,r){return t=Dn(t),jn(e,Ny()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Ny(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Ny=function(){return!!e})()}var Py=xm.clone,xy=xm.TreeUtils.getFlatTree,ky=!1,Fy=["isDraggingTempo","isDraggingMe","dragging"];function jy(e,t,r){return t=Dn(t),jn(e,Dy()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Dy(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Dy=function(){return!!e})()}const My=function(e){return function(t){var r;return r=function(r){function n(e){var t;return Nn(this,n),(t=jy(this,n,[e])).handleDraggerMouseDown=function(e){var r=t.props.id,n=t.wrapper.current;t.props.onDragStart&&t.props.onDragStart(r,n,e)},t.wrapper=R().createRef(),t}return Vn(n,r),Fn(n,[{key:"render",value:function(){var r=this.props,n=r.isDraggingTempo,o=r.isDraggingMe,i=r.dragging,a=Yg(r,Fy),l=a.isTrueLocked,s={};o&&n&&(ky||(s={top:i.y,left:i.x,width:i.w}));var u=Ry()(e,"group-or-rule",o&&n?"qb-draggable":null,o&&!n?"qb-placeholder":null,l?"locked":null);return R().createElement("div",{className:u,style:s,ref:this.wrapper,"data-id":this.props.id},R().createElement(t,_y({handleDraggerMouseDown:this.handleDraggerMouseDown,isDraggingMe:o,isDraggingTempo:n},a)))}}])}(w.PureComponent),r.propTypes={isDraggingTempo:Fm().bool,isDraggingMe:Fm().bool,onDragStart:Fm().func,dragging:Fm().object,isLocked:Fm().bool,isTrueLocked:Fm().bool},r}};var Vy=p(3790),Uy=p.n(Vy),By=p(350),qy=p.n(By);function Gy(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Ky(e,t,r){return t=Dn(t),jn(e,Wy()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Wy(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Wy=function(){return!!e})()}var zy=xm.ConfigUtils,$y=zy.getFieldConfig,Hy=zy.getOperatorConfig,Yy=function(e){function t(e){var r;return Nn(this,t),r=Ky(this,t,[e]),dy(r),r.onPropsChanged(e),r}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["config","selectedField","selectedFieldSrc","selectedFieldType","selectedOperator"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t,r=e.config,n=e.selectedField,o=e.selectedFieldType,i=e.selectedOperator,a=$y(r,n),l=Kn((null==a?void 0:a.operators)||(null===(t=r.types[o])||void 0===t?void 0:t.operators)||[]);n||l.includes(i)||l.push(i);var s=em()(qy()(r.operators,(function(e,t){return-1!==(null==l?void 0:l.indexOf(t))})),(function(e,t){return Hy(r,t,n)})),u=this.buildOptions(r,s,l),c=s[i]||{},d=i?[i]:null;return{placeholder:this.props.config.settings.operatorPlaceholder,items:u,selectedKey:i,selectedKeys:d,selectedPath:d,selectedLabel:c.label,selectedOpts:c,fieldConfig:a}}},{key:"buildOptions",value:function(e,t,r){return t&&r?Uy()(t).sort((function(e,t){return r.indexOf(e)-r.indexOf(t)})).map((function(e){return{key:e,path:e,label:t[e].label}})):null}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.customProps,n=e.setOperator,o=e.readonly,i=e.id,a=e.groupId,l=t.settings.renderOperator,s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Gy(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Gy(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({id:i,groupId:a,config:t,customProps:r,readonly:o,setField:n},this.meta);return s.items?l(s,t.ctx):null}}])}(w.Component);Yy.propTypes={id:Fm().string,groupId:Fm().string,config:Fm().object.isRequired,selectedField:Fm().any,selectedFieldType:Fm().string,selectedFieldSrc:Fm().string,selectedOperator:Fm().string,readonly:Fm().bool,setOperator:Fm().func.isRequired};var Qy=["children"],Xy=function(e){var t=e.children,r=Yg(e,Qy);return R().createElement("div",r,t)},Jy=function(){},Zy=function(){return R().createElement("svg",{xmlns:"http://www.w3.org/2000/svg",viewBox:"0 0 24 24",fill:"gray",width:"18px",height:"18px"},R().createElement("path",{d:"M0 0h24v24H0V0z",fill:"none"}),R().createElement("path",{d:"M3 18h18v-2H3v2zm0-5h18v-2H3v2zm0-7v2h18V6H3z"}))},eb=function(e){return function(t){var r=t.config.settings.useConfirm,n=r?r.call(t.config.ctx,t.config.ctx):null;return R().createElement(e,_y({},t,{confirmFn:n}))}};function tb(e,t,r){return t=Dn(t),jn(e,rb()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function rb(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(rb=function(){return!!e})()}var nb=function(e){function t(){return Nn(this,t),tb(this,t,arguments)}return Vn(t,e),Fn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedFieldType,i=e.selectedOperator,a=e.setOperator,l=e.selectedFieldParts,s=e.showOperator,u=e.showOperatorLabel,c=e.selectedFieldWidgetConfig,d=e.readonly,p=e.id,f=e.groupId;return[s&&R().createElement(Xy,{key:"operators-for-"+(l||[]).join("_"),className:"rule--operator"},t.settings.showLabels&&R().createElement("label",{className:"rule--label"},t.settings.operatorLabel),R().createElement(Yy,{key:"operator",config:t,selectedField:r,selectedFieldSrc:n,selectedFieldType:o,selectedOperator:i,setOperator:a,readonly:d,id:p,groupId:f})),u&&R().createElement(Xy,{key:"operators-for-"+(l||[]).join("_"),className:"rule--operator"},R().createElement("div",{className:"rule--operator-wrapper"},t.settings.showLabels?R().createElement("label",{className:"rule--label"}," "):null,R().createElement("div",{className:"rule--operator-text-wrapper"},R().createElement("span",{className:"rule--operator-text"},c.operatorInlineLabel))))]}}])}(w.PureComponent);function ob(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function ib(e,t,r){return t=Dn(t),jn(e,ab()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function ab(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(ab=function(){return!!e})()}var lb=xm.RuleUtils.getFieldPathLabels,sb=xm.ConfigUtils,ub=sb.getFieldConfig,cb=sb.getFieldParts,db=sb.getFieldPathParts,pb=function(e){function t(e){var r;return Nn(this,t),(r=ib(this,t,[e])).setField=function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=r.props.id;if(!n.widgetId){var i=[o,"L",-1].join(":");n.widgetId=i}r.props.setField(e,t,n)},dy(r),r.onPropsChanged(e),r}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["selectedField","selectedFieldSrc","selectedFieldType","config","parentField"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t=e.selectedField,r=e.selectedFieldType,n=e.config,o=e.parentField,i=t,a=n.settings,l=a.maxLabelsLength,s=a.fieldSeparatorDisplay,u=a.fieldPlaceholder,c=(a.fieldSeparator,!!t),d=c?null:ry(u,l),p=c?ub(n,i):null,f=p||{},h=db(i,n),g=db(i,n,!0),v=this.getFieldLabel(p,i,n),m=lb(i,n),y=m?m.join(s):null;(y==v||o)&&(y=null);var b=f.label2,E=cb(o,n),O=o?ub(n,o):null,S=o?O&&O.subfields:n.fields,T=!c&&r,_=this.buildOptions(E,n,S,T,E),w=T?"Please select field":null;return i&&"object"===Pn(i)&&(i=void 0),{placeholder:d,items:_,parentField:o,selectedKey:i,selectedKeys:h,selectedPath:g,selectedLabel:v,selectedOpts:f,selectedAltLabel:b,selectedFullLabel:y,errorText:w}}},{key:"getFieldLabel",value:function(e,t,r){if(!t)return null;var n=r.settings.maxLabelsLength,o=cb(t,r),i=(null==e?void 0:e.label)||Ys()(o);return ry(i,n)}},{key:"buildOptions",value:function(e,t,r){var n=this,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:void 0,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,a=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null;if(!r)return null;var l=t.settings,s=l.fieldSeparator,u=l.fieldSeparatorDisplay,c=null!=i&&i.length?i.join(s)+s:"",d=function e(t){return Object.keys(t||{}).reduce((function(r,n){var i=t[n];return"!struct"===i.type?r+e(i.subfields):r+(i.type===o?1:0)}),0)};return Uy()(r).map((function(l){var s=[].concat(Kn(null!=i?i:[]),[l]),p=r[l],f=n.getFieldLabel(p,s,t),h=lb(s,t).join(u);(h==f||null!=e&&e.length)&&(h=null);var g=p.label2,v=p.tooltip,m=p.disabled;if(!p.hideForSelect){if("!struct"==p.type){var y=n.buildOptions(e,t,p.subfields,o,s,{label:f,tooltip:v}),b=d(p.subfields)>0;return{disabled:m,key:l,path:c+l,label:f,fullLabel:h,altLabel:g,tooltip:v,items:y,matchesType:b}}var E=void 0!==o?p.type===o:void 0;return{disabled:m,key:l,path:c+l,label:f,fullLabel:h,altLabel:g,tooltip:v,grouplabel:null==a?void 0:a.label,group:a,matchesType:E}}})).filter((function(e){return!!e}))}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.customProps,n=e.setFieldSrc,o=e.readonly,i=e.id,a=e.groupId,l=t.settings.renderField,s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?ob(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):ob(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({id:i,groupId:a,config:t,customProps:r,readonly:o,setField:this.setField,setFieldSrc:n},this.meta);return l(s,t.ctx)}}])}(w.Component);function fb(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function hb(e,t,r){return t=Dn(t),jn(e,gb()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function gb(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(gb=function(){return!!e})()}pb.propTypes={id:Fm().string,groupId:Fm().string,config:Fm().object.isRequired,selectedField:Fm().any,selectedFieldSrc:Fm().string,selectedFieldType:Fm().string,parentField:Fm().string,customProps:Fm().object,readonly:Fm().bool,setField:Fm().func.isRequired,setFieldSrc:Fm().func};var vb=xm.clone,mb=xm.ConfigUtils,yb=mb.getFieldConfig,bb=mb.getFuncConfig,Eb=mb.getFieldParts,Ob=mb.getFieldPathParts,Sb=xm.RuleUtils,Tb=Sb.getFuncPathLabels,_b=Sb.getWidgetForFieldOp,wb=xm.OtherUtils.shallowEqual,Rb=function(e){function t(e){var r;return Nn(this,t),r=hb(this,t,[e]),dy(r),r.onPropsChanged(e),r}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){var t=this.props,r=!this.items||["config","field","fieldType","fieldSrc","operator","isFuncArg","isLHS","parentFuncs"].map((function(r){return"parentFuncs"===r?!wb(e[r],t[r],!0):e[r]!==t[r]})).filter((function(e){return e})).length>0;(!this.meta||["config","field","fieldType","fieldSrc","value","isLHS"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e)),r&&(this.items=this.getItems(e,this.meta))}},{key:"getItems",value:function(e,t){var r=e.config,n=e.field,o=e.fieldType,i=e.isLHS,a=e.operator,l=e.parentFuncs,s=e.fieldDefinition,u=e.isFuncArg,c=t.lookingForFieldType,d=r.settings.canUseFuncForField,p=this.filterFuncs(r,r.funcs,n,o,i,a,d,l,u,s);return this.buildOptions(r,p,c)}},{key:"getMeta",value:function(e){var t=e.config,r=(e._field,e.fieldType),n=e.value,o=e.isLHS,i=e.isFuncArg,a=t.settings,l=a.funcPlaceholder,s=a.fieldSeparatorDisplay,u=n,c=!!n,d=c?null:l,p=c?bb(t,u):null,f=p||{},h=Ob(u,t),g=Ob(u,t,!0),v=this.getFuncLabel(p,u,t),m=Tb(u,t),y=m?m.join(s):null;y==v&&(y=null);var b=o&&!i&&!c&&r;return{placeholder:d,selectedKey:u,selectedKeys:h,selectedPath:g,selectedLabel:v,selectedOpts:f,selectedFullLabel:y,errorText:b?"Please select function":null,lookingForFieldType:b}}},{key:"filterFuncs",value:function(e,t,r,n,o,i,a,l,s,u){t=vb(t);var c,d=e.settings.fieldSeparator,p=yb(e,r),f=p,h=_b(e,r,i,"value");return h&&e.widgets[h],s?(f=u,c=null==u?void 0:u.type):p?c=p.type:o||(c=n),function t(n,o){for(var s in n){var u=n[s].subfields,h=(o||[]).concat(s),g=h.join(d),v=bb(e,g);if("!struct"==v.type)0==t(u,h)&&delete n[s];else{var m,y=!c||v.returnType==c;null!==(m=f)&&void 0!==m&&m.funcs&&(y=y&&f.funcs.includes(g)),a&&(y=y&&a(r,p,g,v,i)),!v.allowSelfNesting&&l&&l.map((function(e){var t=$n(e,2),r=t[0];return t[1],r})).includes(g)&&(y=!1),y||delete n[s]}}return Uy()(n).length}(t,[]),t}},{key:"buildOptions",value:function(e,t){var r=this,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:void 0,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(!t)return null;var a=e.settings,l=a.fieldSeparator,s=a.fieldSeparatorDisplay,u=null!=o&&o.length?o.join(l)+l:"",c=function e(t){return Object.keys(t||{}).reduce((function(r,o){var i=t[o];return"!struct"===i.type?r+e(i.subfields):r+(i.type===n?1:0)}),0)};return Uy()(t).map((function(a){var l=[].concat(Kn(null!=o?o:[]),[a]),d=t[a],p=r.getFuncLabel(d,l,e),f=Tb(l,e).join(s);f==p&&(f=null);var h=d.tooltip;if("!struct"==d.type){var g=r.buildOptions(e,d.subfields,n,l,{label:p,tooltip:h}),v=c(d.subfields)>0;return{key:a,path:u+a,label:p,fullLabel:f,tooltip:h,items:g,matchesType:v}}var m=void 0!==n?d.returnType===n:void 0;return{key:a,path:u+a,label:p,fullLabel:f,tooltip:h,grouplabel:null==i?void 0:i.label,group:i,matchesType:m}}))}},{key:"getFuncLabel",value:function(e,t,r){if(!t)return null;var n=r.settings.maxLabelsLength,o=Eb(t,r),i=(null==e?void 0:e.label)||Ys()(o);return ry(i,n)}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.customProps,n=e.setValue,o=e.readonly,i=e.id,a=e.groupId,l=t.settings.renderFunc,s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?fb(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):fb(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({config:t,customProps:r,readonly:o,setField:n,items:this.items,id:i,groupId:a},this.meta);return l(s,t.ctx)}}])}(w.Component);Rb.propTypes={id:Fm().string,groupId:Fm().string,config:Fm().object.isRequired,field:Fm().any,fieldType:Fm().string,fieldSrc:Fm().string,operator:Fm().string,customProps:Fm().object,value:Fm().string,setValue:Fm().func.isRequired,readonly:Fm().bool,parentFuncs:Fm().array,fieldDefinition:Fm().object,isFuncArg:Fm().bool,isLHS:Fm().bool};var Ab=p(2285),Cb=p.n(Ab),Ib=["factory"];function Lb(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Nb(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Lb(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Lb(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Pb=xm.ListUtils.getTitleInListValues,xb=xm.ConfigUtils._widgetDefKeysToOmit,kb=xm.TreeUtils._fixImmutableValue;const Fb=function(e){var t=e.delta,r=e.isFuncArg,n=(e.valueSrc,e.value),o=e.valueError,i=e.fieldError,a=e.asyncListValues,l=e.isSpecialRange,s=e.fieldDefinition,u=(e.widget,e.widgetDefinition),c=e.widgetValueLabel,d=e.valueLabels,p=e.textSeparators,f=e.setValueHandler,h=e.setFuncValue,g=e.config,v=e.field,m=e.fieldSrc,y=e.fieldType,b=e.isLHS,E=e.operator,O=e.readonly,S=e.parentField,T=e.parentFuncs,_=e.id,w=e.groupId,R=e.widgetId,A=u.factory,C=Yg(u,Ib),I=r&&s.valueSources&&1==s.valueSources.length&&"const"==s.valueSources[0],L=s.defaultValue;if(!A)return"?";var N=n?n.map((function(e){return kb(e)})):void 0,P=l?[null==N?void 0:N.get(0),null==N?void 0:N.get(1)]:N?N.get(t):void 0,x=(null==o?void 0:o.get)&&(l?[o.get(0),o.get(1),o.get(2)]:o.get(t))||null,k=b?i:x;l&&void 0===P[0]&&void 0===P[1]&&(P=void 0);var F=(s||{}).fieldSettings,j=gs()(Nb(Nb(Nb({},C),F),{},{config:g,field:v,fieldSrc:m,fieldType:y,isLHS:b,parentField:S,parentFuncs:T,fieldDefinition:s,operator:E,delta:t,isSpecialRange:l,isFuncArg:r,value:P,valueError:x,fieldError:i,errorMessage:k,label:c.label,placeholder:c.placeholder,placeholders:d?d.placeholder:null,textSeparators:p,setValue:f,setFuncValue:h,readonly:O,asyncListValues:a,id:_,groupId:w,widgetId:R}),[].concat(Kn(xb),["toJS"]));if(I&&L){var D=(null==F?void 0:F.treeValues)||(null==F?void 0:F.listValues);return"boolean"==typeof L?L?j.labelYes||"YES":j.labelNo||"NO":D?Array.isArray(L)?L.map((function(e){return Pb(D,e)||e})).join(", "):Pb(D,L)||L:""+L}return A(j,g.ctx)};function jb(e,t,r){return t=Dn(t),jn(e,Db()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Db(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Db=function(){return!!e})()}var Mb=xm.ConfigUtils,Vb=Mb.getFieldConfig,Ub=Mb.getOperatorConfig,Bb=Mb.getFieldWidgetConfig,qb=xm.RuleUtils,Gb=qb.getValueSourcesForFieldOp,Kb=qb.getWidgetForFieldOp,Wb=qb.getValueLabel,zb=xm.DefaultUtils.createListFromArray,$b=xm.OtherUtils.shallowEqual,Hb={cardinality:1},Yb=function(e){function t(e){var r;return Nn(this,t),(r=jb(this,t,[e]))._setValue=function(e,t,n,o,i,a){var l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:{};if(l.widgetId||(l.widgetId=o),e&&Array.isArray(i)){var s=[r.props.value.get(0),r.props.value.get(1)];s[0]!=i[0]&&r.props.setValue(0,i[0],n,a,l),s[1]!=i[1]&&r.props.setValue(1,i[1],n,a,l)}else r.props.setValue(t,i,n,a,l)},r._setValueSrc=function(e,t,n){var o={widgetId:t};r.props.setValueSrc(e,n,o)},r.renderWidget=function(e,t,r){var n=r.config,o=r.isFuncArg,i=r.leftField,a=r.operator,l=r.value,s=r.valueError,u=r.fieldError,c=r.readonly,d=r.parentField,p=r.parentFuncs,f=r.id,h=r.groupId,g=r.fieldSrc,v=r.fieldType,m=r.isLHS,y=r.setFuncValue,b=n.settings,E=t.widgets,O=t.iValues,S=t.aField,T=t.valueSources,_=o?O:l,w=o?i:S,A=E[e],C=A.valueSrc,I=A.valueLabel,L=A.widgetId,N=T.length>1&&!c,P=b.showLabels?R().createElement("label",{className:"rule--label"},I.label):null;return R().createElement("div",{key:"widget-"+w+"-"+e,className:Ry()("func"==C?"widget--func":"widget--widget",N?"widget--has-valuerscs":"widget--has-no-valuerscs")},"func"==C?null:P,R().createElement(Fb,_y({id:f,groupId:h,widgetId:L,valueSrc:C,delta:e,value:_,valueError:s,fieldError:u,isFuncArg:o,isLHS:m},Ws()(t,["isSpecialRange","fieldDefinition","asyncListValues"]),Ws()(E[e],["widget","widgetDefinition","widgetValueLabel","valueLabels","textSeparators","setValueHandler"]),{setFuncValue:y,config:n,field:w,fieldSrc:g,fieldType:v,parentField:d,parentFuncs:p,operator:a,readonly:c})))},r.renderValueSources=function(e,t,r){var n=r.config,o=r.isFuncArg,i=r.leftField,a=r.operator,l=r.readonly,s=n.settings,u=t.valueSources,c=t.widgets,d=t.aField,p=o?i:d,f=c[e],h=f.valueSrc,g=f.setValueSrcHandler,v=s.valueSourcesInfo,m=s.renderValueSources,y=u.map((function(e){return[e,{label:v[e].label}]})),b=function(e){return m(e,n.ctx)},E=s.showLabels?R().createElement("label",{className:"rule--label"}," "):null;return u.length>1&&!l&&R().createElement("div",{key:"valuesrc-"+p+"-"+e,className:"widget--valuesrc"},E,R().createElement(b,{key:"valuesrc-"+e,delta:e,valueSources:y,valueSrc:h,config:n,field:p,operator:a,setValueSrc:g,readonly:l,title:s.valueSourcesPopupTitle}))},r.renderSep=function(e,t,r){var n=r.config,o=t.widgets,i=n.settings,a=o[e].sepText,l=i.showLabels?R().createElement("label",{className:"rule--label"}," "):null;return a&&R().createElement("div",{key:"widget-separators-"+e,className:Ry()("widget--sep",0==e&&"widget--sep-first")},l,R().createElement("span",null,a))},r.renderWidgetDelta=function(e){return[r.renderSep(e,r.meta,r.props),r.renderValueSources(e,r.meta,r.props),r.renderWidget(e,r.meta,r.props)]},dy(r),r.onPropsChanged(e),r}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["config","id","parentFuncs","field","fieldSrc","fieldType","fieldFunc","fieldArg","leftField","operator","valueSrc","asyncListValues","isLHS","isFuncArg","isForRuleGroup","isCaseValue"].map((function(r){return"parentFuncs"===r?!$b(e[r],t[r],!0):"isFuncArg"===r?e[r]!==t[r]||e.isFuncArg&&e.value!==t.value:e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t,r,n=this,o=e.config,i=e.field,a=(e.fieldSrc,e.fieldType),l=e.fieldFunc,s=e.fieldArg,u=e.operator,c=e.valueSrc,d=e.value,p=e.isForRuleGroup,f=e.isCaseValue,h=e.isFuncArg,g=(e.leftField,e.asyncListValues),v=e.parentFuncs,m=e.isLHS,y=e.id,b=h?{func:l,arg:s}:i,E=!i&&a,O=c,S=d;(h||p||f)&&(O=zb([c]),S=zb([d]));var T=Vb(o,b);!T&&E&&(T=o.types[a]);var _,w=Kb(o,b,u);!w&&E&&(w=null===(_=o.types[a])||void 0===_?void 0:_.mainWidget);var R=h?Hb:Ub(o,u,b);if((null==T||null==R)&&!f)return null;var A,C,I=null==R?void 0:R.isSpecialRange,L=I&&("field"==(null===(t=O)||void 0===t?void 0:t.get(0))||"field"==(null===(r=O)||void 0===r?void 0:r.get(1))),N=I&&!L,P=N?1:null!==(C=null==(A=R)?void 0:A.cardinality)&&void 0!==C?C:1;if(0===P)return null;var x=Gb(o,b,u,T);b||(x=Object.keys(o.settings.valueSourcesInfo));var k=Cb()(0,P).map((function(e){var t,r,i=(null===(t=O)||void 0===t?void 0:t.get(e))||null,a=Kb(o,b,u,i),l=Bb(o,b,u,a,i);L&&(a=l.singleWidget,l=Bb(o,b,u,a,i)),!l&&E&&(a=["func","field"].includes(i)?i:w,l=o.widgets[a]);var s=null===(r=l)||void 0===r?void 0:r.type,c=Wb(o,b,u,e,i,N),d=Wb(o,b,u,e,null,N),p=null!=R&&R.textSeparators?null==R?void 0:R.textSeparators[e]:null,f=null,h=null;I&&(f={placeholder:[(f=[Wb(o,b,u,0),Wb(o,b,u,1)])[0].placeholder,f[1].placeholder],label:[f[0].label,f[1].label]},h=null==R?void 0:R.textSeparators);var g=[y,m?"L":"R",m?-1:e||0,(v||[]).map((function(e){var t=$n(e,2),r=t[0],n=t[1];return"".concat(r,"(").concat(n,")")})).join("/")].join(":"),S=g+":VS";return{valueSrc:i,valueLabel:c,widget:a,sepText:p,widgetDefinition:l,widgetValueLabel:d,valueLabels:f,textSeparators:h,setValueSrcHandler:n._setValueSrc.bind(n,e,S),setValueHandler:n._setValue.bind(n,I,e,s,g),widgetId:g}}));return{defaultWidget:w,fieldDefinition:T,operatorDefinition:R,isSpecialRange:N,cardinality:P,valueSources:x,widgets:k,iValues:S,aField:b,asyncListValues:g}}},{key:"render",value:function(){if(!this.meta)return null;var e=this.meta,t=e.defaultWidget,r=e.cardinality;if(!t)return null;var n=t;return R().createElement(Xy,{className:"rule--widget rule--widget--".concat(n.toUpperCase()),key:"widget-col-"+n},Cb()(0,r).map(this.renderWidgetDelta))}}])}(w.Component);function Qb(e,t,r){return t=Dn(t),jn(e,Xb()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function Xb(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Xb=function(){return!!e})()}Yb.propTypes={config:Fm().object.isRequired,value:Fm().any,valueSrc:Fm().any,valueError:Fm().any,fieldError:Fm().string,field:Fm().any,fieldSrc:Fm().string,fieldType:Fm().string,operator:Fm().string,readonly:Fm().bool,asyncListValues:Fm().array,id:Fm().string,groupId:Fm().string,setValue:Fm().func,setValueSrc:Fm().func,setFuncValue:Fm().func,isFuncArg:Fm().bool,fieldFunc:Fm().string,fieldArg:Fm().string,leftField:Fm().any,isForRuleGroup:Fm().bool,parentField:Fm().string,parentFuncs:Fm().array,isLHS:Fm().bool,isCaseValue:Fm().bool};var Jb=xm.ConfigUtils.getFuncConfig,Zb=xm.FuncUtils,eE=(Zb.setFunc,Zb.setArgValue,Zb.setArgValueSrc,xm.OtherUtils.shallowEqual),tE=function(e){function t(e){var r;return Nn(this,t),(r=Qb(this,t,[e])).setFunc=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=r.props,o=n.isLHS,i=n.delta,a=n.parentFuncs,l=n.id;if(!t.widgetId){var s=[l,o?"L":"R",o?-1:i||0,(a||[]).map((function(e){var t=$n(e,2),r=t[0],n=t[1];return"".concat(r,"(").concat(n,")")})).join("/"),"F"].join(":");t.widgetId=s}r.props.setFuncValue(o?-1:i||0,a,null,e,"!func",void 0,t)},r.setArgValue=function(e,t,n,o,i){var a=r.props,l=(a.config,a.delta),s=a.isLHS,u=a.parentFuncs;r.props.setFuncValue(s?-1:l||0,u,e,t,n,o,i)},r.setArgValueSrc=function(e,t,n){var o=r.props,i=(o.config,o.delta),a=o.isLHS,l=o.parentFuncs;r.props.setFuncValue(a?-1:i||0,l,e,t,"!valueSrc",void 0,n)},r.renderFuncSelect=function(){var e,t,n=r.props,o=n.config,i=n.field,a=n.fieldType,l=n.fieldSrc,s=n.isLHS,u=n.operator,c=n.customProps,d=n.value,p=n.readonly,f=n.parentFuncs,h=n.id,g=n.groupId,v=n.isFuncArg,m=n.fieldDefinition,y={value:null!==(e=null==d||null===(t=d.get)||void 0===t?void 0:t.call(d,"func"))&&void 0!==e?e:null,setValue:r.setFunc,config:o,field:i,fieldType:a,fieldSrc:l,isLHS:s,operator:u,customProps:c,readonly:p,parentFuncs:f,isFuncArg:v,fieldDefinition:m,id:h,groupId:g},b=o.settings,E=b.showLabels,O=b.funcLabel,S=E?R().createElement("label",{className:"rule--label"},O):null;return R().createElement(Xy,{key:"func",className:"rule--func"},S,R().createElement(Rb,y))},r.renderArgLabel=function(e,t){var n=t.valueSources,o=t.type,i=t.showPrefix,a=t.label,l=r.props.config,s=n&&1==n.length&&"const"==n[0];return l.settings.showLabels||"boolean"!=o&&!s||!i?null:R().createElement(Xy,{className:"rule--func--arg-label"},a||e)},r.renderArgLabelSep=function(e,t){var n=t.valueSources,o=t.type,i=t.showPrefix,a=r.props.config,l=n&&1==n.length&&"const"==n[0];return a.settings.showLabels||"boolean"!=o&&!l||!i?null:R().createElement(Xy,{className:"rule--func--arg-label-sep"},":")},r.renderArgVal=function(e,t,n){var o=r.props,i=o.config,a=o.field,l=o.fieldType,s=o.fieldSrc,u=o.isLHS,c=(o.operator,o.value),d=o.readonly,p=o.parentFuncs,f=o.id,h=o.groupId,g=o.fieldError,v=o.valueError,m=o.setFuncValue,y=c?c.getIn(["args",t]):null,b=y?y.get("value"):void 0,E=1==n.valueSources.length?n.valueSources[0]:void 0,O={config:i,fieldFunc:e,fieldArg:t,leftField:a,fieldType:l,fieldSrc:s,fieldError:g,valueError:v,isLHS:u,operator:null,value:b,valueSrc:y?y.get("valueSrc")||E||"value":E,setValue:r.setArgValue,setValueSrc:r.setArgValueSrc,setFuncValue:m,funcKey:e,argKey:t,argDefinition:n,readonly:d,parentFuncs:p,id:f,groupId:h};return R().createElement(Xy,{className:"rule--func--arg-value"},R().createElement(rE,O))},r.renderArgSep=function(e,t,r,n){var o=n.renderSeps;return r?R().createElement(Xy,{className:"rule--func--arg-sep"},o?o[r-1]:", "):null},r.renderBracketBefore=function(e){var t=e.renderBrackets;return R().createElement(Xy,{key:"before_args",className:"rule--func--bracket-before"},t?t[0]:"(")},r.renderBracketAfter=function(e){var t=e.renderBrackets;return R().createElement(Xy,{key:"after_args",className:"rule--func--bracket-after"},t?t[1]:")")},r.renderFuncArgs=function(){var e=r.meta,t=e.funcDefinition,n=e.funcKey;if(!n)return null;var o=(t||{}).args;return o?R().createElement(R().Fragment,null,r.renderBracketBefore(t),R().createElement(Xy,{key:"args-".concat(n),className:"rule--func--args rule--func--".concat(n,"--args")},Object.keys(o).map((function(e,i){return R().createElement(Xy,{key:"arg-".concat(e,"-").concat(i),className:"rule--func--arg rule--func--".concat(n,"--arg--").concat(e)},r.renderArgSep(e,o[e],i,t),r.renderArgLabel(e,o[e]),r.renderArgLabelSep(e,o[e]),r.renderArgVal(n,e,o[e]))}))),r.renderBracketAfter(t)):null},dy(r),r.onPropsChanged(e),r}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["config","field","operator","value","fieldSrc","fieldType","isLHS"].map((function(r){return"parentFuncs"===r?!eE(e[r],t[r],!0):e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t,r,n=e.config,o=(e.field,e.operator,e.value),i=null!==(t=null==o||null===(r=o.get)||void 0===r?void 0:r.call(o,"func"))&&void 0!==t?t:null;return{funcDefinition:i?Jb(n,i):null,funcKey:i}}},{key:"render",value:function(){var e=this.props.parentFuncs,t=e?e.map((function(e){var t=$n(e,2),r=t[0],n=t[1];return"".concat(r,"_").concat(n)})).join("-"):"root",r=(null==e?void 0:e.length)||0;return R().createElement(Xy,{className:"rule--func--wrapper rule--func--wrapper--under-".concat(t," rule--func--wrapper--lev-").concat(r)},this.renderFuncSelect(),this.renderFuncArgs())}}])}(w.Component);tE.propTypes={id:Fm().string,groupId:Fm().string,config:Fm().object.isRequired,field:Fm().any,fieldSrc:Fm().string,fieldType:Fm().string,fieldError:Fm().string,operator:Fm().string,customProps:Fm().object,value:Fm().object,setValue:Fm().func.isRequired,setFuncValue:Fm().func,readonly:Fm().bool,parentFuncs:Fm().array,fieldDefinition:Fm().object,isFuncArg:Fm().bool,isLHS:Fm().bool,valueError:Fm().string};var rE=function(e){function t(e){var r;return Nn(this,t),(r=Qb(this,t,[e])).setValue=function(e,t,n,o,i){var a=r.props;(0,a.setValue)(a.argKey,t,n,o,i)},r.setValueSrc=function(e,t,n){var o=r.props;(0,o.setValueSrc)(o.argKey,t,n)},dy(r),r.onPropsChanged(e),r}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["parentFuncs","funcKey","argKey"].map((function(r){return"parentFuncs"===r?!eE(e[r],t[r],!0):e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t=e.parentFuncs,r=e.funcKey,n=e.argKey;return{parentFuncs:[].concat(Kn(t||[]),[[r,n]])}}},{key:"render",value:function(){var e=this.meta.parentFuncs;return R().createElement(Yb,_y({},this.props,{setValue:this.setValue,setValueSrc:this.setValueSrc,isFuncArg:!0,parentFuncs:e}))}}])}(w.Component);function nE(e,t,r){return t=Dn(t),jn(e,oE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function oE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(oE=function(){return!!e})()}rE.propTypes={funcKey:Fm().string.isRequired,argKey:Fm().string.isRequired,setValue:Fm().func.isRequired,setValueSrc:Fm().func.isRequired,readonly:Fm().bool,isLHS:Fm().bool,parentFuncs:Fm().array,id:Fm().string,groupId:Fm().string};var iE=function(e){function t(){var e;Nn(this,t);for(var r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=nE(this,t,[].concat(n))).renderField=function(){var t=e.props,r=t.config,n=t.classname,o=t.selectedField,i=t.selectedFieldSrc,a=t.selectedFieldType,l=t.setField,s=t.setFuncValue,u=t.parentField,c=t.readonly,d=t.id,p=t.groupId,f=t.fieldError,h=t.valueError;if(!["func","field"].includes(i))return"?";var g="func"===i?R().createElement(tE,{isLHS:!0,config:r,value:o,fieldSrc:i,fieldType:a,fieldError:f,valueError:h,parentField:u,setValue:l,setFuncValue:s,readonly:c,id:d,groupId:p,key:"field-func-"+d}):R().createElement(pb,{config:r,selectedField:o,selectedFieldSrc:i,selectedFieldType:a,parentField:u,setField:l,customProps:r.settings.customFieldSelectProps,readonly:c,id:d,groupId:p,key:"field-"+d}),v="func"===i?r.settings.funcLabel:r.settings.fieldLabel,m=r.settings.showLabels&&"func"!==i&&R().createElement("label",{className:"rule--label"},v);return R().createElement("div",{key:i,className:n},m,g)},e.renderFieldSources=function(){var t=e.props,r=t.config,n=t.readonly,o=t.selectedFieldSrc,i=t.setFieldSrc,a=t.id,l=r.settings,s=l.fieldSources,u=l.valueSourcesInfo,c=l.renderValueSources,d=s.map((function(e){return[e,{label:u[e].label}]})),p=function(e){return c(e,r.ctx)},f=l.showLabels?R().createElement("label",{className:"rule--label"}," "):null;return s.length>1&&!n&&R().createElement("div",{key:"fieldsrc",className:"rule--fieldsrc"},f,R().createElement(p,{key:"fieldsrc-"+a,valueSources:d,valueSrc:o,config:r,setValueSrc:i,readonly:n,title:l.fieldSourcesPopupTitle}))},e}return Vn(t,e),Fn(t,[{key:"render",value:function(){var e=this.props,t=(e.classname,e.canSelectFieldSource),r=t&&this.renderFieldSources(),n=this.renderField();return t?R().createElement(Xy,{className:"rule--field-wrapper"},r,n):n}}])}(w.PureComponent),aE=["factory"];function lE(e,t,r){return t=Dn(t),jn(e,sE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function sE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(sE=function(){return!!e})()}var uE=xm.ConfigUtils.getOperatorConfig,cE=function(e){function t(){return Nn(this,t),lE(this,t,arguments)}return Vn(t,e),Fn(t,[{key:"render",value:function(){if(!this.props.selectedOperator)return null;var e=uE(this.props.config,this.props.selectedOperator,this.props.selectedField);if(void 0===e.options)return null;var t=e.options,r=t.factory,n=Yg(t,aE),o=r(Object.assign({},n,{config:this.props.config,field:this.props.selectedField,fieldSrc:this.props.selectedFieldSrc,operator:this.props.selectedOperator,options:this.props.operatorOptions,setOption:this.props.setOperatorOption,readonly:this.props.readonly}),this.props.config.ctx),i=this.props.selectedOperator;return R().createElement("div",{className:"rule--operator rule--operator--".concat(i.toUpperCase())},o)}}])}(w.PureComponent);function dE(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function pE(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?dE(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):dE(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function fE(e,t,r){return t=Dn(t),jn(e,hE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function hE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(hE=function(){return!!e})()}cE.propTypes={config:Fm().object.isRequired,operatorOptions:Fm().any.isRequired,selectedField:Fm().any,selectedFieldSrc:Fm().string,selectedOperator:Fm().string.isRequired,readonly:Fm().bool,setOperatorOption:Fm().func.isRequired};var gE=xm.ConfigUtils,vE=gE.getFieldConfig,mE=gE.getOperatorConfig,yE=gE.getFieldWidgetConfig,bE=gE.getFieldParts,EE=xm.RuleUtils.isEmptyRuleProperties,OE=function(e){function t(e){var r;return Nn(this,t),r=fE(this,t,[e]),dy(r),r.removeSelf=r.removeSelf.bind(r),r.setLock=r.setLock.bind(r),r.onPropsChanged(e),r}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["selectedField","selectedFieldSrc","selectedFieldType","selectedOperator","config","reordableNodesCnt","isLocked"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t=e.selectedField,r=e.selectedFieldType,n=e.selectedOperator,o=e.config,i=e.reordableNodesCnt,a=e.isLocked,l=o.settings.keepInputOnChangeFieldSrc,s=bE(t,o),u=vE(o,t),c=u&&"!struct"==u.type,d=!!t||l&&r,p=d&&n,f=mE(o,n,t),h=f&&null!=f.options,g=yE(o,t,n,null,null)||{},v=g.hideOperator;return{selectedFieldParts:s,selectedFieldWidgetConfig:g,showDragIcon:o.settings.canReorder&&i>1&&!a,showOperator:d&&!v,showOperatorLabel:d&&v&&g.operatorInlineLabel,showWidget:p&&!c,showOperatorOptions:p&&h}}},{key:"setLock",value:function(e){this.props.setLock(e)}},{key:"removeSelf",value:function(){var e=this,t=this.props,r=t.confirmFn,n=t.config,o=n.settings,i=o.renderConfirm,a=o.removeRuleConfirmOptions,l=function(){e.props.removeSelf()};a&&!this.isEmptyCurrentRule()?i.call(n.ctx,pE(pE({},a),{},{onOk:l,onCancel:null,confirmFn:r}),n.ctx):l()}},{key:"_buildWidgetProps",value:function(e){return{field:e.selectedField,fieldSrc:e.selectedFieldSrc,fieldType:e.selectedFieldType,operator:e.selectedOperator,operatorOptions:e.operatorOptions,value:e.value,valueType:e.valueType,valueSrc:e.valueSrc,asyncListValues:e.asyncListValues,valueError:e.valueError,fieldError:e.fieldError,parentField:e.parentField}}},{key:"isEmptyCurrentRule",value:function(){var e=this.props.config,t=this._buildWidgetProps(this.props);return EE(t,e)}},{key:"renderField",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=e.parentField,o=e.groupId,i=e.id,a=e.selectedFieldSrc,l=e.selectedField,s=e.selectedFieldType,u=e.setField,c=e.setFuncValue,d=e.setFieldSrc,p=e.fieldError,f=t.settings.immutableFieldsMode;return R().createElement(iE,{key:"field",classname:Ry()("func"==a?"rule--field--func":"rule--field"),config:t,canSelectFieldSource:!n,selectedField:l,selectedFieldSrc:a,selectedFieldType:s,fieldError:p,setField:f?Jy:u,setFuncValue:f?Jy:c,setFieldSrc:f?Jy:d,parentField:n,readonly:f||r,id:i,groupId:o})}},{key:"renderOperator",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=this.meta,o=n.selectedFieldParts,i=n.selectedFieldWidgetConfig,a=n.showOperator,l=n.showOperatorLabel,s=t.settings.immutableOpsMode;return R().createElement(nb,{key:"operator",config:t,selectedField:this.props.selectedField,selectedFieldSrc:this.props.selectedFieldSrc,selectedFieldType:this.props.selectedFieldType,selectedOperator:this.props.selectedOperator,setOperator:s?Jy:this.props.setOperator,selectedFieldParts:o,showOperator:a,showOperatorLabel:l,selectedFieldWidgetConfig:i,readonly:s||r,id:this.props.id,groupId:this.props.groupId})}},{key:"renderWidget",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=this.meta.showWidget,o=t.settings.immutableValuesMode;if(!n)return null;var i=R().createElement(Yb,_y({key:"values"},this._buildWidgetProps(this.props),{config:t,setValue:o?Jy:this.props.setValue,setValueSrc:o?Jy:this.props.setValueSrc,setFuncValue:o?Jy:this.props.setFuncValue,readonly:o||r,id:this.props.id,groupId:this.props.groupId}));return R().createElement(Xy,{key:"widget-for-"+this.props.selectedOperator,className:"rule--value"},i)}},{key:"renderOperatorOptions",value:function(){var e=this.props.config,t=this.meta.showOperatorOptions,r=e.settings,n=r.immutableOpsMode,o=r.immutableValuesMode;if(!t)return null;var i=R().createElement(cE,{key:"operatorOptions",selectedField:this.props.selectedField,selectedOperator:this.props.selectedOperator,operatorOptions:this.props.operatorOptions,setOperatorOption:n?Jy:this.props.setOperatorOption,config:e,readonly:o});return R().createElement(Xy,{key:"op-options-for-"+this.props.selectedOperator,className:"rule--operator-options"},i)}},{key:"renderBeforeWidget",value:function(){var e=this.props.config,t=e.settings.renderBeforeWidget;return t&&R().createElement(Xy,{key:"before-widget-for-"+this.props.selectedOperator,className:"rule--before-widget"},"function"==typeof t?t(this.props,e.ctx):t)}},{key:"renderAfterWidget",value:function(){var e=this.props.config,t=e.settings.renderAfterWidget;return t&&R().createElement(Xy,{key:"after-widget-for-"+this.props.selectedOperator,className:"rule--after-widget"},"function"==typeof t?t(this.props,e.ctx):t)}},{key:"renderError",value:function(){var e=this.props,t=e.config,r=e.valueError,n=e.fieldError,o=t.settings,i=o.renderRuleError,a=o.showErrorMessage,l=[n].concat(Kn((null==r?void 0:r.toArray())||[])).filter((function(e){return!!e})).shift()||null;return a&&l&&R().createElement("div",{className:"rule--error"},i?i({error:l},t.ctx):l)}},{key:"renderDrag",value:function(){var e=this.props.handleDraggerMouseDown,t=this.props.config,r=this.meta.showDragIcon,n=t.settings.renderIcon,o=function(e){return null==n?void 0:n(e,t.ctx)},i=R().createElement(o,{type:"drag"});return r&&R().createElement("div",{key:"rule-drag-icon",onMouseDown:e,className:"qb-drag-handler rule--drag-handler"},i)}},{key:"renderDel",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=t.settings,o=n.deleteLabel,i=n.immutableGroupsMode,a=n.renderButton,l=n.renderIcon,s=n.canDeleteLocked,u=function(e){return a(e,t.ctx)};return!i&&(!r||r&&s)&&R().createElement(u,{type:"delRule",onClick:this.removeSelf,label:o,config:t,renderIcon:function(e){return l(e,t.ctx)}})}},{key:"renderLock",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=e.isTrueLocked,o=e.id,i=t.settings,a=i.lockLabel,l=i.lockedLabel,s=i.showLock,u=i.renderSwitch,c=function(e){return u(e,t.ctx)};return s&&!(r&&!n)&&R().createElement(c,{type:"lock",id:o,value:r,setValue:this.setLock,label:a,checkedLabel:l,hideLabel:!0,config:t})}},{key:"render",value:function(){var e=this.meta,t=e.showOperatorOptions,r=e.selectedFieldWidgetConfig,n=this.props,o=n.valueSrc,i=n.value,a=n.config,l="value"==(null==o?void 0:o.first())&&!t&&1==i.size&&r.fullWidth,s=a.settings.renderButtonGroup,u=function(e){return s(e,a.ctx)},c=[this.renderField(),this.renderOperator(),this.renderBeforeWidget(),this.renderWidget(),this.renderAfterWidget(),this.renderOperatorOptions()],d=R().createElement("div",{key:"rule-body",className:Ry()("rule--body",l&&"can--shrink--value")},c),p=this.renderError(),f=this.renderDrag(),h=this.renderLock(),g=this.renderDel();return R().createElement(R().Fragment,null,f,R().createElement("div",{className:"rule--body--wrapper"},d,p),R().createElement("div",{className:"rule--header"},R().createElement(u,{config:a},h,g)))}}])}(w.Component);OE.propTypes={id:Fm().string.isRequired,groupId:Fm().string,selectedField:Fm().any,selectedFieldSrc:Fm().string,selectedFieldType:Fm().string,selectedOperator:Fm().string,operatorOptions:Fm().object,config:Fm().object.isRequired,value:Fm().any,valueSrc:Fm().any,valueType:Fm().any,asyncListValues:Fm().array,isDraggingMe:Fm().bool,isDraggingTempo:Fm().bool,parentField:Fm().string,valueError:Fm().any,fieldError:Fm().string,isLocked:Fm().bool,isTrueLocked:Fm().bool,handleDraggerMouseDown:Fm().func,setField:Fm().func,setFieldSrc:Fm().func,setOperator:Fm().func,setOperatorOption:Fm().func,setLock:Fm().func,removeSelf:Fm().func,setValue:Fm().func,setValueSrc:Fm().func,reordableNodesCnt:Fm().number,totalRulesCnt:Fm().number,parentReordableNodesCnt:Fm().number};const SE=function(e){var t=(0,Vm.connect)((function(e){return{dragging:e.dragging}}),null,null,{context:Dm})(function(e){var t;return t=function(t){function r(e){var t;return Nn(this,r),(t=Ay(this,r,[e])).dummyFn=function(){},t.removeSelf=function(){t.props.actions.removeRule(t.props.path)},t.setLock=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;t.props.actions.setLock(t.props.path,e)},t.setField=function(e,r,n){t.props.actions.setField(t.props.path,e,r,n)},t.setFieldSrc=function(e){t.props.actions.setFieldSrc(t.props.path,e)},t.setOperator=function(e){t.props.actions.setOperator(t.props.path,e)},t.setOperatorOption=function(e,r){t.props.actions.setOperatorOption(t.props.path,e,r)},t.setValue=function(e,r,n,o,i){t.props.actions.setValue(t.props.path,e,r,n,o,i)},t.setValueSrc=function(e,r,n){t.props.actions.setValueSrc(t.props.path,e,r,n)},t.setFuncValue=function(e,r,n,o,i,a,l){t.props.actions.setFuncValue(t.props.path,e,r,n,o,i,a,l)},t.pureShouldComponentUpdate=cy(t),t.dummyFn.isDummyFn=!0,t}return Vn(r,t),Fn(r,[{key:"shouldComponentUpdate",value:function(e,t){var r=this.props,n=this.state,o=this.pureShouldComponentUpdate(e,t);if(o&&n==t&&r!=e){var i=(e.dragging.id||r.dragging.id)==e.id,a=[];for(var l in e){var s=e[l]!=r[l];"dragging"!=l||i||(s=!1),s&&a.push(l)}a.length||(o=!1)}return o}},{key:"render",value:function(){var t=this.props.dragging.id==this.props.id,r=Iy(this.props.config,this.props.field),n=this.props.fieldType||(null==r?void 0:r.type)||null,o=this.props.config.settings.showErrorMessage,i=(r&&r.type,!t&&this.props.isDraggingTempo),a=this.props,l=a.valueError,s=null!=([a.fieldError].concat(Kn((null==l?void 0:l.toArray())||[])).filter((function(e){return!!e})).shift()||null)&&o;return R().createElement("div",{className:Ry()("group-or-rule-container","rule-container",s?"rule-with-error":null),"data-id":this.props.id},[t?R().createElement(e,{key:"dragging",id:this.props.id,groupId:this.props.groupId,isDraggingMe:!0,isDraggingTempo:!0,dragging:this.props.dragging,setField:this.dummyFn,setFieldSrc:this.dummyFn,setFuncValue:this.dummyFn,setOperator:this.dummyFn,setOperatorOption:this.dummyFn,setLock:this.dummyFn,removeSelf:this.dummyFn,setValue:this.dummyFn,setValueSrc:this.dummyFn,selectedField:this.props.field||null,selectedFieldSrc:this.props.fieldSrc||"field",selectedFieldType:n,parentField:this.props.parentField||null,selectedOperator:this.props.operator||null,value:this.props.value||null,valueSrc:this.props.valueSrc||null,valueType:this.props.valueType||null,valueError:this.props.valueError||null,fieldError:this.props.fieldError||null,operatorOptions:this.props.operatorOptions,config:this.props.config,reordableNodesCnt:this.props.reordableNodesCnt,totalRulesCnt:this.props.totalRulesCnt,asyncListValues:this.props.asyncListValues,isLocked:this.props.isLocked,isTrueLocked:this.props.isTrueLocked,parentReordableNodesCnt:this.props.parentReordableNodesCnt}):null,R().createElement(e,{key:this.props.id,id:this.props.id,groupId:this.props.groupId,isDraggingMe:t,isDraggingTempo:i,onDragStart:this.props.onDragStart,setLock:i?this.dummyFn:this.setLock,removeSelf:i?this.dummyFn:this.removeSelf,setField:i?this.dummyFn:this.setField,setFieldSrc:i?this.dummyFn:this.setFieldSrc,setFuncValue:i?this.dummyFn:this.setFuncValue,setOperator:i?this.dummyFn:this.setOperator,setOperatorOption:i?this.dummyFn:this.setOperatorOption,setValue:i?this.dummyFn:this.setValue,setValueSrc:i?this.dummyFn:this.setValueSrc,selectedField:this.props.field||null,selectedFieldSrc:this.props.fieldSrc||"field",selectedFieldType:n,parentField:this.props.parentField||null,selectedOperator:this.props.operator||null,value:this.props.value||null,valueSrc:this.props.valueSrc||null,valueType:this.props.valueType||null,valueError:this.props.valueError||null,fieldError:this.props.fieldError||null,operatorOptions:this.props.operatorOptions,config:this.props.config,reordableNodesCnt:this.props.reordableNodesCnt,totalRulesCnt:this.props.totalRulesCnt,asyncListValues:this.props.asyncListValues,isLocked:this.props.isLocked,isTrueLocked:this.props.isTrueLocked,parentReordableNodesCnt:this.props.parentReordableNodesCnt})])}}])}(w.Component),t.propTypes={id:Fm().string.isRequired,groupId:Fm().string,config:Fm().object.isRequired,path:Fm().any.isRequired,operator:Fm().string,field:Fm().any,fieldSrc:Fm().string,fieldType:Fm().string,actions:Fm().object.isRequired,onDragStart:Fm().func,value:Fm().any,valueSrc:Fm().any,asyncListValues:Fm().array,valueError:Fm().any,fieldError:Fm().string,operatorOptions:Fm().object,reordableNodesCnt:Fm().number,parentField:Fm().string,isLocked:Fm().bool,isTrueLocked:Fm().bool,dragging:Fm().object,isDraggingTempo:Fm().bool},t}(e));return t.displayName="ConnectedRuleContainer",t}(My("rule")(eb(OE)));var TE=p(3547),_E=p.n(TE);function wE(e,t,r){return t=Dn(t),jn(e,RE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function RE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(RE=function(){return!!e})()}var AE=xm.DefaultUtils.defaultGroupConjunction;const CE=function(e,t){var r=(0,Vm.connect)((function(e){return{dragging:e.dragging}}),null,null,{context:Dm})(function(e,t){var r;return r=function(r){function n(e){var r;return Nn(this,n),(r=wE(this,n,[e]))._selectedConjunction=function(e){return(e=e||r.props).conjunction||AE(e.config,e.field)},r.setConjunction=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;r.props.actions.setConjunction(r.props.path,e)},r.setNot=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;r.props.actions.setNot(r.props.path,e)},r.setLock=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;r.props.actions.setLock(r.props.path,e)},r.dummyFn=function(){},r.removeSelf=function(){r.props.actions.removeGroup(r.props.path)},r.addGroup=function(){r.props.actions.addGroup(r.props.path)},r.addCaseGroup=function(){r.props.actions.addCaseGroup(r.props.path)},r.addDefaultCaseGroup=function(){r.props.actions.addDefaultCaseGroup(r.props.path)},r.addRule=function(){var e="rule_group"==t?r.props.field:null;r.props.actions.addRule(r.props.path,void 0,void 0,void 0,e)},r.setField=function(e,t,n){r.props.actions.setField(r.props.path,e,t,n)},r.setOperator=function(e){r.props.actions.setOperator(r.props.path,e)},r.setValue=function(e,t,n,o,i){r.props.actions.setValue(r.props.path,e,t,n,o,i)},r.setFuncValue=function(e,t,n,o,i,a,l){r.props.actions.setFuncValue(r.props.path,e,t,n,o,i,a,l)},r.pureShouldComponentUpdate=cy(r),dy(r),r.selectedConjunction=r._selectedConjunction(e),r.conjunctionOptions=r._getConjunctionOptions(e),r.dummyFn.isDummyFn=!0,r}return Vn(n,r),Fn(n,[{key:"shouldComponentUpdate",value:function(e,t){var r=this.props,n=this.state,o=this.pureShouldComponentUpdate(e,t);if(o&&n==t&&r!=e){var i=(e.dragging.id||r.dragging.id)==e.id,a=[];for(var l in e){var s=e[l]!=r[l];"dragging"!=l||i||(s=!1),s&&a.push(l)}a.length||(o=!1)}return o}},{key:"onPropsChanged",value:function(e){var t=e.config,r=(e.id,e.conjunction),n=this.props.config,o=this.props.conjunction;n==t&&o==r||(this.selectedConjunction=this._selectedConjunction(e),this.conjunctionOptions=this._getConjunctionOptions(e))}},{key:"_getConjunctionOptions",value:function(e){var t=this;return em()(e.config.conjunctions,(function(r,n){return{id:"conjunction-".concat(e.id,"-").concat(n),name:"conjunction[".concat(e.id,"]"),key:n,label:r.label,checked:n===t._selectedConjunction(e)}}))}},{key:"render",value:function(){var t=this.props.config.settings.showErrorMessage,r=this.props.dragging.id==this.props.id,n=this.props.path.size,o=this.props.config.settings.maxNesting,i=!r&&this.props.isDraggingTempo,a=this.props.fieldType||null,l=this.props.valueError,s=null!=(Kn((null==l?void 0:l.toArray())||[]).filter((function(e){return!!e})).shift()||null)&&t,u=void 0===o||n<o,c=1==n;return R().createElement("div",{className:Ry()("group-or-rule-container","group-container",s?"group-with-error":null),"data-id":this.props.id},[r?R().createElement(e,{key:"dragging",id:this.props.id,groupId:this.props.groupId,isDraggingMe:!0,isDraggingTempo:!0,dragging:this.props.dragging,isRoot:c,allowFurtherNesting:u,conjunctionOptions:this.conjunctionOptions,not:this.props.not,selectedConjunction:this.selectedConjunction,setConjunction:this.dummyFn,setNot:this.dummyFn,setLock:this.dummyFn,removeSelf:this.dummyFn,addGroup:this.dummyFn,addCaseGroup:this.dummyFn,addDefaultCaseGroup:this.dummyFn,addRule:this.dummyFn,setField:this.dummyFn,setFuncValue:this.dummyFn,setOperator:this.dummyFn,setValue:this.dummyFn,value:this.props.value||null,valueError:this.props.valueError||null,config:this.props.config,children1:this.props.children1,actions:this.props.actions,reordableNodesCnt:this.props.reordableNodesCnt,totalRulesCnt:this.props.totalRulesCnt,selectedField:this.props.field||null,selectedFieldSrc:this.props.fieldSrc||"field",selectedFieldType:a,parentField:this.props.parentField||null,selectedOperator:this.props.operator||null,isLocked:this.props.isLocked,isTrueLocked:this.props.isTrueLocked,parentReordableNodesCnt:this.props.parentReordableNodesCnt}):null,R().createElement(e,{key:this.props.id,id:this.props.id,groupId:this.props.groupId,isDraggingMe:r,isDraggingTempo:i,onDragStart:this.props.onDragStart,isRoot:c,allowFurtherNesting:u,conjunctionOptions:this.conjunctionOptions,not:this.props.not,selectedConjunction:this.selectedConjunction,setConjunction:i?this.dummyFn:this.setConjunction,setNot:i?this.dummyFn:this.setNot,setLock:i?this.dummyFn:this.setLock,removeSelf:i?this.dummyFn:this.removeSelf,addGroup:i?this.dummyFn:this.addGroup,addCaseGroup:i?this.dummyFn:this.addCaseGroup,addDefaultCaseGroup:i?this.dummyFn:this.addDefaultCaseGroup,addRule:i?this.dummyFn:this.addRule,setField:i?this.dummyFn:this.setField,setFuncValue:i?this.dummyFn:this.setFuncValue,setOperator:i?this.dummyFn:this.setOperator,setValue:i?this.dummyFn:this.setValue,value:this.props.value||null,valueError:this.props.valueError||null,config:this.props.config,children1:this.props.children1,actions:this.props.actions,reordableNodesCnt:this.props.reordableNodesCnt,totalRulesCnt:this.props.totalRulesCnt,selectedField:this.props.field||null,selectedFieldSrc:this.props.fieldSrc||"field",selectedFieldType:a,parentField:this.props.parentField||null,selectedOperator:this.props.operator||null,isLocked:this.props.isLocked,isTrueLocked:this.props.isTrueLocked,parentReordableNodesCnt:this.props.parentReordableNodesCnt})])}}])}(w.Component),r.propTypes={config:Fm().object.isRequired,actions:Fm().object.isRequired,path:Fm().any.isRequired,id:Fm().string.isRequired,groupId:Fm().string,not:Fm().bool,conjunction:Fm().string,children1:Fm().any,onDragStart:Fm().func,reordableNodesCnt:Fm().number,field:Fm().any,fieldSrc:Fm().string,fieldType:Fm().string,parentField:Fm().string,valueError:Fm().any,isLocked:Fm().bool,isTrueLocked:Fm().bool,dragging:Fm().object,isDraggingTempo:Fm().bool},r}(e,t));return r.displayName="ConnectedGroupContainer",r};function IE(e,t,r){return t=Dn(t),jn(e,LE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function LE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(LE=function(){return!!e})()}var NE={topLeft:"group--actions--tl",topCenter:"group--actions--tc",topRight:"group--actions--tr",bottomLeft:"group--actions--bl",bottomCenter:"group--actions--bc",bottomRight:"group--actions--br"},PE=function(e){function t(){return Nn(this,t),IE(this,t,arguments)}return Vn(t,e),Fn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.addGroup,o=e.removeSelf,i=e.setLock,a=e.isLocked,l=e.isTrueLocked,s=e.id,u=e.canAddGroup,c=e.canAddRule,d=e.canDeleteGroup,p=t.settings,f=p.immutableGroupsMode,h=p.addRuleLabel,g=p.addGroupLabel,v=p.delGroupLabel,m=p.groupActionsPosition,y=p.renderButton,b=p.renderIcon,E=p.renderSwitch,O=p.renderButtonGroup,S=p.lockLabel,T=p.lockedLabel,_=p.showLock,w=p.canDeleteLocked,A=function(e){return b(e,t.ctx)},C=function(e){return y(e,t.ctx)},I=function(e){return E(e,t.ctx)},L=function(e){return O(e,t.ctx)},N=NE[m||"topRight"],P=_&&!(a&&!l)&&R().createElement(I,{type:"lock",id:s,value:a,setValue:i,label:S,checkedLabel:T,config:t}),x=!f&&c&&!a&&R().createElement(C,{type:"addRule",onClick:r,label:h,readonly:a,config:t,renderIcon:A}),k=!f&&u&&!a&&R().createElement(C,{type:"addGroup",onClick:n,label:g,readonly:a,config:t,renderIcon:A}),F=!f&&d&&(!a||a&&w)&&R().createElement(C,{type:"delGroup",onClick:o,label:v,config:t,renderIcon:A});return R().createElement("div",{className:"group--actions ".concat(N)},R().createElement(L,{config:t},P,x,k,F))}}])}(w.PureComponent);function xE(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function kE(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?xE(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):xE(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function FE(e,t,r){return t=Dn(t),jn(e,jE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function jE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(jE=function(){return!!e})()}var DE=xm.RuleUtils.isEmptyGroupChildren,ME=function(e){function t(e){var r;return Nn(this,t),(r=FE(this,t,[e])).childrenClassName=function(){return""},r.renderBeforeActions=function(){var e=r.props.config.settings.renderBeforeActions;return null==e?null:"function"==typeof e?e(r.props,r.props.config.ctx):e},r.renderAfterActions=function(){var e=r.props.config.settings.renderAfterActions;return null==e?null:"function"==typeof e?e(r.props,r.props.config.ctx):e},r.removeSelf=r.removeSelf.bind(r),r.setLock=r.setLock.bind(r),r.renderItem=r.renderItem.bind(r),r}return Vn(t,e),Fn(t,[{key:"isGroupTopPosition",value:function(){return _E()(this.props.config.settings.groupActionsPosition||"topRight","top")}},{key:"setLock",value:function(e){this.props.setLock(e)}},{key:"removeSelf",value:function(){var e=this,t=this.props,r=t.confirmFn,n=t.config,o=n.settings,i=o.renderConfirm,a=o.removeGroupConfirmOptions,l=function(){e.props.removeSelf()};a&&!this.isEmptyCurrentGroup()?i.call(n.ctx,kE(kE({},a),{},{onOk:l,onCancel:null,confirmFn:r}),n.ctx):l()}},{key:"isEmptyCurrentGroup",value:function(){var e=this.props,t=e.children1,r=e.config;return DE(t,r)}},{key:"render",value:function(){return R().createElement(R().Fragment,null,this.renderHeaderWrapper(),this.renderChildrenWrapper(),this.renderFooterWrapper())}},{key:"showNot",value:function(){return this.props.config.settings.showNot}},{key:"showConjs",value:function(){var e=this.props,t=e.conjunctionOptions;return e.children1,e.config,Object.keys(t).length>1||this.showNot()}},{key:"isNoChildren",value:function(){var e=this.props.children1;return!e||0==e.size}},{key:"isOneChild",value:function(){var e=this.props.children1;return!e||e.size<2}},{key:"renderChildrenWrapper",value:function(){return this.props.children1&&R().createElement("div",{key:"group-children",className:Ry()("group--children",this.showConjs()?"":"hide--conjs",this.isOneChild()?"hide--line":"",this.isOneChild()?"one--child":"",this.childrenClassName())},this.renderChildren())}},{key:"renderHeaderWrapper",value:function(){var e=this.isGroupTopPosition();return R().createElement("div",{key:"group-header",className:Ry()("group--header",this.isOneChild()?"one--child":"",this.showConjs()?"":"hide--conjs",this.isOneChild()?"hide--line":"",this.isNoChildren()?"no--children":"")},this.renderHeader(),e&&this.renderBeforeActions(),e&&this.renderActions(),e&&this.renderAfterActions())}},{key:"renderFooterWrapper",value:function(){return!this.isGroupTopPosition()&&R().createElement("div",{key:"group-footer",className:"group--footer"},this.renderBeforeActions(),this.renderActions(),this.renderAfterActions())}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.addGroup,o=e.isLocked,i=e.isTrueLocked,a=e.id;return R().createElement(PE,{config:t,addRule:r,addGroup:n,canAddGroup:this.canAddGroup(),canAddRule:this.canAddRule(),canDeleteGroup:this.canDeleteGroup(),removeSelf:this.removeSelf,setLock:this.setLock,isLocked:o,isTrueLocked:i,id:a})}},{key:"canAddGroup",value:function(){return this.props.allowFurtherNesting}},{key:"canAddRule",value:function(){var e=this.props.config.settings.maxNumberOfRules,t=this.props.totalRulesCnt;return!e||t<e}},{key:"canDeleteGroup",value:function(){return!this.props.isRoot}},{key:"renderChildren",value:function(){var e=this.props.children1;return e?e.valueSeq().map(this.renderItem).toArray():null}},{key:"renderItem",value:function(e){if(e){var t=this.props,r=t.config,n=t.actions,o=t.onDragStart,i=t.isLocked,a="group"==e.get("type")&&null!=e.getIn(["properties","field"])?"rule_group":e.get("type");return R().createElement(FO,_y({},this.extraPropsForItem(e),{key:e.get("id"),id:e.get("id"),groupId:t.id,path:e.get("path"),type:a,properties:e.get("properties"),config:r,actions:n,children1:e.get("children1"),reordableNodesCnt:this.reordableNodesCntForItem(e),totalRulesCnt:this.totalRulesCntForItem(e),parentReordableNodesCnt:this.reordableNodesCnt(),onDragStart:o,isDraggingTempo:this.props.isDraggingTempo,isParentLocked:i}))}}},{key:"extraPropsForItem",value:function(e){return{}}},{key:"reordableNodesCnt",value:function(){return this.props.isLocked?0:this.props.reordableNodesCnt}},{key:"totalRulesCntForItem",value:function(e){return this.props.totalRulesCnt}},{key:"reordableNodesCntForItem",value:function(e){return this.props.isLocked?0:this.reordableNodesCnt()}},{key:"showDragIcon",value:function(){var e=this.props,t=e.config,r=e.isRoot,n=e.isLocked,o=this.reordableNodesCnt();return t.settings.canReorder&&!r&&o>1&&!n}},{key:"renderDrag",value:function(){var e=this.props.handleDraggerMouseDown,t=this.props.config,r=t.settings.renderIcon,n=function(e){return null==r?void 0:r(e,t.ctx)},o=R().createElement(n,{type:"drag"});return this.showDragIcon()&&R().createElement("div",{key:"group-drag-icon",onMouseDown:e,className:"qb-drag-handler group--drag-handler"},o)}},{key:"conjunctionOptions",value:function(){return this.props.conjunctionOptions}},{key:"renderConjs",value:function(){var e=this.props,t=e.config,r=e.children1,n=e.id,o=e.selectedConjunction,i=e.setConjunction,a=e.not,l=e.setNot,s=e.isLocked,u=t.settings,c=u.immutableGroupsMode,d=u.renderConjs,p=(u.showNot,u.notLabel),f=this.conjunctionOptions();return this.showConjs()&&r&&r.size?d({disabled:this.isOneChild(),readonly:c||s,selectedConjunction:o,setConjunction:c?Jy:i,conjunctionOptions:f,config:t,not:a||!1,id:n,setNot:c?Jy:l,notLabel:p,showNot:this.showNot(),isLocked:s},t.ctx):null}},{key:"renderHeader",value:function(){return R().createElement("div",{className:"group--conjunctions"},this.renderConjs(),this.renderDrag())}}])}(w.Component);ME.propTypes={reordableNodesCnt:Fm().number,conjunctionOptions:Fm().object.isRequired,allowFurtherNesting:Fm().bool.isRequired,isRoot:Fm().bool.isRequired,not:Fm().bool,selectedConjunction:Fm().string,config:Fm().object.isRequired,id:Fm().string.isRequired,groupId:Fm().string,path:Fm().any,children1:Fm().any,isDraggingMe:Fm().bool,isDraggingTempo:Fm().bool,isLocked:Fm().bool,isTrueLocked:Fm().bool,handleDraggerMouseDown:Fm().func,onDragStart:Fm().func,addRule:Fm().func.isRequired,addGroup:Fm().func.isRequired,removeSelf:Fm().func.isRequired,setConjunction:Fm().func.isRequired,setNot:Fm().func.isRequired,setLock:Fm().func.isRequired,actions:Fm().object.isRequired};const VE=CE(My("group")(eb(ME)),"group");function UE(){return UE="undefined"!=typeof Reflect&&Reflect.get?Reflect.get.bind():function(e,t,r){var n=function(e,t){for(;!{}.hasOwnProperty.call(e,t)&&null!==(e=Dn(e)););return e}(e,t);if(n){var o=Object.getOwnPropertyDescriptor(n,t);return o.get?o.get.call(arguments.length<3?e:r):o.value}},UE.apply(null,arguments)}function BE(e,t,r){return t=Dn(t),jn(e,qE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function qE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(qE=function(){return!!e})()}var GE=function(e){function t(){return Nn(this,t),BE(this,t,arguments)}return Vn(t,e),Fn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.canAddRule,o=e.canDeleteGroup,i=e.removeSelf,a=e.setLock,l=e.isLocked,s=e.isTrueLocked,u=e.id,c=t.settings,d=c.immutableGroupsMode,p=c.addRuleLabel,f=c.delGroupLabel,h=c.renderButton,g=c.renderIcon,v=c.renderSwitch,m=c.renderButtonGroup,y=c.lockLabel,b=c.lockedLabel,E=c.showLock,O=c.canDeleteLocked,S=function(e){return g(e,t.ctx)},T=function(e){return h(e,t.ctx)},_=function(e){return v(e,t.ctx)},w=function(e){return m(e,t.ctx)},A=E&&!(l&&!s)&&R().createElement(_,{type:"lock",id:u,value:l,setValue:a,label:y,checkedLabel:b,hideLabel:!0,config:t}),C=!d&&n&&!l&&R().createElement(T,{type:"addRuleGroup",onClick:r,label:p,readonly:l,config:t,renderIcon:S}),I=!d&&o&&(!l||l&&O)&&R().createElement(T,{type:"delRuleGroup",onClick:i,label:f,config:t,renderIcon:S});return R().createElement("div",{className:"group--actions"},R().createElement(w,{config:t},A,C,I))}}])}(w.PureComponent);function KE(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function WE(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?KE(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):KE(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function zE(e,t,r){return t=Dn(t),jn(e,$E()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function $E(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return($E=function(){return!!e})()}var HE=function(e){function t(e){var r;return Nn(this,t),(r=zE(this,t,[e])).childrenClassName=function(){return"rule_group--children"},r.renderHeaderWrapper=function(){return null},r.renderFooterWrapper=function(){return null},r.renderConjs=function(){return null},r.canAddGroup=function(){return!1},r.canAddRule=function(){return!0},r.canDeleteGroup=function(){return!1},dy(r),r.onPropsChanged(e),r}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){}},{key:"reordableNodesCntForItem",value:function(e){if(this.props.isLocked)return 0;var t=this.props.children1;return(null==t?void 0:t.size)||0}},{key:"renderChildrenWrapper",value:function(){return R().createElement(R().Fragment,null,this.renderDrag(),this.renderField(),this.renderActions(),UE(Dn(t.prototype),"renderChildrenWrapper",this).call(this))}},{key:"renderField",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedFieldType,i=e.setField,a=e.setFuncValue,l=e.setFieldSrc,s=e.parentField,u=e.id,c=e.groupId,d=e.isLocked,p=t.settings.immutableFieldsMode;return R().createElement(iE,{key:"field",classname:"group--field",config:t,canSelectFieldSource:!1,selectedField:r,selectedFieldSrc:n,selectedFieldType:o,setField:i,setFuncValue:a,setFieldSrc:l,parentField:s,readonly:p||d,id:u,groupId:c})}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.isLocked,o=e.isTrueLocked,i=e.id;return R().createElement(GE,{config:t,addRule:r,canAddRule:this.canAddRule(),canDeleteGroup:this.canDeleteGroup(),removeSelf:this.removeSelf,setLock:this.setLock,isLocked:n,isTrueLocked:o,id:i})}},{key:"extraPropsForItem",value:function(e){return{parentField:this.props.selectedField}}}])}(ME);HE.propTypes=WE(WE({},ME.propTypes),{},{selectedField:Fm().any,selectedFieldSrc:Fm().string,parentField:Fm().string,setField:Fm().func,setFieldSrc:Fm().func});const YE=CE(My("group rule_group")(eb(HE)),"rule_group");function QE(e,t,r){return t=Dn(t),jn(e,XE()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function XE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(XE=function(){return!!e})()}var JE=function(e){function t(){return Nn(this,t),QE(this,t,arguments)}return Vn(t,e),Fn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.canAddRule,o=e.canDeleteGroup,i=e.removeSelf,a=e.setLock,l=e.isLocked,s=e.isTrueLocked,u=e.id,c=t.settings,d=c.immutableGroupsMode,p=c.addSubRuleLabel,f=c.delGroupLabel,h=c.renderButton,g=c.renderIcon,v=c.renderSwitch,m=c.renderButtonGroup,y=c.lockLabel,b=c.lockedLabel,E=c.showLock,O=c.canDeleteLocked,S=function(e){return g(e,t.ctx)},T=function(e){return h(e,t.ctx)},_=function(e){return v(e,t.ctx)},w=function(e){return m(e,t.ctx)},A=E&&!(l&&!s)&&R().createElement(_,{type:"lock",id:u,value:l,setValue:a,label:y,checkedLabel:b,config:t}),C=!d&&n&&!l&&R().createElement(T,{type:"addRuleGroupExt",onClick:r,label:p,readonly:l,config:t,renderIcon:S}),I=!d&&o&&(!l||l&&O)&&R().createElement(T,{type:"delRuleGroup",onClick:i,label:f,config:t,renderIcon:S});return R().createElement("div",{className:"group--actions group--actions--tr"},R().createElement(w,{config:t},A,C,I))}}])}(w.PureComponent);function ZE(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function eO(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?ZE(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):ZE(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function tO(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function rO(e,t,r){return t=Dn(t),jn(e,nO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function nO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(nO=function(){return!!e})()}var oO=xm.ConfigUtils,iO=oO.getFieldConfig,aO=oO.getFieldWidgetConfig,lO=xm.RuleUtils.isEmptyRuleGroupExtPropertiesAndChildren,sO=function(e){function t(e){var r;return Nn(this,t),(r=rO(this,t,[e])).childrenClassName=function(){return"rule_group_ext--children"},r.renderFooterWrapper=function(){return null},r.canAddGroup=function(){return!1},r.canAddRule=function(){return!0},r.canDeleteGroup=function(){return!0},dy(r),r.onPropsChanged(e),r}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){}},{key:"renderHeaderWrapper",value:function(){return R().createElement("div",{key:"group-header",className:Ry()("group--header",this.isOneChild()?"one--child":"",this.isOneChild()?"hide--line":"",this.isNoChildren()?"no--children":"",this.showDragIcon()?"with--drag":"hide--drag",!this.showConjs()||this.isOneChild()&&!this.showNot()?"hide--conjs":"with--conjs")},this.renderHeader(),this.renderGroupField(),this.renderActions())}},{key:"renderHeader",value:function(){return R().createElement("div",{className:"group--conjunctions"},this.renderConjs(),this.renderDrag())}},{key:"renderGroupField",value:function(){return R().createElement("div",{className:"group--field--count--rule"},this.renderField(),this.renderOperator(),this.renderWidget(),this.renderError())}},{key:"renderError",value:function(){var e=this.props,t=e.config,r=e.valueError,n=t.settings,o=n.renderRuleError,i=n.showErrorMessage,a=Kn((null==r?void 0:r.toArray())||[]).filter((function(e){return!!e})).shift()||null;return i&&a&&R().createElement("div",{className:"rule_group--error"},o?o({error:a},t.ctx):a)}},{key:"showNot",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=(e.selectedOperator,iO(t,r)||{});return null!=n.showNot?n.showNot:t.settings.showNot}},{key:"conjunctionOptions",value:function(){var e=this.props,r=e.config,n=e.selectedField,o=(e.selectedOperator,iO(r,n)||{}),i=UE(Dn(t.prototype),"conjunctionOptions",this).call(this);if(o.conjunctions){var a,l={},s=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return tO(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?tO(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(o.conjunctions);try{for(s.s();!(a=s.n()).done;){var u=a.value,c=i[u];c&&(l[u]=c)}}catch(e){s.e(e)}finally{s.f()}i=l}return i}},{key:"renderField",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedFieldType,i=e.setField,a=e.setFieldSrc,l=e.setFuncValue,s=e.parentField,u=e.id,c=e.groupId,d=e.isLocked,p=t.settings.immutableFieldsMode;return R().createElement(iE,{key:"field",classname:"rule--field",config:t,canSelectFieldSource:!1,selectedField:r,selectedFieldSrc:n,selectedFieldType:o,setField:i,setFuncValue:l,setFieldSrc:a,parentField:s,readonly:p||d,id:u,groupId:c})}},{key:"renderOperator",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedOperator,i=(e.setField,e.setOperator),a=e.isLocked,l=t.settings.immutableFieldsMode,s=aO(t,r,o)||{},u=s.hideOperator,c=r&&u&&s.operatorInlineLabel,d=r&&!u;return R().createElement(nb,{key:"operator",classname:"group--operator",config:t,selectedField:r,selectedFieldSrc:n,selectedOperator:o,setOperator:i,selectedFieldPartsLabels:["group"],showOperator:d,showOperatorLabel:c,selectedFieldWidgetConfig:s,readonly:l||a,id:this.props.id,groupId:this.props.groupId})}},{key:"isEmptyCurrentGroup",value:function(){var e=this.props,t=e.children1,r=e.config,n=this._buildWidgetProps(this.props);return lO(n,t,r)}},{key:"_buildWidgetProps",value:function(e){var t=e.selectedField,r=e.selectedFieldSrc,n=e.selectedFieldType,o=e.selectedOperator,i=e.operatorOptions,a=e.value,l=e.valueType,s=(e.valueSrc,e.asyncListValues,e.valueError);return e.fieldError,{field:t,fieldSrc:r,fieldType:n,operator:o,operatorOptions:i,value:a,valueType:l,valueSrc:["value"],valueError:s,fieldError:null,parentField:e.parentField}}},{key:"renderWidget",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedOperator,o=e.isLocked,i=t.settings.immutableValuesMode;if(!r||!n)return null;var a=R().createElement(Yb,_y({key:"values",isForRuleGroup:!0},this._buildWidgetProps(this.props),{config:t,setValue:i?Jy:this.props.setValue,setValueSrc:Jy,readonly:i||o,id:this.props.id,groupId:this.props.groupId}));return R().createElement(Xy,{key:"widget-for-"+this.props.selectedOperator,className:"rule--value"},a)}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.isLocked,o=e.isTrueLocked,i=e.id;return R().createElement(JE,{config:t,addRule:r,canAddRule:this.canAddRule(),canDeleteGroup:this.canDeleteGroup(),removeSelf:this.removeSelf,setLock:this.setLock,isLocked:n,isTrueLocked:o,id:i})}},{key:"reordableNodesCntForItem",value:function(e){if(this.props.isLocked)return 0;var t=this.props.children1;return(null==t?void 0:t.size)||0}},{key:"extraPropsForItem",value:function(e){return{parentField:this.props.selectedField}}}])}(ME);sO.propTypes=eO(eO({},ME.propTypes),{},{selectedField:Fm().any,selectedFieldSrc:Fm().string,selectedOperator:Fm().string,value:Fm().any,parentField:Fm().string,setField:Fm().func,setFieldSrc:Fm().func,setOperator:Fm().func,setValue:Fm().func,valueError:Fm().any});const uO=CE(My("group rule_group_ext")(eb(sO)),"rule_group");function cO(e,t,r){return t=Dn(t),jn(e,dO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function dO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(dO=function(){return!!e})()}var pO={topLeft:"group--actions--tl",topCenter:"group--actions--tc",topRight:"group--actions--tr",bottomLeft:"group--actions--bl",bottomCenter:"group--actions--bc",bottomRight:"group--actions--br"},fO=function(e){function t(){return Nn(this,t),cO(this,t,arguments)}return Vn(t,e),Fn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.addCaseGroup,n=e.addDefaultCaseGroup,o=e.setLock,i=e.isLocked,a=e.isTrueLocked,l=e.id,s=e.canAddGroup,u=e.canAddDefault,c=t.settings,d=c.immutableGroupsMode,p=c.addCaseLabel,f=c.addDefaultCaseLabel,h=c.groupActionsPosition,g=c.renderButton,v=c.renderIcon,m=c.renderSwitch,y=c.renderButtonGroup,b=c.lockLabel,E=c.lockedLabel,O=c.showLock,S=function(e){return v(e,t.ctx)},T=function(e){return g(e,t.ctx)},_=function(e){return m(e,t.ctx)},w=function(e){return y(e,t.ctx)},A=pO[h||"topRight"],C=O&&!(i&&!a)&&R().createElement(_,{type:"lock",id:l,value:i,setValue:o,label:b,checkedLabel:E,config:t}),I=!d&&s&&!i&&R().createElement(T,{type:"addCaseGroup",onClick:r,label:p,readonly:i,config:t,renderIcon:S}),L=!d&&u&&!i&&R().createElement(T,{type:"addDefaultCaseGroup",onClick:n,label:f,readonly:i,config:t,renderIcon:S});return R().createElement("div",{className:"group--actions ".concat(A)},R().createElement(w,{config:t},C,I,L))}}])}(w.PureComponent);function hO(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function gO(e,t,r){return t=Dn(t),jn(e,vO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function vO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(vO=function(){return!!e})()}var mO=xm.TreeUtils,yO=mO.getTotalReordableNodesCountInTree,bO=mO.getTotalRulesCountInTree,EO=function(e){function t(e){var r;return Nn(this,t),(r=gO(this,t,[e])).childrenClassName=function(){return"switch_group--children"},r.renderFooterWrapper=function(){return null},r.hasDefaultCase=function(){var e;return(null===(e=r.props.children1)||void 0===e?void 0:e.size)&&r.props.children1.filter((function(e){return null==e.get("children1")})).size>0},dy(r),r.onPropsChanged(e),r}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){}},{key:"canAddGroup",value:function(){var e,t=this.props.config.settings.maxNumberOfCases,r=(null===(e=this.props.children1)||void 0===e?void 0:e.size)||0;return!t||r<t}},{key:"canAddRule",value:function(){return!1}},{key:"reordableNodesCnt",value:function(){var e,t=(null===(e=this.props.children1)||void 0===e?void 0:e.size)||0;return this.hasDefaultCase()&&t--,t}},{key:"totalRulesCntForItem",value:function(e){return bO(e)}},{key:"reordableNodesCntForItem",value:function(e){var t;if(this.props.isLocked)return 0;var r=this.props.config.settings,n=r.canLeaveEmptyCase,o=r.canRegroupCases,i=(null===(t=this.props.children1)||void 0===t?void 0:t.size)||0;this.hasDefaultCase()&&i--;var a=yO(e);return 1==a&&o&&n&&i>1&&(a=111),a}},{key:"renderHeaderWrapper",value:function(){return R().createElement("div",{key:"group-header",className:Ry()("group--header",this.isOneChild()?"one--child":"",this.isOneChild()?"hide--line":"",this.isNoChildren()?"no--children":"",this.showDragIcon()?"with--drag":"hide--drag")},this.renderHeader(),this.renderActions())}},{key:"renderHeader",value:function(){return R().createElement("div",{className:"group--conjunctions"},this.renderConjs(),this.renderDrag())}},{key:"renderConjs",value:function(){return this.props.config.settings.renderSwitchPrefix||null}},{key:"showNot",value:function(){return!1}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addCaseGroup,n=e.addDefaultCaseGroup,o=e.isLocked,i=e.isTrueLocked,a=e.id;return R().createElement(fO,{config:t,addCaseGroup:r,addDefaultCaseGroup:n,canAddDefault:!this.hasDefaultCase(),canAddGroup:this.canAddGroup(),setLock:this.setLock,isLocked:o,isTrueLocked:i,id:a})}}])}(ME);EO.propTypes=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?hO(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):hO(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({},ME.propTypes);const OO=CE(My("group switch_group")(eb(EO)),"switch_group");function SO(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function TO(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?SO(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):SO(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function _O(e,t,r){return t=Dn(t),jn(e,wO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function wO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(wO=function(){return!!e})()}var RO=function(e){function t(e){var r;return Nn(this,t),(r=_O(this,t,[e])).childrenClassName=function(){return"case_group--children"},r.renderFooterWrapper=function(){return null},dy(r),r.onPropsChanged(e),r}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){}},{key:"isDefaultCase",value:function(){return null==this.props.children1}},{key:"reordableNodesCnt",value:function(){return this.props.parentReordableNodesCnt}},{key:"reordableNodesCntForItem",value:function(e){return this.props.isLocked?0:this.props.reordableNodesCnt}},{key:"totalRulesCntForItem",value:function(e){return this.props.totalRulesCnt}},{key:"showDragIcon",value:function(){return!this.isDefaultCase()&&UE(Dn(t.prototype),"showDragIcon",this).call(this)}},{key:"renderHeaderWrapper",value:function(){return R().createElement("div",{key:"group-header",className:Ry()("group--header",this.isOneChild()?"one--child":"",this.isOneChild()?"hide--line":"",this.isNoChildren()?"no--children":"",this.showDragIcon()?"with--drag":"hide--drag",!this.showConjs()||this.isOneChild()&&!this.showNot()?"hide--conjs":"with--conjs")},this.renderHeaderLeft(),this.renderHeaderCenter(),this.renderActions())}},{key:"renderChildrenWrapper",value:function(){return this.isDefaultCase()?null:R().createElement("div",{className:"case_group--body"},this.renderCondition(),this.renderValue())}},{key:"renderHeaderLeft",value:function(){return this.isDefaultCase()?this.props.config.settings.defaultCaseLabel||"":R().createElement("div",{className:"group--conjunctions"},this.renderConjs(),this.renderDrag())}},{key:"renderCondition",value:function(){return this.isDefaultCase()?null:UE(Dn(t.prototype),"renderChildrenWrapper",this).call(this)}},{key:"renderHeaderCenter",value:function(){return this.isDefaultCase()?this.renderValue():null}},{key:"canAddGroup",value:function(){return!this.isDefaultCase()&&UE(Dn(t.prototype),"canAddGroup",this).call(this)}},{key:"canAddRule",value:function(){return!this.isDefaultCase()&&UE(Dn(t.prototype),"canAddRule",this).call(this)}},{key:"renderValue",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=e.value,o=e.setValue,i=e.id,a=t.settings.immutableValuesMode,l=R().createElement(Yb,{key:"values",isCaseValue:!0,field:"!case_value",operator:null,value:n,valueSrc:"value",valueError:null,fieldError:null,config:t,setValue:a?Jy:o,setValueSrc:Jy,readonly:a||r,id:i,groupId:null});return R().createElement(Xy,{className:"case_group--value"},l)}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addGroup,n=e.addRule,o=e.isLocked,i=e.isTrueLocked,a=e.id;return R().createElement(PE,{config:t,addGroup:r,addRule:n,canAddRule:this.canAddRule(),canAddGroup:this.canAddGroup(),canDeleteGroup:this.canDeleteGroup(),removeSelf:this.removeSelf,setLock:this.setLock,isLocked:o,isTrueLocked:i,id:a})}},{key:"isEmptyCurrentGroup",value:function(){var e=this.props.value,r=e&&e.size?e.get(0):null,n=null!=r&&(!Array.isArray(r)||r.length>0);return UE(Dn(t.prototype),"isEmptyCurrentGroup",this).call(this)&&!n}}])}(ME);RO.propTypes=TO(TO({},ME.propTypes),{},{parentReordableNodesCnt:Fm().number,value:Fm().any,setValue:Fm().func});const AO=CE(My("group case_group")(eb(RO)),"case_group");var CO=["type"];function IO(e,t,r){return t=Dn(t),jn(e,LO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function LO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(LO=function(){return!!e})()}function NO(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function PO(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?NO(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):NO(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var xO=function(e){var t,r=(null===(t=e.properties)||void 0===t?void 0:t.toObject())||{},n=PO({},r);return e.isParentLocked&&(n.isLocked=!0),r.isLocked&&(n.isTrueLocked=!0),n},kO={rule:function(e){return R().createElement(SE,_y({},xO(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,config:e.config,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,parentField:e.parentField,parentReordableNodesCnt:e.parentReordableNodesCnt}))},group:function(e){return R().createElement(VE,_y({},xO(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:null,parentReordableNodesCnt:e.parentReordableNodesCnt}))},rule_group:function(e){return R().createElement(YE,_y({},xO(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:e.parentField,parentReordableNodesCnt:e.parentReordableNodesCnt}))},rule_group_ext:function(e){return R().createElement(uO,_y({},xO(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:e.parentField,parentReordableNodesCnt:e.parentReordableNodesCnt}))},switch_group:function(e){return R().createElement(OO,_y({},xO(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:null,parentReordableNodesCnt:e.parentReordableNodesCnt}))},case_group:function(e){return R().createElement(AO,_y({},xO(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:null,parentReordableNodesCnt:e.parentReordableNodesCnt}))}},FO=function(e){function t(){return Nn(this,t),IO(this,t,arguments)}return Vn(t,e),Fn(t,[{key:"render",value:function(){var e,t=this.props,r=t.type,n=Yg(t,CO),o="array"==(null===(e=n.properties)||void 0===e?void 0:e.get("mode"))?"_ext":"",i=n.config.settings.renderItem,a=kO[r+o];return i?i(PO(PO({},n),{},{type:r,itemComponent:a}),n.config.ctx):a?a(n):null}}])}(w.PureComponent);function jO(e,t,r){return t=Dn(t),jn(e,DO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function DO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(DO=function(){return!!e})()}FO.propTypes={config:Fm().object.isRequired,id:Fm().string.isRequired,groupId:Fm().string,type:Fm().oneOf(["rule","group","rule_group","switch_group","case_group"]).isRequired,path:Fm().any.isRequired,properties:Fm().any,children1:Fm().any,actions:Fm().object.isRequired,reordableNodesCnt:Fm().number,onDragStart:Fm().func,parentField:Fm().string,isDraggingTempo:Fm().bool,isParentLocked:Fm().bool};var MO=xm.TreeUtils,VO=MO.getTotalReordableNodesCountInTree,UO=MO.getTotalRulesCountInTree,BO=xm.DefaultUtils,qO=BO.createListFromArray,GO=BO.emptyProperties,KO=function(e){function t(e){var r;return Nn(this,t),(r=jO(this,t,[e])).pureShouldComponentUpdate=cy(r),r._updPath(e),r}return Vn(t,e),Fn(t,[{key:"shouldComponentUpdate",value:function(e,t){var r=this.props,n=this.pureShouldComponentUpdate(e,t);if(n){var o=[];for(var i in e)e[i]!==r[i]&&"__isInternalValueChange"!=i&&o.push(i);o.length||(n=!1),1==o.length&&"tree"==o[0]&&e.__isInternalValueChange&&(n=!1)}return n}},{key:"_updPath",value:function(e){var t=e.tree.get("id");this.path=qO([t])}},{key:"render",value:function(){var e=this.props,t=e.tree,r=e.config,n=e.actions,o=e.onDragStart,i=t.get("type"),a="switch_group"==i,l=a?null:VO(t),s=a?null:UO(t),u=t.get("id");return R().createElement(FO,{key:u,id:u,path:this.path,type:i,properties:t.get("properties")||GO(),config:r,actions:n,children1:t.get("children1")||GO(),reordableNodesCnt:l,totalRulesCnt:s,parentReordableNodesCnt:0,onDragStart:o})}}])}(w.Component);KO.propTypes={tree:Fm().any.isRequired,config:Fm().object.isRequired,actions:Fm().object.isRequired,onDragStart:Fm().func};const WO=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,r=(0,Vm.connect)((function(e){return{dragging:e.dragging,dragStart:e.dragStart,mousePos:e.mousePos}}),{setDragStart:Wm,setDragProgress:Km,setDragEnd:zm},null,{context:Dm})(function(e){var t,r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;return t=function(t){function n(e){var t;return Nn(this,n),(t=Ly(this,n,[e]))._getEventTarget=function(e,t){return e&&e.__mocked_window||document.body||window},t.onDragStart=function(e,r,n){var o=r.closest(".query-builder");void 0===t._isUsingLegacyReactDomRender&&(t._isUsingLegacyReactDomRender=sy(o)),document.body.classList.add("qb-dragging"),o.classList.add("qb-dragging");var i,a=o.closest(".query-builder-container")||o,l=(a=t._getScrollParent(a)||document.body).scrollTop,s=(t._getDraggableNodeEl(o),t._getPlaceholderNodeEl(o),o.querySelectorAll(".group--children")),u=s.length?s[0]:null;u&&(i=window.getComputedStyle(u,null).getPropertyValue("padding-left"),i=parseInt(i));var c={id:e,x:r.offsetLeft,y:r.offsetTop,w:r.offsetWidth,h:r.offsetHeight,itemInfo:t.tree.items[e],paddingLeft:i},d={id:e,x:r.offsetLeft,y:r.offsetTop,scrollTop:l,clientX:n.clientX,clientY:n.clientY,itemInfo:Py(t.tree.items[e]),treeEl:o,treeElContainer:a},p={clientX:n.clientX,clientY:n.clientY},f=t._getEventTarget(n,d);t.eventTarget=f,f.addEventListener("mousemove",t.onDrag),f.addEventListener("mouseup",t.onDragEnd),t.props.setDragStart(d,c,p)},t.onDrag=function(e){var n=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],o=Object.assign({},t.props.dragging),i=t.props.dragStart,a=o.paddingLeft,l=i.treeElContainer.scrollTop;if(o.itemInfo=t.tree.items[o.id],o.itemInfo){var s={clientX:e.clientX,clientY:e.clientY},u={clientX:i.clientX,clientY:i.clientY};if(e.__mock_dom){var c=i.treeEl,d=t._getDraggableNodeEl(c),p=t._getPlaceholderNodeEl(c);e.__mock_dom({treeEl:c,dragEl:d,plhEl:p})}if(!i.plX){var f=i.treeEl,h=t._getPlaceholderNodeEl(f);h&&(i.plX=h.getBoundingClientRect().left+window.scrollX,i.plY=h.getBoundingClientRect().top+window.scrollY)}var g=i.x,v=i.y,m=i.clientX,y=i.clientY,b=i.scrollTop,E={x:g+(e.clientX-m),y:v+(e.clientY-y)+(l-b)};o.x=E.x,o.y=E.y,o.paddingLeft=a,o.mousePos=s,o.startMousePos=u,t.props.setDragProgress(s,o),n&&t.handleDrag(o,e,r)||e.preventDefault&&e.preventDefault()}},t.onDragEnd=function(){var e=t.props.dragStart.treeEl;t.props.setDragEnd(),e.classList.remove("qb-dragging"),document.body.classList.remove("qb-dragging"),t._cacheEls={};var r=t.eventTarget||t._getEventTarget();r.removeEventListener("mousemove",t.onDrag),r.removeEventListener("mouseup",t.onDragEnd)},t.pureShouldComponentUpdate=cy(t),dy(t),t.onPropsChanged(e),t}return Vn(n,t),Fn(n,[{key:"onPropsChanged",value:function(e){this.tree=xy(e.tree)}},{key:"shouldComponentUpdate",value:function(e,t){var r=this.props,n=this.state,o=this.pureShouldComponentUpdate(e,t);if(o&&n==t&&r!=e){var i=[];for(var a in e)e[a]!=r[a]&&"dragging"!=a&&"mousePos"!=a&&i.push(a);i.length||(o=!1)}return o}},{key:"componentDidUpdate",value:function(e,t){var r=this.props.dragging,n=this.props.dragStart;if(ky=!1,n&&n.id&&(r.itemInfo=this.tree.items[r.id],r.itemInfo&&(r.itemInfo.index!=n.itemInfo.index||r.itemInfo.parent!=n.itemInfo.parent))){var o=n.treeEl,i=n.treeElContainer,a=this._getPlaceholderNodeEl(o,!0);if(a){var l=a.getBoundingClientRect().left+window.scrollX,s=a.getBoundingClientRect().top+window.scrollY,u=n.plX,c=n.plY,d=i.scrollTop;n.plX=l,n.plY=s,n.itemInfo=Py(r.itemInfo),n.y=a.offsetTop,n.x=a.offsetLeft,n.clientY+=s-c,n.clientX+=l-u,i!=document.body&&(n.scrollTop=d),this.onDrag(this.props.mousePos,!1)}}}},{key:"_getNodeElById",value:function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(null==t)return null;this._cacheEls||(this._cacheEls={});var n=this._cacheEls[t];return n&&document.contains(n)&&!r||(n=e.querySelector('.group-or-rule-container[data-id="'+t+'"]'),this._cacheEls[t]=n),n}},{key:"_getDraggableNodeEl",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];this._cacheEls||(this._cacheEls={});var r=this._cacheEls.draggable;if(r&&document.contains(r)&&!t)return r;var n=e.getElementsByClassName("qb-draggable");return r=n.length?n[0]:null,this._cacheEls.draggable=r,r}},{key:"_getPlaceholderNodeEl",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];this._cacheEls||(this._cacheEls={});var r=this._cacheEls.placeholder;if(r&&document.contains(r)&&!t)return r;var n=e.getElementsByClassName("qb-placeholder");return r=n.length?n[0]:null,this._cacheEls.placeholder=r,r}},{key:"_isScrollable",value:function(e){var t=window.getComputedStyle(e)["overflow-y"];return("scroll"===t||"auto"===t)&&e.scrollHeight>e.offsetHeight}},{key:"_getScrollParent",value:function(e){return null==e?null:e===document.body||this._isScrollable(e)?e:this._getScrollParent(e.parentNode)}},{key:"handleDrag",value:function(e,t,r){var n,o,i,a,l=this,s=e.itemInfo,u=e.paddingLeft,c=null,d=this.props.dragStart.treeEl,p=e.id,f=this._getDraggableNodeEl(d),h=this._getPlaceholderNodeEl(d);if(f&&h){if(n=f.getBoundingClientRect(),!(o=h.getBoundingClientRect()).width)return;var g={hrz:0,vrt:0};n.top<o.top?g.vrt=-1:n.bottom>o.bottom&&(g.vrt=1),n.left>o.left?g.hrz=1:n.left<o.left&&(g.hrz=-1);var v,m={x:(a=d.getBoundingClientRect()).left+(a.right-a.left)/2,y:g.vrt>=0?n.bottom:n.top};if(t.__mocked_hov_container)v=t.__mocked_hov_container;else{var y=document.elementFromPoint(m.x,m.y-1);if(!(v=y?y.closest(".group-or-rule-container"):null)&&y&&y.classList.contains("query-builder-container")){var b,E=null==y||null===(b=y.firstChild)||void 0===b?void 0:b.firstChild;E&&E.classList.contains("group-or-rule-container")&&(v=E)}}if(v){var O=v.classList.contains("group-container"),S=v.getAttribute("data-id"),T=v,_=!1,w=!1;if(T){var R=(i=T.getBoundingClientRect()).bottom-i.top,A=this.tree.items[S];if(!A)throw new Error("There is an issue with rendering. If you use Next.js, please check getServerSideProps() method.");var C=null,I=null,L=null,N=null;if(0==g.vrt)L=s,(I=h)&&(C=I.getBoundingClientRect());else if(O){if(g.vrt>0){var P=v.getElementsByClassName("group--header"),x=P.length?P[0]:null;if(x){var k=x.getBoundingClientRect(),F=k.bottom-k.top;n.bottom-k.top>3*F/4&&A.top>e.itemInfo.top&&(L=A,C=k,I=x,w=!0)}}else g.vrt<0&&A.lev>=s.lev&&i.bottom-n.top>=2&&A.top<e.itemInfo.top&&(L=A,C=i,I=T,_=!0);(g.vrt<0?i.bottom-n.top>R-5:n.bottom-i.top>R-5)&&(w||_||(L=A,C=i,I=T),N=A)}else(g.vrt<0?i.bottom-n.top>R/2:n.bottom-i.top>R/2)&&(L=A,C=i,I=T);var j=L&&L.id==p;if(C){var D=n.left-a.left,M=(C.left,a.left,Math.max(0,Math.round(D/u))),V=[],U=[];if(j);else{if(O&&(_?V.push([qm,L,L.lev+1]):w&&V.push([Gm,L,L.lev+1]),N)){var B=0==N.lev,q="case_group"==N.type&&"case_group"!=s.type,G=N.prev&&this.tree.items[N.prev].caseId,K=N.next&&this.tree.items[N.next].caseId;s.caseId==G&&(G=null),s.caseId==K&&(K=null);var W=G&&this.tree.items[G],z=K&&this.tree.items[K];g.vrt>0?B?U.push([qm,N,N.lev+1]):q&&z?U.push([Gm,z,z.lev+1]):U.push([Um,N,N.lev]):g.vrt<0&&(B?U.push([Gm,N,N.lev+1]):q&&W?U.push([qm,W,W.lev+1]):U.push([Bm,N,N.lev]))}_||w||(g.vrt<0?V.push([Bm,L,L.lev]):g.vrt>0&&V.push([Um,L,L.lev]))}var $=function(e){var t=e[1],r=s.caseId?l.tree.items[s.caseId]:null,n=t.caseId?l.tree.items[t.caseId]:null;return[].concat(Kn(e),[r,n])};V=V.map($),U=U.map($);var H=null,Y=(V=V.filter((function(e){var t=e[0],r=e[1];if((t==Bm||t==Um)&&null==r.parent)return!1;if(r.collapsed&&(t==qm||t==Gm))return!1;var n=r.id==s.id;if(!n)for(var o=r;o.parent;)if((o=l.tree.items[o.parent]).id==s.id){n=!0;break}return!n})).map((function(e){var t=e[0],r=e[1],n=(e[2],e[3],e[4],null);return(n=t==qm||t==Gm?r:l.tree.items[r.parent])&&null==n.parent&&(n=null),e[5]=n,e}))).filter((function(e){return l.canMove(s,e[1],e[0],e[3],e[4],e[5],r)}));0==Y.length&&U.length>0&&(Y=U.filter((function(e){return l.canMove(s,e[1],e[0],e[3],e[4],e[5],r)})));var Q=Y.map((function(e){return e[2]})),X=s.lev,J=Q.concat(X),Z=null;-1!=J.indexOf(M)?Z=M:M>Math.max.apply(Math,Kn(J))?Z=Math.max.apply(Math,Kn(J)):M<Math.min.apply(Math,Kn(J))&&(Z=Math.min.apply(Math,Kn(J))),H=Y.find((function(e){return e[2]==Z})),j||H||!Y.length||(H=Y[0]),c=H}}}else iy.log("out of tree bounds!")}return!!c&&(this.move(s,c[1],c[0],c[3]),!0)}},{key:"canMove",value:function(e,t,r,n,o,i,a){if(!e||!t)return!1;if(e.id===t.id)return!1;var l=this.props.config.settings,s=l.canRegroup,u=l.canRegroupCases,c=l.maxNesting,d=l.maxNumberOfRules,p=l.canLeaveEmptyCase,f=(i?i.lev+1:t.lev)+(e.depth||0),h=r==Bm||r==Um,g=r==Gm||r==qm,v=h&&1==t.lev||g&&0==t.lev,m=e.parent!=t.parent,y=g||m,b="case_group"==e.type&&!v||"rule_group"==e.parentType||"rule_group"==t.type||"rule_group"==t.parentType||"case_group"!=e.type&&"case_group"==t.type&&h||"case_group"!=e.type&&"switch_group"==t.type||!u&&e.caseId!=t.caseId,E=t.isLocked||e.isLocked||i&&i.isLocked;if(c&&f>c)return!1;if(y&&(!s||b||E))return!1;if("case_group"!=e.type&&e.caseId!=t.caseId){var O=!!n&&2==n._height,S=o?o.atomicRulesCountInCase+1:0;if(d&&S>d)return!1;if(O&&!p)return!1}if("case_group"==e.type&&(e.isDefaultCase||t.isDefaultCase||"switch_group"==t.type&&r==qm))return!1;var T=!0;return a&&(T=a(e.node.toJS(),t.node.toJS(),r,i?i.node.toJS():null)),T}},{key:"move",value:function(e,t,r,n){this._isUsingLegacyReactDomRender||(ky=!0),this.props.actions.moveItem(e.path,t.path,r)}},{key:"render",value:function(){return R().createElement(e,_y({},this.props,{onDragStart:this.onDragStart}))}}])}(w.Component),t.propTypes={tree:Fm().any.isRequired,actions:Fm().object.isRequired},t}(e,t));return r.displayName="ConnectedSortableContainer",r}(KO);function zO(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function $O(e,t,r){return t=Dn(t),jn(e,HO()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function HO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(HO=function(){return!!e})()}var YO=xm.clone,QO=xm.ConfigUtils,XO=QO.getFieldConfig,JO=QO.getFieldParts,ZO=QO.getFieldPathParts,eS=xm.RuleUtils,tS=eS.getFieldPathLabels,rS=eS.getWidgetForFieldOp,nS=function(e){function t(e){var r;return Nn(this,t),r=$O(this,t,[e]),dy(r),r.onPropsChanged(e),r}return Vn(t,e),Fn(t,[{key:"onPropsChanged",value:function(e){var t=this.props,r=!this.items||["config","field","fieldSrc","fieldType","operator","isFuncArg","parentField"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0,n=!this.meta||["config","field","fieldSrc","fieldType","operator","value","placeholder","isFuncArg","parentField"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0;r&&(this.items=this.getItems(e)),n&&(this.meta=this.getMeta(e))}},{key:"getItems",value:function(e){var t=e.config,r=e.field,n=e.fieldType,o=e.operator,i=e.parentField,a=e.isFuncArg,l=e.fieldDefinition,s=t.settings.canCompareFieldWithField,u=(t.settings.fieldSeparator,JO(i,t)),c=i?XO(t,i):null,d=i?null==c?void 0:c.subfields:t.fields,p=this.filterFields(t,d,r,i,u,o,s,a,l,n);return this.buildOptions(u,t,p,u)}},{key:"getMeta",value:function(e){var t,r=e.config,n=e.field,o=(e.fieldType,e.operator,e.value),i=e.placeholder,a=e.isFuncArg,l=e.parentField,s=r.settings,u=s.fieldPlaceholder,c=s.fieldSeparatorDisplay,d=o,p=!!o,f=n?XO(r,n):{},h=null==f||null===(t=f.widgets)||void 0===t?void 0:t.field,g=(null==h?void 0:h.widgetProps)||{},v=p?null:a&&i||g.valuePlaceholder||u,m=p?XO(r,d):null,y=m||{},b=ZO(d,r),E=ZO(d,r,!0),O=this.getFieldLabel(m,d,r),S=tS(d,r),T=S?S.join(c):null;return(T==O||l)&&(T=null),{placeholder:v,selectedKey:d,selectedKeys:b,selectedPath:E,selectedLabel:O,selectedOpts:y,selectedAltLabel:y.label2,selectedFullLabel:T}}},{key:"filterFields",value:function(e,t,r,n,o,i,a,l,s,u){t=YO(t);var c,d=e.settings.fieldSeparator,p=XO(e,r),f=rS(e,r,i,"value");return e.widgets[f],c=l?null==s?void 0:s.type:p?p.type:u,function t(n,o){for(var s in n){var u=n[s].subfields,f=(o||[]).concat(s),h=f.join(d),g=XO(e,h);if(g)if("!struct"==g.type||"!group"==g.type)0==t(u,f)&&delete n[s];else{var v=!(c&&g.type!=c||!l&&h==r),m=a||e.settings.canCompareFieldWithField;m&&(v=v&&m(r,p,h,g,i)),v||delete n[s]}else delete n[s]}return Uy()(n).length}(t,o||[]),t}},{key:"buildOptions",value:function(e,t,r){var n=this,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(!r)return null;var a=t.settings,l=a.fieldSeparator,s=a.fieldSeparatorDisplay,u=null!=o&&o.length?o.join(l)+l:"";return Uy()(r).map((function(a){var l=[].concat(Kn(null!=o?o:[]),[a]),c=r[a],d=n.getFieldLabel(c,l,t),p=tS(l,t).join(s);(p==d||e)&&(p=null);var f=c.label2,h=c.tooltip;if(!c.hideForCompare)return"!struct"==c.type||"!group"==c.type?{key:a,path:u+a,label:d,fullLabel:p,altLabel:f,tooltip:h,items:n.buildOptions(e,t,c.subfields,l,{label:d,tooltip:h})}:{key:a,path:u+a,label:d,fullLabel:p,altLabel:f,tooltip:h,grouplabel:null==i?void 0:i.label,group:i}})).filter((function(e){return!!e}))}},{key:"getFieldLabel",value:function(e,t,r){if(!t)return null;var n=r.settings.maxLabelsLength,o=JO(t,r),i=(null==e?void 0:e.label)||Ys()(o);return ry(i,n)}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.customProps,n=e.setValue,o=e.readonly,i=e.id,a=e.groupId,l=t.settings.renderField,s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?zO(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):zO(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({isValueField:!0,config:t,customProps:r,setField:n,readonly:o,items:this.items,id:i,groupId:a},this.meta);return l(s,t.ctx)}}])}(w.Component);nS.propTypes={id:Fm().string,groupId:Fm().string,setValue:Fm().func.isRequired,config:Fm().object.isRequired,field:Fm().any,fieldSrc:Fm().string,fieldType:Fm().string,value:Fm().string,operator:Fm().string,customProps:Fm().object,readonly:Fm().bool,parentField:Fm().string,fieldDefinition:Fm().object,isFuncArg:Fm().bool};const oS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.labelYes),o=e.labelNo,i=e.readonly,a=(e.widgetId,e.customProps),l=void 0===a?{}:a,s=l.radioYes||{},u=l.radioNo||{},c=function(e){return r("true"==e.target.value)};return R().createElement(R().Fragment,null,R().createElement("input",_y({type:"radio",value:!0,checked:!!t,disabled:i,onChange:c},s))," ",n,R().createElement("input",_y({type:"radio",value:!1,checked:!t,disabled:i,onChange:c},u))," ",o)},iS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.readonly),o=e.placeholder,i=e.maxLength,a=e.customProps,l=t||"";return R().createElement("input",_y({type:"text",value:l,placeholder:o,disabled:n,onChange:function(e){var t=e.target.value;""===t&&(t=void 0),r(t)},maxLength:i},a))},aS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.readonly),o=e.placeholder,i=e.maxLength,a=(e.maxRows,e.fullWidth),l=e.customProps,s=t||"";return R().createElement("textarea",_y({value:s,placeholder:o,disabled:n,onChange:function(e){var t=e.target.value;""===t&&(t=void 0),r(t)},maxLength:i,style:{width:a?"100%":void 0}},l))};xm.moment;const lS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.valueFormat,e.readonly),o=e.customProps;return R().createElement("input",_y({type:"date",value:t||"",disabled:n,onChange:function(e){var t=e.target.value;""==t&&(t=void 0),r(t)}},o))},sS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.valueFormat,e.use12Hours,e.readonly),o=e.customProps;return R().createElement("input",_y({type:"time",value:t||"",disabled:n,onChange:function(e){var t=e.target.value;""==t&&(t=void 0),r(t)}},o))};var uS=xm.moment;const cS=function(e){var t,r=e.value,n=e.setValue,o=(e.config,e.valueFormat),i=(e.use12Hours,e.readonly),a=e.customProps;return t=r?uS(r).format("YYYY-MM-DDTHH:mm"):"",R().createElement("input",_y({type:"datetime-local",value:t,disabled:i,onChange:function(e){var t=e.target.value;t=""==t?void 0:uS(new Date(t)).format(o),n(t)}},a))};var dS=xm.ListUtils.mapListValues;const pS=function(e){var t=e.listValues,r=e.value,n=e.setValue,o=(e.allowCustomValues,e.readonly),i=e.customProps;return R().createElement("select",_y({multiple:!0,onChange:function(e){return n(function(e){for(var t=[],r=e.options,n=0;n<r.length;n++){var o=r[n];o.selected&&t.push(o.value)}return t.length||(t=void 0),t}(e.target))},value:r,disabled:o},gs()(i,["showSearch","input","showCheckboxes"])),dS(t,(function(e){var t=e.title,r=e.value;return R().createElement("option",{key:r,value:r},t)})))};var fS=xm.ListUtils.mapListValues;const hS=function(e){var t=e.listValues,r=e.value,n=e.setValue,o=(e.allowCustomValues,e.readonly),i=e.customProps,a=null!=r;return R().createElement("select",_y({onChange:function(e){return n(e.target.value)},value:a?r:"",disabled:o},gs()(i,["showSearch","input"])),!a&&R().createElement("option",{disabled:!0,value:""}),fS(t,(function(e){var t=e.title,r=e.value;return R().createElement("option",{key:r,value:r},t)})))},gS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.readonly),o=e.min,i=e.max,a=e.step,l=e.placeholder,s=e.customProps,u=null==t?"":t;return R().createElement("input",_y({type:"number",value:u,placeholder:l,disabled:n,min:o,max:i,step:a,onChange:function(e){var t=e.target.value;t=""===t||null===t?void 0:Number(t),r(t)}},s))},vS=function(e){var t=e.value,r=e.setValue,n=(e.config,e.readonly),o=e.min,i=e.max,a=e.step,l=e.placeholder,s=e.customProps,u=void 0===s?{}:s,c=u.input||{},d=u.slider||u,p=function(e){var t=e.target.value;t=""===t||null===t?void 0:Number(t),r(t)},f=null==t?"":t;return R().createElement("div",{style:{display:"inline-flex"}},R().createElement("input",_y({key:"number",type:"number",value:f,placeholder:l,disabled:n,min:o,max:i,step:a,onChange:p},c)),R().createElement("input",_y({key:"range",type:"range",value:f,disabled:n,min:o,max:i,step:a,onChange:p},d)))},mS=function(e){var t=e.items,r=e.setField,n=e.selectedKey,o=e.readonly,i=e.errorText,a=null!=n;return R().createElement("select",{onChange:function(e){return r(e.target.value)},value:a?n:"",disabled:o,style:{color:i?"red":null}},!a&&R().createElement("option",{disabled:!0,value:""}),function e(t){return t.map((function(t){var r=t.items,n=t.path,o=t.label,i=t.disabled,a=t.matchesType;if(r)return R().createElement("optgroup",{disabled:i,key:n,label:o},e(r));var l=a?{fontWeight:"bold"}:{};return R().createElement("option",{disabled:i,key:n,value:n,style:l},o)}))}(t))},yS=function(e){var t,r=e.id,n=e.not,o=e.setNot,i=e.conjunctionOptions,a=e.setConjunction,l=e.disabled,s=e.readonly,u=e.config,c=e.showNot,d=e.notLabel,p=Object.keys(i).length,f=l,h=u.settings.forceShowConj||p>1&&!f,g=function(e){return a(e.target.value)};return[c&&(t="not",[R().createElement("input",{key:r+t,type:"checkbox",id:r+t,checked:n,disabled:s,onChange:function(e){return o(e.target.checked)}}),R().createElement("label",{key:r+t+"label",htmlFor:r+t},d||"NOT")]),h&&Object.keys(i).map((function(e){var t=i[e],r=t.id,n=t.name,o=t.label,u=t.checked,c=a.isDummyFn?"__dummy":"";return!s&&!l||u?[R().createElement("input",{key:r+c,type:"radio",id:r+c,name:n+c,checked:u,disabled:s||l,value:e,onChange:g}),R().createElement("label",{key:r+c+"label",htmlFor:r+c},o)]:null}))]};var bS={addRuleGroup:"+",addRuleGroupExt:"+",delGroup:"x",delRuleGroup:"x",delRule:"x"};const ES=function(e){var t=e.type,r=e.label,n=e.onClick,o=e.readonly,i=r||bS[t];return R().createElement("button",{onClick:n,type:"button",disabled:o},i)},OS=function(e){var t=e.type,r={}[t]||null;return r||"drag"!==t||(r=R().createElement(Zy,null)),r},SS=function(e){var t=e.children;return e.config,R().createElement(R().Fragment,null,t)},TS=function(e){e.config;var t=e.valueSources,r=e.valueSrc,n=(e.title,e.setValueSrc),o=e.readonly;return R().createElement("select",{onChange:function(e){return n(e.target.value)},value:r||"",disabled:o},function(e){return e.map((function(e){var t=$n(e,2),r=t[0],n=t[1];return R().createElement("option",{key:r,value:r},n.label)}))}(t))},_S=function(e){var t=e.value,r=e.setValue,n=e.label,o=e.id,i=(e.config,e.type);return[R().createElement("input",{key:o+i,type:"checkbox",id:o+i,checked:!!t,onChange:function(e){return r(e.target.checked)}}),R().createElement("label",{key:o+i+"label",htmlFor:o+i},n)]},wS=function(e){var t=e.onOk,r=(e.okText,e.cancelText,e.title);confirm(r)&&t()};var RS=function(e){return e.config,e.children};function AS(e,t,r){return t=Dn(t),jn(e,CS()?Reflect.construct(t,r||[],Dn(e).constructor):t.apply(e,r))}function CS(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(CS=function(){return!!e})()}var IS=function(e){function t(){var e;Nn(this,t);for(var r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=AS(this,t,[].concat(n))).handleChange=function(t){e.props.setOption("proximity",parseInt(t))},e}return Vn(t,e),Fn(t,[{key:"render",value:function(){var e=this.props,t=e.defaults,r=e.options,n=e.config,o=e.optionLabel,i=e.optionPlaceholder,a=e.customProps,l=e.minProximity,s=e.maxProximity,u=e.optionTextBefore,c=e.readonly,d=n.settings,p=n.widgets,f=n.ctx,h=t?t.proximity:void 0,g=d.showLabels,v=r.get("proximity",h),m=Cb()(l,s+1).map((function(e){return{title:e,value:e}})),y=p.select.factory,b=function(e){return y(e,f)};return R().createElement("div",{className:"operator--PROXIMITY"},R().createElement("div",{className:"operator--options"},g&&R().createElement("label",{className:"rule--label"},o),!g&&u&&R().createElement("div",{className:"operator--options--sep"},R().createElement("span",null,u)),R().createElement(b,_y({config:n,value:v,listValues:m,setValue:this.handleChange,readonly:c,placeholder:i},a))),R().createElement("div",{className:"operator--widgets"},this.props.children))}}])}(w.PureComponent);function LS(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function NS(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?LS(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):LS(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}IS.propTypes={config:Fm().object.isRequired,setOption:Fm().func.isRequired,options:Fm().any.isRequired,minProximity:Fm().number,maxProximity:Fm().number,optionPlaceholder:Fm().string,optionTextBefore:Fm().string,optionLabel:Fm().string,customProps:Fm().object,readonly:Fm().bool},IS.defaultProps={customProps:{},minProximity:2,maxProximity:10,optionPlaceholder:"Select words between",optionLabel:"Words between",optionTextBefore:null};var PS={conjunctions:NS({},Cv.conjunctions),operators:NS(NS({},Cv.operators),{},{proximity:NS(NS({},Cv.operators.proximity),{},{options:NS(NS({},Cv.operators.proximity.options),{},{factory:function(e,t){return(0,t.RCE)(t.O.ProximityOperator,e)}})})}),widgets:{text:NS(NS({},Cv.widgets.text),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaTextWidget,e)}}),textarea:NS(NS({},Cv.widgets.textarea),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaTextAreaWidget,e)}}),number:NS(NS({},Cv.widgets.number),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaNumberWidget,e)}}),slider:NS(NS({},Cv.widgets.slider),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaSliderWidget,e)}}),select:NS(NS({},Cv.widgets.select),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaSelectWidget,e)}}),multiselect:NS(NS({},Cv.widgets.multiselect),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaMultiSelectWidget,e)}}),date:NS(NS({},Cv.widgets.date),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaDateWidget,e)}}),time:NS(NS({},Cv.widgets.time),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaTimeWidget,e)}}),datetime:NS(NS({},Cv.widgets.datetime),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaDateTimeWidget,e)}}),boolean:NS(NS({},Cv.widgets.boolean),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaBooleanWidget,e)}}),field:NS(NS({},Cv.widgets.field),{},{factory:function(e,t){return(0,t.RCE)(t.W.ValueFieldWidget,e)},customProps:{showSearch:!0}}),func:NS(NS({},Cv.widgets.func),{},{factory:function(e,t){return(0,t.RCE)(t.W.FuncWidget,e)},customProps:{}}),case_value:NS(NS({},Cv.widgets.case_value),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaTextWidget,e)}})},types:NS(NS({},Cv.types),{},{select:NS(NS({},Cv.types.select),{},{widgets:NS(NS({},Cv.types.select.widgets),{},{select:NS(NS({},Cv.types.select.widgets.select),{},{widgetProps:{customProps:{showSearch:!0}}})})})}),settings:NS(NS({},Cv.settings),{},{renderField:function(e,t){return(0,t.RCE)(t.W.VanillaFieldSelect,e)},renderOperator:function(e,t){return(0,t.RCE)(t.W.VanillaFieldSelect,e)},renderFunc:function(e,t){return(0,t.RCE)(t.W.VanillaFieldSelect,e)},renderConjs:function(e,t){return(0,t.RCE)(t.W.VanillaConjs,e)},renderSwitch:function(e,t){return(0,t.RCE)(t.W.VanillaSwitch,e)},renderButton:function(e,t){return(0,t.RCE)(t.W.VanillaButton,e)},renderIcon:function(e,t){return(0,t.RCE)(t.W.VanillaIcon,e)},renderButtonGroup:function(e,t){return(0,t.RCE)(t.W.VanillaButtonGroup,e)},renderProvider:function(e,t){return(0,t.RCE)(t.W.VanillaProvider,e)},renderValueSources:function(e,t){return(0,t.RCE)(t.W.VanillaValueSources,e)},renderFieldSources:function(e,t){return(0,t.RCE)(t.W.VanillaValueSources,e)},renderConfirm:function(e,t){return(0,t.W.vanillaConfirm)(e)},renderSwitchPrefix:"Conditions",customFieldSelectProps:{showSearch:!0},defaultSliderWidth:"200px",defaultSelectWidth:"200px",defaultSearchWidth:"100px",defaultMaxRows:5,renderSize:"small",maxLabelsLength:100,showLock:!1,showNot:!0,forceShowConj:!1,groupActionsPosition:"topRight"}),ctx:NS(NS({},Cv.ctx),{},{W:NS({},E),O:NS({},O),RCE:function(e,t){return R().createElement(e,t)}})};const xS=PS=xm.ConfigMixins.removeMixins(PS,["rangeslider","treeselect","treemultiselect"]);p(9517);var kS=xm.Autocomplete,FS=(kS.mergeListValues,kS.listValueToOption,kS.optionToListValue,kS.optionsToListValues,kS.fixListValuesGroupOrder,xm.ListUtils);function jS(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function DS(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?jS(Object(r),!0).forEach((function(t){Un(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):jS(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}FS.mapListValues,FS.listValuesToArray,FS.getListValue,FS.makeCustomListValue,FS.searchListValue,FS.getItemInListValues;const MS=DS(DS({},xm),{},{ReactUtils:b,DragIcon:Zy});function VS(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function US(){return US=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},US.apply(this,arguments)}function BS(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){VS(e,t,r[t])}))}return e}function qS(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const GS={id:MS.uuid(),type:"group"},KS="timeFilter",WS=[KS],zS=qS(BS({},xS.widgets),{text:qS(BS({},xS.widgets.text),{factory:function(e){return R().createElement(A.Input,{value:(null==e?void 0:e.value)||"",placeholder:null==e?void 0:e.placeholder,onChange:t=>null==e?void 0:e.setValue(t.currentTarget.value)})}}),number:qS(BS({},xS.widgets.number),{factory:function(e){return R().createElement(A.Input,{value:null==e?void 0:e.value,placeholder:null==e?void 0:e.placeholder,type:"number",onChange:t=>null==e?void 0:e.setValue(Number.parseInt(t.currentTarget.value,10))})}}),datetime:qS(BS({},xS.widgets.datetime),{factory:function(e){if("macros"===(null==e?void 0:e.operator))return R().createElement(A.Select,{id:e.id,"aria-label":"Macros value selector",menuShouldPortal:!0,options:WS.map(T.toOption),value:null==e?void 0:e.value,onChange:t=>e.setValue(t.value)});const t=(0,T.dateTime)(null==e?void 0:e.value).isValid()?(0,T.dateTime)(null==e?void 0:e.value).utc():void 0;return R().createElement(A.DateTimePicker,{onChange:t=>{null==e||e.setValue(null==t?void 0:t.format(xS.widgets.datetime.valueFormat))},date:t})},sqlFormatValue:(e,t,r,n,o,i)=>{if("macros"===n)return WS.includes(e)?e:void 0;if("string"==typeof xS.widgets.datetime.sqlFormatValue||"object"==typeof xS.widgets.datetime.sqlFormatValue)return;const a=xS.widgets.datetime.sqlFormatValue;return(null==a?void 0:a.call(xS.ctx,e,t,r,n,o,i))||""}})}),$S=qS(BS({},xS.settings),{canRegroup:!1,maxNesting:1,canReorder:!1,showNot:!1,addRuleLabel:"Add",deleteLabel:"Remove",renderConjs:function(e){return R().createElement(A.Select,{id:null==e?void 0:e.id,"aria-label":"Conjunction","data-testid":Le.components.SQLQueryEditor.filterConjunction,menuShouldPortal:!0,options:(null==e?void 0:e.conjunctionOptions)?Object.keys(null==e?void 0:e.conjunctionOptions).map(T.toOption):void 0,value:null==e?void 0:e.selectedConjunction,onChange:t=>null==e?void 0:e.setConjunction(t.value)})},renderField:function(e){var t;const r=(null==e||null===(t=e.config)||void 0===t?void 0:t.fields)||{};return R().createElement(A.Select,{id:null==e?void 0:e.id,width:25,"aria-label":"Field","data-testid":Le.components.SQLQueryEditor.filterField,menuShouldPortal:!0,options:null==e?void 0:e.items.map((e=>{var t,n;const o=null===(n=r[e.key].mainWidgetProps)||void 0===n||null===(t=n.customProps)||void 0===t?void 0:t.icon;return{label:e.label,value:e.key,icon:o}})),value:null==e?void 0:e.selectedKey,onChange:t=>{null==e||e.setField(t.label)}})},renderButton:function(e){return R().createElement(A.Button,{type:"button",title:`${null==e?void 0:e.label} filter`,onClick:null==e?void 0:e.onClick,variant:"secondary",size:"md",icon:"Add"===(null==e?void 0:e.label)?"plus":"times"})},renderOperator:function(e){return R().createElement(A.Select,{options:null==e?void 0:e.items.map((e=>({label:e.label,value:e.key}))),"aria-label":"Operator","data-testid":Le.components.SQLQueryEditor.filterOperator,menuShouldPortal:!0,value:null==e?void 0:e.selectedKey,onChange:t=>{null==e||e.setField(t.value||"")}})}}),HS=function(e){const t=US({},function(e){if(null==e)throw new TypeError("Cannot destructure "+e);return e}(e.operators));return qS(BS({},t),{select_any_in:qS(BS({},t.select_any_in),{sqlFormatOp:(e,r,n,o,i,a,l,s)=>(()=>{const e=t.select_any_in.sqlFormatOp;return tT(e)?e:eT})()(e,r,rT(n),o,i,a,l,s)}),select_not_any_in:qS(BS({},t.select_not_any_in),{sqlFormatOp:(e,r,n,o,i,a,l,s)=>(()=>{const e=t.select_not_any_in.sqlFormatOp;return tT(e)?e:eT})()(e,r,rT(n),o,i,a,l,s)}),macros:{label:"Macros",sqlFormatOp:(e,t,r)=>r===KS?`$__timeFilter(${e})`:r}})}(xS),YS=xS.types.text.widgets.text,QS=[...YS.operators||[],"select_any_in","select_not_any_in"],XS=qS(BS({},YS),{operators:QS}),JS=qS(BS({},xS.types),{text:qS(BS({},xS.types.text),{widgets:qS(BS({},xS.types.text.widgets),{text:XS})}),datetime:qS(BS({},xS.types.datetime),{widgets:qS(BS({},xS.types.datetime.widgets),{datetime:qS(BS({},xS.types.datetime.widgets.datetime),{operators:["macros",...xS.types.datetime.widgets.datetime.operators||[]]})})})}),ZS=qS(BS({},xS),{widgets:zS,settings:$S,operators:HS,types:JS}),eT=()=>"",tT=e=>"function"==typeof e;function rT(e){return(0,ve.isString)(e)?e.split(","):e}function nT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function oT(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){nT(e,t,r[t])}))}return e}function iT(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function aT({sql:e,config:t,onSqlChange:r}){const[n,o]=(0,w.useState)(),i=(0,w.useMemo)((()=>oT({},ZS,t)),[t]);(0,w.useEffect)((()=>{if(!n){var t;const r=MS.checkTree(MS.loadTree(null!==(t=e.whereJsonTree)&&void 0!==t?t:GS),i);o(r)}}),[i,e.whereJsonTree,n]),(0,w.useEffect)((()=>{e.whereJsonTree||o(MS.checkTree(MS.loadTree(GS),i))}),[i,e.whereJsonTree]);const a=(0,w.useCallback)(((t,n)=>{o(t);const i=iT(oT({},e),{whereJsonTree:MS.getTree(t),whereString:MS.sqlFormat(t,n)});r(i)}),[r,e]);return n?R().createElement(Ty,iT(oT({},i),{value:n,onChange:a,renderBuilder:e=>R().createElement(WO,e)})):null}function lT(e){return`\n    display: flex;\n    gap: 8px;\n    flex-direction: ${e};`}function sT(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function uT(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){sT(i,n,o,a,l,"next",e)}function l(e){sT(i,n,o,a,l,"throw",e)}a(void 0)}))}}function cT({query:e,fields:t,onQueryChange:r,db:n}){const o=(0,Ln.A)(uT((function*(){return function(e){const t={};for(const r of e)t[r.value]={type:r.raqbFieldType||"text",valueSources:["value"],mainWidgetProps:{customProps:{icon:r.icon}}};return t}(t)})),[t]),{onSqlChange:i}=Yr({query:e,onQueryChange:r,db:n});return R().createElement(aT,{key:JSON.stringify(o.value),config:{fields:o.value||{}},sql:e.sql,onSqlChange:e=>{!function(e,t){var r,n;t.some((t=>(t=>{var r,n;return"multi"in t&&t.multi&&((null===(r=e.whereString)||void 0===r?void 0:r.includes(`\${${t.name}}`))||(null===(n=e.whereString)||void 0===n?void 0:n.includes(`$${t.name}`)))})(t)))&&(e.whereString=null===(r=e.whereString)||void 0===r?void 0:r.replaceAll("')",")"),e.whereString=null===(n=e.whereString)||void 0===n?void 0:n.replaceAll("('","("))}(e,(0,ge.getTemplateSrv)().getVariables()),i(e)}})}function dT(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function pT(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){dT(i,n,o,a,l,"next",e)}function l(e){dT(i,n,o,a,l,"throw",e)}a(void 0)}))}}_.injectGlobal`
  .group--header {
    ${lT("row")}
  }

  .group-or-rule {
    ${lT("column")}
    .rule {
      flex-direction: row;
    }
  }

  .rule--body {
    ${lT("row")}
  }

  .group--children {
    ${lT("column")}
  }

  .group--conjunctions:empty {
    display: none;
  }
`;const fT=({query:e,db:t,queryRowFilter:r,onChange:n,onValidate:o,range:i})=>{var a;const l=Ee(pT((function*(){return yield t.fields(e)})),[t,e.dataset,e.table]);return R().createElement(R().Fragment,null,R().createElement(Gr,null,R().createElement(Ze,null,R().createElement(In,{fields:l.value||[],query:e,onQueryChange:n,db:t})),r.filter&&R().createElement(Ze,null,R().createElement(st,{label:"Filter by column value",optional:!0},R().createElement(cT,{fields:l.value||[],query:e,onQueryChange:n,db:t}))),r.group&&R().createElement(Ze,null,R().createElement(st,{label:"Group by column"},R().createElement(fn,{fields:l.value||[],query:e,onQueryChange:n,db:t}))),r.order&&R().createElement(Ze,null,R().createElement(bn,{fields:l.value||[],query:e,onQueryChange:n,db:t})),r.preview&&e.rawSql&&R().createElement(Ze,null,R().createElement(zr,{rawSql:e.rawSql,datasourceType:null===(a=e.datasource)||void 0===a?void 0:a.type}))),R().createElement(Ur,{db:t,query:e,onValidate:o,range:i}))};function hT(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function gT(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){hT(i,n,o,a,l,"next",e)}function l(e){hT(i,n,o,a,l,"throw",e)}a(void 0)}))}}function vT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function mT({datasource:e,query:t,onChange:r,onRunQuery:n,range:o,queryHeaderProps:i}){var a,l,s,u,c,d;const[p,f]=(0,w.useState)(!0),h=e.getDB(),{preconfiguredDatabase:g}=e;var v;const m=null!==(v=null==i?void 0:i.dialect)&&void 0!==v?v:"other",{loading:y,error:b}=Ee(gT((function*(){return()=>{void 0!==e.getDB(e.id).init&&e.getDB(e.id).init()}})),[e]),E=we(t),[O,S]=(0,w.useState)({filter:!!(null===(a=E.sql)||void 0===a?void 0:a.whereString),group:!!(null===(u=E.sql)||void 0===u||null===(s=u.groupBy)||void 0===s||null===(l=s[0])||void 0===l?void 0:l.property.name),order:!!(null===(d=E.sql)||void 0===d||null===(c=d.orderBy)||void 0===c?void 0:c.property.name),preview:!0}),[T,_]=(0,w.useState)(E);(0,w.useEffect)((()=>()=>{void 0!==e.getDB(e.id).dispose&&e.getDB(e.id).dispose()}),[e]);const C=(0,w.useCallback)((e=>{yT(e)&&n&&n()}),[n]),I=(e,t=!0)=>{var n,o,i,a;_(e),r(e),Oe(null===(n=e.sql)||void 0===n?void 0:n.columns)&&(null===(o=e.sql)||void 0===o?void 0:o.columns.some((e=>e.name)))&&!O.group&&S((i=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){vT(e,t,r[t])}))}return e}({},O),a=null!=(a={group:!0})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(i,Object.getOwnPropertyDescriptors(a)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(a)).forEach((function(e){Object.defineProperty(i,e,Object.getOwnPropertyDescriptor(a,e))})),i)),t&&C(e)};return y||b?null:R().createElement(R().Fragment,null,R().createElement(St,{db:h,preconfiguredDataset:g,onChange:e=>{_(e),r(e)},onRunQuery:n,onQueryRowChange:S,queryRowFilter:O,query:E,isQueryRunnable:p,dialect:m}),R().createElement(A.Space,{v:.5}),E.editorMode!==he.Code&&R().createElement(fT,{db:h,query:E,onChange:e=>I(e,!1),queryRowFilter:O,onValidate:f,range:o}),E.editorMode===he.Code&&R().createElement(Br,{db:h,query:E,queryToValidate:T,onChange:I,onRunQuery:n,onValidate:f,range:o}))}const yT=e=>Boolean(e.rawSql);function bT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function ET(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){bT(e,t,r[t])}))}return e}function OT(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function ST(e){const t="string"==typeof e.rawQuery?e.rawQuery:null;if(!t)return e;var r;const n=we(OT(ET({refId:"Annotation"},null!==(r=e.target)&&void 0!==r?r:{}),{rawSql:t}));return OT(ET({},e),{rawQuery:void 0,workspace:void 0,subscription:void 0,queryType:void 0,target:n})}function TT(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function _T(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){TT(i,n,o,a,l,"next",e)}function l(e){TT(i,n,o,a,l,"throw",e)}a(void 0)}))}}function wT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function RT(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){wT(e,t,r[t])}))}return e}function AT(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}class CT extends ge.DataSourceWithBackend{getResponseParser(){return this.responseParser}interpolateVariablesInQueries(e,t){let r=e;return e&&e.length>0&&(r=e.map((e=>AT(RT({},e),{datasource:this.getRef(),rawSql:this.templateSrv.replace(e.rawSql,t,this.interpolateVariable),rawQuery:!0})))),r}filterQuery(e){return!e.hide}applyTemplateVariables(e,t){return{refId:e.refId,datasource:this.getRef(),rawSql:this.templateSrv.replace(e.rawSql,t,this.interpolateVariable),format:e.format}}query(e){if(dt()){const t=this.checkForDatabaseIssue(e);if(t){const e=new Error(t);return(0,N.throwError)((()=>e))}}return e.targets.forEach((t=>{var r;e.app!==T.CoreApp.Dashboard&&e.app!==T.CoreApp.PanelViewer&&(0,ge.reportInteraction)("grafana_sql_query_executed",{datasource:null===(r=t.datasource)||void 0===r?void 0:r.type,editorMode:t.editorMode,format:t.format,app:e.app})})),super.query(e)}checkForDatabaseIssue(e){if("postgres"===this.type&&!this.preconfiguredDatabase)return"You do not currently have a default database configured for this data source. Postgres requires a default\n             database with which to connect. Please configure one through the Data Sources Configuration page, or if you\n             are using a provisioning file, update that configuration file with a default database.";if(e.app!==T.CoreApp.Explore&&this.preconfiguredDatabase)for(const t of e.targets)if(t.editorMode===he.Builder&&t.dataset!==this.preconfiguredDatabase)return"The configuration for this panel's data source has been modified. The previous database used in this panel's\n                   saved query is no longer available. Please update the query to use the new database option.\n                   Previous query parameters will be preserved until the query is updated."}metricFindQuery(e,t){var r=this;return _T((function*(){const n=null==t?void 0:t.range;if(null==n)return[];let o="tempvar";t&&t.variable&&t.variable.name&&(o=t.variable.name);const i=RT({},null==t?void 0:t.scopedVars,(0,T.getSearchFilterScopedVar)({query:e,wildcardChar:"%",options:t})),a=r.templateSrv.replace(e,i,r.interpolateVariable),l={refId:o,datasource:r.getRef(),rawSql:a,format:S.Table};let s;try{s=yield r.runMetaQuery(l,n)}catch(e){throw console.error(e),new Error("error when executing the sql query")}return r.getResponseParser().transformMetricFindResponse(s)}))()}runSql(e,t){var r=this;return _T((function*(){const n=(0,T.getDefaultTimeRange)(),o=yield r.runMetaQuery({rawSql:e,format:S.Table,refId:null==t?void 0:t.refId},n);return new T.DataFrameView(o)}))()}runMetaQuery(e,t){const r=e.refId||"meta",n=[AT(RT({},e),{datasource:e.datasource||this.getRef(),refId:r})];return(0,N.lastValueFrom)((0,ge.getBackendSrv)().fetch({url:"/api/ds/query",method:"POST",headers:this.getRequestHeaders(),data:{from:t.from.valueOf().toString(),to:t.to.valueOf().toString(),queries:n},requestId:r}).pipe(ne((e=>{var t;return null!==(t=(0,ge.toDataQueryResponse)(e,n).data[0])&&void 0!==t?t:{fields:[]}}))))}targetContainsTemplate(e){let t=e.rawSql;return On.forEach((e=>{t=(null==t?void 0:t.replace(e,""))||""})),this.templateSrv.containsTemplate(t)}constructor(e,t=(0,ge.getTemplateSrv)()){super(e),wT(this,"templateSrv",void 0),wT(this,"id",void 0),wT(this,"responseParser",void 0),wT(this,"name",void 0),wT(this,"interval",void 0),wT(this,"db",void 0),wT(this,"preconfiguredDatabase",void 0),wT(this,"interpolateVariable",void 0),this.templateSrv=t,this.interpolateVariable=(e,t)=>"string"==typeof e?t.multi||t.includeAll?this.getQueryModel().quoteLiteral(e):String(e).replace(/'/g,"''"):"number"==typeof e?e:Array.isArray(e)?e.map((e=>this.getQueryModel().quoteLiteral(e))).join(","):e,this.name=e.name,this.responseParser=new me,this.id=e.id;const r=e.jsonData||{};var n;this.interval=r.timeInterval||"1m",this.db=this.getDB(),this.preconfiguredDatabase=null!==(n=r.database)&&void 0!==n?n:"",this.annotations={prepareAnnotation:ST,QueryEditor:mT}}}var IT=Object.defineProperty,LT=Object.defineProperties,NT=Object.getOwnPropertyDescriptors,PT=Object.getOwnPropertySymbols,xT=Object.prototype.hasOwnProperty,kT=Object.prototype.propertyIsEnumerable,FT=(e,t,r)=>t in e?IT(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,jT=(e,t)=>{for(var r in t||(t={}))xT.call(t,r)&&FT(e,r,t[r]);if(PT)for(var r of PT(t))kT.call(t,r)&&FT(e,r,t[r]);return e};const DT=({children:e,title:t,description:r,isCollapsible:n=!1,isInitiallyOpen:o=!0,kind:i="section",className:a})=>{const{colors:l,typography:s,spacing:u}=(0,A.useTheme2)(),[c,d]=(0,w.useState)(!n||o),p=c?"angle-up":"angle-down",f="sub-section"===i,h=`${c?"Collapse":"Expand"} section ${t}`,g={header:(0,_.css)({display:"flex",justifyContent:"space-between",alignItems:"center"}),title:(0,_.css)({margin:0}),subtitle:(0,_.css)({margin:0,fontWeight:s.fontWeightRegular}),descriptionText:(0,_.css)((v=jT({marginTop:u(f?.25:.5),marginBottom:0},s.bodySmall),m={color:l.text.secondary},LT(v,NT(m)))),content:(0,_.css)({marginTop:u(2)})};var v,m;return R().createElement("div",{className:a},R().createElement("div",{className:g.header},"section"===i?R().createElement("h3",{className:g.title},t):R().createElement("h6",{className:g.subtitle},t),n&&R().createElement(A.IconButton,{name:p,onClick:()=>d(!c),type:"button",size:"xl","aria-label":h})),r&&R().createElement("p",{className:g.descriptionText},r),c&&R().createElement("div",{className:g.content},e))};var MT=Object.defineProperty,VT=Object.defineProperties,UT=Object.getOwnPropertyDescriptors,BT=Object.getOwnPropertySymbols,qT=Object.prototype.hasOwnProperty,GT=Object.prototype.propertyIsEnumerable,KT=(e,t,r)=>t in e?MT(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const WT=e=>{var t,r=e,{children:n}=r,o=((e,t)=>{var r={};for(var n in e)qT.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&BT)for(var n of BT(e))t.indexOf(n)<0&&GT.call(e,n)&&(r[n]=e[n]);return r})(r,["children"]);return R().createElement(DT,(t=((e,t)=>{for(var r in t||(t={}))qT.call(t,r)&&KT(e,r,t[r]);if(BT)for(var r of BT(t))GT.call(t,r)&&KT(e,r,t[r]);return e})({},o),VT(t,UT({kind:"sub-section"}))),n)};var zT=p(8145),$T=(p(9874),p(3238)),HT=p.n($T);let YT=null;const QT=new WeakMap;function XT(){return(0,w.useContext)(YT||T.ThemeContext)}function JT(e,...t){const r=XT();let n=QT.get(e);return n||(n=HT()(e,{maxSize:10}),QT.set(e,n)),n(r,...t)}function ZT(e){return ZT="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},ZT(e)}var e_=/^\s+/,t_=/\s+$/;function r_(e,t){if(t=t||{},(e=e||"")instanceof r_)return e;if(!(this instanceof r_))return new r_(e,t);var r=function(e){var t,r,n,o={r:0,g:0,b:0},i=1,a=null,l=null,s=null,u=!1,c=!1;return"string"==typeof e&&(e=function(e){e=e.replace(e_,"").replace(t_,"").toLowerCase();var t,r=!1;if(b_[e])e=b_[e],r=!0;else if("transparent"==e)return{r:0,g:0,b:0,a:0,format:"name"};return(t=P_.rgb.exec(e))?{r:t[1],g:t[2],b:t[3]}:(t=P_.rgba.exec(e))?{r:t[1],g:t[2],b:t[3],a:t[4]}:(t=P_.hsl.exec(e))?{h:t[1],s:t[2],l:t[3]}:(t=P_.hsla.exec(e))?{h:t[1],s:t[2],l:t[3],a:t[4]}:(t=P_.hsv.exec(e))?{h:t[1],s:t[2],v:t[3]}:(t=P_.hsva.exec(e))?{h:t[1],s:t[2],v:t[3],a:t[4]}:(t=P_.hex8.exec(e))?{r:__(t[1]),g:__(t[2]),b:__(t[3]),a:C_(t[4]),format:r?"name":"hex8"}:(t=P_.hex6.exec(e))?{r:__(t[1]),g:__(t[2]),b:__(t[3]),format:r?"name":"hex"}:(t=P_.hex4.exec(e))?{r:__(t[1]+""+t[1]),g:__(t[2]+""+t[2]),b:__(t[3]+""+t[3]),a:C_(t[4]+""+t[4]),format:r?"name":"hex8"}:!!(t=P_.hex3.exec(e))&&{r:__(t[1]+""+t[1]),g:__(t[2]+""+t[2]),b:__(t[3]+""+t[3]),format:r?"name":"hex"}}(e)),"object"==ZT(e)&&(x_(e.r)&&x_(e.g)&&x_(e.b)?(t=e.r,r=e.g,n=e.b,o={r:255*S_(t,255),g:255*S_(r,255),b:255*S_(n,255)},u=!0,c="%"===String(e.r).substr(-1)?"prgb":"rgb"):x_(e.h)&&x_(e.s)&&x_(e.v)?(a=R_(e.s),l=R_(e.v),o=function(e,t,r){e=6*S_(e,360),t=S_(t,100),r=S_(r,100);var n=Math.floor(e),o=e-n,i=r*(1-t),a=r*(1-o*t),l=r*(1-(1-o)*t),s=n%6;return{r:255*[r,a,i,i,l,r][s],g:255*[l,r,r,a,i,i][s],b:255*[i,i,l,r,r,a][s]}}(e.h,a,l),u=!0,c="hsv"):x_(e.h)&&x_(e.s)&&x_(e.l)&&(a=R_(e.s),s=R_(e.l),o=function(e,t,r){var n,o,i;function a(e,t,r){return r<0&&(r+=1),r>1&&(r-=1),r<1/6?e+6*(t-e)*r:r<.5?t:r<2/3?e+(t-e)*(2/3-r)*6:e}if(e=S_(e,360),t=S_(t,100),r=S_(r,100),0===t)n=o=i=r;else{var l=r<.5?r*(1+t):r+t-r*t,s=2*r-l;n=a(s,l,e+1/3),o=a(s,l,e),i=a(s,l,e-1/3)}return{r:255*n,g:255*o,b:255*i}}(e.h,a,s),u=!0,c="hsl"),e.hasOwnProperty("a")&&(i=e.a)),i=O_(i),{ok:u,format:e.format||c,r:Math.min(255,Math.max(o.r,0)),g:Math.min(255,Math.max(o.g,0)),b:Math.min(255,Math.max(o.b,0)),a:i}}(e);this._originalInput=e,this._r=r.r,this._g=r.g,this._b=r.b,this._a=r.a,this._roundA=Math.round(100*this._a)/100,this._format=t.format||r.format,this._gradientType=t.gradientType,this._r<1&&(this._r=Math.round(this._r)),this._g<1&&(this._g=Math.round(this._g)),this._b<1&&(this._b=Math.round(this._b)),this._ok=r.ok}function n_(e,t,r){e=S_(e,255),t=S_(t,255),r=S_(r,255);var n,o,i=Math.max(e,t,r),a=Math.min(e,t,r),l=(i+a)/2;if(i==a)n=o=0;else{var s=i-a;switch(o=l>.5?s/(2-i-a):s/(i+a),i){case e:n=(t-r)/s+(t<r?6:0);break;case t:n=(r-e)/s+2;break;case r:n=(e-t)/s+4}n/=6}return{h:n,s:o,l}}function o_(e,t,r){e=S_(e,255),t=S_(t,255),r=S_(r,255);var n,o,i=Math.max(e,t,r),a=Math.min(e,t,r),l=i,s=i-a;if(o=0===i?0:s/i,i==a)n=0;else{switch(i){case e:n=(t-r)/s+(t<r?6:0);break;case t:n=(r-e)/s+2;break;case r:n=(e-t)/s+4}n/=6}return{h:n,s:o,v:l}}function i_(e,t,r,n){var o=[w_(Math.round(e).toString(16)),w_(Math.round(t).toString(16)),w_(Math.round(r).toString(16))];return n&&o[0].charAt(0)==o[0].charAt(1)&&o[1].charAt(0)==o[1].charAt(1)&&o[2].charAt(0)==o[2].charAt(1)?o[0].charAt(0)+o[1].charAt(0)+o[2].charAt(0):o.join("")}function a_(e,t,r,n){return[w_(A_(n)),w_(Math.round(e).toString(16)),w_(Math.round(t).toString(16)),w_(Math.round(r).toString(16))].join("")}function l_(e,t){t=0===t?0:t||10;var r=r_(e).toHsl();return r.s-=t/100,r.s=T_(r.s),r_(r)}function s_(e,t){t=0===t?0:t||10;var r=r_(e).toHsl();return r.s+=t/100,r.s=T_(r.s),r_(r)}function u_(e){return r_(e).desaturate(100)}function c_(e,t){t=0===t?0:t||10;var r=r_(e).toHsl();return r.l+=t/100,r.l=T_(r.l),r_(r)}function d_(e,t){t=0===t?0:t||10;var r=r_(e).toRgb();return r.r=Math.max(0,Math.min(255,r.r-Math.round(-t/100*255))),r.g=Math.max(0,Math.min(255,r.g-Math.round(-t/100*255))),r.b=Math.max(0,Math.min(255,r.b-Math.round(-t/100*255))),r_(r)}function p_(e,t){t=0===t?0:t||10;var r=r_(e).toHsl();return r.l-=t/100,r.l=T_(r.l),r_(r)}function f_(e,t){var r=r_(e).toHsl(),n=(r.h+t)%360;return r.h=n<0?360+n:n,r_(r)}function h_(e){var t=r_(e).toHsl();return t.h=(t.h+180)%360,r_(t)}function g_(e,t){if(isNaN(t)||t<=0)throw new Error("Argument to polyad must be a positive number");for(var r=r_(e).toHsl(),n=[r_(e)],o=360/t,i=1;i<t;i++)n.push(r_({h:(r.h+i*o)%360,s:r.s,l:r.l}));return n}function v_(e){var t=r_(e).toHsl(),r=t.h;return[r_(e),r_({h:(r+72)%360,s:t.s,l:t.l}),r_({h:(r+216)%360,s:t.s,l:t.l})]}function m_(e,t,r){t=t||6,r=r||30;var n=r_(e).toHsl(),o=360/r,i=[r_(e)];for(n.h=(n.h-(o*t>>1)+720)%360;--t;)n.h=(n.h+o)%360,i.push(r_(n));return i}function y_(e,t){t=t||6;for(var r=r_(e).toHsv(),n=r.h,o=r.s,i=r.v,a=[],l=1/t;t--;)a.push(r_({h:n,s:o,v:i})),i=(i+l)%1;return a}r_.prototype={isDark:function(){return this.getBrightness()<128},isLight:function(){return!this.isDark()},isValid:function(){return this._ok},getOriginalInput:function(){return this._originalInput},getFormat:function(){return this._format},getAlpha:function(){return this._a},getBrightness:function(){var e=this.toRgb();return(299*e.r+587*e.g+114*e.b)/1e3},getLuminance:function(){var e,t,r,n=this.toRgb();return e=n.r/255,t=n.g/255,r=n.b/255,.2126*(e<=.03928?e/12.92:Math.pow((e+.055)/1.055,2.4))+.7152*(t<=.03928?t/12.92:Math.pow((t+.055)/1.055,2.4))+.0722*(r<=.03928?r/12.92:Math.pow((r+.055)/1.055,2.4))},setAlpha:function(e){return this._a=O_(e),this._roundA=Math.round(100*this._a)/100,this},toHsv:function(){var e=o_(this._r,this._g,this._b);return{h:360*e.h,s:e.s,v:e.v,a:this._a}},toHsvString:function(){var e=o_(this._r,this._g,this._b),t=Math.round(360*e.h),r=Math.round(100*e.s),n=Math.round(100*e.v);return 1==this._a?"hsv("+t+", "+r+"%, "+n+"%)":"hsva("+t+", "+r+"%, "+n+"%, "+this._roundA+")"},toHsl:function(){var e=n_(this._r,this._g,this._b);return{h:360*e.h,s:e.s,l:e.l,a:this._a}},toHslString:function(){var e=n_(this._r,this._g,this._b),t=Math.round(360*e.h),r=Math.round(100*e.s),n=Math.round(100*e.l);return 1==this._a?"hsl("+t+", "+r+"%, "+n+"%)":"hsla("+t+", "+r+"%, "+n+"%, "+this._roundA+")"},toHex:function(e){return i_(this._r,this._g,this._b,e)},toHexString:function(e){return"#"+this.toHex(e)},toHex8:function(e){return function(e,t,r,n,o){var i=[w_(Math.round(e).toString(16)),w_(Math.round(t).toString(16)),w_(Math.round(r).toString(16)),w_(A_(n))];return o&&i[0].charAt(0)==i[0].charAt(1)&&i[1].charAt(0)==i[1].charAt(1)&&i[2].charAt(0)==i[2].charAt(1)&&i[3].charAt(0)==i[3].charAt(1)?i[0].charAt(0)+i[1].charAt(0)+i[2].charAt(0)+i[3].charAt(0):i.join("")}(this._r,this._g,this._b,this._a,e)},toHex8String:function(e){return"#"+this.toHex8(e)},toRgb:function(){return{r:Math.round(this._r),g:Math.round(this._g),b:Math.round(this._b),a:this._a}},toRgbString:function(){return 1==this._a?"rgb("+Math.round(this._r)+", "+Math.round(this._g)+", "+Math.round(this._b)+")":"rgba("+Math.round(this._r)+", "+Math.round(this._g)+", "+Math.round(this._b)+", "+this._roundA+")"},toPercentageRgb:function(){return{r:Math.round(100*S_(this._r,255))+"%",g:Math.round(100*S_(this._g,255))+"%",b:Math.round(100*S_(this._b,255))+"%",a:this._a}},toPercentageRgbString:function(){return 1==this._a?"rgb("+Math.round(100*S_(this._r,255))+"%, "+Math.round(100*S_(this._g,255))+"%, "+Math.round(100*S_(this._b,255))+"%)":"rgba("+Math.round(100*S_(this._r,255))+"%, "+Math.round(100*S_(this._g,255))+"%, "+Math.round(100*S_(this._b,255))+"%, "+this._roundA+")"},toName:function(){return 0===this._a?"transparent":!(this._a<1)&&(E_[i_(this._r,this._g,this._b,!0)]||!1)},toFilter:function(e){var t="#"+a_(this._r,this._g,this._b,this._a),r=t,n=this._gradientType?"GradientType = 1, ":"";if(e){var o=r_(e);r="#"+a_(o._r,o._g,o._b,o._a)}return"progid:DXImageTransform.Microsoft.gradient("+n+"startColorstr="+t+",endColorstr="+r+")"},toString:function(e){var t=!!e;e=e||this._format;var r=!1,n=this._a<1&&this._a>=0;return t||!n||"hex"!==e&&"hex6"!==e&&"hex3"!==e&&"hex4"!==e&&"hex8"!==e&&"name"!==e?("rgb"===e&&(r=this.toRgbString()),"prgb"===e&&(r=this.toPercentageRgbString()),"hex"!==e&&"hex6"!==e||(r=this.toHexString()),"hex3"===e&&(r=this.toHexString(!0)),"hex4"===e&&(r=this.toHex8String(!0)),"hex8"===e&&(r=this.toHex8String()),"name"===e&&(r=this.toName()),"hsl"===e&&(r=this.toHslString()),"hsv"===e&&(r=this.toHsvString()),r||this.toHexString()):"name"===e&&0===this._a?this.toName():this.toRgbString()},clone:function(){return r_(this.toString())},_applyModification:function(e,t){var r=e.apply(null,[this].concat([].slice.call(t)));return this._r=r._r,this._g=r._g,this._b=r._b,this.setAlpha(r._a),this},lighten:function(){return this._applyModification(c_,arguments)},brighten:function(){return this._applyModification(d_,arguments)},darken:function(){return this._applyModification(p_,arguments)},desaturate:function(){return this._applyModification(l_,arguments)},saturate:function(){return this._applyModification(s_,arguments)},greyscale:function(){return this._applyModification(u_,arguments)},spin:function(){return this._applyModification(f_,arguments)},_applyCombination:function(e,t){return e.apply(null,[this].concat([].slice.call(t)))},analogous:function(){return this._applyCombination(m_,arguments)},complement:function(){return this._applyCombination(h_,arguments)},monochromatic:function(){return this._applyCombination(y_,arguments)},splitcomplement:function(){return this._applyCombination(v_,arguments)},triad:function(){return this._applyCombination(g_,[3])},tetrad:function(){return this._applyCombination(g_,[4])}},r_.fromRatio=function(e,t){if("object"==ZT(e)){var r={};for(var n in e)e.hasOwnProperty(n)&&(r[n]="a"===n?e[n]:R_(e[n]));e=r}return r_(e,t)},r_.equals=function(e,t){return!(!e||!t)&&r_(e).toRgbString()==r_(t).toRgbString()},r_.random=function(){return r_.fromRatio({r:Math.random(),g:Math.random(),b:Math.random()})},r_.mix=function(e,t,r){r=0===r?0:r||50;var n=r_(e).toRgb(),o=r_(t).toRgb(),i=r/100;return r_({r:(o.r-n.r)*i+n.r,g:(o.g-n.g)*i+n.g,b:(o.b-n.b)*i+n.b,a:(o.a-n.a)*i+n.a})},r_.readability=function(e,t){var r=r_(e),n=r_(t);return(Math.max(r.getLuminance(),n.getLuminance())+.05)/(Math.min(r.getLuminance(),n.getLuminance())+.05)},r_.isReadable=function(e,t,r){var n,o,i,a,l,s=r_.readability(e,t);switch(o=!1,(i=r,"AA"!==(a=((i=i||{level:"AA",size:"small"}).level||"AA").toUpperCase())&&"AAA"!==a&&(a="AA"),"small"!==(l=(i.size||"small").toLowerCase())&&"large"!==l&&(l="small"),n={level:a,size:l}).level+n.size){case"AAsmall":case"AAAlarge":o=s>=4.5;break;case"AAlarge":o=s>=3;break;case"AAAsmall":o=s>=7}return o},r_.mostReadable=function(e,t,r){var n,o,i,a,l=null,s=0;o=(r=r||{}).includeFallbackColors,i=r.level,a=r.size;for(var u=0;u<t.length;u++)(n=r_.readability(e,t[u]))>s&&(s=n,l=r_(t[u]));return r_.isReadable(e,l,{level:i,size:a})||!o?l:(r.includeFallbackColors=!1,r_.mostReadable(e,["#fff","#000"],r))};var b_=r_.names={aliceblue:"f0f8ff",antiquewhite:"faebd7",aqua:"0ff",aquamarine:"7fffd4",azure:"f0ffff",beige:"f5f5dc",bisque:"ffe4c4",black:"000",blanchedalmond:"ffebcd",blue:"00f",blueviolet:"8a2be2",brown:"a52a2a",burlywood:"deb887",burntsienna:"ea7e5d",cadetblue:"5f9ea0",chartreuse:"7fff00",chocolate:"d2691e",coral:"ff7f50",cornflowerblue:"6495ed",cornsilk:"fff8dc",crimson:"dc143c",cyan:"0ff",darkblue:"00008b",darkcyan:"008b8b",darkgoldenrod:"b8860b",darkgray:"a9a9a9",darkgreen:"006400",darkgrey:"a9a9a9",darkkhaki:"bdb76b",darkmagenta:"8b008b",darkolivegreen:"556b2f",darkorange:"ff8c00",darkorchid:"9932cc",darkred:"8b0000",darksalmon:"e9967a",darkseagreen:"8fbc8f",darkslateblue:"483d8b",darkslategray:"2f4f4f",darkslategrey:"2f4f4f",darkturquoise:"00ced1",darkviolet:"9400d3",deeppink:"ff1493",deepskyblue:"00bfff",dimgray:"696969",dimgrey:"696969",dodgerblue:"1e90ff",firebrick:"b22222",floralwhite:"fffaf0",forestgreen:"228b22",fuchsia:"f0f",gainsboro:"dcdcdc",ghostwhite:"f8f8ff",gold:"ffd700",goldenrod:"daa520",gray:"808080",green:"008000",greenyellow:"adff2f",grey:"808080",honeydew:"f0fff0",hotpink:"ff69b4",indianred:"cd5c5c",indigo:"4b0082",ivory:"fffff0",khaki:"f0e68c",lavender:"e6e6fa",lavenderblush:"fff0f5",lawngreen:"7cfc00",lemonchiffon:"fffacd",lightblue:"add8e6",lightcoral:"f08080",lightcyan:"e0ffff",lightgoldenrodyellow:"fafad2",lightgray:"d3d3d3",lightgreen:"90ee90",lightgrey:"d3d3d3",lightpink:"ffb6c1",lightsalmon:"ffa07a",lightseagreen:"20b2aa",lightskyblue:"87cefa",lightslategray:"789",lightslategrey:"789",lightsteelblue:"b0c4de",lightyellow:"ffffe0",lime:"0f0",limegreen:"32cd32",linen:"faf0e6",magenta:"f0f",maroon:"800000",mediumaquamarine:"66cdaa",mediumblue:"0000cd",mediumorchid:"ba55d3",mediumpurple:"9370db",mediumseagreen:"3cb371",mediumslateblue:"7b68ee",mediumspringgreen:"00fa9a",mediumturquoise:"48d1cc",mediumvioletred:"c71585",midnightblue:"191970",mintcream:"f5fffa",mistyrose:"ffe4e1",moccasin:"ffe4b5",navajowhite:"ffdead",navy:"000080",oldlace:"fdf5e6",olive:"808000",olivedrab:"6b8e23",orange:"ffa500",orangered:"ff4500",orchid:"da70d6",palegoldenrod:"eee8aa",palegreen:"98fb98",paleturquoise:"afeeee",palevioletred:"db7093",papayawhip:"ffefd5",peachpuff:"ffdab9",peru:"cd853f",pink:"ffc0cb",plum:"dda0dd",powderblue:"b0e0e6",purple:"800080",rebeccapurple:"663399",red:"f00",rosybrown:"bc8f8f",royalblue:"4169e1",saddlebrown:"8b4513",salmon:"fa8072",sandybrown:"f4a460",seagreen:"2e8b57",seashell:"fff5ee",sienna:"a0522d",silver:"c0c0c0",skyblue:"87ceeb",slateblue:"6a5acd",slategray:"708090",slategrey:"708090",snow:"fffafa",springgreen:"00ff7f",steelblue:"4682b4",tan:"d2b48c",teal:"008080",thistle:"d8bfd8",tomato:"ff6347",turquoise:"40e0d0",violet:"ee82ee",wheat:"f5deb3",white:"fff",whitesmoke:"f5f5f5",yellow:"ff0",yellowgreen:"9acd32"},E_=r_.hexNames=function(e){var t={};for(var r in e)e.hasOwnProperty(r)&&(t[e[r]]=r);return t}(b_);function O_(e){return e=parseFloat(e),(isNaN(e)||e<0||e>1)&&(e=1),e}function S_(e,t){(function(e){return"string"==typeof e&&-1!=e.indexOf(".")&&1===parseFloat(e)})(e)&&(e="100%");var r=function(e){return"string"==typeof e&&-1!=e.indexOf("%")}(e);return e=Math.min(t,Math.max(0,parseFloat(e))),r&&(e=parseInt(e*t,10)/100),Math.abs(e-t)<1e-6?1:e%t/parseFloat(t)}function T_(e){return Math.min(1,Math.max(0,e))}function __(e){return parseInt(e,16)}function w_(e){return 1==e.length?"0"+e:""+e}function R_(e){return e<=1&&(e=100*e+"%"),e}function A_(e){return Math.round(255*parseFloat(e)).toString(16)}function C_(e){return __(e)/255}var I_,L_,N_,P_=(L_="[\\s|\\(]+("+(I_="(?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?)")+")[,|\\s]+("+I_+")[,|\\s]+("+I_+")\\s*\\)?",N_="[\\s|\\(]+("+I_+")[,|\\s]+("+I_+")[,|\\s]+("+I_+")[,|\\s]+("+I_+")\\s*\\)?",{CSS_UNIT:new RegExp(I_),rgb:new RegExp("rgb"+L_),rgba:new RegExp("rgba"+N_),hsl:new RegExp("hsl"+L_),hsla:new RegExp("hsla"+N_),hsv:new RegExp("hsv"+L_),hsva:new RegExp("hsva"+N_),hex3:/^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex6:/^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/,hex4:/^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex8:/^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/});function x_(e){return!!P_.CSS_UNIT.exec(e)}function k_(e){return{outline:"2px dotted transparent",outlineOffset:"2px",boxShadow:`0 0 0 2px ${e.colors.background.canvas}, 0 0 0px 4px ${e.colors.primary.main}`,transitionTimingFunction:"cubic-bezier(0.19, 1, 0.22, 1)",transitionDuration:"0.2s",transitionProperty:"outline, outline-offset, box-shadow"}}const F_=e=>(0,_.css)({"&:focus":k_(e)}),j_=(e,t=!1)=>{const r=t?e.colors.error.border:e.components.input.borderColor,n=t?e.colors.error.shade:e.components.input.borderHover,o=e.components.input.background,i=e.components.input.text,a=e.isDark?"#2e2f35":"#bab4ca";return(0,_.cx)(D_(e),(0,_.css)({background:o,lineHeight:e.typography.body.lineHeight,fontSize:e.typography.size.md,color:i,border:`1px solid ${r}`,"&:-webkit-autofill, &:-webkit-autofill:hover":{boxShadow:`inset 0 0 0 1px rgba(255, 255, 255, 0), inset 0 0 0 100px ${o}!important`,WebkitTextFillColor:`${i} !important`,borderColor:a},"&:-webkit-autofill:focus":{boxShadow:`0 0 0 2px ${e.colors.background.primary}, 0 0 0px 4px ${e.colors.primary.main}, inset 0 0 0 1px rgba(255, 255, 255, 0), inset 0 0 0 100px ${o}!important`,WebkitTextFillColor:`${i} !important`},"&:hover":{borderColor:n},"&:focus":{outline:"none"},"&:disabled":{backgroundColor:e.colors.action.disabledBackground,color:e.colors.action.disabledText,border:`1px solid ${e.colors.action.disabledBackground}`,"&:hover":{borderColor:r}},"&::placeholder":{color:e.colors.text.disabled,opacity:1}}))},D_=e=>(0,_.css)({padding:e.spacing(0,1,0,1)});var M_=function(e){return e.split(/ ?; ?/).reduce((function(e,t){var r=function(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a}(t.split(/ ?: ?/),2),n=r[0],o=r[1];return n&&o&&(e[n.replace(/-(\w)/g,(function(e,t){return t.toUpperCase()}))]=Number.isNaN(Number(o))?o:Number(o)),e}),{})},V_=["br","col","colgroup","dl","hr","iframe","img","input","link","menuitem","meta","ol","param","select","table","tbody","tfoot","thead","tr","ul","wbr"],U_={"accept-charset":"acceptCharset",acceptcharset:"acceptCharset",accesskey:"accessKey",allowfullscreen:"allowFullScreen",autocapitalize:"autoCapitalize",autocomplete:"autoComplete",autocorrect:"autoCorrect",autofocus:"autoFocus",autoplay:"autoPlay",autosave:"autoSave",cellpadding:"cellPadding",cellspacing:"cellSpacing",charset:"charSet",class:"className",classid:"classID",classname:"className",colspan:"colSpan",contenteditable:"contentEditable",contextmenu:"contextMenu",controlslist:"controlsList",crossorigin:"crossOrigin",dangerouslysetinnerhtml:"dangerouslySetInnerHTML",datetime:"dateTime",defaultchecked:"defaultChecked",defaultvalue:"defaultValue",enctype:"encType",for:"htmlFor",formmethod:"formMethod",formaction:"formAction",formenctype:"formEncType",formnovalidate:"formNoValidate",formtarget:"formTarget",frameborder:"frameBorder",hreflang:"hrefLang",htmlfor:"htmlFor",httpequiv:"httpEquiv","http-equiv":"httpEquiv",icon:"icon",innerhtml:"innerHTML",inputmode:"inputMode",itemid:"itemID",itemprop:"itemProp",itemref:"itemRef",itemscope:"itemScope",itemtype:"itemType",keyparams:"keyParams",keytype:"keyType",marginwidth:"marginWidth",marginheight:"marginHeight",maxlength:"maxLength",mediagroup:"mediaGroup",minlength:"minLength",nomodule:"noModule",novalidate:"noValidate",playsinline:"playsInline",radiogroup:"radioGroup",readonly:"readOnly",referrerpolicy:"referrerPolicy",rowspan:"rowSpan",spellcheck:"spellCheck",srcdoc:"srcDoc",srclang:"srcLang",srcset:"srcSet",tabindex:"tabIndex",typemustmatch:"typeMustMatch",usemap:"useMap",accentheight:"accentHeight","accent-height":"accentHeight",alignmentbaseline:"alignmentBaseline","alignment-baseline":"alignmentBaseline",allowreorder:"allowReorder",arabicform:"arabicForm","arabic-form":"arabicForm",attributename:"attributeName",attributetype:"attributeType",autoreverse:"autoReverse",basefrequency:"baseFrequency",baselineshift:"baselineShift","baseline-shift":"baselineShift",baseprofile:"baseProfile",calcmode:"calcMode",capheight:"capHeight","cap-height":"capHeight",clippath:"clipPath","clip-path":"clipPath",clippathunits:"clipPathUnits",cliprule:"clipRule","clip-rule":"clipRule",colorinterpolation:"colorInterpolation","color-interpolation":"colorInterpolation",colorinterpolationfilters:"colorInterpolationFilters","color-interpolation-filters":"colorInterpolationFilters",colorprofile:"colorProfile","color-profile":"colorProfile",colorrendering:"colorRendering","color-rendering":"colorRendering",contentscripttype:"contentScriptType",contentstyletype:"contentStyleType",diffuseconstant:"diffuseConstant",dominantbaseline:"dominantBaseline","dominant-baseline":"dominantBaseline",edgemode:"edgeMode",enablebackground:"enableBackground","enable-background":"enableBackground",externalresourcesrequired:"externalResourcesRequired",fillopacity:"fillOpacity","fill-opacity":"fillOpacity",fillrule:"fillRule","fill-rule":"fillRule",filterres:"filterRes",filterunits:"filterUnits",floodopacity:"floodOpacity","flood-opacity":"floodOpacity",floodcolor:"floodColor","flood-color":"floodColor",fontfamily:"fontFamily","font-family":"fontFamily",fontsize:"fontSize","font-size":"fontSize",fontsizeadjust:"fontSizeAdjust","font-size-adjust":"fontSizeAdjust",fontstretch:"fontStretch","font-stretch":"fontStretch",fontstyle:"fontStyle","font-style":"fontStyle",fontvariant:"fontVariant","font-variant":"fontVariant",fontweight:"fontWeight","font-weight":"fontWeight",glyphname:"glyphName","glyph-name":"glyphName",glyphorientationhorizontal:"glyphOrientationHorizontal","glyph-orientation-horizontal":"glyphOrientationHorizontal",glyphorientationvertical:"glyphOrientationVertical","glyph-orientation-vertical":"glyphOrientationVertical",glyphref:"glyphRef",gradienttransform:"gradientTransform",gradientunits:"gradientUnits",horizadvx:"horizAdvX","horiz-adv-x":"horizAdvX",horizoriginx:"horizOriginX","horiz-origin-x":"horizOriginX",imagerendering:"imageRendering","image-rendering":"imageRendering",kernelmatrix:"kernelMatrix",kernelunitlength:"kernelUnitLength",keypoints:"keyPoints",keysplines:"keySplines",keytimes:"keyTimes",lengthadjust:"lengthAdjust",letterspacing:"letterSpacing","letter-spacing":"letterSpacing",lightingcolor:"lightingColor","lighting-color":"lightingColor",limitingconeangle:"limitingConeAngle",markerend:"markerEnd","marker-end":"markerEnd",markerheight:"markerHeight",markermid:"markerMid","marker-mid":"markerMid",markerstart:"markerStart","marker-start":"markerStart",markerunits:"markerUnits",markerwidth:"markerWidth",maskcontentunits:"maskContentUnits",maskunits:"maskUnits",numoctaves:"numOctaves",overlineposition:"overlinePosition","overline-position":"overlinePosition",overlinethickness:"overlineThickness","overline-thickness":"overlineThickness",paintorder:"paintOrder","paint-order":"paintOrder","panose-1":"panose1",pathlength:"pathLength",patterncontentunits:"patternContentUnits",patterntransform:"patternTransform",patternunits:"patternUnits",pointerevents:"pointerEvents","pointer-events":"pointerEvents",pointsatx:"pointsAtX",pointsaty:"pointsAtY",pointsatz:"pointsAtZ",preservealpha:"preserveAlpha",preserveaspectratio:"preserveAspectRatio",primitiveunits:"primitiveUnits",refx:"refX",refy:"refY",renderingintent:"renderingIntent","rendering-intent":"renderingIntent",repeatcount:"repeatCount",repeatdur:"repeatDur",requiredextensions:"requiredExtensions",requiredfeatures:"requiredFeatures",shaperendering:"shapeRendering","shape-rendering":"shapeRendering",specularconstant:"specularConstant",specularexponent:"specularExponent",spreadmethod:"spreadMethod",startoffset:"startOffset",stddeviation:"stdDeviation",stitchtiles:"stitchTiles",stopcolor:"stopColor","stop-color":"stopColor",stopopacity:"stopOpacity","stop-opacity":"stopOpacity",strikethroughposition:"strikethroughPosition","strikethrough-position":"strikethroughPosition",strikethroughthickness:"strikethroughThickness","strikethrough-thickness":"strikethroughThickness",strokedasharray:"strokeDasharray","stroke-dasharray":"strokeDasharray",strokedashoffset:"strokeDashoffset","stroke-dashoffset":"strokeDashoffset",strokelinecap:"strokeLinecap","stroke-linecap":"strokeLinecap",strokelinejoin:"strokeLinejoin","stroke-linejoin":"strokeLinejoin",strokemiterlimit:"strokeMiterlimit","stroke-miterlimit":"strokeMiterlimit",strokewidth:"strokeWidth","stroke-width":"strokeWidth",strokeopacity:"strokeOpacity","stroke-opacity":"strokeOpacity",suppresscontenteditablewarning:"suppressContentEditableWarning",suppresshydrationwarning:"suppressHydrationWarning",surfacescale:"surfaceScale",systemlanguage:"systemLanguage",tablevalues:"tableValues",targetx:"targetX",targety:"targetY",textanchor:"textAnchor","text-anchor":"textAnchor",textdecoration:"textDecoration","text-decoration":"textDecoration",textlength:"textLength",textrendering:"textRendering","text-rendering":"textRendering",underlineposition:"underlinePosition","underline-position":"underlinePosition",underlinethickness:"underlineThickness","underline-thickness":"underlineThickness",unicodebidi:"unicodeBidi","unicode-bidi":"unicodeBidi",unicoderange:"unicodeRange","unicode-range":"unicodeRange",unitsperem:"unitsPerEm","units-per-em":"unitsPerEm",unselectable:"unselectable",valphabetic:"vAlphabetic","v-alphabetic":"vAlphabetic",vectoreffect:"vectorEffect","vector-effect":"vectorEffect",vertadvy:"vertAdvY","vert-adv-y":"vertAdvY",vertoriginx:"vertOriginX","vert-origin-x":"vertOriginX",vertoriginy:"vertOriginY","vert-origin-y":"vertOriginY",vhanging:"vHanging","v-hanging":"vHanging",videographic:"vIdeographic","v-ideographic":"vIdeographic",viewbox:"viewBox",viewtarget:"viewTarget",vmathematical:"vMathematical","v-mathematical":"vMathematical",wordspacing:"wordSpacing","word-spacing":"wordSpacing",writingmode:"writingMode","writing-mode":"writingMode",xchannelselector:"xChannelSelector",xheight:"xHeight","x-height":"xHeight",xlinkactuate:"xlinkActuate","xlink:actuate":"xlinkActuate",xlinkarcrole:"xlinkArcrole","xlink:arcrole":"xlinkArcrole",xlinkhref:"xlinkHref","xlink:href":"xlinkHref",xlinkrole:"xlinkRole","xlink:role":"xlinkRole",xlinkshow:"xlinkShow","xlink:show":"xlinkShow",xlinktitle:"xlinkTitle","xlink:title":"xlinkTitle",xlinktype:"xlinkType","xlink:type":"xlinkType",xmlbase:"xmlBase","xml:base":"xmlBase",xmllang:"xmlLang","xml:lang":"xmlLang","xml:space":"xmlSpace",xmlnsxlink:"xmlnsXlink","xmlns:xlink":"xmlnsXlink",xmlspace:"xmlSpace",ychannelselector:"yChannelSelector",zoomandpan:"zoomAndPan",onblur:"onBlur",onchange:"onChange",onclick:"onClick",oncontextmenu:"onContextMenu",ondoubleclick:"onDoubleClick",ondrag:"onDrag",ondragend:"onDragEnd",ondragenter:"onDragEnter",ondragexit:"onDragExit",ondragleave:"onDragLeave",ondragover:"onDragOver",ondragstart:"onDragStart",ondrop:"onDrop",onerror:"onError",onfocus:"onFocus",oninput:"onInput",oninvalid:"onInvalid",onkeydown:"onKeyDown",onkeypress:"onKeyPress",onkeyup:"onKeyUp",onload:"onLoad",onmousedown:"onMouseDown",onmouseenter:"onMouseEnter",onmouseleave:"onMouseLeave",onmousemove:"onMouseMove",onmouseout:"onMouseOut",onmouseover:"onMouseOver",onmouseup:"onMouseUp",onscroll:"onScroll",onsubmit:"onSubmit",ontouchcancel:"onTouchCancel",ontouchend:"onTouchEnd",ontouchmove:"onTouchMove",ontouchstart:"onTouchStart",onwheel:"onWheel"},B_=function(){return B_=Object.assign||function(e){for(var t,r=1,n=arguments.length;r<n;r++)for(var o in t=arguments[r])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e},B_.apply(this,arguments)},q_=function(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a},G_=function(e,t,r){if(r||2===arguments.length)for(var n,o=0,i=t.length;o<i;o++)!n&&o in t||(n||(n=Array.prototype.slice.call(t,0,o)),n[o]=t[o]);return e.concat(n||Array.prototype.slice.call(t))};function K_(e,t){var r;if(void 0===t&&(t={}),!(e&&e instanceof Node))return null;var n,o=t.actions,i=void 0===o?[]:o,a=t.index,l=void 0===a?0:a,s=t.level,u=void 0===s?0:s,c=t.randomKey,d=e,p="".concat(u,"-").concat(l),f=[];if(c&&0===u&&(p="".concat(function(e){void 0===e&&(e=6);for(var t="",r=e;r>0;--r)t+="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"[Math.round(61*Math.random())];return t}(),"-").concat(p)),Array.isArray(i)&&i.forEach((function(t){t.condition(d,p,u)&&("function"==typeof t.pre&&((d=t.pre(d,p,u))instanceof Node||(d=e)),"function"==typeof t.post&&f.push(t.post(d,p,u)))})),f.length)return f;switch(d.nodeType){case 1:return w.createElement((n=d.nodeName,/[a-z]+[A-Z]+[a-z]+/.test(n)?n:n.toLowerCase()),function(e,t){var r={key:t};if(e instanceof Element){var n=e.getAttribute("class");n&&(r.className=n),G_([],q_(e.attributes),!1).forEach((function(e){switch(e.name){case"class":break;case"style":r[e.name]=M_(e.value);break;case"allowfullscreen":case"allowpaymentrequest":case"async":case"autofocus":case"autoplay":case"checked":case"controls":case"default":case"defer":case"disabled":case"formnovalidate":case"hidden":case"ismap":case"itemscope":case"loop":case"multiple":case"muted":case"nomodule":case"novalidate":case"open":case"readonly":case"required":case"reversed":case"selected":case"typemustmatch":r[U_[e.name]||e.name]=!0;break;default:r[U_[e.name]||e.name]=e.value}}))}return r}(d,p),function(e,t,r){var n=G_([],q_(e),!1).map((function(e,n){return K_(e,B_(B_({},r),{index:n,level:t+1}))})).filter(Boolean);return n.length?n:null}(d.childNodes,u,t));case 3:var h=(null===(r=d.nodeValue)||void 0===r?void 0:r.toString())||"";if(/^\s+$/.test(h)&&!/[\u00A0\u202F]/.test(h))return null;if(!d.parentNode)return h;var g=d.parentNode.nodeName.toLowerCase();return V_.includes(g)?(/\S/.test(h)&&console.warn("A textNode is not allowed inside '".concat(g,"'. Your text \"").concat(h,'" will be ignored')),null):h;default:return null}}function W_(e,t){return void 0===t&&(t={}),"string"==typeof e?function(e,t){if(void 0===t&&(t={}),!e||"string"!=typeof e)return null;var r=t.nodeOnly,n=void 0!==r&&r,o=t.selector,i=void 0===o?"body > *":o,a=t.type,l=void 0===a?"text/html":a;try{var s=(new DOMParser).parseFromString(e,l).querySelector(i);if(!(s instanceof Node))throw new TypeError("Error parsing input");return n?s:K_(s,t)}catch(e){}return null}(e,t):e instanceof Node?K_(e,t):null}var z_=p(9083),$_={FAILED:"failed",LOADED:"loaded",LOADING:"loading",PENDING:"pending",READY:"ready",UNSUPPORTED:"unsupported"};function H_(){return z_.canUseDOM}var Y_,Q_=(Y_=function(e,t){return Y_=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&(e[r]=t[r])},Y_(e,t)},function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function r(){this.constructor=e}Y_(e,t),e.prototype=null===t?Object.create(t):(r.prototype=t.prototype,new r)}),X_=function(){return X_=Object.assign||function(e){for(var t,r=1,n=arguments.length;r<n;r++)for(var o in t=arguments[r])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e},X_.apply(this,arguments)},J_=function(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a},Z_=Object.create(null),ew=function(e){function t(t){var r=e.call(this,t)||this;return Object.defineProperty(r,"isInitialized",{enumerable:!0,configurable:!0,writable:!0,value:!1}),Object.defineProperty(r,"isActive",{enumerable:!0,configurable:!0,writable:!0,value:!1}),Object.defineProperty(r,"hash",{enumerable:!0,configurable:!0,writable:!0,value:void 0}),Object.defineProperty(r,"handleLoad",{enumerable:!0,configurable:!0,writable:!0,value:function(e,t){void 0===t&&(t=!1),r.isActive&&r.setState({content:e,hasCache:t,status:$_.LOADED},r.getElement)}}),Object.defineProperty(r,"handleError",{enumerable:!0,configurable:!0,writable:!0,value:function(e){var t=r.props.onError,n="Browser does not support SVG"===e.message?$_.UNSUPPORTED:$_.FAILED;r.isActive&&r.setState({status:n},(function(){"function"==typeof t&&t(e)}))}}),Object.defineProperty(r,"request",{enumerable:!0,configurable:!0,writable:!0,value:function(){var e=r.props,t=e.cacheRequests,n=e.fetchOptions,o=e.src;try{return t&&(Z_[o]={content:"",status:$_.LOADING}),fetch(o,n).then((function(e){var t=e.headers.get("content-type"),r=J_((t||"").split(/ ?; ?/),1)[0];if(e.status>299)throw new Error("Not found");if(!["image/svg+xml","text/plain"].some((function(e){return r.includes(e)})))throw new Error("Content type isn't valid: ".concat(r));return e.text()})).then((function(e){var n=r.props.src;if(o===n){if(r.handleLoad(e),t){var i=Z_[o];i&&(i.content=e,i.status=$_.LOADED)}}else Z_[o].status===$_.LOADING&&delete Z_[o]})).catch((function(e){r.handleError(e),t&&Z_[o]&&delete Z_[o]}))}catch(e){return r.handleError(new Error(e.message))}}}),r.state={content:"",element:null,hasCache:!!t.cacheRequests&&!!Z_[t.src],status:$_.PENDING},r.hash=t.uniqueHash||function(e){for(var t,r="abcdefghijklmnopqrstuvwxyz",n="".concat(r).concat(r.toUpperCase()).concat("1234567890"),o="",i=0;i<8;i++)o+=(t=n)[Math.floor(Math.random()*t.length)];return o}(),r}return Q_(t,e),Object.defineProperty(t.prototype,"componentDidMount",{enumerable:!1,configurable:!0,writable:!0,value:function(){if(this.isActive=!0,H_()&&!this.isInitialized){var e=this.state.status,t=this.props.src;try{if(e===$_.PENDING){if(!function(){if(!document)return!1;var e=document.createElement("div");e.innerHTML="<svg />";var t=e.firstChild;return!!t&&"http://www.w3.org/2000/svg"===t.namespaceURI}()||"undefined"==typeof window||null===window)throw new Error("Browser does not support SVG");if(!t)throw new Error("Missing src");this.load()}}catch(e){this.handleError(e)}this.isInitialized=!0}}}),Object.defineProperty(t.prototype,"componentDidUpdate",{enumerable:!1,configurable:!0,writable:!0,value:function(e,t){if(H_()){var r=this.state,n=r.hasCache,o=r.status,i=this.props,a=i.onLoad,l=i.src;if(t.status!==$_.READY&&o===$_.READY&&a&&a(l,n),e.src!==l){if(!l)return void this.handleError(new Error("Missing src"));this.load()}}}}),Object.defineProperty(t.prototype,"componentWillUnmount",{enumerable:!1,configurable:!0,writable:!0,value:function(){this.isActive=!1}}),Object.defineProperty(t.prototype,"getNode",{enumerable:!1,configurable:!0,writable:!0,value:function(){var e=this.props,t=e.description,r=e.title;try{var n=W_(this.processSVG(),{nodeOnly:!0});if(!(n&&n instanceof SVGSVGElement))throw new Error("Could not convert the src to a DOM Node");var o=this.updateSVGAttributes(n);if(t){var i=o.querySelector("desc");i&&i.parentNode&&i.parentNode.removeChild(i);var a=document.createElementNS("http://www.w3.org/2000/svg","desc");a.innerHTML=t,o.prepend(a)}if(void 0!==r){var l=o.querySelector("title");if(l&&l.parentNode&&l.parentNode.removeChild(l),r){var s=document.createElementNS("http://www.w3.org/2000/svg","title");s.innerHTML=r,o.prepend(s)}}return o}catch(e){return this.handleError(e)}}}),Object.defineProperty(t.prototype,"getElement",{enumerable:!1,configurable:!0,writable:!0,value:function(){try{var e=W_(this.getNode());if(!e||!w.isValidElement(e))throw new Error("Could not convert the src to a React element");this.setState({element:e,status:$_.READY})}catch(e){this.handleError(new Error(e.message))}}}),Object.defineProperty(t.prototype,"load",{enumerable:!1,configurable:!0,writable:!0,value:function(){var e=this;this.isActive&&this.setState({content:"",element:null,hasCache:!1,status:$_.LOADING},(function(){var t=e.props,r=t.cacheRequests,n=t.src,o=r&&Z_[n];if(o&&o.status===$_.LOADED)e.handleLoad(o.content,!0);else{var i,a=n.match(/data:image\/svg[^,]*?(;base64)?,(.*)/);a?i=a[1]?window.atob(a[2]):decodeURIComponent(a[2]):n.includes("<svg")&&(i=n),i?e.handleLoad(i):e.request()}}))}}),Object.defineProperty(t.prototype,"updateSVGAttributes",{enumerable:!1,configurable:!0,writable:!0,value:function(e){var t=this,r=this.props,n=r.baseURL,o=void 0===n?"":n,i=r.uniquifyIDs,a=["id","href","xlink:href","xlink:role","xlink:arcrole"],l=["href","xlink:href"];return i?(function(e,t,r){if(r||2===arguments.length)for(var n,o=0,i=t.length;o<i;o++)!n&&o in t||(n||(n=Array.prototype.slice.call(t,0,o)),n[o]=t[o]);return e.concat(n||Array.prototype.slice.call(t))}([],J_(e.children),!1).map((function(e){if(e.attributes&&e.attributes.length){var r=Object.values(e.attributes).map((function(e){var r=e,n=e.value.match(/url\((.*?)\)/);return n&&n[1]&&(r.value=e.value.replace(n[0],"url(".concat(o).concat(n[1],"__").concat(t.hash,")"))),r}));a.forEach((function(e){var n,o,i=r.find((function(t){return t.name===e}));i&&(n=e,o=i.value,!l.includes(n)||!o||o.includes("#"))&&(i.value="".concat(i.value,"__").concat(t.hash))}))}return e.children.length?t.updateSVGAttributes(e):e})),e):e}}),Object.defineProperty(t.prototype,"processSVG",{enumerable:!1,configurable:!0,writable:!0,value:function(){var e=this.state.content,t=this.props.preProcessor;return t?t(e):e}}),Object.defineProperty(t.prototype,"render",{enumerable:!1,configurable:!0,writable:!0,value:function(){var e=this.state,t=e.element,r=e.status,n=this.props,o=n.children,i=void 0===o?null:o,a=n.innerRef,l=n.loader,s=void 0===l?null:l,u=function(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];var n={};for(var o in e)({}).hasOwnProperty.call(e,o)&&(t.includes(o)||(n[o]=e[o]));return n}(this.props,"baseURL","cacheRequests","children","description","fetchOptions","innerRef","loader","onError","onLoad","preProcessor","src","title","uniqueHash","uniquifyIDs");return H_()?t?w.cloneElement(t,X_({ref:a},u)):[$_.UNSUPPORTED,$_.FAILED].includes(r)?i:s:s}}),Object.defineProperty(t,"defaultProps",{enumerable:!0,configurable:!0,writable:!0,value:{cacheRequests:!0,uniquifyIDs:!1}}),t}(w.PureComponent);const tw=ew;p(627),Object.create(null);const rw=/&(?:amp|#38|lt|#60|gt|#62|apos|#39|quot|#34|nbsp|#160|copy|#169|reg|#174|hellip|#8230|#x2F|#47);/g,nw={"&amp;":"&","&#38;":"&","&lt;":"<","&#60;":"<","&gt;":">","&#62;":">","&apos;":"'","&#39;":"'","&quot;":'"',"&#34;":'"',"&nbsp;":" ","&#160;":" ","&copy;":"©","&#169;":"©","&reg;":"®","&#174;":"®","&hellip;":"…","&#8230;":"…","&#x2F;":"/","&#47;":"/"},ow=e=>nw[e];let iw,aw={bindI18n:"languageChanged",bindI18nStore:"",transEmptyNodeValue:"",transSupportBasicHtmlNodes:!0,transWrapTextNodes:"",transKeepBasicHtmlNodesFor:["br","strong","i","p"],useSuspense:!0,unescape:e=>e.replace(rw,ow)};const lw={type:"3rdParty",init(e){!function(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};aw={...aw,...e}}(e.options.react),function(e){iw=e}(e)}};(0,w.createContext)();const sw=Gp.t,uw=["grafana","favorite","heart-break","heart","panel-add","library-panel","circle-mono"];function cw(e,t){return(null==e?void 0:e.startsWith("gf-"))?"custom":uw.includes(e)?"mono":"default"===t?"unicons":"solid"===t?"solid":"mono"}let dw;function pw(){if(dw)return dw;const e="undefined"!=typeof window&&window.__grafana_public_path__;return dw=e?e+"img/icons/":"public/img/icons/",dw}function fw(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const hw=e=>({icon:(0,_.css)({display:"inline-block",fill:"currentColor",flexShrink:0,label:"Icon",lineHeight:0,verticalAlign:"middle"}),orange:(0,_.css)({fill:e.v1.palette.orange})}),gw=R().forwardRef(((e,t)=>{var{size:r="md",type:n="default",name:o,className:i,style:a,title:l=""}=e,s=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["size","type","name","className","style","title"]);const u=JT(hw);(0,T.isIconName)(o)||console.warn("Icon component passed an invalid icon name",o);const c="fa fa-spinner"===o?"spinner":o,d=pw(),p=function(e){switch(e){case"xs":return 12;case"sm":return 14;case"md":return 16;case"lg":return 18;case"xl":return 24;case"xxl":return 36;case"xxxl":return 48}}(r),f=p,h=o.startsWith("gf-bar-align")?16:o.startsWith("gf-interp")?30:p,g=`${d}${cw(c,n)}/${c}.svg`,v=(0,_.cx)(u.icon,i,"mono"===n?{[u.orange]:"favorite"===o}:"","spinner"===c&&"fa-spin");return R().createElement(tw,function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){fw(e,t,r[t])}))}return e}({"aria-hidden":!(void 0!==s.tabIndex||l||s["aria-label"]||s["aria-labelledby"]||s["aria-describedby"]),innerRef:t,src:g,width:h,height:f,title:l,className:v,style:a},s))}));gw.displayName="Icon";const vw=({className:e,inline:t=!1,iconClassName:r,style:n,size:o="md"})=>{const i=JT(mw),a=JT(yw,o),l=window.matchMedia("(prefers-reduced-motion: reduce)").matches,s=l?"hourglass":"spinner";if("string"!=typeof o||!["xs","sm","md","lg","xl","xxl","xxxl"].includes(o)){const r="spinner",l=`${pw()}${cw(r,"default")}/${r}.svg`;return R().createElement("div",{"data-testid":"Spinner",style:n,className:(0,_.cx)({[i.inline]:t},a.wrapper,e)},R().createElement(tw,{src:l,width:o,height:o,className:(0,_.cx)("fa-spin",a.icon,e),style:n}))}return R().createElement("div",{"data-testid":"Spinner",style:n,className:(0,_.cx)({[i.inline]:t},e)},R().createElement(gw,{className:(0,_.cx)({"fa-spin":!l},r),name:s,size:o,"aria-label":("grafana-ui.spinner.aria-label","Loading","object"!=typeof Gp.options.resources&&Gp.use(lw).init({resources:{},returnEmptyString:!1,lng:"en-US"}),sw("grafana-ui.spinner.aria-label","Loading",undefined))}))},mw=e=>({inline:(0,_.css)({display:"inline-block"})}),yw=(e,t)=>({wrapper:(0,_.css)({fontSize:"string"==typeof t?t:`${t}px`}),icon:(0,_.css)({display:"inline-block",fill:"currentColor",flexShrink:0,label:"Icon",lineHeight:0,verticalAlign:"middle"})});function bw(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Ew=R().forwardRef(((e,t)=>{const{className:r,addonAfter:n,addonBefore:o,prefix:i,suffix:a,invalid:l,loading:s,width:u=0}=e,c=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["className","addonAfter","addonBefore","prefix","suffix","invalid","loading","width"]),[d,p]=(0,zT.A)(),[f,h]=(0,zT.A)(),g=XT(),v=Ow({theme:g,invalid:!!l,width:u});return R().createElement("div",{className:(0,_.cx)(v.wrapper,r),"data-testid":"input-wrapper"},!!o&&R().createElement("div",{className:v.addon},o),R().createElement("div",{className:v.inputWrapper},i&&R().createElement("div",{className:v.prefix,ref:d},i),R().createElement("input",(m=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){bw(e,t,r[t])}))}return e}({ref:t,className:v.input},c),y=null!=(y={style:{paddingLeft:i?p.width+12:void 0,paddingRight:a||s?h.width+12:void 0}})?y:{},Object.getOwnPropertyDescriptors?Object.defineProperties(m,Object.getOwnPropertyDescriptors(y)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(y)).forEach((function(e){Object.defineProperty(m,e,Object.getOwnPropertyDescriptor(y,e))})),m)),(a||s)&&R().createElement("div",{className:v.suffix,ref:f},s&&R().createElement(vw,{className:v.loadingIndicator,inline:!0}),a)),!!n&&R().createElement("div",{className:v.addon},n));var m,y}));Ew.displayName="Input";const Ow=(Sw=({theme:e,invalid:t=!1,width:r})=>{const n="28px",o=(0,_.css)({position:"absolute",top:0,zIndex:1,display:"flex",alignItems:"center",justifyContent:"center",flexGrow:0,flexShrink:0,fontSize:e.typography.size.md,height:"100%",minWidth:n,color:e.colors.text.secondary});return{wrapper:(0,_.cx)((0,_.css)({label:"input-wrapper",display:"flex",width:r?e.spacing(r):"100%",height:e.spacing(e.components.height.md),borderRadius:e.shape.radius.default,"&:hover":{"> .prefix, .suffix, .input":{borderColor:t?e.colors.error.border:e.colors.primary.border},"input[type='number']":{appearance:"textfield"},"input[type='number']::-webkit-inner-spin-button, input[type='number']::-webkit-outer-spin-button":{WebkitAppearance:"inner-spin-button !important",opacity:1}}})),inputWrapper:(0,_.css)({label:"input-inputWrapper",position:"relative",flexGrow:1,zIndex:1,"&:not(:first-child):last-child":{"> input":{borderLeft:"none",borderTopLeftRadius:0,borderBottomLeftRadius:0}},"&:first-child:not(:last-child)":{"> input":{borderRight:"none",borderTopRightRadius:0,borderBottomRightRadius:0}},"&:not(:first-child):not(:last-child)":{"> input":{borderRight:"none",borderTopRightRadius:0,borderBottomRightRadius:0,borderTopLeftRadius:0,borderBottomLeftRadius:0}},input:{"&:not(:first-child)":{paddingLeft:n},"&:not(:last-child)":{paddingRight:n},"&[readonly]":{cursor:"default"}}}),input:(0,_.cx)(F_(e),j_(e,t),(0,_.css)({label:"input-input",position:"relative",zIndex:0,flexGrow:1,borderRadius:e.shape.radius.default,height:"100%",width:"100%"})),inputDisabled:(0,_.css)({backgroundColor:e.colors.action.disabledBackground,color:e.colors.action.disabledText,border:`1px solid ${e.colors.action.disabledBackground}`,"&:focus":{boxShadow:"none"}}),addon:(0,_.css)({label:"input-addon",display:"flex",justifyContent:"center",alignItems:"center",flexGrow:0,flexShrink:0,position:"relative","&:first-child":{borderTopRightRadius:0,borderBottomRightRadius:0,"> :last-child":{borderTopRightRadius:0,borderBottomRightRadius:0}},"&:last-child":{borderTopLeftRadius:0,borderBottomLeftRadius:0,"> :first-child":{borderTopLeftRadius:0,borderBottomLeftRadius:0}},"> *:focus":{zIndex:2}}),prefix:(0,_.cx)(o,(0,_.css)({label:"input-prefix",paddingLeft:e.spacing(1),paddingRight:e.spacing(.5),borderRight:"none",borderTopRightRadius:0,borderBottomRightRadius:0})),suffix:(0,_.cx)(o,(0,_.css)({label:"input-suffix",paddingLeft:e.spacing(1),paddingRight:e.spacing(1),marginBottom:"-2px",borderLeft:"none",borderTopLeftRadius:0,borderBottomLeftRadius:0,right:0})),loadingIndicator:(0,_.css)({"& + *":{marginLeft:e.spacing(.5)}})}},HT()(Sw));var Sw;function Tw({value:e,defaultValue:t,onChange:r,width:n}){const[o,i]=R().useState(!1);return R().createElement(Ew,{type:"number",placeholder:String(t),value:o?"":e,onChange:e=>{var n;if(""===(null===(n=e.currentTarget.value)||void 0===n?void 0:n.trim()))i(!0),r(t);else{i(!1);const t=Number(e.currentTarget.value);Number.isNaN(t)||r(t)}},width:n})}function _w(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function ww(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){_w(e,t,r[t])}))}return e}const Rw=e=>{const{onOptionsChange:t,options:r}=e,n=r.jsonData,o=void 0!==n.maxIdleConnsAuto&&n.maxIdleConnsAuto,i=e=>{const o=(i=ww({},r),a=null!=(a={jsonData:ww({},n,e)})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(i,Object.getOwnPropertyDescriptors(a)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(a)).forEach((function(e){Object.defineProperty(i,e,Object.getOwnPropertyDescriptor(a,e))})),i);var i,a;return t(o)},a=e=>t=>{i({[e]:t})};return R().createElement(WT,{title:"Connection limits"},R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(Xe,{gap:.5},R().createElement("span",null,"Max open"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"The maximum number of open connections to the database. If ",R().createElement("i",null,"Max idle connections")," is greater than 0 and the ",R().createElement("i",null,"Max open connections")," is less than ",R().createElement("i",null,"Max idle connections"),", then",R().createElement("i",null,"Max idle connections")," will be reduced to match the ",R().createElement("i",null,"Max open connections")," limit. If set to 0, there is no limit on the number of open connections.")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(Tw,{value:n.maxOpenConns,defaultValue:ge.config.sqlConnectionLimits.maxOpenConns,onChange:e=>{var t;t=e,i(o&&t?{maxOpenConns:t,maxIdleConns:t}:{maxOpenConns:t})},width:40})),R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(Xe,{gap:.5},R().createElement("span",null,"Auto max idle"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"If enabled, automatically set the number of ",R().createElement("i",null,"Maximum idle connections")," to the same value as",R().createElement("i",null," Max open connections"),". If the number of maximum open connections is not set it will be set to the default (",ge.config.sqlConnectionLimits.maxIdleConns,").")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(A.Switch,{value:o,onChange:()=>{let e,t;o?(t=n.maxOpenConns,e=n.maxIdleConns):void 0!==n.maxOpenConns&&(t=n.maxOpenConns,e=n.maxOpenConns),i({maxIdleConnsAuto:!o,maxIdleConns:e,maxOpenConns:t})}})),R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(Xe,{gap:.5},R().createElement("span",null,"Max idle"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"The maximum number of connections in the idle connection pool.If ",R().createElement("i",null,"Max open connections")," is greater than 0 but less than the ",R().createElement("i",null,"Max idle connections"),", then the ",R().createElement("i",null,"Max idle connections")," ","will be reduced to match the ",R().createElement("i",null,"Max open connections")," limit. If set to 0, no idle connections are retained.")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},o?R().createElement(A.InlineLabel,{width:40},r.jsonData.maxIdleConns):R().createElement(Tw,{value:n.maxIdleConns,defaultValue:ge.config.sqlConnectionLimits.maxIdleConns,onChange:e=>{a("maxIdleConns")(e)},width:40})),R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(Xe,{gap:.5},R().createElement("span",null,"Max lifetime"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"The maximum amount of time in seconds a connection may be reused. If set to 0, connections are reused forever.")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(Tw,{value:n.connMaxLifetime,defaultValue:ge.config.sqlConnectionLimits.connMaxLifetime,onChange:e=>{a("connMaxLifetime")(e)},width:40})))},Aw=()=>{const e=(0,A.useStyles2)(Cw);return R().createElement("hr",{className:e.horizontalDivider})},Cw=e=>({horizontalDivider:(0,_.css)({borderTop:`1px solid ${e.colors.border.weak}`,margin:e.spacing(2,0),width:"100%"})}),Iw=e=>{const{editorProps:t,showCACert:r,showKeyPair:n=!0}=e,{secureJsonFields:o}=t.options;return R().createElement(R().Fragment,null,n?R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(A.Stack,{gap:.5},R().createElement("span",null,"TLS/SSL Client Certificate"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"To authenticate with an TLS/SSL client certificate, provide the client certificate here.")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(A.SecretTextArea,{placeholder:"-----BEGIN CERTIFICATE-----",cols:45,rows:7,isConfigured:o&&o.tlsClientCert,onChange:(0,T.onUpdateDatasourceSecureJsonDataOption)(t,"tlsClientCert"),onReset:()=>{(0,T.updateDatasourcePluginResetOption)(t,"tlsClientCert")}})):null,r?R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(A.Stack,{gap:.5},R().createElement("span",null,"TLS/SSL Root Certificate"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"If the selected TLS/SSL mode requires a server root certificate, provide it here.")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(A.SecretTextArea,{placeholder:"-----BEGIN CERTIFICATE-----",cols:45,rows:7,isConfigured:o&&o.tlsCACert,onChange:(0,T.onUpdateDatasourceSecureJsonDataOption)(t,"tlsCACert"),onReset:()=>{(0,T.updateDatasourcePluginResetOption)(t,"tlsCACert")}})):null,n?R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(A.Stack,{gap:.5},R().createElement("span",null,"TLS/SSL Client Key"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"To authenticate with a client TLS/SSL certificate, provide the key here.")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(A.SecretTextArea,{placeholder:"-----BEGIN RSA PRIVATE KEY-----",cols:45,rows:7,isConfigured:o&&o.tlsClientKey,onChange:(0,T.onUpdateDatasourceSecureJsonDataOption)(t,"tlsClientKey"),onReset:()=>{(0,T.updateDatasourcePluginResetOption)(t,"tlsClientKey")}})):null)},Lw=(0,ge.createMonitoringLogger)("features.plugins.sql");function Nw(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Pw(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Nw(e,t,r[t])}))}return e}function xw(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function kw(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Fw={dialect:"postgres"};var jw=Object.defineProperty,Dw=Object.defineProperties,Mw=Object.getOwnPropertyDescriptors,Vw=Object.getOwnPropertySymbols,Uw=Object.prototype.hasOwnProperty,Bw=Object.prototype.propertyIsEnumerable,qw=(e,t,r)=>t in e?jw(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,Gw=(e,t)=>{for(var r in t||(t={}))Uw.call(t,r)&&qw(e,r,t[r]);if(Vw)for(var r of Vw(t))Bw.call(t,r)&&qw(e,r,t[r]);return e};const Kw=({dataSourceName:e,docsLink:t,hasRequiredFields:r=!0,className:n})=>{const o=(0,A.useTheme2)(),i={container:(0,_.css)({p:{margin:0},"p + p":{marginTop:o.spacing(2)}}),text:(0,_.css)((a=Gw({},o.typography.body),l={color:o.colors.text.secondary,a:(0,_.css)({color:o.colors.text.link,textDecoration:"underline","&:hover":{textDecoration:"none"}})},Dw(a,Mw(l))))};var a,l;return R().createElement("div",{className:(0,_.cx)(i.container,n)},R().createElement("p",{className:i.text},"Before you can use the ",e," data source, you must configure it below or in the config file. For detailed instructions,"," ",R().createElement("a",{href:t,target:"_blank",rel:"noreferrer"},"view the documentation"),"."),r&&R().createElement("p",{className:i.text},R().createElement("i",null,"Fields marked with * are required")))};var Ww=Object.defineProperty,zw=Object.defineProperties,$w=Object.getOwnPropertyDescriptors,Hw=Object.getOwnPropertySymbols,Yw=Object.prototype.hasOwnProperty,Qw=Object.prototype.propertyIsEnumerable,Xw=(e,t,r)=>t in e?Ww(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const Jw=e=>{var t,r=e,{children:n}=r,o=((e,t)=>{var r={};for(var n in e)Yw.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&Hw)for(var n of Hw(e))t.indexOf(n)<0&&Qw.call(e,n)&&(r[n]=e[n]);return r})(r,["children"]);return R().createElement(DT,(t=((e,t)=>{for(var r in t||(t={}))Yw.call(t,r)&&Xw(e,r,t[r]);if(Hw)for(var r of Hw(t))Qw.call(t,r)&&Xw(e,r,t[r]);return e})({},o),zw(t,$w({kind:"section"}))),n)};var Zw,eR;!function(e){e.disable="disable",e.require="require",e.verifyCA="verify-ca",e.verifyFull="verify-full"}(Zw||(Zw={})),function(e){e.filePath="file-path",e.fileContent="file-content"}(eR||(eR={}));var tR=p(1510);const rR=p.n(tR)(),nR=function(e,t){!function(e,t,r){var n=(0,w.useRef)(void 0);n.current&&r(t,n.current)||(n.current=t),(0,w.useEffect)(e,n.current)}(e,t,rR)};var oR,iR,aR,lR,sR,uR,cR,dR,pR,fR,hR,gR,vR,mR,yR,bR,ER,OR,SR,TR,_R,wR,RR,AR,CR,IR,LR,NR,PR,xR,kR,FR,jR,DR,MR,VR,UR,BR,qR,GR,KR;function WR(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}!function(e){e.AlertStates="alertStates",e.Annotations="annotations",e.Series="series"}(oR||(oR={})),function(e){e.Linear="linear",e.Quad="quad"}(iR||(iR={})),function(e){e.Clamped="clamped",e.Mod="mod"}(aR||(aR={})),function(e){e.Field="field",e.Fixed="fixed",e.Template="template"}(lR||(lR={})),function(e){e.Field="field",e.Fixed="fixed",e.Mapping="mapping"}(sR||(sR={})),function(e){e.Auto="auto",e.Coords="coords",e.Geohash="geohash",e.Lookup="lookup"}(uR||(uR={})),function(e){e.Count="count",e.Size="size"}(cR||(cR={})),function(e){e.auto="auto",e.ge="ge",e.le="le",e.unknown="unknown"}(dR||(dR={})),function(e){e.Ascending="Ascending",e.Descending="Descending"}(pR||(pR={})),function(e){e.Auto="auto",e.Bottom="bottom",e.Hidden="hidden",e.Left="left",e.Right="right",e.Top="top"}(fR||(fR={})),function(e){e.Series="series",e.Text="text"}(hR||(hR={})),function(e){e.Always="always",e.Auto="auto",e.Never="never"}(gR||(gR={})),function(e){e.Bars="bars",e.Line="line",e.Points="points"}(vR||(vR={})),function(e){e.Constant="constant",e.NegativeY="negative-Y"}(mR||(mR={})),function(e){e.Linear="linear",e.Smooth="smooth",e.StepAfter="stepAfter",e.StepBefore="stepBefore"}(yR||(yR={})),function(e){e.Linear="linear",e.Log="log",e.Ordinal="ordinal",e.Symlog="symlog"}(bR||(bR={})),function(e){e.Hue="hue",e.None="none",e.Opacity="opacity",e.Scheme="scheme"}(ER||(ER={})),function(e){e.None="none",e.Normal="normal",e.Percent="percent"}(OR||(OR={})),function(e){e[e.After=1]="After",e[e.Before=-1]="Before",e[e.Center=0]="Center"}(SR||(SR={})),function(e){e[e.Horizontal=0]="Horizontal",e[e.Vertical=1]="Vertical"}(TR||(TR={})),function(e){e[e.Down=-1]="Down",e[e.Left=-1]="Left",e[e.Right=1]="Right",e[e.Up=1]="Up"}(_R||(_R={})),function(e){e.Area="area",e.Dashed="dashed",e.DashedAndArea="dashed+area",e.Line="line",e.LineAndArea="line+area",e.Off="off",e.Series="series"}(wR||(wR={})),function(e){e.Hidden="hidden",e.List="list",e.Table="table"}(RR||(RR={})),function(e){e.Auto="auto",e.Horizontal="horizontal",e.Vertical="vertical"}(AR||(AR={})),function(e){e.Background="background",e.BackgroundSolid="background_solid",e.None="none",e.Value="value"}(CR||(CR={})),function(e){e.Area="area",e.Line="line",e.None="none"}(IR||(IR={})),function(e){e.Auto="auto",e.Center="center"}(LR||(LR={})),function(e){e.Auto="auto",e.Name="name",e.None="none",e.Value="value",e.ValueAndName="value_and_name"}(NR||(NR={})),function(e){e.Inverted="inverted",e.SameAsValue="same_as_value",e.Standard="standard"}(PR||(PR={})),function(e){e.Multi="multi",e.None="none",e.Single="single"}(xR||(xR={})),function(e){e.Ascending="asc",e.Descending="desc",e.None="none"}(kR||(kR={})),function(e){e.Basic="basic",e.Gradient="gradient",e.Lcd="lcd"}(FR||(FR={})),function(e){e.Color="color",e.Hidden="hidden",e.Text="text"}(jR||(jR={})),function(e){e.Auto="auto",e.Left="left",e.Top="top"}(DR||(DR={})),function(e){e.Auto="auto",e.Manual="manual"}(MR||(MR={})),function(e){e.Auto="auto",e.BasicGauge="basic",e.ColorBackground="color-background",e.ColorBackgroundSolid="color-background-solid",e.ColorText="color-text",e.Custom="custom",e.DataLinks="data-links",e.Gauge="gauge",e.GradientGauge="gradient-gauge",e.Image="image",e.JSONView="json-view",e.LcdGauge="lcd-gauge",e.Sparkline="sparkline"}(VR||(VR={})),function(e){e.Basic="basic",e.Gradient="gradient"}(UR||(UR={})),function(e){e.Auto="auto",e.Lg="lg",e.Md="md",e.Sm="sm"}(BR||(BR={})),function(e){e.CSV="csv",e.Date="date",e.Distributed="distributed",e.DoubleQuote="doublequote",e.Glob="glob",e.HTML="html",e.JSON="json",e.Lucene="lucene",e.PercentEncode="percentencode",e.Pipe="pipe",e.QueryParam="queryparam",e.Raw="raw",e.Regex="regex",e.SQLString="sqlstring",e.SingleQuote="singlequote",e.Text="text",e.UriEncode="uriencode"}(qR||(qR={})),function(e){e.exact="exact",e.none="none",e.numbers="numbers",e.signature="signature"}(GR||(GR={})),function(e){e.EQ="eq",e.GT="gt",e.GTE="gte",e.LT="lt",e.LTE="lte",e.NEQ="neq"}(KR||(KR={}));class zR{interpolate(){var e;return(null===(e=this.templateSrv)||void 0===e?void 0:e.replace(this.target.rawSql,this.scopedVars,qR.SQLString))||""}quoteLiteral(e){return"'"+e.replace(/'/g,"''")+"'"}constructor(e,t,r){WR(this,"target",void 0),WR(this,"templateSrv",void 0),WR(this,"scopedVars",void 0),this.target=we(e||{refId:"A"}),this.templateSrv=t,this.scopedVars=r}}function $R(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function HR(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){$R(i,n,o,a,l,"next",e)}function l(e){$R(i,n,o,a,l,"throw",e)}a(void 0)}))}}function YR(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const QR=({getColumns:e,getTables:t})=>(r,n)=>{return o=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){YR(e,t,r[t])}))}return e}({},n&&yr(0,n)),i=null!=(i={tables:{resolve:HR((function*(){return yield t.current()}))},columns:{resolve:(a=HR((function*(t){return yield e.current({table:null==t?void 0:t.table,refId:"A"})})),function(e){return a.apply(this,arguments)})}})?i:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(i)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(i)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(i,e))})),o;var o,i,a};function XR(){return(XR=HR((function*(e,t){const r=yield e.fields(t);return r.length>0?r.map((e=>({name:e.value,type:e.value,description:e.value}))):[]}))).apply(this,arguments)}function JR(){return(JR=HR((function*(e){var t;return(yield null===(t=e.lookup)||void 0===t?void 0:t.call(e))||[]}))).apply(this,arguments)}function ZR(e){switch(e){case"boolean":return{raqbFieldType:"boolean",icon:"toggle-off"};case"bit":case"bit varying":case"character":case"character varying":case"text":default:return{raqbFieldType:"text",icon:"text"};case"smallint":case"integer":case"bigint":case"decimal":case"numeric":case"real":case"double precision":case"serial":case"bigserial":case"smallserial":return{raqbFieldType:"number",icon:"calculator-alt"};case"date":return{raqbFieldType:"date",icon:"clock-nine"};case"time":case"time with time zone":case"time without time zone":case"interval":return{raqbFieldType:"time",icon:"clock-nine"};case"timestamp":case"timestamp with time zone":case"timestamp without time zone":return{raqbFieldType:"datetime",icon:"clock-nine"}}}function eA({sql:e,table:t}){var r,n,o,i;let a="";return e&&Oe(e.columns)?(a+=`SELECT ${e.columns.map((e=>{let t="";var r;if(e.name&&e.alias)t+=`${e.name}(${null===(r=e.parameters)||void 0===r?void 0:r.map((e=>`${e.name}`))}) AS ${e.alias}`;else if(e.name){var n;t+=`${e.name}(${null===(n=e.parameters)||void 0===n?void 0:n.map((e=>`${e.name}`))})`}else if(e.alias){var o;t+=`${null===(o=e.parameters)||void 0===o?void 0:o.map((e=>`${e.name}`))} AS ${e.alias}`}else{var i;t+=`${null===(i=e.parameters)||void 0===i?void 0:i.map((e=>`${e.name}`))}`}return t})).join(", ")} `,t&&(a+=`FROM ${t} `),e.whereString&&(a+=`WHERE ${e.whereString} `),(null===(n=e.groupBy)||void 0===n||null===(r=n[0])||void 0===r?void 0:r.property.name)&&(a+=`GROUP BY ${e.groupBy.map((e=>e.property.name)).filter((e=>!(0,ve.isEmpty)(e))).join(", ")} `),(null===(o=e.orderBy)||void 0===o?void 0:o.property.name)&&(a+=`ORDER BY ${e.orderBy.property.name} `),(null===(i=e.orderBy)||void 0===i?void 0:i.property.name)&&e.orderByDirection&&(a+=`${e.orderByDirection} `),void 0!==e.limit&&e.limit>=0&&(a+=`LIMIT ${e.limit} `),a):a}function tA(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function rA(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){tA(i,n,o,a,l,"next",e)}function l(e){tA(i,n,o,a,l,"throw",e)}a(void 0)}))}}function nA(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function oA(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){nA(e,t,r[t])}))}return e}class iA extends CT{getQueryModel(e,t,r){return new zR(e,t,r)}getVersion(){var e=this;return rA((function*(){var t;const r=null===(t=(yield e.runSql("SELECT current_setting('server_version_num')::int/100 as version")).fields.version)||void 0===t?void 0:t.values;return r?r[0].toString():""}))()}getTimescaleDBVersion(){var e=this;return rA((function*(){var t;const r=null===(t=(yield e.runSql("SELECT extversion FROM pg_extension WHERE extname = 'timescaledb'")).fields.extversion)||void 0===t?void 0:t.values;if(r)return r[0]}))()}fetchTables(){var e=this;return rA((function*(){var t,r;return null!==(r=null===(t=(yield e.runSql("select quote_ident(table_name) as \"table\" from information_schema.tables\n    where quote_ident(table_schema) not in ('information_schema',\n                             'pg_catalog',\n                             '_timescaledb_cache',\n                             '_timescaledb_catalog',\n                             '_timescaledb_internal',\n                             '_timescaledb_config',\n                             'timescaledb_information',\n                             'timescaledb_experimental')\n      and \n          quote_ident(table_schema) IN (\n          SELECT\n            CASE WHEN trim(s[i]) = '\"$user\"' THEN user ELSE trim(s[i]) END\n          FROM\n            generate_series(\n              array_lower(string_to_array(current_setting('search_path'),','),1),\n              array_upper(string_to_array(current_setting('search_path'),','),1)\n            ) as i,\n            string_to_array(current_setting('search_path'),',') s\n          )",{refId:"tables"})).fields.table)||void 0===t?void 0:t.values.flat())&&void 0!==r?r:[]}))()}getSqlLanguageDefinition(e){if(void 0!==this.sqlLanguageDefinition)return this.sqlLanguageDefinition;const t={getColumns:{current:t=>function(e,t){return XR.apply(this,arguments)}(e,t)},getTables:{current:()=>function(e){return JR.apply(this,arguments)}(e)}};return this.sqlLanguageDefinition={id:"pgsql",completionProvider:QR(t),formatter:Wr},this.sqlLanguageDefinition}fetchFields(e){var t=this;return rA((function*(){const{table:r}=e;if(void 0===r)return[];const n=yield t.runSql(function(e){return`select quote_ident(column_name) as "column", data_type as "type"\n    from information_schema.columns\n    where quote_ident(table_name) = ${"'"+e.replace(/'/g,"''")+"'"};\n    `}(r),{refId:"columns"}),o=[];for(let e=0;e<n.length;e++){const t=n.fields.column.values[e],r=n.fields.type.values[e];o.push(oA({label:t,value:t,type:r},ZR(r)))}return o}))()}getDB(){if(void 0!==this.db)return this.db;var e,t=this,r=this;return{init:()=>Promise.resolve(!0),datasets:()=>Promise.resolve([]),tables:()=>this.fetchTables(),getEditorLanguageDefinition:()=>this.getSqlLanguageDefinition(this.db),fields:(e=rA((function*(e){return(null==e?void 0:e.table)?t.fetchFields(e):[]})),function(t){return e.apply(this,arguments)}),validateQuery:e=>Promise.resolve({isError:!1,isValid:!0,query:e,error:"",rawSql:e.rawSql}),dsID:()=>this.id,toRawSql:eA,lookup:rA((function*(){return(yield r.fetchTables()).map((e=>({name:e,completion:e})))}))}}constructor(e){super(e),nA(this,"sqlLanguageDefinition",void 0)}}function aA(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function lA(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const sA=[{label:"9.0",value:900},{label:"9.1",value:901},{label:"9.2",value:902},{label:"9.3",value:903},{label:"9.4",value:904},{label:"9.5",value:905},{label:"9.6",value:906},{label:"10",value:1e3},{label:"11",value:1100},{label:"12",value:1200},{label:"13",value:1300},{label:"14",value:1400},{label:"15",value:1500}],uA=new T.DataSourcePlugin(iA).setQueryEditor((function(e){return R().createElement(mT,(t=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){kw(e,t,r[t])}))}return e}({},e),r=null!=(r={queryHeaderProps:Fw})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(r)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(r)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(r,e))})),t));var t,r})).setQueryEditorHelp((function(){const e=(0,A.useStyles2)(C);return R().createElement("div",null,R().createElement("h2",null,"PostgreSQL cheat sheet"),"Time series:",R().createElement("ul",{className:e.ulPadding},R().createElement("li",null,"return column named ",R().createElement("i",null,"time")," (UTC in seconds or timestamp)"),R().createElement("li",null,"return column(s) with numeric datatype as values")),"Optional:",R().createElement("ul",{className:e.ulPadding},R().createElement("li",null,"return column named ",R().createElement("i",null,"metric")," to represent the series name."),R().createElement("li",null,"If multiple value columns are returned the metric column is used as prefix."),R().createElement("li",null,"If no column named metric is found the column name of the value column is used as series name")),R().createElement("p",null,"Resultsets of time series queries need to be sorted by time."),"Table:",R().createElement("ul",{className:e.ulPadding},R().createElement("li",null,"return any set of columns")),"Macros:",R().createElement("ul",{className:e.ulPadding},R().createElement("li",null,'$__time(column) -> column as "time"'),R().createElement("li",null,'$__timeEpoch -> extract(epoch from column) as "time"'),R().createElement("li",null,"$__timeFilter(column) -> column BETWEEN '2017-04-21T05:01:17Z' AND '2017-04-21T05:01:17Z'"),R().createElement("li",null,"$__unixEpochFilter(column) -> column >= 1492750877 AND column <= 1492750877"),R().createElement("li",null,"$__unixEpochNanoFilter(column) -> column >= 1494410783152415214 AND column <= 1494497183142514872"),R().createElement("li",null,"$__timeGroup(column,'5m'[, fillvalue]) -> (extract(epoch from column)/300)::bigint*300 by setting fillvalue grafana will fill in missing values according to the interval fillvalue can be either a literal value, NULL or previous; previous will fill in the previous seen value or NULL if none has been seen yet"),R().createElement("li",null,"$__timeGroupAlias(column,'5m') -> (extract(epoch from column)/300)::bigint*300 AS \"time\""),R().createElement("li",null,"$__unixEpochGroup(column,'5m') -> floor(column/300)*300"),R().createElement("li",null,"$__unixEpochGroupAlias(column,'5m') -> floor(column/300)*300 AS \"time\"")),R().createElement("p",null,"Example of group by and order by with $__timeGroup:"),R().createElement("pre",null,R().createElement("code",null,"SELECT $__timeGroup(date_time_col, '1h'), sum(value) as value ",R().createElement("br",null),"FROM yourtable",R().createElement("br",null),"GROUP BY time",R().createElement("br",null),"ORDER BY time",R().createElement("br",null))),"Or build your own conditionals using these macros which just return the values:",R().createElement("ul",{className:e.ulPadding},R().createElement("li",null,"$__timeFrom() -> '2017-04-21T05:01:17Z'"),R().createElement("li",null,"$__timeTo() -> '2017-04-21T05:01:17Z'"),R().createElement("li",null,"$__unixEpochFrom() -> 1492750877"),R().createElement("li",null,"$__unixEpochTo() -> 1492750877"),R().createElement("li",null,"$__unixEpochNanoFrom() -> 1494410783152415214"),R().createElement("li",null,"$__unixEpochNanoTo() -> 1494497183142514872")))})).setConfigEditor((e=>{const[t,r]=(0,w.useState)(sA),[n,o]=(0,w.useState)(!0);(function({props:e,setVersionOptions:t}){const[r,n]=(0,w.useState)(!1),{options:o,onOptionsChange:i}=e;nR((()=>{const e=(a=function*(){if(r){const e=yield(0,ge.getDataSourceSrv)().get(o.name);if(e instanceof iA){const r=yield e.getVersion(),n=parseInt(r,10);n>=906&&!o.jsonData.timescaledb&&(yield e.getTimescaleDBVersion())&&(0,T.updateDatasourcePluginJsonDataOption)({options:o,onOptionsChange:i},"timescaledb",!0);const a=Math.trunc(n/100),l=n%100;let s=String(a);n<1e3&&(s=String(a)+"."+String(l)),sA.find((e=>e.value===n))||t((e=>[...e,{label:s,value:n}])),void 0!==o.jsonData.postgresVersion&&o.jsonData.postgresVersion===n||(0,T.updateDatasourcePluginJsonDataOption)({options:o,onOptionsChange:i},"postgresVersion",n)}}else{const e=yield(0,ge.getBackendSrv)().put(`/api/datasources/${o.id}`,o);n(!0),(0,T.updateDatasourcePluginOption)({options:o,onOptionsChange:i},"version",e.datasource.version)}},l=function(){var e=this,t=arguments;return new Promise((function(r,n){var o=a.apply(e,t);function i(e){aA(o,r,n,i,l,"next",e)}function l(e){aA(o,r,n,i,l,"throw",e)}i(void 0)}))},function(){return l.apply(this,arguments)});var a,l;(function(e){var t,r;return e.url&&e.jsonData.database&&e.user&&((null===(t=e.secureJsonData)||void 0===t?void 0:t.password)||(null===(r=e.secureJsonFields)||void 0===r?void 0:r.password))&&(e.jsonData.sslmode===Zw.disable||e.jsonData.sslCertFile&&e.jsonData.sslKeyFile&&e.jsonData.sslRootCertFile)&&!e.jsonData.postgresVersion&&!e.readOnly})(o)&&e()}),[o,r,t])})({props:e,setVersionOptions:r}),function({onOptionsChange:e,options:t}){(0,w.useEffect)((()=>{const r=t.jsonData;let n=Pw({},t),o=!1;if(t.database&&(Lw.logDebug(`Migrating from options.database with value ${t.database} for ${t.name}`),n.database="",n.jsonData=xw(Pw({},r),{database:t.database}),o=!0),void 0===r.maxOpenConns&&void 0===r.maxIdleConns&&void 0===r.maxIdleConnsAuto){const{maxOpenConns:e,maxIdleConns:t}=ge.config.sqlConnectionLimits;Lw.logDebug(`Setting default max open connections to ${e} and setting max idle connection to ${t}`),n.jsonData=xw(Pw({},n.jsonData),{maxOpenConns:e,maxIdleConns:t,maxIdleConnsAuto:!0}),o=!0}if(void 0===r.connMaxLifetime){const{connMaxLifetime:e}=ge.config.sqlConnectionLimits;n.jsonData=xw(Pw({},n.jsonData),{connMaxLifetime:e}),o=!0}o&&e(n)}),[e,t])}(e);const{options:i,onOptionsChange:a}=e,l=i.jsonData,s=[{value:Zw.disable,label:"disable"},{value:Zw.require,label:"require"},{value:Zw.verifyCA,label:"verify-ca"},{value:Zw.verifyFull,label:"verify-full"}],u=[{value:eR.filePath,label:"File system path"},{value:eR.fileContent,label:"Certificate content"}],c=t=>r=>{(0,T.updateDatasourcePluginJsonDataOption)(e,t,r.value)},d=e=>t=>{a(function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){lA(e,t,r[t])}))}return e}({},i,{[e]:t.currentTarget.value}))},p=40;return R().createElement(R().Fragment,null,R().createElement(Kw,{dataSourceName:"Postgres",docsLink:"https://grafana.com/docs/grafana/latest/datasources/postgres/",hasRequiredFields:!0}),R().createElement(Aw,null),R().createElement(A.Collapse,{collapsible:!0,label:"User Permissions",isOpen:n,onToggle:()=>o((e=>!e))},"The database user should only be granted SELECT permissions on the specified database & tables you want to query. ",R().createElement("br",null),"Grafana does not validate that queries are safe so queries can contain any SQL statement. For example, statements like ",R().createElement("code",null,"DELETE FROM user;")," and ",R().createElement("code",null,"DROP TABLE user;")," would be executed. ",R().createElement("br",null),"To protect against this we ",R().createElement("strong",null,"Highly")," recommend you create a specific PostgreSQL user with restricted permissions. Check out the docs for more information."),R().createElement(Aw,null),R().createElement(Jw,{title:"Connection"},R().createElement(A.Field,{label:"Host URL",required:!0},R().createElement(A.Input,{width:p,name:"host",type:"text",value:i.url||"",placeholder:"localhost:5432",onChange:d("url")})),R().createElement(A.Field,{label:"Database name",required:!0},R().createElement(A.Input,{width:p,name:"database",value:l.database||"",placeholder:"Database",onChange:(0,T.onUpdateDatasourceJsonDataOption)(e,"database")}))),R().createElement(Aw,null),R().createElement(Jw,{title:"Authentication"},R().createElement(A.Field,{label:"Username",required:!0},R().createElement(A.Input,{width:p,value:i.user||"",placeholder:"Username",onChange:d("user")})),R().createElement(A.Field,{label:"Password",required:!0},R().createElement(A.SecretInput,{width:p,placeholder:"Password",isConfigured:i.secureJsonFields&&i.secureJsonFields.password,onReset:()=>{(0,T.updateDatasourcePluginResetOption)(e,"password")},onBlur:(0,T.onUpdateDatasourceSecureJsonDataOption)(e,"password")})),R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(Xe,{gap:.5},R().createElement("span",null,"TLS/SSL Mode"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"This option determines whether or with what priority a secure TLS/SSL TCP/IP connection will be negotiated with the server")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(A.Select,{options:s,value:l.sslmode||Zw.require,onChange:c("sslmode"),width:p})),i.jsonData.sslmode!==Zw.disable?R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(Xe,{gap:.5},R().createElement("span",null,"TLS/SSL Method"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"This option determines how TLS/SSL certifications are configured. Selecting"," ",R().createElement("i",null,"File system path")," will allow you to configure certificates by specifying paths to existing certificates on the local file system where Grafana is running. Be sure that the file is readable by the user executing the Grafana process.",R().createElement("br",null),R().createElement("br",null),"Selecting ",R().createElement("i",null,"Certificate content")," will allow you to configure certificates by specifying its content. The content will be stored encrypted in Grafana's database. When connecting to the database the certificates will be written as files to Grafana's configured data path on the local file system.")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(A.Select,{options:u,value:l.tlsConfigurationMethod||eR.filePath,onChange:c("tlsConfigurationMethod"),width:p})):null),l.sslmode!==Zw.disable?R().createElement(R().Fragment,null,R().createElement(Aw,null),R().createElement(Jw,{title:"TLS/SSL Auth Details"},l.tlsConfigurationMethod===eR.fileContent?R().createElement(Iw,{showCACert:l.sslmode===Zw.verifyCA||l.sslmode===Zw.verifyFull,editorProps:e,labelWidth:p}):R().createElement(R().Fragment,null,R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(Xe,{gap:.5},R().createElement("span",null,"TLS/SSL Root Certificate"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"If the selected TLS/SSL mode requires a server root certificate, provide the path to the file here.")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(A.Input,{value:l.sslRootCertFile||"",onChange:(0,T.onUpdateDatasourceJsonDataOption)(e,"sslRootCertFile"),placeholder:"TLS/SSL root cert file",width:p})),R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(Xe,{gap:.5},R().createElement("span",null,"TLS/SSL Client Certificate"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"To authenticate with an TLS/SSL client certificate, provide the path to the file here. Be sure that the file is readable by the user executing the grafana process.")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(A.Input,{value:l.sslCertFile||"",onChange:(0,T.onUpdateDatasourceJsonDataOption)(e,"sslCertFile"),placeholder:"TLS/SSL client cert file",width:p})),R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(Xe,{gap:.5},R().createElement("span",null,"TLS/SSL Client Key"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"To authenticate with a client TLS/SSL certificate, provide the path to the corresponding key file here. Be sure that the file is ",R().createElement("i",null,"only")," readable by the user executing the grafana process.")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(A.Input,{value:l.sslKeyFile||"",onChange:(0,T.onUpdateDatasourceJsonDataOption)(e,"sslKeyFile"),placeholder:"TLS/SSL client key file",width:p}))))):null,R().createElement(Aw,null),R().createElement(Jw,{title:"Additional settings",isCollapsible:!0},R().createElement(WT,{title:"PostgreSQL Options"},R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(Xe,{gap:.5},R().createElement("span",null,"Version"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"This option controls what functions are available in the PostgreSQL query builder")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(A.Select,{value:l.postgresVersion||903,onChange:c("postgresVersion"),options:t,width:p})),R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(Xe,{gap:.5},R().createElement("span",null,"Min time interval"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"A lower limit for the auto group by time interval. Recommended to be set to write frequency, for example",R().createElement("code",null,"1m")," if your data is written every minute.")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(A.Input,{placeholder:"1m",value:l.timeInterval||"",onChange:(0,T.onUpdateDatasourceJsonDataOption)(e,"timeInterval"),width:p})),R().createElement(A.Field,{label:R().createElement(A.Label,null,R().createElement(Xe,{gap:.5},R().createElement("span",null,"TimescaleDB"),R().createElement(A.Tooltip,{content:R().createElement("span",null,"TimescaleDB is a time-series database built as a PostgreSQL extension. If enabled, Grafana will use",R().createElement("code",null,"time_bucket")," in the ",R().createElement("code",null,"$__timeGroup")," macro and display TimescaleDB specific aggregate functions in the query builder.")},R().createElement(A.Icon,{name:"info-circle",size:"sm"}))))},R().createElement(A.Switch,{value:l.timescaledb||!1,onChange:t=>{(0,T.updateDatasourcePluginJsonDataOption)(e,"timescaledb",t.currentTarget.checked)},width:p}))),R().createElement(Rw,{options:i,onOptionsChange:a}),ge.config.secureSocksDSProxyEnabled&&R().createElement(A.SecureSocksProxySettings,{options:i,onOptionsChange:a})))}))})(),f})()));
//# sourceMappingURL=module.js.map